class ComponentFactory.Krypton.Navigator.KryptonNavigator
   inherits ComponentFactory.Krypton.Toolkit.VisualSimple
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, ComponentFactory.Krypton.Toolkit.IKryptonDebug, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Navigator.IDragTargetProvider:

   def public property Name as character
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public property Pages as ComponentFactory.Krypton.Navigator.KryptonPageCollection
      get.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def public property SelectedIndex as integer
      get.
      set.

   def public property SelectedPage as ComponentFactory.Krypton.Navigator.KryptonPage
      get.
      set.

   def public property Bar as ComponentFactory.Krypton.Navigator.NavigatorBar
      get.

   def public property Stack as ComponentFactory.Krypton.Navigator.NavigatorStack
      get.

   def public property Outlook as ComponentFactory.Krypton.Navigator.NavigatorOutlook
      get.

   def public property Button as ComponentFactory.Krypton.Navigator.NavigatorButton
      get.

   def public property Group as ComponentFactory.Krypton.Navigator.NavigatorGroup
      get.

   def public property Header as ComponentFactory.Krypton.Navigator.NavigatorHeader
      get.

   def public property Panel as ComponentFactory.Krypton.Navigator.NavigatorPanel
      get.

   def public property PopupPages as ComponentFactory.Krypton.Navigator.NavigatorPopupPages
      get.

   def public property ToolTips as ComponentFactory.Krypton.Navigator.NavigatorToolTips
      get.

   def public property StateCommon as ComponentFactory.Krypton.Navigator.PaletteNavigatorRedirect
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Navigator.PaletteNavigator
      get.

   def public property StateNormal as ComponentFactory.Krypton.Navigator.PaletteNavigator
      get.

   def public property StateTracking as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx
      get.

   def public property StatePressed as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx
      get.

   def public property StateSelected as ComponentFactory.Krypton.Navigator.PaletteNavigatorOther
      get.

   def public property OverrideFocus as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherRedirect
      get.

   def public property NavigatorMode as ComponentFactory.Krypton.Navigator.NavigatorMode
      get.
      set.

   def public property PageBackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property AllowPageDrag as logical
      get.
      set.

   def public property AllowPageReorder as logical
      get.
      set.

   def public property AllowTabFocus as logical
      get.
      set.

   def public property AllowTabSelect as logical
      get.
      set.

   def public property UseMnemonic as logical
      get.
      set.

   def public property DragPageNotify as ComponentFactory.Krypton.Navigator.IDragPageNotify
      get.
      set.

   def public property ToolTipManager as ComponentFactory.Krypton.Toolkit.ToolTipManager
      get.

   def public property ChildPanel as ComponentFactory.Krypton.Toolkit.KryptonGroupPanel
      get.

   def protected override property EvalInvokePaint as logical
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected property LayoutOnInitialized as logical
      get.

   def public event SelectedPageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Selecting signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageCancelEventArgs).

   def public event Selected signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs).

   def public event Deselecting signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageCancelEventArgs).

   def public event Deselected signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs).

   def public event PreviousAction signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.DirectionActionEventArgs).

   def public event NextAction signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.DirectionActionEventArgs).

   def public event ContextAction signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.ContextActionEventArgs).

   def public event CloseAction signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.CloseActionEventArgs).

   def public event OutlookDropDown signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonContextMenuEventArgs).

   def public event DisplayPopupPage signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PopupPageEventArgs).

   def public event ShowContextMenu signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.ShowContextMenuArgs).

   def public event TabCountChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabVisibleCountChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabClicked signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs).

   def public event TabDoubleClicked signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs).

   def public event PrimaryHeaderLeftClicked signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PrimaryHeaderRightClicked signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PrimaryHeaderDoubleClicked signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforePageReorder signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageReorderEventArgs).

   def public event BeforePageDrag signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDragCancelEventArgs).

   def public event AfterPageDrag signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDragEndEventArgs).

   def public event PageDrop signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDropEventArgs).

   def public event CtrlTabStart signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.CtrlTabCancelEventArgs).

   def public event CtrlTabWrap signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.CtrlTabCancelEventArgs).

   def public event TabMouseHoverStart signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs).

   def public event TabMouseHoverEnd signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabMoved signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.TabMovedEventArgs).

   constructor public KryptonNavigator():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void ResetNavigatorMode():
   end method.

   method public ComponentFactory.Krypton.Navigator.DragTargetList GenerateDragTargets(input dragEndData as ComponentFactory.Krypton.Navigator.PageDragEndData):
   end method.

   method public ComponentFactory.Krypton.Navigator.DragTargetList GenerateDragTargets(input dragEndData as ComponentFactory.Krypton.Navigator.PageDragEndData, input allowFlags as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method public final void DismissPopups():
   end method.

   method public final void HideAllPages():
   end method.

   method public final void HideAllPages(input excludeType as System.Type):
   end method.

   method public final void ShowAllPages():
   end method.

   method public final void ShowAllPages(input excludeType as System.Type):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage PageFromPoint(input pt as System.Drawing.Point):
   end method.

   method public final logical SelectNextPage(input wrap as logical):
   end method.

   method public final logical SelectNextPage(input page as ComponentFactory.Krypton.Navigator.KryptonPage, input wrap as logical):
   end method.

   method public final logical SelectPreviousPage(input wrap as logical):
   end method.

   method public final logical SelectPreviousPage(input page as ComponentFactory.Krypton.Navigator.KryptonPage, input wrap as logical):
   end method.

   method public final ComponentFactory.Krypton.Navigator.CloseButtonAction PerformCloseAction():
   end method.

   method public final ComponentFactory.Krypton.Navigator.CloseButtonAction PerformCloseAction(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final void PerformContextAction():
   end method.

   method public final ComponentFactory.Krypton.Navigator.DirectionButtonAction PerformPreviousAction():
   end method.

   method public final ComponentFactory.Krypton.Navigator.DirectionButtonAction PerformNextAction():
   end method.

   method public final void PerformNeedPagePaint(input needLayout as logical):
   end method.

   method public final logical DesignerGetHitTest(input pt as System.Drawing.Point):
   end method.

   method public final System.ComponentModel.Component DesignerComponentFromPoint(input pt as System.Drawing.Point):
   end method.

   method public final void DesignerMouseLeave():
   end method.

   method public final void DebugOutput():
   end method.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnInitialized(input e as System.EventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override logical ProcessKeyPreview(input m as System.Windows.Forms.Message):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override void UpdateGlobalEvents(input attach as logical):
   end method.

   method protected void OnDeselecting(input e as ComponentFactory.Krypton.Navigator.KryptonPageCancelEventArgs):
   end method.

   method protected void OnSelecting(input e as ComponentFactory.Krypton.Navigator.KryptonPageCancelEventArgs):
   end method.

   method protected void OnDeselected(input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs):
   end method.

   method protected void OnSelected(input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs):
   end method.

   method protected void OnBeforePageReorder(input de as ComponentFactory.Krypton.Navigator.PageReorderEventArgs):
   end method.

   method protected void OnBeforePageDrag(input de as ComponentFactory.Krypton.Navigator.PageDragCancelEventArgs):
   end method.

   method protected void OnAfterPageDrag(input e as ComponentFactory.Krypton.Navigator.PageDragEndEventArgs):
   end method.

   method protected void OnPageDrop(input e as ComponentFactory.Krypton.Navigator.PageDropEventArgs):
   end method.

   method protected void OnSelectedPageChanged(input e as System.EventArgs):
   end method.

   method protected ComponentFactory.Krypton.Navigator.DirectionButtonAction OnPreviousAction():
   end method.

   method protected ComponentFactory.Krypton.Navigator.DirectionButtonAction OnNextAction():
   end method.

   method protected void OnContextAction():
   end method.

   method protected void OnCloseAction(input e as ComponentFactory.Krypton.Navigator.CloseActionEventArgs):
   end method.

   method protected ComponentFactory.Krypton.Navigator.CloseButtonAction OnCloseAction(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method protected void OnTabCountChanged(input e as System.EventArgs):
   end method.

   method protected void OnTabVisibleCountChanged(input e as System.EventArgs):
   end method.

   method protected void OnTabClicked(input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs):
   end method.

   method protected void OnTabDoubleClicked(input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs):
   end method.

   method protected void OnPrimaryHeaderLeftClicked(input e as System.EventArgs):
   end method.

   method protected void OnPrimaryHeaderRightClicked(input e as System.EventArgs):
   end method.

   method protected void OnPrimaryHeaderDoubleClicked(input e as System.EventArgs):
   end method.

   method protected void OnOutlookDropDown(input kcm as ComponentFactory.Krypton.Toolkit.KryptonContextMenu):
   end method.

   method protected void OnDisplayPopupPage(input e as ComponentFactory.Krypton.Navigator.PopupPageEventArgs):
   end method.

   method protected void OnShowContextMenu(input e as ComponentFactory.Krypton.Navigator.ShowContextMenuArgs):
   end method.

   method protected void OnCtrlTabStart(input e as ComponentFactory.Krypton.Navigator.CtrlTabCancelEventArgs):
   end method.

   method protected void OnCtrlTabWrap(input e as ComponentFactory.Krypton.Navigator.CtrlTabCancelEventArgs):
   end method.

   method protected void OnTabMouseHoverStart(input e as ComponentFactory.Krypton.Navigator.KryptonPageEventArgs):
   end method.

   method protected void OnTabMouseHoverEnd(input e as System.EventArgs):
   end method.

   method protected void OnTabMoved(input e as ComponentFactory.Krypton.Navigator.TabMovedEventArgs):
   end method.

   method protected void OnViewBuilderPropertyChanged(input propertyName as character):
   end method.

   method protected final void ForceControlLayout():
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnNeedPagePaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

end class.
