class ComponentFactory.Krypton.Toolkit.PaletteContentInherit
   inherits ComponentFactory.Krypton.Toolkit.GlobalId
   implements ComponentFactory.Krypton.Toolkit.IPaletteContent
   abstract:

   constructor protected PaletteContentInherit():
   end constructor.

   method public abstract ComponentFactory.Krypton.Toolkit.InheritBool GetContentDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.InheritBool GetContentDrawFocus(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageH(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageV(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteImageEffect GetContentImageEffect(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentImageColorMap(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentImageColorTo(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Font GetContentShortTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Font GetContentShortTextNewFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentShortTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentShortTextPrefix(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.InheritBool GetContentShortTextMultiLine(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentShortTextTrim(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextH(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextV(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextMultiLineH(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentShortTextColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentShortTextColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentShortTextColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract decimal GetContentShortTextColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Image GetContentShortTextImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentShortTextImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Font GetContentLongTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Font GetContentLongTextNewFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentLongTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentLongTextPrefix(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.InheritBool GetContentLongTextMultiLine(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentLongTextTrim(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextH(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextV(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextMultiLineH(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentLongTextColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Color GetContentLongTextColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentLongTextColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract decimal GetContentLongTextColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Drawing.Image GetContentLongTextImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentLongTextImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract System.Windows.Forms.Padding GetContentPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract integer GetContentAdjacentGap(input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public abstract ComponentFactory.Krypton.Toolkit.PaletteContentStyle GetContentStyle().

end class.
