class ComponentFactory.Krypton.Toolkit.PaletteRibbonDoubleRedirect
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteRibbonBack, ComponentFactory.Krypton.Toolkit.IPaletteRibbonText:

   def public override property IsDefault as logical
      get.

   def public property BackColor1 as System.Drawing.Color
      get.
      set.

   def public property BackColor2 as System.Drawing.Color
      get.
      set.

   def public property BackColor3 as System.Drawing.Color
      get.
      set.

   def public property BackColor4 as System.Drawing.Color
      get.
      set.

   def public property BackColor5 as System.Drawing.Color
      get.
      set.

   def public property TextColor as System.Drawing.Color
      get.
      set.

   constructor public PaletteRibbonDoubleRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input backStyle as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input textStyle as ComponentFactory.Krypton.Toolkit.PaletteRibbonTextStyle, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetRedirector(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRibbonColorStyle GetRibbonBackColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetBackColor1():
   end method.

   method public final System.Drawing.Color GetRibbonBackColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetBackColor2():
   end method.

   method public final System.Drawing.Color GetRibbonBackColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetBackColor3():
   end method.

   method public final System.Drawing.Color GetRibbonBackColor3(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetBackColor4():
   end method.

   method public final System.Drawing.Color GetRibbonBackColor4(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetBackColor5():
   end method.

   method public final System.Drawing.Color GetRibbonBackColor5(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetTextColor():
   end method.

   method public final System.Drawing.Color GetRibbonTextColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

end class.
