class ComponentFactory.Krypton.Workspace.KryptonWorkspace
   inherits ComponentFactory.Krypton.Toolkit.VisualContainerControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl, ComponentFactory.Krypton.Toolkit.IKryptonDebug, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Navigator.IDragTargetProvider:

   def public property TabStop as logical
      get.
      set.

   def public override property AllowDrop as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property KryptonContextMenu as ComponentFactory.Krypton.Toolkit.KryptonContextMenu
      get.
      set.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def public property ActiveCell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell
      get.
      set.

   def public property ActivePage as ComponentFactory.Krypton.Navigator.KryptonPage
      get.

   def public property CompactFlags as ComponentFactory.Krypton.Workspace.CompactFlags
      get.
      set.

   def public property MaximizedCell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell
      get.
      set.

   def public property SplitterWidth as integer
      get.
      set.

   def public property AllowResizing as logical
      get.
      set.

   def public property ContainerBackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property SeparatorStyle as ComponentFactory.Krypton.Toolkit.SeparatorStyle
      get.
      set.

   def public property StateCommon as ComponentFactory.Krypton.Toolkit.PaletteSplitContainerRedirect
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Toolkit.PaletteSplitContainer
      get.

   def public property StateNormal as ComponentFactory.Krypton.Toolkit.PaletteSplitContainer
      get.

   def public property StateTracking as ComponentFactory.Krypton.Toolkit.PaletteSeparatorPadding
      get.

   def public property StatePressed as ComponentFactory.Krypton.Toolkit.PaletteSeparatorPadding
      get.

   def public property ContextMenus as ComponentFactory.Krypton.Workspace.WorkspaceMenus
      get.

   def public property Root as ComponentFactory.Krypton.Workspace.KryptonWorkspaceSequence
      get.

   def public property AllowPageDrag as logical
      get.
      set.

   def public property ShowMaximizeButton as logical
      get.
      set.

   def public property PageCount as integer
      get.

   def public property PageVisibleCount as integer
      get.

   def public property CellCount as integer
      get.

   def public property CellVisibleCount as integer
      get.

   def public property DragPageNotify as ComponentFactory.Krypton.Navigator.IDragPageNotify
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property EvalInvokePaint as logical
      get.

   def public event CellCountChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CellVisibleCountChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event WorkspaceCellAdding signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.WorkspaceCellEventArgs).

   def public event WorkspaceCellRemoved signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.WorkspaceCellEventArgs).

   def public event ActiveCellChanged signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.ActiveCellChangedEventArgs).

   def public event ActivePageChanged signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.ActivePageChangedEventArgs).

   def public event MaximizedCellChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GlobalSaving signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.XmlSavingEventArgs).

   def public event GlobalLoading signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.XmlLoadingEventArgs).

   def public event PageSaving signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.PageSavingEventArgs).

   def public event PageLoading signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.PageLoadingEventArgs).

   def public event RecreateLoadingPage signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.RecreateLoadingPageEventArgs).

   def public event PagesUnmatched signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Workspace.PagesUnmatchedEventArgs).

   def public event BeforePageDrag signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDragCancelEventArgs).

   def public event AfterPageDrag signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDragEndEventArgs).

   def public event PageDrop signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.PageDropEventArgs).

   constructor public KryptonWorkspace():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage extent AllPages():
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage extent AllVisiblePages():
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell FirstCell():
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell LastCell():
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell NextCell(input current as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell PreviousCell(input current as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public final logical IsCellPresent(input cell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell FirstVisibleCell():
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell LastVisibleCell():
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell NextVisibleCell(input current as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell PreviousVisibleCell(input current as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell CellForPage(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell CellForUniqueName(input uniqueName as character):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage PageForUniqueName(input uniqueName as character):
   end method.

   method public final void HideAllPages():
   end method.

   method public final void HideAllPages(input excludeType as System.Type):
   end method.

   method public final void ShowAllPages():
   end method.

   method public final void ShowAllPages(input excludeType as System.Type):
   end method.

   method public final logical CanClosePage(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final logical CanMovePageNext(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final logical CanMovePagePrevious(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final void ClosePage(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final void CloseAllButThisPage(input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final void MovePageNext(input page as ComponentFactory.Krypton.Navigator.KryptonPage, input selectPage as logical):
   end method.

   method public final void MovePagePrevious(input page as ComponentFactory.Krypton.Navigator.KryptonPage, input selectPage as logical):
   end method.

   method public final void ApplyRebalance():
   end method.

   method public final void ApplyResizing(input sequence as ComponentFactory.Krypton.Workspace.KryptonWorkspaceSequence, input newWidth as character, input newHeight as character, input applyStar as logical, input applyFixed as logical):
   end method.

   method public final void ApplySingleCell():
   end method.

   method public final void ApplySingleCell(input createCellIfNoPages as logical):
   end method.

   method public final void ApplyGridCells():
   end method.

   method public final void ApplyGridCells(input createCellIfEmpty as logical):
   end method.

   method public final void ApplyGridCells(input createCellIfEmpty as logical, input rootOrientation as System.Windows.Forms.Orientation):
   end method.

   method public final void ApplyGridCells(input createCellIfEmpty as logical, input rootOrientation as System.Windows.Forms.Orientation, input sequenceItems as integer):
   end method.

   method public final void ApplyGridPages():
   end method.

   method public final void ApplyGridPages(input createCellIfNoPages as logical):
   end method.

   method public final void ApplyGridPages(input createCellIfNoPages as logical, input rootOrientation as System.Windows.Forms.Orientation):
   end method.

   method public final void ApplyGridPages(input createCellIfNoPages as logical, input rootOrientation as System.Windows.Forms.Orientation, input sequenceItems as integer):
   end method.

   method public final void ClearAllPages():
   end method.

   method public ComponentFactory.Krypton.Navigator.DragTargetList GenerateDragTargets(input dragEndData as ComponentFactory.Krypton.Navigator.PageDragEndData):
   end method.

   method public ComponentFactory.Krypton.Navigator.DragTargetList GenerateDragTargets(input dragEndData as ComponentFactory.Krypton.Navigator.PageDragEndData, input allowFlags as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method public final System.Byte extent SaveLayoutToArray():
   end method.

   method public final System.Byte extent SaveLayoutToArray(input encoding as System.Text.Encoding):
   end method.

   method public final void SaveLayoutToFile(input filename as character):
   end method.

   method public final void SaveLayoutToFile(input filename as character, input encoding as System.Text.Encoding):
   end method.

   method public final void SaveLayoutToStream(input stream as System.IO.Stream, input encoding as System.Text.Encoding):
   end method.

   method public final void SaveLayoutToXml(input xmlWriter as System.Xml.XmlWriter):
   end method.

   method public final void LoadLayoutFromArray(input buffer as System.Byte extent):
   end method.

   method public final void LoadLayoutFromFile(input filename as character):
   end method.

   method public final void LoadLayoutFromStream(input stream as System.IO.Stream):
   end method.

   method public final void LoadLayoutFromXml(input xmlReader as System.Xml.XmlReader):
   end method.

   method public final void LoadLayoutFromXml(input xmlReader as System.Xml.XmlReader, input availablePages as ComponentFactory.Krypton.Navigator.KryptonPageCollection):
   end method.

   method public void WriteCellElement(input xmlWriter as System.Xml.XmlWriter, input cell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public character ReadCellElement(input xmlReader as System.Xml.XmlReader, input cell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method public void WriteSequenceElement(input xmlWriter as System.Xml.XmlWriter, input sequence as ComponentFactory.Krypton.Workspace.KryptonWorkspaceSequence):
   end method.

   method public void ReadSequenceElement(input xmlReader as System.Xml.XmlReader, input sequence as ComponentFactory.Krypton.Workspace.KryptonWorkspaceSequence):
   end method.

   method public void WritePageElement(input xmlWriter as System.Xml.XmlWriter, input page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public ComponentFactory.Krypton.Navigator.KryptonPage ReadPageElement(input xmlReader as System.Xml.XmlReader, input uniqueName as character, input existingPages as ComponentFactory.Krypton.Navigator.UniqueNameToPage):
   end method.

   method public void OnGlobalSaving(input e as ComponentFactory.Krypton.Workspace.XmlSavingEventArgs):
   end method.

   method public void OnGlobalLoading(input e as ComponentFactory.Krypton.Workspace.XmlLoadingEventArgs):
   end method.

   method public void OnPageSaving(input e as ComponentFactory.Krypton.Workspace.PageSavingEventArgs):
   end method.

   method public void OnPageLoading(input e as ComponentFactory.Krypton.Workspace.PageLoadingEventArgs):
   end method.

   method public void OnRecreateLoadingPage(input e as ComponentFactory.Krypton.Workspace.RecreateLoadingPageEventArgs):
   end method.

   method public void OnPagesUnmatched(input e as ComponentFactory.Krypton.Workspace.PagesUnmatchedEventArgs):
   end method.

   method public final void SuspendWorkspaceLayout():
   end method.

   method public final void ResumeWorkspaceLayout():
   end method.

   method public void DebugOutput():
   end method.

   method protected final void OnChildrenPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final void OnChildrenMaximizeRestoreClicked(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

   method protected override void Select(input directed as logical, input forward as logical):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnCellCountChanged(input e as System.EventArgs):
   end method.

   method protected void OnCellVisibleCountChanged(input e as System.EventArgs):
   end method.

   method protected void OnWorkspaceCellAdding(input e as ComponentFactory.Krypton.Workspace.WorkspaceCellEventArgs):
   end method.

   method protected void OnWorkspaceCellRemoved(input e as ComponentFactory.Krypton.Workspace.WorkspaceCellEventArgs):
   end method.

   method protected void OnActiveCellChanged(input e as ComponentFactory.Krypton.Workspace.ActiveCellChangedEventArgs):
   end method.

   method protected void OnActivePageChanged(input e as ComponentFactory.Krypton.Workspace.ActivePageChangedEventArgs):
   end method.

   method protected void OnMaximizedCellChanged(input e as System.EventArgs):
   end method.

   method protected void OnBeforePageDrag(input de as ComponentFactory.Krypton.Navigator.PageDragCancelEventArgs):
   end method.

   method protected void OnAfterPageDrag(input e as ComponentFactory.Krypton.Navigator.PageDragEndEventArgs):
   end method.

   method protected void OnPageDrop(input e as ComponentFactory.Krypton.Navigator.PageDropEventArgs):
   end method.

   method protected void NewCellInitialize(input cell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

   method protected void ExistingCellDetach(input cell as ComponentFactory.Krypton.Workspace.KryptonWorkspaceCell):
   end method.

end class.
