
class CrystalDecisions.CrystalReports.Engine.ReportDocument
inherits System.ComponentModel.Component:

   constructor public ReportDocument():
   end constructor.

   define property Name as character
      get.
      
   define property Database as CrystalDecisions.CrystalReports.Engine.Database
      get.
      
   define property ParameterFields as CrystalDecisions.Shared.ParameterFields
      get.
   
   define property ExportOptions as CrystalDecisions.Shared.ExportOptions
      get.
      
   define property DataDefinition as CrystalDecisions.CrystalReports.Engine.DataDefinition
      get.
   
   define property SummaryInfo as CrystalDecisions.CrystalReports.Engine.SummaryInfo
      get.
   
   define property ReportOptions as CrystalDecisions.CrystalReports.Engine.ReportOptions
      get.
      
   define property ReportDefinition as CrystalDecisions.CrystalReports.Engine.ReportDefinition
      get.
      
   define property PrintOptions as CrystalDecisions.CrystalReports.Engine.PrintOptions
      get.
   
   method public void Load(input reportName as character, input om as CrystalDecisions.Shared.OpenReportMethod):
   end method.
   
   method public void Load(input reportName as character):
   end method.
   
   method public CrystalDecisions.CrystalReports.Engine.ReportDocument OpenSubreport(input reportName as character):
   end method.
   
   method public void SetDatabaseLogon(input usr as character, input pw as character, input srv as character, input db as character):
   end method.
   
   method public void Export():
   end method.

   method public void Dispose():
   end method.
   
   method public void Close():
   end method.
   
   method public void VerifyDatabase():
   end method.
   
   method public void ExportToDisk(input ftype as CrystalDecisions.Shared.ExportFormatType, input filename as char):
   end method.
   
   method public void PrintToPrinter(input copies as integer, input collated as logical, input start as integer, input end as integer):
   end method.
   
end class.
