class DataPA.DataSourceNET
   inherits Progress.Open4GL.Proxy.AppObject
   implements Progress.Message.jcMsg, System.IDisposable:

   constructor public DataSourceNET(input connectObj as Progress.Open4GL.Proxy.Connection):
   end constructor.

   constructor public DataSourceNET(input urlString as character, input userId as character, input password as character, input appServerInfo as character):
   end constructor.

   constructor public DataSourceNET(input userId as character, input password as character, input appServerInfo as character):
   end constructor.

   constructor public DataSourceNET():
   end constructor.

   method public final void AppStruct(input lRelations as Progress.Open4GL.BooleanHolder, input DB as DataPA.StrongTypesNS.DBDataTable, input dbTABLE as DataPA.StrongTypesNS.dbTABLEDataTable, input dbFIELD as DataPA.StrongTypesNS.dbFIELDDataTable, input dbINDEX as DataPA.StrongTypesNS.dbINDEXDataTable, input dbIDXFIELD as DataPA.StrongTypesNS.dbIDXFIELDDataTable, input dbRelations as DataPA.StrongTypesNS.dbRelationsDataTable):
   end method.

   method public final void AppStructDB(input lRelations as Progress.Open4GL.BooleanHolder, input ipDBID as Progress.Open4GL.IntHolder, input DB as DataPA.StrongTypesNS.DBDataTable, input dbTABLE as DataPA.StrongTypesNS.dbTABLEDataTable, input dbFIELD as DataPA.StrongTypesNS.dbFIELDDataTable, input dbINDEX as DataPA.StrongTypesNS.dbINDEXDataTable, input dbIDXFIELD as DataPA.StrongTypesNS.dbIDXFIELDDataTable, input dbRelations as DataPA.StrongTypesNS.dbRelationsDataTable):
   end method.

   method public final void checkexp(input ipcExpression as character, input ipcDataType as character, input oplResult as Progress.Open4GL.BooleanHolder, input opcErrorMessage as character):
   end method.

   method public final void datapa(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipLDebug as Progress.Open4GL.BooleanHolder, input ttQuerys as DataPA.StrongTypesNS.ttQuerysDataTable, input ttTableInfo as DataPA.StrongTypesNS.ttTableInfoDataTable, input ophTT as System.Data.DataTable, input cActivate as character):
   end method.

   method public final void FileInfo(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCFileName as character, input opDDateCreated as Progress.Open4GL.DateHolder, input opITimeCreated as Progress.Open4GL.IntHolder, input opDDateModified as Progress.Open4GL.DateHolder, input opITimeModified as Progress.Open4GL.IntHolder, input opISize as Progress.Open4GL.IntHolder, input opCTempDir as character):
   end method.

   method public final void FilterConnections(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCUserName as character, input ttConnections as DataPA.StrongTypesNS.ttConnectionsDataTable):
   end method.

   method public final void FilterReports(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCUserName as character, input ipSystem as character, input ipConnection as character, input ipBrowser as character, input ipOtherInfo as character, input ttReports as DataPA.StrongTypesNS.ttReportsDataTable):
   end method.

   method public final void FilterSubjects(input ipcUserName as character, input iophTT as System.Data.DataTable, input iophTT1 as System.Data.DataTable):
   end method.

   method public final void getfile(input chrFileName as character, input ophTT as System.Data.DataTable, input ophTT1 as System.Data.DataTable):
   end method.

   method public final void getfunctions(input ttFunctions as DataPA.StrongTypesNS.ttFunctionsDataTable):
   end method.

   method public final void GetGroups(input ttDefinedGroups as DataPA.StrongTypesNS.ttDefinedGroupsDataTable):
   end method.

   method public final void GetObjects(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCUserID as character, input ipCPassword as character, input opCUserName as character, input ttObjects as DataPA.StrongTypesNS.ttObjectsDataTable):
   end method.

   method public final void GetRelations(input ipITimeOut as Progress.Open4GL.IntHolder, input ttTables as DataPA.StrongTypesNS.ttTablesDataTable, input opIResultsCount as Progress.Open4GL.IntHolder, input ttRelations as DataPA.StrongTypesNS.ttRelationsDataTable):
   end method.

   method public final void GetSecData(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCUserName as character, input ttSecDataV3 as DataPA.StrongTypesNS.ttSecDataV3DataTable):
   end method.

   method public final void getupdate(input ipCVersion as character, input ipLReturnFiles as Progress.Open4GL.BooleanHolder, input opLAvailable as Progress.Open4GL.BooleanHolder, input ttUpdateFile as DataPA.StrongTypesNS.ttUpdateFileDataTable, input ttScriptFile as DataPA.StrongTypesNS.ttUpdateFileDataTable):
   end method.

   method public final void GetUsers(input lGetGroups as Progress.Open4GL.BooleanHolder, input ttUsers as DataPA.StrongTypesNS.ttUsersDataTable):
   end method.

   method public final void GroupPrivileges(input ttGroups as DataPA.StrongTypesNS.ttGroupsDataTable, input ttGroupPrivileges as DataPA.StrongTypesNS.ttGroupPrivilegesDataTable):
   end method.

   method public final void LockPASetup(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCUsername as character, input ipCDetails as character, input ipIFunction as Progress.Open4GL.IntHolder, input opLResponse as Progress.Open4GL.BooleanHolder, input opCUsername as character, input opCDetails as character, input opCTime as character):
   end method.

   method public final void PADynChk(input pcUserCode as character, input pcPassword as character, input pcLoginLanguageCode as character, input pcLoginOrganistaionCode as character, input ptLoginDate as Progress.Open4GL.DateHolder, input plPasswordEncoded as Progress.Open4GL.BooleanHolder, input pcError as character):
   end method.

   method public final void PADynLog(input pcUserCode as character, input pcPassword as character, input pcLoginLanguageCode as character, input pcLoginOrganistaionCode as character, input ptLoginDate as Progress.Open4GL.DateHolder, input plPasswordEncoded as Progress.Open4GL.BooleanHolder, input pcError as character):
   end method.

   method public final void paloaddata(input hData as System.Data.DataTable, input cFileEnvVar as character, input cDefaultFileName as character):
   end method.

   method public final void pasavedata(input hData as System.Data.DataTable, input cFileEnvVar as character, input cDefaultFileName as character):
   end method.

   method public final void paserverfuncs():
   end method.

   method public final void processSummary(input ipcSortString as character, input ipcDBFieldList as character, input ipcTTFieldList as character, input ipcSummaryTypes as character, input iplDebug as Progress.Open4GL.BooleanHolder, input iplIncludeRowNum as Progress.Open4GL.BooleanHolder, input ipcFunctions as character, input ipcTopNs as character, input iplFill as Progress.Open4GL.BooleanHolder, input iphExtTT as System.Data.DataTable, input ophExtTT as System.Data.DataTable, input opiNumRecords as Progress.Open4GL.IntHolder):
   end method.

   method public final void readdata(input ipcString as character, input ipcFieldList as character, input ipcCalcFieldList as character, input iprStartRowid as character, input ipiStartRow as Progress.Open4GL.IntHolder, input iplMoveNextRow as Progress.Open4GL.BooleanHolder, input ipiBatchSize as Progress.Open4GL.IntHolder, input iplDebug as Progress.Open4GL.BooleanHolder, input ophTT as System.Data.DataTable, input opcPropertiesList as character, input opiNumRecords as Progress.Open4GL.IntHolder, input cActivate as character):
   end method.

   method public final void readfunction(input ipcFunctionName as character, input ipcFunctionParams as character, input ipcFilter as character, input ipcSort as character, input ipcFieldList as character, input ipcLabelList as character, input ophtt as System.Data.DataTable, input opcPropertiesList as character, input opiNumRecords as Progress.Open4GL.IntHolder):
   end method.

   method public final void readsdo(input ipcSDOName as character, input ipcQueryString as character, input ipcStartRow as Progress.Open4GL.IntHolder, input ipcRowIndent as character, input ipcNext as Progress.Open4GL.BooleanHolder, input ipcRowsToReturn as Progress.Open4GL.IntHolder, input ipcColumnList as character, input ipcPropertyList as character, input iplDynamic as Progress.Open4GL.BooleanHolder, input opcColumnProps as character, input opcRowsReturned as Progress.Open4GL.IntHolder, input hForFields as System.Data.DataTable, input hData as System.Data.DataTable, input cActivate as character):
   end method.

   method public final void runpaserverfuncs():
   end method.

   method public final void ServerEnvVar(input ipISecurityCode as Progress.Open4GL.IntHolder, input ipCEnvVar as character, input opCValue as character):
   end method.

   method public final void StoreFile(input chrFileName as character, input iphTT as System.Data.DataTable, input iphTT1 as System.Data.DataTable):
   end method.

   method public final void testexp(input ipcString as character, input oplSuccess as Progress.Open4GL.BooleanHolder, input opcErrorMessage as character):
   end method.

   method public final void UserGroup(input ipCUserName as character, input opCGroup as character):
   end method.

end class.
