interface DataPA.Query
   inherits DataPA._Query, DataPA.__Query_Event:

   def public property Application as DataPA.Application
      get.
      set.

   def public property Conditions as ADODB.Recordset
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property System as character
      get.
      set.

   def public property Subject as character
      get.
      set.

   def public property displayfields as DataPA.Fields
      get.
      set.

   def public property sortfields as DataPA.Fields
      get.
      set.

   def public property ResultsSet as vba.Collection
      get.

   def public property RequiredFields as DataPA.Fields
      get.

   def public property RequiredFieldValues as vba.Collection
      get.

   def public property SkipIntro as logical
      get.
      set.

   def public property UseLabels as logical
      get.
      set.

   def public property SkipExport as logical
      get.
      set.

   def public property BaseQuery as character
      get.

   def public property Fields as DataPA.Fields
      get.

   def public property Filename as character
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property children as vba.Collection
      get.
      set.

   def public property Parent as DataPA.Query
      get.

   def public property SubjectTitle as character
      get.

   def public property QueryType as DataPA.QueryType
      get.

   def public property SmartDataObject as character
      get.

   def public property userlevel as character
      get.

   def public property CombineResults as logical
      get.
      set.

   def public property OuterJoin as logical
      get.
      set.

   def public property DebugQuery as logical
      get.
      set.

   def public property Valid as logical
      get.

   def public property parameters as vba.Collection
      get.
      set.

   def public property UseParametersAsDefault as logical
      get.
      set.

   def public property HideWizardOnRun as logical
      get.
      set.

   def public property QueryCollection as vba.Collection
      get.
      set.

   def public property QueryDecimalSeparator as character
      get.

   def public property QueryThousandSeparator as character
      get.

   def public property ForceConnection as character
      get.
      set.

   def public property QueryLookups as vba.Collection
      get.
      set.

   def public property CurrentConnection as character
      get.

   def public property InnerJoin as logical
      get.
      set.

   def public property ActualSubjectTitle as character
      get.

   def public property Summary as logical
      get.
      set.

   def public property DatasetName as character
      get.

   def public property SummaryFill as logical
      get.
      set.

   def public property ID as character
      get.
      set.

   def public property Keywords as character
      get.
      set.

   def public property Category as character
      get.
      set.

   def public property Comments as character
      get.
      set.

   def public property Author as character
      get.
      set.

   def public property SQLQueryString as character
      get.
      set.

   def public property LastRefreshCompleted as datetime
      get.
      set.

   def public event CancelRunQuery signature void ().

   method public void Save().

   method public character SaveToString().

   method public void RunQuery(input OwnerForm as System.Object).

   method public void SetRequiredValue(input FieldName as character, input value as System.Object).

   method public void SetSkipField(input FieldName as character).

   method public void UnSetRequiredValue(input FieldName as character).

   method public logical IsValueSet(input FieldName as character).

   method public void AddCondition(input AndOr as character, input Field as System.Object, input Operator as character, input Prompt as logical, input Expression as character, input Label as character, input Description as character, input Mandatory as logical, input OpenBrackets as integer, input CloseBrackets as integer).

   method public integer LastChild().

   method public DataPA.Query GetChild(input ix as integer).

   method public DataPA.Query Clone().

   method public void PublishQuery(input OwnerForm as System.Object).

   method public void PromptForParameters(input OwnerForm as System.Object).

   method public logical ExportToXML(input Filename as character).

   method public character GetParameterProperty(input iseq as integer, input sProperty as character).

   method public void GenerateID().

   method public void GetRequiredFieldInfo(input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent).

   method public void add_CancelRunQuery(input evt as DataPA.__Query_CancelRunQueryEventHandler).

   method public void remove_CancelRunQuery(input evt as DataPA.__Query_CancelRunQueryEventHandler).

end interface.
