class DataPAClientConfig.ClientConfig
   inherits System.Object
   implements DataPAClientConfig.ClientConfig+_ClientConfig:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property AllowQuerySelectConnection as logical
      get.
      set.

   def public property SchedulerClient as logical
      get.
      set.

   def public property AppServerValidationFailed as logical
      get.

   def public property LockServerCode as character
      get.

   def public property RootObject as DataPAADO.ADODBDataSource
      get.
      set.

   def public property PAApplication as RunDataPA.Application
      get.
      set.

   def public property SetupManager as DataPAClientConfig.SetupManager
      get.
      set.

   def public property SystemStructure as DataPAClientConfig.SystemStructure
      get.

   def public property LicenseInfo as DataPAClientConfig.LicenseInfo
      get.
      set.

   def public property Security as DataPAClientConfig.SecurityInfo
      get.
      set.

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property Version as character
      get.

   def public property DataLocation as character
      get.
      set.

   def public property DataLocationType as DataPAClientConfig.ClientConfig+DataLocationTypeEnum
      get.

   def public property DataFileFormat as DataPAClientConfig.SessionManager+DataFileFormatEnum
      get.
      set.

   def public property SessionFreeDataLocationAppServer as logical
      get.
      set.

   def public property AutoUpdate as logical
      get.
      set.

   def public property QuietCheckForUpdate as logical
      get.
      set.

   def public property UpdateLocation as character
      get.
      set.

   def public property Group as character
      get.

   def public property UsePreviousUsernameAndPasswordSet as logical
      get.
      set.

   def public property PreviousLoginFailed as logical
      get.
      set.

   def public property SplashScreenText as character
      get.
      set.

   def public property Initialised as logical
      get.

   def public event SetupChanged signature void (input sender as System.Object, input e as DataPAClientConfig.SetupEventArgs).

   def public event SelectedConnectionsChanged signature void (input sender as System.Object, input e as DataPAClientConfig.ConnectionEventArgs).

   def public event LicenseChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ClientConfig():
   end constructor.

   constructor public ClientConfig(input RootObject as DataPAADO.ADODBDataSource):
   end constructor.

   constructor public ClientConfig(input Application as RunDataPA.Application):
   end constructor.

   method public final void Dispose():
   end method.

   method public final logical ShowChangePassword():
   end method.

   method public final logical ShowAbout():
   end method.

   method public final void ShowLicenseWindow():
   end method.

   method public final logical ShowManageServer():
   end method.

   method public final DataPAServerSecurity.ServerSecurity ServerSecurity(input SecurityGUID as character):
   end method.

   method public final System.Byte extent ShowManagePublished(input AllowObjectToOpenType as DataPAClientConfig.ClientConfig+AllowOpenFromServerFileType, input DocumentName as character):
   end method.

   method public final logical ShowSelectConnection():
   end method.

   method public final logical ShowSecurity():
   end method.

   method public final void ShowSplashScreen():
   end method.

   method public final void HideSplashScreen(input AllowRestore as logical):
   end method.

   method public final void RestoreSplashScreen():
   end method.

   method public final character ShowSubjectExplorer(input ConstrainToSystem as character, input NavigateToSubjectID as character):
   end method.

   method public final void ViewData(input SystemName as character, input FieldList as character, input LabelList as character, input TableName as character, input SubjectID as character, input DataTitle as character, input DataImage as System.Drawing.Image, input AlertX as integer, input AlertY as integer, input PAConnection as RunDataPA.PAConnection):
   end method.

   method public final logical Initialise(input DataLocation as character, input DataFileFormat as DataPAClientConfig.SessionManager+DataFileFormatEnum, input Silent as logical):
   end method.

   method public final logical Initialise():
   end method.

   method public final logical ReloadSetup():
   end method.

   method public final DataPAClientConfig.EnterpriseService.EnterpriseServiceClient EntSrv(input ErrorMessage as character):
   end method.

   method public final DataPASQLClient.SQLClient SQLClient(input ErrorMessage as character):
   end method.

   method public final void SaveSetupData():
   end method.

   method public final logical LockSetupData(input UserName as character, input Details as character, input DateTime as character):
   end method.

   method public final logical UnLockSetupData(input UserName as character, input Details as character, input DateTime as character):
   end method.

   method public final logical IsSetupLockValid(input UserName as character, input Details as character, input DateTime as character):
   end method.

   method public final logical LockServerSecurityData(input UserName as character, input Details as character, input DateTime as character, input Guid as character):
   end method.

   method public final logical UnLockServerSecurityData(input UserName as character, input Details as character, input DateTime as character, input Guid as character):
   end method.

   method public final logical IsServerSecurityLockValid(input UserName as character, input Details as character, input DateTime as character, input Guid as character):
   end method.

   method public final void CheckForUpdate():
   end method.

   method public final void ShowProperties(input ContentType as DataPAClientConfig.ClientConfig+ContentTypeEnum, input DataLocationType as DataPAClientConfig.ClientConfig+DataLocationTypeEnum, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character):
   end method.

   method public final logical PublishDocument(input DocumentData as System.Byte extent, input ID as character, input Type as character, input FileName as character, input System as character, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character, input UserName as character, input Password as character, input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent, input ErrMessage as character):
   end method.

   method public final logical GetUserNameAndPassword():
   end method.

end class.
