interface DataPAEnterpriseDashboard.DashboardDesigner+_DashboardDesigner:

   def public property Visible as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ForegroundColor as integer
      get.
      set.

   def public property BackgroundColor as integer
      get.
      set.

   def public property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public property PauseAutoRefresh as logical
      get.
      set.

   def public property ShowAboutMenuItem as logical
      get.
      set.

   def public property NavigatorContextButtonCollection as ComponentFactory.Krypton.Navigator.NavigatorButtonSpecCollection
      get.

   def public property ShowCopyQuery as logical
      get.
      set.

   def public property AboutMenuItemLabel as character
      get.
      set.

   def public property AboutMenuItemLink as character
      get.
      set.

   def public property ViewerOnly as logical
      get.
      set.

   def public property ShowTabs as logical
      get.
      set.

   def public property ShowDataViewersWhenViewerOnly as logical
      get.
      set.

   def public property AllowTabDesignModeWhenViewerOnly as logical
      get.
      set.

   def public property AllowManageConnections as logical
      get.

   def public property PreparingPrint as logical
      get.

   def public property DebugLogging as logical
      get.
      set.

   def public property DelayedRender as logical
      get.
      set.

   def public property DataPAApplication as DataPA.Application
      get.
      set.

   def public property RunDataPAApplication as RunDataPA.Application
      get.
      set.

   def public property SavedLoginDetails as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property Initialised as logical
      get.

   def public property HasDashboard as logical
      get.

   def public property HasQueries as logical
      get.

   def public property HasData as logical
      get.

   def public property HasTabs as logical
      get.

   def public property RefreshingQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public property SelectedQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public property PublishServer as character
      get.
      set.

   def public property QuerySelected as logical
      get.

   def public property FullScreenMode as logical
      get.
      set.

   def public property IsPublishingDashboard as logical
      get.

   def public property SelectedTab as DataPAEnterpriseDashboard.DashboardTab
      get.

   def public property HasObjects as logical
      get.

   def public property PaletteMode as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPalette
      get.
      set.

   def public property SelectedObject as DataPAEnterpriseDashboard.DashboardObject
      get.

   def public property SelectedTabIndex as integer
      get.

   def public property ClipboardContainsDashboardObject as logical
      get.

   def public property StatusStripVisible as logical
      get.
      set.

   def public property Dashboard as DataPAEnterpriseDashboard.ManagedDashboard
      get.

   def public property DataViewerPages as ComponentFactory.Krypton.Navigator.KryptonPage extent
      get.

   def public property FloatingWindowEnvironment as logical
      get.

   def public property FontListItems as ComponentFactory.Krypton.Toolkit.KryptonListItem extent
      get.

   method public void Refresh().

   method public Microsoft.VisualBasic.Collection GetDataViewerKeys().

   method public character GetDataViewerDisplayLayout(input Key as character).

   method public void SetDataViewerDisplayLayout(input Key as character, input Layout as character).

   method public character GetTabLayout(input TabID as character).

   method public void SetTabLayout(input TabID as character, input Layout as character).

   method public character GetDockingLayout().

   method public void SetDockingLayout(input Layout as character).

   method public void RebuildDisplay().

   method public void Initialise().

   method public logical AutoRefreshOnClient().

   method public void SetAutoRefreshOnClient(input value as logical).

   method public void CancelRefreshQuery().

   method public void ShowHideWindow(input Show as logical, input PageType as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPageType, input Index as integer).

   method public logical CreateDashboard().

   method public logical OKToClose().

   method public logical SaveDashboard(input ForseSaveAs as logical).

   method public void PublishDashboard(input DisplayAlert as logical).

   method public void SaveDashboardLayout(input Tab as DataPAEnterpriseDashboard.DashboardTab).

   method public void LoadDashboardLayout(input Tab as DataPAEnterpriseDashboard.DashboardTab).

   method public DataPAEnterpriseDashboard.DashboardObject DashboardObjectFromID(input ID as character).

   method public ComponentFactory.Krypton.Navigator.KryptonPage DashboardTabPageFromID(input ID as character).

   method public ComponentFactory.Krypton.Navigator.KryptonPage DashboardObjectPageFromObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject).

   method public Microsoft.VisualBasic.Collection AllPagesFromObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject).

   method public ComponentFactory.Krypton.Navigator.KryptonPage DashboardObjectPageFromID(input ID as character).

   method public ComponentFactory.Krypton.Navigator.KryptonPage DashboardPageFromID(input ID as character).

   method public ComponentFactory.Krypton.Workspace.KryptonWorkspace DashboardWorkspaceFromID(input ID as character).

   method public ComponentFactory.Krypton.Workspace.KryptonWorkspace DashboardWorkspaceFromPage(input Page as ComponentFactory.Krypton.Navigator.KryptonPage).

   method public logical CloseDashboard(input Force as logical).

   method public void RestoreDockingDefaults().

   method public logical OpenDashboard(input FileName as character).

   method public logical OpenDashboardFromService(input DashboardFile as character, input ErrorMessage as character).

   method public logical OpenDashboardFromByteArray(input data as System.Byte extent, input Silent as logical, input ErrorMessage as character, input DocumentName as character, input ServerFileName as character).

   method public logical OpenDashboardErrorHandled(input FileName as character, input ErrorDescription as character, input SupressErrors as logical).

   method public logical OpenDashboardDelayedRender(input FileName as character).

   method public logical ImportDashboard(input FileName as character).

   method public ComponentFactory.Krypton.Workspace.KryptonWorkspace TabWorkspaceFromPage(input Page as ComponentFactory.Krypton.Navigator.KryptonPage).

   method public ComponentFactory.Krypton.Workspace.KryptonWorkspace SelectedTabWorkspace().

   method public void AddNewTab(input TabTitle as character).

   method public void DeleteSelectedTab().

   method public void SelectTab(input Index as integer).

   method public void ShowEditTabTitle().

   method public void ShowSetup().

   method public void ShowManagePublished().

   method public void ShowProperties().

   method public void ShowSecurity().

   method public void ShowSelectConnection().

   method public void ShowDataManagement().

   method public void ShowLastRunDetails(input QueryID as character).

   method public void ManageSchedule().

   method public void ShowRegister().

   method public void ShowCalculatedColumns().

   method public void CreateQuery().

   method public void ModifyQuery(input ID as character).

   method public void RefreshQuery(input ID as character).

   method public void RefreshQueries().

   method public void DeleteQuery(input ID as character).

   method public void ShareQuery(input ID as character).

   method public void Print(input showPrintDialog as logical).

   method public void PrintPreview().

   method public void PrintSetup().

   method public void ShowDashboardObjectHTML(input ID as character).

   method public void EditDashboardObject(input ID as character).

   method public logical DeleteDashboardObject(input ID as character, input Prompt as logical).

   method public void RefreshAllObjects().

   method public void RefreshObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject).

   method public void ShowAbout().

   method public void CheckForUpdates().

   method public void ShowHelp().

   method public void CutDashboardObject(input ID as character).

   method public void CopyDashboardObject(input ID as character).

   method public void PasteDashboardObject().

   method public ComponentFactory.Krypton.Toolkit.KryptonContextMenu AddDashboardObjectsContextMenu().

   method public logical IsPageShowing(input PageType as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPageType, input Index as integer).

end interface.
