class DataPAEnterpriseDashboard.DashboardDesigner
   inherits System.Windows.Forms.UserControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl, DataPAEnterpriseDashboard.DashboardDesigner+_DashboardDesigner:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Visible as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ForegroundColor as integer
      get.
      set.

   def public property BackgroundColor as integer
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public property PauseAutoRefresh as logical
      get.
      set.

   def public property ShowAboutMenuItem as logical
      get.
      set.

   def public property NavigatorContextButtonCollection as ComponentFactory.Krypton.Navigator.NavigatorButtonSpecCollection
      get.

   def public property ShowCopyQuery as logical
      get.
      set.

   def public property AboutMenuItemLabel as character
      get.
      set.

   def public property AboutMenuItemLink as character
      get.
      set.

   def public property ViewerOnly as logical
      get.
      set.

   def public property ShowTabs as logical
      get.
      set.

   def public property ShowDataViewersWhenViewerOnly as logical
      get.
      set.

   def public property AllowTabDesignModeWhenViewerOnly as logical
      get.
      set.

   def public property AllowManageConnections as logical
      get.

   def public property PreparingPrint as logical
      get.

   def public property DebugLogging as logical
      get.
      set.

   def public property DelayedRender as logical
      get.
      set.

   def public property DataPAApplication as DataPA.Application
      get.
      set.

   def public property RunDataPAApplication as RunDataPA.Application
      get.
      set.

   def public property SavedLoginDetails as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property Initialised as logical
      get.

   def public property HasDashboard as logical
      get.

   def public property HasQueries as logical
      get.

   def public property HasData as logical
      get.

   def public property HasTabs as logical
      get.

   def public property RefreshingQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public property SelectedQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public property PublishServer as character
      get.
      set.

   def public property QuerySelected as logical
      get.

   def public property FullScreenMode as logical
      get.
      set.

   def public property IsPublishingDashboard as logical
      get.

   def public property SelectedTab as DataPAEnterpriseDashboard.DashboardTab
      get.

   def public property HasObjects as logical
      get.

   def public property PaletteMode as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPalette
      get.
      set.

   def public property SelectedObject as DataPAEnterpriseDashboard.DashboardObject
      get.

   def public property SelectedTabIndex as integer
      get.

   def public property ClipboardContainsDashboardObject as logical
      get.

   def public property StatusStripVisible as logical
      get.
      set.

   def public property Dashboard as DataPAEnterpriseDashboard.ManagedDashboard
      get.

   def public property DataViewerPages as ComponentFactory.Krypton.Navigator.KryptonPage extent
      get.

   def public property FloatingWindowEnvironment as logical
      get.

   def public property FontListItems as ComponentFactory.Krypton.Toolkit.KryptonListItem extent
      get.

   def public event DashboardOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DashboardClosed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AvailableCommandsChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedQueryChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabsModified signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedTabChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeDrillDown signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.DrillDownEventArgs).

   def public event AfterDrillDown signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.DrillDownEventArgs).

   def public event BeforeHyperlink signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.HyperlinkEventArgs).

   def public event AfterHyperlink signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.HyperlinkEventArgs).

   def public event RequiredFieldValueRequest signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.RequiredFieldValueRequestEventArgs).

   def public event BeforePreparePrint signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterPreparePrint signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DashboardRendered signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeBuildObject signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.BeforeBuildObjectEventArgs).

   def public event BeforeFileDialog signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.FileDialogEventArgs).

   def public event ApplyingDataViewerLayout signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.ApplyingDataViewerLayoutEventArgs).

   def public event ApplyingDataGridLayout signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.ApplyingDataGridLayoutEventArgs).

   def public event PreProcessKeyDown signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.PreProcessKeyDownEventArgs).

   def public event DoubleClickDashboardObject signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.DashboardObjectEventArgs).

   def public event BeforeDashboardPublish signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.DashboardPublishEventArgs).

   def public event AfterDashboardPublish signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.DashboardPublishEventArgs).

   def public event ProcessDataRequest signature void (input sender as System.Object, input e as DataPAEnterpriseDashboard.ProcessDataRequestEventArgs).

   def public override event Click signature void ().

   def public event DblClick signature void ().

   constructor public DashboardDesigner():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public override void Refresh():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override logical ProcessKeyPreview(input m as System.Windows.Forms.Message):
   end method.

   method public final Microsoft.VisualBasic.Collection GetDataViewerKeys():
   end method.

   method public final character GetDataViewerDisplayLayout(input Key as character):
   end method.

   method public final void SetDataViewerDisplayLayout(input Key as character, input Layout as character):
   end method.

   method public final character GetTabLayout(input TabID as character):
   end method.

   method public final void SetTabLayout(input TabID as character, input Layout as character):
   end method.

   method public final character GetDockingLayout():
   end method.

   method public final void SetDockingLayout(input Layout as character):
   end method.

   method public final void RebuildDisplay():
   end method.

   method public final void Initialise():
   end method.

   method public final logical AutoRefreshOnClient():
   end method.

   method public final void SetAutoRefreshOnClient(input value as logical):
   end method.

   method public final void CancelRefreshQuery():
   end method.

   method public final void ShowHideWindow(input Show as logical, input PageType as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPageType, input Index as integer):
   end method.

   method public final logical CreateDashboard():
   end method.

   method public final logical OKToClose():
   end method.

   method public final logical SaveDashboard(input ForseSaveAs as logical):
   end method.

   method public final void PublishDashboard(input DisplayAlert as logical):
   end method.

   method public final void SaveDashboardLayout(input Tab as DataPAEnterpriseDashboard.DashboardTab):
   end method.

   method public final void LoadDashboardLayout(input Tab as DataPAEnterpriseDashboard.DashboardTab):
   end method.

   method public final DataPAEnterpriseDashboard.DashboardObject DashboardObjectFromID(input ID as character):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage DashboardTabPageFromID(input ID as character):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage DashboardObjectPageFromObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject):
   end method.

   method public final Microsoft.VisualBasic.Collection AllPagesFromObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage DashboardObjectPageFromID(input ID as character):
   end method.

   method public final ComponentFactory.Krypton.Navigator.KryptonPage DashboardPageFromID(input ID as character):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspace DashboardWorkspaceFromID(input ID as character):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspace DashboardWorkspaceFromPage(input Page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final logical CloseDashboard(input Force as logical):
   end method.

   method public final void RestoreDockingDefaults():
   end method.

   method public final logical OpenDashboard(input FileName as character):
   end method.

   method public final logical OpenDashboardFromService(input DashboardFile as character, input ErrorMessage as character):
   end method.

   method public final logical OpenDashboardFromByteArray(input data as System.Byte extent, input Silent as logical, input ErrorMessage as character, input DocumentName as character, input ServerFileName as character):
   end method.

   method public final logical OpenDashboardErrorHandled(input FileName as character, input ErrorDescription as character, input SupressErrors as logical):
   end method.

   method public final logical OpenDashboardDelayedRender(input FileName as character):
   end method.

   method public final logical ImportDashboard(input FileName as character):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspace TabWorkspaceFromPage(input Page as ComponentFactory.Krypton.Navigator.KryptonPage):
   end method.

   method public final ComponentFactory.Krypton.Workspace.KryptonWorkspace SelectedTabWorkspace():
   end method.

   method public final void AddNewTab(input TabTitle as character):
   end method.

   method public final void DeleteSelectedTab():
   end method.

   method public final void SelectTab(input Index as integer):
   end method.

   method public final void ShowEditTabTitle():
   end method.

   method public final void ShowSetup():
   end method.

   method public final void ShowManagePublished():
   end method.

   method public final void ShowProperties():
   end method.

   method public final void ShowSecurity():
   end method.

   method public final void ShowSelectConnection():
   end method.

   method public final void ShowDataManagement():
   end method.

   method public final void ShowLastRunDetails(input QueryID as character):
   end method.

   method public final void ManageSchedule():
   end method.

   method public final void ShowRegister():
   end method.

   method public final void ShowCalculatedColumns():
   end method.

   method public final void CreateQuery():
   end method.

   method public final void ModifyQuery(input ID as character):
   end method.

   method public final void RefreshQuery(input ID as character):
   end method.

   method public final void RefreshQueries():
   end method.

   method public final void DeleteQuery(input ID as character):
   end method.

   method public final void ShareQuery(input ID as character):
   end method.

   method public final void Print(input showPrintDialog as logical):
   end method.

   method public final void PrintPreview():
   end method.

   method public final void PrintSetup():
   end method.

   method public final void ShowDashboardObjectHTML(input ID as character):
   end method.

   method public final void EditDashboardObject(input ID as character):
   end method.

   method public final logical DeleteDashboardObject(input ID as character, input Prompt as logical):
   end method.

   method public final void RefreshAllObjects():
   end method.

   method public final void RefreshObject(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject):
   end method.

   method public final void ShowAbout():
   end method.

   method public final void CheckForUpdates():
   end method.

   method public final void ShowHelp():
   end method.

   method public final void CutDashboardObject(input ID as character):
   end method.

   method public final void CopyDashboardObject(input ID as character):
   end method.

   method public final void PasteDashboardObject():
   end method.

   method public final ComponentFactory.Krypton.Toolkit.KryptonContextMenu AddDashboardObjectsContextMenu():
   end method.

   method public final logical IsPageShowing(input PageType as DataPAEnterpriseDashboard.DashboardDesigner+DashboardPageType, input Index as integer):
   end method.

   method protected final override void Finalize():
   end method.

end class.
