class DataPAEnterpriseDashboard.FilterNode
   inherits System.Object
   implements DataPAEnterpriseDashboard.FilterNode+_FilterNode, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Guid as System.Guid
      get.

   def public property ID as character
      get.

   def public property Parent as DataPAEnterpriseDashboard.FilterNodes
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property DisplayValue as character
      get.

   def public property GroupColumn as DataPAEnterpriseDashboard.GroupColumn
      get.

   def public property FilterNodes as DataPAEnterpriseDashboard.FilterNodes
      get.
      set.

   def public property FilterString as character
      get.

   def public property Checked as logical
      get.
      set.

   def public property HasCheckedDescendant as logical
      get.

   def public property Expanded as logical
      get.
      set.

   def public property HasUnCheckedDescendant as logical
      get.

   constructor public FilterNode():
   end constructor.

   constructor public FilterNode(input Parent as DataPAEnterpriseDashboard.FilterNodes, input ColumnName as character, input Value as System.Object):
   end constructor.

   constructor public FilterNode(input Parent as DataPAEnterpriseDashboard.FilterNodes, input ColumnName as character, input Value as System.Object, input Checked as logical):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
