class DataPAServerSecurity.Category
   inherits System.Object
   implements DataPAServerSecurity.Category+_Category, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Name as character
      get.
      set.

   def public property Parent as DataPAServerSecurity.CategoriesCollection
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property SubCategory as logical
      get.

   def public property SubCategories as DataPAServerSecurity.CategoriesCollection
      get.
      set.

   def public property DefaultCategory as logical
      get.
      set.

   constructor public Category():
   end constructor.

   constructor public Category(input Parent as DataPAServerSecurity.CategoriesCollection):
   end constructor.

   constructor public Category(input Name as character):
   end constructor.

   constructor public Category(input Parent as DataPAServerSecurity.CategoriesCollection, input Name as character):
   end constructor.

   constructor public Category(input DefaultCategory as logical):
   end constructor.

   constructor public Category(input Parent as DataPAServerSecurity.CategoriesCollection, input DefaultCategory as logical):
   end constructor.

   constructor public Category(input Name as character, input DefaultCategory as logical):
   end constructor.

   constructor public Category(input Parent as DataPAServerSecurity.CategoriesCollection, input Name as character, input DefaultCategory as logical):
   end constructor.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
