class Infragistics.Documents.Excel.TwoConstraintDataValidationRule
   inherits Infragistics.Documents.Excel.ValueConstraintDataValidationRule
   implements System.ICloneable
   final:

   def public property ValidationOperator as Infragistics.Documents.Excel.TwoConstraintDataValidationOperator
      get.
      set.

   constructor public TwoConstraintDataValidationRule():
   end constructor.

   constructor public TwoConstraintDataValidationRule(input validationOperator as Infragistics.Documents.Excel.TwoConstraintDataValidationOperator, input validationCriteria as Infragistics.Documents.Excel.DataValidationCriteria):
   end constructor.

   method public final character GetLowerConstraintFormula(input address as character):
   end method.

   method public final character GetLowerConstraintFormula(input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final character GetUpperConstraintFormula(input address as character):
   end method.

   method public final character GetUpperConstraintFormula(input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final void SetLowerConstraint(input value as decimal):
   end method.

   method public final void SetLowerConstraint(input value as datetime):
   end method.

   method public final void SetLowerConstraint(input value as System.TimeSpan):
   end method.

   method public final void SetLowerConstraintFormula(input lowerConstraintFormula as character, input address as character):
   end method.

   method public final void SetLowerConstraintFormula(input lowerConstraintFormula as character, input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final void SetUpperConstraint(input value as decimal):
   end method.

   method public final void SetUpperConstraint(input value as datetime):
   end method.

   method public final void SetUpperConstraint(input value as System.TimeSpan):
   end method.

   method public final void SetUpperConstraintFormula(input upperConstraintFormula as character, input address as character):
   end method.

   method public final void SetUpperConstraintFormula(input upperConstraintFormula as character, input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final logical TryGetLowerConstraint(input value as decimal):
   end method.

   method public final logical TryGetLowerConstraint(input value as datetime):
   end method.

   method public final logical TryGetLowerConstraint(input value as System.TimeSpan):
   end method.

   method public final logical TryGetUpperConstraint(input value as decimal):
   end method.

   method public final logical TryGetUpperConstraint(input value as datetime):
   end method.

   method public final logical TryGetUpperConstraint(input value as System.TimeSpan):
   end method.

end class.
