class Infragistics.Documents.Excel.Worksheet
   inherits System.Object
   implements Infragistics.Documents.Excel.IWorksheetShapeOwner:

   def public property Columns as Infragistics.Documents.Excel.WorksheetColumnCollection
      get.

   def public property DataTables as Infragistics.Documents.Excel.WorksheetDataTableCollection
      get.

   def public property DataValidationRules as Infragistics.Documents.Excel.DataValidationRuleCollection
      get.

   def public property DefaultColumnWidth as integer
      get.
      set.

   def public property DefaultRowHeight as integer
      get.
      set.

   def public property DisplayOptions as Infragistics.Documents.Excel.WorksheetDisplayOptions
      get.

   def public property HasProtectionPassword as logical
      get.

   def public property Hyperlinks as Infragistics.Documents.Excel.WorksheetHyperlinkCollection
      get.

   def public property ImageBackground as System.Drawing.Bitmap
      get.
      set.

   def public property Index as integer
      get.

   def public property IsProtected as logical
      get.

   def public property MergedCellsRegions as Infragistics.Documents.Excel.WorksheetMergedCellsRegionCollection
      get.

   def public property Name as character
      get.
      set.

   def public property PrintOptions as Infragistics.Documents.Excel.PrintOptions
      get.

   def public property Protected as logical
      get.
      set.

   def public property Protection as Infragistics.Documents.Excel.WorksheetProtection
      get.

   def public property Rows as Infragistics.Documents.Excel.WorksheetRowCollection
      get.

   def public property Selected as logical
      get.

   def public property Shapes as Infragistics.Documents.Excel.WorksheetShapeCollection
      get.

   def public property Tables as Infragistics.Documents.Excel.WorksheetTableCollection
      get.

   def public property Workbook as Infragistics.Documents.Excel.Workbook
      get.

   method public final void Protect(input password as character, input allowDeletingColumns as logical, input allowDeletingRows as logical, input allowEditObjects as logical, input allowEditScenarios as logical, input allowFiltering as logical, input allowFormattingCells as logical, input allowFormattingColumns as logical, input allowFormattingRows as logical, input allowInsertingColumns as logical, input allowInsertingHyperlinks as logical, input allowInsertingRows as logical, input allowSorting as logical, input allowUsingPivotTables as logical):
   end method.

   method public final void Protect(input password as System.Security.SecureString, input allowDeletingColumns as logical, input allowDeletingRows as logical, input allowEditObjects as logical, input allowEditScenarios as logical, input allowFiltering as logical, input allowFormattingCells as logical, input allowFormattingColumns as logical, input allowFormattingRows as logical, input allowInsertingColumns as logical, input allowInsertingHyperlinks as logical, input allowInsertingRows as logical, input allowSorting as logical, input allowUsingPivotTables as logical):
   end method.

   method public final void Unprotect(input password as character):
   end method.

   method public final void Unprotect(input password as System.Security.SecureString):
   end method.

   method public final void ClearConditionalFormattingData():
   end method.

   method public final void DeleteCells(input region as Infragistics.Documents.Excel.WorksheetRegion, input shiftCellsLeft as logical):
   end method.

   method public final void DeleteCells(input address as character, input shiftCellsLeft as logical):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetCell GetCell(input address as character):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetCell GetCell(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetCell GetCell(input address as character, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetCell GetCell(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final decimal GetDefaultColumnWidth(input units as Infragistics.Documents.Excel.WorksheetColumnWidthUnit):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion GetRegion(input address as character):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion GetRegion(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion GetRegion(input address as character, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion GetRegion(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion extent GetRegions(input address as character):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion extent GetRegions(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion extent GetRegions(input address as character, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetRegion extent GetRegions(input address as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input originCell as Infragistics.Documents.Excel.WorksheetCell):
   end method.

   method public final void InsertCells(input region as Infragistics.Documents.Excel.WorksheetRegion, input shiftCellsRight as logical):
   end method.

   method public final void InsertCells(input address as character, input shiftCellsRight as logical):
   end method.

   method public final void HideColumns(input startIndex as integer, input count as integer):
   end method.

   method public final void HideRows(input startIndex as integer, input count as integer):
   end method.

   method public final void MoveToIndex(input index as integer):
   end method.

   method public final void Protect(input allowDeletingColumns as logical, input allowDeletingRows as logical, input allowEditObjects as logical, input allowEditScenarios as logical, input allowFiltering as logical, input allowFormattingCells as logical, input allowFormattingColumns as logical, input allowFormattingRows as logical, input allowInsertingColumns as logical, input allowInsertingHyperlinks as logical, input allowInsertingRows as logical, input allowSorting as logical, input allowUsingPivotTables as logical):
   end method.

   method public final void SetDefaultColumnWidth(input value as decimal, input units as Infragistics.Documents.Excel.WorksheetColumnWidthUnit):
   end method.

   method public final void UnhideColumns(input startIndex as integer, input count as integer):
   end method.

   method public final void UnhideRows(input startIndex as integer, input count as integer):
   end method.

   method public final void Unprotect():
   end method.

end class.
