class Infragistics.Documents.Excel.WorksheetCell
   inherits System.Object
   implements Infragistics.Documents.Excel.ICellFormatOwner, System.IComparable, Infragistics.Documents.Excel.IFormattedStringOwner
   final:

   def public property AssociatedDataTable as Infragistics.Documents.Excel.WorksheetDataTable
      get.

   def public property AssociatedMergedCellsRegion as Infragistics.Documents.Excel.WorksheetMergedCellsRegion
      get.

   def public property AssociatedTable as Infragistics.Documents.Excel.WorksheetTable
      get.

   def public property CellFormat as Infragistics.Documents.Excel.IWorksheetCellFormat
      get.

   def public property HasCellFormat as logical
      get.

   def public property ColumnIndex as integer
      get.

   def public property Comment as Infragistics.Documents.Excel.WorksheetCellComment
      get.
      set.

   def public property DataValidationRule as Infragistics.Documents.Excel.DataValidationRule
      get.
      set.

   def public property HasComment as logical
      get.

   def public property Formula as Infragistics.Documents.Excel.Formula
      get.

   def public property RowIndex as integer
      get.

   def public property Value as System.Object
      get.
      set.

   def public property Worksheet as Infragistics.Documents.Excel.Worksheet
      get.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public final void ApplyFormula(input value as character):
   end method.

   method public final void ClearComment():
   end method.

   method public final System.Drawing.Rectangle GetBoundsInTwips():
   end method.

   method public final System.Drawing.Rectangle GetBoundsInTwips(input options as Infragistics.Documents.Excel.PositioningOptions):
   end method.

   method public final static character GetCellAddressString(input worksheetRow as Infragistics.Documents.Excel.WorksheetRow, input columnIndex as integer, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input includeWorksheetName as logical):
   end method.

   method public final static character GetCellAddressString(input worksheetRow as Infragistics.Documents.Excel.WorksheetRow, input columnIndex as integer, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input includeWorksheetName as logical, input useRelativeColumn as logical, input useRelativeRow as logical):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetHyperlink GetHyperlink():
   end method.

   method public final character GetText():
   end method.

   method public final character GetText(input textFormatMode as Infragistics.Documents.Excel.TextFormatMode):
   end method.

   method public final Infragistics.Documents.Excel.IWorksheetCellFormat GetResolvedCellFormat():
   end method.

   method public final static logical IsCellTypeSupported(input cellType as System.Type):
   end method.

   method public final character ToString(input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input includeWorksheetName as logical):
   end method.

   method public final character ToString(input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input includeWorksheetName as logical, input useRelativeColumn as logical, input useRelativeRow as logical):
   end method.

   method public final logical ValidateValue():
   end method.

end class.
