class Infragistics.Documents.Excel.WorksheetProtectedRange
   inherits System.Object:

   def public property SecurityDescriptor as character
      get.
      set.

   def public property HasPassword as logical
      get.

   def public property IsProtected as logical
      get.

   def public property Ranges as System.Collections.Generic.ICollection
      get.

   def public property Title as character
      get.
      set.

   def public property Worksheet as Infragistics.Documents.Excel.Worksheet
      get.

   constructor public WorksheetProtectedRange(input name as character, input password as character):
   end constructor.

   constructor public WorksheetProtectedRange(input name as character, input password as System.Security.SecureString):
   end constructor.

   constructor public WorksheetProtectedRange(input title as character):
   end constructor.

   method public final void SetSecurityDescriptor(input permissions as Infragistics.Documents.Excel.WorksheetProtectedRangeUserPermission extent):
   end method.

   method public final void SetPassword(input password as character):
   end method.

   method public final void SetPassword(input password as System.Security.SecureString):
   end method.

   method public final void Unprotect(input password as character):
   end method.

   method public final void Unprotect(input password as System.Security.SecureString):
   end method.

end class.
