class Infragistics.Documents.Reports.Graphics.Image
   inherits Infragistics.Documents.Reports.SealableBase
   implements Infragistics.Documents.Reports.ISealable:

   def protected variable _width as integer.

   def protected variable _height as integer.

   def protected variable _data as System.Byte extent.

   def protected variable _alphaChannel as System.Byte extent.

   def protected variable _original as System.Byte extent.

   def protected variable _preferences as Infragistics.Documents.Reports.Graphics.ImagePreferences.

   def protected variable _nativeImage as System.WeakReference.

   def protected variable _marker as Infragistics.Documents.Reports.Utils.IMarker.

   def public property Data as System.Byte extent
      get.

   def protected property AlphaChannel as System.Byte extent
      get.

   def public property Height as integer
      get.

   def public property Preferences as Infragistics.Documents.Reports.Graphics.ImagePreferences
      get.

   def public property Width as integer
      get.

   constructor public Image(input source as character):
   end constructor.

   constructor protected Image():
   end constructor.

   constructor public Image(input stream as System.IO.Stream):
   end constructor.

   constructor public Image(input width as integer, input height as integer):
   end constructor.

   constructor public Image(input width as integer, input height as integer, input data as System.Byte extent):
   end constructor.

   constructor public Image(input image as System.Drawing.Image):
   end constructor.

   constructor public Image(input image as System.Drawing.Image, input transparentMapColor as Infragistics.Documents.Reports.Graphics.Color):
   end constructor.

   constructor public Image(input image as System.Drawing.Image, input enablePixelTransparency as logical):
   end constructor.

   method protected System.Byte extent GetData():
   end method.

   method public final void Attach(input fb as Infragistics.Documents.Reports.Utils.FileBuffer):
   end method.

   method public final void Detach():
   end method.

   method public final decimal GetPhotoFactor():
   end method.

   method public Infragistics.Documents.Reports.Graphics.Color GetPixel(input x as integer, input y as integer):
   end method.

   method public void SetPixel(input x as integer, input y as integer, input color as Infragistics.Documents.Reports.Graphics.Color):
   end method.

   method public final static System.Drawing.Imaging.ImageCodecInfo GetEncoderInfo(input mimeType as character):
   end method.

   method public override void Seal():
   end method.

end class.
