class Infragistics.Documents.Reports.Graphics.Matrix
   inherits Infragistics.Documents.Reports.SealableBase
   implements Infragistics.Documents.Reports.ISealable:

   def public property IsIdentity as logical
      get.

   def public property M11 as decimal
      get.
      set.

   def public property M12 as decimal
      get.
      set.

   def public property M21 as decimal
      get.
      set.

   def public property M22 as decimal
      get.
      set.

   def public property OffsetX as decimal
      get.
      set.

   def public property OffsetY as decimal
      get.
      set.

   def public static property Identity as Infragistics.Documents.Reports.Graphics.Matrix
      get.

   constructor public Matrix():
   end constructor.

   constructor public Matrix(input m11 as decimal, input m12 as decimal, input m21 as decimal, input m22 as decimal, input offsetX as decimal, input offsetY as decimal):
   end constructor.

   constructor public Matrix(input matrix as System.Drawing.Drawing2D.Matrix):
   end constructor.

   method public final System.Drawing.Drawing2D.Matrix ToNative():
   end method.

   method public final override Infragistics.Documents.Reports.Graphics.Matrix Clone():
   end method.

   method public final void Multiply(input matrix as Infragistics.Documents.Reports.Graphics.Matrix):
   end method.

   method public final void Multiply(input matrix as Infragistics.Documents.Reports.Graphics.Matrix, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void Reset():
   end method.

   method public final void Rotate(input angle as decimal):
   end method.

   method public final void Rotate(input angle as decimal, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void RotateAt(input angle as decimal, input center as Infragistics.Documents.Reports.Graphics.Point):
   end method.

   method public final void RotateAt(input angle as decimal, input center as Infragistics.Documents.Reports.Graphics.Point, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void ScaleAt(input scaleX as decimal, input scaleY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point):
   end method.

   method public final void ScaleAt(input scaleX as decimal, input scaleY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void Shear(input shearX as decimal, input shearY as decimal):
   end method.

   method public final void Shear(input shearX as decimal, input shearY as decimal, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void ShearAt(input shearX as decimal, input shearY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point):
   end method.

   method public final void ShearAt(input shearX as decimal, input shearY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void Skew(input skewX as decimal, input skewY as decimal):
   end method.

   method public final void Skew(input skewX as decimal, input skewY as decimal, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final void SkewAt(input skewX as decimal, input skewY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point):
   end method.

   method public final void SkewAt(input skewX as decimal, input skewY as decimal, input center as Infragistics.Documents.Reports.Graphics.Point, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

   method public final Infragistics.Documents.Reports.Graphics.Point TransformPoint(input x as decimal, input y as decimal):
   end method.

   method public final Infragistics.Documents.Reports.Graphics.Point TransformPoint(input point as Infragistics.Documents.Reports.Graphics.Point):
   end method.

   method public final void TransformPoints(input points as Infragistics.Documents.Reports.Graphics.Point extent):
   end method.

   method public final void TransformPoints(input points as Infragistics.Documents.Reports.Graphics.PointCollection):
   end method.

   method public final void Translate(input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final void Translate(input offsetX as decimal, input offsetY as decimal, input order as Infragistics.Documents.Reports.Graphics.MatrixOrder):
   end method.

end class.
