class Infragistics.Documents.Reports.Graphics.Pen
   inherits Infragistics.Documents.Reports.SealableBase
   implements Infragistics.Documents.Reports.ISealable:

   def public property Cap as Infragistics.Documents.Reports.Graphics.LineCap
      get.
      set.

   def public property Color as Infragistics.Documents.Reports.Graphics.Color
      get.
      set.

   def public property Join as Infragistics.Documents.Reports.Graphics.LineJoin
      get.
      set.

   def public property MiterLimit as decimal
      get.
      set.

   def public property Style as Infragistics.Documents.Reports.Graphics.DashStyle
      get.
      set.

   def public property Width as decimal
      get.
      set.

   constructor public Pen(input color as Infragistics.Documents.Reports.Graphics.Color):
   end constructor.

   constructor public Pen(input color as Infragistics.Documents.Reports.Graphics.Color, input width as decimal):
   end constructor.

   constructor public Pen(input color as Infragistics.Documents.Reports.Graphics.Color, input style as Infragistics.Documents.Reports.Graphics.DashStyle):
   end constructor.

   constructor public Pen(input color as Infragistics.Documents.Reports.Graphics.Color, input width as decimal, input style as Infragistics.Documents.Reports.Graphics.DashStyle):
   end constructor.

   constructor public Pen(input color as Infragistics.Documents.Reports.Graphics.Color, input width as decimal, input style as Infragistics.Documents.Reports.Graphics.DashStyle, input cap as Infragistics.Documents.Reports.Graphics.LineCap, input join as Infragistics.Documents.Reports.Graphics.LineJoin, input miterLimit as decimal):
   end constructor.

   constructor public Pen(input pen as System.Drawing.Pen):
   end constructor.

   method public final logical Equals(input pen as Infragistics.Documents.Reports.Graphics.Pen):
   end method.

end class.
