interface Infragistics.Documents.Reports.Report.Section.ISection:

   def public property Flip as logical
      get.
      set.

   def public property PageSize as Infragistics.Documents.Reports.Report.PageSize
      get.
      set.

   def public property PageOrientation as Infragistics.Documents.Reports.Report.PageOrientation
      get.
      set.

   def public property PageAlignment as Infragistics.Documents.Reports.Report.ContentAlignment
      get.
      set.

   def public property PageBorders as Infragistics.Documents.Reports.Report.Borders
      get.
      set.

   def public property PageMargins as Infragistics.Documents.Reports.Report.Margins
      get.
      set.

   def public property PagePaddings as Infragistics.Documents.Reports.Report.Paddings
      get.
      set.

   def public property PageBackground as Infragistics.Documents.Reports.Report.Background
      get.
      set.

   def public property PageNumbering as Infragistics.Documents.Reports.Report.Section.PageNumbering
      get.
      set.

   def public property LineNumbering as Infragistics.Documents.Reports.Report.Section.SectionLineNumbering
      get.
      set.

   def public property Parent as Infragistics.Documents.Reports.Report.Report
      get.

   def public property Content as System.Collections.IEnumerable
      get.

   method public Infragistics.Documents.Reports.Report.Section.ISectionHeader AddHeader().

   method public Infragistics.Documents.Reports.Report.Section.ISectionFooter AddFooter().

   method public Infragistics.Documents.Reports.Report.Section.IStationery AddStationery().

   method public Infragistics.Documents.Reports.Report.Section.IDecoration AddDecoration().

   method public Infragistics.Documents.Reports.Report.Section.ISectionPage AddPage().

   method public Infragistics.Documents.Reports.Report.Section.ISectionPage AddPage(input size as Infragistics.Documents.Reports.Report.PageSize).

   method public Infragistics.Documents.Reports.Report.Section.ISectionPage AddPage(input width as decimal, input height as decimal).

   method public Infragistics.Documents.Reports.Report.Segment.ISegment AddSegment().

   method public Infragistics.Documents.Reports.Report.QuickText.IQuickText AddQuickText(input text as character).

   method public Infragistics.Documents.Reports.Report.IQuickImage AddQuickImage(input image as Infragistics.Documents.Reports.Graphics.Image).

   method public Infragistics.Documents.Reports.Report.QuickList.IQuickList AddQuickList().

   method public Infragistics.Documents.Reports.Report.QuickTable.IQuickTable AddQuickTable().

   method public Infragistics.Documents.Reports.Report.Text.IText AddText().

   method public Infragistics.Documents.Reports.Report.IImage AddImage(input image as Infragistics.Documents.Reports.Graphics.Image).

   method public Infragistics.Documents.Reports.Report.IMetafile AddMetafile(input metafile as Infragistics.Documents.Reports.Graphics.Metafile).

   method public Infragistics.Documents.Reports.Report.IRule AddRule().

   method public Infragistics.Documents.Reports.Report.IGap AddGap().

   method public Infragistics.Documents.Reports.Report.IGroup AddGroup().

   method public Infragistics.Documents.Reports.Report.IChain AddChain().

   method public Infragistics.Documents.Reports.Report.Band.IBand AddBand().

   method public Infragistics.Documents.Reports.Report.Table.ITable AddTable().

   method public Infragistics.Documents.Reports.Report.Grid.IGrid AddGrid().

   method public Infragistics.Documents.Reports.Report.Flow.IFlow AddFlow().

   method public Infragistics.Documents.Reports.Report.List.IList AddList().

   method public Infragistics.Documents.Reports.Report.Tree.ITree AddTree().

   method public Infragistics.Documents.Reports.Report.ISite AddSite().

   method public Infragistics.Documents.Reports.Report.ICanvas AddCanvas().

   method public Infragistics.Documents.Reports.Report.IRotator AddRotator().

   method public Infragistics.Documents.Reports.Report.IContainer AddContainer(input name as character).

   method public Infragistics.Documents.Reports.Report.ICondition AddCondition(input container as Infragistics.Documents.Reports.Report.IContainer, input fit as logical).

   method public Infragistics.Documents.Reports.Report.IStretcher AddStretcher().

   method public void AddPageBreak().

   method public Infragistics.Documents.Reports.Report.TOC.ITOC AddTOC().

   method public Infragistics.Documents.Reports.Report.Index.IIndex AddIndex().

end interface.
