class Infragistics.Shared.KeyedSubObjectBase
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject
   abstract:

   def public property Key as character
      get.
      set.

   def protected property PrimaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase
      get.
      set.

   def protected property KeyLowercaseInterned as character
      get.

   constructor protected KeyedSubObjectBase():
   end constructor.

   constructor protected KeyedSubObjectBase(input key as character):
   end constructor.

   method public logical ShouldSerializeKey():
   end method.

   method public void ResetKey():
   end method.

   method protected void OnRemovedFromCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected void OnAddedToCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected final void ResetInternedKey():
   end method.

end class.
