class Infragistics.Shared.SparseCollectionBase
   inherits System.Object
   implements System.Collections.ICollection, System.Collections.IEnumerable
   abstract:

   def public property SyncRoot as System.Object
      get.

   def public property IsSynchronized as logical
      get.

   def public abstract property IsReadOnly as logical
      get.

   def public property Count as integer
      get.

   def public property All as System.Object extent
      get.
      set.

   constructor protected SparseCollectionBase():
   end constructor.

   method public System.Object GetItem(input index as integer):
   end method.

   method public void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final logical Contains(input obj as System.Object):
   end method.

   method public integer IndexOf(input obj as System.Object):
   end method.

   method protected System.Object extent CreateArray():
   end method.

   method protected final integer InternalAdd(input obj as System.Object):
   end method.

   method protected final void InternalInsert(input index as integer, input obj as System.Object):
   end method.

   method protected final void InternalClear():
   end method.

   method protected final void InternalRemove(input item as System.Object):
   end method.

   method protected final void InternalRemove(input index as integer):
   end method.

   method protected final void InternalAddRange(input collection as System.Collections.ICollection):
   end method.

   method protected final void Sort(input comparer as System.Collections.IComparer):
   end method.

end class.
