class Infragistics.Shared.SubObjectBase
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable
   abstract:

   def protected static variable TagSerializationName as character.

   def protected variable tagValue as System.Object.

   def protected property SubObjectPropChangeHandler as Infragistics.Shared.SubObjectPropChangeEventHandler
      get.

   def public property Tag as System.Object
      get.
      set.

   def public property ForceApplyResources as character
      get.
      set.

   def public event SubObjectPropChanged signature void (input propChange as Infragistics.Shared.PropChangeInfo).

   def public event SubObjectDisposed signature void (input notifier as Infragistics.Shared.SubObjectBase).

   constructor protected SubObjectBase():
   end constructor.

   method protected void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void OnObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void NotifyPropChange(input propId as System.Enum):
   end method.

   method public final void NotifyPropChange(input propId as System.Enum, input trigger as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void NotifyPropChange(input trigger as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final logical ShouldSerializeTag():
   end method.

   method protected final void ResetTag():
   end method.

   method protected final void InitializeTag(input tagValue as System.Object):
   end method.

   method protected override void OnDispose():
   end method.

   method protected final void SerializeTag(input info as System.Runtime.Serialization.SerializationInfo, input name as character):
   end method.

   method protected final void SerializeTag(input info as System.Runtime.Serialization.SerializationInfo):
   end method.

   method protected final void DeserializeTag(input entry as System.Runtime.Serialization.SerializationEntry):
   end method.

   method protected final void DeserializeTag(input info as System.Runtime.Serialization.SerializationInfo, input name as character):
   end method.

   method protected final void DeserializeTag(input info as System.Runtime.Serialization.SerializationInfo):
   end method.

end class.
