class Infragistics.UltraChart.Core.Primitives.DataPoint
   inherits Infragistics.UltraChart.Core.Primitives.Primitive
   implements System.ICloneable:

   def public variable point as System.Drawing.Point.

   def public variable hitTestRadius as integer.

   def public property PolylineParent as Infragistics.UltraChart.Core.Primitives.Polyline
      get.
      set.

   constructor public DataPoint():
   end constructor.

   constructor public DataPoint(input p as System.Drawing.Point):
   end constructor.

   constructor public DataPoint(input x as integer, input y as integer):
   end constructor.

   method public override logical HitTest(input point as System.Drawing.Point):
   end method.

   method public override void Highlight(input scene as Infragistics.UltraChart.Core.SceneGraph, input outlineColor as System.Drawing.Color, input fillColor as System.Drawing.Color):
   end method.

   method public final override Infragistics.UltraChart.Core.Primitives.DataPoint Clone():
   end method.

end class.
