class Infragistics.UltraChart.Resources.Appearance.BorderAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property Color as System.Drawing.Color
      get.
      set.

   def public property Thickness as integer
      get.
      set.

   def public property CornerRadius as integer
      get.
      set.

   def public property Raised as logical
      get.
      set.

   def public property DrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   constructor public BorderAppearance():
   end constructor.

   constructor public BorderAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeColor():
   end method.

   method public final void ResetColor():
   end method.

   method protected final logical ShouldSerializeThickness():
   end method.

   method public final void ResetThickness():
   end method.

   method protected final logical ShouldSerializeCornerRadius():
   end method.

   method public final void ResetCornerRadius():
   end method.

   method protected final logical ShouldSerializeRaised():
   end method.

   method public final void ResetRaised():
   end method.

   method protected final logical ShouldSerializeDrawStyle():
   end method.

   method public final void ResetDrawStyle():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method public final override Infragistics.UltraChart.Resources.Appearance.BorderAppearance Clone():
   end method.

end class.
