class Infragistics.UltraChart.Resources.Appearance.ChartTextAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.IComparable:

   def public property Row as integer
      get.
      set.

   def public property Column as integer
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property ChartTextFont as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property ItemFormatString as character
      get.
      set.

   def public property HorizontalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property VerticalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property PositionFromRadius as integer
      get.
      set.

   constructor public ChartTextAppearance():
   end constructor.

   constructor public ChartTextAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent, input rowPara as integer, input colPara as integer, input visiblePara as logical, input chartTextFontPara as System.Drawing.Font, input fontColorPara as System.Drawing.Color, input itemFormatStringPara as character, input vertAlignPara as System.Drawing.StringAlignment, input horzAlignPara as System.Drawing.StringAlignment, input positionFromRadiusPara as integer):
   end constructor.

   method public final override Infragistics.UltraChart.Resources.Appearance.ChartTextAppearance Clone():
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final logical Match(input IRow as integer, input IColumn as integer):
   end method.

   method public final integer CompareTo(input other as System.Object):
   end method.

   method protected final logical ShouldSerializeRow():
   end method.

   method public final void ResetHingeRow():
   end method.

   method protected final logical ShouldSerializeColumn():
   end method.

   method public final void ResetHingeColumn():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeChartTextFont():
   end method.

   method public final void ResetChartTextFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeItemFormatString():
   end method.

   method public final void ResetItemFormatString():
   end method.

   method protected final logical ShouldSerializeHorizontalAlign():
   end method.

   method public final void ResetHorizontalAlign():
   end method.

   method protected final logical ShouldSerializeVerticalAlign():
   end method.

   method public final void ResetVerticalAlign():
   end method.

   method protected final logical ShouldSerializePositionFromRadius():
   end method.

   method public final void ResetPositionFromRadius():
   end method.

   method public override logical ShouldSerialize():
   end method.

end class.
