class Infragistics.Win.AdjustableUIElement
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def protected variable initialUpDownAdjustmentPointInBottomBorder as logical.

   def protected variable initialLeftRightAdjustmentPointInRightBorder as logical.

   def protected property SupportsUpDownAdjustments as logical
      get.

   def protected property SupportsUpDownAdjustmentsFromTopBorder as logical
      get.

   def protected property SupportsUpDownAdjustmentsFromBottomBorder as logical
      get.

   def protected property SupportsLeftRightAdjustments as logical
      get.

   def protected property SupportsLeftRightAdjustmentsFromLeftBorder as logical
      get.

   def protected property SupportsLeftRightAdjustmentsFromRightBorder as logical
      get.

   def protected property DrawAdjustmentBarWhileSizing as logical
      get.

   def public override property Adjustable as logical
      get.

   def protected property UseFloatingDragIndicatorWindow as logical
      get.

   def protected property ShouldProcessMouseDown as logical
      get.

   def protected property AdjustForControlPosition as logical
      get.

   def public event ElementAdjusted signature void (input sender as System.Object, input e as Infragistics.Win.UIElementAdjustedEventArgs).

   constructor public AdjustableUIElement(input parent as Infragistics.Win.UIElement, input supportsLeftRightAdjustments as logical, input supportsUpDownAdjustments as logical):
   end constructor.

   method public logical SupportsUpDownAdjustmentsFromPoint(input point as System.Drawing.Point):
   end method.

   method public logical SupportsLeftRightAdjustmentsFromPoint(input point as System.Drawing.Point):
   end method.

   method public override logical PointInAdjustableArea(input point as System.Drawing.Point):
   end method.

   method public override System.Windows.Forms.Cursor GetAdjustableCursor(input point as System.Drawing.Point):
   end method.

   method public override void GetAdjustmentRange(input point as System.Drawing.Point, input range as Infragistics.Win.UIElementAdjustmentRangeParams):
   end method.

   method protected logical CanStartAdjustment(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs, input adjustableArea as logical, input captureMouseForElement as Infragistics.Win.UIElement):
   end method.

   method protected void OnElementAdjustmentStart(input isUpDownAdjustment as logical, input initialUpDownAdjustmentPointInBottomBorder as logical, input isLeftRightAdjustment as logical, input initialLeftRightAdjustmentPointInRightBorder as logical):
   end method.

   method protected final void InvertHorizontalBar():
   end method.

   method protected final void InvertVerticalBar():
   end method.

   method protected void InvertRect(input rect as System.Drawing.Rectangle):
   end method.

   method protected void InvertLine(input rect as System.Drawing.Rectangle):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnNewDeltaX(input newDeltaX as integer):
   end method.

   method protected void OnNewDeltaY(input newDeltaY as integer):
   end method.

   method protected override logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void ApplyAdjustment(input delta as System.Drawing.Point):
   end method.

   method public void OnElementAdjustmentAborted():
   end method.

   method public void OnElementAdjusted(input delta as System.Drawing.Point):
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method protected final void AdjustRangeForRightToLeft(input range as Infragistics.Win.UIElementAdjustmentRangeParams):
   end method.

end class.
