class Infragistics.Win.AppStyling.AppStyledDialogBase
   inherits System.Windows.Forms.Form
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl
   abstract:

   def public property StyleLibraryName as character
      get.
      set.

   def public property StyleSetName as character
      get.
      set.

   def public property UseAppStyling as logical
      get.
      set.

   def protected property NonAppStyledControls as System.Collections.Generic.Dictionary
      get.

   constructor protected AppStyledDialogBase():
   end constructor.

   constructor protected AppStyledDialogBase(input role as Infragistics.Win.AppStyling.ComponentRole):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void SetApplicationStylingProperties(input styleLibraryName as character, input styleSetName as character, input useAppStyling as logical):
   end method.

   method protected void OnStyleLibraryNameChanged(input styleLibraryName as character):
   end method.

   method protected void OnStyleSetNameChanged(input styleSetName as character):
   end method.

   method protected void OnUseAppStylingChanged(input useAppStyling as logical):
   end method.

end class.
