class Infragistics.Win.AppStyling.StyleManager
   inherits System.Object:

   def public static property Default as Infragistics.Win.AppStyling.StyleManager
      get.

   def public static property DefaultStyleSetName as character
      get.
      set.

   def public static property Office2007ColorScheme as Infragistics.Win.Office2007ColorScheme
      get.
      set.

   def public static property Office2007CustomBlendColor as System.Drawing.Color
      get.
      set.

   def public static property Office2010ColorScheme as Infragistics.Win.Office2010ColorScheme
      get.
      set.

   def public static property Office2010CustomBlendColor as System.Drawing.Color
      get.
      set.

   def public static property Office2013ColorScheme as Infragistics.Win.Office2013ColorScheme
      get.
      set.

   def public static property Office2013CustomBlendColor as System.Drawing.Color
      get.
      set.

   def public property Version as integer
      get.

   def public static event StyleChanged signature void (input sender as System.Object, input e as Infragistics.Win.AppStyling.StyleChangedEventArgs).

   method public final static character GetDefaultStyleSetName(input styleLibraryName as character):
   end method.

   method public final static void SetDefaultStyleSetName(input styleLibraryName as character, input newDefaultStyleSetName as character):
   end method.

   method public final static void DisableDesignerDefaultStyleSetName():
   end method.

   method public final static void DisableDesignerDefaultStyleSetName(input styleLibraryName as character):
   end method.

   method public final static void EnableDesignerDefaultStyleSetName():
   end method.

   method public final static void EnableDesignerDefaultStyleSetName(input styleLibraryName as character):
   end method.

   method public final static Infragistics.Win.AppStyling.StyleManager FromName(input styleName as character):
   end method.

   method public final static Infragistics.Win.AppStyling.StyleManager FromName(input styleName as character, input styleLibraryName as character):
   end method.

   method public final static Infragistics.Win.AppStyling.StyleManager FromComponentRole(input component as Infragistics.Win.AppStyling.ComponentRole):
   end method.

   method public final System.Object GetComponentPropertyValue(input componentRoleName as character, input propertyName as character):
   end method.

   method public final System.Object GetSharedObjectPropertyValue(input componentRole as Infragistics.Win.AppStyling.ComponentRole, input sharedObjectName as character, input propertyName as character):
   end method.

   method public final Infragistics.Win.AppStyling.UIRole GetRole(input componentRole as Infragistics.Win.AppStyling.ComponentRole, input roleName as character):
   end method.

   method public final static System.Xml.Schema.XmlSchema GetSchema(input includeEnumValues as logical):
   end method.

   method public final static void Load(input fileName as character):
   end method.

   method public final static void Load(input fileName as character, input validate as logical):
   end method.

   method public final static void Load(input fileName as character, input validate as logical, input styleLibraryName as character):
   end method.

   method public final static void Load(input stream as System.IO.Stream):
   end method.

   method public final static void Load(input stream as System.IO.Stream, input validate as logical):
   end method.

   method public final static void Load(input stream as System.IO.Stream, input validate as logical, input styleLibraryName as character):
   end method.

   method public final static void Reset():
   end method.

   method public final static void Reset(input styleSetName as character):
   end method.

   method public final static void SetDesignerDefaultStyleSetName(input defaultStyleSet as character, input invokeStyleChange as logical):
   end method.

   method public final static void SetDesignerDefaultStyleSetName(input defaultStyleSet as character, input invokeStyleChange as logical, input styleLibraryName as character):
   end method.

   method public final static void VerifyStyleInformationRegistered(input type as System.Type):
   end method.

end class.
