class Infragistics.Win.Appearance
   inherits Infragistics.Win.AppearanceBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.ICloneable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def protected variable dataValue as Infragistics.Win.AppearanceData.

   def public override property Data as Infragistics.Win.AppearanceData
      get.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackColor2 as System.Drawing.Color
      get.
      set.

   def public override property BackColorDisabled as System.Drawing.Color
      get.
      set.

   def public override property BackColorDisabled2 as System.Drawing.Color
      get.
      set.

   def public override property BackColorAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property BackHatchStyle as Infragistics.Win.BackHatchStyle
      get.
      set.

   def public override property BackGradientAlignment as Infragistics.Win.GradientAlignment
      get.
      set.

   def public override property BackGradientStyle as Infragistics.Win.GradientStyle
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property ForeColorDisabled as System.Drawing.Color
      get.
      set.

   def public override property ForegroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property BorderColor as System.Drawing.Color
      get.
      set.

   def public override property BorderColor2 as System.Drawing.Color
      get.
      set.

   def public override property BorderColor3DBase as System.Drawing.Color
      get.
      set.

   def public override property BorderAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property TextTrimming as Infragistics.Win.TextTrimming
      get.
      set.

   def public override property TextHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public override property TextVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public override property ImageHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public override property ImageVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public override property FontData as Infragistics.Win.FontData
      get.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public override property Image as System.Object
      get.
      set.

   def public override property ImageAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property ImageBackground as System.Drawing.Image
      get.
      set.

   def public override property ImageBackgroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property ImageBackgroundOrigin as Infragistics.Win.ImageBackgroundOrigin
      get.
      set.

   def public override property ImageBackgroundStyle as Infragistics.Win.ImageBackgroundStyle
      get.
      set.

   def public override property AlphaLevel as integer
      get.
      set.

   def public override property ThemedElementAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public override property HasFontData as logical
      get.

   def public override property ImageBackgroundStretchMargins as Infragistics.Win.ImageBackgroundStretchMargins
      get.
      set.

   def public override property NonDefaultSettings as Infragistics.Win.AppearancePropFlags
      get.

   def public override property ImageBackgroundDisabled as System.Drawing.Image
      get.
      set.

   def public override property StyleLibraryName as character
      get.
      set.

   def public override property StyleResourceName as character
      get.
      set.

   constructor public Appearance():
   end constructor.

   constructor public Appearance(input sourceData as Infragistics.Win.AppearanceData):
   end constructor.

   constructor public Appearance(input key as character):
   end constructor.

   constructor public Appearance(input key as character, input id as integer):
   end constructor.

   constructor public Appearance(input id as integer):
   end constructor.

   constructor protected Appearance(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override logical ShouldSerialize():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override System.Object Clone():
   end method.

   method public override character ToString():
   end method.

   method public override void MergeData(input target as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override void Reset():
   end method.

   method public override logical ShouldSerializeFontData():
   end method.

   method public override void ResetFontData():
   end method.

   method public override System.Drawing.Image GetImage(input imageList as System.Windows.Forms.ImageList):
   end method.

   method protected override void OnDispose():
   end method.

   method public override logical HasPropertyBeenSet(input requestedProp as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override logical HavePropertiesBeenSet(input propertiesToCheck as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font, input scalingFactor as decimal):
   end method.

   method public override System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method public override System.Drawing.Image GetImageBackground(input enabled as logical):
   end method.

   method protected void InitializeFrom(input source as Infragistics.Win.Appearance):
   end method.

end class.
