class Infragistics.Win.AppearanceData
   inherits System.ValueType
   final:

   def public property BackColorAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property BackHatchStyle as Infragistics.Win.BackHatchStyle
      get.
      set.

   def public property BackGradientAlignment as Infragistics.Win.GradientAlignment
      get.
      set.

   def public property BackGradientStyle as Infragistics.Win.GradientStyle
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BackColor2 as System.Drawing.Color
      get.
      set.

   def public property BackColorDisabled as System.Drawing.Color
      get.
      set.

   def public property BackColorDisabled2 as System.Drawing.Color
      get.
      set.

   def public property AlphaLevel as integer
      get.
      set.

   def public property ForegroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property ForeColorDisabled as System.Drawing.Color
      get.
      set.

   def public property BorderAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor2 as System.Drawing.Color
      get.
      set.

   def public property BorderColor3DBase as System.Drawing.Color
      get.
      set.

   def public property FontData as Infragistics.Win.FontData
      get.

   def public property HasFontData as logical
      get.

   def public property ImageBackgroundOrigin as Infragistics.Win.ImageBackgroundOrigin
      get.
      set.

   def public property ImageBackgroundStyle as Infragistics.Win.ImageBackgroundStyle
      get.
      set.

   def public property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property TextTrimming as Infragistics.Win.TextTrimming
      get.
      set.

   def public property TextHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public property TextVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public property ImageHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public property ImageVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public property ImageBackground as System.Drawing.Image
      get.
      set.

   def public property ImageBackgroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property Image as System.Object
      get.
      set.

   def public property ImageAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property ThemedElementAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public property NonDefaultSettings as Infragistics.Win.AppearancePropFlags
      get.

   def public property ImageBackgroundStretchMargins as Infragistics.Win.ImageBackgroundStretchMargins
      get.
      set.

   def public property ImageBackgroundDisabled as System.Drawing.Image
      get.
      set.

   constructor public AppearanceData():
   end constructor.

   method public final static System.Drawing.ContentAlignment ContentAlignmentFromHVAlign(input halign as Infragistics.Win.HAlign, input valign as Infragistics.Win.VAlign):
   end method.

   method public final static Infragistics.Win.BackHatchStyle ConvertFromHatchStyle(input hatchStyle as System.Drawing.Drawing2D.HatchStyle):
   end method.

   method public final static System.Drawing.Drawing2D.HatchStyle ConvertToHatchStyle(input backHatchStyle as Infragistics.Win.BackHatchStyle):
   end method.

   method public final static void HVAlignFromContentAlignment(input contentAlignment as System.Drawing.ContentAlignment, input halign as Infragistics.Win.HAlign, input valign as Infragistics.Win.VAlign):
   end method.

   method public final static void MergeAppearance(input target as Infragistics.Win.AppearanceData, input source as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final static void Merge(input target as Infragistics.Win.AppearanceData, input source as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font):
   end method.

   method public final System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font, input scalingFactor as decimal):
   end method.

   method public final logical IsSameFont(input appData as Infragistics.Win.AppearanceData):
   end method.

   method public final logical IsSameFont(input baseFont as System.Drawing.Font, input font as System.Drawing.Font):
   end method.

   method public final logical IsSameFont(input baseFont as System.Drawing.Font, input font as System.Drawing.Font, input scalingFactor as decimal):
   end method.

   method public final logical IsSameFont(input baseFont as System.Drawing.Font, input appData as Infragistics.Win.AppearanceData):
   end method.

   method public final void ResetFontData():
   end method.

   method public final System.Drawing.Color GetBackColor(input enabled as logical):
   end method.

   method public final System.Drawing.Color GetBackColor2(input enabled as logical):
   end method.

   method public final System.Drawing.Color GetForeColor(input enabled as logical):
   end method.

   method public final System.Drawing.Image GetImage(input imageList as System.Windows.Forms.ImageList):
   end method.

   method public final System.Drawing.Image GetImageBackground(input enabled as logical):
   end method.

   method public final logical HasPropertyBeenSet(input requestedProp as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final logical HavePropertiesBeenSet(input propertiesToCheck as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final override Infragistics.Win.AppearanceData Clone():
   end method.

end class.
