class Infragistics.Win.AppearancesManager
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.
      set.

   constructor public AppearancesManager(input appearancePropertyIds as System.Enum extent):
   end constructor.

   constructor public AppearancesManager(input collection as Infragistics.Win.AppearancesCollection, input appearancePropertyIds as System.Enum extent):
   end constructor.

   constructor protected AppearancesManager(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final Infragistics.Win.AppearanceBase GetAppearance(input index as integer):
   end method.

   method public final logical HasAppearance(input index as integer):
   end method.

   method public final void Initialize(input collection as Infragistics.Win.AppearancesCollection, input propertyIds as System.Enum extent):
   end method.

   method public final void Reset():
   end method.

   method public final void ResetAppearance(input index as integer):
   end method.

   method public final void MergeAppearance(input index as integer, input appearanceData as Infragistics.Win.AppearanceData, input requestedPropFlags as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void SetAppearance(input index as integer, input appearance as Infragistics.Win.AppearanceBase):
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final logical ShouldSerializeAppearance(input index as integer):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

end class.
