interface Infragistics.Win.CalcEngine.IUltraCalcReference:

   def public property RecalcVisible as logical
      get.
      set.

   def public property RecalcDeferred as logical
      get.
      set.

   def public property HasRelativeIndex as logical
      get.

   def public property HasAbsoluteIndex as logical
      get.

   def public property HasScopeAll as logical
      get.

   def public property IsDataReference as logical
      get.

   def public property Parent as Infragistics.Win.CalcEngine.IUltraCalcReference
      get.

   def public property IsDisposedReference as logical
      get.

   def public property AbsoluteName as character
      get.

   def public property ElementName as character
      get.

   def public property Value as Infragistics.Win.CalcEngine.UltraCalcValue
      get.
      set.

   def public property Formula as Infragistics.Win.CalcEngine.IUltraCalcFormula
      get.

   def public property Context as System.Object
      get.

   def public property References as Infragistics.Win.CalcEngine.IUltraCalcReferenceCollection
      get.

   def public property IsEnumerable as logical
      get.

   def public property NormalizedAbsoluteName as character
      get.

   method public Infragistics.Win.CalcEngine.IUltraCalcReference CreateRange(input fromReference as character, input toReference as character).

   method public Infragistics.Win.CalcEngine.IUltraCalcReference ResolveReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference, input referenceType as Infragistics.Win.CalcEngine.ResolveReferenceType).

   method public void MarkRelativeIndices(input inReference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public logical IsSiblingReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public Infragistics.Win.CalcEngine.IUltraCalcReference extent GetChildReferences(input referenceType as Infragistics.Win.CalcEngine.ChildReferenceType).

   method public Infragistics.Win.CalcEngine.IUltraCalcReference CreateReference(input referenceString as character).

   method public logical ContainsReference(input inReference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public logical IsSubsetReference(input inReference as Infragistics.Win.CalcEngine.IUltraCalcReference).

end interface.
