class Infragistics.Win.CalcEngine.UltraCalcValue
   inherits System.Object
   implements System.IComparable, System.IConvertible:

   def public static variable UseExcelValueCompatibility as logical.

   def public static variable UseExcelFunctionCompatibility as logical.

   def public property IsReference as logical
      get.

   def public property IsError as logical
      get.

   def public property IsNull as logical
      get.

   def public property IsDBNull as logical
      get.

   def public property IsString as logical
      get.

   def public property IsBoolean as logical
      get.

   def public property IsDateTime as logical
      get.

   def public property Value as System.Object
      get.

   def public static property UseExcelFormulaCompatibility as logical
      get.
      set.

   constructor public UltraCalcValue(input value as System.Object):
   end constructor.

   constructor public UltraCalcValue():
   end constructor.

   method public final integer ToInt():
   end method.

   method public final integer ToInt(input provider as System.IFormatProvider):
   end method.

   method public final Infragistics.Win.CalcEngine.IUltraCalcReference ToReference():
   end method.

   method public final Infragistics.Win.CalcEngine.UltraCalcErrorValue ToErrorValue():
   end method.

   method public override character ToString():
   end method.

   method public final static logical AreValuesEqual(input x as Infragistics.Win.CalcEngine.UltraCalcValue, input y as Infragistics.Win.CalcEngine.UltraCalcValue):
   end method.

   method public final integer CompareTo(input value as Infragistics.Win.CalcEngine.UltraCalcValue):
   end method.

   method public final static integer CompareTo(input x as Infragistics.Win.CalcEngine.UltraCalcValue, input y as Infragistics.Win.CalcEngine.UltraCalcValue):
   end method.

   method public final logical IsSameValue(input value as Infragistics.Win.CalcEngine.UltraCalcValue):
   end method.

   method public final System.Object GetResolvedValue():
   end method.

   method public final decimal ToDouble():
   end method.

   method public final decimal ToDouble(input provider as System.IFormatProvider):
   end method.

   method public final logical ToDouble(input result as decimal):
   end method.

   method public final datetime ToDateTime():
   end method.

   method public final datetime ToDateTime(input provider as System.IFormatProvider):
   end method.

   method public final decimal ToSingle():
   end method.

   method public final decimal ToSingle(input provider as System.IFormatProvider):
   end method.

   method public final logical ToBoolean():
   end method.

   method public final logical ToBoolean(input provider as System.IFormatProvider):
   end method.

   method public final integer ToInt32():
   end method.

   method public final integer ToInt32(input provider as System.IFormatProvider):
   end method.

   method public final integer ToInt16():
   end method.

   method public final integer ToInt16(input provider as System.IFormatProvider):
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final integer ToByte():
   end method.

   method public final integer ToByte(input provider as System.IFormatProvider):
   end method.

   method public final character ToChar():
   end method.

   method public final character ToChar(input provider as System.IFormatProvider):
   end method.

   method public final int64 ToInt64():
   end method.

   method public final int64 ToInt64(input provider as System.IFormatProvider):
   end method.

   method public final decimal ToDecimal():
   end method.

   method public final logical ToDecimal(input result as decimal):
   end method.

   method public final decimal ToDecimal(input provider as System.IFormatProvider):
   end method.

   method public final static decimal DateTimeToExcelDate(input dateValue as datetime):
   end method.

   method public final static decimal DateTimeToExcelDate(input dateValue as datetime, input shouldCorrect1900Dates as logical):
   end method.

   method public final static datetime ExcelDateToDateTime(input excelDate as decimal):
   end method.

   method public final static datetime ExcelDateToDateTime(input excelDate as decimal, input shouldCorrect1900Dates as logical):
   end method.

   method public final static System.TimeSpan ExcelDateToTimeOfDay(input excelDate as decimal, input useDayInfo as logical):
   end method.

   method public final static decimal TimeOfDayToExcelDate(input timeValue as System.TimeSpan, input useDayInfo as logical):
   end method.

   method public final System.TypeCode GetTypeCode():
   end method.

   method public final System.Object ToType(input conversionType as System.Type, input provider as System.IFormatProvider):
   end method.

end class.
