class Infragistics.Win.ControlUIElementBase
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def public override property AccessibilityInstance as System.Windows.Forms.AccessibleObject
      get.

   def public override property Control as System.Windows.Forms.Control
      get.

   def public override property Enabled as logical
      get.
      set.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.

   def public override property IsAccessibleElement as logical
      get.

   def public override property AreTouchMetricsEnabled as logical
      get.

   def public static property ControlElementWithMouseCapture as Infragistics.Win.ControlUIElementBase
      get.

   def public property ComponentRole as Infragistics.Win.AppStyling.ComponentRole
      get.

   def public property ElementWithMouseCapture as Infragistics.Win.UIElement
      get.

   def public property LastElementEntered as Infragistics.Win.UIElement
      get.

   def public property PrintColorMode as Infragistics.Win.ColorRenderMode
      get.

   def public property UltraControl as Infragistics.Win.IUltraControl
      get.

   def public property CurrentCursor as System.Windows.Forms.Cursor
      get.

   def protected property CurrentState as int64
      get.

   def protected property DefaultToolTipDisplayStyle as Infragistics.Win.ToolTipDisplayStyle
      get.

   def public property IsPrint as logical
      get.

   def protected property KeyActionMappings as Infragistics.Win.KeyActionMappingsBase
      get.

   def public property CurrentMousePosition as System.Drawing.Point
      get.

   def public property IsSyncMouseEnterSuspended as logical
      get.

   def public property ElementsChanged as logical
      get.

   def public override property RightToLeft as System.Windows.Forms.RightToLeft
      get.

   constructor protected ControlUIElementBase(input control as System.Windows.Forms.Control, input ultraControl as Infragistics.Win.IUltraControl):
   end constructor.

   constructor protected ControlUIElementBase(input control as System.Windows.Forms.Control, input ultraControl as Infragistics.Win.IUltraControl, input hookEvents as logical):
   end constructor.

   constructor protected ControlUIElementBase(input control as System.Windows.Forms.Control, input ultraControl as Infragistics.Win.IUltraControl, input eventsToProcess as Infragistics.Win.ControlUIElementBase+ProcessEvent):
   end constructor.

   method public override void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input alphaBlendMode as Infragistics.Win.AlphaBlendMode):
   end method.

   method public final void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input alphaBlendMode as Infragistics.Win.AlphaBlendMode, input elementSize as System.Drawing.Size):
   end method.

   method public override System.Object GetContext(input type as System.Type, input checkParentElementContexts as logical):
   end method.

   method protected override void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void InternalSetElementsChanged():
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method protected override void OnDispose():
   end method.

   method public final integer AdjustForTouchMode(input extent as integer, input adjustByWidth as logical, input padding as integer):
   end method.

   method public final System.Drawing.Size AdjustForTouchMode(input size as System.Drawing.Size):
   end method.

   method protected void OnFontChanged():
   end method.

   method protected logical OnPreMouseDown(input msgInfo as Infragistics.Win.MouseMessageInfo):
   end method.

   method public final void CaptureMouseForElement(input element as Infragistics.Win.UIElement):
   end method.

   method public final Infragistics.Win.IInkProvider GetInkProvider():
   end method.

   method public final void TerminateCapture():
   end method.

   method public final void ValidateLastElementEntered():
   end method.

   method protected logical GetGlyphInfo(input glyphType as Infragistics.Win.GlyphType, input glyphInfo as Infragistics.Win.GlyphInfoBase):
   end method.

   method public final void RefreshLastElementEntered():
   end method.

   method protected System.Drawing.Point AdjustMousePosition(input clientPt as System.Drawing.Point):
   end method.

   method protected void OnGotFocus():
   end method.

   method protected void OnInkProviderRegistrationChanged(input inkProvider as Infragistics.Win.IInkProvider, input inkProviderListVersion as integer):
   end method.

   method protected void OnInkProviderStateChange(input invalidate as logical):
   end method.

   method protected void OnLostFocus():
   end method.

   method protected logical PerformKeyAction(input actionCode as System.Enum, input shiftKeyDown as logical, input ctlKeyDown as logical):
   end method.

   method public final void SuspendSyncMouseEnter():
   end method.

   method public final void ResumeSyncMouseEnter():
   end method.

   method protected void OnVerifyChildElementsComplete(input verifiedElement as Infragistics.Win.UIElement, input recursive as logical):
   end method.

   method protected logical SupportsSelection(input element as Infragistics.Win.UIElement, input mouseDownEventArgs as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void ProcessKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected logical OnBeforeDisplayToolTip(input ultraControl as Infragistics.Win.IUltraControl, input element as Infragistics.Win.UIElement, input toolTipInfo as Infragistics.Win.ToolTipInfo, input trigger as Infragistics.Win.ControlUIElementBase+ToolTipTrigger):
   end method.

end class.
