class Infragistics.Win.DependentTextUIElement
   inherits Infragistics.Win.TextUIElementBase
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def public property Provider as Infragistics.Win.IUIElementTextProvider
      get.

   def public override property Text as character
      get.
      set.

   def public override property MultiLine as logical
      get.
      set.

   def public override property WrapText as logical
      get.
      set.

   def public override property Vertical as logical
      get.
      set.

   def public override property Padding as System.Drawing.Size
      get.
      set.

   def public override property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.

   def public override property BorderSides as System.Windows.Forms.Border3DSide
      get.

   def public override property HotkeyPrefix as System.Drawing.Text.HotkeyPrefix
      get.
      set.

   def public override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   constructor public DependentTextUIElement(input parent as Infragistics.Win.UIElement, input provider as Infragistics.Win.IUIElementTextProvider):
   end constructor.

   method public final void InitProvider(input provider as Infragistics.Win.IUIElementTextProvider):
   end method.

   method protected override void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void AdjustTextDisplayRect(input displayRect as System.Drawing.Rectangle):
   end method.

   method public final void SetUIRole(input role as Infragistics.Win.AppStyling.UIRole):
   end method.

end class.
