class Infragistics.Win.EditorWithCombo
   inherits Infragistics.Win.EditorWithText
   implements System.IDisposable, Infragistics.Win.IEmbeddableTextBoxListener, Infragistics.Win.IValueListOwner, Infragistics.Win.IMRUListProvider, System.ICloneable:

   def public static variable KEYBOARD_SEARCH_INTERVAL as integer.

   def public override property CurrentEditText as character
      get.

   def public override property SupportsValueList as logical
      get.

   def protected override property ShouldSelectAllTextOnFocus as logical
      get.

   def public override property SupportsAutoSizeEdit as logical
      get.

   def public property KeyboardSearchInterval as integer
      get.
      set.

   def public property AutoCompleteIgnoreDiacritics as logical
      get.
      set.

   def public property ValueList as Infragistics.Win.IValueList
      get.

   def public property ButtonDisplayStyle as Infragistics.Win.ButtonDisplayStyle
      get.
      set.

   def public property ButtonAlignment as Infragistics.Win.ButtonAlignment
      get.
      set.

   def public property DropDownStyle as Infragistics.Win.DropDownStyle
      get.

   def public property SelectedIndex as integer
      get.
      set.

   def public property HasMRUList as logical
      get.
      set.

   def public property InternalMRUList as System.Collections.ArrayList
      get.

   def public property MRUList as System.Object extent
      get.
      set.

   def public property MaxMRUItems as integer
      get.
      set.

   def public property DrawMode as System.Windows.Forms.DrawMode
      get.
      set.

   def public property SetFocusToEditControlOnCloseUp as logical
      get.
      set.

   def public property ScrollBarLook as Infragistics.Win.UltraWinScrollBar.ScrollBarLook
      get.
      set.

   def protected property SuppressEventFiring as logical
      get.

   def protected override property WantsOwnerKeyEvents as logical
      get.

   def public override property SupportsDropDown as logical
      get.

   def public override property SupportsSelectableText as logical
      get.

   def protected override property EditorWithTextUIElement as Infragistics.Win.EditorWithTextUIElement
      get.

   def public property AutoCompleteModeInfo as Infragistics.Win.EditorWithCombo+AutoCompleteInfo
      get.

   def public override property CanFocus as logical
      get.

   def public override property Focused as logical
      get.

   def protected property ResetValueListOnExitEditMode as logical
      get.

   def public property InternalValueList as Infragistics.Win.ValueList
      get.

   def protected property RaiseValueChangedWhenCheckStateChanged as logical
      get.

   def protected property AllowKeyboardInputForMultiSelect as logical
      get.

   def public event SelectionChangeCommitted signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public EditorWithCombo():
   end constructor.

   constructor public EditorWithCombo(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end constructor.

   method public override Infragistics.Win.EmbeddableEditorBase+EmbeddableEditorUIAProviderStub CreateUIAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub, input fragmentRoot as Infragistics.Win.UIAutomation.Stubs.FragmentRootUIAProviderStub, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override void OnAfterEnterEditMode():
   end method.

   method protected override void OnBeforeExitEditMode(input cancel as logical, input forceExit as logical, input applyChanges as logical):
   end method.

   method protected override void OnAfterExitEditMode():
   end method.

   method public override logical ComparesByValue(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public override void ApplyValueAppearance(input appData as Infragistics.Win.AppearanceData, input resolveFlags as Infragistics.Win.AppearancePropFlags, input dataVal as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override logical DisplaysTextBoxWhenInEditMode(input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final void ResetMRUList():
   end method.

   method protected override System.Object GetAutoConvertedDestinationValue(input direction as Infragistics.Win.ConversionDirection, input sourceVal as System.Object, input destinationType as System.Type, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override logical IsDestinationValueValid(input direction as Infragistics.Win.ConversionDirection, input destinationVal as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input message as character):
   end method.

   method public override System.Type GetEmbeddableElementType():
   end method.

   method public override Infragistics.Win.EmbeddableUIElementBase GetEmbeddableElement(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input isToolTip as logical, input previousElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method protected override System.Drawing.Size GetSize(input sizeInfo as Infragistics.Win.EmbeddableEditorBase+EditorSizeInfo):
   end method.

   method protected override logical DoDropDown():
   end method.

   method protected override void DoCloseUp():
   end method.

   method protected override void OnBeforeDropDown(input cancel as logical):
   end method.

   method protected override void OnAfterDropDown():
   end method.

   method protected override void OnAfterCloseUp():
   end method.

   method protected override void OnDispose():
   end method.

   method protected void InternalOnEmbeddableTextBoxListenerKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void ProcessOnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void ResolveAppearanceUltimateDefaults(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void InternalResolveValueListAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void OnSelectionChangeCommitted(input e as System.EventArgs):
   end method.

   method public override logical Focus():
   end method.

   method protected override void OnOwnerKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnOwnerKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnOwnerKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override character GetElementText(input element as Infragistics.Win.EmbeddableUIElementBase, input ignorePasswordChar as logical):
   end method.

   method protected override void DisplayTextBox():
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override Infragistics.Win.EmbeddableEditorBase Clone(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end method.

   method protected void OnTextBoxMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override logical ShouldDisplayTextElement(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override logical IsDropDownList(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical ProcessTextBoxTextChanged():
   end method.

   method protected logical ProcessTextBoxTextChanged(input selectionChangedByAutoEdit as logical):
   end method.

   method protected final Infragistics.Win.EditorCheckedListSettings GetCheckedListSettings(input embeddableElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method protected final Infragistics.Win.EditorCheckedListSettings GetCheckedListSettings(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected void InitializeCheckedItemList(input enteringEditMode as logical):
   end method.

   method protected logical IsValueProvidedByCheckedItems(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected void OnSuggestModeCloseUp(input valueList as Infragistics.Win.IFilterableValueList, input selectedIndex as integer):
   end method.

end class.
