class Infragistics.Win.EditorWithText
   inherits Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
   implements System.IDisposable, Infragistics.Win.IEmbeddableTextBoxListener:

   def protected property EditorValue as System.Object
      get.
      set.

   def public override property CanFocus as logical
      get.

   def public override property Focused as logical
      get.

   def public override property SupportsSpellChecking as logical
      get.

   def public override property SupportsSelectableText as logical
      get.

   def protected override property SelectedTextInternal as character
      get.
      set.

   def protected override property SelectionStartInternal as integer
      get.
      set.

   def protected override property SelectionLengthInternal as integer
      get.
      set.

   def protected override property TextLengthInternal as integer
      get.

   def public override property Value as System.Object
      get.
      set.

   def public override property CurrentEditText as character
      get.

   def public override property SupportsAutoSizeEdit as logical
      get.

   def public property TextBox as Infragistics.Win.EmbeddableTextBox
      get.

   def protected property EditorWithTextUIElement as Infragistics.Win.EditorWithTextUIElement
      get.

   def public property AcceptsReturn as logical
      get.
      set.

   def public property AcceptsTab as logical
      get.
      set.

   def public property ScrollBars as System.Windows.Forms.ScrollBars
      get.
      set.

   def public property BorderStyleTextBox as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property ShowInkButton as Infragistics.Win.ShowInkButton
      get.
      set.

   def public property ValidateMaxLength as logical
      get.
      set.

   def protected property AppliesFormatStringWhenInEditMode as logical
      get.

   def protected property ShouldSelectAllTextOnFocus as logical
      get.

   def public property IsInIMEComposition as logical
      get.

   constructor public EditorWithText():
   end constructor.

   constructor public EditorWithText(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end constructor.

   method public override Infragistics.Win.EmbeddableEditorBase+EmbeddableEditorUIAProviderStub CreateUIAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub, input fragmentRoot as Infragistics.Win.UIAutomation.Stubs.FragmentRootUIAProviderStub, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public override logical Focus():
   end method.

   method public override void SetEditorValueInternal(input newVal as System.Object):
   end method.

   method public final void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public override logical CanEditType(input type as System.Type):
   end method.

   method public override logical CanRenderType(input type as System.Type):
   end method.

   method public override System.Type GetEmbeddableElementType():
   end method.

   method public override Infragistics.Win.EmbeddableUIElementBase GetEmbeddableElement(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input isToolTip as logical, input previousElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method protected override void OnBeforeEnterEditMode(input cancel as logical):
   end method.

   method protected override void OnAfterEnterEditMode():
   end method.

   method protected override void OnBeforeExitEditMode(input cancel as logical, input forceExit as logical, input applyChanges as logical):
   end method.

   method protected override System.Drawing.Size GetSize(input sizeInfo as Infragistics.Win.EmbeddableEditorBase+EditorSizeInfo):
   end method.

   method public override System.Object GetSpellCheckTarget():
   end method.

   method public override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public final override Infragistics.Win.EditorWithText Clone():
   end method.

   method protected logical DisplaysTextBoxWhenInEditMode(input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public override character DataValueToText(input valueToConvert as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public override character DataValueToText(input valueToConvert as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input applyFormatString as logical):
   end method.

   method protected Infragistics.Win.IValueList GetValueList(input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final logical EnterEditMode(input embeddableElement as Infragistics.Win.EmbeddableUIElementBase, input takeFocus as logical):
   end method.

   method public override logical ResolveShowInkButton(input inkProvider as Infragistics.Win.IInkProvider, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override void OnDispose():
   end method.

   method protected character GetElementText(input element as Infragistics.Win.EmbeddableUIElementBase, input ignorePasswordChar as logical):
   end method.

   method protected void DisplayTextBox():
   end method.

   method protected void RepositionTextBox():
   end method.

   method protected void OnEmbeddableTextBoxDisposed():
   end method.

   method protected override character GetDisplayValue():
   end method.

   method protected override System.Object GetEditorValue():
   end method.

   method protected override logical IsDestinationValueValid(input direction as Infragistics.Win.ConversionDirection, input destinationVal as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input message as character):
   end method.

   method protected override System.Object GetAutoConvertedDestinationValue(input direction as Infragistics.Win.ConversionDirection, input sourceVal as System.Object, input destinationType as System.Type, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final static logical ApplyPasswordChar(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input text as character):
   end method.

   method public final static logical ApplyCharacterCasing(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input text as character):
   end method.

   method public override Infragistics.Win.EmbeddableEditorBase Clone(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end method.

   method public final static Infragistics.Win.UIElementBorderStyle CalculateBorderStyle(input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical ShouldDisplayTextElement(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical IsDropDownList(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical DisplayDropDownListOnMouseDown(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical SetAutoConvertedEditorValueInternal(input newValue as System.Object):
   end method.

   method protected final void SetTextBoxText(input newText as character, input suppressValueChanged as logical):
   end method.

end class.
