class Infragistics.Win.EmbeddableEditorOwnerBase
   inherits System.Object
   abstract:

   def public abstract property DesignMode as logical
      get.

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   constructor protected EmbeddableEditorOwnerBase():
   end constructor.

   method public logical EnterEditModeOnClick(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.Control GetControl(input ownerContext as System.Object):
   end method.

   method public System.Type GetDataType(input ownerContext as System.Object):
   end method.

   method public void GetFormatInfo(input ownerContext as System.Object, input format as character, input provider as System.IFormatProvider):
   end method.

   method public abstract System.Object GetValue(input ownerContext as System.Object).

   method public logical IsEnabled(input ownerContext as System.Object):
   end method.

   method public logical IsNullable(input ownerContext as System.Object):
   end method.

   method public final logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input hotTracking as logical):
   end method.

   method public final logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea, input hotTracking as logical):
   end method.

   method public final logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea):
   end method.

   method public logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea, input hotTracking as logical, input customArea as character):
   end method.

   method public logical ShouldDrawFocus(input ownerContext as System.Object):
   end method.

   method public abstract Infragistics.Win.EmbeddableEditorBase GetEditor(input ownerContext as System.Object).

   method public logical CanProcessMouseWheel(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.CharacterCasing GetCharacterCasing(input ownerContext as System.Object):
   end method.

   method public logical GetMaskInfo(input ownerContext as System.Object, input mask as character, input dataMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode, input displayMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode, input clipMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode):
   end method.

   method public logical GetMaxLength(input ownerContext as System.Object, input maxLength as integer):
   end method.

   method public logical GetMaxLines(input ownerContext as System.Object, input maxLines as integer):
   end method.

   method public System.Object GetMaxValue(input ownerContext as System.Object):
   end method.

   method public System.Object GetMinValue(input ownerContext as System.Object):
   end method.

   method public logical GetNullText(input ownerContext as System.Object, input nullText as character):
   end method.

   method public logical GetPadChar(input ownerContext as System.Object, input padChar as character):
   end method.

   method public logical GetPromptChar(input ownerContext as System.Object, input promptChar as character):
   end method.

   method public logical GetPasswordChar(input ownerContext as System.Object, input passwordChar as character):
   end method.

   method public Infragistics.Win.UltraWinSpellChecker.IUltraSpellChecker GetSpellChecker(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.IValueList GetValueList(input ownerContext as System.Object):
   end method.

   method public logical IsEditorAlwaysInEditMode(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public logical IsKeyMapped(input keyData as System.Windows.Forms.Keys, input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public logical IsMultiLine(input ownerContext as System.Object):
   end method.

   method public logical IsVertical(input ownerContext as System.Object):
   end method.

   method public logical IsReadOnly(input ownerContext as System.Object):
   end method.

   method public logical MustSelectFromList(input ownerContext as System.Object):
   end method.

   method public logical MustDisplayFromList(input ownerContext as System.Object):
   end method.

   method public logical EnsureValueIsInList(input ownerContext as System.Object):
   end method.

   method public logical WrapText(input ownerContext as System.Object):
   end method.

   method public System.Drawing.Size GetDropDownListOffset(input ownerContext as System.Object):
   end method.

   method public integer GetDropDownListAdditionalWidth(input ownerContext as System.Object):
   end method.

   method public System.Object GetExternalContext(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.ImageList GetImageList(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.ValueListsCollection GetValueListsCollection(input ownerContext as System.Object):
   end method.

   method public logical GetSizeOfImages(input ownerContext as System.Object, input sizeOfImages as System.Drawing.Size):
   end method.

   method public logical GetBorderStyle(input ownerContext as System.Object, input borderStyle as Infragistics.Win.UIElementBorderStyle):
   end method.

   method public logical GetButtonStyle(input ownerContext as System.Object, input buttonStyle as Infragistics.Win.UIElementButtonStyle):
   end method.

   method public Infragistics.Win.EmbeddableElementDisplayStyle GetDisplayStyle(input ownerContext as System.Object):
   end method.

   method public logical IsHotTrackingEnabled(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.DefaultableBoolean DrawAsActive(input ownerContext as System.Object):
   end method.

   method public logical GetAutoEdit(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.AutoCompleteMode GetAutoCompleteMode(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.AutoSuggestFilterMode GetAutoSuggestFilterMode(input ownerContext as System.Object):
   end method.

   method public logical GetPadding(input ownerContext as System.Object, input padding as System.Drawing.Size):
   end method.

   method public void OnEnterEditor(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public void OnLeaveEditor(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public void OnEditorGotFocus(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public void OnEditorLostFocus(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public void OnEditorMouseDown(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableMouseDownEventArgs):
   end method.

   method public void OnEditorMouseUp(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableMouseEventArgs):
   end method.

   method public void OnEditorDoubleClick(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableClickEventArgs):
   end method.

   method protected logical OnEditorBeforeEnterEditMode(input editor as Infragistics.Win.EmbeddableEditorBase, input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public void ShouldShowOverflowIndicator(input ownerContext as System.Object, input showOverflowIndicator as logical, input showToolTip as logical, input indicatorImage as System.Drawing.Image):
   end method.

   method public Infragistics.Win.ValueConstraint GetConstraints(input ownerContext as System.Object):
   end method.

   method public logical GetGlyphInfo(input glyphType as Infragistics.Win.GlyphType, input ownerContext as System.Object, input glyphInfo as Infragistics.Win.GlyphInfoBase):
   end method.

   method public logical ResolveDefaultAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea, input hotTracking as logical, input customArea as character):
   end method.

   method public logical OnEditorClick(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableClickEventArgs):
   end method.

   method public logical AreTouchMetricsEnabled(input ownerContext as System.Object):
   end method.

   method public final void RaiseKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void RaiseKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void RaiseKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public System.Drawing.Color GetImageTransparentColor(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.ContextMenu GetContextMenu(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.ContextMenuStrip GetContextMenuStrip(input ownerContext as System.Object):
   end method.

   method public logical GetAutoSizeEditInfo(input ownerContext as System.Object, input autoSizeEdit as logical, input startSize as System.Drawing.Size, input maxSize as System.Drawing.Size):
   end method.

   method public logical GetExtendedInfo(input ownerContext as System.Object, input info as System.Object):
   end method.

   method public logical UseDefaultEditorCursor(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.ScrollBars GetTextBoxScrollBars(input ownerContext as System.Object):
   end method.

   method public System.Object GetEditorContext(input ownerContext as System.Object):
   end method.

   method public void SetEditorContext(input ownerContext as System.Object, input editorContext as System.Object):
   end method.

   method public logical ShowHotkeyPrefix(input ownerContext as System.Object):
   end method.

   method public abstract Infragistics.Win.EmbeddableUIElementBase GetEditorElement(input ownerContext as System.Object).

   method public Infragistics.Win.ShowInkButton GetShowInkButton(input ownerContext as System.Object):
   end method.

   method public void AccessibilityNotifyClients(input ownerContext as System.Object, input eventId as System.Windows.Forms.AccessibleEvents):
   end method.

   method public System.Drawing.Graphics GetCachedGraphics(input ownerContext as System.Object):
   end method.

   method public void ReleaseCachedGraphics(input g as System.Drawing.Graphics):
   end method.

   method public logical IsPrinting(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.TextRenderingMode GetTextRenderingMode(input ownerContext as System.Object):
   end method.

   method public logical IsActionableAreaSupported(input ownerContext as System.Object, input area as Infragistics.Win.EmbeddableEditorOwnerBase+ActionableArea):
   end method.

   method public Infragistics.Win.AppStyling.ComponentRole GetComponentRole(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.UltraWinScrollBar.ScrollBarLook GetScrollBarLook(input ownerContext as System.Object):
   end method.

   method public logical AlwaysRaiseEditorButtonEvents(input ownerContext as System.Object):
   end method.

   method public Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle GetScrollBarViewStyle(input ownerContext as System.Object):
   end method.

   method public logical SuppressEnterLeaveInvalidation(input ownerContext as System.Object):
   end method.

   method public logical ShowKeyboardCues(input ownerContext as System.Object):
   end method.

   method public System.ComponentModel.TypeConverter GetTypeConverter(input ownerContext as System.Object, input ignoreTypeConverters as logical):
   end method.

   method public Infragistics.Win.EditorCheckedListSettings GetCheckedListSettings(input ownerContext as System.Object):
   end method.

   method public System.Windows.Forms.ImeMode GetImeMode(input ownerContext as System.Object):
   end method.

end class.
