class Infragistics.Win.EmbeddableTextBox
   inherits System.Windows.Forms.TextBox
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.IEmbeddedControl:

   def public static variable spellCheckerErrorMarkerHeight as integer.

   def public property TextVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public property TextHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public property DisableOwnerOnLeaveNotification as logical
      get.
      set.

   def protected property IsSimulatingMouseDown as logical
      get.

   constructor public EmbeddableTextBox():
   end constructor.

   constructor public EmbeddableTextBox(input owningEditor as Infragistics.Win.EditorWithText):
   end constructor.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnEnter(input e as System.EventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void ApplyAppearance(input appData as Infragistics.Win.AppearanceData):
   end method.

   method public final void Initialize(input owningElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final void UnInitialize():
   end method.

   method public final void PositionControl(input bounds as System.Drawing.Rectangle):
   end method.

   method public final void InitializeText(input text as character):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnReadOnlyChanged(input e as System.EventArgs):
   end method.

   method protected final logical InternalIsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

end class.
