class Infragistics.Win.IGControls.IGMenuItem
   inherits System.Windows.Forms.MenuItem
   implements System.ComponentModel.IComponent, System.IDisposable:

   def protected property StyleResolved as Infragistics.Win.IGControls.MenuStyle
      get.

   def protected property SeparatorSize as System.Drawing.Size
      get.

   def protected property IsSeparator as logical
      get.

   def protected property IsRightToLeft as logical
      get.

   def protected property RequiresArrowArea as logical
      get.

   def protected property ArrowAreaWidth as integer
      get.

   def protected property PreTextSpace as integer
      get.

   def protected property ShortcutString as character
      get.

   def protected property ShowShortcutResolved as logical
      get.

   def public property Image as System.Object
      get.
      set.

   def protected property ImageAreaPadding as System.Drawing.Size
      get.

   constructor public IGMenuItem():
   end constructor.

   constructor public IGMenuItem(input mergeType as System.Windows.Forms.MenuMerge, input mergeOrder as integer, input shortcut as System.Windows.Forms.Shortcut, input text as character, input onClick as System.EventHandler, input onPopup as System.EventHandler, input onSelect as System.EventHandler, input items as System.Windows.Forms.MenuItem extent):
   end constructor.

   constructor public IGMenuItem(input text as character):
   end constructor.

   constructor public IGMenuItem(input text as character, input onClick as System.EventHandler):
   end constructor.

   constructor public IGMenuItem(input text as character, input onClick as System.EventHandler, input shortcut as System.Windows.Forms.Shortcut):
   end constructor.

   constructor public IGMenuItem(input text as character, input items as System.Windows.Forms.MenuItem extent):
   end constructor.

   method protected override void OnMeasureItem(input e as System.Windows.Forms.MeasureItemEventArgs):
   end method.

   method protected override void OnDrawItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method public override System.Windows.Forms.MenuItem CloneMenu():
   end method.

   method protected System.Drawing.Size GetItemSize(input e as System.Windows.Forms.MeasureItemEventArgs):
   end method.

   method protected void DrawMenuItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method protected final logical IsBottomItem(input index as integer):
   end method.

   method protected final System.Drawing.StringFormat GetStringFormat(input selected as logical):
   end method.

   method protected final System.Drawing.Size GetImageSize():
   end method.

   method protected System.Drawing.Size GetImageAreaSize():
   end method.

   method protected final static void DrawMenuGlyph(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle, input glyph as System.Windows.Forms.MenuGlyph, input foreColor as System.Drawing.Color):
   end method.

   method protected System.Object GetImage():
   end method.

   method protected final void DrawText(input g as System.Drawing.Graphics, input foreColor as System.Drawing.Color, input textRect as System.Drawing.Rectangle, input stringFormat as System.Drawing.StringFormat):
   end method.

end class.
