class Infragistics.Win.ImageAndTextUIElement
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def public property Provider as Infragistics.Win.IUIElementImageAndTextProvider
      get.

   def public override property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public override property BorderSides as System.Windows.Forms.Border3DSide
      get.

   def public property TextElement as Infragistics.Win.ImageAndTextUIElement+ImageAndTextDependentTextUIElement
      get.

   def public property ImageElement as Infragistics.Win.ImageAndTextUIElement+ImageAndTextDependentImageUIElement
      get.

   def protected override property ClipChildren as logical
      get.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.

   def public property DrawsBackColor as logical
      get.
      set.

   def public property DrawsImageBackground as logical
      get.
      set.

   def public property TranslateAlignments as logical
      get.
      set.

   def protected property ChildElementRect as System.Drawing.Rectangle
      get.

   def public property MaintainAspectRatio as logical
      get.
      set.

   def protected property WantsDrawNotifications as logical
      get.

   constructor public ImageAndTextUIElement(input imageAndtextProvider as Infragistics.Win.IUIElementImageAndTextProvider, input parent as Infragistics.Win.UIElement):
   end constructor.

   constructor protected ImageAndTextUIElement(input parent as Infragistics.Win.UIElement):
   end constructor.

   method protected void AdjustImageAttributes(input drawParams as Infragistics.Win.UIElementDrawParams, input attributes as System.Drawing.Imaging.ImageAttributes):
   end method.

   method protected override void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void InitProvider(input provider as Infragistics.Win.IUIElementImageAndTextProvider):
   end method.

   method protected override void PositionChildElements():
   end method.

   method protected override void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawImageBackground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected System.Drawing.Rectangle IntersectChildElementInvalidRect(input element as Infragistics.Win.UIElement, input invalidRect as System.Drawing.Rectangle, input rightToLeftOffset as integer):
   end method.

   method protected void BeforeDrawChild(input drawParams as Infragistics.Win.UIElementDrawParams, input phase as Infragistics.Win.DrawPhase):
   end method.

   method protected void AfterDrawChild(input drawParams as Infragistics.Win.UIElementDrawParams, input phase as Infragistics.Win.DrawPhase):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData, input layoutArea as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData, input wrapText as logical, input layoutArea as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input g as System.Drawing.Graphics, input font as System.Drawing.Font, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input g as System.Drawing.Graphics, input font as System.Drawing.Font, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input layoutArea as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input embeddableUIElementBase as Infragistics.Win.EmbeddableUIElementBase, input font as System.Drawing.Font, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input wrapText as logical):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input g as System.Drawing.Graphics, input font as System.Drawing.Font, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input wrapText as logical):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input g as System.Drawing.Graphics, input font as System.Drawing.Font, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input wrapText as logical, input layoutArea as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input wrapText as logical):
   end method.

   method public final static System.Drawing.Size CalculateTextSize(input text as character, input hotkey as System.Drawing.Text.HotkeyPrefix, input vertical as logical, input control as System.Windows.Forms.Control, input appearance as Infragistics.Win.AppearanceData, input measureString as Infragistics.Win.ImageAndTextUIElement+MeasureStringDelegate, input wrapText as logical, input layoutArea as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Size CalculateImageSize(input img as System.Drawing.Image, input scaleimage as Infragistics.Win.ScaleImage, input scaledImageSize as System.Drawing.Size, input reserveShadowSpace as logical):
   end method.

   method public final static System.Drawing.Size CalculateImageAndTextSize(input imgSize as System.Drawing.Size, input textSize as System.Drawing.Size, input imagePadding as System.Drawing.Size, input textPadding as System.Drawing.Size, input padding as System.Drawing.Size, input vertical as logical, input borderStyle as Infragistics.Win.UIElementBorderStyle, input borderSides as System.Windows.Forms.Border3DSide, input textPlacement as Infragistics.Win.TextPlacement):
   end method.

   method public final static System.Drawing.Size CalculateImageAndTextSize(input imgSize as System.Drawing.Size, input textSize as System.Drawing.Size, input imagePadding as System.Drawing.Size, input textPadding as System.Drawing.Size, input padding as System.Drawing.Size, input vertical as logical, input borderStyle as Infragistics.Win.UIElementBorderStyle, input borderSides as System.Windows.Forms.Border3DSide, input imageAlignment as System.Drawing.ContentAlignment):
   end method.

   method public final static System.Drawing.Size CalculateButtonImageAndTextSize(input imgSize as System.Drawing.Size, input textSize as System.Drawing.Size, input imagePadding as System.Drawing.Size, input textPadding as System.Drawing.Size, input padding as System.Drawing.Size, input vertical as logical, input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonType as Infragistics.Win.UIElementButtonType, input borderSides as System.Windows.Forms.Border3DSide, input imageAlignment as System.Drawing.ContentAlignment):
   end method.

   method public final static System.Drawing.Size CalculateButtonImageAndTextSize(input imgSize as System.Drawing.Size, input textSize as System.Drawing.Size, input imagePadding as System.Drawing.Size, input textPadding as System.Drawing.Size, input padding as System.Drawing.Size, input vertical as logical, input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonType as Infragistics.Win.UIElementButtonType, input borderSides as System.Windows.Forms.Border3DSide, input textPlacement as Infragistics.Win.TextPlacement):
   end method.

end class.
