class Infragistics.Win.ImageRegion
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable:

   def public variable RegionCreated as System.EventHandler.

   def public variable RegionDestroyed as System.EventHandler.

   def public property Region as System.Drawing.Region
      get.

   def public property TransparentColor as System.Drawing.Color
      get.
      set.

   def public property ShapeSize as System.Drawing.Size
      get.
      set.

   def public property ShapeImage as System.Drawing.Image
      get.
      set.

   constructor public ImageRegion(input image as System.Drawing.Image, input transparentColor as System.Drawing.Color, input shapeSize as System.Drawing.Size):
   end constructor.

   constructor public ImageRegion(input image as System.Drawing.Image, input shapeSize as System.Drawing.Size):
   end constructor.

   constructor public ImageRegion(input image as System.Drawing.Image, input transparentColor as System.Drawing.Color):
   end constructor.

   constructor public ImageRegion(input image as System.Drawing.Image):
   end constructor.

   constructor public ImageRegion():
   end constructor.

   method protected override void OnDispose():
   end method.

   method protected void OnRegionCreated(input e as System.EventArgs):
   end method.

   method protected void OnRegionDestroyed(input e as System.EventArgs):
   end method.

end class.
