class Infragistics.Win.Layout.GridBagLayoutDragStrategy
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable:

   def public property GridBagLayoutDragManager as Infragistics.Win.Layout.IGridBagLayoutDragManager
      get.

   constructor public GridBagLayoutDragStrategy(input gridBagLayoutDragManager as Infragistics.Win.Layout.IGridBagLayoutDragManager):
   end constructor.

   constructor public GridBagLayoutDragStrategy(input gridBagLayoutDragManager as Infragistics.Win.Layout.IGridBagLayoutDragManager, input showDragIndicators as logical):
   end constructor.

   method public final logical DragStart(input dragElement as Infragistics.Win.UIElement, input mouseOffset as System.Drawing.Point):
   end method.

   method public final logical DragStart(input dragElements as Infragistics.Win.UIElement extent, input mouseOffset as System.Drawing.Point):
   end method.

   method public final logical DragStart(input dragElements as Infragistics.Win.UIElement extent, input mouseOffset as System.Drawing.Point, input dragIndicatorOpacity as decimal, input dragDropIndicatorSettings as Infragistics.Win.DragDropIndicatorSettings):
   end method.

   method public final logical DragStart(input dragElements as Infragistics.Win.UIElement extent, input mouseOffset as System.Drawing.Point, input dragIndicatorOpacity as decimal):
   end method.

   method public final void DragMove(input pointInControlCoords as System.Drawing.Point):
   end method.

   method public final logical DragEnd(input pointInControlCoords as System.Drawing.Point):
   end method.

   method public final void HideDragIndicator():
   end method.

   method public final void HideDropIndicator():
   end method.

   method public final logical DragSpanStart(input isSpanDragModeHorizontal as logical, input areColumnHeadersInSeparateArea as logical, input isHeaderBeingDragged as logical, input isCardView as logical, input isLabelOnSide as logical):
   end method.

   method public final logical DragSpanStart(input isSpanDragModeHorizontal as logical, input areColumnHeadersInSeparateArea as logical, input isHeaderBeingDragged as logical, input isCardView as logical, input isLabelOnSide as logical, input isGroupBeingDragged as logical):
   end method.

   method public final logical DragSpanStart(input isSpanDragModeHorizontal as logical, input areColumnHeadersInSeparateArea as logical, input isHeaderBeingDragged as logical, input isCardView as logical, input isLabelOnSide as logical, input isGroupBeingDragged as logical, input dragDropIndicatorColor as System.Drawing.Color):
   end method.

   method public final void DragSpanMove(input pointInControlCoords as System.Drawing.Point, input dragElement as Infragistics.Win.UIElement, input headerDragItem as Infragistics.Win.Layout.ILayoutItem, input columnDragItem as Infragistics.Win.Layout.ILayoutItem):
   end method.

   method public final void DragSpanEnd(input pointInControlCoords as System.Drawing.Point, input dragElement as Infragistics.Win.UIElement, input headerDragItem as Infragistics.Win.Layout.ILayoutItem, input columnDragItem as Infragistics.Win.Layout.ILayoutItem):
   end method.

   method public final static void EnsureItemDoesntOverlap(input layoutItem as Infragistics.Win.Layout.ILayoutItem, input layoutItems as Infragistics.Win.Layout.ILayoutItem extent, input hash as System.Collections.Hashtable, input right as logical, input below as logical, input belowFirst as logical):
   end method.

   method public final static void EnsureItemDoesntOverlap(input itemBeingDragged as Infragistics.Win.Layout.ILayoutItem, input layoutItems as Infragistics.Win.Layout.ILayoutItem extent, input hash as System.Collections.Hashtable, input spanXChanged as logical, input newGroupMappings as System.Collections.Generic.Dictionary):
   end method.

   method public final static Infragistics.Win.Layout.GridBagLayoutDragStrategy+DropLocation GetDropLocation(input pointInControlCoords as System.Drawing.Point, input rect as System.Drawing.Rectangle):
   end method.

   method public final static void PackLayout(input dims as System.Collections.Hashtable):
   end method.

   method public final static void PackLayout(input dims as System.Collections.Hashtable, input group as Infragistics.Win.Layout.ILayoutGroup, input newGroupMappings as System.Collections.Generic.Dictionary):
   end method.

   method public final static void NormalizeDims(input dims as Infragistics.Win.Layout.GridBagLayoutItemDimensionsCollection):
   end method.

   method protected override void OnDispose():
   end method.

   method public final static System.Drawing.Rectangle GetBoundingRect(input elements as Infragistics.Win.UIElement extent, input drop as logical):
   end method.

end class.
