class Infragistics.Win.ToolTip
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable:

   def public property DisplayShadow as logical
      get.
      set.

   def public property Control as System.Windows.Forms.Control
      get.

   def public property ToolTipText as character
      get.
      set.

   def public property Owner as System.Windows.Forms.Form
      get.
      set.

   def public property OwningControl as System.Windows.Forms.Control
      get.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property TopMost as logical
      get.
      set.

   def public property LeftMargin as integer
      get.
      set.

   def public property RightMargin as integer
      get.
      set.

   def public property TopMargin as integer
      get.
      set.

   def public property BottomMargin as integer
      get.
      set.

   def public property InitialDelay as integer
      get.
      set.

   def public property BorderStyle as Infragistics.Win.ToolTipBorderStyle
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property AutoPopDelay as integer
      get.
      set.

   def public property IsVisible as logical
      get.

   def public property ToolTipImage as Infragistics.Win.ToolTipImage
      get.
      set.

   def public property ToolTipTitle as character
      get.
      set.

   def public property CustomToolTipImage as System.Drawing.Image
      get.
      set.

   def public property TitleFont as System.Drawing.Font
      get.
      set.

   def public property DisplayStyle as Infragistics.Win.ToolTipDisplayStyle
      get.
      set.

   def public property DisplayStyleResolved as Infragistics.Win.ToolTipDisplayStyle
      get.

   def public property UseAppStyling as logical
      get.
      set.

   def public static property ShowAlways as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ToolTipTextStyle as Infragistics.Win.ToolTipTextStyle
      get.
      set.

   def public property Opacity as decimal
      get.
      set.

   def public event ToolTipDisplayed signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolTip(input owningControl as System.Windows.Forms.Control):
   end constructor.

   constructor public ToolTip(input owningControl as System.Windows.Forms.Control, input componentRole as Infragistics.Win.AppStyling.ComponentRole):
   end constructor.

   method public final void SetMargin(input leftMargin as integer, input rightMargin as integer, input topMargin as integer, input bottomMargin as integer):
   end method.

   method public final System.Drawing.Size CalcRequiredSize():
   end method.

   method public final void Show():
   end method.

   method public final void Show(input rightAlign as logical):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input calculateEmbeddableEditorSize as logical, input adjustX as logical, input adjustY as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical, input editor as Infragistics.Win.EmbeddableEditorBase, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input calculateEmbeddableEditorSize as logical, input adjustX as logical, input adjustY as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical, input editor as Infragistics.Win.EmbeddableEditorBase, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input rightAlign as logical):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input calculateEmbeddableEditorSize as logical, input adjustX as logical, input adjustY as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical, input editor as Infragistics.Win.EmbeddableEditorBase, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input rightAlign as logical, input maxWidth as integer):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input maxWidth as integer, input adjustX as logical, input adjustY as logical, input adjustWidth as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input maxWidth as integer, input adjustX as logical, input adjustY as logical, input adjustWidth as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical, input targetPoint as System.Drawing.Point, input rightAlign as logical):
   end method.

   method public final void Show(input displayLocation as System.Drawing.Point, input maxWidth as integer, input adjustX as logical, input adjustY as logical, input adjustWidth as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical):
   end method.

   method public final void Show(input displayLocation as System.Drawing.Point, input maxWidth as integer, input adjustX as logical, input adjustY as logical, input adjustWidth as logical, input exclusionRect as System.Drawing.Rectangle, input excludeX as logical, input excludeY as logical, input rightAlign as logical):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle):
   end method.

   method public final void Show(input displayRect as System.Drawing.Rectangle, input adjustHeight as logical):
   end method.

   method public final void Show(input displayLocation as System.Drawing.Point):
   end method.

   method public final void Show(input displayLocation as System.Drawing.Point, input rightAlign as logical):
   end method.

   method public final void Hide():
   end method.

   method protected override void OnDispose():
   end method.

   method protected void OnToolTipDisplayed(input e as System.EventArgs):
   end method.

end class.
