class Infragistics.Win.UltraComponentControlManagerBase
   inherits Infragistics.Win.UltraStylableComponent
   implements System.ComponentModel.IComponent, System.IDisposable, Infragistics.Shared.IUltraComponent, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IUltraControl
   abstract:

   def public property IsUpdating as logical
      get.

   def public property FlatMode as logical
      get.
      set.

   def public property UseFlatMode as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property UseFlatModeResolved as logical
      get.

   def public property SupportThemes as logical
      get.
      set.

   def public property UseOsThemes as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property UseOsThemesResolved as logical
      get.

   def public property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property AlphaBlendEnabled as logical
      get.
      set.

   def public property AlphaBlendMode as Infragistics.Win.AlphaBlendMode
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property TextRenderingMode as Infragistics.Win.TextRenderingMode
      get.
      set.

   def public property DrawFilter as Infragistics.Win.IUIElementDrawFilter
      get.
      set.

   def public property CreationFilter as Infragistics.Win.IUIElementCreationFilter
      get.
      set.

   def public property CursorFilter as Infragistics.Win.IUIElementCursorFilter
      get.
      set.

   def public event MouseEnterElement signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   def public event MouseLeaveElement signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   constructor protected UltraComponentControlManagerBase():
   end constructor.

   method protected abstract void InvalidateControls().

   method protected abstract void DirtyChildElements().

   method protected abstract void ChangeControlsVisibleState().

   method protected abstract void ChangeControlsEnabledState().

   method protected Infragistics.Win.ISelectionManager GetSelectionManager():
   end method.

   method protected void OnMouseEnterElement(input e as Infragistics.Win.UIElementEventArgs):
   end method.

   method protected void OnMouseLeaveElement(input e as Infragistics.Win.UIElementEventArgs):
   end method.

   method public void BeginUpdate():
   end method.

   method public final void EndUpdate():
   end method.

   method public void EndUpdate(input invalidate as logical):
   end method.

   method protected void ManagedControlInitialized(input control as System.Windows.Forms.Control):
   end method.

   method protected final logical ShouldSerializeCursor():
   end method.

   method public final void ResetCursor():
   end method.

end class.
