class Infragistics.Win.UltraEditorProxyOwnerBase
   inherits Infragistics.Win.EmbeddableEditorOwnerBase:

   def protected property EditorProxy as Infragistics.Win.UltraEditorProxyBase
      get.

   def protected property ProxyElement as Infragistics.Win.ControlUIElementBase
      get.

   def public override property DesignMode as logical
      get.

   constructor public UltraEditorProxyOwnerBase(input editorProxy as Infragistics.Win.UltraEditorProxyBase):
   end constructor.

   method public override void AccessibilityNotifyClients(input ownerContext as System.Object, input eventId as System.Windows.Forms.AccessibleEvents):
   end method.

   method public override logical AlwaysRaiseEditorButtonEvents(input ownerContext as System.Object):
   end method.

   method public override logical CanProcessMouseWheel(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.DefaultableBoolean DrawAsActive(input ownerContext as System.Object):
   end method.

   method public override logical EnsureValueIsInList(input ownerContext as System.Object):
   end method.

   method public override logical EnterEditModeOnClick(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.AutoCompleteMode GetAutoCompleteMode(input ownerContext as System.Object):
   end method.

   method public override logical GetAutoEdit(input ownerContext as System.Object):
   end method.

   method public override logical GetAutoSizeEditInfo(input ownerContext as System.Object, input autoSizeEdit as logical, input startSize as System.Drawing.Size, input maxSize as System.Drawing.Size):
   end method.

   method public override logical GetBorderStyle(input ownerContext as System.Object, input borderStyle as Infragistics.Win.UIElementBorderStyle):
   end method.

   method public override logical GetButtonStyle(input ownerContext as System.Object, input buttonStyle as Infragistics.Win.UIElementButtonStyle):
   end method.

   method public override System.Drawing.Graphics GetCachedGraphics(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.CharacterCasing GetCharacterCasing(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.AppStyling.ComponentRole GetComponentRole(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.ValueConstraint GetConstraints(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.ContextMenu GetContextMenu(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.ContextMenuStrip GetContextMenuStrip(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.Control GetControl(input ownerContext as System.Object):
   end method.

   method public override System.Type GetDataType(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.EmbeddableElementDisplayStyle GetDisplayStyle(input ownerContext as System.Object):
   end method.

   method public override integer GetDropDownListAdditionalWidth(input ownerContext as System.Object):
   end method.

   method public override System.Drawing.Size GetDropDownListOffset(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.EmbeddableEditorBase GetEditor(input ownerContext as System.Object):
   end method.

   method public override System.Object GetEditorContext(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.EmbeddableUIElementBase GetEditorElement(input ownerContext as System.Object):
   end method.

   method public override logical GetExtendedInfo(input ownerContext as System.Object, input info as System.Object):
   end method.

   method public override System.Object GetExternalContext(input ownerContext as System.Object):
   end method.

   method public override void GetFormatInfo(input ownerContext as System.Object, input format as character, input provider as System.IFormatProvider):
   end method.

   method public override logical GetGlyphInfo(input glyphType as Infragistics.Win.GlyphType, input ownerContext as System.Object, input glyphInfo as Infragistics.Win.GlyphInfoBase):
   end method.

   method public override System.Windows.Forms.ImageList GetImageList(input ownerContext as System.Object):
   end method.

   method public override System.Drawing.Color GetImageTransparentColor(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.ImeMode GetImeMode(input ownerContext as System.Object):
   end method.

   method public override logical GetMaskInfo(input ownerContext as System.Object, input mask as character, input dataMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode, input displayMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode, input clipMode as Infragistics.Win.UltraWinMaskedEdit.MaskMode):
   end method.

   method public override logical GetMaxLength(input ownerContext as System.Object, input maxLength as integer):
   end method.

   method public override logical GetMaxLines(input ownerContext as System.Object, input maxLines as integer):
   end method.

   method public override System.Object GetMaxValue(input ownerContext as System.Object):
   end method.

   method public override System.Object GetMinValue(input ownerContext as System.Object):
   end method.

   method public override logical GetNullText(input ownerContext as System.Object, input nullText as character):
   end method.

   method public override logical GetPadChar(input ownerContext as System.Object, input padChar as character):
   end method.

   method public override logical GetPadding(input ownerContext as System.Object, input padding as System.Drawing.Size):
   end method.

   method public override logical GetPasswordChar(input ownerContext as System.Object, input passwordChar as character):
   end method.

   method public override logical GetPromptChar(input ownerContext as System.Object, input promptChar as character):
   end method.

   method public override Infragistics.Win.UltraWinScrollBar.ScrollBarLook GetScrollBarLook(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle GetScrollBarViewStyle(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.ShowInkButton GetShowInkButton(input ownerContext as System.Object):
   end method.

   method public override logical GetSizeOfImages(input ownerContext as System.Object, input sizeOfImages as System.Drawing.Size):
   end method.

   method public override Infragistics.Win.UltraWinSpellChecker.IUltraSpellChecker GetSpellChecker(input ownerContext as System.Object):
   end method.

   method public override System.Windows.Forms.ScrollBars GetTextBoxScrollBars(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.TextRenderingMode GetTextRenderingMode(input ownerContext as System.Object):
   end method.

   method public override System.ComponentModel.TypeConverter GetTypeConverter(input ownerContext as System.Object, input ignoreTypeConverters as logical):
   end method.

   method public override System.Object GetValue(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.IValueList GetValueList(input ownerContext as System.Object):
   end method.

   method public override Infragistics.Win.ValueListsCollection GetValueListsCollection(input ownerContext as System.Object):
   end method.

   method public override logical IsActionableAreaSupported(input ownerContext as System.Object, input area as Infragistics.Win.EmbeddableEditorOwnerBase+ActionableArea):
   end method.

   method public override logical IsEditorAlwaysInEditMode(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override logical IsEnabled(input ownerContext as System.Object):
   end method.

   method public override logical IsHotTrackingEnabled(input ownerContext as System.Object):
   end method.

   method public override logical IsKeyMapped(input keyData as System.Windows.Forms.Keys, input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public override logical IsMultiLine(input ownerContext as System.Object):
   end method.

   method public override logical IsNullable(input ownerContext as System.Object):
   end method.

   method public override logical IsPrinting(input ownerContext as System.Object):
   end method.

   method public override logical IsReadOnly(input ownerContext as System.Object):
   end method.

   method public override logical IsVertical(input ownerContext as System.Object):
   end method.

   method public override logical MustDisplayFromList(input ownerContext as System.Object):
   end method.

   method public override logical MustSelectFromList(input ownerContext as System.Object):
   end method.

   method protected override logical OnEditorBeforeEnterEditMode(input editor as Infragistics.Win.EmbeddableEditorBase, input element as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public override void OnEditorDoubleClick(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableClickEventArgs):
   end method.

   method public override void OnEditorGotFocus(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override void OnEditorLostFocus(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override void OnEditorMouseDown(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableMouseDownEventArgs):
   end method.

   method public override void OnEditorMouseUp(input embeddableElem as Infragistics.Win.EmbeddableUIElementBase, input e as Infragistics.Win.EmbeddableMouseEventArgs):
   end method.

   method public override void OnEnterEditor(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override void OnLeaveEditor(input editor as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method public override void ReleaseCachedGraphics(input g as System.Drawing.Graphics):
   end method.

   method public override logical ResolveAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea, input hotTracking as logical, input customArea as character):
   end method.

   method public override logical ResolveDefaultAppearance(input ownerContext as System.Object, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input area as Infragistics.Win.EmbeddableEditorArea, input hotTracking as logical, input customArea as character):
   end method.

   method public override void SetEditorContext(input ownerContext as System.Object, input editorContext as System.Object):
   end method.

   method public override logical ShouldDrawFocus(input ownerContext as System.Object):
   end method.

   method public override void ShouldShowOverflowIndicator(input ownerContext as System.Object, input showOverflowIndicator as logical, input showToolTip as logical, input indicatorImage as System.Drawing.Image):
   end method.

   method public override logical ShowHotkeyPrefix(input ownerContext as System.Object):
   end method.

   method public override logical ShowKeyboardCues(input ownerContext as System.Object):
   end method.

   method public override logical SuppressEnterLeaveInvalidation(input ownerContext as System.Object):
   end method.

   method public override logical UseDefaultEditorCursor(input ownerContext as System.Object):
   end method.

   method public override logical WrapText(input ownerContext as System.Object):
   end method.

end class.
