class Infragistics.Win.UltraWinDock.DockAreaPane
   inherits Infragistics.Win.UltraWinDock.DockableGroupPane
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.ICloneable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabItem:

   def public property DockedLocation as Infragistics.Win.UltraWinDock.DockedLocation
      get.

   def public property FloatingLocation as System.Drawing.Point
      get.
      set.

   def public override property MinimumSizeResolved as System.Drawing.Size
      get.

   def public property DockedBefore as System.Guid
      get.
      set.

   def protected override property ParentGroupSettingsResolved as Infragistics.Win.UltraWinDock.GroupSettingsResolved
      get.

   def protected override property ContainingControl as Infragistics.Win.UltraWinDock.DockControlBase
      get.

   def public property UnfilledSize as System.Drawing.Size
      get.
      set.

   def protected override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property UIRoleContentArea as Infragistics.Win.AppStyling.UIRole
      get.

   def public property IsFillPane as logical
      get.

   constructor public DockAreaPane(input location as Infragistics.Win.UltraWinDock.DockedLocation, input internalId as System.Guid):
   end constructor.

   constructor public DockAreaPane(input location as Infragistics.Win.UltraWinDock.DockedLocation, input key as character):
   end constructor.

   constructor public DockAreaPane(input location as Infragistics.Win.UltraWinDock.DockedLocation):
   end constructor.

   constructor protected DockAreaPane(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeFloatingLocation():
   end method.

   method public final void ResetFloatingLocation():
   end method.

   method protected final logical ShouldSerializeDockedBefore():
   end method.

   method protected final logical ShouldSerializeUnfilledSize():
   end method.

   method public override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public override void Reset():
   end method.

   method public override character ToString():
   end method.

   method protected override logical CanParent(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method protected override Infragistics.Win.UltraWinDock.DockablePaneBase CreateNewPane():
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.UltraWinDock.DockablePaneBase, input categories as Infragistics.Win.UltraWinDock.PropertyCategories):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void PropertyChanged(input propId as Infragistics.Win.UltraWinDock.PropertyIds):
   end method.

   method protected override void OnDeserializationCallback():
   end method.

   method protected override System.Drawing.Size EnforceMinMax(input requestedSize as System.Drawing.Size):
   end method.

   method protected override void InternalProcessPaneSize(input enforceMinMax as logical, input newSize as System.Drawing.Size, input displaySize as System.Drawing.Size):
   end method.

end class.
