class Infragistics.Win.UltraWinDock.DockableControlPane
   inherits Infragistics.Win.UltraWinDock.DockablePaneBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.ICloneable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabItem:

   def public property Control as System.Windows.Forms.Control
      get.
      set.

   def public override property IsActive as logical
      get.

   def protected override property IsUnpinned as logical
      get.

   def public override property IsVisible as logical
      get.

   def public property FlyoutSize as System.Drawing.Size
      get.
      set.

   def public property OriginalControlBounds as System.Drawing.Rectangle
      get.
      set.

   def public property IsFlyoutPaneDisplayed as logical
      get.

   def public property Pinned as logical
      get.
      set.

   def public property IsMdiChild as logical
      get.
      set.

   def public property MdiChildIcon as System.Drawing.Icon
      get.
      set.

   def public property IsInView as logical
      get.

   def protected override property ActualMaximumSize as System.Drawing.Size
      get.

   def protected override property ActualMinimumSize as System.Drawing.Size
      get.

   def protected override property ContainingControl as Infragistics.Win.UltraWinDock.DockControlBase
      get.

   def protected override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property UIRoleContentArea as Infragistics.Win.AppStyling.UIRole
      get.

   constructor public DockableControlPane(input internalId as System.Guid, input floatingParentId as System.Guid, input floatingIndex as integer, input dockedParentId as System.Guid, input dockedIndex as integer):
   end constructor.

   constructor public DockableControlPane():
   end constructor.

   constructor public DockableControlPane(input control as System.Windows.Forms.Control):
   end constructor.

   constructor public DockableControlPane(input key as character):
   end constructor.

   constructor public DockableControlPane(input key as character, input control as System.Windows.Forms.Control):
   end constructor.

   constructor public DockableControlPane(input key as character, input text as character):
   end constructor.

   constructor public DockableControlPane(input key as character, input text as character, input control as System.Windows.Forms.Control):
   end constructor.

   constructor protected DockableControlPane(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeFlyoutSize():
   end method.

   method public final void ResetFlyoutSize():
   end method.

   method protected final logical ShouldSerializeOriginalControlBounds():
   end method.

   method public override logical Activate():
   end method.

   method public final void Flyout():
   end method.

   method public final void Flyout(input slide as logical):
   end method.

   method public void Flyout(input slide as logical, input activate as logical):
   end method.

   method public override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public override void Reset():
   end method.

   method public override void Pin():
   end method.

   method public override void Unpin():
   end method.

   method public override character ToString():
   end method.

   method protected override void InitControl(input manager as Infragistics.Win.UltraWinDock.UltraDockManager):
   end method.

   method protected override logical CanParent(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method protected override void DirtyUIElement():
   end method.

   method protected override void InvalidateUIElement():
   end method.

   method protected override void HideControls():
   end method.

   method protected override Infragistics.Win.UltraWinDock.DockablePaneBase CreateNewPane():
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.UltraWinDock.DockablePaneBase, input categories as Infragistics.Win.UltraWinDock.PropertyCategories):
   end method.

   method protected override void PropertyChanged(input propId as Infragistics.Win.UltraWinDock.PropertyIds):
   end method.

end class.
