class Infragistics.Win.UltraWinDock.DockableGroupPane
   inherits Infragistics.Win.UltraWinDock.DockablePaneBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.ICloneable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabItem:

   def public property FirstVisiblePane as Infragistics.Win.UltraWinDock.DockablePaneBase
      get.

   def public property LastVisiblePane as Infragistics.Win.UltraWinDock.DockablePaneBase
      get.

   def public property Panes as Infragistics.Win.UltraWinDock.DockablePanesCollection
      get.

   def public property DefaultPaneSettings as Infragistics.Win.UltraWinDock.PaneSettings
      get.

   def public property HasDefaultPaneSettings as logical
      get.

   def public property GroupSettings as Infragistics.Win.UltraWinDock.GroupSettings
      get.

   def public property HasGroupSettings as logical
      get.

   def public property GroupSettingsResolved as Infragistics.Win.UltraWinDock.GroupSettingsResolved
      get.

   def public property ChildPaneStyle as Infragistics.Win.UltraWinDock.ChildPaneStyle
      get.
      set.

   def public override property IsVisible as logical
      get.

   def public override property IsActive as logical
      get.

   def protected override property ActualMinimumSize as System.Drawing.Size
      get.

   def protected override property ActualMaximumSize as System.Drawing.Size
      get.

   def public property SelectedTabIndex as integer
      get.
      set.

   def protected override property ContainingControl as Infragistics.Win.UltraWinDock.DockControlBase
      get.

   def protected override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property UIRoleContentArea as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property ContentsMargins as Infragistics.Win.UltraWinDock.Margins
      get.

   constructor public DockableGroupPane(input internalId as System.Guid, input floatingParentId as System.Guid, input floatingIndex as integer, input dockedParentId as System.Guid, input dockedIndex as integer):
   end constructor.

   constructor public DockableGroupPane():
   end constructor.

   constructor public DockableGroupPane(input key as character):
   end constructor.

   constructor public DockableGroupPane(input key as character, input text as character):
   end constructor.

   constructor protected DockableGroupPane(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final logical HasChildPanes():
   end method.

   method protected final logical ShouldSerializePanes():
   end method.

   method public final void ResetPanes():
   end method.

   method protected final logical ShouldSerializeDefaultPaneSettings():
   end method.

   method public final void ResetDefaultPaneSettings():
   end method.

   method protected final logical ShouldSerializeGroupSettings():
   end method.

   method public final void ResetGroupSettings():
   end method.

   method public override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public override void Reset():
   end method.

   method public override void Close(input closeChildPanes as logical):
   end method.

   method public final Infragistics.Win.UltraWinDock.DockablePaneBase GetNextVisiblePane(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method public final Infragistics.Win.UltraWinDock.DockablePaneBase GetPreviousVisiblePane(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method public override void Pin():
   end method.

   method public override void Unpin():
   end method.

   method public void ShowChildPanes():
   end method.

   method public void ShowChildPanes(input pinChildPanes as logical):
   end method.

   method public override character ToString():
   end method.

   method public override logical Activate():
   end method.

   method public final logical Contains(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase, input recursive as logical):
   end method.

   method protected override void InitControl(input manager as Infragistics.Win.UltraWinDock.UltraDockManager):
   end method.

   method protected override void HideControls():
   end method.

   method protected override logical CanParent(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method protected override Infragistics.Win.UltraWinDock.DockablePaneBase CreateNewPane():
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.UltraWinDock.DockablePaneBase, input categories as Infragistics.Win.UltraWinDock.PropertyCategories):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void PropertyChanged(input propId as Infragistics.Win.UltraWinDock.PropertyIds):
   end method.

   method protected void ItemAdded(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method protected void ItemRemoved(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase):
   end method.

   method protected override void OnAddedToCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected override void DeserializationCallback(input parentPane as Infragistics.Win.UltraWinDock.DockableGroupPane):
   end method.

   method protected override void InternalProcessPaneSize(input enforceMinMax as logical, input newSize as System.Drawing.Size, input displaySize as System.Drawing.Size):
   end method.

   method protected override void AdjustChildPaneSize():
   end method.

   method protected void SplitterBarMoved(input childBefore as Infragistics.Win.UltraWinDock.DockablePaneBase, input childAfter as Infragistics.Win.UltraWinDock.DockablePaneBase, input ptDelta as System.Drawing.Point):
   end method.

   method protected override void OnDeserializationCallback():
   end method.

end class.
