class Infragistics.Win.UltraWinDock.DockablePaneBase
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.ICloneable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabItem
   abstract:

   def public abstract property IsActive as logical
      get.

   def public property Manager as Infragistics.Win.UltraWinDock.UltraDockManager
      get.

   def public property Closed as logical
      get.
      set.

   def public property Settings as Infragistics.Win.UltraWinDock.PaneSettings
      get.

   def public property HasSettings as logical
      get.

   def public property SettingsResolved as Infragistics.Win.UltraWinDock.PaneSettingsResolved
      get.

   def public property DockAreaPane as Infragistics.Win.UltraWinDock.DockAreaPane
      get.

   def public property Index as integer
      get.

   def public property Parent as Infragistics.Win.UltraWinDock.DockableGroupPane
      get.

   def public property Element as Infragistics.Win.UltraWinDock.PaneUIElement
      get.

   def public property IsSelectedTab as logical
      get.
      set.

   def public property MinimumSize as System.Drawing.Size
      get.
      set.

   def public property MaximumSize as System.Drawing.Size
      get.
      set.

   def public property MinimumSizeResolved as System.Drawing.Size
      get.

   def public property MaximumSizeResolved as System.Drawing.Size
      get.

   def protected property ActualMinimumSize as System.Drawing.Size
      get.

   def protected property ActualMaximumSize as System.Drawing.Size
      get.

   def public property Text as character
      get.
      set.

   def public property TextTab as character
      get.
      set.

   def public property TextTabResolved as character
      get.

   def public property ToolTipTab as character
      get.
      set.

   def public property ToolTipCaption as character
      get.
      set.

   def public property DockedState as Infragistics.Win.UltraWinDock.DockedState
      get.

   def public abstract property IsVisible as logical
      get.

   def public property Maximized as logical
      get.
      set.

   def public property MaximizedResolved as logical
      get.

   def public property Minimized as logical
      get.
      set.

   def public property MinimizedResolved as logical
      get.

   def public property NestDepth as integer
      get.

   def public property ActualSize as System.Drawing.Size
      get.

   def public property ParentDocked as Infragistics.Win.UltraWinDock.DockableGroupPane
      get.

   def public property ParentFloating as Infragistics.Win.UltraWinDock.DockableGroupPane
      get.

   def protected property InternalId as System.Guid
      get.

   def protected property IsUnpinned as logical
      get.

   def protected property ParentGroupSettingsResolved as Infragistics.Win.UltraWinDock.GroupSettingsResolved
      get.

   def protected property Metrics as Infragistics.Win.UltraWinDock.DockablePaneBase+PaneMetrics
      get.

   def public property IsInitialized as logical
      get.

   def protected property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleContentArea as Infragistics.Win.AppStyling.UIRole
      get.

   def protected abstract property ContainingControl as Infragistics.Win.UltraWinDock.DockControlBase
      get.

   def protected property IsLayoutSuspended as logical
      get.

   def protected property DefaultPaneSize as System.Drawing.Size
      get.

   def public property Size as System.Drawing.Size
      get.
      set.

   def protected property ContentsMargins as Infragistics.Win.UltraWinDock.Margins
      get.

   def protected property DisplaySize as System.Drawing.Size
      get.

   constructor protected DockablePaneBase(input internalId as System.Guid, input floatingParentId as System.Guid, input floatingIndex as integer, input dockedParentId as System.Guid, input dockedIndex as integer):
   end constructor.

   constructor protected DockablePaneBase():
   end constructor.

   constructor protected DockablePaneBase(input key as character):
   end constructor.

   constructor protected DockablePaneBase(input key as character, input text as character):
   end constructor.

   constructor protected DockablePaneBase(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializeMinimumSize():
   end method.

   method public final void ResetMinimumSize():
   end method.

   method protected final logical ShouldSerializeMaximumSize():
   end method.

   method public final void ResetMaximumSize():
   end method.

   method public void Reset():
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final void Close():
   end method.

   method public void Close(input closeChildPane as logical):
   end method.

   method public void Show():
   end method.

   method public final void ToggleDockState():
   end method.

   method public final Infragistics.Win.UltraWinDock.DockAreaPane Dock(input side as Infragistics.Win.UltraWinDock.DockedSide):
   end method.

   method public final void Dock(input maintainPreviousState as logical):
   end method.

   method public final void Float():
   end method.

   method public final void Float(input maintainPreviousState as logical):
   end method.

   method public final void Float(input maintainPreviousState as logical, input point as System.Drawing.Point):
   end method.

   method public final void Float(input maintainPreviousState as logical, input rect as System.Drawing.Rectangle):
   end method.

   method public void Pin():
   end method.

   method public void Unpin():
   end method.

   method public final void Reposition(input newGroup as Infragistics.Win.UltraWinDock.DockableGroupPane):
   end method.

   method public final void Reposition(input newGroup as Infragistics.Win.UltraWinDock.DockableGroupPane, input newIndex as integer):
   end method.

   method public final void Reposition(input relativePane as Infragistics.Win.UltraWinDock.DockablePaneBase, input relationship as Infragistics.Win.UltraWinDock.PanePosition):
   end method.

   method public final void RepositionToGroup(input newGroup as Infragistics.Win.UltraWinDock.DockableGroupPane):
   end method.

   method public final void RepositionToGroup(input newGroup as Infragistics.Win.UltraWinDock.DockableGroupPane, input newIndex as integer):
   end method.

   method public final void RepositionToPane(input relativePane as Infragistics.Win.UltraWinDock.DockablePaneBase, input relationship as Infragistics.Win.UltraWinDock.PanePosition):
   end method.

   method public abstract logical Activate().

   method protected void InitializeFrom(input source as Infragistics.Win.UltraWinDock.DockablePaneBase, input categories as Infragistics.Win.UltraWinDock.PropertyCategories):
   end method.

   method protected abstract Infragistics.Win.UltraWinDock.DockablePaneBase CreateNewPane().

   method protected abstract void HideControls().

   method protected void InitControl(input manager as Infragistics.Win.UltraWinDock.UltraDockManager):
   end method.

   method protected abstract logical CanParent(input pane as Infragistics.Win.UltraWinDock.DockablePaneBase).

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void PropertyChanged(input propId as Infragistics.Win.UltraWinDock.PropertyIds):
   end method.

   method protected void DirtyUIElement():
   end method.

   method protected void InvalidateUIElement():
   end method.

   method protected override void OnRemovedFromCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected override void OnAddedToCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected void DeserializationCallback(input parentPane as Infragistics.Win.UltraWinDock.DockableGroupPane):
   end method.

   method protected final logical ShouldSerializeSize():
   end method.

   method public final void ResetSize():
   end method.

   method protected System.Drawing.Size EnforceMinMax(input requestedSize as System.Drawing.Size):
   end method.

   method protected final System.Drawing.Size EnforceMinMax(input requestedSize as System.Drawing.Size, input width as logical, input height as logical):
   end method.

   method protected final void SyncPaneSize():
   end method.

   method protected final void ProcessPaneSize(input enforceMinMax as logical, input newSize as System.Drawing.Size):
   end method.

   method protected void InternalProcessPaneSize(input enforceMinMax as logical, input newSize as System.Drawing.Size, input displaySize as System.Drawing.Size):
   end method.

   method protected void AdjustChildPaneSize():
   end method.

   method protected void OnDeserializationCallback():
   end method.

end class.
