class Infragistics.Win.UltraWinDock.NavigatorSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property Enabled as logical
      get.
      set.

   def public property FooterAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasFooterAreaAppearance as logical
      get.

   def public property HeaderAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHeaderAreaAppearance as logical
      get.

   def public property HotTrackedItemAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackedItemAreaAppearance as logical
      get.

   def public property IsItemIconVisibleInHeader as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property IsItemIconVisibleInHeaderResolved as logical
      get.

   def public property IsPreviewVisible as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property IsPreviewVisibleResolved as logical
      get.

   def public property ItemAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasItemAppearance as logical
      get.

   def public property ItemDescriptionAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasItemDescriptionAreaAppearance as logical
      get.

   def public property ItemDescriptionBodyAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasItemDescriptionBodyAppearance as logical
      get.

   def public property ItemDescriptionHeaderAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasItemDescriptionHeaderAppearance as logical
      get.

   def public property ItemDescriptionLocation as Infragistics.Win.UltraWinDock.NavigatorItemDescriptionLocation
      get.
      set.

   def public property ItemDescriptionLocationResolved as Infragistics.Win.UltraWinDock.NavigatorItemDescriptionLocation
      get.

   def public property ListHeaderAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasListHeaderAppearance as logical
      get.

   def public property MaxItemsPerColumn as integer
      get.
      set.

   def public property MdiListCaption as character
      get.
      set.

   def public property MdiListMaxColumns as integer
      get.
      set.

   def public property NavigatorStyle as Infragistics.Win.UltraWinDock.NavigatorStyle
      get.
      set.

   def public property NavigatorStyleResolved as Infragistics.Win.UltraWinDock.NavigatorStyle
      get.

   def public property PaneListCaption as character
      get.
      set.

   def public property PaneListMaxColumns as integer
      get.
      set.

   def public property SelectedItemAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSelectedItemAppearance as logical
      get.

   def public property ShowDescriptionArea as logical
      get.
      set.

   constructor public NavigatorSettings():
   end constructor.

   constructor protected NavigatorSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected override void OnDispose():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void InitializeFrom(input source as Infragistics.Win.UltraWinDock.NavigatorSettings):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method protected final logical ShouldSerializeFooterAreaAppearance():
   end method.

   method public final void ResetFooterAreaAppearance():
   end method.

   method protected final logical ShouldSerializeHeaderAreaAppearance():
   end method.

   method public final void ResetHeaderAreaAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackedItemAreaAppearance():
   end method.

   method public final void ResetHotTrackedItemAreaAppearance():
   end method.

   method protected final logical ShouldSerializeItemAppearance():
   end method.

   method public final void ResetItemAppearance():
   end method.

   method protected final logical ShouldSerializeItemDescriptionAreaAppearance():
   end method.

   method public final void ResetItemDescriptionAreaAppearance():
   end method.

   method protected final logical ShouldSerializeItemDescriptionBodyAppearance():
   end method.

   method public final void ResetItemDescriptionBodyAppearance():
   end method.

   method protected final logical ShouldSerializeItemDescriptionHeaderAppearance():
   end method.

   method public final void ResetItemDescriptionHeaderAppearance():
   end method.

   method protected final logical ShouldSerializeListHeaderAppearance():
   end method.

   method public final void ResetListHeaderAppearance():
   end method.

   method protected final logical ShouldSerializeMdiListCaption():
   end method.

   method public final void ResetMdiListCaption():
   end method.

   method protected final logical ShouldSerializePaneListCaption():
   end method.

   method public final void ResetPaneListCaption():
   end method.

   method protected final logical ShouldSerializeSelectedItemAppearance():
   end method.

   method public final void ResetSelectedItemAppearance():
   end method.

end class.
