class Infragistics.Win.UltraWinEditors.DropDownEditorButton
   inherits Infragistics.Win.UltraWinEditors.DropDownEditorButtonBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.ICloneable, Infragistics.Win.IDropDownResizeHandleOwner:

   def public property Control as System.Windows.Forms.Control
      get.
      set.

   def public override property IsDroppedDown as logical
      get.

   def public property AutoFocus as logical
      get.
      set.

   def public property DropDownResizeHandleStyle as Infragistics.Win.DropDownResizeHandleStyle
      get.
      set.

   def public property DropDownResizeHandleStyleResolved as Infragistics.Win.DropDownResizeHandleStyle
      get.

   def public property DropDownResizeHandleAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasDropdownResizeHandleAppearance as logical
      get.

   def public property PreferredDropDownSize as System.Drawing.Size
      get.
      set.

   def public event BeforeDropDownResizeStart signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterDropDownResize signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DropDownEditorButton():
   end constructor.

   constructor public DropDownEditorButton(input key as character):
   end constructor.

   method public final void ResetDropDownResizeHandleStyle():
   end method.

   method protected final logical ShouldSerializeDropDownResizeHandleStyle():
   end method.

   method public final void ResetDropDownResizeHandleAppearance():
   end method.

   method protected final logical ShouldSerializeDropDownResizeHandleAppearance():
   end method.

   method public final void ResetPreferredDropDownSize():
   end method.

   method protected final logical ShouldSerializePreferredDropDownSize():
   end method.

   method public override System.Object Clone():
   end method.

   method protected override void InitializeFrom(input button as Infragistics.Win.UltraWinEditors.EditorButtonBase):
   end method.

   method protected override System.ComponentModel.Design.Serialization.InstanceDescriptor CreateInstanceDescriptor(input context as System.ComponentModel.ITypeDescriptorContext):
   end method.

   method public override void CloseUp():
   end method.

   method public override void DropDown():
   end method.

   method public final static Infragistics.Win.UltraWinEditors.DropDownEditorButton FromControl(input control as System.Windows.Forms.Control):
   end method.

   method protected override void OnDispose():
   end method.

   method protected void OnBeforeDropDownResizeStart(input e as System.EventArgs):
   end method.

   method protected void OnAfterDropDownResize(input e as System.EventArgs):
   end method.

end class.
