class Infragistics.Win.UltraWinEditors.EditorButtonControlBase
   inherits Infragistics.Win.UltraControlBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IUltraControl, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IControlElementEventProcessor, Infragistics.Win.IUltraControlElement, Infragistics.Win.Touch.ISupportTouchMetrics, Infragistics.Win.IImageListProvider
   abstract:

   def protected abstract property InternalEditor as Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
      get.

   def protected abstract property HasInternalEditor as logical
      get.

   def protected abstract property ExternalEditor as Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
      get.

   def protected abstract property HasExternalEditor as logical
      get.

   def public property ButtonsLeft as Infragistics.Win.UltraWinEditors.EditorButtonsCollection
      get.

   def public property ButtonsRight as Infragistics.Win.UltraWinEditors.EditorButtonsCollection
      get.

   def protected abstract property EditorOwner as Infragistics.Win.EmbeddableEditorOwnerBase
      get.

   def public property ShowInkButton as Infragistics.Win.ShowInkButton
      get.
      set.

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property DataFilter as Infragistics.Win.IEditorDataFilter
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public event EditorButtonClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event EditorSpinButtonClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs).

   def public event AfterEditorButtonCloseUp signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event BeforeEditorButtonDropDown signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.BeforeEditorButtonDropDownEventArgs).

   def public event InitializeEditorButtonCheckState signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs).

   def public event BeforeEditorButtonCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs).

   def public event AfterEditorButtonCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   constructor protected EditorButtonControlBase():
   end constructor.

   method protected final logical ShouldSerializeButtonsLeft():
   end method.

   method public final void ResetButtonsLeft():
   end method.

   method protected final logical ShouldSerializeButtonsRight():
   end method.

   method public final void ResetButtonsRight():
   end method.

   method protected final logical ShouldSerializeAppearances():
   end method.

   method public final void ResetAppearances():
   end method.

   method public final void ResetImageList():
   end method.

   method protected final logical ShouldSerializeImageList():
   end method.

   method public final void ResetImageTransparentColor():
   end method.

   method protected final logical ShouldSerializeImageTransparentColor():
   end method.

   method protected void OnEditorCreated(input editor as Infragistics.Win.EmbeddableEditorBase, input controlEditor as logical):
   end method.

   method protected void OnEditorPropertyChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void CloseEditorButtonDropDowns():
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected void OnEditorAccessibleEventOccurred(input eventId as System.Windows.Forms.AccessibleEvents):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected void OnBeforeEditorButtonCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs):
   end method.

   method protected void OnAfterEditorButtonCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected void OnEditorButtonClick(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected void OnInitializeEditorButtonCheckState(input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs):
   end method.

   method protected void OnEditorSpinButtonClick(input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs):
   end method.

   method protected void OnBeforeEditorButtonDropDown(input e as Infragistics.Win.UltraWinEditors.BeforeEditorButtonDropDownEventArgs):
   end method.

   method protected void OnAfterEditorButtonCloseUp(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnTouchProviderRegistrationChanged(input touchProvider as Infragistics.Win.Touch.ITouchProvider, input touchProviderListVersion as integer):
   end method.

   method protected override void OnTouchProviderStateChange(input invalidate as logical):
   end method.

   method public final void ResetReadOnly():
   end method.

   method protected final logical ShouldSerializeReadOnly():
   end method.

   method protected override System.Windows.Automation.Provider.IRawElementProviderFragment CreateUIAutomationProvider(input context as System.Object):
   end method.

end class.
