class Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
   inherits Infragistics.Win.EmbeddableEditorBase
   implements System.IDisposable
   abstract:

   def public property ButtonsLeft as Infragistics.Win.UltraWinEditors.EditorButtonsCollection
      get.

   def public property HasButtonsLeft as logical
      get.

   def public property ButtonsRight as Infragistics.Win.UltraWinEditors.EditorButtonsCollection
      get.

   def public property HasButtonsRight as logical
      get.

   def public event EditorButtonClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event EditorSpinButtonClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs).

   def public event AfterEditorButtonCloseUp signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event BeforeEditorButtonDropDown signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.BeforeEditorButtonDropDownEventArgs).

   def public event InitializeEditorButtonCheckState signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs).

   def public event BeforeEditorButtonCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs).

   def public event AfterEditorButtonCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event EditorButtonAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   constructor protected EmbeddableEditorButtonBase():
   end constructor.

   constructor protected EmbeddableEditorButtonBase(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end constructor.

   method protected logical ShouldSerializeButtonsLeft():
   end method.

   method public final void ResetButtonsLeft():
   end method.

   method protected logical ShouldSerializeButtonsRight():
   end method.

   method public final void ResetButtonsRight():
   end method.

   method protected final integer CalculateButtonExtent(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected override void InitializeFrom(input source as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void OnBeforeEditorButtonCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs):
   end method.

   method protected void OnAfterEditorButtonCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected void OnEditorButtonClick(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected void OnInitializeEditorButtonCheckState(input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs):
   end method.

   method protected void OnEditorSpinButtonClick(input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs):
   end method.

   method protected void OnBeforeEditorButtonDropDown(input e as Infragistics.Win.UltraWinEditors.BeforeEditorButtonDropDownEventArgs):
   end method.

   method protected void OnAfterEditorButtonCloseUp(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method public override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final integer GetMinimumTouchFriendlyHeight(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected logical HasAnySpinButtons():
   end method.

end class.
