class Infragistics.Win.UltraWinEditors.SpinEditorButton
   inherits Infragistics.Win.UltraWinEditors.EditorButtonBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.ICloneable:

   def public property CanSpinNextItem as logical
      get.
      set.

   def public property CanSpinPreviousItem as logical
      get.
      set.

   def public property CanSpinNextPage as logical
      get.
      set.

   def public property CanSpinPreviousPage as logical
      get.
      set.

   def public property CanSpinFirst as logical
      get.
      set.

   def public property CanSpinLast as logical
      get.
      set.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property SpinButtonType as Infragistics.Win.SpinButtonTypes
      get.
      set.

   def protected override property UIElementType as System.Type
      get.

   def public property ButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.
      set.

   def protected override property AccessibleRole as System.Windows.Forms.AccessibleRole
      get.

   def protected override property UIRoleName as character
      get.

   def public property InitialDelay as integer
      get.
      set.

   def public property Interval as integer
      get.
      set.

   def public property AccelerationEnabled as logical
      get.
      set.

   def public property AccelerationThreshold as integer
      get.
      set.

   def public property AcceleratedInterval as integer
      get.
      set.

   def public event SpinButtonClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs).

   constructor public SpinEditorButton():
   end constructor.

   constructor public SpinEditorButton(input key as character):
   end constructor.

   method public override Infragistics.Win.UltraWinEditors.EditorButtonBase+EditorButtonBaseUIAProviderStub CreateUIAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub, input fragmentRoot as Infragistics.Win.UIAutomation.Stubs.FragmentRootUIAProviderStub):
   end method.

   method protected void OnSpinButtonClick(input e as Infragistics.Win.UltraWinEditors.SpinButtonClickEventArgs):
   end method.

   method protected override Infragistics.Win.UIElement CreateUIElement(input previousElement as Infragistics.Win.UIElement, input parentElement as Infragistics.Win.UIElement):
   end method.

   method public override System.Object Clone():
   end method.

   method protected override void InitializeFrom(input button as Infragistics.Win.UltraWinEditors.EditorButtonBase):
   end method.

   method protected override System.ComponentModel.Design.Serialization.InstanceDescriptor CreateInstanceDescriptor(input context as System.ComponentModel.ITypeDescriptorContext):
   end method.

   method protected override System.Drawing.Size CalculatePreferredSize(input buttonInfo as Infragistics.Win.UltraWinEditors.EditorButtonInfo):
   end method.

   method protected void ResolveAppearance(input state as Infragistics.Win.UIElementButtonState, input appearance as Infragistics.Win.AppearanceData, input requestedPropFlags as Infragistics.Win.AppearancePropFlags, input role as Infragistics.Win.AppStyling.UIRole, input componentRole as Infragistics.Win.AppStyling.ComponentRole):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as Infragistics.Win.EmbeddableEditorBase+EmbeddableEditorAccessibleObject):
   end method.

   method protected void DoDefaultAction(input buttonAccessibleObject as System.Windows.Forms.AccessibleObject, input item as Infragistics.Win.UltraWinEditors.SpinButtonItem):
   end method.

end class.
