class Infragistics.Win.UltraWinEditors.StateEditorButton
   inherits Infragistics.Win.UltraWinEditors.EditorButton
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.ICloneable:

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property DisplayStyle as Infragistics.Win.UltraWinEditors.StateButtonDisplayStyle
      get.
      set.

   def protected override property AccessibleRole as System.Windows.Forms.AccessibleRole
      get.

   def protected override property UIRoleName as character
      get.

   def public event InitializeCheckState signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs).

   def public event AfterCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs).

   def public event BeforeCheckStateChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs).

   constructor public StateEditorButton():
   end constructor.

   constructor public StateEditorButton(input key as character):
   end constructor.

   method public override Infragistics.Win.UltraWinEditors.EditorButtonBase+EditorButtonBaseUIAProviderStub CreateUIAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub, input fragmentRoot as Infragistics.Win.UIAutomation.Stubs.FragmentRootUIAProviderStub):
   end method.

   method protected override void DoDefaultAction(input button as Infragistics.Win.UltraWinEditors.EditorButtonBase+EditorButtonBaseUIAProviderStub, input parent as Infragistics.Win.EmbeddableEditorBase+EmbeddableEditorUIAProviderStub):
   end method.

   method protected override character GetDefaultAction(input buttonAccessibleObject as System.Windows.Forms.AccessibleObject):
   end method.

   method public override System.Object Clone():
   end method.

   method protected override void InitializeFrom(input button as Infragistics.Win.UltraWinEditors.EditorButtonBase):
   end method.

   method protected override System.ComponentModel.Design.Serialization.InstanceDescriptor CreateInstanceDescriptor(input context as System.ComponentModel.ITypeDescriptorContext):
   end method.

   method protected override Infragistics.Win.UIElement CreateUIElement(input previousElement as Infragistics.Win.UIElement, input parentElement as Infragistics.Win.UIElement):
   end method.

   method protected override System.Drawing.Size CalculatePreferredSize(input buttonInfo as Infragistics.Win.UltraWinEditors.EditorButtonInfo):
   end method.

   method public final void InitCheckState(input newState as System.Windows.Forms.CheckState):
   end method.

   method protected override void DoDefaultAction(input buttonAccessibleObject as System.Windows.Forms.AccessibleObject):
   end method.

   method protected void OnInitializeCheckState(input e as Infragistics.Win.UltraWinEditors.InitializeCheckStateEventArgs):
   end method.

   method protected void OnAfterCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.EditorButtonEventArgs):
   end method.

   method protected void OnBeforeCheckStateChanged(input e as Infragistics.Win.UltraWinEditors.BeforeCheckStateChangedEventArgs):
   end method.

end class.
