class Infragistics.Win.UltraWinEditors.TextEditorControlBase
   inherits Infragistics.Win.UltraWinEditors.EditorButtonControlBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IUltraControl, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IControlElementEventProcessor, Infragistics.Win.IUltraControlElement, Infragistics.Win.Touch.ISupportTouchMetrics, Infragistics.Win.IImageListProvider, Infragistics.Win.IProvidesEmbeddableEditor, System.ComponentModel.ISupportInitialize
   abstract:

   def protected variable mainElement as Infragistics.Win.UIElement.

   def protected variable textValue as character.

   def protected variable nullTextValue as character.

   def protected variable bypassMouseHandlingValue as logical.

   def protected variable dontEnterEditModeOnFocus as logical.

   def protected variable controlAppearance as Infragistics.Win.AppearanceHolder.

   def protected variable controlNullTextAppearance as Infragistics.Win.AppearanceHolder.

   def public property OverflowIndicatorImage as System.Drawing.Image
      get.
      set.

   def public property HasOverflowIndicatorImage as logical
      get.

   def public property ShowOverflowIndicator as logical
      get.
      set.

   def public property CharacterCasing as System.Windows.Forms.CharacterCasing
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public override property Focused as logical
      get.

   def public override property AutoSize as logical
      get.
      set.

   def public property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property DisplayStyle as Infragistics.Win.EmbeddableElementDisplayStyle
      get.
      set.

   def public property HideSelection as logical
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property TextLength as integer
      get.

   def public property AlwaysInEditMode as logical
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property Nullable as logical
      get.
      set.

   def public property IsInEditMode as logical
      get.

   def public property Editor as Infragistics.Win.EmbeddableEditorBase
      get.

   def public property BackColorInternal as System.Drawing.Color
      get.
      set.

   def protected property IsMultiline as logical
      get.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def protected property SubObjectPropChangeHandler as Infragistics.Shared.SubObjectPropChangeEventHandler
      get.

   def public property NullTextAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasNullTextAppearance as logical
      get.

   def protected property PropertyChangedHandler as Infragistics.Win.PropertyChangedEventHandler
      get.

   def protected property ValueChangedEventHandler as System.EventHandler
      get.

   def protected property BeforeEnterEditModeEventHandler as System.ComponentModel.CancelEventHandler
      get.

   def protected property BeforeExitEditModeEventHandler as Infragistics.Win.BeforeExitEditModeEventHandler
      get.

   def protected property AfterEnterEditModeEventHandler as System.EventHandler
      get.

   def protected property AfterExitEditModeEventHandler as System.EventHandler
      get.

   def protected property EditorKeyDownEventHandler as System.Windows.Forms.KeyEventHandler
      get.

   def protected property EditorKeyPressEventHandler as System.Windows.Forms.KeyPressEventHandler
      get.

   def protected property EditorKeyUpEventHandler as System.Windows.Forms.KeyEventHandler
      get.

   def protected property EditorMouseDownEventHandler as Infragistics.Win.EmbeddableMouseDownEventHandler
      get.

   def protected property EditorMouseUpEventHandler as Infragistics.Win.EmbeddableMouseEventHandler
      get.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def protected override property InternalEditor as Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
      get.

   def protected override property HasInternalEditor as logical
      get.

   def protected override property ExternalEditor as Infragistics.Win.UltraWinEditors.EmbeddableEditorButtonBase
      get.

   def protected override property HasExternalEditor as logical
      get.

   def protected override property EditorOwner as Infragistics.Win.EmbeddableEditorOwnerBase
      get.

   def protected property SpellCheckerErrorMarkerHeight as integer
      get.

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeEnterEditMode signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event BeforeExitEditMode signature void (input sender as System.Object, input e as Infragistics.Win.BeforeExitEditModeEventArgs).

   def public event AfterEnterEditMode signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterExitEditMode signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected TextEditorControlBase():
   end constructor.

   method protected final void SetText(input text as character):
   end method.

   method protected character GetText():
   end method.

   method protected abstract Infragistics.Win.EmbeddableEditorOwnerBase CreateOwner().

   method protected abstract Infragistics.Win.EditorWithText CreateEditorWithText().

   method protected abstract Infragistics.Win.EditorWithText CreateEditorWithText(input owner as Infragistics.Win.EmbeddableEditorOwnerBase).

   method protected final logical ShouldSerializeOverflowIndicatorImage():
   end method.

   method public final void ResetOverflowIndicatorImage():
   end method.

   method protected void OnBeginInit():
   end method.

   method protected void OnEndInit():
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical IsInputChar(input charCode as character):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnEnter(input e as System.EventArgs):
   end method.

   method protected override void OnLeave(input e as System.EventArgs):
   end method.

   method protected override void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnParentFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnControlAdded(input e as System.Windows.Forms.ControlEventArgs):
   end method.

   method public final override logical Focus():
   end method.

   method protected override logical FocusInternal():
   end method.

   method public final void AppendText(input text as character):
   end method.

   method public final void Clear():
   end method.

   method public final void ClearUndo():
   end method.

   method public final void Copy():
   end method.

   method public final void Cut():
   end method.

   method public final void Paste():
   end method.

   method public final void Select(input start as integer, input length as integer):
   end method.

   method public final void SelectAll():
   end method.

   method public final void Undo():
   end method.

   method public final logical CanUndo():
   end method.

   method public final void ResetBorderStyle():
   end method.

   method public final void ResetDisplayStyle():
   end method.

   method public final void ResetAutoSize():
   end method.

   method public final void ResetCharacterCasing():
   end method.

   method public final void ResetHideSelection():
   end method.

   method public final void ResetMaxLength():
   end method.

   method public final void ResetAlwaysInEditMode():
   end method.

   method public final void ResetNullable():
   end method.

   method public final void ResetNullText():
   end method.

   method protected final logical ShouldSerializeBorderStyle():
   end method.

   method protected final logical ShouldSerializeDisplayStyle():
   end method.

   method protected final logical ShouldSerializeAutoSize():
   end method.

   method protected final logical ShouldSerializeCharacterCasing():
   end method.

   method protected final logical ShouldSerializeHideSelection():
   end method.

   method protected final logical ShouldSerializeMaxLength():
   end method.

   method protected final logical ShouldSerializeAlwaysInEditMode():
   end method.

   method protected final logical ShouldSerializeNullable():
   end method.

   method protected final logical ShouldSerializeNullText():
   end method.

   method protected final void OnFormActivate(input e as System.EventArgs):
   end method.

   method protected final void OnFormDeactivate(input e as System.EventArgs):
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input includeNullTextAppearance as logical):
   end method.

   method protected void ResolveControlAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected final logical ShouldSerializeNullTextAppearance():
   end method.

   method public final void ResetNullTextAppearance():
   end method.

   method protected void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void OnPropChanged(input args as Infragistics.Win.PropertyChangedEventArgs):
   end method.

   method protected void FireValueChanged(input e as System.EventArgs):
   end method.

   method protected void FireBeforeEnterEditMode(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void FireBeforeExitEditMode(input e as Infragistics.Win.BeforeExitEditModeEventArgs):
   end method.

   method protected void FireAfterEnterEditMode(input e as System.EventArgs):
   end method.

   method protected void FireAfterExitEditMode(input e as System.EventArgs):
   end method.

   method protected void OnValueChanged(input args as System.EventArgs):
   end method.

   method protected void OnBeforeEnterEditMode(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnBeforeExitEditMode(input args as Infragistics.Win.BeforeExitEditModeEventArgs):
   end method.

   method protected void OnAfterEnterEditMode(input args as System.EventArgs):
   end method.

   method protected void OnAfterExitEditMode(input args as System.EventArgs):
   end method.

   method protected void OnEditorKeyDown(input args as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnEditorKeyPress(input args as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnEditorKeyUp(input args as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method public override System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnEditorPropertyChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnTouchProviderRegistrationChanged(input touchProvider as Infragistics.Win.Touch.ITouchProvider, input touchProviderListVersion as integer):
   end method.

   method protected override void OnTouchProviderStateChange(input invalidate as logical):
   end method.

end class.
