class Infragistics.Win.UltraWinGrid.DocumentExport.UltraGridDocumentExporter
   inherits Infragistics.Win.UltraComponentBase
   implements System.ComponentModel.IComponent, System.IDisposable, Infragistics.Shared.IUltraComponent, Infragistics.Shared.IUltraLicensedComponent:

   def public static variable ReportRelevantPropFlags as Infragistics.Win.AppearancePropFlags.

   def public property AutoSize as Infragistics.Win.UltraWinGrid.DocumentExport.AutoSize
      get.
      set.

   def public property FileBuffer as character
      get.
      set.

   def public property ImageCompressorType as Infragistics.Win.UltraWinGrid.DocumentExport.ImageCompressorType
      get.
      set.

   def public property ImageTransparentMapColor as System.Drawing.Color
      get.
      set.

   def public property Margins as Infragistics.Documents.Reports.Report.PageMargins
      get.
      set.

   def public property TargetPaperOrientation as Infragistics.Documents.Reports.Report.PageOrientation
      get.
      set.

   def public property TargetPaperSize as Infragistics.Documents.Reports.Report.PageSize
      get.
      set.

   def public property UseFileBuffer as logical
      get.
      set.

   def public property Report as Infragistics.Documents.Reports.Report.Report
      get.
      set.

   def public property About as System.Object
      get.

   def public event BeginExport signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.BeginExportEventArgs).

   def public event InitializeRow signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.DocumentExportInitializeRowEventArgs).

   def public event EndExport signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.EndExportEventArgs).

   def public event HeaderRowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderRowExportingEventArgs).

   def public event RowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.RowExportingEventArgs).

   def public event SummaryRowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryRowExportingEventArgs).

   def public event HeaderRowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderRowExportedEventArgs).

   def public event RowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.RowExportedEventArgs).

   def public event SummaryRowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryRowExportedEventArgs).

   def public event CellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.CellExportingEventArgs).

   def public event HeaderCellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderCellExportingEventArgs).

   def public event SummaryCellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryCellExportingEventArgs).

   def public event CellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.CellExportedEventArgs).

   def public event HeaderCellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderCellExportedEventArgs).

   def public event SummaryCellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryCellExportedEventArgs).

   def public event ExportStarted signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportStartedEventArgs).

   def public event ExportEnding signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportEndingEventArgs).

   def public event ExportEnded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportEndedEventArgs).

   def public event AsynchronousExportError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.DocumentExport.AsynchronousExportErrorEventArgs).

   constructor public UltraGridDocumentExporter():
   end constructor.

   constructor public UltraGridDocumentExporter(input container as System.ComponentModel.IContainer):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected final logical ShouldSerializeImageTransparentMapColor():
   end method.

   method public final void ResetImageTransparentMapColor():
   end method.

   method protected final logical ShouldSerializeMargins():
   end method.

   method public final void ResetMargins():
   end method.

   method protected final logical ShouldSerializeTargetPaperSize():
   end method.

   method public final void ResetTargetPaperSize():
   end method.

   method public final void Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character, input fileFormat as Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat):
   end method.

   method public final void Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input stream as System.IO.Stream, input fileFormat as Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat):
   end method.

   method public final Infragistics.Documents.Reports.Report.Section.ISection Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid):
   end method.

   method public final Infragistics.Documents.Reports.Report.Section.ISection Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input report as Infragistics.Documents.Reports.Report.Report):
   end method.

   method public final void Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input section as Infragistics.Documents.Reports.Report.Section.ISection):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character, input fileFormat as Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input stream as System.IO.Stream, input fileFormat as Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input report as Infragistics.Documents.Reports.Report.Report):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input section as Infragistics.Documents.Reports.Report.Section.ISection):
   end method.

   method protected void OnBeginExport(input e as Infragistics.Win.UltraWinGrid.DocumentExport.BeginExportEventArgs):
   end method.

   method protected void OnInitializeRow(input e as Infragistics.Win.UltraWinGrid.DocumentExport.DocumentExportInitializeRowEventArgs):
   end method.

   method protected void OnEndExport(input e as Infragistics.Win.UltraWinGrid.DocumentExport.EndExportEventArgs):
   end method.

   method protected void OnHeaderRowExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderRowExportingEventArgs):
   end method.

   method protected void OnRowExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.RowExportingEventArgs):
   end method.

   method protected void OnSummaryRowExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryRowExportingEventArgs):
   end method.

   method protected void OnHeaderRowExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderRowExportedEventArgs):
   end method.

   method protected void OnRowExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.RowExportedEventArgs):
   end method.

   method protected void OnSummaryRowExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryRowExportedEventArgs):
   end method.

   method protected void OnCellExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.CellExportingEventArgs):
   end method.

   method protected void OnHeaderCellExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderCellExportingEventArgs):
   end method.

   method protected void OnSummaryCellExporting(input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryCellExportingEventArgs):
   end method.

   method protected void OnCellExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.CellExportedEventArgs):
   end method.

   method protected void OnHeaderCellExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.HeaderCellExportedEventArgs):
   end method.

   method protected void OnSummaryCellExported(input e as Infragistics.Win.UltraWinGrid.DocumentExport.SummaryCellExportedEventArgs):
   end method.

   method protected void OnExportStarted(input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportStartedEventArgs):
   end method.

   method protected void OnExportEnding(input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportEndingEventArgs):
   end method.

   method protected void OnExportEnded(input e as Infragistics.Win.UltraWinGrid.DocumentExport.ExportEndedEventArgs):
   end method.

   method protected void OnAsynchronousExportError(input e as Infragistics.Win.UltraWinGrid.DocumentExport.AsynchronousExportErrorEventArgs):
   end method.

end class.
