class Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter
   inherits Infragistics.Win.UltraComponentBase
   implements System.ComponentModel.IComponent, System.IDisposable, Infragistics.Shared.IUltraComponent, Infragistics.Shared.IUltraLicensedComponent:

   def public static variable ExcelRelevantPropFlags as Infragistics.Win.AppearancePropFlags.

   def public property FileLimitBehaviour as Infragistics.Win.UltraWinGrid.ExcelExport.FileLimitBehaviour
      get.
      set.

   def public property DefaultWorkbookPaletteMode as Infragistics.Documents.Excel.WorkbookPaletteMode
      get.
      set.

   def public property ExportFormulas as logical
      get.
      set.

   def public property BandSpacing as Infragistics.Win.UltraWinGrid.ExcelExport.BandSpacing
      get.
      set.

   def public property OutliningStyle as Infragistics.Win.UltraWinGrid.ExcelExport.OutliningStyle
      get.
      set.

   def public property ExportValueLists as logical
      get.
      set.

   def public property ExportFormattingOptions as Infragistics.Win.UltraWinGrid.ExcelExport.ExportFormattingOptions
      get.
      set.

   def public property About as System.Object
      get.

   def public event BeginExport signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.BeginExportEventArgs).

   def public event InitializeRow signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExcelExportInitializeRowEventArgs).

   def public event RowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.RowExportingEventArgs).

   def public event RowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.RowExportedEventArgs).

   def public event SummaryRowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryRowExportingEventArgs).

   def public event SummaryRowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryRowExportedEventArgs).

   def public event HeaderRowExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderRowExportingEventArgs).

   def public event HeaderRowExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderRowExportedEventArgs).

   def public event CellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportingEventArgs).

   def public event CellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportedEventArgs).

   def public event HeaderCellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderCellExportingEventArgs).

   def public event HeaderCellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderCellExportedEventArgs).

   def public event SummaryCellExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryCellExportingEventArgs).

   def public event SummaryCellExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryCellExportedEventArgs).

   def public event EndExport signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.EndExportEventArgs).

   def public event InitializeColumn signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.InitializeColumnEventArgs).

   def public event FormulaExporting signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportingEventArgs).

   def public event FormulaExported signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportedEventArgs).

   def public event FormulaExportError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportErrorEventArgs).

   def public event InitializeSummary signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.InitializeSummaryEventArgs).

   def public event ExportStarted signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportStartedEventArgs).

   def public event ExportEnding signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportEndingEventArgs).

   def public event ExportEnded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportEndedEventArgs).

   def public event AsynchronousExportError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.AsynchronousExportErrorEventArgs).

   def public event CellExportError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportErrorEventArgs).

   constructor public UltraGridExcelExporter():
   end constructor.

   constructor public UltraGridExcelExporter(input container as System.ComponentModel.IContainer):
   end constructor.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character, input workbookFormat as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input workbookFormat as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input workbook as Infragistics.Documents.Excel.Workbook):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input worksheet as Infragistics.Documents.Excel.Worksheet):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input workbook as Infragistics.Documents.Excel.Workbook, input startRow as integer, input startColumn as integer):
   end method.

   method public final Infragistics.Documents.Excel.Workbook Export(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input worksheet as Infragistics.Documents.Excel.Worksheet, input startRow as integer, input startColumn as integer):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input fileName as character, input workbookFormat as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input workbook as Infragistics.Documents.Excel.Workbook):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input worksheet as Infragistics.Documents.Excel.Worksheet):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input workbook as Infragistics.Documents.Excel.Workbook, input startRow as integer, input startColumn as integer):
   end method.

   method public final void ExportAsync(input grid as Infragistics.Win.UltraWinGrid.UltraGrid, input worksheet as Infragistics.Documents.Excel.Worksheet, input startRow as integer, input startColumn as integer):
   end method.

   method protected void OnBeginExport(input e as Infragistics.Win.UltraWinGrid.ExcelExport.BeginExportEventArgs):
   end method.

   method protected void OnInitializeRow(input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExcelExportInitializeRowEventArgs):
   end method.

   method protected void OnRowExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.RowExportingEventArgs):
   end method.

   method protected void OnRowExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.RowExportedEventArgs):
   end method.

   method protected void OnSummaryRowExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryRowExportingEventArgs):
   end method.

   method protected void OnSummaryRowExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryRowExportedEventArgs):
   end method.

   method protected void OnHeaderRowExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderRowExportingEventArgs):
   end method.

   method protected void OnHeaderRowExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderRowExportedEventArgs):
   end method.

   method protected void OnCellExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportingEventArgs):
   end method.

   method protected void OnCellExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportedEventArgs):
   end method.

   method protected void OnHeaderCellExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderCellExportingEventArgs):
   end method.

   method protected void OnHeaderCellExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.HeaderCellExportedEventArgs):
   end method.

   method protected void OnSummaryCellExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryCellExportingEventArgs):
   end method.

   method protected void OnSummaryCellExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.SummaryCellExportedEventArgs):
   end method.

   method protected void OnEndExport(input e as Infragistics.Win.UltraWinGrid.ExcelExport.EndExportEventArgs):
   end method.

   method protected void OnInitializeColumn(input e as Infragistics.Win.UltraWinGrid.ExcelExport.InitializeColumnEventArgs):
   end method.

   method protected void OnFormulaExporting(input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportingEventArgs):
   end method.

   method protected void OnFormulaExported(input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportedEventArgs):
   end method.

   method protected void OnFormulaExportError(input e as Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportErrorEventArgs):
   end method.

   method protected void OnInitializeSummary(input e as Infragistics.Win.UltraWinGrid.ExcelExport.InitializeSummaryEventArgs):
   end method.

   method protected void OnExportStarted(input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportStartedEventArgs):
   end method.

   method protected void OnExportEnding(input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportEndingEventArgs):
   end method.

   method protected void OnExportEnded(input e as Infragistics.Win.UltraWinGrid.ExcelExport.ExportEndedEventArgs):
   end method.

   method protected void OnAsynchronousExportError(input e as Infragistics.Win.UltraWinGrid.ExcelExport.AsynchronousExportErrorEventArgs):
   end method.

   method protected void OnCellExportError(input e as Infragistics.Win.UltraWinGrid.ExcelExport.CellExportErrorEventArgs):
   end method.

end class.
