class Infragistics.Win.UltraWinGrid.RowLayoutColumnInfo
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.Layout.IGridBagConstraint, Infragistics.Win.Layout.ILayoutItem:

   def public static variable Relative as integer.

   def public static variable Remainder as integer.

   def public override property Key as character
      get.
      set.

   def public property LabelSpanResolved as integer
      get.

   def public property Column as Infragistics.Win.UltraWinGrid.UltraGridColumn
      get.

   def public property LabelPosition as Infragistics.Win.UltraWinGrid.LabelPosition
      get.
      set.

   def public property LabelPositionResolved as Infragistics.Win.UltraWinGrid.LabelPosition
      get.

   def public property LabelSpan as integer
      get.
      set.

   def public property MinimumLabelSize as System.Drawing.Size
      get.
      set.

   def public property PreferredLabelSize as System.Drawing.Size
      get.
      set.

   def public property MinimumCellSize as System.Drawing.Size
      get.
      set.

   def public property PreferredCellSize as System.Drawing.Size
      get.
      set.

   def public property ActualCellSize as System.Drawing.Size
      get.
      set.

   def public property ActualLabelSize as System.Drawing.Size
      get.
      set.

   def public property OriginX as integer
      get.
      set.

   def public property OriginY as integer
      get.
      set.

   def public property SpanX as integer
      get.
      set.

   def public property SpanY as integer
      get.
      set.

   def public property OriginXResolved as integer
      get.

   def public property OriginYResolved as integer
      get.

   def public property SpanXResolved as integer
      get.

   def public property SpanYResolved as integer
      get.

   def public property WeightX as decimal
      get.
      set.

   def public property WeightY as decimal
      get.
      set.

   def public property AllowCellSizing as Infragistics.Win.UltraWinGrid.RowLayoutSizing
      get.
      set.

   def public property AllowLabelSizing as Infragistics.Win.UltraWinGrid.RowLayoutSizing
      get.
      set.

   def public property CellInsets as Infragistics.Win.Layout.Insets
      get.

   def public property LabelInsets as Infragistics.Win.Layout.Insets
      get.

   def public property Context as System.Object
      get.

   def public property Group as Infragistics.Win.UltraWinGrid.UltraGridGroup
      get.

   def public property ParentGroup as Infragistics.Win.UltraWinGrid.UltraGridGroup
      get.
      set.

   def public property ParentGroupIndex as integer
      get.
      set.

   def public property ParentGroupKey as character
      get.
      set.

   def public property ContextType as Infragistics.Win.UltraWinGrid.RowLayoutColumnInfoContext
      get.

   constructor public RowLayoutColumnInfo(input columnKey as character, input unboundColumnIndex as integer):
   end constructor.

   constructor public RowLayoutColumnInfo(input columnKey as character, input unboundColumnIndex as integer, input columnHidden as Infragistics.Win.DefaultableBoolean):
   end constructor.

   constructor public RowLayoutColumnInfo(input rowLayoutColumnInfoContext as Infragistics.Win.UltraWinGrid.RowLayoutColumnInfoContext, input key as character, input unboundColumnIndex as integer, input columnHidden as Infragistics.Win.DefaultableBoolean):
   end constructor.

   constructor public RowLayoutColumnInfo(input rowLayoutColumnInfoContext as Infragistics.Win.UltraWinGrid.RowLayoutColumnInfoContext, input key as character, input unboundColumnIndex as integer, input columnHidden as Infragistics.Win.DefaultableBoolean, input parentGroupKey as character, input parentGroupIndex as integer):
   end constructor.

   constructor protected RowLayoutColumnInfo(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override void OnDispose():
   end method.

   method protected final logical ShouldSerializeLabelPosition():
   end method.

   method protected final logical ShouldSerializeOriginX():
   end method.

   method protected final logical ShouldSerializeOriginY():
   end method.

   method protected final logical ShouldSerializeSpanX():
   end method.

   method protected final logical ShouldSerializeSpanY():
   end method.

   method protected final logical ShouldSerializeWeightX():
   end method.

   method protected final logical ShouldSerializeWeightY():
   end method.

   method protected final logical ShouldSerializeContextType():
   end method.

   method protected final logical ShouldSerializeMinimumLabelSize():
   end method.

   method protected final logical ShouldSerializeParentGroup():
   end method.

   method protected final logical ShouldSerializeParentGroupIndex():
   end method.

   method protected final logical ShouldSerializeParentGroupKey():
   end method.

   method protected final logical ShouldSerializePreferredLabelSize():
   end method.

   method protected final logical ShouldSerializeMinimumCellSize():
   end method.

   method protected final logical ShouldSerializePreferredCellSize():
   end method.

   method protected final logical ShouldSerializeAllowCellSizing():
   end method.

   method protected final logical ShouldSerializeAllowLabelSizing():
   end method.

   method protected final logical ShouldSerializeCellInsets():
   end method.

   method protected final logical ShouldSerializeLabelInsets():
   end method.

   method protected final logical ShouldSerializeLabelSpan():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input preferredCellWidth as integer, input preferredCellHeight as integer):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input labelPosition as Infragistics.Win.UltraWinGrid.LabelPosition, input labelSpan as integer):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input weightX as decimal, input weightY as decimal):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input weightX as decimal, input weightY as decimal, input labelPosition as Infragistics.Win.UltraWinGrid.LabelPosition, input labelSpan as integer):
   end method.

   method public final void Initialize(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input weightX as decimal, input weightY as decimal, input labelPosition as Infragistics.Win.UltraWinGrid.LabelPosition, input labelSpan as integer, input preferredCellWidth as integer, input preferredCellHeight as integer, input preferredLabelWidth as integer, input preferredLabelHeight as integer):
   end method.

   method public final void ResetOriginX():
   end method.

   method public final void ResetOriginY():
   end method.

   method public final void ResetSpanX():
   end method.

   method public final void ResetSpanY():
   end method.

   method public final void ResetWeightX():
   end method.

   method public final void ResetWeightY():
   end method.

   method public final void ResetLabelPosition():
   end method.

   method public final void ResetLabelSpan():
   end method.

   method public final void ResetMinimumLabelSize():
   end method.

   method public final void ResetPreferredLabelSize():
   end method.

   method public final void ResetMinimumCellSize():
   end method.

   method public final void ResetPreferredCellSize():
   end method.

   method public final void ResetAllowCellSizing():
   end method.

   method public final void ResetAllowLabelSizing():
   end method.

   method public final void ResetCellInsets():
   end method.

   method public final void ResetLabelInsets():
   end method.

   method public final void ResetRowLayoutContextType():
   end method.

   method public final void ResetParentGroup():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public final static Infragistics.Win.UltraWinGrid.UltraGridColumn GetColumnFromLayoutItem(input item as Infragistics.Win.Layout.ILayoutItem):
   end method.

   method public final static Infragistics.Win.UltraWinGrid.HeaderBase GetHeaderFromLayoutItem(input item as Infragistics.Win.Layout.ILayoutItem):
   end method.

   method public final static Infragistics.Win.UltraWinGrid.RowLayoutColumnInfo GetRowLayoutColumnInfo(input layoutItem as Infragistics.Win.Layout.ILayoutItem):
   end method.

end class.
