class Infragistics.Win.UltraWinGrid.UltraGridBand
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, Infragistics.Win.UltraWinGrid.ISelectionStrategyProvider, System.Runtime.Serialization.ISerializable, Infragistics.Win.Layout.ILayoutGroup:

   def public property Header as Infragistics.Win.UltraWinGrid.BandHeader
      get.

   def public property Layout as Infragistics.Win.UltraWinGrid.UltraGridLayout
      get.

   def public override property Key as character
      get.
      set.

   def public property ParentBand as Infragistics.Win.UltraWinGrid.UltraGridBand
      get.

   def public property ParentColumn as Infragistics.Win.UltraWinGrid.UltraGridColumn
      get.

   def public property RowSelectorWidthResolved as integer
      get.

   def public property CardLabelWidthResolved as integer
      get.

   def public property CardWidthResolved as integer
      get.

   def public property ColumnFilters as Infragistics.Win.UltraWinGrid.ColumnFiltersCollection
      get.

   def public property RowFilterModeResolved as Infragistics.Win.UltraWinGrid.RowFilterMode
      get.

   def public property RowFilterActionResolved as Infragistics.Win.UltraWinGrid.RowFilterAction
      get.

   def public property Summaries as Infragistics.Win.UltraWinGrid.SummarySettingsCollection
      get.

   def public property SummaryFooterCaption as character
      get.
      set.

   def public property Columns as Infragistics.Win.UltraWinGrid.ColumnsCollection
      get.

   def public property Groups as Infragistics.Win.UltraWinGrid.GroupsCollection
      get.

   def public property Override as Infragistics.Win.UltraWinGrid.UltraGridOverride
      get.
      set.

   def public property HasOverride as logical
      get.

   def public property HasCardSettings as logical
      get.

   def public property CardSettings as Infragistics.Win.UltraWinGrid.UltraGridCardSettings
      get.

   def public property BorderStyleSummaryValueResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property BorderStyleSummaryFooterCaptionResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property BorderStyleHeaderResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property RowSelectorHeaderStyleResolved as Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle
      get.

   def public property CardView as logical
      get.
      set.

   def public property AddButtonCaption as character
      get.
      set.

   def public property AddButtonToolTipText as character
      get.
      set.

   def public property AutoPreviewField as character
      get.
      set.

   def public property AutoPreviewEnabled as logical
      get.
      set.

   def public property AutoPreviewIndentation as integer
      get.
      set.

   def public property AutoPreviewMaxLines as integer
      get.
      set.

   def public property ColHeaderLines as integer
      get.
      set.

   def public property ColHeadersVisible as logical
      get.
      set.

   def public property Expandable as logical
      get.
      set.

   def public property Indentation as integer
      get.
      set.

   def public property GroupHeaderLines as integer
      get.
      set.

   def public property GroupHeadersVisible as logical
      get.
      set.

   def public property HeaderVisible as logical
      get.
      set.

   def public property Hidden as logical
      get.
      set.

   def public property HiddenResolved as logical
      get.

   def public property Index as integer
      get.

   def public property LevelCount as integer
      get.
      set.

   def public property ScrollTipField as character
      get.
      set.

   def public property SortedColumns as Infragistics.Win.UltraWinGrid.SortedColumnsCollection
      get.

   def public property HasSortedColumns as logical
      get.

   def public property TotalHeaderHeight as integer
      get.

   def public property UseRowLayout as logical
      get.
      set.

   def public property RowLayouts as Infragistics.Win.UltraWinGrid.RowLayoutsCollection
      get.

   def public property RowLayoutLabelStyle as Infragistics.Win.UltraWinGrid.RowLayoutLabelStyle
      get.
      set.

   def public property RowLayoutLabelPosition as Infragistics.Win.UltraWinGrid.LabelPosition
      get.
      set.

   def public property FormulaRowIndexSourceResolved as Infragistics.Win.UltraWinGrid.FormulaRowIndexSource
      get.

   def public property SpecialRowPromptField as character
      get.
      set.

   def public property GroupBySummaryDisplayStyleResolved as Infragistics.Win.UltraWinGrid.GroupBySummaryDisplayStyle
      get.

   def public property IndentationGroupByRow as integer
      get.
      set.

   def public property IndentationGroupByRowResolved as integer
      get.

   def public property IndentationGroupByRowExpansionIndicator as integer
      get.
      set.

   def public property MinRows as integer
      get.
      set.

   def public property MaxRows as integer
      get.
      set.

   def public property ExcludeFromColumnChooser as Infragistics.Win.UltraWinGrid.ExcludeFromColumnChooser
      get.
      set.

   def public property HeaderPlacementResolved as Infragistics.Win.UltraWinGrid.HeaderPlacement
      get.

   def public property RowEditTemplate as Infragistics.Win.UltraWinGrid.UltraGridRowEditTemplate
      get.
      set.

   def public property VisiblePosition as integer
      get.
      set.

   def public property SortedIndex as integer
      get.

   def public property RowLayoutStyle as Infragistics.Win.UltraWinGrid.RowLayoutStyle
      get.
      set.

   def public property DragDropIndicatorSettingsResolved as Infragistics.Win.DragDropIndicatorSettings
      get.

   constructor public UltraGridBand(input key as character, input parentBandIndex as integer):
   end constructor.

   constructor protected UltraGridBand(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override character ToString():
   end method.

   method protected override void OnDispose():
   end method.

   method protected final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected final logical ShouldSerializeHeader():
   end method.

   method public final void ResetHeader():
   end method.

   method public override logical ShouldSerializeKey():
   end method.

   method public override void ResetKey():
   end method.

   method public final integer GetOrigin(input area as Infragistics.Win.UltraWinGrid.BandOrigin):
   end method.

   method public final integer GetOrigin():
   end method.

   method public final integer GetExtent(input area as Infragistics.Win.UltraWinGrid.BandOrigin):
   end method.

   method public final integer GetExtent():
   end method.

   method protected final logical ShouldSerializeSummaryFooterCaption():
   end method.

   method public final void ResetSummaryFooterCaption():
   end method.

   method protected final logical ShouldSerializeSummaries():
   end method.

   method public final void ResetSummaries():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow AddNew():
   end method.

   method protected final logical ShouldSerializeColumns():
   end method.

   method public final void ResetColumns():
   end method.

   method protected final logical ShouldSerializeGroups():
   end method.

   method protected final logical ShouldSerializeSortedColumns():
   end method.

   method public final void ResetGroups():
   end method.

   method protected final logical ShouldSerializeOverride():
   end method.

   method public final void ResetOverride():
   end method.

   method protected final logical ShouldSerializeCardSettings():
   end method.

   method public final void ResetCardSettings():
   end method.

   method public final void ClearGroupByColumns():
   end method.

   method public final integer CalcGroupBySummariesIndent(input rows as Infragistics.Win.UltraWinGrid.RowsCollection):
   end method.

   method public final integer CalcGroupByConnectorsExtent():
   end method.

   method protected final logical ShouldSerializeCardView():
   end method.

   method public final void ResetCardView():
   end method.

   method protected final logical ShouldSerializeAddButtonCaption():
   end method.

   method public final void ResetAddButtonCaption():
   end method.

   method protected final logical ShouldSerializeAddButtonToolTipText():
   end method.

   method public final void ResetAddButtonToolTipText():
   end method.

   method protected final logical ShouldSerializeAutoPreviewField():
   end method.

   method public final void ResetAutoPreviewField():
   end method.

   method protected final logical ShouldSerializeAutoPreviewEnabled():
   end method.

   method public final void ResetAutoPreviewEnabled():
   end method.

   method protected final logical ShouldSerializeAutoPreviewIndentation():
   end method.

   method public final void ResetAutoPreviewIndentation():
   end method.

   method protected final logical ShouldSerializeAutoPreviewMaxLines():
   end method.

   method public final void ResetAutoPreviewMaxLines():
   end method.

   method protected final logical ShouldSerializeColHeaderLines():
   end method.

   method public final void ResetColHeaderLines():
   end method.

   method protected final logical ShouldSerializeColHeadersVisible():
   end method.

   method public final void ResetColHeadersVisible():
   end method.

   method protected final logical ShouldSerializeExpandable():
   end method.

   method public final void ResetExpandable():
   end method.

   method protected final logical ShouldSerializeIndentation():
   end method.

   method public final void ResetIndentation():
   end method.

   method protected final logical ShouldSerializeGroupHeaderLines():
   end method.

   method public final void ResetGroupHeaderLines():
   end method.

   method protected final logical ShouldSerializeGroupHeadersVisible():
   end method.

   method public final void ResetGroupHeadersVisible():
   end method.

   method protected final logical ShouldSerializeHeaderVisible():
   end method.

   method public final void ResetHeaderVisible():
   end method.

   method protected final logical ShouldSerializeHidden():
   end method.

   method public final void ResetHidden():
   end method.

   method protected final logical ShouldSerializeLevelCount():
   end method.

   method public final void ResetLevelCount():
   end method.

   method protected final logical ShouldSerializeScrollTipField():
   end method.

   method public final void ResetScrollTipField():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final integer GetColumnHeaderHeight():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridColumn GetFirstVisibleCol(input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion, input includeNonActivateable as logical):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridColumn GetFirstVisibleCol(input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion, input includeNonActivateable as logical, input useTabOrderedColumns as logical):
   end method.

   method public final void ResetSortedColumns():
   end method.

   method public final void UnfixAllHeaders():
   end method.

   method public final void ResetUseRowLayout():
   end method.

   method public final void ResetRowLayouts():
   end method.

   method public final void ResetRowLayoutLabelStyle():
   end method.

   method public final void ResetRowLayoutLabelPosition():
   end method.

   method protected final logical ShouldSerializeUseRowLayout():
   end method.

   method protected final logical ShouldSerializeRowLayouts():
   end method.

   method protected final logical ShouldSerializeRowLayoutLabelPosition():
   end method.

   method protected final logical ShouldSerializeRowLayoutLabelStyle():
   end method.

   method protected final logical ShouldSerializeSpecialRowPromptField():
   end method.

   method public final void ResetSpecialRowPromptField():
   end method.

   method protected final logical ShouldSerializeIndentationGroupByRow():
   end method.

   method public final void ResetIndentationGroupByRow():
   end method.

   method protected final logical ShouldSerializeIndentationGroupByRowExpansionIndicator():
   end method.

   method public final void ResetIndentationGroupByRowExpansionIndicator():
   end method.

   method protected final logical ShouldSerializeMinRows():
   end method.

   method public final void ResetMinRows():
   end method.

   method protected final logical ShouldSerializeMaxRows():
   end method.

   method public final void ResetMaxRows():
   end method.

   method protected final logical ShouldSerializeExcludeFromColumnChooser():
   end method.

   method public final void ResetExcludeFromColumnChooser():
   end method.

   method public final System.Collections.IEnumerable GetRowEnumerator(input rowTypes as Infragistics.Win.UltraWinGrid.GridRowType):
   end method.

   method protected final logical ShouldSerializeRowEditTemplate():
   end method.

   method public final void ResetRowEditTemplate():
   end method.

   method public final void PerformAutoResizeColumns(input sizeHiddenColumns as logical, input autoSizeType as Infragistics.Win.UltraWinGrid.PerformAutoSizeType):
   end method.

   method public final void PerformAutoResizeColumns(input sizeHiddenColumns as logical, input autoSizeType as Infragistics.Win.UltraWinGrid.PerformAutoSizeType, input includeHeader as logical):
   end method.

   method public final void PerformAutoResizeColumns(input sizeHiddenColumns as logical, input autoSizeType as Infragistics.Win.UltraWinGrid.PerformAutoSizeType, input autoResizeColumnWidthOptions as Infragistics.Win.UltraWinGrid.AutoResizeColumnWidthOptions):
   end method.

   method public final void PerformAutoResizeCards(input includeHiddenColumns as logical):
   end method.

   method protected final logical ShouldSerializeVisiblePosition():
   end method.

   method public final void ResetVisiblePosition():
   end method.

   method public final void ResetRowLayoutStyle():
   end method.

   method protected final logical ShouldSerializeRowLayoutStyle():
   end method.

end class.
