class Infragistics.Win.UltraWinGrid.UltraGridGroup
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.UltraWinGrid.IProvideRowLayoutColumnInfo, Infragistics.Win.Layout.ILayoutGroup:

   def public property Band as Infragistics.Win.UltraWinGrid.UltraGridBand
      get.

   def public property Hidden as logical
      get.
      set.

   def public property HiddenResolved as logical
      get.

   def public property Index as integer
      get.

   def public property Header as Infragistics.Win.UltraWinGrid.GroupHeader
      get.

   def public property CellAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCellAppearance as logical
      get.

   def public property Width as integer
      get.
      set.

   def public property Extent as integer
      get.

   def public property Columns as Infragistics.Win.UltraWinGrid.GroupColumnsCollection
      get.

   def public property IsVisibleInLayout as logical
      get.

   def public property RowLayoutGroupInfo as Infragistics.Win.UltraWinGrid.RowLayoutColumnInfo
      get.

   constructor public UltraGridGroup():
   end constructor.

   constructor public UltraGridGroup(input id as integer):
   end constructor.

   constructor public UltraGridGroup(input key as character, input id as integer):
   end constructor.

   constructor protected UltraGridGroup(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected override void OnDispose():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeHidden():
   end method.

   method public final void ResetHidden():
   end method.

   method protected final logical ShouldSerializeHeader():
   end method.

   method public final void ResetHeader():
   end method.

   method protected final logical ShouldSerializeCellAppearance():
   end method.

   method public final void ResetCellAppearance():
   end method.

   method protected final logical ShouldSerializeWidth():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridGroup GetRelatedVisibleGroup(input relation as Infragistics.Win.UltraWinGrid.VisibleRelation):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final integer GetIndex():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridColumn GetColumn(input position as integer):
   end method.

   method public final integer GetIndex(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final void RemoveColumn(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final void GetResizeRange(input minWidth as integer, input maxWidth as integer):
   end method.

   method public final void Swap(input swapGroup as Infragistics.Win.UltraWinGrid.UltraGridGroup):
   end method.

   method protected final logical ShouldSerializeRowGroupInfo():
   end method.

   method public final void ResetRowLayoutGroupInfo():
   end method.

   method protected final logical ShouldSerializeRowLayoutGroupInfo():
   end method.

end class.
