class Infragistics.Win.UltraWinSchedule.DateInterval
   inherits Infragistics.Win.UltraWinSchedule.DateTimeInterval
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.IComparable, System.ICloneable:

   def public property IntervalUnits as Infragistics.Win.UltraWinSchedule.DateIntervalUnits
      get.
      set.

   def public override property NormalSpan as System.TimeSpan
      get.

   def public property SynchronizingDate as datetime
      get.
      set.

   def protected override property HorizontalScrollRange as System.TimeSpan
      get.

   def protected override property TimeScaleResolution as Infragistics.Win.UltraWinSchedule.TimeScaleResolution
      get.

   def protected override property HasFixedDuration as logical
      get.

   def public override property HeaderTextFormatStyleResolved as Infragistics.Win.UltraWinSchedule.TimelineViewHeaderTextFormatStyle
      get.

   def public static property ShortDatePattern as character
      get.

   constructor public DateInterval():
   end constructor.

   constructor public DateInterval(input interval as integer, input intervalUnits as Infragistics.Win.UltraWinSchedule.DateIntervalUnits):
   end constructor.

   constructor protected DateInterval(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override character GetDefaultHeaderTextFormat():
   end method.

   method protected final logical ShouldSerializeIntervalUnits():
   end method.

   method public final void ResetIntervalUnits():
   end method.

   method protected final logical ShouldSerializeSynchronizingDate():
   end method.

   method public final void ResetSynchronizingDate():
   end method.

   method protected override datetime Floor(input dateTime as datetime, input duration as System.TimeSpan):
   end method.

   method public override datetime GetNextDate(input date as datetime, input forward as logical):
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public override void Reset():
   end method.

   method public override character ToString():
   end method.

   method protected override void TranslateRangeForLogicalDay(input start as datetime, input end as datetime, input logicalDayOffset as System.TimeSpan, input logicalDayDuration as System.TimeSpan):
   end method.

   method public final void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.DateInterval):
   end method.

   method public override Infragistics.Win.UltraWinSchedule.DateTimeInterval Clone():
   end method.

end class.
