class Infragistics.Win.UltraWinSchedule.TimeInterval
   inherits Infragistics.Win.UltraWinSchedule.DateTimeInterval
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.IComparable, System.ICloneable:

   def protected override property DefaultInterval as integer
      get.

   def public property IntervalUnits as Infragistics.Win.UltraWinSchedule.TimeIntervalUnits
      get.
      set.

   def public override property NormalSpan as System.TimeSpan
      get.

   def protected override property HorizontalScrollRange as System.TimeSpan
      get.

   def protected override property TimeScaleResolution as Infragistics.Win.UltraWinSchedule.TimeScaleResolution
      get.

   def protected override property HasFixedDuration as logical
      get.

   def public property TimeZone as Infragistics.Win.TimeZoneInfo
      get.
      set.

   def public property TimeZoneInfoStandardName as character
      get.
      set.

   def public static property ShortTimePattern as character
      get.

   constructor public TimeInterval():
   end constructor.

   constructor public TimeInterval(input interval as integer, input intervalUnits as Infragistics.Win.UltraWinSchedule.TimeIntervalUnits):
   end constructor.

   constructor protected TimeInterval(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeIntervalUnits():
   end method.

   method public final void ResetIntervalUnits():
   end method.

   method protected final logical ShouldSerializeTimeZone():
   end method.

   method public final void ResetTimeZone():
   end method.

   method protected final logical ShouldSerializeTimeZoneInfoStandardName():
   end method.

   method protected override character GetDefaultHeaderTextFormat():
   end method.

   method protected override datetime Floor(input dateTime as datetime, input duration as System.TimeSpan):
   end method.

   method public override datetime GetNextDate(input date as datetime, input forward as logical):
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public override void Reset():
   end method.

   method public override character ToString():
   end method.

   method protected override void TranslateRangeForTimeZone(input start as datetime, input end as datetime):
   end method.

   method public final void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.TimeInterval):
   end method.

   method public override Infragistics.Win.UltraWinSchedule.DateTimeInterval Clone():
   end method.

end class.
