class Infragistics.Win.UltraWinSchedule.TimelineView.ActivityUIElementBase
   inherits Infragistics.Win.AdjustableUIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def public static variable RoundingRadius as integer.

   def public static variable HorizontalBorderOffset as integer.

   def public static variable HorizontalBorderOffsetShort as integer.

   def public static variable ActivityGrabHandleWidth as integer.

   def public property TimelineView as Infragistics.Win.UltraWinSchedule.UltraTimelineView
      get.

   def public property Start as datetime
      get.

   def public property End as datetime
      get.

   def public property StartTimeVisible as logical
      get.

   def public property EndTimeVisible as logical
      get.

   def public override property Region as System.Drawing.Region
      get.

   def protected override property ClipSelf as logical
      get.

   def public override property BorderSides as System.Windows.Forms.Border3DSide
      get.
      set.

   def public override property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public abstract property IsSelected as logical
      get.

   def public property Activity as Infragistics.Win.UltraWinSchedule.ActivityBase
      get.

   def public override property RectInsideBorders as System.Drawing.Rectangle
      get.

   def public override property AccessibilityInstance as System.Windows.Forms.AccessibleObject
      get.

   constructor public ActivityUIElementBase(input parent as Infragistics.Win.UltraWinSchedule.TimelineView.ActivityAreaUIElement, input activity as Infragistics.Win.UltraWinSchedule.ActivityBase, input startTimeVisible as logical, input endTimeVisible as logical):
   end constructor.

   method public void Initialize(input activity as Infragistics.Win.UltraWinSchedule.ActivityBase, input startTimeVisible as logical, input endTimeVisible as logical):
   end method.

   method protected override void PositionChildElements():
   end method.

   method protected override void DrawBorders(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

end class.
