class Infragistics.Win.UltraWinSchedule.TimelineView.ColumnHeaderUIElement
   inherits Infragistics.Win.UltraWinSchedule.TimelineView.TimelineViewHeaderElementBase
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IToolTipItem:

   def public property DateTimeInterval as Infragistics.Win.UltraWinSchedule.DateTimeInterval
      get.

   def public property DateTimeRange as Infragistics.Win.UltraWinSchedule.DateTimeRange
      get.

   def public property IsFirstHeader as logical
      get.

   def public property IsLastHeader as logical
      get.

   def public override property BorderSides as System.Windows.Forms.Border3DSide
      get.
      set.

   def protected override property SupportsLeftRightAdjustmentsFromLeftBorder as logical
      get.

   def protected override property ToolTipText as character
      get.

   constructor public ColumnHeaderUIElement(input parent as Infragistics.Win.UIElement, input dateTimeInterval as Infragistics.Win.UltraWinSchedule.DateTimeInterval, input startTime as datetime, input endTime as datetime, input borderSides as System.Windows.Forms.Border3DSide, input visibleIndex as integer):
   end constructor.

   method public final void Initialize(input dateTimeInterval as Infragistics.Win.UltraWinSchedule.DateTimeInterval, input startTime as datetime, input endTime as datetime, input borderSides as System.Windows.Forms.Border3DSide, input visibleIndex as integer):
   end method.

   method protected override void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override System.Object GetContext(input type as System.Type, input checkParentElementContexts as logical):
   end method.

   method protected override void OnElementAdjustmentStart(input isUpDownAdjustment as logical, input initialUpDownAdjustmentPointInBottomBorder as logical, input isLeftRightAdjustment as logical, input initialLeftRightAdjustmentPointInRightBorder as logical):
   end method.

   method public override void OnElementAdjusted(input delta as System.Drawing.Point):
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method protected override void OnNewDeltaX(input newDeltaX as integer):
   end method.

   method public override void ApplyAdjustment(input delta as System.Drawing.Point):
   end method.

   method public override void GetAdjustmentRange(input cursorPos as System.Drawing.Point, input range as Infragistics.Win.UIElementAdjustmentRangeParams):
   end method.

   method public override System.Windows.Forms.Cursor GetAdjustableCursor(input point as System.Drawing.Point):
   end method.

   method protected override void OnDoubleClick(input adjustableArea as logical):
   end method.

end class.
