class Infragistics.Win.UltraWinSchedule.TimelineView.TimeSlotUIElement
   inherits Infragistics.Win.AdjustableUIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def public property TimelineView as Infragistics.Win.UltraWinSchedule.UltraTimelineView
      get.

   def public property Owner as Infragistics.Win.UltraWinSchedule.Owner
      get.

   def public property DateTimeRange as Infragistics.Win.UltraWinSchedule.DateTimeRange
      get.

   def public override property BorderSides as System.Windows.Forms.Border3DSide
      get.
      set.

   def public override property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public override property Adjustable as logical
      get.

   def protected override property SupportsLeftRightAdjustmentsFromLeftBorder as logical
      get.

   def public override property SelectableItem as Infragistics.Shared.ISelectableItem
      get.

   def public override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def public property IsInWorkingHours as logical
      get.

   constructor public TimeSlotUIElement(input parent as Infragistics.Win.UIElement, input startTime as datetime, input endTime as datetime, input visibleIndex as integer):
   end constructor.

   method public final void Initialize(input startTime as datetime, input endTime as datetime, input visibleIndex as integer):
   end method.

   method protected override void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override System.Object GetContext(input type as System.Type, input checkParentElementContexts as logical):
   end method.

   method protected override void OnElementAdjustmentStart(input isUpDownAdjustment as logical, input initialUpDownAdjustmentPointInBottomBorder as logical, input isLeftRightAdjustment as logical, input initialLeftRightAdjustmentPointInRightBorder as logical):
   end method.

   method public override void OnElementAdjusted(input delta as System.Drawing.Point):
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method protected override void OnNewDeltaX(input newDeltaX as integer):
   end method.

   method public override void ApplyAdjustment(input delta as System.Drawing.Point):
   end method.

   method public override void GetAdjustmentRange(input cursorPos as System.Drawing.Point, input range as Infragistics.Win.UIElementAdjustmentRangeParams):
   end method.

   method protected override void OnDoubleClick(input adjustableArea as logical):
   end method.

end class.
