class Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, Infragistics.Shared.IUltraLicensedComponent, System.Configuration.IPersistComponentSettings, Infragistics.Win.UltraWinSchedule.IProvideCustomColumns, Infragistics.Shared.IUltraComponent:

   def public property About as System.Object
      get.

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.

   def public property MinDate as datetime
      get.
      set.

   def public property MaxDate as datetime
      get.
      set.

   def public property MaxSelectedDays as integer
      get.
      set.

   def public property WeekRule as System.Globalization.CalendarWeekRule
      get.
      set.

   def public property FirstDayOfWeekResolved as Infragistics.Win.UltraWinSchedule.DayOfWeekEnum
      get.

   def public property FirstDayOfWeek as Infragistics.Win.UltraWinSchedule.FirstDayOfWeek
      get.
      set.

   def public property SelectTypeActivity as Infragistics.Win.UltraWinSchedule.SelectType
      get.
      set.

   def public property SelectTypeDay as Infragistics.Win.UltraWinSchedule.SelectType
      get.
      set.

   def public property Appointments as Infragistics.Win.UltraWinSchedule.AppointmentsCollection
      get.

   def public property AllowAllDayEvents as logical
      get.
      set.

   def public property AllDayEventEndTimeBoundary as Infragistics.Win.UltraWinSchedule.AllDayEventEndTimeBoundary
      get.
      set.

   def public property Holidays as Infragistics.Win.UltraWinSchedule.HolidaysCollection
      get.

   def public property Notes as Infragistics.Win.UltraWinSchedule.NotesCollection
      get.

   def public property DaysOfWeek as Infragistics.Win.UltraWinSchedule.DaysOfWeekCollection
      get.

   def public property DaysOfMonth as Infragistics.Win.UltraWinSchedule.DaysOfMonthCollection
      get.

   def public property DaysOfYear as Infragistics.Win.UltraWinSchedule.DaysOfYearCollection
      get.

   def public property MonthsOfYear as Infragistics.Win.UltraWinSchedule.MonthsOfYearCollection
      get.

   def public property WeeksOfYear as Infragistics.Win.UltraWinSchedule.WeeksOfYearCollection
      get.

   def public property CalendarInfoStreamer as Infragistics.Win.UltraWinSchedule.CalendarInfoStreamer
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property EventManager as Infragistics.Win.UltraWinSchedule.CalendarInfoEventManager
      get.

   def public property SelectedDateRanges as Infragistics.Win.UltraWinSchedule.SelectedDateRanges
      get.

   def public property AlternateSelectedDateRanges as Infragistics.Win.UltraWinSchedule.SelectedDateRanges
      get.

   def public property AlternateSelectTypeDay as Infragistics.Win.UltraWinSchedule.SelectType
      get.
      set.

   def public property MaxAlternateSelectedDays as integer
      get.
      set.

   def public property ReminderImage as System.Drawing.Image
      get.
      set.

   def public property SelectedAppointments as Infragistics.Win.UltraWinSchedule.SelectedAppointmentsCollection
      get.

   def public property SelectedHolidays as Infragistics.Win.UltraWinSchedule.SelectedHolidaysCollection
      get.

   def public property SelectedNotes as Infragistics.Win.UltraWinSchedule.SelectedNotesCollection
      get.

   def public property ActiveDay as Infragistics.Win.UltraWinSchedule.Day
      get.
      set.

   def public property DialogOwner as System.Windows.Forms.Form
      get.
      set.

   def public property SpellCheckerForActivityDescription as Infragistics.Win.UltraWinSpellChecker.IUltraSpellChecker
      get.
      set.

   def public property SpellCheckerForAppointmentSubject as Infragistics.Win.UltraWinSpellChecker.IUltraSpellChecker
      get.
      set.

   def public property StyleSetName as character
      get.
      set.

   def public property UseAppStyling as logical
      get.
      set.

   def public property StyleLibraryName as character
      get.
      set.

   def public property DateSettings as Infragistics.Win.UltraWinSchedule.CalendarDateSettingsCollection
      get.

   def protected property SubObjectPropChangeHandler as Infragistics.Shared.SubObjectPropChangeEventHandler
      get.

   def public property DataBindingsForAppointments as Infragistics.Win.UltraWinSchedule.AppointmentsDataBinding
      get.

   def public property DataBindingsForOwners as Infragistics.Win.UltraWinSchedule.OwnersDataBinding
      get.

   def public property AllowRecurringAppointments as logical
      get.
      set.

   def public property AppointmentActionsEnabled as logical
      get.
      set.

   def public property Owners as Infragistics.Win.UltraWinSchedule.OwnersCollection
      get.

   def public property VisibleOwners as Infragistics.Win.UltraWinSchedule.VisibleOwnersCollection
      get.

   def public property DataBindingsForNotes as Infragistics.Win.UltraWinSchedule.NotesDataBinding
      get.

   def public property SaveSettingsFormat as Infragistics.Win.SaveSettingsFormat
      get.
      set.

   def public property SaveSettingsCategories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories
      get.
      set.

   def public property SaveSettings as logical
      get.
      set.

   def public property SettingsKey as character
      get.
      set.

   def public property LogicalDayOffset as System.TimeSpan
      get.
      set.

   def public property LogicalDayDuration as System.TimeSpan
      get.
      set.

   def public property Projects as Infragistics.Win.UltraWinSchedule.ProjectsCollection
      get.

   def public property Tasks as Infragistics.Win.UltraWinSchedule.RootTasksCollection
      get.

   def public property DataBindingsForTasks as Infragistics.Win.UltraWinSchedule.TasksDataBinding
      get.

   def public property DataBindingsForProjects as Infragistics.Win.UltraWinSchedule.ProjectsDataBinding
      get.

   def public property TaskWorkingHourMode as Infragistics.Win.UltraWinSchedule.TaskWorkingHourMode
      get.
      set.

   def public property TaskDurationWorkingTimePerDay as System.TimeSpan
      get.
      set.

   def public property TaskDurationWorkingTimePerDayResolved as System.TimeSpan
      get.

   def public property WorkDaysPerWeek as integer
      get.

   def public property CustomTaskColumns as Infragistics.Win.UltraWinSchedule.TaskColumnsCollection
      get.

   def public event BeforeActiveDayChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeActiveDayChangedEventArgs).

   def public event AfterActiveDayChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AfterActiveDayChangedEventArgs).

   def public event CalendarInfoChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CalendarInfoChangedEventArgs).

   def public event InitializeDay signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.InitializeDayEventArgs).

   def public event InitializeWeek signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.InitializeWeekEventArgs).

   def public event InitializeMonth signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.InitializeMonthEventArgs).

   def public event InitializeYear signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.InitializeYearEventArgs).

   def public event BeforeDisplayAppointmentDialog signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.DisplayAppointmentDialogEventArgs).

   def public event ValidateAppointment signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.ValidateAppointmentEventArgs).

   def public event AfterCloseAppointmentDialog signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs).

   def public event BeforeDisplayReminderDialog signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs).

   def public event AfterCloseReminderDialog signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeInvokeAppointmentAction signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs).

   def public event AfterInvokeAppointmentAction signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs).

   def public event BeforeSelectedNotesChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedNotesEventArgs).

   def public event AfterSelectedNotesChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeSelectedAppointmentsChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedAppointmentsEventArgs).

   def public event AfterSelectedAppointmentsChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeSelectedHolidaysChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedHolidaysEventArgs).

   def public event AfterSelectedHolidaysChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeAppointmentAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs).

   def public event AfterAppointmentAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs).

   def public event BeforeAppointmentRemoved signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs).

   def public event AfterAppointmentRemoved signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeHolidayAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableHolidayEventArgs).

   def public event AfterHolidayAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.HolidayEventArgs).

   def public event BeforeHolidayRemoved signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableHolidayEventArgs).

   def public event AfterHolidayRemoved signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeNoteAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableNoteEventArgs).

   def public event AfterNoteAdded signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.NoteEventArgs).

   def public event BeforeNoteRemoved signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.CancelableNoteEventArgs).

   def public event AfterNoteRemoved signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeSelectedDateRangeChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedDateRangeChangeEventArgs).

   def public event AfterSelectedDateRangeChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AppointmentDataInitialized signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentDataInitializedEventArgs).

   def public event OwnerDataInitialized signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.OwnerDataInitializedEventArgs).

   def public event AppointmentDataError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentDataErrorEventArgs).

   def public event OwnerDataError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.OwnerDataErrorEventArgs).

   def public event BeforeDisplayAppointmentRecurrenceDialog signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.DisplayAppointmentRecurrenceDialogEventArgs).

   def public event AfterCloseAppointmentRecurrenceDialog signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs).

   def public event BeforeRecurringAppointmentDeleted signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeRecurringAppointmentDeletedEventArgs).

   def public event AfterRecurringAppointmentDeleted signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.AfterRecurringAppointmentDeletedEventArgs).

   def public event NoteDataInitialized signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.NoteDataInitializedEventArgs).

   def public event NoteDataError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.NoteDataErrorEventArgs).

   def public event BeforeAlternateSelectedDateRangeChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedDateRangeChangeEventArgs).

   def public event AfterAlternateSelectedDateRangeChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValidateAppointmentRecurrence signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.ValidateAppointmentRecurrenceEventArgs).

   def public event TaskDataInitialized signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.TaskDataInitializedEventArgs).

   def public event TaskDataError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.TaskDataErrorEventArgs).

   def public event ProjectDataInitialized signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.ProjectDataInitializedEventArgs).

   def public event ProjectDataError signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.ProjectDataErrorEventArgs).

   def public event TaskConstraintViolation signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.TaskConstraintViolationEventArgs).

   def public event TaskWorkingHourViolation signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinSchedule.TaskWorkingHourViolationEventArgs).

   constructor public UltraCalendarInfo():
   end constructor.

   constructor public UltraCalendarInfo(input container as System.ComponentModel.IContainer):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void Reset():
   end method.

   method protected final logical ShouldSerialize():
   end method.

   method protected void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Day GetDay(input date as datetime, input createIfNull as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Year GetYear(input year as integer):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Month GetMonth(input month as integer, input year as integer):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Month GetMonth(input month as Infragistics.Win.UltraWinSchedule.YearMonthEnum, input year as integer):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Month GetMonth(input date as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Week GetWeek(input week as integer, input year as integer):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Week GetWeek(input date as datetime):
   end method.

   method public final logical GetClosestSelectableDate(input startDate as datetime, input direction as Infragistics.Win.UltraWinSchedule.ClosestDayToReturn, input closestDate as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Day GetClosestSelectableDay(input date as datetime, input direction as Infragistics.Win.UltraWinSchedule.ClosestDayToReturn):
   end method.

   method public final static datetime ForceLatestTimeOfDay(input dateTime as datetime):
   end method.

   method public final static datetime ForceEarliestTimeOfDay(input dateTime as datetime):
   end method.

   method public final void Load(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void Load(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void Save(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void Save(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final void Save(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void Save(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final void SaveAsXml(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void SaveAsXml(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final void SaveAsXml(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void SaveAsXml(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final void LoadFromXml(input stream as System.IO.Stream, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final void LoadFromXml(input filename as character, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input includeNonVisibleOwners as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input includeNonVisibleOwners as logical, input includeVisibleOwners as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input owner as Infragistics.Win.UltraWinSchedule.Owner, input adjustAllDayEvents as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input owners as Infragistics.Win.UltraWinSchedule.Owner extent):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime, input owners as Infragistics.Win.UltraWinSchedule.Owner extent, input adjustAllDayEvents as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime, input includeNonVisibleOwners as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime, input includeNonVisibleOwners as logical, input includeVisibleOwners as logical):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime, input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime, input owners as Infragistics.Win.UltraWinSchedule.Owner extent):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.HolidaysSubsetCollection GetHolidaysInRange(input startDateTime as datetime, input endDateTime as datetime):
   end method.

   method public final void DisplayAppointmentDialog(input appointment as Infragistics.Win.UltraWinSchedule.Appointment):
   end method.

   method public final void DisplayAppointmentDialog(input startDate as datetime, input endDate as datetime, input allDayEvent as logical):
   end method.

   method public final void DisplayAppointmentDialog(input startDate as datetime, input endDate as datetime, input allDayEvent as logical, input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method protected void DeSerializationHelper(input cis as Infragistics.Win.UltraWinSchedule.CalendarInfoStreamerAllProps, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method protected void SerializationHelper(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext, input categories as Infragistics.Win.UltraWinSchedule.CalendarInfoCategories):
   end method.

   method public final logical DoesDateRangeHaveActivity(input startAndEndDate as datetime):
   end method.

   method public final logical DoesDateRangeHaveActivity(input startDate as datetime, input endDate as datetime):
   end method.

   method public final logical DoesDateRangeHaveActivity(input startDateTime as datetime, input endDateTime as datetime, input useTime as logical):
   end method.

   method public final logical IsWorkDay(input date as datetime):
   end method.

   method public final logical IsWorkDay(input date as datetime, input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method public final logical IsInWorkingHours(input date as datetime, input startTime as System.TimeSpan, input endTime as System.TimeSpan):
   end method.

   method public final logical IsInWorkingHours(input date as datetime, input startTime as System.TimeSpan, input endTime as System.TimeSpan, input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method protected final logical ShouldSerializeAppearances():
   end method.

   method public final void ResetAppearances():
   end method.

   method protected final logical ShouldSerializeMinDate():
   end method.

   method public final void ResetMinDate():
   end method.

   method protected final logical ShouldSerializeMaxDate():
   end method.

   method public final void ResetMaxDate():
   end method.

   method protected final logical ShouldSerializeMaxSelectedDays():
   end method.

   method public final void ResetMaxSelectedDays():
   end method.

   method protected final logical ShouldSerializeWeekRule():
   end method.

   method public final void ResetWeekRule():
   end method.

   method protected final logical ShouldSerializeFirstDayOfWeek():
   end method.

   method public final void ResetFirstDayOfWeek():
   end method.

   method protected final logical ShouldSerializeSelectTypeActivity():
   end method.

   method public final void ResetSelectTypeActivity():
   end method.

   method protected final logical ShouldSerializeSelectTypeDay():
   end method.

   method public final void ResetSelectTypeDay():
   end method.

   method protected final logical ShouldSerializeAppointments():
   end method.

   method public final void ResetAppointments():
   end method.

   method protected final logical ShouldSerializeAllowAllDayEvents():
   end method.

   method public final void ResetAllowAllDayEvents():
   end method.

   method protected final logical ShouldSerializeAllDayEventEndTimeBoundary():
   end method.

   method public final void ResetAllDayEventEndTimeBoundary():
   end method.

   method protected final logical ShouldSerializeHolidays():
   end method.

   method public final void ResetHolidays():
   end method.

   method protected final logical ShouldSerializeNotes():
   end method.

   method public final void ResetNotes():
   end method.

   method protected final logical ShouldSerializeDaysOfWeek():
   end method.

   method public final void ResetDaysOfWeek():
   end method.

   method protected final logical ShouldSerializeDaysOfMonth():
   end method.

   method public final void ResetDaysOfMonth():
   end method.

   method protected final logical ShouldSerializeDaysOfYear():
   end method.

   method public final void ResetDaysOfYear():
   end method.

   method protected final logical ShouldSerializeMonthsOfYear():
   end method.

   method public final void ResetMonthsOfYear():
   end method.

   method protected final logical ShouldSerializeWeeksOfYear():
   end method.

   method public final void ResetWeeksOfYear():
   end method.

   method protected final logical ShouldSerializeCalendarInfoStreamer():
   end method.

   method protected final logical ShouldSerializeTag():
   end method.

   method public final void ResetTag():
   end method.

   method public final void ResetYears():
   end method.

   method protected final logical ShouldSerializeAlternateSelectTypeDay():
   end method.

   method public final void ResetAlternateSelectTypeDay():
   end method.

   method protected final logical ShouldSerializeMaxAlternateSelectedDays():
   end method.

   method public final void ResetMaxAlternateSelectedDays():
   end method.

   method public final void ResetReminderImage():
   end method.

   method protected final logical ShouldSerializeReminderImage():
   end method.

   method public final datetime GetDateForFirstDayOfWeek(input date as datetime):
   end method.

   method public final datetime GetDateForFirstDayOfWeek(input week as integer, input year as integer):
   end method.

   method public final integer LastWeekNumberInYear(input year as integer):
   end method.

   method public final datetime GetFirstWeekOfYearDate(input year as integer):
   end method.

   method public final integer GetWeekNumberForDate(input date as datetime):
   end method.

   method public final integer GetWeekNumberForDate(input date as datetime, input yearContainingWeek as integer):
   end method.

   method public final integer GetWeekNumberForFirstDayOfMonth(input month as integer, input year as integer):
   end method.

   method public final integer GetWeekNumberForLastDayOfMonth(input month as integer, input year as integer):
   end method.

   method protected void OnCalendarInfoChanged(input e as Infragistics.Win.UltraWinSchedule.CalendarInfoChangedEventArgs):
   end method.

   method protected void OnInitializeDay(input e as Infragistics.Win.UltraWinSchedule.InitializeDayEventArgs):
   end method.

   method protected void OnInitializeWeek(input e as Infragistics.Win.UltraWinSchedule.InitializeWeekEventArgs):
   end method.

   method protected void OnInitializeMonth(input e as Infragistics.Win.UltraWinSchedule.InitializeMonthEventArgs):
   end method.

   method protected void OnInitializeYear(input e as Infragistics.Win.UltraWinSchedule.InitializeYearEventArgs):
   end method.

   method protected void OnAfterActiveDayChanged(input e as Infragistics.Win.UltraWinSchedule.AfterActiveDayChangedEventArgs):
   end method.

   method protected void OnBeforeActiveDayChanged(input e as Infragistics.Win.UltraWinSchedule.BeforeActiveDayChangedEventArgs):
   end method.

   method protected void OnBeforeDisplayAppointmentDialog(input e as Infragistics.Win.UltraWinSchedule.DisplayAppointmentDialogEventArgs):
   end method.

   method protected void OnAfterCloseAppointmentDialog(input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs):
   end method.

   method protected void OnBeforeDisplayAppointmentRecurrenceDialog(input e as Infragistics.Win.UltraWinSchedule.DisplayAppointmentRecurrenceDialogEventArgs):
   end method.

   method protected void OnAfterCloseAppointmentRecurrenceDialog(input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs):
   end method.

   method protected void OnBeforeDisplayReminderDialog(input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs):
   end method.

   method protected void OnAfterCloseReminderDialog(input e as System.EventArgs):
   end method.

   method protected void OnBeforeInvokeAppointmentAction(input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs):
   end method.

   method protected void OnAfterInvokeAppointmentAction(input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs):
   end method.

   method protected void OnBeforeSelectedNotesChange(input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedNotesEventArgs):
   end method.

   method protected void OnAfterSelectedNotesChange(input e as System.EventArgs):
   end method.

   method protected void OnBeforeSelectedHolidaysChange(input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedHolidaysEventArgs):
   end method.

   method protected void OnAfterSelectedHolidaysChange(input e as System.EventArgs):
   end method.

   method protected void OnBeforeSelectedAppointmentsChange(input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedAppointmentsEventArgs):
   end method.

   method protected void OnAfterSelectedAppointmentsChange(input e as System.EventArgs):
   end method.

   method protected void OnBeforeAppointmentAdded(input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs):
   end method.

   method protected void OnAfterAppointmentAdded(input e as Infragistics.Win.UltraWinSchedule.AppointmentEventArgs):
   end method.

   method protected void OnBeforeAppointmentRemoved(input e as Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs):
   end method.

   method protected void OnAfterAppointmentRemoved(input e as System.EventArgs):
   end method.

   method protected void OnBeforeNoteAdded(input e as Infragistics.Win.UltraWinSchedule.CancelableNoteEventArgs):
   end method.

   method protected void OnAfterNoteAdded(input e as Infragistics.Win.UltraWinSchedule.NoteEventArgs):
   end method.

   method protected void OnBeforeNoteRemoved(input e as Infragistics.Win.UltraWinSchedule.CancelableNoteEventArgs):
   end method.

   method protected void OnAfterNoteRemoved(input e as System.EventArgs):
   end method.

   method protected void OnBeforeHolidayAdded(input e as Infragistics.Win.UltraWinSchedule.CancelableHolidayEventArgs):
   end method.

   method protected void OnAfterHolidayAdded(input e as Infragistics.Win.UltraWinSchedule.HolidayEventArgs):
   end method.

   method protected void OnBeforeHolidayRemoved(input e as Infragistics.Win.UltraWinSchedule.CancelableHolidayEventArgs):
   end method.

   method protected void OnAfterHolidayRemoved(input e as System.EventArgs):
   end method.

   method protected void OnBeforeSelectedDateRangeChange(input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedDateRangeChangeEventArgs):
   end method.

   method protected void OnAfterSelectedDateRangeChange(input e as System.EventArgs):
   end method.

   method protected void OnValidateAppointment(input e as Infragistics.Win.UltraWinSchedule.ValidateAppointmentEventArgs):
   end method.

   method protected void OnBeforeRecurringAppointmentDeleted(input e as Infragistics.Win.UltraWinSchedule.BeforeRecurringAppointmentDeletedEventArgs):
   end method.

   method protected void OnAfterRecurringAppointmentDeleted(input e as Infragistics.Win.UltraWinSchedule.AfterRecurringAppointmentDeletedEventArgs):
   end method.

   method protected void OnValidateAppointmentRecurrence(input e as Infragistics.Win.UltraWinSchedule.ValidateAppointmentRecurrenceEventArgs):
   end method.

   method public final void ResetActiveDay():
   end method.

   method public final logical ActivateDay(input date as datetime):
   end method.

   method public final void ResetDateSettings():
   end method.

   method protected final logical ShouldSerializeDataBindingsForAppointments():
   end method.

   method protected final logical ShouldSerializeDataBindingsForOwners():
   end method.

   method protected void OnAppointmentDataInitialized(input e as Infragistics.Win.UltraWinSchedule.AppointmentDataInitializedEventArgs):
   end method.

   method protected void OnOwnerDataInitialized(input e as Infragistics.Win.UltraWinSchedule.OwnerDataInitializedEventArgs):
   end method.

   method protected void OnAppointmentDataError(input e as Infragistics.Win.UltraWinSchedule.AppointmentDataErrorEventArgs):
   end method.

   method protected void OnOwnerDataError(input e as Infragistics.Win.UltraWinSchedule.OwnerDataErrorEventArgs):
   end method.

   method public final static character ExportICalendar(input appointment as Infragistics.Win.UltraWinSchedule.Appointment):
   end method.

   method public final static void ExportICalendar(input appointment as Infragistics.Win.UltraWinSchedule.Appointment, input stream as System.IO.Stream):
   end method.

   method public final static character ExportICalendar(input appointments as Infragistics.Win.UltraWinSchedule.Appointment extent):
   end method.

   method public final static void ExportICalendar(input appointments as Infragistics.Win.UltraWinSchedule.Appointment extent, input stream as System.IO.Stream):
   end method.

   method protected final logical ShouldSerializeAllowRecurringAppointments():
   end method.

   method public final void ResetAllowRecurringAppointments():
   end method.

   method protected final logical ShouldSerializeOwners():
   end method.

   method public final void ResetOwners():
   end method.

   method protected final logical ShouldSerializeDataBindingsForNotes():
   end method.

   method protected void OnNoteDataError(input e as Infragistics.Win.UltraWinSchedule.NoteDataErrorEventArgs):
   end method.

   method protected void OnNoteDataInitialized(input e as Infragistics.Win.UltraWinSchedule.NoteDataInitializedEventArgs):
   end method.

   method protected void OnBeforeAlternateSelectedDateRangeChange(input e as Infragistics.Win.UltraWinSchedule.BeforeSelectedDateRangeChangeEventArgs):
   end method.

   method protected void OnAfterAlternateSelectedDateRangeChange(input e as System.EventArgs):
   end method.

   method public final void ResetDataBindingsForAppointments():
   end method.

   method public final void ResetDataBindingsForOwners():
   end method.

   method public final void ResetDataBindingsForNotes():
   end method.

   method public final void LoadComponentSettings():
   end method.

   method public final void ResetComponentSettings():
   end method.

   method public final void SaveComponentSettings():
   end method.

   method protected final logical ShouldSerializeLogicalDayOffset():
   end method.

   method public final void ResetLogicalDayOffset():
   end method.

   method protected final logical ShouldSerializeLogicalDayDuration():
   end method.

   method public final void ResetLogicalDayDuration():
   end method.

   method public final void CheckAppointmentReminders():
   end method.

   method protected final logical ShouldSerializeProjects():
   end method.

   method public final void ResetProjects():
   end method.

   method protected final logical ShouldSerializeTasks():
   end method.

   method public final void ResetTasks():
   end method.

   method protected final logical ShouldSerializeDataBindingsForTasks():
   end method.

   method public final void ResetDataBindingsForTasks():
   end method.

   method protected final logical ShouldSerializeDataBindingsForProjects():
   end method.

   method public final void ResetDataBindingsForProjects():
   end method.

   method protected void OnTaskDataInitialized(input e as Infragistics.Win.UltraWinSchedule.TaskDataInitializedEventArgs):
   end method.

   method protected void OnProjectDataInitialized(input e as Infragistics.Win.UltraWinSchedule.ProjectDataInitializedEventArgs):
   end method.

   method protected void OnTaskDataError(input e as Infragistics.Win.UltraWinSchedule.TaskDataErrorEventArgs):
   end method.

   method protected void OnProjectDataError(input e as Infragistics.Win.UltraWinSchedule.ProjectDataErrorEventArgs):
   end method.

   method protected void OnTaskConstraintViolation(input e as Infragistics.Win.UltraWinSchedule.TaskConstraintViolationEventArgs):
   end method.

   method protected void OnTaskWorkingHourViolation(input e as Infragistics.Win.UltraWinSchedule.TaskWorkingHourViolationEventArgs):
   end method.

   method protected final logical ShouldSerializeTaskWorkingHourMode():
   end method.

   method public final void ResetTaskWorkingHourMode():
   end method.

   method protected final logical ShouldSerializeTaskDurationWorkingTimePerDay():
   end method.

   method public final void ResetTaskDurationWorkingTimePerDay():
   end method.

   method public final datetime GetClosestWorkTime(input value as datetime, input later as logical):
   end method.

   method public final datetime GetClosestWorkTime(input value as datetime, input later as logical, input isNonWorkDay as logical):
   end method.

   method protected final logical ShouldSerializeCustomTaskColumns():
   end method.

   method public final void ResetCustomTaskColumns():
   end method.

   method protected final void NotifyDesignEnvironmentOfChange():
   end method.

end class.
