class Infragistics.Win.UltraWinScrollBar.ScrollBarInfo
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable:

   def public static variable MinimumThumbSize as integer.

   def public property OwningControl as System.Windows.Forms.Control
      get.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property Minimum as integer
      get.
      set.

   def public property Maximum as integer
      get.
      set.

   def public property Value as integer
      get.
      set.

   def public property SmallChange as integer
      get.
      set.

   def public property LargeChange as integer
      get.
      set.

   def public property ScrollBarLook as Infragistics.Win.UltraWinScrollBar.ScrollBarLook
      get.
      set.

   def public property ButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.
      set.

   def public property ButtonStyleResolved as Infragistics.Win.UIElementButtonStyle
      get.

   def public property IsThumbInDrag as logical
      get.

   def public property ShowsFocus as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property MaximumDragValue as integer
      get.

   def public property ScrollTipsEnabled as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property EnabledResolved as logical
      get.

   def public property AutoDisable as logical
      get.
      set.

   def public property IsScrollCancelled as logical
      get.

   def public property IsScrollInProgress as logical
      get.

   def public property AutoRepeatDelay as integer
      get.
      set.

   def public property PriorityScrolling as logical
      get.
      set.

   def public property AccessibleName as character
      get.
      set.

   def public property AccessibleDescription as character
      get.
      set.

   def public property SetFocusOnClick as logical
      get.
      set.

   def public property ViewStyle as Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle
      get.
      set.

   def public event Scroll signature void (input sender as System.Object, input e as System.Windows.Forms.ScrollEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ScrollTipShown signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinScrollBar.ScrollBarInfo+ScrollTipShownEventArgs).

   constructor public ScrollBarInfo(input owningControl as System.Windows.Forms.Control, input orientation as System.Windows.Forms.Orientation, input appearances as Infragistics.Win.AppearancesCollection):
   end constructor.

   method public final Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub CreateAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub):
   end method.

   method public final logical ShouldSerializeOrientation():
   end method.

   method public final void ResetOrientation():
   end method.

   method public final logical ShouldSerializeMinimum():
   end method.

   method public final void ResetMinimum():
   end method.

   method public final logical ShouldSerializeMaximum():
   end method.

   method public final void ResetMaximum():
   end method.

   method public final logical ShouldSerializeValue():
   end method.

   method public final void ResetValue():
   end method.

   method public final logical ShouldSerializeSmallChange():
   end method.

   method public final void ResetSmallChange():
   end method.

   method public final logical ShouldSerializeLargeChange():
   end method.

   method public final void ResetLargeChange():
   end method.

   method public final logical ShouldSerializeScrollBarLook():
   end method.

   method public final void ResetScrollBarLook():
   end method.

   method public final logical ShouldSerializeButtonStyle():
   end method.

   method public final void ResetButtonStyle():
   end method.

   method public final logical ShouldSerializeAutoDisable():
   end method.

   method public final void ResetAutoDisable():
   end method.

   method public final logical ShouldSerializeViewStyle():
   end method.

   method public final void ResetViewStyle():
   end method.

   method public final void Activate(input owningControl as System.Windows.Forms.Control):
   end method.

   method protected override void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void Initialize(input minimum as integer, input maximumDragValue as integer, input smallChange as integer, input largeChange as integer):
   end method.

   method public final integer GetMaximumDragValue(input minimum as integer, input maximum as integer, input largeChange as integer):
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected override void OnDispose():
   end method.

   method public final void Show():
   end method.

   method public final void Hide():
   end method.

   method public final void CancelScroll():
   end method.

   method public final void CancelScroll(input preventScrollNotifications as logical):
   end method.

   method public System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject, input scrollBarElement as Infragistics.Win.UIElement):
   end method.

   method public System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject):
   end method.

   method public final System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method public final logical PerformAction(input actionCode as Infragistics.Win.UltraWinScrollBar.ScrollBarAction):
   end method.

   method public final Infragistics.Win.UIElementButtonStyle GetButtonStyleResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final Infragistics.Win.UltraWinScrollBar.ScrollBarLook GetScrollBarLookIfAllocated():
   end method.

   method protected void OnScroll(input e as System.Windows.Forms.ScrollEventArgs):
   end method.

   method protected void OnValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnScrollTipShown(input e as Infragistics.Win.UltraWinScrollBar.ScrollBarInfo+ScrollTipShownEventArgs):
   end method.

   method public final decimal GetScrollPercent():
   end method.

end class.
