class Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.IDeserializationCallback, System.Runtime.Serialization.ISerializable:

   def public property Manager as Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager
      get.

   def public property CloseButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCloseButtonAppearance as logical
      get.

   def public property TabListButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTabListButtonAppearance as logical
      get.

   def public property ScrollButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasScrollButtonAppearance as logical
      get.

   def public property ScrollTrackAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasScrollTrackAppearance as logical
      get.

   def public property TabAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTabAreaAppearance as logical
      get.

   def public property AllowDrop as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AutoSelect as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ShowButtonSeparators as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ShowCloseButton as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ShowPartialTabs as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ShowTabListButton as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AutoSelectDelay as integer
      get.
      set.

   def public property InterTabSpacing as Infragistics.Win.DefaultableInteger
      get.
      set.

   def public property TabHeight as integer
      get.
      set.

   def public property MaxTabWidth as integer
      get.
      set.

   def public property MinTabWidth as integer
      get.
      set.

   def public property TabsPerRow as integer
      get.
      set.

   def public property ButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.
      set.

   def public property TabButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.
      set.

   def public property ScrollArrowStyle as Infragistics.Win.UltraWinTabs.ScrollArrowStyle
      get.
      set.

   def public property ScrollButtons as Infragistics.Win.UltraWinTabbedMdi.DefaultableTabScrollButtons
      get.
      set.

   def public property ScrollButtonTypes as Infragistics.Win.UltraWinTabs.ScrollButtonTypes
      get.
      set.

   def public property TabOrientation as Infragistics.Win.UltraWinTabs.TabOrientation
      get.
      set.

   def public property TextOrientation as Infragistics.Win.UltraWinTabs.TextOrientation
      get.
      set.

   def public property TabPadding as System.Drawing.Size
      get.
      set.

   def public property TabSizing as Infragistics.Win.UltraWinTabs.TabSizing
      get.
      set.

   def public property TabStyle as Infragistics.Win.UltraWinTabs.TabStyle
      get.
      set.

   def public property ScrollTrackExtent as integer
      get.
      set.

   def public property ForceSerialization as logical
      get.
      set.

   def public property TabAreaMargins as Infragistics.Win.Margins
      get.

   def public property SpaceAfterTabs as Infragistics.Win.DefaultableInteger
      get.
      set.

   def public property SpaceBeforeTabs as Infragistics.Win.DefaultableInteger
      get.
      set.

   def public property CloseButtonLocation as Infragistics.Win.UltraWinTabs.TabCloseButtonLocation
      get.
      set.

   def public property HotTrackCloseButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackCloseButtonAppearance as logical
      get.

   def public property PressedCloseButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasPressedCloseButtonAppearance as logical
      get.

   constructor public MdiTabGroupSettings(input owner as System.Object):
   end constructor.

   constructor protected MdiTabGroupSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeCloseButtonAppearance():
   end method.

   method public final void ResetCloseButtonAppearance():
   end method.

   method protected final logical ShouldSerializeTabListButtonAppearance():
   end method.

   method public final void ResetTabListButtonAppearance():
   end method.

   method protected final logical ShouldSerializeScrollButtonAppearance():
   end method.

   method public final void ResetScrollButtonAppearance():
   end method.

   method protected final logical ShouldSerializeScrollTrackAppearance():
   end method.

   method public final void ResetScrollTrackAppearance():
   end method.

   method protected final logical ShouldSerializeTabAreaAppearance():
   end method.

   method public final void ResetTabAreaAppearance():
   end method.

   method public final logical ShouldSerializeAllowDrop():
   end method.

   method public final void ResetAllowDrop():
   end method.

   method public final logical ShouldSerializeAutoSelect():
   end method.

   method public final void ResetAutoSelect():
   end method.

   method public final logical ShouldSerializeShowButtonSeparators():
   end method.

   method public final void ResetShowButtonSeparators():
   end method.

   method public final logical ShouldSerializeShowCloseButton():
   end method.

   method public final void ResetShowCloseButton():
   end method.

   method public final logical ShouldSerializeShowPartialTabs():
   end method.

   method public final void ResetShowPartialTabs():
   end method.

   method public final logical ShouldSerializeShowTabListButton():
   end method.

   method public final void ResetShowTabListButton():
   end method.

   method public final logical ShouldSerializeAutoSelectDelay():
   end method.

   method public final void ResetAutoSelectDelay():
   end method.

   method public final logical ShouldSerializeInterTabSpacing():
   end method.

   method public final void ResetInterTabSpacing():
   end method.

   method public final logical ShouldSerializeTabHeight():
   end method.

   method public final void ResetTabHeight():
   end method.

   method public final logical ShouldSerializeMaxTabWidth():
   end method.

   method public final void ResetMaxTabWidth():
   end method.

   method public final logical ShouldSerializeMinTabWidth():
   end method.

   method public final void ResetMinTabWidth():
   end method.

   method public final logical ShouldSerializeTabsPerRow():
   end method.

   method public final void ResetTabsPerRow():
   end method.

   method public final logical ShouldSerializeButtonStyle():
   end method.

   method public final void ResetButtonStyle():
   end method.

   method public final logical ShouldSerializeTabButtonStyle():
   end method.

   method public final void ResetTabButtonStyle():
   end method.

   method public final logical ShouldSerializeScrollArrowStyle():
   end method.

   method public final void ResetScrollArrowStyle():
   end method.

   method public final logical ShouldSerializeScrollButtons():
   end method.

   method public final void ResetScrollButtons():
   end method.

   method public final logical ShouldSerializeScrollButtonTypes():
   end method.

   method public final void ResetScrollButtonTypes():
   end method.

   method public final logical ShouldSerializeTabOrientation():
   end method.

   method public final void ResetTabOrientation():
   end method.

   method public final logical ShouldSerializeTextOrientation():
   end method.

   method public final void ResetTextOrientation():
   end method.

   method public final logical ShouldSerializeTabPadding():
   end method.

   method public final void ResetTabPadding():
   end method.

   method public final logical ShouldSerializeTabSizing():
   end method.

   method public final void ResetTabSizing():
   end method.

   method public final logical ShouldSerializeTabStyle():
   end method.

   method public final void ResetTabStyle():
   end method.

   method public final logical ShouldSerializeScrollTrackExtent():
   end method.

   method public final void ResetScrollTrackExtent():
   end method.

   method public final logical ShouldSerializeTabAreaMargins():
   end method.

   method public final void ResetTabAreaMargins():
   end method.

   method public final logical ShouldSerializeSpaceAfterTabs():
   end method.

   method public final void ResetSpaceAfterTabs():
   end method.

   method public final logical ShouldSerializeSpaceBeforeTabs():
   end method.

   method public final void ResetSpaceBeforeTabs():
   end method.

   method public final void ResetCloseButtonLocation():
   end method.

   method public final logical ShouldSerializeCloseButtonLocation():
   end method.

   method protected final logical ShouldSerializeHotTrackCloseButtonAppearance():
   end method.

   method public final void ResetHotTrackCloseButtonAppearance():
   end method.

   method protected final logical ShouldSerializePressedCloseButtonAppearance():
   end method.

   method public final void ResetPressedCloseButtonAppearance():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public override character ToString():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

end class.
