class Infragistics.Win.UltraWinTabs.TabDragManager
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable:

   def public property IsDragging as logical
      get.

   def public property Tab as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property TabManager as Infragistics.Win.UltraWinTabs.TabManager
      get.

   def protected property IndicatorManager as Infragistics.Win.DragDropIndicatorManager
      get.

   def protected property ScrollTimer as System.Windows.Forms.Timer
      get.

   def protected property HasScrollTimer as logical
      get.

   def protected property DragSourceControl as System.Windows.Forms.Control
      get.

   def public property CancelOnEscape as logical
      get.

   constructor public TabDragManager(input manager as Infragistics.Win.UltraWinTabs.TabManager):
   end constructor.

   method public final logical StartDrag(input tabOffset as System.Drawing.Point, input tabToDrag as Infragistics.Win.UltraWinTabs.ITabItem, input tabElement as Infragistics.Win.UIElement):
   end method.

   method protected logical InitiateDrag(input tabOffset as System.Drawing.Point, input tabToDrag as Infragistics.Win.UltraWinTabs.ITabItem, input tabElement as Infragistics.Win.UIElement):
   end method.

   method protected void OnScrollTimerTick():
   end method.

   method public void ProcessMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void CancelDrag():
   end method.

   method protected void DragEnded():
   end method.

   method public void ProcessDrop():
   end method.

   method protected override void OnDispose():
   end method.

end class.
