class Infragistics.Win.UltraWinTabs.TabManager
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, Infragistics.Win.IToolTipItem:

   def public static variable TabWidthDefault as integer.

   def public static variable TabHeightDefault as integer.

   def public static variable MaxTabWidthDefault as integer.

   def public static variable MinTabWidthDefault as integer.

   def public static variable ScrollTrackExtentDefault as integer.

   def public static variable ScrollArrowStyleDefault as Infragistics.Win.UltraWinTabs.ScrollArrowStyle.

   def public property FirstDisplayedTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.
      set.

   def public property FirstSelectableTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property FirstVisibleTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property HotTrackTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property IsDragging as logical
      get.

   def public property LastSelectableTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property LastVisibleTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def public property MultiRowSelectionStyleResolved as Infragistics.Win.UltraWinTabs.MultiRowSelectionStyle
      get.

   def public property ScrollArrowStyleResolved as Infragistics.Win.UltraWinTabs.ScrollArrowStyle
      get.

   def public property ScrollButtonAreaSize as System.Drawing.Size
      get.

   def public property ScrollButtonTypesResolved as Infragistics.Win.UltraWinTabs.ScrollButtonTypes
      get.

   def public property ScrollButtonStyleResolved as Infragistics.Win.UIElementButtonStyle
      get.

   def public property SelectedTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.
      set.

   def public property TabAreaSize as System.Drawing.Size
      get.

   def public property TabButtonStyleResolved as Infragistics.Win.UIElementButtonStyle
      get.

   def public property TabOrientationResolved as Infragistics.Win.UltraWinTabs.TabOrientation
      get.

   def public property TabOrientationRTLResolved as Infragistics.Win.UltraWinTabs.TabOrientation
      get.

   def public property TabPageBorderStyle as Infragistics.Win.UIElementBorderStyle
      get.

   def public property TextOrientationResolved as Infragistics.Win.UltraWinTabs.TextOrientation
      get.

   def public property TabRowCount as integer
      get.

   def public property TabRowHeight as integer
      get.

   def public property VisibleTabRowCount as integer
      get.

   def public property InterTabSpacingResolved as integer
      get.

   def protected property StyleResolved as Infragistics.Win.UltraWinTabs.TabStyle
      get.

   def protected property AdjustSelectedTabItemZOrder as logical
      get.

   def protected property AllowClose as logical
      get.

   def protected property CloseButtonLocation as Infragistics.Win.UltraWinTabs.TabCloseButtonLocation
      get.

   def protected property DefaultSelectedTabItem as Infragistics.Win.UltraWinTabs.ITabItem
      get.

   def protected property DragManager as Infragistics.Win.UltraWinTabs.TabDragManager
      get.

   def protected property ButtonAlignment as Infragistics.Win.VAlign
      get.

   def protected property MaximumSizeToFitAdjustment as integer
      get.

   def protected property ScrollTrackExtentResolved as integer
      get.

   def protected property ShowPartialTabs as logical
      get.

   def protected property ShowTabSeparators as logical
      get.

   def protected property ShowTabSeparatorsResolved as logical
      get.

   def protected property ShowTabListButton as logical
      get.

   def protected property NewTabButtonLocation as Infragistics.Win.UltraWinTabs.NewTabButtonLocation
      get.

   def protected property TabBorderSides as System.Windows.Forms.Border3DSide
      get.

   def protected property TabBorderWidths as Infragistics.Win.UIElementBorderWidths
      get.

   def protected property TabItemSeparatorColor as System.Drawing.Color
      get.

   def protected property TabItemSeparatorColor2 as System.Drawing.Color
      get.

   def protected property TabProvider as Infragistics.Win.UltraWinTabs.ITabProvider
      get.

   def protected property TextRenderingMode as Infragistics.Win.TextRenderingMode
      get.

   def protected property ToolTipProvider as Infragistics.Win.IToolTipItem
      get.

   def protected property UsesTabGroups as logical
      get.

   def protected property IsVerticalTab as logical
      get.

   def protected property IsVerticalText as logical
      get.

   def protected property IsRotatedText as logical
      get.

   def protected property ButtonSize as System.Drawing.Size
      get.

   def protected property DisplayTabClientEdge as logical
      get.

   def protected property SelectTabHeightIncrease as integer
      get.

   def protected property SelectedTabOverlapBefore as integer
      get.

   def protected property SelectedTabOverlapAfter as integer
      get.

   def protected property SpaceBeforeTabs as integer
      get.

   def public property SpaceBeforeTabsResolved as integer
      get.

   def protected property SpaceAfterTabs as integer
      get.

   def public property SpaceAfterTabsResolved as integer
      get.

   def protected property TabAreaMargins as Infragistics.Win.Margins
      get.

   def protected property TabLineHeight as integer
      get.

   def protected property TabListContextMenuStyle as Infragistics.Win.IGControls.MenuStyle
      get.

   def protected property ComponentRole as Infragistics.Win.AppStyling.ComponentRole
      get.

   def public property TouchMetricsEnabled as logical
      get.

   def public property RightToLeft as logical
      get.

   def public event SelectedTabItemChanging signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabManager+SelectedTabItemChangingEventArgs).

   def public event SelectedTabItemChanged signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabManager+SelectedTabItemChangedEventArgs).

   def public event TabItemMoving signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabManager+TabItemMovingEventArgs).

   def public event TabItemMoved signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabManager+TabItemMovedEventArgs).

   def public event TabScrolling signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabScrollingEventArgs).

   def public event TabScrolled signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinTabs.TabScrolledEventArgs).

   constructor public TabManager(input tabProvider as Infragistics.Win.UltraWinTabs.ITabProvider):
   end constructor.

   method protected override void OnDispose():
   end method.

   method public final void CancelDrag():
   end method.

   method public final Infragistics.Win.UIElement CreateTabAreaUIElement(input parentElement as Infragistics.Win.UIElement):
   end method.

   method public final void Dirty(input invalidate as logical, input tabListChanged as logical, input dirtyAllMetrics as logical):
   end method.

   method public final void DirtyFont():
   end method.

   method public final void DirtyTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input invalidate as logical, input dirtyTextMetrics as logical, input dirtyImageMetrics as logical):
   end method.

   method public final void EnsureTabItemInView(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnNextRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnNextRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnPreviousRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnPreviousRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnNextPage(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnNextPage(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnPreviousPage(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetCorrespondingTabItemOnPreviousPage(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetFirstVisibleTabOnRow(input rowNumber as integer):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetLastVisibleTabOnRow(input rowNumber as integer):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetNextSelectableTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetNextSelectableTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetNextVisibleTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetNextVisibleTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetNextVisibleTabItemInRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final integer GetPositionInRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetPreviousSelectableTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetPreviousSelectableTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetPreviousVisibleTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetPreviousVisibleTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetPreviousVisibleTabItemInRow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final integer GetRequiredExtent():
   end method.

   method public final System.Drawing.Size GetRequiredSize():
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetTabItemAtPosition(input positionInRow as integer, input rowNumber as integer, input ignoreDisabled as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabs.ITabItem GetTabItemAtPosition(input positionInRow as integer, input rowNumber as integer):
   end method.

   method public final integer GetTabItemRowNumber(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final System.Drawing.Size GetTabItemSize(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UltraWinTabs.TabState GetTabItemState(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final Infragistics.Win.UIElement GetUIElement(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public Infragistics.Win.UltraWinTabs.TabHitTestInfo HitTest(input point as System.Drawing.Point):
   end method.

   method public final void InvalidateTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final logical IsTabItemInView(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method public final logical MoveTabItem(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input relativeTab as Infragistics.Win.UltraWinTabs.ITabItem, input relativePosition as Infragistics.Win.RelativePosition):
   end method.

   method public final logical ScrollTabs(input scrollType as Infragistics.Win.UltraWinTabs.ScrollType, input scrollIncrement as integer):
   end method.

   method public final Infragistics.Win.UIElement TabElementFromPoint(input point as System.Drawing.Point):
   end method.

   method public final static void TranslateAlignment(input hAlign as Infragistics.Win.HAlign, input vAlign as Infragistics.Win.VAlign, input vertical as logical, input rotated as logical):
   end method.

   method protected void AutoSelectTab(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected logical CanCloseTab(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected logical CanSpin(input direction as System.Windows.Forms.ScrollButton, input spinButtonType as Infragistics.Win.SpinButtonTypes):
   end method.

   method protected void CloseButtonClick(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input reason as Infragistics.Win.UltraWinTabs.TabCloseReason):
   end method.

   method protected void NewTabButtonClick():
   end method.

   method protected Infragistics.Win.UltraWinTabs.TabGroupUIElement CreateNewTabAreaElement(input parentElement as Infragistics.Win.UIElement):
   end method.

   method protected Infragistics.Win.UltraWinTabs.TabDragManager CreateDragManager():
   end method.

   method protected Infragistics.Win.UltraWinScrollBar.ScrollBarInfo CreateScrollBarInfo():
   end method.

   method protected logical DrawTabBorders(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected final void DrawPropertyTab(input side as Infragistics.Win.UltraWinTabs.TabOrientation, input rect as System.Drawing.Rectangle, input drawParams as Infragistics.Win.UIElementDrawParams, input baseColor as System.Drawing.Color, input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected final void DrawVisualStudio2005Tab(input side as Infragistics.Win.UltraWinTabs.TabOrientation, input rect as System.Drawing.Rectangle, input drawParams as Infragistics.Win.UIElementDrawParams, input baseColor as System.Drawing.Color, input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected final void DrawVisualStudio2005Tab(input side as Infragistics.Win.UltraWinTabs.TabOrientation, input rect as System.Drawing.Rectangle, input drawParams as Infragistics.Win.UIElementDrawParams, input baseColor as System.Drawing.Color, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input useRoundedCornersAtBase as logical):
   end method.

   method protected Infragistics.Win.UltraWinTabs.TabCloseButtonAlignment GetCloseButtonAlignment(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected Infragistics.Win.UltraWinTabs.TabCloseButtonVisibility GetCloseButtonVisibility(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected System.Windows.Forms.ImageList GetImageList(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected System.Drawing.Imaging.ColorMap extent GetImageColorMapTable(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input appearanceImage as System.Object):
   end method.

   method protected System.Object GetGroupId(input tabItem as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected integer GetGroupPreferredExtent(input groupId as System.Object):
   end method.

   method protected final Infragistics.Win.UIElement GetTabAreaUIElement():
   end method.

   method protected System.Drawing.Image GetTabListItemImage(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected Infragistics.Win.UIElement GetTabItemUIElement(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input state as Infragistics.Win.UltraWinTabs.TabState):
   end method.

   method protected System.Type GetTabItemUIElementType(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected logical IsPriorityTab(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected logical IsScrollButtonNeeded():
   end method.

   method protected void MouseEnterTab(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected void MouseLeaveTab(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected logical MouseDownTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected logical AfterMouseDownTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void MouseHoverTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input isAllTextRendered as logical):
   end method.

   method protected void MouseMoveTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected logical MouseUpTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoubleClickTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected void ClickTab(input element as Infragistics.Win.UIElement, input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected void MouseMoveTabGroup(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected logical MouseUpTabGroup(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void ResolveCloseButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input tabItem as Infragistics.Win.UltraWinTabs.ITabItem, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method protected void ResolveScrollButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ResolveScrollTrackAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ResolveScrollThumbAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ResolveScrollBarAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ResolveNewTabButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method protected void ResolveTabListButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method protected void ResolveTabLineAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ShouldDrawGlow(input tab as Infragistics.Win.UltraWinTabs.ITabItem, input shouldDraw as logical, input glowColor as System.Drawing.Color, input glowOrientation as Infragistics.Win.GlowOrientation, input circleExtentPercentage as integer, input firstFalloff as integer, input secondFalloff as integer, input drawAmbientGlow as logical):
   end method.

   method protected logical ShouldSuppressTabHighlightGlow(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected void Spin(input direction as System.Windows.Forms.ScrollButton, input spinButtonType as Infragistics.Win.SpinButtonTypes):
   end method.

   method protected void TabClick(input tab as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

   method protected final void VerifyAllItemsInView():
   end method.

   method protected final void VerifyMetrics():
   end method.

   method protected Infragistics.Win.AppStyling.UIRole GetRole(input role as Infragistics.Win.UltraWinTabs.TabManager+TabRole):
   end method.

   method protected Infragistics.Win.AppStyling.UIRole GetTabItemRole(input item as Infragistics.Win.UltraWinTabs.ITabItem):
   end method.

end class.
