class Infragistics.Win.UltraWinToolbars.EditorToolBase
   inherits Infragistics.Win.UltraWinToolbars.ToolBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, System.Runtime.Serialization.ISerializable
   abstract:

   def public property IsInEditMode as logical
      get.
      set.

   def protected abstract property CanEditorDisplayVertical as logical
      get.

   def protected property CanRaiseToolDoubleClick as logical
      get.

   def protected abstract override property Editor as Infragistics.Win.EmbeddableEditorBase
      get.

   def protected abstract override property EditValue as System.Object
      get.
      set.

   def protected abstract property MinimumEditorExtent as integer
      get.

   def protected override property AccessibleChildCount as integer
      get.

   def protected override property AccessibleValue as character
      get.
      set.

   def public override property CanActivate as logical
      get.

   def protected override property CanSetDisplayStyle as logical
      get.

   def protected override property CanSetToolWidth as logical
      get.

   def protected override property DefaultImage as System.Drawing.Image
      get.

   def protected override property DefaultInstanceDisplaysTextOnToolbars as logical
      get.

   def protected override property DefaultInstanceDisplaysImageOnToolbars as logical
      get.

   def protected override property IsVisibleOnRibbonGroup as logical
      get.

   def public override property MinimumSize as System.Drawing.Size
      get.

   def protected override property ShouldSerializeWidthProperties as logical
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor protected EditorToolBase(input key as character):
   end constructor.

   constructor protected EditorToolBase(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override System.Drawing.Size CalculateLogicalSizeOfToolInstance():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override System.Windows.Forms.AccessibleObject GetAccessibleChild(input index as integer):
   end method.

   method protected override System.Drawing.Rectangle GetImageRect():
   end method.

   method protected override Infragistics.Win.UIElement GetRibbonToolUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parent as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetRibbonToolUIElementType():
   end method.

   method protected override Infragistics.Win.UIElement GetToolbarUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetToolbarUIElementType():
   end method.

   method protected override void OnShortcutKeyPressed():
   end method.

   method protected override void ResolveAppearancePhase(input phaseInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ResolveAppearancePhaseInfo, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolBaseUiaProviderStub CreateUIAutomationStub():
   end method.

end class.
