class Infragistics.Win.UltraWinToolbars.GalleryToolItemSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property HotTrackAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackAppearance as logical
      get.

   def public property HotTrackSelectedAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackSelectedAppearance as logical
      get.

   def public property ImageAreaSize as System.Drawing.Size
      get.
      set.

   def public property ImageHighlightAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasImageHighlightAppearance as logical
      get.

   def public property ImagePadding as Infragistics.Win.Margins
      get.

   def public property PressedAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasPressedAppearance as logical
      get.

   def public property SelectedAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSelectedAppearance as logical
      get.

   def public property SelectionDisplayStyle as Infragistics.Win.UltraWinToolbars.SelectionDisplayStyle
      get.
      set.

   def public property TextPlacement as Infragistics.Win.TextPlacement
      get.
      set.

   constructor public GalleryToolItemSettings(input owner as System.Object):
   end constructor.

   constructor protected GalleryToolItemSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override character ToString():
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method protected Infragistics.Win.UltraWinToolbars.GalleryToolItemSettings Clone(input newOwner as System.Object):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void InitializeFrom(input settings as Infragistics.Win.UltraWinToolbars.GalleryToolItemSettings):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method public final static System.Drawing.Size ResolveImageAreaSize(input gallery as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input group as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input item as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method public final static Infragistics.Win.Margins ResolveImagePadding(input gallery as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input group as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input item as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method public final static Infragistics.Win.UltraWinToolbars.SelectionDisplayStyle ResolveSelectionDisplayStyle(input gallery as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input group as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input item as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method public final static Infragistics.Win.TextPlacement ResolveTextPlacement(input gallery as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input group as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input item as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackAppearance():
   end method.

   method public final void ResetHotTrackAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackSelectedAppearance():
   end method.

   method public final void ResetHotTrackSelectedAppearance():
   end method.

   method protected final logical ShouldSerializeImageAreaSize():
   end method.

   method public final void ResetImageAreaSize():
   end method.

   method protected final logical ShouldSerializeImageHighlightAppearance():
   end method.

   method public final void ResetImageHighlightAppearance():
   end method.

   method protected final logical ShouldSerializeImagePadding():
   end method.

   method public final void ResetImagePadding():
   end method.

   method protected final logical ShouldSerializePressedAppearance():
   end method.

   method public final void ResetPressedAppearance():
   end method.

   method protected final logical ShouldSerializeSelectedAppearance():
   end method.

   method public final void ResetSelectedAppearance():
   end method.

   method protected final logical ShouldSerializeSelectionDisplayStyle():
   end method.

   method public final void ResetSelectionDisplayStyle():
   end method.

   method protected final logical ShouldSerializeTextPlacement():
   end method.

   method public final void ResetTextPlacement():
   end method.

end class.
