class Infragistics.Win.UltraWinToolbars.NavigationToolbar
   inherits Infragistics.Win.UltraWinToolbars.UltraToolbarBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.UltraWinToolbars.IToolsCollectionOwner, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def public property BackButtonAccessibleObject as System.Windows.Forms.AccessibleObject
      get.

   def public property BackHistory as System.Collections.Generic.IEnumerable
      get.

   def public property BackHistoryCount as integer
      get.

   def public property CanNavigateBack as logical
      get.

   def public property CanNavigateForward as logical
      get.

   def public property CurrentItem as Infragistics.Win.UltraWinToolbars.NavigationHistoryItem
      get.

   def public property ForwardButtonAccessibleObject as System.Windows.Forms.AccessibleObject
      get.

   def public property ForwardHistory as System.Collections.Generic.IEnumerable
      get.

   def public property ForwardHistoryCount as integer
      get.

   def public property MaximumNavigationItems as integer
      get.
      set.

   def public property MenuSettings as Infragistics.Win.UltraWinToolbars.NavigationToolbarMenuSettings
      get.

   def public property RecentHistoryButtonAccessibleObject as System.Windows.Forms.AccessibleObject
      get.

   def public property Settings as Infragistics.Win.UltraWinToolbars.NavigationToolbarSettings
      get.

   def public property Visible as logical
      get.
      set.

   def public override property Key as character
      get.
      set.

   def public override property ToolbarsManager as Infragistics.Win.UltraWinToolbars.UltraToolbarsManager
      get.

   def public override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   constructor protected NavigationToolbar(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeMenuSettings():
   end method.

   method public final void ResetMenuSettings():
   end method.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void InitializeHistory(input backHistory as Infragistics.Win.UltraWinToolbars.NavigationHistoryItem extent, input forwardHistory as Infragistics.Win.UltraWinToolbars.NavigationHistoryItem extent, input currentItem as Infragistics.Win.UltraWinToolbars.NavigationHistoryItem):
   end method.

   method public final void NavigateBack():
   end method.

   method public final void NavigateBack(input numPlaces as integer):
   end method.

   method public final void NavigateForward():
   end method.

   method public final void NavigateForward(input numPlaces as integer):
   end method.

   method public final void NavigateTo(input text as character, input tag as System.Object):
   end method.

   method public final void NavigateTo(input item as Infragistics.Win.UltraWinToolbars.NavigationHistoryItem):
   end method.

   method public override void Reset():
   end method.

   method public final void ResetNavigationHistory():
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public override logical ShouldSerializeKey():
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override logical ShouldSerialize():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.UltraToolbarBase+UltraToolbarBaseUiaProviderStub CreateUIAutomationStub(input element as Infragistics.Win.UIElement):
   end method.

end class.
