class Infragistics.Win.UltraWinToolbars.PopupMenuTool
   inherits Infragistics.Win.UltraWinToolbars.TearawayToolBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, Infragistics.Win.IPopupItem, Infragistics.Win.UltraWinToolbars.IKeyTipContainer, Infragistics.Win.UltraWinToolbars.IKeyTipProviderWithDelay, System.Runtime.Serialization.ISerializable, Infragistics.Win.UltraWinToolbars.IToolsCollectionOwner:

   def public property Settings as Infragistics.Win.UltraWinToolbars.MenuSettings
      get.

   def public property SettingsResolved as Infragistics.Win.UltraWinToolbars.MenuSettingsResolved
      get.

   def public property Tools as Infragistics.Win.UltraWinToolbars.ToolsCollection
      get.

   def protected property DisplayAsPressedWhenAnyChildMenuItemIsPressed as logical
      get.

   def protected override property AccessibleChildCount as integer
      get.

   def protected override property CanSetDisplayStyle as logical
      get.

   def protected override property DefaultAccessibleRole as System.Windows.Forms.AccessibleRole
      get.

   def protected override property DefaultDropDownArrowStyle as Infragistics.Win.UltraWinToolbars.DropDownArrowStyle
      get.

   def protected override property DefaultInstanceDisplaysTextOnToolbars as logical
      get.

   def protected override property DefaultInstanceDisplaysImageOnToolbars as logical
      get.

   def protected override property DefaultMergeType as Infragistics.Win.UltraWinToolbars.MenuMergeType
      get.

   def protected override property DrawAsActive as logical
      get.

   def protected override property IsPressed as logical
      get.

   def public override property IsStockItem as logical
      get.
      set.

   def public override property UIRoleOnMenus as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnRibbonGroups as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnToolbars as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor public PopupMenuTool(input key as character):
   end constructor.

   constructor protected PopupMenuTool(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializeTools():
   end method.

   method public final void ResetTools():
   end method.

   method public override void Reset():
   end method.

   method protected logical AllowPopupStyle(input popupStyle as Infragistics.Win.UltraWinToolbars.PopupStyle):
   end method.

   method protected Infragistics.Win.UltraWinToolbars.PopupMenuTool CreateMenuForMdiMerge():
   end method.

   method protected void OnPopulate():
   end method.

   method protected Infragistics.Win.UltraWinToolbars.PopupStyle ResolvePopupStyle(input popupStyle as Infragistics.Win.UltraWinToolbars.PopupStyle):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override System.Windows.Forms.AccessibleObject GetAccessibleChild(input index as integer):
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void RefreshDropDownContents():
   end method.

end class.
