class Infragistics.Win.UltraWinToolbars.PopupToolBase
   inherits Infragistics.Win.UltraWinToolbars.ToolBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, Infragistics.Win.IPopupItem, Infragistics.Win.UltraWinToolbars.IKeyTipContainer, Infragistics.Win.UltraWinToolbars.IKeyTipProviderWithDelay
   abstract:

   def protected override property CanSetDisplayStyle as logical
      get.

   def protected override property DefaultAction as character
      get.

   def protected override property DrawAsActive as logical
      get.

   def protected override property IsVisibleOnRibbonGroup as logical
      get.

   def public override property ShouldDisplayToolTip as logical
      get.

   def public property Checked as logical
      get.
      set.

   def public property DropDownArrowStyle as Infragistics.Win.UltraWinToolbars.DropDownArrowStyle
      get.
      set.

   def public property DropDownArrowStyleResolved as Infragistics.Win.UltraWinToolbars.DropDownArrowStyle
      get.

   def public property IsOpen as logical
      get.

   def public property KeyTipForSegmentedButton as character
      get.
      set.

   def protected override property AccessibleState as System.Windows.Forms.AccessibleStates
      get.

   def protected property ArrowSize as Infragistics.Win.UltraWinToolbars.ArrowUIElement+ArrowSize
      get.

   def protected abstract property DefaultDropDownArrowStyle as Infragistics.Win.UltraWinToolbars.DropDownArrowStyle
      get.

   def protected override property IsPressed as logical
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor protected PopupToolBase(input key as character):
   end constructor.

   constructor protected PopupToolBase(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolBaseUiaProviderStub CreateUIAutomationStub():
   end method.

   method protected override System.Drawing.Size CalculateLogicalSizeOfToolInstance():
   end method.

   method protected override void DoDefaultAction():
   end method.

   method protected override System.Drawing.Rectangle GetImageRect():
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override Infragistics.Win.UIElement GetRibbonToolUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetRibbonToolUIElementType():
   end method.

   method protected override Infragistics.Win.UIElement GetToolbarUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetToolbarUIElementType():
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnAfterToolCloseup(input e as Infragistics.Win.UltraWinToolbars.ToolDropdownEventArgs):
   end method.

   method protected override logical OnEnterKeyPressed():
   end method.

   method protected override logical OnMnemonicPressed():
   end method.

   method protected override void OnRemovedFromCollection(input collection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected override void OnShortcutKeyPressed():
   end method.

   method protected override void OnToolClick():
   end method.

   method protected final logical ShouldSerializeChecked():
   end method.

   method public final void ResetChecked():
   end method.

   method protected final logical ShouldSerializeDropDownArrowStyle():
   end method.

   method public final void ResetDropDownArrowStyle():
   end method.

   method protected final logical ShouldSerializeKeyTipForSegmentedButton():
   end method.

   method public final void ResetKeyTipForSegmentedButton():
   end method.

   method public final void DropDown():
   end method.

   method protected void RefreshDropDownContents():
   end method.

   method public final void ClosePopup():
   end method.

   method public final void InitializeChecked(input isChecked as logical):
   end method.

   method public override void Reset():
   end method.

   method public final void ShowPopup():
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point):
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point, input owner as System.Windows.Forms.Control):
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point, input exclusionRect as System.Drawing.Rectangle, input dropdownPosition as Infragistics.Win.DropDownPosition):
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point, input exclusionRect as System.Drawing.Rectangle, input dropdownPosition as Infragistics.Win.DropDownPosition, input owner as System.Windows.Forms.Control):
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point, input exclusionRect as System.Drawing.Rectangle, input dropdownPosition as Infragistics.Win.DropDownPosition, input owner as System.Windows.Forms.Control, input showMiniToolbar as logical):
   end method.

   method public final void ShowPopup(input screenPoint as System.Drawing.Point, input exclusionRect as System.Drawing.Rectangle, input dropdownPosition as Infragistics.Win.DropDownPosition, input owner as System.Windows.Forms.Control, input showMiniToolbar as logical, input sourceControl as System.Windows.Forms.Control):
   end method.

   method protected void OnPopupToolbarCreated():
   end method.

end class.
