class Infragistics.Win.UltraWinToolbars.StateButtonTool
   inherits Infragistics.Win.UltraWinToolbars.ButtonTool
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, System.Runtime.Serialization.ISerializable:

   def public property Checked as logical
      get.
      set.

   def public property MenuDisplayStyle as Infragistics.Win.UltraWinToolbars.StateButtonMenuDisplayStyle
      get.
      set.

   def public property OptionSet as Infragistics.Win.UltraWinToolbars.OptionSet
      get.
      set.

   def public property OptionSetKey as character
      get.
      set.

   def public property ToolbarDisplayStyle as Infragistics.Win.UltraWinToolbars.StateButtonToolbarDisplayStyle
      get.
      set.

   def protected override property AccessibleState as System.Windows.Forms.AccessibleStates
      get.

   def protected override property DefaultInstanceDisplaysTextOnToolbars as logical
      get.

   def protected override property IsPressed as logical
      get.

   def public override property UIRoleOnMenus as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnRibbonGroups as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnToolbars as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor public StateButtonTool(input key as character):
   end constructor.

   constructor public StateButtonTool(input key as character, input optionSetKey as character):
   end constructor.

   constructor protected StateButtonTool(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeChecked():
   end method.

   method public final void ResetChecked():
   end method.

   method protected final logical ShouldSerializeMenuDisplayStyle():
   end method.

   method public final void ResetMenuDisplayStyle():
   end method.

   method public final void ResetOptionSet():
   end method.

   method protected final logical ShouldSerializeOptionSetKey():
   end method.

   method protected final logical ShouldSerializeToolbarDisplayStyle():
   end method.

   method public final void ResetToolbarDisplayStyle():
   end method.

   method public final void InitializeChecked(input isChecked as logical):
   end method.

   method public override void Reset():
   end method.

   method protected override void OnAddedToCollection(input collection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected override System.Drawing.Size CalculateLogicalSizeOfToolInstance():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override Infragistics.Win.UIElement GetRibbonToolUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override Infragistics.Win.UIElement GetToolbarUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetToolbarUIElementType():
   end method.

   method protected override System.Type GetRibbonToolUIElementType():
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnShortcutKeyPressed():
   end method.

   method protected override void OnToolClick():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolBaseUiaProviderStub CreateUIAutomationStub():
   end method.

end class.
