class Infragistics.Win.UltraWinToolbars.TextBoxTool
   inherits Infragistics.Win.UltraWinToolbars.TextEditorToolBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, System.Runtime.Serialization.ISerializable:

   def public property CharacterCasing as System.Windows.Forms.CharacterCasing
      get.
      set.

   def public override property DefaultSize as System.Drawing.Size
      get.

   def public property MaxLength as integer
      get.
      set.

   def public property PasswordChar as character
      get.
      set.

   def public property Text as character
      get.
      set.

   def protected override property Editor as Infragistics.Win.EmbeddableEditorBase
      get.

   def protected override property EditValue as System.Object
      get.
      set.

   def protected override property AccessibleValue as character
      get.
      set.

   def protected override property CanEditorDisplayVertical as logical
      get.

   def protected override property DefaultAccessibleRole as System.Windows.Forms.AccessibleRole
      get.

   def protected override property DefaultAction as character
      get.

   def protected override property MinimumEditorExtent as integer
      get.

   def public override property UIRoleForEditArea as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnMenus as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnRibbonGroups as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnToolbars as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor public TextBoxTool(input key as character):
   end constructor.

   constructor protected TextBoxTool(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeCharacterCasing():
   end method.

   method public final void ResetCharacterCasing():
   end method.

   method protected final logical ShouldSerializeMaxLength():
   end method.

   method public final void ResetMaxLength():
   end method.

   method protected final logical ShouldSerializePasswordChar():
   end method.

   method public final void ResetPasswordChar():
   end method.

   method protected final logical ShouldSerializeText():
   end method.

   method public final void ResetText():
   end method.

   method public override void Reset():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override Infragistics.Win.UIElement GetRibbonToolUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetRibbonToolUIElementType():
   end method.

   method protected override Infragistics.Win.UIElement GetToolbarUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override System.Type GetToolbarUIElementType():
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void ResolveAppearancePhase(input phaseInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ResolveAppearancePhaseInfo, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

end class.
