class Infragistics.Win.UltraWinTree.UltraTreeColumnSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property ActiveCellAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasActiveCellAppearance as logical
      get.

   def public property AllowCellEdit as Infragistics.Win.UltraWinTree.AllowCellEdit
      get.
      set.

   def public property AllowCellSizing as Infragistics.Win.UltraWinTree.LayoutSizing
      get.
      set.

   def public property AllowCellSpanSizing as Infragistics.Win.Layout.GridBagLayoutAllowSpanSizing
      get.
      set.

   def public property AllowColMoving as Infragistics.Win.Layout.GridBagLayoutAllowMoving
      get.
      set.

   def public property AllowLabelSizing as Infragistics.Win.UltraWinTree.LayoutSizing
      get.
      set.

   def public property AllowLabelSpanSizing as Infragistics.Win.Layout.GridBagLayoutAllowSpanSizing
      get.
      set.

   def public property AllowSorting as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AutoFitColumns as Infragistics.Win.UltraWinTree.AutoFitColumns
      get.
      set.

   def public property AutoGenerateColumnSets as logical
      get.
      set.

   def public property BorderStyleCell as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property BorderStyleColumnHeader as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property CellAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCellAppearance as logical
      get.

   def public property CellWrapText as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ColumnAutoSizeMode as Infragistics.Win.UltraWinTree.ColumnAutoSizeMode
      get.
      set.

   def public property ColumnHeaderAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasColumnHeaderAppearance as logical
      get.

   def public property ColumnHeaderImageSize as System.Drawing.Size
      get.
      set.

   def public property ColumnHeaderWrapText as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ColumnSets as Infragistics.Win.UltraWinTree.ColumnSetsCollection
      get.

   def public property Control as Infragistics.Win.UltraWinTree.UltraTree
      get.

   def public property HeaderStyle as Infragistics.Win.HeaderStyle
      get.
      set.

   def public property LabelPosition as Infragistics.Win.UltraWinTree.NodeLayoutLabelPosition
      get.
      set.

   def public property LabelStyle as Infragistics.Win.UltraWinTree.NodeLayoutLabelStyle
      get.
      set.

   def public property MultiSortModifierKey as System.Windows.Forms.Keys
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property RootColumnSet as Infragistics.Win.UltraWinTree.UltraTreeColumnSet
      get.
      set.

   def public property RootColumnSetIndex as integer
      get.
      set.

   def public property ShowBandNodes as Infragistics.Win.UltraWinTree.ShowBandNodes
      get.
      set.

   def public property ShowSortIndicators as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property TabNavigation as Infragistics.Win.UltraWinTree.TabNavigation
      get.
      set.

   def public property TipStyleCell as Infragistics.Win.UltraWinTree.TipStyleCell
      get.
      set.

   constructor public UltraTreeColumnSettings():
   end constructor.

   constructor protected UltraTreeColumnSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeActiveCellAppearance():
   end method.

   method public final void ResetActiveCellAppearance():
   end method.

   method protected final logical ShouldSerializeAllowCellEdit():
   end method.

   method public final void ResetAllowCellEdit():
   end method.

   method protected final logical ShouldSerializeAllowCellSizing():
   end method.

   method public final void ResetAllowCellSizing():
   end method.

   method protected final logical ShouldSerializeAllowCellSpanSizing():
   end method.

   method public final void ResetAllowCellSpanSizing():
   end method.

   method protected final logical ShouldSerializeAllowColMoving():
   end method.

   method public final void ResetAllowColMoving():
   end method.

   method protected final logical ShouldSerializeAllowLabelSizing():
   end method.

   method public final void ResetAllowLabelSizing():
   end method.

   method protected final logical ShouldSerializeAllowLabelSpanSizing():
   end method.

   method public final void ResetAllowLabelSpanSizing():
   end method.

   method protected final logical ShouldSerializeAllowSorting():
   end method.

   method public final void ResetAllowSorting():
   end method.

   method protected final logical ShouldSerializeAutoFitColumns():
   end method.

   method public final void ResetAutoFitColumns():
   end method.

   method public final logical ShouldSerializeAutoGenerateColumnSets():
   end method.

   method public final void ResetAutoGenerateColumnSets():
   end method.

   method protected final logical ShouldSerializeBorderStyleCell():
   end method.

   method public final void ResetBorderStyleCell():
   end method.

   method protected final logical ShouldSerializeBorderStyleColumnHeader():
   end method.

   method public final void ResetBorderStyleColumnHeader():
   end method.

   method protected final logical ShouldSerializeCellAppearance():
   end method.

   method public final void ResetCellAppearance():
   end method.

   method protected final logical ShouldSerializeCellWrapText():
   end method.

   method public final void ResetCellWrapText():
   end method.

   method protected final logical ShouldSerializeColumnAutoSizeMode():
   end method.

   method public final void ResetColumnAutoSizeMode():
   end method.

   method protected final logical ShouldSerializeColumnHeaderAppearance():
   end method.

   method public final void ResetColumnHeaderAppearance():
   end method.

   method protected final logical ShouldSerializeColumnHeaderImageSize():
   end method.

   method public final void ResetColumnHeaderImageSize():
   end method.

   method protected final logical ShouldSerializeColumnHeaderWrapText():
   end method.

   method public final void ResetColumnHeaderWrapText():
   end method.

   method public final logical ShouldSerializeColumnSets():
   end method.

   method public final void ResetColumnSets():
   end method.

   method protected final logical ShouldSerializeHeaderStyle():
   end method.

   method public final void ResetHeaderStyle():
   end method.

   method protected final logical ShouldSerializeLabelPosition():
   end method.

   method public final void ResetLabelPosition():
   end method.

   method protected final logical ShouldSerializeLabelStyle():
   end method.

   method public final void ResetLabelStyle():
   end method.

   method protected final logical ShouldSerializeMultiSortModifierKey():
   end method.

   method public final void ResetMultiSortModifierKey():
   end method.

   method protected final logical ShouldSerializeNullText():
   end method.

   method public final void ResetNullText():
   end method.

   method protected final logical ShouldSerializeRootColumnSet():
   end method.

   method public final void ResetRootColumnSet():
   end method.

   method protected final logical ShouldSerializeRootColumnSetIndex():
   end method.

   method protected final logical ShouldSerializeShowBandNodes():
   end method.

   method public final void ResetShowBandNodes():
   end method.

   method protected final logical ShouldSerializeShowSortIndicators():
   end method.

   method public final void ResetShowSortIndicators():
   end method.

   method protected final logical ShouldSerializeTabNavigation():
   end method.

   method public final void ResetTabNavigation():
   end method.

   method protected final logical ShouldSerializeTipStyleCell():
   end method.

   method public final void ResetTipStyleCell():
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization():
   end method.

   method protected override void OnDispose():
   end method.

end class.
