class Infragistics.Win.ValueList
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.IFilterableValueList, Infragistics.Win.IValueList, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.ICheckedItemList, Infragistics.Win.IProvideItemImageSize, Infragistics.Win.IDropDownResizeHandleOwner, Infragistics.Win.IProvideContentsVersion:

   def public property SortStyle as Infragistics.Win.ValueListSortStyle
      get.
      set.

   def public property DisplayStyle as Infragistics.Win.ValueListDisplayStyle
      get.
      set.

   def public property ScaleItemImage as Infragistics.Win.ScaleImage
      get.
      set.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.

   def public property HasAppearance as logical
      get.

   def public property Owner as Infragistics.Win.IValueListOwner
      get.

   def protected property AlwaysResolveControlImage as logical
      get.

   def public property InternalID as integer
      get.

   def public property MaxDropDownItems as integer
      get.
      set.

   def public property DropDownListWidth as integer
      get.
      set.

   def public property DropDownListMinWidth as integer
      get.
      set.

   def public property DropDownListAlignment as Infragistics.Win.DropDownListAlignment
      get.
      set.

   def public property SelectedItem as System.Object
      get.
      set.

   def public property SelectedIndex as integer
      get.
      set.

   def public property DrawMode as System.Windows.Forms.DrawMode
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property FormatProvider as System.IFormatProvider
      get.
      set.

   def public property MRUListProvider as Infragistics.Win.IMRUListProvider
      get.
      set.

   def public property ValueListItems as Infragistics.Win.ValueListItemsCollection
      get.

   def public property IsBound as logical
      get.

   def public property ItemHeight as integer
      get.
      set.

   def public property CheckedItems as Infragistics.Win.CheckedValueListItemsCollection
      get.

   def public property CheckBoxStyle as Infragistics.Win.CheckStyle
      get.
      set.

   def public property CheckBoxAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property ItemMatchingMode as Infragistics.Win.ValueListItemMatchingMode
      get.
      set.

   def public property FormatFilteredItems as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property DropDownResizeHandleStyle as Infragistics.Win.DropDownResizeHandleStyle
      get.
      set.

   def public property DropDownResizeHandleStyleResolved as Infragistics.Win.DropDownResizeHandleStyle
      get.

   def public property DropDownResizeHandleAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasDropdownResizeHandleAppearance as logical
      get.

   def public property PreferredDropDownSize as System.Drawing.Size
      get.
      set.

   def public property AutoSuggestHighlightAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAutoSuggestHighlightAppearance as logical
      get.

   def public property AutoSuggestHighlightSelectedAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAutoSuggestHighlightSelectedAppearance as logical
      get.

   def public event DrawValueListItem signature void (input sender as System.Object, input e as Infragistics.Win.DrawValueListItemEventArgs).

   def public event ListChanged signature void (input sender as System.Object, input e as Infragistics.Win.ValueListChangedEventArgs).

   def public event MeasureValueListItem signature void (input sender as System.Object, input e as Infragistics.Win.MeasureValueListItemEventArgs).

   def public event BeforeDropDownResizeStart signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterDropDownResize signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ValueList():
   end constructor.

   constructor public ValueList(input id as integer):
   end constructor.

   constructor protected ValueList(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected void OnBeforeDropDownResizeStart(input e as System.EventArgs):
   end method.

   method protected void OnAfterDropDownResize(input e as System.EventArgs):
   end method.

   method public override character ToString():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override Infragistics.Win.ValueList Clone():
   end method.

   method public final void BumpContentsVersion():
   end method.

   method protected final logical ShouldSerializeScaleItemImage():
   end method.

   method public final void ResetScaleItemImage():
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method protected final logical ShouldSerialize():
   end method.

   method protected override void OnDispose():
   end method.

   method public final void ResetDisplayStyle():
   end method.

   method public final void ResetSortStyle():
   end method.

   method protected final logical ShouldSerializeDisplayStyle():
   end method.

   method protected final logical ShouldSerializeSortStyle():
   end method.

   method public final void Reset():
   end method.

   method public final void InitAppearances(input appearances as Infragistics.Win.AppearancesCollection):
   end method.

   method protected final logical ShouldSerializeMaxDropDownItems():
   end method.

   method public final void ResetMaxDropDownItems():
   end method.

   method public final void ResetDropDownListWidth():
   end method.

   method protected final logical ShouldSerializeDropDownListWidth():
   end method.

   method public final void ResetDropDownListMinWidth():
   end method.

   method protected final logical ShouldSerializeDropDownListMinWidth():
   end method.

   method protected final logical ShouldSerializeDropDownListAlignment():
   end method.

   method public final void ResetDropDownListAlignment():
   end method.

   method public final void ResetDrawMode():
   end method.

   method public final void ResetFormatString():
   end method.

   method public final void ResetFormatProvider():
   end method.

   method protected final logical ShouldSerializeValueListItems():
   end method.

   method public final void ResetValueListItems():
   end method.

   method public final void ResetItemHeight():
   end method.

   method protected final logical ShouldSerializeCheckBoxStyle():
   end method.

   method public final void ResetCheckBoxStyle():
   end method.

   method protected final logical ShouldSerializeCheckBoxAlignment():
   end method.

   method public final void ResetCheckBoxAlignment():
   end method.

   method protected final logical ShouldSerializeItemMatchingMode():
   end method.

   method public final void ResetItemMatchingMode():
   end method.

   method public final integer FindString(input s as character):
   end method.

   method public final integer FindString(input s as character, input startIndex as integer):
   end method.

   method public final Infragistics.Win.ValueListItem FindByDataValue(input dataValue as System.Object):
   end method.

   method public final integer FindStringExact(input s as character):
   end method.

   method public final integer FindStringExact(input s as character, input startIndex as integer):
   end method.

   method public final integer GetItemHeight(input index as integer):
   end method.

   method public final character GetItemText(input item as System.Object):
   end method.

   method public final void ReSyncContents():
   end method.

   method public final void ProcessOnMouseWheel(input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void VerifyItems():
   end method.

   method public final void ReleaseResources():
   end method.

   method public final void SetCheckState(input value as System.Windows.Forms.CheckState):
   end method.

   method public final void SetCheckState(input items as System.Collections.Generic.List, input value as System.Windows.Forms.CheckState):
   end method.

   method public final void SetCheckState(input items as Infragistics.Win.ValueListItem extent, input value as System.Windows.Forms.CheckState):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected final logical ShouldSerializeFormatFilteredItems():
   end method.

   method public final void ResetFormatFilteredItems():
   end method.

   method public final void ResetDropDownResizeHandleStyle():
   end method.

   method protected final logical ShouldSerializeDropDownResizeHandleStyle():
   end method.

   method public final void ResetDropDownResizeHandleAppearance():
   end method.

   method protected final logical ShouldSerializeDropDownResizeHandleAppearance():
   end method.

   method public final void ResetPreferredDropDownSize():
   end method.

   method protected final logical ShouldSerializePreferredDropDownSize():
   end method.

   method protected final logical ShouldSerializeAutoSuggestHighlightAppearance():
   end method.

   method public final void ResetAutoSuggestHighlightAppearance():
   end method.

   method protected final logical ShouldSerializeAutoSuggestHighlightSelectedAppearance():
   end method.

   method public final void ResetAutoSuggestHighlightSelectedAppearance():
   end method.

end class.
