class Progress.Data.ColumnPropDesc
   inherits System.ComponentModel.PropertyDescriptor
   implements System.Runtime.Serialization.ISerializable:

   def public property ColumnName as character
      get.
      set.

   def public property ColumnType as Progress.Data.DataType
      get.
      set.

   def public property ColumnIndex as integer
      get.
      set.

   def public property ColumnExtIndex as integer
      get.

   def public property ColumnLabel as character
      get.
      set.

   def public override property ComponentType as System.Type
      get.

   def public override property PropertyType as System.Type
      get.

   def public override property DisplayName as character
      get.

   def public override property IsBrowsable as logical
      get.

   def public override property IsReadOnly as logical
      get.

   constructor public ColumnPropDesc(input colName as character, input colLabel as character):
   end constructor.

   constructor public ColumnPropDesc(input colName as character, input colLabel as character, input colType as Progress.Data.DataType):
   end constructor.

   method public override logical CanResetValue(input component as System.Object):
   end method.

   method public override System.Object GetValue(input component as System.Object):
   end method.

   method public override void ResetValue(input component as System.Object):
   end method.

   method public override void SetValue(input component as System.Object, input value as System.Object):
   end method.

   method public override logical ShouldSerializeValue(input component as System.Object):
   end method.

   method protected void Serialize(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void Deserialize(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

end class.
