class System.Array
   inherits System.Object
   implements System.ICloneable, System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable, System.Collections.IStructuralComparable, System.Collections.IStructuralEquatable
   abstract:

   def public property Length as integer
      get.

   def public property LongLength as int64
      get.

   def public property Rank as integer
      get.

   def public property SyncRoot as System.Object
      get.

   def public property IsReadOnly as logical
      get.

   def public property IsFixedSize as logical
      get.

   def public property IsSynchronized as logical
      get.

   method public final static System.Array CreateInstance(input elementType as System.Type, input length as integer):
   end method.

   method public final static System.Array CreateInstance(input elementType as System.Type, input length1 as integer, input length2 as integer):
   end method.

   method public final static System.Array CreateInstance(input elementType as System.Type, input length1 as integer, input length2 as integer, input length3 as integer):
   end method.

   method public final static System.Array CreateInstance(input elementType as System.Type, input lengths as System.Int32 extent):
   end method.

   method public final static System.Array CreateInstance(input elementType as System.Type, input lengths as System.Int64 extent):
   end method.

   method public final static System.Array CreateInstance(input elementType as System.Type, input lengths as System.Int32 extent, input lowerBounds as System.Int32 extent):
   end method.

   method public final static void Copy(input sourceArray as System.Array, input destinationArray as System.Array, input length as integer):
   end method.

   method public final static void Copy(input sourceArray as System.Array, input sourceIndex as integer, input destinationArray as System.Array, input destinationIndex as integer, input length as integer):
   end method.

   method public final static void ConstrainedCopy(input sourceArray as System.Array, input sourceIndex as integer, input destinationArray as System.Array, input destinationIndex as integer, input length as integer):
   end method.

   method public final static void Copy(input sourceArray as System.Array, input destinationArray as System.Array, input length as int64):
   end method.

   method public final static void Copy(input sourceArray as System.Array, input sourceIndex as int64, input destinationArray as System.Array, input destinationIndex as int64, input length as int64):
   end method.

   method public final static void Clear(input array as System.Array, input index as integer, input length as integer):
   end method.

   method public final System.Object GetValue(input indices as System.Int32 extent):
   end method.

   method public final System.Object GetValue(input index as integer):
   end method.

   method public final System.Object GetValue(input index1 as integer, input index2 as integer):
   end method.

   method public final System.Object GetValue(input index1 as integer, input index2 as integer, input index3 as integer):
   end method.

   method public final System.Object GetValue(input index as int64):
   end method.

   method public final System.Object GetValue(input index1 as int64, input index2 as int64):
   end method.

   method public final System.Object GetValue(input index1 as int64, input index2 as int64, input index3 as int64):
   end method.

   method public final System.Object GetValue(input indices as System.Int64 extent):
   end method.

   method public final void SetValue(input value as System.Object, input index as integer):
   end method.

   method public final void SetValue(input value as System.Object, input index1 as integer, input index2 as integer):
   end method.

   method public final void SetValue(input value as System.Object, input index1 as integer, input index2 as integer, input index3 as integer):
   end method.

   method public final void SetValue(input value as System.Object, input indices as System.Int32 extent):
   end method.

   method public final void SetValue(input value as System.Object, input index as int64):
   end method.

   method public final void SetValue(input value as System.Object, input index1 as int64, input index2 as int64):
   end method.

   method public final void SetValue(input value as System.Object, input index1 as int64, input index2 as int64, input index3 as int64):
   end method.

   method public final void SetValue(input value as System.Object, input indices as System.Int64 extent):
   end method.

   method public final integer GetLength(input dimension as integer):
   end method.

   method public final int64 GetLongLength(input dimension as integer):
   end method.

   method public final integer GetUpperBound(input dimension as integer):
   end method.

   method public final integer GetLowerBound(input dimension as integer):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final static integer BinarySearch(input array as System.Array, input value as System.Object):
   end method.

   method public final static integer BinarySearch(input array as System.Array, input index as integer, input length as integer, input value as System.Object):
   end method.

   method public final static integer BinarySearch(input array as System.Array, input value as System.Object, input comparer as System.Collections.IComparer):
   end method.

   method public final static integer BinarySearch(input array as System.Array, input index as integer, input length as integer, input value as System.Object, input comparer as System.Collections.IComparer):
   end method.

   method public final void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final void CopyTo(input array as System.Array, input index as int64):
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public final static integer IndexOf(input array as System.Array, input value as System.Object):
   end method.

   method public final static integer IndexOf(input array as System.Array, input value as System.Object, input startIndex as integer):
   end method.

   method public final static integer IndexOf(input array as System.Array, input value as System.Object, input startIndex as integer, input count as integer):
   end method.

   method public final static integer LastIndexOf(input array as System.Array, input value as System.Object):
   end method.

   method public final static integer LastIndexOf(input array as System.Array, input value as System.Object, input startIndex as integer):
   end method.

   method public final static integer LastIndexOf(input array as System.Array, input value as System.Object, input startIndex as integer, input count as integer):
   end method.

   method public final static void Reverse(input array as System.Array):
   end method.

   method public final static void Reverse(input array as System.Array, input index as integer, input length as integer):
   end method.

   method public final static void Sort(input array as System.Array):
   end method.

   method public final static void Sort(input keys as System.Array, input items as System.Array):
   end method.

   method public final static void Sort(input array as System.Array, input index as integer, input length as integer):
   end method.

   method public final static void Sort(input keys as System.Array, input items as System.Array, input index as integer, input length as integer):
   end method.

   method public final static void Sort(input array as System.Array, input comparer as System.Collections.IComparer):
   end method.

   method public final static void Sort(input keys as System.Array, input items as System.Array, input comparer as System.Collections.IComparer):
   end method.

   method public final static void Sort(input array as System.Array, input index as integer, input length as integer, input comparer as System.Collections.IComparer):
   end method.

   method public final static void Sort(input keys as System.Array, input items as System.Array, input index as integer, input length as integer, input comparer as System.Collections.IComparer):
   end method.

   method public final void Initialize():
   end method.

end class.
