class System.Collections.ArrayList
   inherits System.Object
   implements System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable, System.ICloneable:

   def public property Capacity as integer
      get.
      set.

   def public property Count as integer
      get.

   def public property IsFixedSize as logical
      get.

   def public property IsReadOnly as logical
      get.

   def public property IsSynchronized as logical
      get.

   def public property SyncRoot as System.Object
      get.

   def public property Item as System.Object
      get.
      set.

   constructor public ArrayList():
   end constructor.

   constructor public ArrayList(input capacity as integer):
   end constructor.

   constructor public ArrayList(input c as System.Collections.ICollection):
   end constructor.

   method public final static System.Collections.ArrayList Adapter(input list as System.Collections.IList):
   end method.

   method public integer Add(input value as System.Object):
   end method.

   method public void AddRange(input c as System.Collections.ICollection):
   end method.

   method public integer BinarySearch(input index as integer, input count as integer, input value as System.Object, input comparer as System.Collections.IComparer):
   end method.

   method public integer BinarySearch(input value as System.Object):
   end method.

   method public integer BinarySearch(input value as System.Object, input comparer as System.Collections.IComparer):
   end method.

   method public void Clear():
   end method.

   method public override System.Object Clone():
   end method.

   method public logical Contains(input item as System.Object):
   end method.

   method public void CopyTo(input array as System.Array):
   end method.

   method public void CopyTo(input array as System.Array, input arrayIndex as integer):
   end method.

   method public void CopyTo(input index as integer, input array as System.Array, input arrayIndex as integer, input count as integer):
   end method.

   method public final static System.Collections.IList FixedSize(input list as System.Collections.IList):
   end method.

   method public final static System.Collections.ArrayList FixedSize(input list as System.Collections.ArrayList):
   end method.

   method public System.Collections.IEnumerator GetEnumerator():
   end method.

   method public System.Collections.IEnumerator GetEnumerator(input index as integer, input count as integer):
   end method.

   method public integer IndexOf(input value as System.Object):
   end method.

   method public integer IndexOf(input value as System.Object, input startIndex as integer):
   end method.

   method public integer IndexOf(input value as System.Object, input startIndex as integer, input count as integer):
   end method.

   method public void Insert(input index as integer, input value as System.Object):
   end method.

   method public void InsertRange(input index as integer, input c as System.Collections.ICollection):
   end method.

   method public integer LastIndexOf(input value as System.Object):
   end method.

   method public integer LastIndexOf(input value as System.Object, input startIndex as integer):
   end method.

   method public integer LastIndexOf(input value as System.Object, input startIndex as integer, input count as integer):
   end method.

   method public final static System.Collections.IList ReadOnly(input list as System.Collections.IList):
   end method.

   method public final static System.Collections.ArrayList ReadOnly(input list as System.Collections.ArrayList):
   end method.

   method public void Remove(input obj as System.Object):
   end method.

   method public void RemoveAt(input index as integer):
   end method.

   method public void RemoveRange(input index as integer, input count as integer):
   end method.

   method public final static System.Collections.ArrayList Repeat(input value as System.Object, input count as integer):
   end method.

   method public void Reverse():
   end method.

   method public void Reverse(input index as integer, input count as integer):
   end method.

   method public void SetRange(input index as integer, input c as System.Collections.ICollection):
   end method.

   method public System.Collections.ArrayList GetRange(input index as integer, input count as integer):
   end method.

   method public void Sort():
   end method.

   method public void Sort(input comparer as System.Collections.IComparer):
   end method.

   method public void Sort(input index as integer, input count as integer, input comparer as System.Collections.IComparer):
   end method.

   method public final static System.Collections.IList Synchronized(input list as System.Collections.IList):
   end method.

   method public final static System.Collections.ArrayList Synchronized(input list as System.Collections.ArrayList):
   end method.

   method public System.Object extent ToArray():
   end method.

   method public System.Array ToArray(input type as System.Type):
   end method.

   method public void TrimToSize():
   end method.

end class.
