class System.Data.DataSet
   inherits System.ComponentModel.MarshalByValueComponent
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.Xml.Serialization.IXmlSerializable, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable:

   def public property RemotingFormat as System.Data.SerializationFormat
      get.
      set.

   def public property SchemaSerializationMode as System.Data.SchemaSerializationMode
      get.
      set.

   def public property CaseSensitive as logical
      get.
      set.

   def public property DefaultViewManager as System.Data.DataViewManager
      get.

   def public property EnforceConstraints as logical
      get.
      set.

   def public property DataSetName as character
      get.
      set.

   def public property Namespace as character
      get.
      set.

   def public property Prefix as character
      get.
      set.

   def public property ExtendedProperties as System.Data.PropertyCollection
      get.

   def public property HasErrors as logical
      get.

   def public property IsInitialized as logical
      get.

   def public property Locale as System.Globalization.CultureInfo
      get.
      set.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public property Relations as System.Data.DataRelationCollection
      get.

   def public property Tables as System.Data.DataTableCollection
      get.

   def public event MergeFailed signature void (input sender as System.Object, input e as System.Data.MergeFailedEventArgs).

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DataSet():
   end constructor.

   constructor public DataSet(input dataSetName as character):
   end constructor.

   constructor protected DataSet(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor protected DataSet(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext, input ConstructSchema as logical):
   end constructor.

   method protected final logical IsBinarySerialized(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected final System.Data.SchemaSerializationMode DetermineSchemaSerializationMode(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected final System.Data.SchemaSerializationMode DetermineSchemaSerializationMode(input reader as System.Xml.XmlReader):
   end method.

   method protected final void GetSerializationData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void InitializeDerivedDataSet():
   end method.

   method protected logical ShouldSerializeRelations():
   end method.

   method protected logical ShouldSerializeTables():
   end method.

   method public final void AcceptChanges():
   end method.

   method public final void BeginInit():
   end method.

   method public final void EndInit():
   end method.

   method public final void Clear():
   end method.

   method public override System.Data.DataSet Clone():
   end method.

   method public final System.Data.DataSet Copy():
   end method.

   method public final System.Data.DataSet GetChanges():
   end method.

   method public final System.Data.DataSet GetChanges(input rowStates as System.Data.DataRowState):
   end method.

   method public final character GetXml():
   end method.

   method public final character GetXmlSchema():
   end method.

   method public final logical HasChanges():
   end method.

   method public final logical HasChanges(input rowStates as System.Data.DataRowState):
   end method.

   method public final void InferXmlSchema(input reader as System.Xml.XmlReader, input nsArray as System.String extent):
   end method.

   method public final void InferXmlSchema(input stream as System.IO.Stream, input nsArray as System.String extent):
   end method.

   method public final void InferXmlSchema(input reader as System.IO.TextReader, input nsArray as System.String extent):
   end method.

   method public final void InferXmlSchema(input fileName as character, input nsArray as System.String extent):
   end method.

   method public final void ReadXmlSchema(input reader as System.Xml.XmlReader):
   end method.

   method public final void ReadXmlSchema(input stream as System.IO.Stream):
   end method.

   method public final void ReadXmlSchema(input reader as System.IO.TextReader):
   end method.

   method public final void ReadXmlSchema(input fileName as character):
   end method.

   method public final void WriteXmlSchema(input stream as System.IO.Stream):
   end method.

   method public final void WriteXmlSchema(input stream as System.IO.Stream, input multipleTargetConverter as System.Converter):
   end method.

   method public final void WriteXmlSchema(input fileName as character):
   end method.

   method public final void WriteXmlSchema(input fileName as character, input multipleTargetConverter as System.Converter):
   end method.

   method public final void WriteXmlSchema(input writer as System.IO.TextWriter):
   end method.

   method public final void WriteXmlSchema(input writer as System.IO.TextWriter, input multipleTargetConverter as System.Converter):
   end method.

   method public final void WriteXmlSchema(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteXmlSchema(input writer as System.Xml.XmlWriter, input multipleTargetConverter as System.Converter):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.Xml.XmlReader):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input stream as System.IO.Stream):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.IO.TextReader):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input fileName as character):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.Xml.XmlReader, input mode as System.Data.XmlReadMode):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input stream as System.IO.Stream, input mode as System.Data.XmlReadMode):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.IO.TextReader, input mode as System.Data.XmlReadMode):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input fileName as character, input mode as System.Data.XmlReadMode):
   end method.

   method public final void WriteXml(input stream as System.IO.Stream):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteXml(input fileName as character):
   end method.

   method public final void WriteXml(input stream as System.IO.Stream, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input fileName as character, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void Merge(input dataSet as System.Data.DataSet):
   end method.

   method public final void Merge(input dataSet as System.Data.DataSet, input preserveChanges as logical):
   end method.

   method public final void Merge(input dataSet as System.Data.DataSet, input preserveChanges as logical, input missingSchemaAction as System.Data.MissingSchemaAction):
   end method.

   method public final void Merge(input table as System.Data.DataTable):
   end method.

   method public final void Merge(input table as System.Data.DataTable, input preserveChanges as logical, input missingSchemaAction as System.Data.MissingSchemaAction):
   end method.

   method public final void Merge(input rows as System.Data.DataRow extent):
   end method.

   method public final void Merge(input rows as System.Data.DataRow extent, input preserveChanges as logical, input missingSchemaAction as System.Data.MissingSchemaAction):
   end method.

   method protected void OnPropertyChanging(input pcevent as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void OnRemoveTable(input table as System.Data.DataTable):
   end method.

   method protected void OnRemoveRelation(input relation as System.Data.DataRelation):
   end method.

   method protected final void RaisePropertyChanging(input name as character):
   end method.

   method public void RejectChanges():
   end method.

   method public void Reset():
   end method.

   method protected void ReadXmlSerializable(input reader as System.Xml.XmlReader):
   end method.

   method protected System.Xml.Schema.XmlSchema GetSchemaSerializable():
   end method.

   method public final static System.Xml.Schema.XmlSchemaComplexType GetDataSetSchema(input schemaSet as System.Xml.Schema.XmlSchemaSet):
   end method.

   method public void Load(input reader as System.Data.IDataReader, input loadOption as System.Data.LoadOption, input errorHandler as System.Data.FillErrorEventHandler, input tables as System.Data.DataTable extent):
   end method.

   method public final void Load(input reader as System.Data.IDataReader, input loadOption as System.Data.LoadOption, input tables as System.Data.DataTable extent):
   end method.

   method public final void Load(input reader as System.Data.IDataReader, input loadOption as System.Data.LoadOption, input tables as System.String extent):
   end method.

   method public final System.Data.DataTableReader CreateDataReader():
   end method.

   method public final System.Data.DataTableReader CreateDataReader(input dataTables as System.Data.DataTable extent):
   end method.

end class.
