class System.Data.DataTable
   inherits System.ComponentModel.MarshalByValueComponent
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable:

   def protected variable fInitInProgress as logical.

   def public property CaseSensitive as logical
      get.
      set.

   def public property IsInitialized as logical
      get.

   def public property RemotingFormat as System.Data.SerializationFormat
      get.
      set.

   def public property ChildRelations as System.Data.DataRelationCollection
      get.

   def public property Columns as System.Data.DataColumnCollection
      get.

   def public property Constraints as System.Data.ConstraintCollection
      get.

   def public property DataSet as System.Data.DataSet
      get.

   def public property DefaultView as System.Data.DataView
      get.

   def public property DisplayExpression as character
      get.
      set.

   def public property ExtendedProperties as System.Data.PropertyCollection
      get.

   def public property HasErrors as logical
      get.

   def public property Locale as System.Globalization.CultureInfo
      get.
      set.

   def public property MinimumCapacity as integer
      get.
      set.

   def public property ParentRelations as System.Data.DataRelationCollection
      get.

   def public property PrimaryKey as System.Data.DataColumn extent
      get.
      set.

   def public property Rows as System.Data.DataRowCollection
      get.

   def public property TableName as character
      get.
      set.

   def public property Namespace as character
      get.
      set.

   def public property Prefix as character
      get.
      set.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public event ColumnChanging signature void (input sender as System.Object, input e as System.Data.DataColumnChangeEventArgs).

   def public event ColumnChanged signature void (input sender as System.Object, input e as System.Data.DataColumnChangeEventArgs).

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   def public event RowChanged signature void (input sender as System.Object, input e as System.Data.DataRowChangeEventArgs).

   def public event RowChanging signature void (input sender as System.Object, input e as System.Data.DataRowChangeEventArgs).

   def public event RowDeleting signature void (input sender as System.Object, input e as System.Data.DataRowChangeEventArgs).

   def public event RowDeleted signature void (input sender as System.Object, input e as System.Data.DataRowChangeEventArgs).

   def public event TableClearing signature void (input sender as System.Object, input e as System.Data.DataTableClearEventArgs).

   def public event TableCleared signature void (input sender as System.Object, input e as System.Data.DataTableClearEventArgs).

   def public event TableNewRow signature void (input sender as System.Object, input e as System.Data.DataTableNewRowEventArgs).

   constructor public DataTable():
   end constructor.

   constructor public DataTable(input tableName as character):
   end constructor.

   constructor public DataTable(input tableName as character, input tableNamespace as character):
   end constructor.

   constructor protected DataTable(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public void BeginInit():
   end method.

   method public void EndInit():
   end method.

   method public final void AcceptChanges():
   end method.

   method protected System.Data.DataTable CreateInstance():
   end method.

   method public override System.Data.DataTable Clone():
   end method.

   method public final System.Data.DataTable Copy():
   end method.

   method public final void Clear():
   end method.

   method public final System.Object Compute(input expression as character, input filter as character):
   end method.

   method public final System.Data.DataTable GetChanges():
   end method.

   method public final System.Data.DataTable GetChanges(input rowStates as System.Data.DataRowState):
   end method.

   method public final System.Data.DataRow extent GetErrors():
   end method.

   method public final void ImportRow(input row as System.Data.DataRow):
   end method.

   method public final System.Data.DataRow NewRow():
   end method.

   method protected System.Data.DataRow NewRowFromBuilder(input builder as System.Data.DataRowBuilder):
   end method.

   method protected System.Type GetRowType():
   end method.

   method protected final System.Data.DataRow extent NewRowArray(input size as integer):
   end method.

   method protected void OnColumnChanging(input e as System.Data.DataColumnChangeEventArgs):
   end method.

   method protected void OnColumnChanged(input e as System.Data.DataColumnChangeEventArgs):
   end method.

   method protected void OnPropertyChanging(input pcevent as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void OnRemoveColumn(input column as System.Data.DataColumn):
   end method.

   method protected void OnRowChanged(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected void OnRowChanging(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected void OnRowDeleting(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected void OnRowDeleted(input e as System.Data.DataRowChangeEventArgs):
   end method.

   method protected void OnTableCleared(input e as System.Data.DataTableClearEventArgs):
   end method.

   method protected void OnTableClearing(input e as System.Data.DataTableClearEventArgs):
   end method.

   method protected void OnTableNewRow(input e as System.Data.DataTableNewRowEventArgs):
   end method.

   method public final void RejectChanges():
   end method.

   method public void Reset():
   end method.

   method public final System.Data.DataRow extent Select():
   end method.

   method public final System.Data.DataRow extent Select(input filterExpression as character):
   end method.

   method public final System.Data.DataRow extent Select(input filterExpression as character, input sort as character):
   end method.

   method public final System.Data.DataRow extent Select(input filterExpression as character, input sort as character, input recordStates as System.Data.DataViewRowState):
   end method.

   method public override character ToString():
   end method.

   method public final void BeginLoadData():
   end method.

   method public final void EndLoadData():
   end method.

   method public final System.Data.DataRow LoadDataRow(input values as System.Object extent, input fAcceptChanges as logical):
   end method.

   method public final System.Data.DataRow LoadDataRow(input values as System.Object extent, input loadOption as System.Data.LoadOption):
   end method.

   method public final void Merge(input table as System.Data.DataTable):
   end method.

   method public final void Merge(input table as System.Data.DataTable, input preserveChanges as logical):
   end method.

   method public final void Merge(input table as System.Data.DataTable, input preserveChanges as logical, input missingSchemaAction as System.Data.MissingSchemaAction):
   end method.

   method public final void Load(input reader as System.Data.IDataReader):
   end method.

   method public final void Load(input reader as System.Data.IDataReader, input loadOption as System.Data.LoadOption):
   end method.

   method public void Load(input reader as System.Data.IDataReader, input loadOption as System.Data.LoadOption, input errorHandler as System.Data.FillErrorEventHandler):
   end method.

   method public final System.Data.DataTableReader CreateDataReader():
   end method.

   method public final void WriteXml(input stream as System.IO.Stream):
   end method.

   method public final void WriteXml(input stream as System.IO.Stream, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input fileName as character):
   end method.

   method public final void WriteXml(input fileName as character, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input stream as System.IO.Stream, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input stream as System.IO.Stream, input mode as System.Data.XmlWriteMode, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input writer as System.IO.TextWriter, input mode as System.Data.XmlWriteMode, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input writer as System.Xml.XmlWriter, input mode as System.Data.XmlWriteMode, input writeHierarchy as logical):
   end method.

   method public final void WriteXml(input fileName as character, input mode as System.Data.XmlWriteMode):
   end method.

   method public final void WriteXml(input fileName as character, input mode as System.Data.XmlWriteMode, input writeHierarchy as logical):
   end method.

   method public final void WriteXmlSchema(input stream as System.IO.Stream):
   end method.

   method public final void WriteXmlSchema(input stream as System.IO.Stream, input writeHierarchy as logical):
   end method.

   method public final void WriteXmlSchema(input writer as System.IO.TextWriter):
   end method.

   method public final void WriteXmlSchema(input writer as System.IO.TextWriter, input writeHierarchy as logical):
   end method.

   method public final void WriteXmlSchema(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteXmlSchema(input writer as System.Xml.XmlWriter, input writeHierarchy as logical):
   end method.

   method public final void WriteXmlSchema(input fileName as character):
   end method.

   method public final void WriteXmlSchema(input fileName as character, input writeHierarchy as logical):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input stream as System.IO.Stream):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.IO.TextReader):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input fileName as character):
   end method.

   method public final System.Data.XmlReadMode ReadXml(input reader as System.Xml.XmlReader):
   end method.

   method public final void ReadXmlSchema(input stream as System.IO.Stream):
   end method.

   method public final void ReadXmlSchema(input reader as System.IO.TextReader):
   end method.

   method public final void ReadXmlSchema(input fileName as character):
   end method.

   method public final void ReadXmlSchema(input reader as System.Xml.XmlReader):
   end method.

   method public final static System.Xml.Schema.XmlSchemaComplexType GetDataTableSchema(input schemaSet as System.Xml.Schema.XmlSchemaSet):
   end method.

   method protected System.Xml.Schema.XmlSchema GetSchema():
   end method.

   method protected void ReadXmlSerializable(input reader as System.Xml.XmlReader):
   end method.

end class.
