class System.Diagnostics.ProcessStartInfo
   inherits System.Object
   final:

   def public property Verb as character
      get.
      set.

   def public property Arguments as character
      get.
      set.

   def public property CreateNoWindow as logical
      get.
      set.

   def public property EnvironmentVariables as System.Collections.Specialized.StringDictionary
      get.

   def public property Environment as System.Collections.Generic.IDictionary
      get.

   def public property RedirectStandardInput as logical
      get.
      set.

   def public property RedirectStandardOutput as logical
      get.
      set.

   def public property RedirectStandardError as logical
      get.
      set.

   def public property StandardErrorEncoding as System.Text.Encoding
      get.
      set.

   def public property StandardOutputEncoding as System.Text.Encoding
      get.
      set.

   def public property UseShellExecute as logical
      get.
      set.

   def public property Verbs as System.String extent
      get.

   def public property UserName as character
      get.
      set.

   def public property Password as System.Security.SecureString
      get.
      set.

   def public property PasswordInClearText as character
      get.
      set.

   def public property Domain as character
      get.
      set.

   def public property LoadUserProfile as logical
      get.
      set.

   def public property FileName as character
      get.
      set.

   def public property WorkingDirectory as character
      get.
      set.

   def public property ErrorDialog as logical
      get.
      set.

   def public property ErrorDialogParentHandle as System.IntPtr
      get.
      set.

   def public property WindowStyle as System.Diagnostics.ProcessWindowStyle
      get.
      set.

   constructor public ProcessStartInfo():
   end constructor.

   constructor public ProcessStartInfo(input fileName as character):
   end constructor.

   constructor public ProcessStartInfo(input fileName as character, input arguments as character):
   end constructor.

end class.
