class System.DirectoryServices.AccountManagement.PrincipalContext
   inherits System.Object
   implements System.IDisposable:

   def public property ContextType as System.DirectoryServices.AccountManagement.ContextType
      get.

   def public property Name as character
      get.

   def public property Container as character
      get.

   def public property UserName as character
      get.

   def public property Options as System.DirectoryServices.AccountManagement.ContextOptions
      get.

   def public property ConnectedServer as character
      get.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character, input container as character):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character, input container as character, input options as System.DirectoryServices.AccountManagement.ContextOptions):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character, input userName as character, input password as character):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character, input container as character, input userName as character, input password as character):
   end constructor.

   constructor public PrincipalContext(input contextType as System.DirectoryServices.AccountManagement.ContextType, input name as character, input container as character, input options as System.DirectoryServices.AccountManagement.ContextOptions, input userName as character, input password as character):
   end constructor.

   method public final logical ValidateCredentials(input userName as character, input password as character):
   end method.

   method public final logical ValidateCredentials(input userName as character, input password as character, input options as System.DirectoryServices.AccountManagement.ContextOptions):
   end method.

   method public final void Dispose():
   end method.

end class.
