class System.Drawing.Drawing2D.LinearGradientBrush
   inherits System.Drawing.Brush
   implements System.ICloneable, System.IDisposable
   final:

   def public property LinearColors as System.Drawing.Color extent
      get.
      set.

   def public property Rectangle as System.Drawing.RectangleF
      get.

   def public property GammaCorrection as logical
      get.
      set.

   def public property Blend as System.Drawing.Drawing2D.Blend
      get.
      set.

   def public property InterpolationColors as System.Drawing.Drawing2D.ColorBlend
      get.
      set.

   def public property WrapMode as System.Drawing.Drawing2D.WrapMode
      get.
      set.

   def public property Transform as System.Drawing.Drawing2D.Matrix
      get.
      set.

   constructor public LinearGradientBrush(input point1 as System.Drawing.PointF, input point2 as System.Drawing.PointF, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color):
   end constructor.

   constructor public LinearGradientBrush(input point1 as System.Drawing.Point, input point2 as System.Drawing.Point, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.RectangleF, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input linearGradientMode as System.Drawing.Drawing2D.LinearGradientMode):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input linearGradientMode as System.Drawing.Drawing2D.LinearGradientMode):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.RectangleF, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input angle as decimal):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.RectangleF, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input angle as decimal, input isAngleScaleable as logical):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input angle as decimal):
   end constructor.

   constructor public LinearGradientBrush(input rect as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input angle as decimal, input isAngleScaleable as logical):
   end constructor.

   method public override System.Object Clone():
   end method.

   method public final void SetSigmaBellShape(input focus as decimal):
   end method.

   method public final void SetSigmaBellShape(input focus as decimal, input scale as decimal):
   end method.

   method public final void SetBlendTriangularShape(input focus as decimal):
   end method.

   method public final void SetBlendTriangularShape(input focus as decimal, input scale as decimal):
   end method.

   method public final void ResetTransform():
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void RotateTransform(input angle as decimal):
   end method.

   method public final void RotateTransform(input angle as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

end class.
