class System.Drawing.Font
   inherits System.MarshalByRefObject
   implements System.ICloneable, System.Runtime.Serialization.ISerializable, System.IDisposable
   final:

   def public property FontFamily as System.Drawing.FontFamily
      get.

   def public property Bold as logical
      get.

   def public property GdiCharSet as integer
      get.

   def public property GdiVerticalFont as logical
      get.

   def public property Italic as logical
      get.

   def public property Name as character
      get.

   def public property OriginalFontName as character
      get.

   def public property Strikeout as logical
      get.

   def public property Underline as logical
      get.

   def public property Style as System.Drawing.FontStyle
      get.

   def public property Size as decimal
      get.

   def public property SizeInPoints as decimal
      get.

   def public property Unit as System.Drawing.GraphicsUnit
      get.

   def public property Height as integer
      get.

   def public property IsSystemFont as logical
      get.

   def public property SystemFontName as character
      get.

   constructor public Font(input prototype as System.Drawing.Font, input newStyle as System.Drawing.FontStyle):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit, input gdiCharSet as integer):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit, input gdiCharSet as integer, input gdiVerticalFont as logical):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit, input gdiCharSet as integer):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit, input gdiCharSet as integer, input gdiVerticalFont as logical):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal, input style as System.Drawing.FontStyle):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal, input unit as System.Drawing.GraphicsUnit):
   end constructor.

   constructor public Font(input family as System.Drawing.FontFamily, input emSize as decimal):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal, input style as System.Drawing.FontStyle, input unit as System.Drawing.GraphicsUnit):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal, input style as System.Drawing.FontStyle):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal, input unit as System.Drawing.GraphicsUnit):
   end constructor.

   constructor public Font(input familyName as character, input emSize as decimal):
   end constructor.

   method public final static System.Drawing.Font FromHfont(input hfont as System.IntPtr):
   end method.

   method public final static System.Drawing.Font FromLogFont(input lf as System.Object):
   end method.

   method public final static System.Drawing.Font FromLogFont(input lf as System.Object, input hdc as System.IntPtr):
   end method.

   method public final static System.Drawing.Font FromHdc(input hdc as System.IntPtr):
   end method.

   method public final override System.Object Clone():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void Dispose():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public final void ToLogFont(input logFont as System.Object):
   end method.

   method public final void ToLogFont(input logFont as System.Object, input graphics as System.Drawing.Graphics):
   end method.

   method public final System.IntPtr ToHfont():
   end method.

   method public final decimal GetHeight(input graphics as System.Drawing.Graphics):
   end method.

   method public final decimal GetHeight():
   end method.

   method public final decimal GetHeight(input dpi as decimal):
   end method.

end class.
