class System.Drawing.Graphics
   inherits System.MarshalByRefObject
   implements System.IDisposable, System.Drawing.IDeviceContext
   final:

   def public property CompositingMode as System.Drawing.Drawing2D.CompositingMode
      get.
      set.

   def public property RenderingOrigin as System.Drawing.Point
      get.
      set.

   def public property CompositingQuality as System.Drawing.Drawing2D.CompositingQuality
      get.
      set.

   def public property TextRenderingHint as System.Drawing.Text.TextRenderingHint
      get.
      set.

   def public property TextContrast as integer
      get.
      set.

   def public property SmoothingMode as System.Drawing.Drawing2D.SmoothingMode
      get.
      set.

   def public property PixelOffsetMode as System.Drawing.Drawing2D.PixelOffsetMode
      get.
      set.

   def public property InterpolationMode as System.Drawing.Drawing2D.InterpolationMode
      get.
      set.

   def public property Transform as System.Drawing.Drawing2D.Matrix
      get.
      set.

   def public property PageUnit as System.Drawing.GraphicsUnit
      get.
      set.

   def public property PageScale as decimal
      get.
      set.

   def public property DpiX as decimal
      get.

   def public property DpiY as decimal
      get.

   def public property Clip as System.Drawing.Region
      get.
      set.

   def public property ClipBounds as System.Drawing.RectangleF
      get.

   def public property IsClipEmpty as logical
      get.

   def public property VisibleClipBounds as System.Drawing.RectangleF
      get.

   def public property IsVisibleClipEmpty as logical
      get.

   method public final static System.Drawing.Graphics FromHdc(input hdc as System.IntPtr):
   end method.

   method public final static System.Drawing.Graphics FromHdcInternal(input hdc as System.IntPtr):
   end method.

   method public final static System.Drawing.Graphics FromHdc(input hdc as System.IntPtr, input hdevice as System.IntPtr):
   end method.

   method public final static System.Drawing.Graphics FromHwnd(input hwnd as System.IntPtr):
   end method.

   method public final static System.Drawing.Graphics FromHwndInternal(input hwnd as System.IntPtr):
   end method.

   method public final static System.Drawing.Graphics FromImage(input image as System.Drawing.Image):
   end method.

   method public final System.IntPtr GetHdc():
   end method.

   method public final void ReleaseHdc(input hdc as System.IntPtr):
   end method.

   method public final void ReleaseHdc():
   end method.

   method public final void ReleaseHdcInternal(input hdc as System.IntPtr):
   end method.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void Flush():
   end method.

   method public final void Flush(input intention as System.Drawing.Drawing2D.FlushIntention):
   end method.

   method public final void CopyFromScreen(input upperLeftSource as System.Drawing.Point, input upperLeftDestination as System.Drawing.Point, input blockRegionSize as System.Drawing.Size):
   end method.

   method public final void CopyFromScreen(input sourceX as integer, input sourceY as integer, input destinationX as integer, input destinationY as integer, input blockRegionSize as System.Drawing.Size):
   end method.

   method public final void CopyFromScreen(input upperLeftSource as System.Drawing.Point, input upperLeftDestination as System.Drawing.Point, input blockRegionSize as System.Drawing.Size, input copyPixelOperation as System.Drawing.CopyPixelOperation):
   end method.

   method public final void CopyFromScreen(input sourceX as integer, input sourceY as integer, input destinationX as integer, input destinationY as integer, input blockRegionSize as System.Drawing.Size, input copyPixelOperation as System.Drawing.CopyPixelOperation):
   end method.

   method public final void ResetTransform():
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void MultiplyTransform(input matrix as System.Drawing.Drawing2D.Matrix, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal):
   end method.

   method public final void TranslateTransform(input dx as decimal, input dy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal):
   end method.

   method public final void ScaleTransform(input sx as decimal, input sy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void RotateTransform(input angle as decimal):
   end method.

   method public final void RotateTransform(input angle as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void TransformPoints(input destSpace as System.Drawing.Drawing2D.CoordinateSpace, input srcSpace as System.Drawing.Drawing2D.CoordinateSpace, input pts as System.Drawing.PointF extent):
   end method.

   method public final void TransformPoints(input destSpace as System.Drawing.Drawing2D.CoordinateSpace, input srcSpace as System.Drawing.Drawing2D.CoordinateSpace, input pts as System.Drawing.Point extent):
   end method.

   method public final System.Drawing.Color GetNearestColor(input color as System.Drawing.Color):
   end method.

   method public final void DrawLine(input pen as System.Drawing.Pen, input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal):
   end method.

   method public final void DrawLine(input pen as System.Drawing.Pen, input pt1 as System.Drawing.PointF, input pt2 as System.Drawing.PointF):
   end method.

   method public final void DrawLines(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent):
   end method.

   method public final void DrawLine(input pen as System.Drawing.Pen, input x1 as integer, input y1 as integer, input x2 as integer, input y2 as integer):
   end method.

   method public final void DrawLine(input pen as System.Drawing.Pen, input pt1 as System.Drawing.Point, input pt2 as System.Drawing.Point):
   end method.

   method public final void DrawLines(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent):
   end method.

   method public final void DrawArc(input pen as System.Drawing.Pen, input x as decimal, input y as decimal, input width as decimal, input height as decimal, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawArc(input pen as System.Drawing.Pen, input rect as System.Drawing.RectangleF, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawArc(input pen as System.Drawing.Pen, input x as integer, input y as integer, input width as integer, input height as integer, input startAngle as integer, input sweepAngle as integer):
   end method.

   method public final void DrawArc(input pen as System.Drawing.Pen, input rect as System.Drawing.Rectangle, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawBezier(input pen as System.Drawing.Pen, input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal, input x3 as decimal, input y3 as decimal, input x4 as decimal, input y4 as decimal):
   end method.

   method public final void DrawBezier(input pen as System.Drawing.Pen, input pt1 as System.Drawing.PointF, input pt2 as System.Drawing.PointF, input pt3 as System.Drawing.PointF, input pt4 as System.Drawing.PointF):
   end method.

   method public final void DrawBeziers(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent):
   end method.

   method public final void DrawBezier(input pen as System.Drawing.Pen, input pt1 as System.Drawing.Point, input pt2 as System.Drawing.Point, input pt3 as System.Drawing.Point, input pt4 as System.Drawing.Point):
   end method.

   method public final void DrawBeziers(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent):
   end method.

   method public final void DrawRectangle(input pen as System.Drawing.Pen, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawRectangle(input pen as System.Drawing.Pen, input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void DrawRectangle(input pen as System.Drawing.Pen, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void DrawRectangles(input pen as System.Drawing.Pen, input rects as System.Drawing.RectangleF extent):
   end method.

   method public final void DrawRectangles(input pen as System.Drawing.Pen, input rects as System.Drawing.Rectangle extent):
   end method.

   method public final void DrawEllipse(input pen as System.Drawing.Pen, input rect as System.Drawing.RectangleF):
   end method.

   method public final void DrawEllipse(input pen as System.Drawing.Pen, input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void DrawEllipse(input pen as System.Drawing.Pen, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawEllipse(input pen as System.Drawing.Pen, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void DrawPie(input pen as System.Drawing.Pen, input rect as System.Drawing.RectangleF, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawPie(input pen as System.Drawing.Pen, input x as decimal, input y as decimal, input width as decimal, input height as decimal, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawPie(input pen as System.Drawing.Pen, input rect as System.Drawing.Rectangle, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void DrawPie(input pen as System.Drawing.Pen, input x as integer, input y as integer, input width as integer, input height as integer, input startAngle as integer, input sweepAngle as integer):
   end method.

   method public final void DrawPolygon(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent):
   end method.

   method public final void DrawPolygon(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent):
   end method.

   method public final void DrawPath(input pen as System.Drawing.Pen, input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent, input tension as decimal):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent, input offset as integer, input numberOfSegments as integer):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent, input offset as integer, input numberOfSegments as integer, input tension as decimal):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent, input tension as decimal):
   end method.

   method public final void DrawCurve(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent, input offset as integer, input numberOfSegments as integer, input tension as decimal):
   end method.

   method public final void DrawClosedCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent):
   end method.

   method public final void DrawClosedCurve(input pen as System.Drawing.Pen, input points as System.Drawing.PointF extent, input tension as decimal, input fillmode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void DrawClosedCurve(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent):
   end method.

   method public final void DrawClosedCurve(input pen as System.Drawing.Pen, input points as System.Drawing.Point extent, input tension as decimal, input fillmode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void Clear(input color as System.Drawing.Color):
   end method.

   method public final void FillRectangle(input brush as System.Drawing.Brush, input rect as System.Drawing.RectangleF):
   end method.

   method public final void FillRectangle(input brush as System.Drawing.Brush, input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void FillRectangle(input brush as System.Drawing.Brush, input rect as System.Drawing.Rectangle):
   end method.

   method public final void FillRectangle(input brush as System.Drawing.Brush, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void FillRectangles(input brush as System.Drawing.Brush, input rects as System.Drawing.RectangleF extent):
   end method.

   method public final void FillRectangles(input brush as System.Drawing.Brush, input rects as System.Drawing.Rectangle extent):
   end method.

   method public final void FillPolygon(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent):
   end method.

   method public final void FillPolygon(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent, input fillMode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void FillPolygon(input brush as System.Drawing.Brush, input points as System.Drawing.Point extent):
   end method.

   method public final void FillPolygon(input brush as System.Drawing.Brush, input points as System.Drawing.Point extent, input fillMode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void FillEllipse(input brush as System.Drawing.Brush, input rect as System.Drawing.RectangleF):
   end method.

   method public final void FillEllipse(input brush as System.Drawing.Brush, input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void FillEllipse(input brush as System.Drawing.Brush, input rect as System.Drawing.Rectangle):
   end method.

   method public final void FillEllipse(input brush as System.Drawing.Brush, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void FillPie(input brush as System.Drawing.Brush, input rect as System.Drawing.Rectangle, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void FillPie(input brush as System.Drawing.Brush, input x as decimal, input y as decimal, input width as decimal, input height as decimal, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void FillPie(input brush as System.Drawing.Brush, input x as integer, input y as integer, input width as integer, input height as integer, input startAngle as integer, input sweepAngle as integer):
   end method.

   method public final void FillPath(input brush as System.Drawing.Brush, input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent, input fillmode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent, input fillmode as System.Drawing.Drawing2D.FillMode, input tension as decimal):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.Point extent):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.Point extent, input fillmode as System.Drawing.Drawing2D.FillMode):
   end method.

   method public final void FillClosedCurve(input brush as System.Drawing.Brush, input points as System.Drawing.Point extent, input fillmode as System.Drawing.Drawing2D.FillMode, input tension as decimal):
   end method.

   method public final void FillRegion(input brush as System.Drawing.Brush, input region as System.Drawing.Region):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input x as decimal, input y as decimal):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input point as System.Drawing.PointF):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input x as decimal, input y as decimal, input format as System.Drawing.StringFormat):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input point as System.Drawing.PointF, input format as System.Drawing.StringFormat):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input layoutRectangle as System.Drawing.RectangleF):
   end method.

   method public final void DrawString(input s as character, input font as System.Drawing.Font, input brush as System.Drawing.Brush, input layoutRectangle as System.Drawing.RectangleF, input format as System.Drawing.StringFormat):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input layoutArea as System.Drawing.SizeF, input stringFormat as System.Drawing.StringFormat, input charactersFitted as integer, input linesFilled as integer):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input origin as System.Drawing.PointF, input stringFormat as System.Drawing.StringFormat):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input layoutArea as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input layoutArea as System.Drawing.SizeF, input stringFormat as System.Drawing.StringFormat):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input width as integer):
   end method.

   method public final System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input width as integer, input format as System.Drawing.StringFormat):
   end method.

   method public final System.Drawing.Region extent MeasureCharacterRanges(input text as character, input font as System.Drawing.Font, input layoutRect as System.Drawing.RectangleF, input stringFormat as System.Drawing.StringFormat):
   end method.

   method public final void DrawIcon(input icon as System.Drawing.Icon, input x as integer, input y as integer):
   end method.

   method public final void DrawIcon(input icon as System.Drawing.Icon, input targetRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawIconUnstretched(input icon as System.Drawing.Icon, input targetRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input point as System.Drawing.PointF):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as decimal, input y as decimal):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input rect as System.Drawing.RectangleF):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input point as System.Drawing.Point):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as integer, input y as integer):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void DrawImageUnscaled(input image as System.Drawing.Image, input point as System.Drawing.Point):
   end method.

   method public final void DrawImageUnscaled(input image as System.Drawing.Image, input x as integer, input y as integer):
   end method.

   method public final void DrawImageUnscaled(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawImageUnscaled(input image as System.Drawing.Image, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void DrawImageUnscaledAndClipped(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.PointF extent):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.Point extent):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as decimal, input y as decimal, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input x as integer, input y as integer, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.RectangleF, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort, input callbackData as integer):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort, input callbackData as integer):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as decimal, input srcY as decimal, input srcWidth as decimal, input srcHeight as decimal, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as decimal, input srcY as decimal, input srcWidth as decimal, input srcHeight as decimal, input srcUnit as System.Drawing.GraphicsUnit, input imageAttrs as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as decimal, input srcY as decimal, input srcWidth as decimal, input srcHeight as decimal, input srcUnit as System.Drawing.GraphicsUnit, input imageAttrs as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as decimal, input srcY as decimal, input srcWidth as decimal, input srcHeight as decimal, input srcUnit as System.Drawing.GraphicsUnit, input imageAttrs as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort, input callbackData as System.IntPtr):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as integer, input srcY as integer, input srcWidth as integer, input srcHeight as integer, input srcUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as integer, input srcY as integer, input srcWidth as integer, input srcHeight as integer, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as integer, input srcY as integer, input srcWidth as integer, input srcHeight as integer, input srcUnit as System.Drawing.GraphicsUnit, input imageAttr as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcX as integer, input srcY as integer, input srcWidth as integer, input srcHeight as integer, input srcUnit as System.Drawing.GraphicsUnit, input imageAttrs as System.Drawing.Imaging.ImageAttributes, input callback as System.Drawing.Graphics+DrawImageAbort, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.PointF, input srcRect as System.Drawing.RectangleF, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoint as System.Drawing.Point, input srcRect as System.Drawing.Rectangle, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.RectangleF, input srcRect as System.Drawing.RectangleF, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destRect as System.Drawing.Rectangle, input srcRect as System.Drawing.Rectangle, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input srcUnit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr):
   end method.

   method public final void EnumerateMetafile(input metafile as System.Drawing.Imaging.Metafile, input destPoints as System.Drawing.Point extent, input srcRect as System.Drawing.Rectangle, input unit as System.Drawing.GraphicsUnit, input callback as System.Drawing.Graphics+EnumerateMetafileProc, input callbackData as System.IntPtr, input imageAttr as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void SetClip(input g as System.Drawing.Graphics):
   end method.

   method public final void SetClip(input g as System.Drawing.Graphics, input combineMode as System.Drawing.Drawing2D.CombineMode):
   end method.

   method public final void SetClip(input rect as System.Drawing.Rectangle):
   end method.

   method public final void SetClip(input rect as System.Drawing.Rectangle, input combineMode as System.Drawing.Drawing2D.CombineMode):
   end method.

   method public final void SetClip(input rect as System.Drawing.RectangleF):
   end method.

   method public final void SetClip(input rect as System.Drawing.RectangleF, input combineMode as System.Drawing.Drawing2D.CombineMode):
   end method.

   method public final void SetClip(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void SetClip(input path as System.Drawing.Drawing2D.GraphicsPath, input combineMode as System.Drawing.Drawing2D.CombineMode):
   end method.

   method public final void SetClip(input region as System.Drawing.Region, input combineMode as System.Drawing.Drawing2D.CombineMode):
   end method.

   method public final void IntersectClip(input rect as System.Drawing.Rectangle):
   end method.

   method public final void IntersectClip(input rect as System.Drawing.RectangleF):
   end method.

   method public final void IntersectClip(input region as System.Drawing.Region):
   end method.

   method public final void ExcludeClip(input rect as System.Drawing.Rectangle):
   end method.

   method public final void ExcludeClip(input region as System.Drawing.Region):
   end method.

   method public final void ResetClip():
   end method.

   method public final void TranslateClip(input dx as decimal, input dy as decimal):
   end method.

   method public final void TranslateClip(input dx as integer, input dy as integer):
   end method.

   method public final System.Object GetContextInfo():
   end method.

   method public final logical IsVisible(input x as integer, input y as integer):
   end method.

   method public final logical IsVisible(input point as System.Drawing.Point):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal):
   end method.

   method public final logical IsVisible(input point as System.Drawing.PointF):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.Rectangle):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.RectangleF):
   end method.

   method public final System.Drawing.Drawing2D.GraphicsState Save():
   end method.

   method public final void Restore(input gstate as System.Drawing.Drawing2D.GraphicsState):
   end method.

   method public final System.Drawing.Drawing2D.GraphicsContainer BeginContainer(input dstrect as System.Drawing.RectangleF, input srcrect as System.Drawing.RectangleF, input unit as System.Drawing.GraphicsUnit):
   end method.

   method public final System.Drawing.Drawing2D.GraphicsContainer BeginContainer():
   end method.

   method public final void EndContainer(input container as System.Drawing.Drawing2D.GraphicsContainer):
   end method.

   method public final System.Drawing.Drawing2D.GraphicsContainer BeginContainer(input dstrect as System.Drawing.Rectangle, input srcrect as System.Drawing.Rectangle, input unit as System.Drawing.GraphicsUnit):
   end method.

   method public final void AddMetafileComment(input data as System.Byte extent):
   end method.

   method public final static System.IntPtr GetHalftonePalette():
   end method.

end class.
