class System.Drawing.Point
   inherits System.ValueType
   final:

   def public static variable Empty as System.Drawing.Point.

   def public property IsEmpty as logical
      get.

   def public property X as integer
      get.
      set.

   def public property Y as integer
      get.
      set.

   constructor public Point(input x as integer, input y as integer):
   end constructor.

   constructor public Point(input sz as System.Drawing.Size):
   end constructor.

   constructor public Point(input dw as integer):
   end constructor.

   method public final static System.Drawing.Point Add(input pt as System.Drawing.Point, input sz as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Point Subtract(input pt as System.Drawing.Point, input sz as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Point Ceiling(input value as System.Drawing.PointF):
   end method.

   method public final static System.Drawing.Point Truncate(input value as System.Drawing.PointF):
   end method.

   method public final static System.Drawing.Point Round(input value as System.Drawing.PointF):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final void Offset(input dx as integer, input dy as integer):
   end method.

   method public final void Offset(input p as System.Drawing.Point):
   end method.

   method public override character ToString():
   end method.

end class.
