class System.Environment
   inherits System.Object
   abstract:

   def public static property TickCount as integer
      get.

   def public static property ExitCode as integer
      get.
      set.

   def public static property CommandLine as character
      get.

   def public static property CurrentDirectory as character
      get.
      set.

   def public static property SystemDirectory as character
      get.

   def public static property MachineName as character
      get.

   def public static property ProcessorCount as integer
      get.

   def public static property SystemPageSize as integer
      get.

   def public static property NewLine as character
      get.

   def public static property Version as System.Version
      get.

   def public static property WorkingSet as int64
      get.

   def public static property OSVersion as System.OperatingSystem
      get.

   def public static property StackTrace as character
      get.

   def public static property Is64BitProcess as logical
      get.

   def public static property Is64BitOperatingSystem as logical
      get.

   def public static property HasShutdownStarted as logical
      get.

   def public static property UserName as character
      get.

   def public static property UserInteractive as logical
      get.

   def public static property UserDomainName as character
      get.

   def public static property CurrentManagedThreadId as integer
      get.

   method public final static void Exit(input exitCode as integer):
   end method.

   method public final static void FailFast(input message as character):
   end method.

   method public final static void FailFast(input message as character, input exception as System.Exception):
   end method.

   method public final static character ExpandEnvironmentVariables(input name as character):
   end method.

   method public final static System.String extent GetCommandLineArgs():
   end method.

   method public final static character GetEnvironmentVariable(input variable as character):
   end method.

   method public final static character GetEnvironmentVariable(input variable as character, input target as System.EnvironmentVariableTarget):
   end method.

   method public final static System.Collections.IDictionary GetEnvironmentVariables():
   end method.

   method public final static System.Collections.IDictionary GetEnvironmentVariables(input target as System.EnvironmentVariableTarget):
   end method.

   method public final static void SetEnvironmentVariable(input variable as character, input value as character):
   end method.

   method public final static void SetEnvironmentVariable(input variable as character, input value as character, input target as System.EnvironmentVariableTarget):
   end method.

   method public final static System.String extent GetLogicalDrives():
   end method.

   method public final static character GetFolderPath(input folder as System.Environment+SpecialFolder):
   end method.

   method public final static character GetFolderPath(input folder as System.Environment+SpecialFolder, input option as System.Environment+SpecialFolderOption):
   end method.

end class.
