class System.IO.DirectoryInfo
   inherits System.IO.FileSystemInfo
   implements System.Runtime.Serialization.ISerializable
   final:

   def public override property Name as character
      get.

   def public property Parent as System.IO.DirectoryInfo
      get.

   def public override property Exists as logical
      get.

   def public property Root as System.IO.DirectoryInfo
      get.

   constructor public DirectoryInfo(input path as character):
   end constructor.

   method public final System.IO.DirectoryInfo CreateSubdirectory(input path as character):
   end method.

   method public final System.IO.DirectoryInfo CreateSubdirectory(input path as character, input directorySecurity as System.Security.AccessControl.DirectorySecurity):
   end method.

   method public final void Create():
   end method.

   method public final void Create(input directorySecurity as System.Security.AccessControl.DirectorySecurity):
   end method.

   method public final System.Security.AccessControl.DirectorySecurity GetAccessControl():
   end method.

   method public final System.Security.AccessControl.DirectorySecurity GetAccessControl(input includeSections as System.Security.AccessControl.AccessControlSections):
   end method.

   method public final void SetAccessControl(input directorySecurity as System.Security.AccessControl.DirectorySecurity):
   end method.

   method public final System.IO.FileInfo extent GetFiles(input searchPattern as character):
   end method.

   method public final System.IO.FileInfo extent GetFiles(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final System.IO.FileInfo extent GetFiles():
   end method.

   method public final System.IO.DirectoryInfo extent GetDirectories():
   end method.

   method public final System.IO.FileSystemInfo extent GetFileSystemInfos(input searchPattern as character):
   end method.

   method public final System.IO.FileSystemInfo extent GetFileSystemInfos(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final System.IO.FileSystemInfo extent GetFileSystemInfos():
   end method.

   method public final System.IO.DirectoryInfo extent GetDirectories(input searchPattern as character):
   end method.

   method public final System.IO.DirectoryInfo extent GetDirectories(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateDirectories():
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateDirectories(input searchPattern as character):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateDirectories(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFiles():
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFiles(input searchPattern as character):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFiles(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFileSystemInfos():
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFileSystemInfos(input searchPattern as character):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumerateFileSystemInfos(input searchPattern as character, input searchOption as System.IO.SearchOption):
   end method.

   method public final void MoveTo(input destDirName as character):
   end method.

   method public override void Delete():
   end method.

   method public final void Delete(input recursive as logical):
   end method.

   method public override character ToString():
   end method.

end class.
