class System.IO.File
   inherits System.Object
   abstract:

   method public final static System.IO.StreamReader OpenText(input path as character):
   end method.

   method public final static System.IO.StreamWriter CreateText(input path as character):
   end method.

   method public final static System.IO.StreamWriter AppendText(input path as character):
   end method.

   method public final static void Copy(input sourceFileName as character, input destFileName as character):
   end method.

   method public final static void Copy(input sourceFileName as character, input destFileName as character, input overwrite as logical):
   end method.

   method public final static System.IO.FileStream Create(input path as character):
   end method.

   method public final static System.IO.FileStream Create(input path as character, input bufferSize as integer):
   end method.

   method public final static System.IO.FileStream Create(input path as character, input bufferSize as integer, input options as System.IO.FileOptions):
   end method.

   method public final static System.IO.FileStream Create(input path as character, input bufferSize as integer, input options as System.IO.FileOptions, input fileSecurity as System.Security.AccessControl.FileSecurity):
   end method.

   method public final static void Delete(input path as character):
   end method.

   method public final static void Decrypt(input path as character):
   end method.

   method public final static void Encrypt(input path as character):
   end method.

   method public final static logical Exists(input path as character):
   end method.

   method public final static System.IO.FileStream Open(input path as character, input mode as System.IO.FileMode):
   end method.

   method public final static System.IO.FileStream Open(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess):
   end method.

   method public final static System.IO.FileStream Open(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare):
   end method.

   method public final static void SetCreationTime(input path as character, input creationTime as datetime):
   end method.

   method public final static void SetCreationTimeUtc(input path as character, input creationTimeUtc as datetime):
   end method.

   method public final static datetime GetCreationTime(input path as character):
   end method.

   method public final static datetime GetCreationTimeUtc(input path as character):
   end method.

   method public final static void SetLastAccessTime(input path as character, input lastAccessTime as datetime):
   end method.

   method public final static void SetLastAccessTimeUtc(input path as character, input lastAccessTimeUtc as datetime):
   end method.

   method public final static datetime GetLastAccessTime(input path as character):
   end method.

   method public final static datetime GetLastAccessTimeUtc(input path as character):
   end method.

   method public final static void SetLastWriteTime(input path as character, input lastWriteTime as datetime):
   end method.

   method public final static void SetLastWriteTimeUtc(input path as character, input lastWriteTimeUtc as datetime):
   end method.

   method public final static datetime GetLastWriteTime(input path as character):
   end method.

   method public final static datetime GetLastWriteTimeUtc(input path as character):
   end method.

   method public final static System.IO.FileAttributes GetAttributes(input path as character):
   end method.

   method public final static void SetAttributes(input path as character, input fileAttributes as System.IO.FileAttributes):
   end method.

   method public final static System.Security.AccessControl.FileSecurity GetAccessControl(input path as character):
   end method.

   method public final static System.Security.AccessControl.FileSecurity GetAccessControl(input path as character, input includeSections as System.Security.AccessControl.AccessControlSections):
   end method.

   method public final static void SetAccessControl(input path as character, input fileSecurity as System.Security.AccessControl.FileSecurity):
   end method.

   method public final static System.IO.FileStream OpenRead(input path as character):
   end method.

   method public final static System.IO.FileStream OpenWrite(input path as character):
   end method.

   method public final static character ReadAllText(input path as character):
   end method.

   method public final static character ReadAllText(input path as character, input encoding as System.Text.Encoding):
   end method.

   method public final static void WriteAllText(input path as character, input contents as character):
   end method.

   method public final static void WriteAllText(input path as character, input contents as character, input encoding as System.Text.Encoding):
   end method.

   method public final static System.Byte extent ReadAllBytes(input path as character):
   end method.

   method public final static void WriteAllBytes(input path as character, input bytes as System.Byte extent):
   end method.

   method public final static System.String extent ReadAllLines(input path as character):
   end method.

   method public final static System.String extent ReadAllLines(input path as character, input encoding as System.Text.Encoding):
   end method.

   method public final static System.Collections.Generic.IEnumerable ReadLines(input path as character):
   end method.

   method public final static System.Collections.Generic.IEnumerable ReadLines(input path as character, input encoding as System.Text.Encoding):
   end method.

   method public final static void WriteAllLines(input path as character, input contents as System.String extent):
   end method.

   method public final static void WriteAllLines(input path as character, input contents as System.String extent, input encoding as System.Text.Encoding):
   end method.

   method public final static void WriteAllLines(input path as character, input contents as System.Collections.Generic.IEnumerable):
   end method.

   method public final static void WriteAllLines(input path as character, input contents as System.Collections.Generic.IEnumerable, input encoding as System.Text.Encoding):
   end method.

   method public final static void AppendAllText(input path as character, input contents as character):
   end method.

   method public final static void AppendAllText(input path as character, input contents as character, input encoding as System.Text.Encoding):
   end method.

   method public final static void AppendAllLines(input path as character, input contents as System.Collections.Generic.IEnumerable):
   end method.

   method public final static void AppendAllLines(input path as character, input contents as System.Collections.Generic.IEnumerable, input encoding as System.Text.Encoding):
   end method.

   method public final static void Move(input sourceFileName as character, input destFileName as character):
   end method.

   method public final static void Replace(input sourceFileName as character, input destinationFileName as character, input destinationBackupFileName as character):
   end method.

   method public final static void Replace(input sourceFileName as character, input destinationFileName as character, input destinationBackupFileName as character, input ignoreMetadataErrors as logical):
   end method.

end class.
