class System.IO.FileInfo
   inherits System.IO.FileSystemInfo
   implements System.Runtime.Serialization.ISerializable
   final:

   def public override property Name as character
      get.

   def public property Length as int64
      get.

   def public property DirectoryName as character
      get.

   def public property Directory as System.IO.DirectoryInfo
      get.

   def public property IsReadOnly as logical
      get.
      set.

   def public override property Exists as logical
      get.

   constructor public FileInfo(input fileName as character):
   end constructor.

   method public final System.Security.AccessControl.FileSecurity GetAccessControl():
   end method.

   method public final System.Security.AccessControl.FileSecurity GetAccessControl(input includeSections as System.Security.AccessControl.AccessControlSections):
   end method.

   method public final void SetAccessControl(input fileSecurity as System.Security.AccessControl.FileSecurity):
   end method.

   method public final System.IO.StreamReader OpenText():
   end method.

   method public final System.IO.StreamWriter CreateText():
   end method.

   method public final System.IO.StreamWriter AppendText():
   end method.

   method public final System.IO.FileInfo CopyTo(input destFileName as character):
   end method.

   method public final System.IO.FileInfo CopyTo(input destFileName as character, input overwrite as logical):
   end method.

   method public final System.IO.FileStream Create():
   end method.

   method public override void Delete():
   end method.

   method public final void Decrypt():
   end method.

   method public final void Encrypt():
   end method.

   method public final System.IO.FileStream Open(input mode as System.IO.FileMode):
   end method.

   method public final System.IO.FileStream Open(input mode as System.IO.FileMode, input access as System.IO.FileAccess):
   end method.

   method public final System.IO.FileStream Open(input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare):
   end method.

   method public final System.IO.FileStream OpenRead():
   end method.

   method public final System.IO.FileStream OpenWrite():
   end method.

   method public final void MoveTo(input destFileName as character):
   end method.

   method public final System.IO.FileInfo Replace(input destinationFileName as character, input destinationBackupFileName as character):
   end method.

   method public final System.IO.FileInfo Replace(input destinationFileName as character, input destinationBackupFileName as character, input ignoreMetadataErrors as logical):
   end method.

   method public override character ToString():
   end method.

end class.
