class System.IO.Stream
   inherits System.MarshalByRefObject
   implements System.IDisposable
   abstract:

   def public static variable Null as System.IO.Stream.

   def public abstract property CanRead as logical
      get.

   def public abstract property CanSeek as logical
      get.

   def public property CanTimeout as logical
      get.

   def public abstract property CanWrite as logical
      get.

   def public abstract property Length as int64
      get.

   def public abstract property Position as int64
      get.
      set.

   def public property ReadTimeout as integer
      get.
      set.

   def public property WriteTimeout as integer
      get.
      set.

   constructor protected Stream():
   end constructor.

   method public final System.Threading.Tasks.Task CopyToAsync(input destination as System.IO.Stream):
   end method.

   method public final System.Threading.Tasks.Task CopyToAsync(input destination as System.IO.Stream, input bufferSize as integer):
   end method.

   method public System.Threading.Tasks.Task CopyToAsync(input destination as System.IO.Stream, input bufferSize as integer, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final void CopyTo(input destination as System.IO.Stream):
   end method.

   method public final void CopyTo(input destination as System.IO.Stream, input bufferSize as integer):
   end method.

   method public void Close():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public abstract void Flush().

   method public final System.Threading.Tasks.Task FlushAsync():
   end method.

   method public System.Threading.Tasks.Task FlushAsync(input cancellationToken as System.Threading.CancellationToken):
   end method.

   method protected System.Threading.WaitHandle CreateWaitHandle():
   end method.

   method public System.IAsyncResult BeginRead(input buffer as System.Byte extent, input offset as integer, input count as integer, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public integer EndRead(input asyncResult as System.IAsyncResult):
   end method.

   method public final System.Threading.Tasks.Task ReadAsync(input buffer as System.Byte extent, input offset as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task ReadAsync(input buffer as System.Byte extent, input offset as integer, input count as integer, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public System.IAsyncResult BeginWrite(input buffer as System.Byte extent, input offset as integer, input count as integer, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public void EndWrite(input asyncResult as System.IAsyncResult):
   end method.

   method public final System.Threading.Tasks.Task WriteAsync(input buffer as System.Byte extent, input offset as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task WriteAsync(input buffer as System.Byte extent, input offset as integer, input count as integer, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public abstract int64 Seek(input offset as int64, input origin as System.IO.SeekOrigin).

   method public abstract void SetLength(input value as int64).

   method public abstract integer Read(input buffer as System.Byte extent, input offset as integer, input count as integer).

   method public integer ReadByte():
   end method.

   method public abstract void Write(input buffer as System.Byte extent, input offset as integer, input count as integer).

   method public void WriteByte(input value as integer):
   end method.

   method public final static System.IO.Stream Synchronized(input stream as System.IO.Stream):
   end method.

   method protected void ObjectInvariant():
   end method.

end class.
