class System.Net.CookieContainer
   inherits System.Object:

   def public static variable DefaultCookieLimit as integer.

   def public static variable DefaultPerDomainCookieLimit as integer.

   def public static variable DefaultCookieLengthLimit as integer.

   def public property Capacity as integer
      get.
      set.

   def public property Count as integer
      get.

   def public property MaxCookieSize as integer
      get.
      set.

   def public property PerDomainCapacity as integer
      get.
      set.

   constructor public CookieContainer():
   end constructor.

   constructor public CookieContainer(input capacity as integer):
   end constructor.

   constructor public CookieContainer(input capacity as integer, input perDomainCapacity as integer, input maxCookieSize as integer):
   end constructor.

   method public final void Add(input cookie as System.Net.Cookie):
   end method.

   method public final void Add(input cookies as System.Net.CookieCollection):
   end method.

   method public final void Add(input uri as System.Uri, input cookie as System.Net.Cookie):
   end method.

   method public final void Add(input uri as System.Uri, input cookies as System.Net.CookieCollection):
   end method.

   method public final System.Net.CookieCollection GetCookies(input uri as System.Uri):
   end method.

   method public final character GetCookieHeader(input uri as System.Uri):
   end method.

   method public final void SetCookies(input uri as System.Uri, input cookieHeader as character):
   end method.

end class.
