class System.Net.HttpWebResponse
   inherits System.Net.WebResponse
   implements System.Runtime.Serialization.ISerializable, System.IDisposable:

   def public override property IsMutuallyAuthenticated as logical
      get.

   def public property Cookies as System.Net.CookieCollection
      get.
      set.

   def public override property Headers as System.Net.WebHeaderCollection
      get.

   def public override property SupportsHeaders as logical
      get.

   def public override property ContentLength as int64
      get.

   def public property ContentEncoding as character
      get.

   def public override property ContentType as character
      get.

   def public property CharacterSet as character
      get.

   def public property Server as character
      get.

   def public property LastModified as datetime
      get.

   def public property StatusCode as System.Net.HttpStatusCode
      get.

   def public property StatusDescription as character
      get.

   def public property ProtocolVersion as System.Version
      get.

   def public override property ResponseUri as System.Uri
      get.

   def public property Method as character
      get.

   constructor public HttpWebResponse():
   end constructor.

   constructor protected HttpWebResponse(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override System.IO.Stream GetResponseStream():
   end method.

   method public override void Close():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void GetObjectData(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final character GetResponseHeader(input headerName as character):
   end method.

end class.
