class System.Net.Mail.Attachment
   inherits System.Net.Mail.AttachmentBase
   implements System.IDisposable:

   def public property Name as character
      get.
      set.

   def public property NameEncoding as System.Text.Encoding
      get.
      set.

   def public property ContentDisposition as System.Net.Mime.ContentDisposition
      get.

   constructor public Attachment(input fileName as character):
   end constructor.

   constructor public Attachment(input fileName as character, input mediaType as character):
   end constructor.

   constructor public Attachment(input fileName as character, input contentType as System.Net.Mime.ContentType):
   end constructor.

   constructor public Attachment(input contentStream as System.IO.Stream, input name as character):
   end constructor.

   constructor public Attachment(input contentStream as System.IO.Stream, input name as character, input mediaType as character):
   end constructor.

   constructor public Attachment(input contentStream as System.IO.Stream, input contentType as System.Net.Mime.ContentType):
   end constructor.

   method public final static System.Net.Mail.Attachment CreateAttachmentFromString(input content as character, input name as character):
   end method.

   method public final static System.Net.Mail.Attachment CreateAttachmentFromString(input content as character, input name as character, input contentEncoding as System.Text.Encoding, input mediaType as character):
   end method.

   method public final static System.Net.Mail.Attachment CreateAttachmentFromString(input content as character, input contentType as System.Net.Mime.ContentType):
   end method.

end class.
