class System.Net.Mail.MailMessage
   inherits System.Object
   implements System.IDisposable:

   def public property From as System.Net.Mail.MailAddress
      get.
      set.

   def public property Sender as System.Net.Mail.MailAddress
      get.
      set.

   def public property ReplyTo as System.Net.Mail.MailAddress
      get.
      set.

   def public property ReplyToList as System.Net.Mail.MailAddressCollection
      get.

   def public property To as System.Net.Mail.MailAddressCollection
      get.

   def public property Bcc as System.Net.Mail.MailAddressCollection
      get.

   def public property CC as System.Net.Mail.MailAddressCollection
      get.

   def public property Priority as System.Net.Mail.MailPriority
      get.
      set.

   def public property DeliveryNotificationOptions as System.Net.Mail.DeliveryNotificationOptions
      get.
      set.

   def public property Subject as character
      get.
      set.

   def public property SubjectEncoding as System.Text.Encoding
      get.
      set.

   def public property Headers as System.Collections.Specialized.NameValueCollection
      get.

   def public property HeadersEncoding as System.Text.Encoding
      get.
      set.

   def public property Body as character
      get.
      set.

   def public property BodyEncoding as System.Text.Encoding
      get.
      set.

   def public property BodyTransferEncoding as System.Net.Mime.TransferEncoding
      get.
      set.

   def public property IsBodyHtml as logical
      get.
      set.

   def public property Attachments as System.Net.Mail.AttachmentCollection
      get.

   def public property AlternateViews as System.Net.Mail.AlternateViewCollection
      get.

   constructor public MailMessage():
   end constructor.

   constructor public MailMessage(input from as character, input to as character):
   end constructor.

   constructor public MailMessage(input from as character, input to as character, input subject as character, input body as character):
   end constructor.

   constructor public MailMessage(input from as System.Net.Mail.MailAddress, input to as System.Net.Mail.MailAddress):
   end constructor.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

end class.
