class System.Security.Policy.Evidence
   inherits System.Object
   implements System.Collections.ICollection, System.Collections.IEnumerable
   final:

   def public property Locked as logical
      get.
      set.

   def public property Count as integer
      get.

   def public property SyncRoot as System.Object
      get.

   def public property IsSynchronized as logical
      get.

   def public property IsReadOnly as logical
      get.

   constructor public Evidence():
   end constructor.

   constructor public Evidence(input evidence as System.Security.Policy.Evidence):
   end constructor.

   constructor public Evidence(input hostEvidence as System.Object extent, input assemblyEvidence as System.Object extent):
   end constructor.

   constructor public Evidence(input hostEvidence as System.Security.Policy.EvidenceBase extent, input assemblyEvidence as System.Security.Policy.EvidenceBase extent):
   end constructor.

   method public final void AddHost(input id as System.Object):
   end method.

   method public final void AddAssembly(input id as System.Object):
   end method.

   method public final void Merge(input evidence as System.Security.Policy.Evidence):
   end method.

   method public final void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final System.Collections.IEnumerator GetHostEnumerator():
   end method.

   method public final System.Collections.IEnumerator GetAssemblyEnumerator():
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public final override System.Security.Policy.Evidence Clone():
   end method.

   method public final void Clear():
   end method.

   method public final void RemoveType(input t as System.Type):
   end method.

end class.
