class System.ServiceModel.Channels.MessageHeaders
   inherits System.Object
   implements System.Collections.Generic.IEnumerable, System.Collections.IEnumerable
   final:

   def public property Action as character
      get.
      set.

   def public property Count as integer
      get.

   def public property FaultTo as System.ServiceModel.EndpointAddress
      get.
      set.

   def public property From as System.ServiceModel.EndpointAddress
      get.
      set.

   def public property MessageId as System.Xml.UniqueId
      get.
      set.

   def public property MessageVersion as System.ServiceModel.Channels.MessageVersion
      get.

   def public property RelatesTo as System.Xml.UniqueId
      get.
      set.

   def public property ReplyTo as System.ServiceModel.EndpointAddress
      get.
      set.

   def public property To as System.Uri
      get.
      set.

   def public property UnderstoodHeaders as System.ServiceModel.Channels.UnderstoodHeaders
      get.

   def public property Item as System.ServiceModel.Channels.MessageHeaderInfo
      get.

   constructor public MessageHeaders(input version as System.ServiceModel.Channels.MessageVersion, input initialSize as integer):
   end constructor.

   constructor public MessageHeaders(input version as System.ServiceModel.Channels.MessageVersion):
   end constructor.

   constructor public MessageHeaders(input collection as System.ServiceModel.Channels.MessageHeaders):
   end constructor.

   method public final void Add(input header as System.ServiceModel.Channels.MessageHeader):
   end method.

   method public final void Clear():
   end method.

   method public final void CopyHeaderFrom(input message as System.ServiceModel.Channels.Message, input headerIndex as integer):
   end method.

   method public final void CopyHeaderFrom(input collection as System.ServiceModel.Channels.MessageHeaders, input headerIndex as integer):
   end method.

   method public final void CopyHeadersFrom(input message as System.ServiceModel.Channels.Message):
   end method.

   method public final void CopyHeadersFrom(input collection as System.ServiceModel.Channels.MessageHeaders):
   end method.

   method public final void CopyTo(input array as System.ServiceModel.Channels.MessageHeaderInfo extent, input index as integer):
   end method.

   method public final integer FindHeader(input name as character, input ns as character):
   end method.

   method public final integer FindHeader(input name as character, input ns as character, input actors as System.String extent):
   end method.

   method public final System.Collections.Generic.IEnumerator GetEnumerator():
   end method.

   method public final System.Xml.XmlDictionaryReader GetReaderAtHeader(input headerIndex as integer):
   end method.

   method public final logical HaveMandatoryHeadersBeenUnderstood():
   end method.

   method public final logical HaveMandatoryHeadersBeenUnderstood(input actors as System.String extent):
   end method.

   method public final void Insert(input headerIndex as integer, input header as System.ServiceModel.Channels.MessageHeader):
   end method.

   method public final void RemoveAll(input name as character, input ns as character):
   end method.

   method public final void RemoveAt(input headerIndex as integer):
   end method.

   method public final void SetAction(input action as System.Xml.XmlDictionaryString):
   end method.

   method public final void WriteHeader(input headerIndex as integer, input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteHeader(input headerIndex as integer, input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteStartHeader(input headerIndex as integer, input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteStartHeader(input headerIndex as integer, input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteHeaderContents(input headerIndex as integer, input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteHeaderContents(input headerIndex as integer, input writer as System.Xml.XmlDictionaryWriter):
   end method.

end class.
