class System.ServiceModel.EndpointAddress
   inherits System.Object:

   def public static property AnonymousUri as System.Uri
      get.

   def public static property NoneUri as System.Uri
      get.

   def public property Headers as System.ServiceModel.Channels.AddressHeaderCollection
      get.

   def public property Identity as System.ServiceModel.EndpointIdentity
      get.

   def public property IsAnonymous as logical
      get.

   def public property IsNone as logical
      get.

   def public property Uri as System.Uri
      get.

   constructor public EndpointAddress(input uri as character):
   end constructor.

   constructor public EndpointAddress(input uri as System.Uri, input addressHeaders as System.ServiceModel.Channels.AddressHeader extent):
   end constructor.

   constructor public EndpointAddress(input uri as System.Uri, input identity as System.ServiceModel.EndpointIdentity, input addressHeaders as System.ServiceModel.Channels.AddressHeader extent):
   end constructor.

   constructor public EndpointAddress(input uri as System.Uri, input identity as System.ServiceModel.EndpointIdentity, input headers as System.ServiceModel.Channels.AddressHeaderCollection):
   end constructor.

   constructor public EndpointAddress(input uri as System.Uri, input identity as System.ServiceModel.EndpointIdentity, input headers as System.ServiceModel.Channels.AddressHeaderCollection, input metadataReader as System.Xml.XmlDictionaryReader, input extensionReader as System.Xml.XmlDictionaryReader):
   end constructor.

   method public final void ApplyTo(input message as System.ServiceModel.Channels.Message):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final System.Xml.XmlDictionaryReader GetReaderAtMetadata():
   end method.

   method public final System.Xml.XmlDictionaryReader GetReaderAtExtensions():
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input reader as System.Xml.XmlDictionaryReader):
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input reader as System.Xml.XmlDictionaryReader, input localName as System.Xml.XmlDictionaryString, input ns as System.Xml.XmlDictionaryString):
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input reader as System.Xml.XmlReader):
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input reader as System.Xml.XmlReader, input localName as character, input ns as character):
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input reader as System.Xml.XmlDictionaryReader):
   end method.

   method public final static System.ServiceModel.EndpointAddress ReadFrom(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input reader as System.Xml.XmlDictionaryReader, input localName as System.Xml.XmlDictionaryString, input ns as System.Xml.XmlDictionaryString):
   end method.

   method public override character ToString():
   end method.

   method public final void WriteContentsTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteContentsTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlDictionaryWriter, input localName as System.Xml.XmlDictionaryString, input ns as System.Xml.XmlDictionaryString):
   end method.

   method public final void WriteTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteTo(input addressingVersion as System.ServiceModel.Channels.AddressingVersion, input writer as System.Xml.XmlWriter, input localName as character, input ns as character):
   end method.

end class.
