class System.Threading.Tasks.TaskScheduler
   inherits System.Object
   abstract:

   def public property MaximumConcurrencyLevel as integer
      get.

   def public static property Default as System.Threading.Tasks.TaskScheduler
      get.

   def public static property Current as System.Threading.Tasks.TaskScheduler
      get.

   def public property Id as integer
      get.

   def public static event UnobservedTaskException signature void (input sender as System.Object, input e as System.Threading.Tasks.UnobservedTaskExceptionEventArgs).

   constructor protected TaskScheduler():
   end constructor.

   method protected abstract void QueueTask(input task as System.Threading.Tasks.Task).

   method protected abstract logical TryExecuteTaskInline(input task as System.Threading.Tasks.Task, input taskWasPreviouslyQueued as logical).

   method protected abstract System.Collections.Generic.IEnumerable GetScheduledTasks().

   method protected logical TryDequeue(input task as System.Threading.Tasks.Task):
   end method.

   method public final static System.Threading.Tasks.TaskScheduler FromCurrentSynchronizationContext():
   end method.

   method protected final logical TryExecuteTask(input task as System.Threading.Tasks.Task):
   end method.

end class.
