class System.Type
   inherits System.Reflection.MemberInfo
   implements System.Reflection.ICustomAttributeProvider, System.Runtime.InteropServices._MemberInfo, System.Runtime.InteropServices._Type, System.Reflection.IReflect
   abstract:

   def public static variable FilterAttribute as System.Reflection.MemberFilter.

   def public static variable FilterName as System.Reflection.MemberFilter.

   def public static variable FilterNameIgnoreCase as System.Reflection.MemberFilter.

   def public static variable Missing as System.Object.

   def public static variable Delimiter as character.

   def public static variable EmptyTypes as System.Type extent.

   def public override property MemberType as System.Reflection.MemberTypes
      get.

   def public override property DeclaringType as System.Type
      get.

   def public property DeclaringMethod as System.Reflection.MethodBase
      get.

   def public override property ReflectedType as System.Type
      get.

   def public property StructLayoutAttribute as System.Runtime.InteropServices.StructLayoutAttribute
      get.

   def public abstract property GUID as System.Guid
      get.

   def public static property DefaultBinder as System.Reflection.Binder
      get.

   def public abstract property Module as System.Reflection.Module
      get.

   def public abstract property Assembly as System.Reflection.Assembly
      get.

   def public property TypeHandle as System.RuntimeTypeHandle
      get.

   def public abstract property FullName as character
      get.

   def public abstract property Namespace as character
      get.

   def public abstract property AssemblyQualifiedName as character
      get.

   def public abstract property BaseType as System.Type
      get.

   def public property TypeInitializer as System.Reflection.ConstructorInfo
      get.

   def public property IsNested as logical
      get.

   def public property Attributes as System.Reflection.TypeAttributes
      get.

   def public property GenericParameterAttributes as System.Reflection.GenericParameterAttributes
      get.

   def public property IsVisible as logical
      get.

   def public property IsNotPublic as logical
      get.

   def public property IsPublic as logical
      get.

   def public property IsNestedPublic as logical
      get.

   def public property IsNestedPrivate as logical
      get.

   def public property IsNestedFamily as logical
      get.

   def public property IsNestedAssembly as logical
      get.

   def public property IsNestedFamANDAssem as logical
      get.

   def public property IsNestedFamORAssem as logical
      get.

   def public property IsAutoLayout as logical
      get.

   def public property IsLayoutSequential as logical
      get.

   def public property IsExplicitLayout as logical
      get.

   def public property IsClass as logical
      get.

   def public property IsInterface as logical
      get.

   def public property IsValueType as logical
      get.

   def public property IsAbstract as logical
      get.

   def public property IsSealed as logical
      get.

   def public property IsEnum as logical
      get.

   def public property IsSpecialName as logical
      get.

   def public property IsImport as logical
      get.

   def public property IsSerializable as logical
      get.

   def public property IsAnsiClass as logical
      get.

   def public property IsUnicodeClass as logical
      get.

   def public property IsAutoClass as logical
      get.

   def public property IsArray as logical
      get.

   def public property IsGenericType as logical
      get.

   def public property IsGenericTypeDefinition as logical
      get.

   def public property IsConstructedGenericType as logical
      get.

   def public property IsGenericParameter as logical
      get.

   def public property GenericParameterPosition as integer
      get.

   def public property ContainsGenericParameters as logical
      get.

   def public property IsByRef as logical
      get.

   def public property IsPointer as logical
      get.

   def public property IsPrimitive as logical
      get.

   def public property IsCOMObject as logical
      get.

   def public property HasElementType as logical
      get.

   def public property IsContextful as logical
      get.

   def public property IsMarshalByRef as logical
      get.

   def public property GenericTypeArguments as System.Type extent
      get.

   def public property IsSecurityCritical as logical
      get.

   def public property IsSecuritySafeCritical as logical
      get.

   def public property IsSecurityTransparent as logical
      get.

   def public abstract property UnderlyingSystemType as System.Type
      get.

   constructor protected Type():
   end constructor.

   method public final static System.Type GetType(input typeName as character, input throwOnError as logical, input ignoreCase as logical):
   end method.

   method public final static System.Type GetType(input typeName as character, input throwOnError as logical):
   end method.

   method public final static System.Type GetType(input typeName as character):
   end method.

   method public final static System.Type GetType(input typeName as character, input assemblyResolver as System.Func, input typeResolver as System.Func):
   end method.

   method public final static System.Type GetType(input typeName as character, input assemblyResolver as System.Func, input typeResolver as System.Func, input throwOnError as logical):
   end method.

   method public final static System.Type GetType(input typeName as character, input assemblyResolver as System.Func, input typeResolver as System.Func, input throwOnError as logical, input ignoreCase as logical):
   end method.

   method public final static System.Type ReflectionOnlyGetType(input typeName as character, input throwIfNotFound as logical, input ignoreCase as logical):
   end method.

   method public System.Type MakePointerType():
   end method.

   method public System.Type MakeByRefType():
   end method.

   method public System.Type MakeArrayType():
   end method.

   method public System.Type MakeArrayType(input rank as integer):
   end method.

   method public final static System.Type GetTypeFromProgID(input progID as character):
   end method.

   method public final static System.Type GetTypeFromProgID(input progID as character, input throwOnError as logical):
   end method.

   method public final static System.Type GetTypeFromProgID(input progID as character, input server as character):
   end method.

   method public final static System.Type GetTypeFromProgID(input progID as character, input server as character, input throwOnError as logical):
   end method.

   method public final static System.Type GetTypeFromCLSID(input clsid as System.Guid):
   end method.

   method public final static System.Type GetTypeFromCLSID(input clsid as System.Guid, input throwOnError as logical):
   end method.

   method public final static System.Type GetTypeFromCLSID(input clsid as System.Guid, input server as character):
   end method.

   method public final static System.Type GetTypeFromCLSID(input clsid as System.Guid, input server as character, input throwOnError as logical):
   end method.

   method public final static System.TypeCode GetTypeCode(input type as System.Type):
   end method.

   method protected System.TypeCode GetTypeCodeImpl():
   end method.

   method public abstract System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent, input modifiers as System.Reflection.ParameterModifier extent, input culture as System.Globalization.CultureInfo, input namedParameters as System.String extent).

   method public final System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent, input culture as System.Globalization.CultureInfo):
   end method.

   method public final System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent):
   end method.

   method public final static System.RuntimeTypeHandle GetTypeHandle(input o as System.Object):
   end method.

   method public final static System.Type GetTypeFromHandle(input handle as System.RuntimeTypeHandle):
   end method.

   method public integer GetArrayRank():
   end method.

   method public final System.Reflection.ConstructorInfo GetConstructor(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.ConstructorInfo GetConstructor(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.ConstructorInfo GetConstructor(input types as System.Type extent):
   end method.

   method protected abstract System.Reflection.ConstructorInfo GetConstructorImpl(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public final System.Reflection.ConstructorInfo extent GetConstructors():
   end method.

   method public abstract System.Reflection.ConstructorInfo extent GetConstructors(input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input types as System.Type extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character):
   end method.

   method protected abstract System.Reflection.MethodInfo GetMethodImpl(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public final System.Reflection.MethodInfo extent GetMethods():
   end method.

   method public abstract System.Reflection.MethodInfo extent GetMethods(input bindingAttr as System.Reflection.BindingFlags).

   method public abstract System.Reflection.FieldInfo GetField(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Reflection.FieldInfo GetField(input name as character):
   end method.

   method public final System.Reflection.FieldInfo extent GetFields():
   end method.

   method public abstract System.Reflection.FieldInfo extent GetFields(input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Type GetInterface(input name as character):
   end method.

   method public abstract System.Type GetInterface(input name as character, input ignoreCase as logical).

   method public abstract System.Type extent GetInterfaces().

   method public System.Type extent FindInterfaces(input filter as System.Reflection.TypeFilter, input filterCriteria as System.Object):
   end method.

   method public final System.Reflection.EventInfo GetEvent(input name as character):
   end method.

   method public abstract System.Reflection.EventInfo GetEvent(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.EventInfo extent GetEvents():
   end method.

   method public abstract System.Reflection.EventInfo extent GetEvents(input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type, input types as System.Type extent):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input types as System.Type extent):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type):
   end method.

   method public final System.Reflection.PropertyInfo GetProperty(input name as character):
   end method.

   method protected abstract System.Reflection.PropertyInfo GetPropertyImpl(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public abstract System.Reflection.PropertyInfo extent GetProperties(input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Reflection.PropertyInfo extent GetProperties():
   end method.

   method public final System.Type extent GetNestedTypes():
   end method.

   method public abstract System.Type extent GetNestedTypes(input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Type GetNestedType(input name as character):
   end method.

   method public abstract System.Type GetNestedType(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public final System.Reflection.MemberInfo extent GetMember(input name as character):
   end method.

   method public System.Reflection.MemberInfo extent GetMember(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public System.Reflection.MemberInfo extent GetMember(input name as character, input type as System.Reflection.MemberTypes, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.MemberInfo extent GetMembers():
   end method.

   method public abstract System.Reflection.MemberInfo extent GetMembers(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MemberInfo extent GetDefaultMembers():
   end method.

   method public System.Reflection.MemberInfo extent FindMembers(input memberType as System.Reflection.MemberTypes, input bindingAttr as System.Reflection.BindingFlags, input filter as System.Reflection.MemberFilter, input filterCriteria as System.Object):
   end method.

   method public System.Type extent GetGenericParameterConstraints():
   end method.

   method protected logical IsValueTypeImpl():
   end method.

   method protected abstract System.Reflection.TypeAttributes GetAttributeFlagsImpl().

   method protected abstract logical IsArrayImpl().

   method protected abstract logical IsByRefImpl().

   method protected abstract logical IsPointerImpl().

   method protected abstract logical IsPrimitiveImpl().

   method protected abstract logical IsCOMObjectImpl().

   method public System.Type MakeGenericType(input typeArguments as System.Type extent):
   end method.

   method protected logical IsContextfulImpl():
   end method.

   method protected logical IsMarshalByRefImpl():
   end method.

   method public abstract System.Type GetElementType().

   method public System.Type extent GetGenericArguments():
   end method.

   method public System.Type GetGenericTypeDefinition():
   end method.

   method protected abstract logical HasElementTypeImpl().

   method public System.String extent GetEnumNames():
   end method.

   method public System.Array GetEnumValues():
   end method.

   method public System.Type GetEnumUnderlyingType():
   end method.

   method public logical IsEnumDefined(input value as System.Object):
   end method.

   method public character GetEnumName(input value as System.Object):
   end method.

   method public logical IsSubclassOf(input c as System.Type):
   end method.

   method public logical IsInstanceOfType(input o as System.Object):
   end method.

   method public logical IsAssignableFrom(input c as System.Type):
   end method.

   method public logical IsEquivalentTo(input other as System.Type):
   end method.

   method public override character ToString():
   end method.

   method public final static System.Type extent GetTypeArray(input args as System.Object extent):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public logical Equals(input o as System.Type):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public System.Reflection.InterfaceMapping GetInterfaceMap(input interfaceType as System.Type):
   end method.

   method public final override System.Type GetType():
   end method.

end class.
