class System.Windows.Forms.Application
   inherits System.Object
   final:

   def public static property AllowQuit as logical
      get.

   def public static property CommonAppDataRegistry as Microsoft.Win32.RegistryKey
      get.

   def public static property CommonAppDataPath as character
      get.

   def public static property CompanyName as character
      get.

   def public static property CurrentCulture as System.Globalization.CultureInfo
      get.
      set.

   def public static property CurrentInputLanguage as System.Windows.Forms.InputLanguage
      get.
      set.

   def public static property ExecutablePath as character
      get.

   def public static property LocalUserAppDataPath as character
      get.

   def public static property MessageLoop as logical
      get.

   def public static property OpenForms as System.Windows.Forms.FormCollection
      get.

   def public static property ProductName as character
      get.

   def public static property ProductVersion as character
      get.

   def public static property RenderWithVisualStyles as logical
      get.

   def public static property SafeTopLevelCaptionFormat as character
      get.
      set.

   def public static property StartupPath as character
      get.

   def public static property UseWaitCursor as logical
      get.
      set.

   def public static property UserAppDataPath as character
      get.

   def public static property UserAppDataRegistry as Microsoft.Win32.RegistryKey
      get.

   def public static property VisualStyleState as System.Windows.Forms.VisualStyles.VisualStyleState
      get.
      set.

   def public static event ApplicationExit signature void (input sender as System.Object, input e as System.EventArgs).

   def public static event Idle signature void (input sender as System.Object, input e as System.EventArgs).

   def public static event EnterThreadModal signature void (input sender as System.Object, input e as System.EventArgs).

   def public static event LeaveThreadModal signature void (input sender as System.Object, input e as System.EventArgs).

   def public static event ThreadException signature void (input sender as System.Object, input e as System.Threading.ThreadExceptionEventArgs).

   def public static event ThreadExit signature void (input sender as System.Object, input e as System.EventArgs).

   method public final static void RegisterMessageLoop(input callback as System.Windows.Forms.Application+MessageLoopCallback):
   end method.

   method public final static void UnregisterMessageLoop():
   end method.

   method public final static void AddMessageFilter(input value as System.Windows.Forms.IMessageFilter):
   end method.

   method public final static logical FilterMessage(input message as System.Windows.Forms.Message):
   end method.

   method public final static void DoEvents():
   end method.

   method public final static void EnableVisualStyles():
   end method.

   method public final static void Exit():
   end method.

   method public final static void Exit(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method public final static void ExitThread():
   end method.

   method public final static System.Threading.ApartmentState OleRequired():
   end method.

   method public final static void OnThreadException(input t as System.Exception):
   end method.

   method public final static void RaiseIdle(input e as System.EventArgs):
   end method.

   method public final static void RemoveMessageFilter(input value as System.Windows.Forms.IMessageFilter):
   end method.

   method public final static void Restart():
   end method.

   method public final static void Run():
   end method.

   method public final static void Run(input mainForm as System.Windows.Forms.Form):
   end method.

   method public final static void Run(input context as System.Windows.Forms.ApplicationContext):
   end method.

   method public final static void SetCompatibleTextRenderingDefault(input defaultValue as logical):
   end method.

   method public final static logical SetSuspendState(input state as System.Windows.Forms.PowerState, input force as logical, input disableWakeEvent as logical):
   end method.

   method public final static void SetUnhandledExceptionMode(input mode as System.Windows.Forms.UnhandledExceptionMode):
   end method.

   method public final static void SetUnhandledExceptionMode(input mode as System.Windows.Forms.UnhandledExceptionMode, input threadScope as logical):
   end method.

end class.
