class System.Windows.Forms.BindingManagerBase
   inherits System.Object
   abstract:

   def protected variable onCurrentChangedHandler as System.EventHandler.

   def protected variable onPositionChangedHandler as System.EventHandler.

   def public property Bindings as System.Windows.Forms.BindingsCollection
      get.

   def public abstract property Current as System.Object
      get.

   def public abstract property Position as integer
      get.
      set.

   def public property IsBindingSuspended as logical
      get.

   def public abstract property Count as integer
      get.

   def public event BindingComplete signature void (input sender as System.Object, input e as System.Windows.Forms.BindingCompleteEventArgs).

   def public event CurrentChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CurrentItemChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DataError signature void (input sender as System.Object, input e as System.Windows.Forms.BindingManagerDataErrorEventArgs).

   def public event PositionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public BindingManagerBase():
   end constructor.

   method protected final void OnBindingComplete(input args as System.Windows.Forms.BindingCompleteEventArgs):
   end method.

   method protected abstract void OnCurrentChanged(input e as System.EventArgs).

   method protected abstract void OnCurrentItemChanged(input e as System.EventArgs).

   method protected final void OnDataError(input e as System.Exception):
   end method.

   method public System.ComponentModel.PropertyDescriptorCollection GetItemProperties():
   end method.

   method protected System.ComponentModel.PropertyDescriptorCollection GetItemProperties(input dataSources as System.Collections.ArrayList, input listAccessors as System.Collections.ArrayList):
   end method.

   method protected System.ComponentModel.PropertyDescriptorCollection GetItemProperties(input listType as System.Type, input offset as integer, input dataSources as System.Collections.ArrayList, input listAccessors as System.Collections.ArrayList):
   end method.

   method public abstract void CancelCurrentEdit().

   method public abstract void EndCurrentEdit().

   method public abstract void AddNew().

   method public abstract void RemoveAt(input index as integer).

   method protected abstract void UpdateIsBinding().

   method protected abstract character GetListName(input listAccessors as System.Collections.ArrayList).

   method public abstract void SuspendBinding().

   method public abstract void ResumeBinding().

   method protected final void PullData():
   end method.

   method protected final void PushData():
   end method.

end class.
