class System.Windows.Forms.BindingNavigator
   inherits System.Windows.Forms.ToolStrip
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.ISupportToolStripPanel, System.ComponentModel.ISupportInitialize:

   def public property BindingSource as System.Windows.Forms.BindingSource
      get.
      set.

   def public property MoveFirstItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property MovePreviousItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property MoveNextItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property MoveLastItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property AddNewItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property DeleteItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property PositionItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property CountItem as System.Windows.Forms.ToolStripItem
      get.
      set.

   def public property CountItemFormat as character
      get.
      set.

   def public event RefreshItems signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public BindingNavigator():
   end constructor.

   constructor public BindingNavigator(input bindingSource as System.Windows.Forms.BindingSource):
   end constructor.

   constructor public BindingNavigator(input container as System.ComponentModel.IContainer):
   end constructor.

   constructor public BindingNavigator(input addStandardItems as logical):
   end constructor.

   method public final void BeginInit():
   end method.

   method public final void EndInit():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public void AddStandardItems():
   end method.

   method protected void RefreshItemsCore():
   end method.

   method protected void OnRefreshItems():
   end method.

   method public final logical Validate():
   end method.

end class.
