class System.Windows.Forms.ButtonBase
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent
   abstract:

   def public property AutoEllipsis as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultImeMode as System.Windows.Forms.ImeMode
      get.

   def protected property IsDefault as logical
      get.
      set.

   def public property FlatStyle as System.Windows.Forms.FlatStyle
      get.
      set.

   def public property FlatAppearance as System.Windows.Forms.FlatButtonAppearance
      get.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TextAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public property UseMnemonic as logical
      get.
      set.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public property UseVisualStyleBackColor as logical
      get.
      set.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected ButtonBase():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnMouseEnter(input eventargs as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input eventargs as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input mevent as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input mevent as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input mevent as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected final void ResetFlagsandPaint():
   end method.

   method public override System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input kevent as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyUp(input kevent as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnPaint(input pevent as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
