class System.Windows.Forms.ComboBox
   inherits System.Windows.Forms.ListControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property AutoCompleteMode as System.Windows.Forms.AutoCompleteMode
      get.
      set.

   def public property AutoCompleteSource as System.Windows.Forms.AutoCompleteSource
      get.
      set.

   def public property AutoCompleteCustomSource as System.Windows.Forms.AutoCompleteStringCollection
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property DataSource as System.Object
      get.
      set.

   def public property DrawMode as System.Windows.Forms.DrawMode
      get.
      set.

   def public property DropDownWidth as integer
      get.
      set.

   def public property DropDownHeight as integer
      get.
      set.

   def public property DroppedDown as logical
      get.
      set.

   def public property FlatStyle as System.Windows.Forms.FlatStyle
      get.
      set.

   def public override property Focused as logical
      get.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property IntegralHeight as logical
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property Items as System.Windows.Forms.ComboBox+ObjectCollection
      get.

   def public property MaxDropDownItems as integer
      get.
      set.

   def public override property MaximumSize as System.Drawing.Size
      get.
      set.

   def public override property MinimumSize as System.Drawing.Size
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property PreferredHeight as integer
      get.

   def public override property SelectedIndex as integer
      get.
      set.

   def public property SelectedItem as System.Object
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property Sorted as logical
      get.
      set.

   def public property DropDownStyle as System.Windows.Forms.ComboBoxStyle
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DrawItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawItemEventArgs).

   def public event DropDown signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MeasureItem signature void (input sender as System.Object, input e as System.Windows.Forms.MeasureItemEventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectionChangeCommitted signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event TextUpdate signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownClosed signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ComboBox():
   end constructor.

   method protected void AddItemsCore(input value as System.Object extent):
   end method.

   method public final void BeginUpdate():
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void EndUpdate():
   end method.

   method public final integer FindString(input s as character):
   end method.

   method public final integer FindString(input s as character, input startIndex as integer):
   end method.

   method public final integer FindStringExact(input s as character):
   end method.

   method public final integer FindStringExact(input s as character, input startIndex as integer):
   end method.

   method protected override void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public final integer GetItemHeight(input index as integer):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void CreateHandle():
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnDrawItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method protected void OnDropDown(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnMeasureItem(input e as System.Windows.Forms.MeasureItemEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected void OnSelectionChangeCommitted(input e as System.EventArgs):
   end method.

   method protected override void OnSelectedIndexChanged(input e as System.EventArgs):
   end method.

   method protected override void OnSelectedValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnSelectedItemChanged(input e as System.EventArgs):
   end method.

   method protected void OnDropDownStyleChanged(input e as System.EventArgs):
   end method.

   method protected override void OnParentBackColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected override void OnDataSourceChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDisplayMemberChanged(input e as System.EventArgs):
   end method.

   method protected void OnDropDownClosed(input e as System.EventArgs):
   end method.

   method protected void OnTextUpdate(input e as System.EventArgs):
   end method.

   method protected override logical ProcessKeyEventArgs(input m as System.Windows.Forms.Message):
   end method.

   method protected override void RefreshItems():
   end method.

   method protected override void RefreshItem(input index as integer):
   end method.

   method public override void ResetText():
   end method.

   method public final void Select(input start as integer, input length as integer):
   end method.

   method public final void SelectAll():
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void SetItemsCore(input value as System.Collections.IList):
   end method.

   method protected override void SetItemCore(input index as integer, input value as System.Object):
   end method.

   method public override character ToString():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
