class System.Windows.Forms.Control
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property AccessibleDefaultActionDescription as character
      get.
      set.

   def public property AccessibleDescription as character
      get.
      set.

   def public property AccessibleName as character
      get.
      set.

   def public property AccessibleRole as System.Windows.Forms.AccessibleRole
      get.
      set.

   def public property AllowDrop as logical
      get.
      set.

   def public property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   def public property AutoSize as logical
      get.
      set.

   def public property AutoScrollOffset as System.Drawing.Point
      get.
      set.

   def public property LayoutEngine as System.Windows.Forms.Layout.LayoutEngine
      get.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def public property Bottom as integer
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.
      set.

   def public property CanFocus as logical
      get.

   def protected override property CanRaiseEvents as logical
      get.

   def public property CanSelect as logical
      get.

   def public property Capture as logical
      get.
      set.

   def public property CausesValidation as logical
      get.
      set.

   def public static property CheckForIllegalCrossThreadCalls as logical
      get.
      set.

   def public property ClientRectangle as System.Drawing.Rectangle
      get.

   def public property ClientSize as System.Drawing.Size
      get.
      set.

   def public property CompanyName as character
      get.

   def public property ContainsFocus as logical
      get.

   def public property ContextMenu as System.Windows.Forms.ContextMenu
      get.
      set.

   def public property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def public property Created as logical
      get.

   def protected property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property DataBindings as System.Windows.Forms.ControlBindingsCollection
      get.

   def public static property DefaultBackColor as System.Drawing.Color
      get.

   def protected property DefaultCursor as System.Windows.Forms.Cursor
      get.

   def public static property DefaultFont as System.Drawing.Font
      get.

   def public static property DefaultForeColor as System.Drawing.Color
      get.

   def protected property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected property DefaultMaximumSize as System.Drawing.Size
      get.

   def protected property DefaultMinimumSize as System.Drawing.Size
      get.

   def protected property DefaultPadding as System.Windows.Forms.Padding
      get.

   def protected property DefaultSize as System.Drawing.Size
      get.

   def public property DisplayRectangle as System.Drawing.Rectangle
      get.

   def public property IsDisposed as logical
      get.

   def public property Disposing as logical
      get.

   def public property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def protected property DoubleBuffered as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property Focused as logical
      get.

   def public property Font as System.Drawing.Font
      get.
      set.

   def protected property FontHeight as integer
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Handle as System.IntPtr
      get.

   def public property HasChildren as logical
      get.

   def public property Height as integer
      get.
      set.

   def public property IsHandleCreated as logical
      get.

   def public property InvokeRequired as logical
      get.

   def public property IsAccessible as logical
      get.
      set.

   def public property IsMirrored as logical
      get.

   def public property Left as integer
      get.
      set.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property Margin as System.Windows.Forms.Padding
      get.
      set.

   def public property MaximumSize as System.Drawing.Size
      get.
      set.

   def public property MinimumSize as System.Drawing.Size
      get.
      set.

   def public static property ModifierKeys as System.Windows.Forms.Keys
      get.

   def public static property MouseButtons as System.Windows.Forms.MouseButtons
      get.

   def public static property MousePosition as System.Drawing.Point
      get.

   def public property Name as character
      get.
      set.

   def public property Parent as System.Windows.Forms.Control
      get.
      set.

   def public property ProductName as character
      get.

   def public property ProductVersion as character
      get.

   def public property RecreatingHandle as logical
      get.

   def public property Region as System.Drawing.Region
      get.
      set.

   def protected property RenderRightToLeft as logical
      get.

   def protected property ResizeRedraw as logical
      get.
      set.

   def public property Right as integer
      get.

   def public property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def protected property ScaleChildren as logical
      get.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property TabIndex as integer
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Top as integer
      get.
      set.

   def public property TopLevelControl as System.Windows.Forms.Control
      get.

   def protected property ShowKeyboardCues as logical
      get.

   def protected property ShowFocusCues as logical
      get.

   def public property UseWaitCursor as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public property WindowTarget as System.Windows.Forms.IWindowTarget
      get.
      set.

   def public property PreferredSize as System.Drawing.Size
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def protected property CanEnableIme as logical
      get.

   def protected property DefaultImeMode as System.Windows.Forms.ImeMode
      get.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def protected property ImeModeBase as System.Windows.Forms.ImeMode
      get.
      set.

   def protected static property PropagatingImeMode as System.Windows.Forms.ImeMode
      get.

   def public event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BindingContextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CausesValidationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ClientSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ContextMenuChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ContextMenuStripChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CursorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DockChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event EnabledChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FontChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LocationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MarginChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event RegionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event RightToLeftChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event VisibleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ControlAdded signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public event ControlRemoved signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public event DragDrop signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragEnter signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragOver signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GiveFeedback signature void (input sender as System.Object, input e as System.Windows.Forms.GiveFeedbackEventArgs).

   def public event HandleCreated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event HandleDestroyed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event HelpRequested signature void (input sender as System.Object, input hlpevent as System.Windows.Forms.HelpEventArgs).

   def public event Invalidated signature void (input sender as System.Object, input e as System.Windows.Forms.InvalidateEventArgs).

   def public event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event QueryContinueDrag signature void (input sender as System.Object, input e as System.Windows.Forms.QueryContinueDragEventArgs).

   def public event QueryAccessibilityHelp signature void (input sender as System.Object, input e as System.Windows.Forms.QueryAccessibilityHelpEventArgs).

   def public event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Enter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GotFocus signature void (input sender as System.Object, input e as System.EventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event Layout signature void (input sender as System.Object, input e as System.Windows.Forms.LayoutEventArgs).

   def public event Leave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LostFocus signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseDoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseCaptureChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseEnter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseHover signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseWheel signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event Move signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PreviewKeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.PreviewKeyDownEventArgs).

   def public event Resize signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ChangeUICues signature void (input sender as System.Object, input e as System.Windows.Forms.UICuesEventArgs).

   def public event StyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SystemColorsChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ParentChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public Control():
   end constructor.

   constructor public Control(input text as character):
   end constructor.

   constructor public Control(input text as character, input left as integer, input top as integer, input width as integer, input height as integer):
   end constructor.

   constructor public Control(input parent as System.Windows.Forms.Control, input text as character):
   end constructor.

   constructor public Control(input parent as System.Windows.Forms.Control, input text as character, input left as integer, input top as integer, input width as integer, input height as integer):
   end constructor.

   method protected System.Windows.Forms.AccessibleObject GetAccessibilityObjectById(input objectId as integer):
   end method.

   method protected final void SetAutoSizeMode(input mode as System.Windows.Forms.AutoSizeMode):
   end method.

   method protected final System.Windows.Forms.AutoSizeMode GetAutoSizeMode():
   end method.

   method public final void ResetBindings():
   end method.

   method public System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size):
   end method.

   method protected final void AccessibilityNotifyClients(input accEvent as System.Windows.Forms.AccessibleEvents, input childID as integer):
   end method.

   method protected final void AccessibilityNotifyClients(input accEvent as System.Windows.Forms.AccessibleEvents, input objectID as integer, input childID as integer):
   end method.

   method public final System.IAsyncResult BeginInvoke(input method as System.Delegate):
   end method.

   method public final System.IAsyncResult BeginInvoke(input method as System.Delegate, input args as System.Object extent):
   end method.

   method public final void BringToFront():
   end method.

   method public final logical Contains(input ctl as System.Windows.Forms.Control):
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

   method public final System.Drawing.Graphics CreateGraphics():
   end method.

   method protected void CreateHandle():
   end method.

   method public final void CreateControl():
   end method.

   method protected void DefWndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected final void DestroyHandle():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final System.Windows.Forms.DragDropEffects DoDragDrop(input data as System.Object, input allowedEffects as System.Windows.Forms.DragDropEffects):
   end method.

   method public final void DrawToBitmap(input bitmap as System.Drawing.Bitmap, input targetBounds as System.Drawing.Rectangle):
   end method.

   method public final System.Object EndInvoke(input asyncResult as System.IAsyncResult):
   end method.

   method public final System.Windows.Forms.Form FindForm():
   end method.

   method protected final logical GetTopLevel():
   end method.

   method protected final void RaiseKeyEvent(input key as System.Object, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void RaiseMouseEvent(input key as System.Object, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final logical Focus():
   end method.

   method public final static System.Windows.Forms.Control FromChildHandle(input handle as System.IntPtr):
   end method.

   method public final static System.Windows.Forms.Control FromHandle(input handle as System.IntPtr):
   end method.

   method public final System.Windows.Forms.Control GetChildAtPoint(input pt as System.Drawing.Point, input skipValue as System.Windows.Forms.GetChildAtPointSkip):
   end method.

   method public final System.Windows.Forms.Control GetChildAtPoint(input pt as System.Drawing.Point):
   end method.

   method public final System.Windows.Forms.IContainerControl GetContainerControl():
   end method.

   method protected System.Drawing.Rectangle GetScaledBounds(input bounds as System.Drawing.Rectangle, input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public final System.Windows.Forms.Control GetNextControl(input ctl as System.Windows.Forms.Control, input forward as logical):
   end method.

   method protected final logical GetStyle(input flag as System.Windows.Forms.ControlStyles):
   end method.

   method public final void Hide():
   end method.

   method protected void InitLayout():
   end method.

   method public final void Invalidate(input region as System.Drawing.Region):
   end method.

   method public final void Invalidate(input region as System.Drawing.Region, input invalidateChildren as logical):
   end method.

   method public final void Invalidate():
   end method.

   method public final void Invalidate(input invalidateChildren as logical):
   end method.

   method public final void Invalidate(input rc as System.Drawing.Rectangle):
   end method.

   method public final void Invalidate(input rc as System.Drawing.Rectangle, input invalidateChildren as logical):
   end method.

   method public final System.Object Invoke(input method as System.Delegate):
   end method.

   method public final System.Object Invoke(input method as System.Delegate, input args as System.Object extent):
   end method.

   method protected final void InvokePaint(input c as System.Windows.Forms.Control, input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected final void InvokePaintBackground(input c as System.Windows.Forms.Control, input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method public final static logical IsKeyLocked(input keyVal as System.Windows.Forms.Keys):
   end method.

   method protected logical IsInputChar(input charCode as character):
   end method.

   method protected logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method public final static logical IsMnemonic(input charCode as character, input text as character):
   end method.

   method protected void NotifyInvalidate(input invalidatedArea as System.Drawing.Rectangle):
   end method.

   method protected final void InvokeOnClick(input toInvoke as System.Windows.Forms.Control, input e as System.EventArgs):
   end method.

   method protected void OnAutoSizeChanged(input e as System.EventArgs):
   end method.

   method protected void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnBackgroundImageChanged(input e as System.EventArgs):
   end method.

   method protected void OnBackgroundImageLayoutChanged(input e as System.EventArgs):
   end method.

   method protected void OnBindingContextChanged(input e as System.EventArgs):
   end method.

   method protected void OnCausesValidationChanged(input e as System.EventArgs):
   end method.

   method protected void OnContextMenuChanged(input e as System.EventArgs):
   end method.

   method protected void OnContextMenuStripChanged(input e as System.EventArgs):
   end method.

   method protected void OnCursorChanged(input e as System.EventArgs):
   end method.

   method protected void OnDockChanged(input e as System.EventArgs):
   end method.

   method protected void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnNotifyMessage(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnParentBackColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentBackgroundImageChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentBindingContextChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentCursorChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentEnabledChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentFontChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentForeColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentVisibleChanged(input e as System.EventArgs):
   end method.

   method protected void OnPrint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected void OnTabIndexChanged(input e as System.EventArgs):
   end method.

   method protected void OnTabStopChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnClientSizeChanged(input e as System.EventArgs):
   end method.

   method protected void OnControlAdded(input e as System.Windows.Forms.ControlEventArgs):
   end method.

   method protected void OnControlRemoved(input e as System.Windows.Forms.ControlEventArgs):
   end method.

   method protected void OnCreateControl():
   end method.

   method protected void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected void OnDragEnter(input drgevent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnDragOver(input drgevent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnDragLeave(input e as System.EventArgs):
   end method.

   method protected void OnDragDrop(input drgevent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnGiveFeedback(input gfbevent as System.Windows.Forms.GiveFeedbackEventArgs):
   end method.

   method protected void OnEnter(input e as System.EventArgs):
   end method.

   method protected final void InvokeGotFocus(input toInvoke as System.Windows.Forms.Control, input e as System.EventArgs):
   end method.

   method protected void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected void OnHelpRequested(input hevent as System.Windows.Forms.HelpEventArgs):
   end method.

   method protected void OnInvalidated(input e as System.Windows.Forms.InvalidateEventArgs):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected void OnLeave(input e as System.EventArgs):
   end method.

   method protected final void InvokeLostFocus(input toInvoke as System.Windows.Forms.Control, input e as System.EventArgs):
   end method.

   method protected void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected void OnMarginChanged(input e as System.EventArgs):
   end method.

   method protected void OnMouseDoubleClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMove(input e as System.EventArgs):
   end method.

   method protected void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected void OnPaintBackground(input pevent as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected void OnQueryContinueDrag(input qcdevent as System.Windows.Forms.QueryContinueDragEventArgs):
   end method.

   method protected void OnRegionChanged(input e as System.EventArgs):
   end method.

   method protected void OnResize(input e as System.EventArgs):
   end method.

   method protected void OnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method protected void OnSizeChanged(input e as System.EventArgs):
   end method.

   method protected void OnChangeUICues(input e as System.Windows.Forms.UICuesEventArgs):
   end method.

   method protected void OnStyleChanged(input e as System.EventArgs):
   end method.

   method protected void OnSystemColorsChanged(input e as System.EventArgs):
   end method.

   method protected void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnValidated(input e as System.EventArgs):
   end method.

   method public final void PerformLayout():
   end method.

   method public final void PerformLayout(input affectedControl as System.Windows.Forms.Control, input affectedProperty as character):
   end method.

   method public final System.Drawing.Point PointToClient(input p as System.Drawing.Point):
   end method.

   method public final System.Drawing.Point PointToScreen(input p as System.Drawing.Point):
   end method.

   method public logical PreProcessMessage(input msg as System.Windows.Forms.Message):
   end method.

   method public final System.Windows.Forms.PreProcessControlState PreProcessControlMessage(input msg as System.Windows.Forms.Message):
   end method.

   method protected logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessDialogChar(input charCode as character):
   end method.

   method protected logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessKeyEventArgs(input m as System.Windows.Forms.Message):
   end method.

   method protected logical ProcessKeyMessage(input m as System.Windows.Forms.Message):
   end method.

   method protected logical ProcessKeyPreview(input m as System.Windows.Forms.Message):
   end method.

   method protected logical ProcessMnemonic(input charCode as character):
   end method.

   method protected final void RaiseDragEvent(input key as System.Object, input e as System.Windows.Forms.DragEventArgs):
   end method.

   method protected final void RaisePaintEvent(input key as System.Object, input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method public void ResetBackColor():
   end method.

   method public void ResetCursor():
   end method.

   method public void ResetFont():
   end method.

   method public void ResetForeColor():
   end method.

   method public void ResetRightToLeft():
   end method.

   method protected final void RecreateHandle():
   end method.

   method public final System.Drawing.Rectangle RectangleToClient(input r as System.Drawing.Rectangle):
   end method.

   method public final System.Drawing.Rectangle RectangleToScreen(input r as System.Drawing.Rectangle):
   end method.

   method protected final static logical ReflectMessage(input hWnd as System.IntPtr, input m as System.Windows.Forms.Message):
   end method.

   method public void Refresh():
   end method.

   method protected final void ResetMouseEventArgs():
   end method.

   method public void ResetText():
   end method.

   method public final void ResumeLayout():
   end method.

   method public final void ResumeLayout(input performLayout as logical):
   end method.

   method public final void Scale(input ratio as decimal):
   end method.

   method public final void Scale(input dx as decimal, input dy as decimal):
   end method.

   method public final void Scale(input factor as System.Drawing.SizeF):
   end method.

   method protected void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected void ScaleCore(input dx as decimal, input dy as decimal):
   end method.

   method public final void Select():
   end method.

   method protected void Select(input directed as logical, input forward as logical):
   end method.

   method public final logical SelectNextControl(input ctl as System.Windows.Forms.Control, input forward as logical, input tabStopOnly as logical, input nested as logical, input wrap as logical):
   end method.

   method public final void SendToBack():
   end method.

   method public final void SetBounds(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void SetBounds(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected void SetClientSizeCore(input x as integer, input y as integer):
   end method.

   method protected System.Drawing.Size SizeFromClientSize(input clientSize as System.Drawing.Size):
   end method.

   method protected final void SetStyle(input flag as System.Windows.Forms.ControlStyles, input value as logical):
   end method.

   method protected final void SetTopLevel(input value as logical):
   end method.

   method protected void SetVisibleCore(input value as logical):
   end method.

   method protected final System.Windows.Forms.HorizontalAlignment RtlTranslateAlignment(input align as System.Windows.Forms.HorizontalAlignment):
   end method.

   method protected final System.Windows.Forms.LeftRightAlignment RtlTranslateAlignment(input align as System.Windows.Forms.LeftRightAlignment):
   end method.

   method protected final System.Drawing.ContentAlignment RtlTranslateAlignment(input align as System.Drawing.ContentAlignment):
   end method.

   method protected final System.Windows.Forms.HorizontalAlignment RtlTranslateHorizontal(input align as System.Windows.Forms.HorizontalAlignment):
   end method.

   method protected final System.Windows.Forms.LeftRightAlignment RtlTranslateLeftRight(input align as System.Windows.Forms.LeftRightAlignment):
   end method.

   method protected final System.Drawing.ContentAlignment RtlTranslateContent(input align as System.Drawing.ContentAlignment):
   end method.

   method public final void Show():
   end method.

   method public final void SuspendLayout():
   end method.

   method public final void Update():
   end method.

   method protected final void UpdateBounds():
   end method.

   method protected final void UpdateBounds(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method protected final void UpdateBounds(input x as integer, input y as integer, input width as integer, input height as integer, input clientWidth as integer, input clientHeight as integer):
   end method.

   method protected final void UpdateZOrder():
   end method.

   method protected final void UpdateStyles():
   end method.

   method protected void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnImeModeChanged(input e as System.EventArgs):
   end method.

   method public final void ResetImeMode():
   end method.

end class.
