class System.Windows.Forms.DataGridViewRowCollection
   inherits System.Object
   implements System.Collections.ICollection, System.Collections.IEnumerable, System.Collections.IList:

   def public property Count as integer
      get.

   def protected property List as System.Collections.ArrayList
      get.

   def protected property DataGridView as System.Windows.Forms.DataGridView
      get.

   def public property Item as System.Windows.Forms.DataGridViewRow
      get.

   def public event CollectionChanged signature void (input sender as System.Object, input e as System.ComponentModel.CollectionChangeEventArgs).

   constructor public DataGridViewRowCollection(input dataGridView as System.Windows.Forms.DataGridView):
   end constructor.

   method public final System.Windows.Forms.DataGridViewRow SharedRow(input rowIndex as integer):
   end method.

   method public integer Add():
   end method.

   method public integer Add(input values as System.Object extent):
   end method.

   method public integer Add(input dataGridViewRow as System.Windows.Forms.DataGridViewRow):
   end method.

   method public integer Add(input count as integer):
   end method.

   method public integer AddCopy(input indexSource as integer):
   end method.

   method public integer AddCopies(input indexSource as integer, input count as integer):
   end method.

   method public void AddRange(input dataGridViewRows as System.Windows.Forms.DataGridViewRow extent):
   end method.

   method public void Clear():
   end method.

   method public logical Contains(input dataGridViewRow as System.Windows.Forms.DataGridViewRow):
   end method.

   method public final void CopyTo(input array as System.Windows.Forms.DataGridViewRow extent, input index as integer):
   end method.

   method public final integer GetFirstRow(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetFirstRow(input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetLastRow(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetNextRow(input indexStart as integer, input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetNextRow(input indexStart as integer, input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetPreviousRow(input indexStart as integer, input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetPreviousRow(input indexStart as integer, input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetRowCount(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetRowsHeight(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public System.Windows.Forms.DataGridViewElementStates GetRowState(input rowIndex as integer):
   end method.

   method public final integer IndexOf(input dataGridViewRow as System.Windows.Forms.DataGridViewRow):
   end method.

   method public void Insert(input rowIndex as integer, input values as System.Object extent):
   end method.

   method public void Insert(input rowIndex as integer, input dataGridViewRow as System.Windows.Forms.DataGridViewRow):
   end method.

   method public void Insert(input rowIndex as integer, input count as integer):
   end method.

   method public void InsertCopy(input indexSource as integer, input indexDestination as integer):
   end method.

   method public void InsertCopies(input indexSource as integer, input indexDestination as integer, input count as integer):
   end method.

   method public void InsertRange(input rowIndex as integer, input dataGridViewRows as System.Windows.Forms.DataGridViewRow extent):
   end method.

   method protected void OnCollectionChanged(input e as System.ComponentModel.CollectionChangeEventArgs):
   end method.

   method public void Remove(input dataGridViewRow as System.Windows.Forms.DataGridViewRow):
   end method.

   method public void RemoveAt(input index as integer):
   end method.

end class.
