class System.Windows.Forms.DataGridViewRowPostPaintEventArgs
   inherits System.EventArgs:

   def public property ClipBounds as System.Drawing.Rectangle
      get.
      set.

   def public property ErrorText as character
      get.

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property InheritedRowStyle as System.Windows.Forms.DataGridViewCellStyle
      get.

   def public property IsFirstDisplayedRow as logical
      get.

   def public property IsLastVisibleRow as logical
      get.

   def public property RowBounds as System.Drawing.Rectangle
      get.

   def public property RowIndex as integer
      get.

   def public property State as System.Windows.Forms.DataGridViewElementStates
      get.

   constructor public DataGridViewRowPostPaintEventArgs(input dataGridView as System.Windows.Forms.DataGridView, input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input rowBounds as System.Drawing.Rectangle, input rowIndex as integer, input rowState as System.Windows.Forms.DataGridViewElementStates, input errorText as character, input inheritedRowStyle as System.Windows.Forms.DataGridViewCellStyle, input isFirstDisplayedRow as logical, input isLastVisibleRow as logical):
   end constructor.

   method public final void DrawFocus(input bounds as System.Drawing.Rectangle, input cellsPaintSelectionBackground as logical):
   end method.

   method public final void PaintCells(input clipBounds as System.Drawing.Rectangle, input paintParts as System.Windows.Forms.DataGridViewPaintParts):
   end method.

   method public final void PaintCellsBackground(input clipBounds as System.Drawing.Rectangle, input cellsPaintSelectionBackground as logical):
   end method.

   method public final void PaintCellsContent(input clipBounds as System.Drawing.Rectangle):
   end method.

   method public final void PaintHeader(input paintSelectionBackground as logical):
   end method.

   method public final void PaintHeader(input paintParts as System.Windows.Forms.DataGridViewPaintParts):
   end method.

end class.
