class System.Windows.Forms.DataVisualization.Charting.Annotation
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable
   abstract:

   def public override property Name as character
      get.
      set.

   def public abstract property AnnotationType as character
      get.

   def public property ClipToChartArea as character
      get.
      set.

   def public property SmartLabelStyle as System.Windows.Forms.DataVisualization.Charting.AnnotationSmartLabelStyle
      get.
      set.

   def public property AnnotationGroup as System.Windows.Forms.DataVisualization.Charting.AnnotationGroup
      get.

   def public property IsSizeAlwaysRelative as logical
      get.
      set.

   def public property X as decimal
      get.
      set.

   def public property Y as decimal
      get.
      set.

   def public property Width as decimal
      get.
      set.

   def public property Height as decimal
      get.
      set.

   def public property Right as decimal
      get.
      set.

   def public property Bottom as decimal
      get.
      set.

   def public property IsSelected as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Alignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property TextStyle as System.Windows.Forms.DataVisualization.Charting.TextStyle
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   def public property LineWidth as integer
      get.
      set.

   def public property LineDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property ShadowColor as System.Drawing.Color
      get.
      set.

   def public property ShadowOffset as integer
      get.
      set.

   def public property AxisXName as character
      get.
      set.

   def public property AxisYName as character
      get.
      set.

   def public property YAxisName as character
      get.
      set.

   def public property AxisX as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property AxisY as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property AnchorDataPointName as character
      get.
      set.

   def public property AnchorDataPoint as System.Windows.Forms.DataVisualization.Charting.DataPoint
      get.
      set.

   def public property AnchorX as decimal
      get.
      set.

   def public property AnchorY as decimal
      get.
      set.

   def public property AnchorOffsetX as decimal
      get.
      set.

   def public property AnchorOffsetY as decimal
      get.
      set.

   def public property AnchorAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property AllowSelecting as logical
      get.
      set.

   def public property AllowMoving as logical
      get.
      set.

   def public property AllowAnchorMoving as logical
      get.
      set.

   def public property AllowResizing as logical
      get.
      set.

   def public property AllowTextEditing as logical
      get.
      set.

   def public property AllowPathEditing as logical
      get.
      set.

   def public property ToolTip as character
      get.
      set.

   constructor protected Annotation():
   end constructor.

   method public void ResizeToContent():
   end method.

   method public void SendToBack():
   end method.

   method public void BringToFront():
   end method.

   method public final void SetAnchor(input dataPoint as System.Windows.Forms.DataVisualization.Charting.DataPoint):
   end method.

   method public final void SetAnchor(input dataPoint1 as System.Windows.Forms.DataVisualization.Charting.DataPoint, input dataPoint2 as System.Windows.Forms.DataVisualization.Charting.DataPoint):
   end method.

   method public void BeginPlacement():
   end method.

   method public void EndPlacement():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
