class System.Windows.Forms.DataVisualization.Charting.Chart
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IKeyboardToolTip, System.ComponentModel.ISupportInitialize:

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property PaletteCustomColors as System.Drawing.Color extent
      get.
      set.

   def public property SuppressExceptions as logical
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property Images as System.Windows.Forms.DataVisualization.Charting.NamedImagesCollection
      get.

   def public property Printing as System.Windows.Forms.DataVisualization.Charting.PrintingManager
      get.

   def public property Series as System.Windows.Forms.DataVisualization.Charting.SeriesCollection
      get.

   def public property Legends as System.Windows.Forms.DataVisualization.Charting.LegendCollection
      get.

   def public property Titles as System.Windows.Forms.DataVisualization.Charting.TitleCollection
      get.

   def public property Annotations as System.Windows.Forms.DataVisualization.Charting.AnnotationCollection
      get.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public property Palette as System.Windows.Forms.DataVisualization.Charting.ChartColorPalette
      get.
      set.

   def public property AntiAliasing as System.Windows.Forms.DataVisualization.Charting.AntiAliasingStyles
      get.
      set.

   def public property TextAntiAliasingQuality as System.Windows.Forms.DataVisualization.Charting.TextAntiAliasingQuality
      get.
      set.

   def public property IsSoftShadows as logical
      get.
      set.

   def public property ChartAreas as System.Windows.Forms.DataVisualization.Charting.ChartAreaCollection
      get.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property DataManipulator as System.Windows.Forms.DataVisualization.Charting.DataManipulator
      get.

   def public property Serializer as System.Windows.Forms.DataVisualization.Charting.ChartSerializer
      get.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property BackImage as character
      get.
      set.

   def public property BackImageWrapMode as System.Windows.Forms.DataVisualization.Charting.ChartImageWrapMode
      get.
      set.

   def public property BackImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property BackImageAlignment as System.Windows.Forms.DataVisualization.Charting.ChartImageAlignmentStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property BorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BorderlineColor as System.Drawing.Color
      get.
      set.

   def public property BorderlineWidth as integer
      get.
      set.

   def public property BorderlineDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BorderSkin as System.Windows.Forms.DataVisualization.Charting.BorderSkin
      get.
      set.

   def public property BuildNumber as character
      get.

   def public property RenderingDpiY as decimal
      get.
      set.

   def public property RenderingDpiX as decimal
      get.
      set.

   def public event GetToolTipText signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ToolTipEventArgs).

   def public event CursorPositionChanging signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.CursorEventArgs).

   def public event CursorPositionChanged signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.CursorEventArgs).

   def public event SelectionRangeChanging signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.CursorEventArgs).

   def public event SelectionRangeChanged signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.CursorEventArgs).

   def public event AxisViewChanging signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ViewEventArgs).

   def public event AxisViewChanged signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ViewEventArgs).

   def public event AxisScrollBarClicked signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ScrollBarEventArgs).

   def public event PostPaint signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ChartPaintEventArgs).

   def public event PrePaint signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.ChartPaintEventArgs).

   def public event Customize signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CustomizeLegend signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs).

   def public event AnnotationTextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AnnotationSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AnnotationPositionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AnnotationPositionChanging signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.AnnotationPositionChangingEventArgs).

   def public event AnnotationPlaced signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormatNumber signature void (input sender as System.Object, input e as System.Windows.Forms.DataVisualization.Charting.FormatNumberEventArgs).

   constructor public Chart():
   end constructor.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnPaintBackground(input pevent as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnSystemColorsChanged(input e as System.EventArgs):
   end method.

   method public override void Refresh():
   end method.

   method public final override void Invalidate():
   end method.

   method public final override void Invalidate(input rectangle as System.Drawing.Rectangle):
   end method.

   method public final void UpdateCursor():
   end method.

   method public final void UpdateAnnotations():
   end method.

   method protected override void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method public final void SaveImage(input imageFileName as character, input format as System.Windows.Forms.DataVisualization.Charting.ChartImageFormat):
   end method.

   method public final void SaveImage(input imageFileName as character, input format as System.Drawing.Imaging.ImageFormat):
   end method.

   method public final void SaveImage(input imageStream as System.IO.Stream, input format as System.Drawing.Imaging.ImageFormat):
   end method.

   method public final void SaveImage(input imageStream as System.IO.Stream, input format as System.Windows.Forms.DataVisualization.Charting.ChartImageFormat):
   end method.

   method public final void LoadTemplate(input name as character):
   end method.

   method public final void LoadTemplate(input stream as System.IO.Stream):
   end method.

   method public final void ApplyPaletteColors():
   end method.

   method public final void ResetAutoValues():
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.HitTestResult HitTest(input x as integer, input y as integer):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.HitTestResult HitTest(input x as integer, input y as integer, input ignoreTransparent as logical):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.HitTestResult HitTest(input x as integer, input y as integer, input requestedElement as System.Windows.Forms.DataVisualization.Charting.ChartElementType):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.HitTestResult extent HitTest(input x as integer, input y as integer, input ignoreTransparent as logical, input requestedElement as System.Windows.Forms.DataVisualization.Charting.ChartElementType extent):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.ChartElementOutline GetChartElementOutline(input element as System.Object, input elementType as System.Windows.Forms.DataVisualization.Charting.ChartElementType):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method public final void BeginInit():
   end method.

   method public final void EndInit():
   end method.

   method protected override void OnCursorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected void OnPrePaint(input e as System.Windows.Forms.DataVisualization.Charting.ChartPaintEventArgs):
   end method.

   method protected void OnPostPaint(input e as System.Windows.Forms.DataVisualization.Charting.ChartPaintEventArgs):
   end method.

   method protected void OnCustomize():
   end method.

   method protected void OnCustomizeLegend(input legendItems as System.Windows.Forms.DataVisualization.Charting.LegendItemsCollection, input legendName as character):
   end method.

   method public final void DataBind():
   end method.

   method public final void AlignDataPointsByAxisLabel():
   end method.

   method public final void AlignDataPointsByAxisLabel(input series as character):
   end method.

   method public final void AlignDataPointsByAxisLabel(input series as character, input sortingOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder):
   end method.

   method public final void AlignDataPointsByAxisLabel(input sortingOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder):
   end method.

   method public final void DataBindTable(input dataSource as System.Collections.IEnumerable, input xField as character):
   end method.

   method public final void DataBindTable(input dataSource as System.Collections.IEnumerable):
   end method.

   method public final void DataBindCrossTable(input dataSource as System.Collections.IEnumerable, input seriesGroupByField as character, input xField as character, input yFields as character, input otherFields as character):
   end method.

   method public final void DataBindCrossTable(input dataSource as System.Collections.IEnumerable, input seriesGroupByField as character, input xField as character, input yFields as character, input otherFields as character, input sortingOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder):
   end method.

   method public final override System.Object GetService(input serviceType as System.Type):
   end method.

   method protected void OnFormatNumber(input e as System.Windows.Forms.DataVisualization.Charting.FormatNumberEventArgs):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
