class System.Windows.Forms.DataVisualization.Charting.ChartArea
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property CursorX as System.Windows.Forms.DataVisualization.Charting.Cursor
      get.
      set.

   def public property CursorY as System.Windows.Forms.DataVisualization.Charting.Cursor
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property AlignWithChartArea as character
      get.
      set.

   def public property AlignmentOrientation as System.Windows.Forms.DataVisualization.Charting.AreaAlignmentOrientations
      get.
      set.

   def public property AlignmentStyle as System.Windows.Forms.DataVisualization.Charting.AreaAlignmentStyles
      get.
      set.

   def public property Axes as System.Windows.Forms.DataVisualization.Charting.Axis extent
      get.
      set.

   def public property AxisY as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property AxisX as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property AxisX2 as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property AxisY2 as System.Windows.Forms.DataVisualization.Charting.Axis
      get.
      set.

   def public property Position as System.Windows.Forms.DataVisualization.Charting.ElementPosition
      get.
      set.

   def public property InnerPlotPosition as System.Windows.Forms.DataVisualization.Charting.ElementPosition
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property BackImage as character
      get.
      set.

   def public property BackImageWrapMode as System.Windows.Forms.DataVisualization.Charting.ChartImageWrapMode
      get.
      set.

   def public property BackImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property BackImageAlignment as System.Windows.Forms.DataVisualization.Charting.ChartImageAlignmentStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property ShadowColor as System.Drawing.Color
      get.
      set.

   def public property ShadowOffset as integer
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property BorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public override property Name as character
      get.
      set.

   def public property IsSameFontSizeForAllAxes as logical
      get.
      set.

   def public property Area3DStyle as System.Windows.Forms.DataVisualization.Charting.ChartArea3DStyle
      get.
      set.

   constructor public ChartArea():
   end constructor.

   constructor public ChartArea(input name as character):
   end constructor.

   method public final void RecalculateAxesScale():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void TransformPoints(input points as System.Windows.Forms.DataVisualization.Charting.Point3D extent):
   end method.

   method public final decimal GetSeriesZPosition(input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final decimal GetSeriesDepth(input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

end class.
