class System.Windows.Forms.DataVisualization.Charting.CustomLabel
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property Axis as System.Windows.Forms.DataVisualization.Charting.Axis
      get.

   def public property ToolTip as character
      get.
      set.

   def public property Image as character
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public override property Name as character
      get.
      set.

   def public property GridTicks as System.Windows.Forms.DataVisualization.Charting.GridTickTypes
      get.
      set.

   def public property FromPosition as decimal
      get.
      set.

   def public property ToPosition as decimal
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property MarkColor as System.Drawing.Color
      get.
      set.

   def public property RowIndex as integer
      get.
      set.

   def public property LabelMark as System.Windows.Forms.DataVisualization.Charting.LabelMarkStyle
      get.
      set.

   constructor public CustomLabel():
   end constructor.

   constructor public CustomLabel(input fromPosition as decimal, input toPosition as decimal, input text as character, input labelRow as integer, input markStyle as System.Windows.Forms.DataVisualization.Charting.LabelMarkStyle):
   end constructor.

   constructor public CustomLabel(input fromPosition as decimal, input toPosition as decimal, input text as character, input labelRow as integer, input markStyle as System.Windows.Forms.DataVisualization.Charting.LabelMarkStyle, input gridTick as System.Windows.Forms.DataVisualization.Charting.GridTickTypes):
   end constructor.

   method public final override System.Windows.Forms.DataVisualization.Charting.CustomLabel Clone():
   end method.

end class.
