class System.Windows.Forms.DataVisualization.Charting.DataPointCustomProperties
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property Item as character
      get.

   def public property Item as character
      get.
      set.

   def public property Label as character
      get.
      set.

   def public property AxisLabel as character
      get.
      set.

   def public property LabelFormat as character
      get.
      set.

   def public property IsValueShownAsLabel as logical
      get.
      set.

   def public property Color as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property BackImage as character
      get.
      set.

   def public property BackImageWrapMode as System.Windows.Forms.DataVisualization.Charting.ChartImageWrapMode
      get.
      set.

   def public property BackImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property BackImageAlignment as System.Windows.Forms.DataVisualization.Charting.ChartImageAlignmentStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property LabelForeColor as System.Drawing.Color
      get.
      set.

   def public property LabelAngle as integer
      get.
      set.

   def public property MarkerStyle as System.Windows.Forms.DataVisualization.Charting.MarkerStyle
      get.
      set.

   def public property MarkerSize as integer
      get.
      set.

   def public property MarkerImage as character
      get.
      set.

   def public property MarkerImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property MarkerColor as System.Drawing.Color
      get.
      set.

   def public property MarkerBorderColor as System.Drawing.Color
      get.
      set.

   def public property MarkerBorderWidth as integer
      get.
      set.

   def public property CustomPropertiesExtended as System.Windows.Forms.DataVisualization.Charting.CustomProperties
      get.
      set.

   def public property CustomProperties as character
      get.
      set.

   def public property ToolTip as character
      get.
      set.

   def public property IsVisibleInLegend as logical
      get.
      set.

   def public property LegendText as character
      get.
      set.

   def public property LegendToolTip as character
      get.
      set.

   def public property LabelBackColor as System.Drawing.Color
      get.
      set.

   def public property LabelBorderColor as System.Drawing.Color
      get.
      set.

   def public property LabelBorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property LabelBorderWidth as integer
      get.
      set.

   def public property LabelToolTip as character
      get.
      set.

   constructor public DataPointCustomProperties():
   end constructor.

   constructor public DataPointCustomProperties(input series as System.Windows.Forms.DataVisualization.Charting.Series, input pointProperties as logical):
   end constructor.

   method public logical IsCustomPropertySet(input name as character):
   end method.

   method public void DeleteCustomProperty(input name as character):
   end method.

   method public character GetCustomProperty(input name as character):
   end method.

   method public void SetCustomProperty(input name as character, input propertyValue as character):
   end method.

   method public void SetDefault(input clearAll as logical):
   end method.

   method public final void ResetIsValueShownAsLabel():
   end method.

   method public final void ResetIsVisibleInLegend():
   end method.

end class.
