class System.Windows.Forms.DataVisualization.Charting.Legend
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public override property Name as character
      get.
      set.

   def public property DockedToChartArea as character
      get.
      set.

   def public property IsDockedInsideChartArea as logical
      get.
      set.

   def public property Position as System.Windows.Forms.DataVisualization.Charting.ElementPosition
      get.
      set.

   def public property IsEquallySpacedItems as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property IsTextAutoFit as logical
      get.
      set.

   def public property LegendStyle as System.Windows.Forms.DataVisualization.Charting.LegendStyle
      get.
      set.

   def public property AutoFitMinFontSize as integer
      get.
      set.

   def public property MaximumAutoSize as decimal
      get.
      set.

   def public property CellColumns as System.Windows.Forms.DataVisualization.Charting.LegendCellColumnCollection
      get.

   def public property TableStyle as System.Windows.Forms.DataVisualization.Charting.LegendTableStyle
      get.
      set.

   def public property HeaderSeparator as System.Windows.Forms.DataVisualization.Charting.LegendSeparatorStyle
      get.
      set.

   def public property HeaderSeparatorColor as System.Drawing.Color
      get.
      set.

   def public property ItemColumnSeparator as System.Windows.Forms.DataVisualization.Charting.LegendSeparatorStyle
      get.
      set.

   def public property ItemColumnSeparatorColor as System.Drawing.Color
      get.
      set.

   def public property ItemColumnSpacing as integer
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property BackImage as character
      get.
      set.

   def public property BackImageWrapMode as System.Windows.Forms.DataVisualization.Charting.ChartImageWrapMode
      get.
      set.

   def public property BackImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property BackImageAlignment as System.Windows.Forms.DataVisualization.Charting.ChartImageAlignmentStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Alignment as System.Drawing.StringAlignment
      get.
      set.

   def public property Docking as System.Windows.Forms.DataVisualization.Charting.Docking
      get.
      set.

   def public property ShadowOffset as integer
      get.
      set.

   def public property ShadowColor as System.Drawing.Color
      get.
      set.

   def public property InsideChartArea as character
      get.
      set.

   def public property CustomItems as System.Windows.Forms.DataVisualization.Charting.LegendItemsCollection
      get.

   def public property TextWrapThreshold as integer
      get.
      set.

   def public property LegendItemOrder as System.Windows.Forms.DataVisualization.Charting.LegendItemOrder
      get.
      set.

   def public property InterlacedRows as logical
      get.
      set.

   def public property InterlacedRowsColor as System.Drawing.Color
      get.
      set.

   def public property Title as character
      get.
      set.

   def public property TitleForeColor as System.Drawing.Color
      get.
      set.

   def public property TitleBackColor as System.Drawing.Color
      get.
      set.

   def public property TitleFont as System.Drawing.Font
      get.
      set.

   def public property TitleAlignment as System.Drawing.StringAlignment
      get.
      set.

   def public property TitleSeparator as System.Windows.Forms.DataVisualization.Charting.LegendSeparatorStyle
      get.
      set.

   def public property TitleSeparatorColor as System.Drawing.Color
      get.
      set.

   constructor public Legend():
   end constructor.

   constructor public Legend(input name as character):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
