class System.Windows.Forms.DataVisualization.Charting.Series
   inherits System.Windows.Forms.DataVisualization.Charting.DataPointCustomProperties
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public override property Name as character
      get.
      set.

   def public property XValueMember as character
      get.
      set.

   def public property YValueMembers as character
      get.
      set.

   def public property Legend as character
      get.
      set.

   def public property XValueType as System.Windows.Forms.DataVisualization.Charting.ChartValueType
      get.
      set.

   def public property IsXValueIndexed as logical
      get.
      set.

   def public property YValueType as System.Windows.Forms.DataVisualization.Charting.ChartValueType
      get.
      set.

   def public property YValuesPerPoint as integer
      get.
      set.

   def public property Points as System.Windows.Forms.DataVisualization.Charting.DataPointCollection
      get.

   def public property EmptyPointStyle as System.Windows.Forms.DataVisualization.Charting.DataPointCustomProperties
      get.
      set.

   def public property Palette as System.Windows.Forms.DataVisualization.Charting.ChartColorPalette
      get.
      set.

   def public property MarkerStep as integer
      get.
      set.

   def public property ShadowOffset as integer
      get.
      set.

   def public property ShadowColor as System.Drawing.Color
      get.
      set.

   def public property XAxisType as System.Windows.Forms.DataVisualization.Charting.AxisType
      get.
      set.

   def public property YAxisType as System.Windows.Forms.DataVisualization.Charting.AxisType
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ChartType as System.Windows.Forms.DataVisualization.Charting.SeriesChartType
      get.
      set.

   def public property ChartTypeName as character
      get.
      set.

   def public property ChartArea as character
      get.
      set.

   def public override property AxisLabel as character
      get.
      set.

   def public property SmartLabelStyle as System.Windows.Forms.DataVisualization.Charting.SmartLabelStyle
      get.
      set.

   constructor public Series():
   end constructor.

   constructor public Series(input name as character):
   end constructor.

   constructor public Series(input name as character, input yValues as integer):
   end constructor.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder, input sortBy as character):
   end method.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder):
   end method.

   method public final void Sort(input comparer as System.Collections.Generic.IComparer):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
