class System.Windows.Forms.DataVisualization.Charting.Title
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public override property Name as character
      get.
      set.

   def public property TextOrientation as System.Windows.Forms.DataVisualization.Charting.TextOrientation
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property DockedToChartArea as character
      get.
      set.

   def public property IsDockedInsideChartArea as logical
      get.
      set.

   def public property DockingOffset as integer
      get.
      set.

   def public property Position as System.Windows.Forms.DataVisualization.Charting.ElementPosition
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property TextStyle as System.Windows.Forms.DataVisualization.Charting.TextStyle
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property BorderDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property BorderWidth as integer
      get.
      set.

   def public property BackImage as character
      get.
      set.

   def public property BackImageWrapMode as System.Windows.Forms.DataVisualization.Charting.ChartImageWrapMode
      get.
      set.

   def public property BackImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property BackImageAlignment as System.Windows.Forms.DataVisualization.Charting.ChartImageAlignmentStyle
      get.
      set.

   def public property BackGradientStyle as System.Windows.Forms.DataVisualization.Charting.GradientStyle
      get.
      set.

   def public property BackSecondaryColor as System.Drawing.Color
      get.
      set.

   def public property BackHatchStyle as System.Windows.Forms.DataVisualization.Charting.ChartHatchStyle
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Alignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property Docking as System.Windows.Forms.DataVisualization.Charting.Docking
      get.
      set.

   def public property ShadowOffset as integer
      get.
      set.

   def public property ShadowColor as System.Drawing.Color
      get.
      set.

   def public property ToolTip as character
      get.
      set.

   constructor public Title():
   end constructor.

   constructor public Title(input text as character):
   end constructor.

   constructor public Title(input text as character, input docking as System.Windows.Forms.DataVisualization.Charting.Docking):
   end constructor.

   constructor public Title(input text as character, input docking as System.Windows.Forms.DataVisualization.Charting.Docking, input font as System.Drawing.Font, input color as System.Drawing.Color):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
