class System.Windows.Forms.DateTimePicker
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IKeyboardToolTip:

   def protected static variable DefaultTitleBackColor as System.Drawing.Color.

   def protected static variable DefaultTitleForeColor as System.Drawing.Color.

   def protected static variable DefaultMonthBackColor as System.Drawing.Color.

   def protected static variable DefaultTrailingForeColor as System.Drawing.Color.

   def public static variable MinDateTime as datetime.

   def public static variable MaxDateTime as datetime.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property CalendarForeColor as System.Drawing.Color
      get.
      set.

   def public property CalendarFont as System.Drawing.Font
      get.
      set.

   def public property CalendarTitleBackColor as System.Drawing.Color
      get.
      set.

   def public property CalendarTitleForeColor as System.Drawing.Color
      get.
      set.

   def public property CalendarTrailingForeColor as System.Drawing.Color
      get.
      set.

   def public property CalendarMonthBackground as System.Drawing.Color
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property CustomFormat as character
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DoubleBuffered as logical
      get.
      set.

   def public property DropDownAlign as System.Windows.Forms.LeftRightAlignment
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Format as System.Windows.Forms.DateTimePickerFormat
      get.
      set.

   def public property MaxDate as datetime
      get.
      set.

   def public static property MaximumDateTime as datetime
      get.

   def public property MinDate as datetime
      get.
      set.

   def public static property MinimumDateTime as datetime
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property PreferredHeight as integer
      get.

   def public property RightToLeftLayout as logical
      get.
      set.

   def public property ShowCheckBox as logical
      get.
      set.

   def public property ShowUpDown as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property Value as datetime
      get.
      set.

   def public override event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormatChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseDoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CloseUp signature void (input sender as System.Object, input e as System.EventArgs).

   def public event RightToLeftLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDown signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DateTimePicker():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override void CreateHandle():
   end method.

   method protected final override void DestroyHandle():
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected void OnCloseUp(input eventargs as System.EventArgs):
   end method.

   method protected void OnDropDown(input eventargs as System.EventArgs):
   end method.

   method protected void OnFormatChanged(input e as System.EventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnValueChanged(input eventargs as System.EventArgs):
   end method.

   method protected void OnRightToLeftLayoutChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method public override character ToString():
   end method.

   method protected override void OnSystemColorsChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
