class System.Windows.Forms.DrawToolTipEventArgs
   inherits System.EventArgs:

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property AssociatedWindow as System.Windows.Forms.IWin32Window
      get.

   def public property AssociatedControl as System.Windows.Forms.Control
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property ToolTipText as character
      get.

   def public property Font as System.Drawing.Font
      get.

   constructor public DrawToolTipEventArgs(input graphics as System.Drawing.Graphics, input associatedWindow as System.Windows.Forms.IWin32Window, input associatedControl as System.Windows.Forms.Control, input bounds as System.Drawing.Rectangle, input toolTipText as character, input backColor as System.Drawing.Color, input foreColor as System.Drawing.Color, input font as System.Drawing.Font):
   end constructor.

   method public final void DrawBackground():
   end method.

   method public final void DrawText():
   end method.

   method public final void DrawText(input flags as System.Windows.Forms.TextFormatFlags):
   end method.

   method public final void DrawBorder():
   end method.

end class.
