class System.Windows.Forms.ErrorProvider
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.ComponentModel.IExtenderProvider, System.ComponentModel.ISupportInitialize:

   def public override property Site as System.ComponentModel.ISite
      set.

   def public property BlinkStyle as System.Windows.Forms.ErrorBlinkStyle
      get.
      set.

   def public property ContainerControl as System.Windows.Forms.ContainerControl
      get.
      set.

   def public property RightToLeft as logical
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property DataMember as character
      get.
      set.

   def public property BlinkRate as integer
      get.
      set.

   def public property Icon as System.Drawing.Icon
      get.
      set.

   def public event RightToLeftChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ErrorProvider():
   end constructor.

   constructor public ErrorProvider(input parentControl as System.Windows.Forms.ContainerControl):
   end constructor.

   constructor public ErrorProvider(input container as System.ComponentModel.IContainer):
   end constructor.

   method public final void BindToDataAndErrors(input newDataSource as System.Object, input newDataMember as character):
   end method.

   method public final void UpdateBinding():
   end method.

   method public final void Clear():
   end method.

   method public final logical CanExtend(input extendee as System.Object):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final character GetError(input control as System.Windows.Forms.Control):
   end method.

   method public final System.Windows.Forms.ErrorIconAlignment GetIconAlignment(input control as System.Windows.Forms.Control):
   end method.

   method public final integer GetIconPadding(input control as System.Windows.Forms.Control):
   end method.

   method protected void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method public final void SetError(input control as System.Windows.Forms.Control, input value as character):
   end method.

   method public final void SetIconAlignment(input control as System.Windows.Forms.Control, input value as System.Windows.Forms.ErrorIconAlignment):
   end method.

   method public final void SetIconPadding(input control as System.Windows.Forms.Control, input padding as integer):
   end method.

end class.
