class System.Windows.Forms.HtmlDocument
   inherits System.Object
   final:

   def public property ActiveElement as System.Windows.Forms.HtmlElement
      get.

   def public property Body as System.Windows.Forms.HtmlElement
      get.

   def public property Domain as character
      get.
      set.

   def public property Title as character
      get.
      set.

   def public property Url as System.Uri
      get.

   def public property Window as System.Windows.Forms.HtmlWindow
      get.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property LinkColor as System.Drawing.Color
      get.
      set.

   def public property ActiveLinkColor as System.Drawing.Color
      get.
      set.

   def public property VisitedLinkColor as System.Drawing.Color
      get.
      set.

   def public property Focused as logical
      get.

   def public property DomDocument as System.Object
      get.

   def public property Cookie as character
      get.
      set.

   def public property RightToLeft as logical
      get.
      set.

   def public property Encoding as character
      get.
      set.

   def public property DefaultEncoding as character
      get.

   def public property All as System.Windows.Forms.HtmlElementCollection
      get.

   def public property Links as System.Windows.Forms.HtmlElementCollection
      get.

   def public property Images as System.Windows.Forms.HtmlElementCollection
      get.

   def public property Forms as System.Windows.Forms.HtmlElementCollection
      get.

   def public event Click signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event ContextMenuShowing signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Focusing signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event LosingFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseLeave signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseOver signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Stop signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   method public final void Write(input text as character):
   end method.

   method public final void ExecCommand(input command as character, input showUI as logical, input value as System.Object):
   end method.

   method public final void Focus():
   end method.

   method public final System.Windows.Forms.HtmlElement GetElementById(input id as character):
   end method.

   method public final System.Windows.Forms.HtmlElement GetElementFromPoint(input point as System.Drawing.Point):
   end method.

   method public final System.Windows.Forms.HtmlElementCollection GetElementsByTagName(input tagName as character):
   end method.

   method public final System.Windows.Forms.HtmlDocument OpenNew(input replaceInHistory as logical):
   end method.

   method public final System.Windows.Forms.HtmlElement CreateElement(input elementTag as character):
   end method.

   method public final System.Object InvokeScript(input scriptName as character, input args as System.Object extent):
   end method.

   method public final System.Object InvokeScript(input scriptName as character):
   end method.

   method public final void AttachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final void DetachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

end class.
