class System.Windows.Forms.HtmlElement
   inherits System.Object
   final:

   def public property All as System.Windows.Forms.HtmlElementCollection
      get.

   def public property Children as System.Windows.Forms.HtmlElementCollection
      get.

   def public property CanHaveChildren as logical
      get.

   def public property ClientRectangle as System.Drawing.Rectangle
      get.

   def public property Document as System.Windows.Forms.HtmlDocument
      get.

   def public property Enabled as logical
      get.
      set.

   def public property FirstChild as System.Windows.Forms.HtmlElement
      get.

   def public property Id as character
      get.
      set.

   def public property InnerHtml as character
      get.
      set.

   def public property InnerText as character
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property NextSibling as System.Windows.Forms.HtmlElement
      get.

   def public property OffsetRectangle as System.Drawing.Rectangle
      get.

   def public property OffsetParent as System.Windows.Forms.HtmlElement
      get.

   def public property OuterHtml as character
      get.
      set.

   def public property OuterText as character
      get.
      set.

   def public property Parent as System.Windows.Forms.HtmlElement
      get.

   def public property ScrollRectangle as System.Drawing.Rectangle
      get.

   def public property ScrollLeft as integer
      get.
      set.

   def public property ScrollTop as integer
      get.
      set.

   def public property Style as character
      get.
      set.

   def public property TagName as character
      get.

   def public property TabIndex as integer
      get.
      set.

   def public property DomElement as System.Object
      get.

   def public event Click signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event DoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Drag signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event DragEnd signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event DragLeave signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event DragOver signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Focusing signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event GotFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event LosingFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event LostFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseOver signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseEnter signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event MouseLeave signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   method public final System.Windows.Forms.HtmlElement AppendChild(input newElement as System.Windows.Forms.HtmlElement):
   end method.

   method public final void AttachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final void DetachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final void Focus():
   end method.

   method public final character GetAttribute(input attributeName as character):
   end method.

   method public final System.Windows.Forms.HtmlElementCollection GetElementsByTagName(input tagName as character):
   end method.

   method public final System.Windows.Forms.HtmlElement InsertAdjacentElement(input orient as System.Windows.Forms.HtmlElementInsertionOrientation, input newElement as System.Windows.Forms.HtmlElement):
   end method.

   method public final System.Object InvokeMember(input methodName as character):
   end method.

   method public final System.Object InvokeMember(input methodName as character, input parameter as System.Object extent):
   end method.

   method public final void RemoveFocus():
   end method.

   method public final void RaiseEvent(input eventName as character):
   end method.

   method public final void ScrollIntoView(input alignWithTop as logical):
   end method.

   method public final void SetAttribute(input attributeName as character, input value as character):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

end class.
