class System.Windows.Forms.LinkLabel
   inherits System.Windows.Forms.Label
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IButtonControl:

   def public property ActiveLinkColor as System.Drawing.Color
      get.
      set.

   def public property DisabledLinkColor as System.Drawing.Color
      get.
      set.

   def public property FlatStyle as System.Windows.Forms.FlatStyle
      get.
      set.

   def public property LinkArea as System.Windows.Forms.LinkArea
      get.
      set.

   def public property LinkBehavior as System.Windows.Forms.LinkBehavior
      get.
      set.

   def public property LinkColor as System.Drawing.Color
      get.
      set.

   def public property Links as System.Windows.Forms.LinkLabel+LinkCollection
      get.

   def public property LinkVisited as logical
      get.
      set.

   def protected property OverrideCursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property VisitedLinkColor as System.Drawing.Color
      get.
      set.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public override event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LinkClicked signature void (input sender as System.Object, input e as System.Windows.Forms.LinkLabelLinkClickedEventArgs).

   constructor public LinkLabel():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override void CreateHandle():
   end method.

   method protected final System.Windows.Forms.LinkLabel+Link PointInLink(input x as integer, input y as integer):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnLinkClicked(input e as System.Windows.Forms.LinkLabelLinkClickedEventArgs):
   end method.

   method protected override void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnPaintBackground(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnAutoSizeChanged(input e as System.EventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTextAlignChanged(input e as System.EventArgs):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void Select(input directed as logical, input forward as logical):
   end method.

   method protected override void WndProc(input msg as System.Windows.Forms.Message):
   end method.

end class.
