class System.Windows.Forms.ListViewItem
   inherits System.Object
   implements System.ICloneable, System.Runtime.Serialization.ISerializable:

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property Checked as logical
      get.
      set.

   def public property Focused as logical
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Group as System.Windows.Forms.ListViewGroup
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.

   def public property IndentCount as integer
      get.
      set.

   def public property Index as integer
      get.

   def public property ListView as System.Windows.Forms.ListView
      get.

   def public property Name as character
      get.
      set.

   def public property Position as System.Drawing.Point
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property StateImageIndex as integer
      get.
      set.

   def public property SubItems as System.Windows.Forms.ListViewItem+ListViewSubItemCollection
      get.

   def public property Tag as System.Object
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property UseItemStyleForSubItems as logical
      get.
      set.

   constructor public ListViewItem():
   end constructor.

   constructor protected ListViewItem(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor public ListViewItem(input text as character):
   end constructor.

   constructor public ListViewItem(input text as character, input imageIndex as integer):
   end constructor.

   constructor public ListViewItem(input items as System.String extent):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageIndex as integer):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageIndex as integer, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color, input font as System.Drawing.Font):
   end constructor.

   constructor public ListViewItem(input subItems as System.Windows.Forms.ListViewItem+ListViewSubItem extent, input imageIndex as integer):
   end constructor.

   constructor public ListViewItem(input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input text as character, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input text as character, input imageIndex as integer, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageIndex as integer, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageIndex as integer, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color, input font as System.Drawing.Font, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input subItems as System.Windows.Forms.ListViewItem+ListViewSubItem extent, input imageIndex as integer, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input text as character, input imageKey as character):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageKey as character):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageKey as character, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color, input font as System.Drawing.Font):
   end constructor.

   constructor public ListViewItem(input subItems as System.Windows.Forms.ListViewItem+ListViewSubItem extent, input imageKey as character):
   end constructor.

   constructor public ListViewItem(input text as character, input imageKey as character, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageKey as character, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input items as System.String extent, input imageKey as character, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color, input font as System.Drawing.Font, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   constructor public ListViewItem(input subItems as System.Windows.Forms.ListViewItem+ListViewSubItem extent, input imageKey as character, input group as System.Windows.Forms.ListViewGroup):
   end constructor.

   method public final void BeginEdit():
   end method.

   method public override System.Object Clone():
   end method.

   method public void EnsureVisible():
   end method.

   method public final System.Windows.Forms.ListViewItem FindNearestItem(input searchDirection as System.Windows.Forms.SearchDirectionHint):
   end method.

   method public final System.Drawing.Rectangle GetBounds(input portion as System.Windows.Forms.ItemBoundsPortion):
   end method.

   method public final System.Windows.Forms.ListViewItem+ListViewSubItem GetSubItemAt(input x as integer, input y as integer):
   end method.

   method public void Remove():
   end method.

   method protected void Deserialize(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void Serialize(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public override character ToString():
   end method.

end class.
