class System.Windows.Forms.MenuStrip
   inherits System.Windows.Forms.ToolStrip
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.ISupportToolStripPanel:

   def public property CanOverflow as logical
      get.
      set.

   def protected override property DefaultShowItemToolTips as logical
      get.

   def protected override property DefaultGripMargin as System.Windows.Forms.Padding
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DefaultPadding as System.Windows.Forms.Padding
      get.

   def public property GripStyle as System.Windows.Forms.ToolStripGripStyle
      get.
      set.

   def public property ShowItemToolTips as logical
      get.
      set.

   def public property Stretch as logical
      get.
      set.

   def public property MdiWindowListItem as System.Windows.Forms.ToolStripMenuItem
      get.
      set.

   def public event MenuActivate signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MenuDeactivate signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public MenuStrip():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override System.Windows.Forms.ToolStripItem CreateDefaultItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end method.

   method protected void OnMenuActivate(input e as System.EventArgs):
   end method.

   method protected void OnMenuDeactivate(input e as System.EventArgs):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
