class System.Windows.Forms.PropertyGrid
   inherits System.Windows.Forms.ContainerControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl, System.Windows.Forms.ComponentModel.Com2Interop.IComPropertyBrowser, System.Windows.Forms.UnsafeNativeMethods+IPropertyNotifySink:

   def public override property AutoScroll as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BrowsableAttributes as System.ComponentModel.AttributeCollection
      get.
      set.

   def public property CanShowCommands as logical
      get.

   def public property CategoryForeColor as System.Drawing.Color
      get.
      set.

   def public property CommandsBackColor as System.Drawing.Color
      get.
      set.

   def public property CommandsForeColor as System.Drawing.Color
      get.
      set.

   def public property CommandsLinkColor as System.Drawing.Color
      get.
      set.

   def public property CommandsActiveLinkColor as System.Drawing.Color
      get.
      set.

   def public property CommandsDisabledLinkColor as System.Drawing.Color
      get.
      set.

   def public property CommandsBorderColor as System.Drawing.Color
      get.
      set.

   def public property CommandsVisible as logical
      get.

   def public property CommandsVisibleIfAvailable as logical
      get.
      set.

   def public property ContextMenuDefaultLocation as System.Drawing.Point
      get.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected property DefaultTabType as System.Type
      get.

   def protected property DrawFlatToolbar as logical
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property HelpBackColor as System.Drawing.Color
      get.
      set.

   def public property HelpForeColor as System.Drawing.Color
      get.
      set.

   def public property HelpBorderColor as System.Drawing.Color
      get.
      set.

   def public property HelpVisible as logical
      get.
      set.

   def public property SelectedItemWithFocusBackColor as System.Drawing.Color
      get.
      set.

   def public property SelectedItemWithFocusForeColor as System.Drawing.Color
      get.
      set.

   def public property DisabledItemForeColor as System.Drawing.Color
      get.
      set.

   def public property CategorySplitterColor as System.Drawing.Color
      get.
      set.

   def public property CanShowVisualStyleGlyphs as logical
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property PropertySort as System.Windows.Forms.PropertySort
      get.
      set.

   def public property PropertyTabs as System.Windows.Forms.PropertyGrid+PropertyTabCollection
      get.

   def public property SelectedObject as System.Object
      get.
      set.

   def public property SelectedObjects as System.Object extent
      get.
      set.

   def public property SelectedTab as System.Windows.Forms.Design.PropertyTab
      get.

   def public property SelectedGridItem as System.Windows.Forms.GridItem
      get.
      set.

   def protected override property ShowFocusCues as logical
      get.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property LargeButtons as logical
      get.
      set.

   def public property ToolbarVisible as logical
      get.
      set.

   def protected property ToolStripRenderer as System.Windows.Forms.ToolStripRenderer
      get.
      set.

   def public property ViewBackColor as System.Drawing.Color
      get.
      set.

   def public property ViewForeColor as System.Drawing.Color
      get.
      set.

   def public property ViewBorderColor as System.Drawing.Color
      get.
      set.

   def protected property SortByPropertyImage as System.Drawing.Bitmap
      get.

   def protected property SortByCategoryImage as System.Drawing.Bitmap
      get.

   def protected property ShowPropertyPageImage as System.Drawing.Bitmap
      get.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public override event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseEnter signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PropertyValueChanged signature void (input s as System.Object, input e as System.Windows.Forms.PropertyValueChangedEventArgs).

   def public event PropertyTabChanged signature void (input s as System.Object, input e as System.Windows.Forms.PropertyTabChangedEventArgs).

   def public event PropertySortChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedGridItemChanged signature void (input sender as System.Object, input e as System.Windows.Forms.SelectedGridItemChangedEventArgs).

   def public event SelectedObjectsChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public PropertyGrid():
   end constructor.

   method public final void CollapseAllGridItems():
   end method.

   method protected System.Windows.Forms.Design.PropertyTab CreatePropertyTab(input tabType as System.Type):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void ExpandAllGridItems():
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void ScaleCore(input dx as decimal, input dy as decimal):
   end method.

   method protected override void OnMouseDown(input me as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input me as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input me as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected final void OnComComponentNameChanged(input e as System.ComponentModel.Design.ComponentRenameEventArgs):
   end method.

   method protected final void OnNotifyPropertyValueUIItemsChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input pevent as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected void OnPropertySortChanged(input e as System.EventArgs):
   end method.

   method protected void OnPropertyTabChanged(input e as System.Windows.Forms.PropertyTabChangedEventArgs):
   end method.

   method protected void OnPropertyValueChanged(input e as System.Windows.Forms.PropertyValueChangedEventArgs):
   end method.

   method protected void OnSelectedGridItemChanged(input e as System.Windows.Forms.SelectedGridItemChangedEventArgs):
   end method.

   method protected void OnSelectedObjectsChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method public override void Refresh():
   end method.

   method public final void RefreshTabs(input tabScope as System.ComponentModel.PropertyTabScope):
   end method.

   method public final void ResetSelectedProperty():
   end method.

   method protected final void ShowEventsButton(input value as logical):
   end method.

   method protected override void OnSystemColorsChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
