class System.Windows.Forms.ScrollBar
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent
   abstract:

   def public override property AutoSize as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultImeMode as System.Windows.Forms.ImeMode
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def public property LargeChange as integer
      get.
      set.

   def public property Maximum as integer
      get.
      set.

   def public property Minimum as integer
      get.
      set.

   def public property SmallChange as integer
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property Value as integer
      get.
      set.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event FontChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public override event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseDoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event Scroll signature void (input sender as System.Object, input e as System.Windows.Forms.ScrollEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ScrollBar():
   end constructor.

   method protected override System.Drawing.Rectangle GetScaledBounds(input bounds as System.Drawing.Rectangle, input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected void OnScroll(input se as System.Windows.Forms.ScrollEventArgs):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnValueChanged(input e as System.EventArgs):
   end method.

   method public override character ToString():
   end method.

   method protected final void UpdateScrollInfo():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
