class System.Windows.Forms.SplitContainer
   inherits System.Windows.Forms.ContainerControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IContainerControl, System.ComponentModel.ISupportInitialize:

   def public override property AutoScroll as logical
      get.
      set.

   def public override property AutoScrollOffset as System.Drawing.Point
      get.
      set.

   def public property AutoScrollMinSize as System.Drawing.Size
      get.
      set.

   def public property AutoScrollMargin as System.Drawing.Size
      get.
      set.

   def public property AutoScrollPosition as System.Drawing.Point
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public override property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def public property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property FixedPanel as System.Windows.Forms.FixedPanel
      get.
      set.

   def public property IsSplitterFixed as logical
      get.
      set.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property Panel1 as System.Windows.Forms.SplitterPanel
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property Panel1Collapsed as logical
      get.
      set.

   def public property Panel2Collapsed as logical
      get.
      set.

   def public property Panel1MinSize as integer
      get.
      set.

   def public property Panel2 as System.Windows.Forms.SplitterPanel
      get.

   def public property Panel2MinSize as integer
      get.
      set.

   def public property SplitterDistance as integer
      get.
      set.

   def public property SplitterIncrement as integer
      get.
      set.

   def public property SplitterRectangle as System.Drawing.Rectangle
      get.

   def public property SplitterWidth as integer
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ControlAdded signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public override event ControlRemoved signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SplitterMoving signature void (input sender as System.Object, input e as System.Windows.Forms.SplitterCancelEventArgs).

   def public event SplitterMoved signature void (input sender as System.Object, input e as System.Windows.Forms.SplitterEventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public SplitContainer():
   end constructor.

   method public final void BeginInit():
   end method.

   method public final void EndInit():
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMove(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method public final void OnSplitterMoving(input e as System.Windows.Forms.SplitterCancelEventArgs):
   end method.

   method public final void OnSplitterMoved(input e as System.Windows.Forms.SplitterEventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void Select(input directed as logical, input forward as logical):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessTabKey(input forward as logical):
   end method.

   method protected override void OnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input msg as System.Windows.Forms.Message):
   end method.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

end class.
