class System.Windows.Forms.TabControl
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property Alignment as System.Windows.Forms.TabAlignment
      get.
      set.

   def public property Appearance as System.Windows.Forms.TabAppearance
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DoubleBuffered as logical
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public override property DisplayRectangle as System.Drawing.Rectangle
      get.

   def public property DrawMode as System.Windows.Forms.TabDrawMode
      get.
      set.

   def public property HotTrack as logical
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ItemSize as System.Drawing.Size
      get.
      set.

   def public property Multiline as logical
      get.
      set.

   def public property Padding as System.Drawing.Point
      get.
      set.

   def public property RightToLeftLayout as logical
      get.
      set.

   def public property RowCount as integer
      get.

   def public property SelectedIndex as integer
      get.
      set.

   def public property SelectedTab as System.Windows.Forms.TabPage
      get.
      set.

   def public property SizeMode as System.Windows.Forms.TabSizeMode
      get.
      set.

   def public property ShowToolTips as logical
      get.
      set.

   def public property TabCount as integer
      get.

   def public property TabPages as System.Windows.Forms.TabControl+TabPageCollection
      get.

   def public override property Text as character
      get.
      set.

   def public override event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DrawItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawItemEventArgs).

   def public event RightToLeftLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Selecting signature void (input sender as System.Object, input e as System.Windows.Forms.TabControlCancelEventArgs).

   def public event Selected signature void (input sender as System.Object, input e as System.Windows.Forms.TabControlEventArgs).

   def public event Deselecting signature void (input sender as System.Object, input e as System.Windows.Forms.TabControlCancelEventArgs).

   def public event Deselected signature void (input sender as System.Object, input e as System.Windows.Forms.TabControlEventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   constructor public TabControl():
   end constructor.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

   method protected override void CreateHandle():
   end method.

   method public final void DeselectTab(input index as integer):
   end method.

   method public final void DeselectTab(input tabPage as System.Windows.Forms.TabPage):
   end method.

   method public final void DeselectTab(input tabPageName as character):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final System.Windows.Forms.Control GetControl(input index as integer):
   end method.

   method protected System.Object extent GetItems():
   end method.

   method protected System.Object extent GetItems(input baseType as System.Type):
   end method.

   method public final System.Drawing.Rectangle GetTabRect(input index as integer):
   end method.

   method protected final character GetToolTipText(input item as System.Object):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnDrawItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method protected override void OnEnter(input e as System.EventArgs):
   end method.

   method protected override void OnLeave(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input ke as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected void OnRightToLeftLayoutChanged(input e as System.EventArgs):
   end method.

   method protected void OnSelectedIndexChanged(input e as System.EventArgs):
   end method.

   method protected void OnSelecting(input e as System.Windows.Forms.TabControlCancelEventArgs):
   end method.

   method protected void OnSelected(input e as System.Windows.Forms.TabControlEventArgs):
   end method.

   method protected void OnDeselecting(input e as System.Windows.Forms.TabControlCancelEventArgs):
   end method.

   method protected void OnDeselected(input e as System.Windows.Forms.TabControlEventArgs):
   end method.

   method protected override logical ProcessKeyPreview(input m as System.Windows.Forms.Message):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected final void RemoveAll():
   end method.

   method public final void SelectTab(input index as integer):
   end method.

   method public final void SelectTab(input tabPage as System.Windows.Forms.TabPage):
   end method.

   method public final void SelectTab(input tabPageName as character):
   end method.

   method public override character ToString():
   end method.

   method protected override void ScaleCore(input dx as decimal, input dy as decimal):
   end method.

   method protected final void UpdateTabSelection(input updateFocus as logical):
   end method.

   method protected override void OnStyleChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
