class System.Windows.Forms.TableLayoutPanel
   inherits System.Windows.Forms.Panel
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.IExtenderProvider:

   def public override property LayoutEngine as System.Windows.Forms.Layout.LayoutEngine
      get.

   def public property LayoutSettings as System.Windows.Forms.TableLayoutSettings
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property CellBorderStyle as System.Windows.Forms.TableLayoutPanelCellBorderStyle
      get.
      set.

   def public property Controls as System.Windows.Forms.TableLayoutControlCollection
      get.

   def public property ColumnCount as integer
      get.
      set.

   def public property GrowStyle as System.Windows.Forms.TableLayoutPanelGrowStyle
      get.
      set.

   def public property RowCount as integer
      get.
      set.

   def public property RowStyles as System.Windows.Forms.TableLayoutRowStyleCollection
      get.

   def public property ColumnStyles as System.Windows.Forms.TableLayoutColumnStyleCollection
      get.

   def public event CellPaint signature void (input sender as System.Object, input e as System.Windows.Forms.TableLayoutCellPaintEventArgs).

   constructor public TableLayoutPanel():
   end constructor.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

   method public final integer GetColumnSpan(input control as System.Windows.Forms.Control):
   end method.

   method public final void SetColumnSpan(input control as System.Windows.Forms.Control, input value as integer):
   end method.

   method public final integer GetRowSpan(input control as System.Windows.Forms.Control):
   end method.

   method public final void SetRowSpan(input control as System.Windows.Forms.Control, input value as integer):
   end method.

   method public final integer GetRow(input control as System.Windows.Forms.Control):
   end method.

   method public final void SetRow(input control as System.Windows.Forms.Control, input row as integer):
   end method.

   method public final System.Windows.Forms.TableLayoutPanelCellPosition GetCellPosition(input control as System.Windows.Forms.Control):
   end method.

   method public final void SetCellPosition(input control as System.Windows.Forms.Control, input position as System.Windows.Forms.TableLayoutPanelCellPosition):
   end method.

   method public final integer GetColumn(input control as System.Windows.Forms.Control):
   end method.

   method public final void SetColumn(input control as System.Windows.Forms.Control, input column as integer):
   end method.

   method public final System.Windows.Forms.Control GetControlFromPosition(input column as integer, input row as integer):
   end method.

   method public final System.Windows.Forms.TableLayoutPanelCellPosition GetPositionFromControl(input control as System.Windows.Forms.Control):
   end method.

   method public final System.Int32 extent GetColumnWidths():
   end method.

   method public final System.Int32 extent GetRowHeights():
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected void OnCellPaint(input e as System.Windows.Forms.TableLayoutCellPaintEventArgs):
   end method.

   method protected override void OnPaintBackground(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void ScaleCore(input dx as decimal, input dy as decimal):
   end method.

   method protected override void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

end class.
