class System.Windows.Forms.TextBoxBase
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent
   abstract:

   def public property AcceptsTab as logical
      get.
      set.

   def public property ShortcutsEnabled as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def protected override property CanEnableIme as logical
      get.

   def public property CanUndo as logical
      get.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DoubleBuffered as logical
      get.
      set.

   def protected override property DefaultCursor as System.Windows.Forms.Cursor
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property HideSelection as logical
      get.
      set.

   def protected override property ImeModeBase as System.Windows.Forms.ImeMode
      get.
      set.

   def public property Lines as System.String extent
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property Multiline as logical
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property PreferredHeight as integer
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TextLength as integer
      get.

   def public property WordWrap as logical
      get.
      set.

   def public event AcceptsTabChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BorderStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event HideSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ModifiedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MultilineChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ReadOnlyChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method public final void AppendText(input text as character):
   end method.

   method public final void Clear():
   end method.

   method public final void ClearUndo():
   end method.

   method public final void Copy():
   end method.

   method protected override void CreateHandle():
   end method.

   method public final void Cut():
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method public final void Paste():
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected void OnAcceptsTabChanged(input e as System.EventArgs):
   end method.

   method protected void OnBorderStyleChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected void OnHideSelectionChanged(input e as System.EventArgs):
   end method.

   method protected void OnModifiedChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseUp(input mevent as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMultilineChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected void OnReadOnlyChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method public character GetCharFromPosition(input pt as System.Drawing.Point):
   end method.

   method public integer GetCharIndexFromPosition(input pt as System.Drawing.Point):
   end method.

   method public integer GetLineFromCharIndex(input index as integer):
   end method.

   method public System.Drawing.Point GetPositionFromCharIndex(input index as integer):
   end method.

   method public final integer GetFirstCharIndexFromLine(input lineNumber as integer):
   end method.

   method public final integer GetFirstCharIndexOfCurrentLine():
   end method.

   method public final void ScrollToCaret():
   end method.

   method public final void DeselectAll():
   end method.

   method public final void Select(input start as integer, input length as integer):
   end method.

   method public final void SelectAll():
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public override character ToString():
   end method.

   method public final void Undo():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
