class System.Windows.Forms.ToolStrip
   inherits System.Windows.Forms.ScrollableControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.ISupportToolStripPanel:

   def public override property AutoSize as logical
      get.
      set.

   def public override property AutoScroll as logical
      get.
      set.

   def public property AutoScrollMargin as System.Drawing.Size
      get.
      set.

   def public property AutoScrollMinSize as System.Drawing.Size
      get.
      set.

   def public property AutoScrollPosition as System.Drawing.Point
      get.
      set.

   def public override property AllowDrop as logical
      get.
      set.

   def public property AllowItemReorder as logical
      get.
      set.

   def public property AllowMerge as logical
      get.
      set.

   def public override property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def public property CanOverflow as logical
      get.
      set.

   def public property CausesValidation as logical
      get.
      set.

   def public property Controls as System.Windows.Forms.Control+ControlCollection
      get.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DefaultPadding as System.Windows.Forms.Padding
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected property DefaultDock as System.Windows.Forms.DockStyle
      get.

   def protected property DefaultGripMargin as System.Windows.Forms.Padding
      get.

   def protected property DefaultShowItemToolTips as logical
      get.

   def public property DefaultDropDownDirection as System.Windows.Forms.ToolStripDropDownDirection
      get.
      set.

   def public override property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def protected property DisplayedItems as System.Windows.Forms.ToolStripItemCollection
      get.

   def public override property DisplayRectangle as System.Drawing.Rectangle
      get.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property GripStyle as System.Windows.Forms.ToolStripGripStyle
      get.
      set.

   def public property GripDisplayStyle as System.Windows.Forms.ToolStripGripDisplayStyle
      get.

   def public property GripMargin as System.Windows.Forms.Padding
      get.
      set.

   def public property GripRectangle as System.Drawing.Rectangle
      get.

   def public property HasChildren as logical
      get.

   def public property HorizontalScroll as System.Windows.Forms.HScrollProperties
      get.

   def public property ImageScalingSize as System.Drawing.Size
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property IsCurrentlyDragging as logical
      get.

   def public property Items as System.Windows.Forms.ToolStripItemCollection
      get.

   def public property IsDropDown as logical
      get.

   def public property LayoutSettings as System.Windows.Forms.LayoutSettings
      get.
      set.

   def public property LayoutStyle as System.Windows.Forms.ToolStripLayoutStyle
      get.
      set.

   def public override property LayoutEngine as System.Windows.Forms.Layout.LayoutEngine
      get.

   def protected property MaxItemSize as System.Drawing.Size
      get.

   def public property OverflowButton as System.Windows.Forms.ToolStripOverflowButton
      get.

   def public property Orientation as System.Windows.Forms.Orientation
      get.

   def public property Stretch as logical
      get.
      set.

   def public property Renderer as System.Windows.Forms.ToolStripRenderer
      get.
      set.

   def public property RenderMode as System.Windows.Forms.ToolStripRenderMode
      get.
      set.

   def public property ShowItemToolTips as logical
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property TextDirection as System.Windows.Forms.ToolStripTextDirection
      get.
      set.

   def public property VerticalScroll as System.Windows.Forms.VScrollProperties
      get.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeginDrag signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event CausesValidationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ControlAdded signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public override event CursorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ControlRemoved signature void (input sender as System.Object, input e as System.Windows.Forms.ControlEventArgs).

   def public event EndDrag signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ItemAdded signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemEventArgs).

   def public event ItemClicked signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemClickedEventArgs).

   def public event ItemRemoved signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemEventArgs).

   def public event LayoutCompleted signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LayoutStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PaintGrip signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event RendererChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolStrip():
   end constructor.

   constructor public ToolStrip(input items as System.Windows.Forms.ToolStripItem extent):
   end constructor.

   method protected System.Windows.Forms.LayoutSettings CreateLayoutSettings(input layoutStyle as System.Windows.Forms.ToolStripLayoutStyle):
   end method.

   method protected System.Windows.Forms.ToolStripItem CreateDefaultItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public System.Windows.Forms.ToolStripItem GetNextItem(input start as System.Windows.Forms.ToolStripItem, input direction as System.Windows.Forms.ArrowDirection):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical IsInputChar(input charCode as character):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected void OnBeginDrag(input e as System.EventArgs):
   end method.

   method protected void OnEndDrag(input e as System.EventArgs):
   end method.

   method protected override void OnDockChanged(input e as System.EventArgs):
   end method.

   method protected void OnRendererChanged(input e as System.EventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnInvalidated(input e as System.Windows.Forms.InvalidateEventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnItemAdded(input e as System.Windows.Forms.ToolStripItemEventArgs):
   end method.

   method protected void OnItemClicked(input e as System.Windows.Forms.ToolStripItemClickedEventArgs):
   end method.

   method protected void OnItemRemoved(input e as System.Windows.Forms.ToolStripItemEventArgs):
   end method.

   method protected override void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected void OnLayoutCompleted(input e as System.EventArgs):
   end method.

   method protected void OnLayoutStyleChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input mea as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input mea as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseUp(input mea as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaintBackground(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected void OnPaintGrip(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnScroll(input se as System.Windows.Forms.ScrollEventArgs):
   end method.

   method protected override void OnTabStopChanged(input e as System.EventArgs):
   end method.

   method public final override System.Windows.Forms.Control GetChildAtPoint(input point as System.Drawing.Point):
   end method.

   method public final override System.Windows.Forms.Control GetChildAtPoint(input pt as System.Drawing.Point, input skipValue as System.Windows.Forms.GetChildAtPointSkip):
   end method.

   method public final System.Windows.Forms.ToolStripItem GetItemAt(input x as integer, input y as integer):
   end method.

   method public final System.Windows.Forms.ToolStripItem GetItemAt(input point as System.Drawing.Point):
   end method.

   method protected void RestoreFocus():
   end method.

   method public final void ResetMinimumSize():
   end method.

   method protected final void SetItemLocation(input item as System.Windows.Forms.ToolStripItem, input location as System.Drawing.Point):
   end method.

   method protected final static void SetItemParent(input item as System.Windows.Forms.ToolStripItem, input parent as System.Windows.Forms.ToolStrip):
   end method.

   method protected override void SetVisibleCore(input visible as logical):
   end method.

   method protected override void Select(input directed as logical, input forward as logical):
   end method.

   method public final override void SetAutoScrollMargin(input x as integer, input y as integer):
   end method.

   method protected void SetDisplayedItems():
   end method.

   method public override character ToString():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override System.Windows.Forms.Control+ControlCollection CreateControlsInstance():
   end method.

end class.
