class System.Windows.Forms.ToolStripControlHost
   inherits System.Windows.Forms.ToolStripItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public override property CanSelect as logical
      get.

   def public property CausesValidation as logical
      get.
      set.

   def public property ControlAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property Control as System.Windows.Forms.Control
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property DisplayStyle as System.Windows.Forms.ToolStripItemDisplayStyle
      get.
      set.

   def public property DoubleClickEnabled as logical
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public override property Enabled as logical
      get.
      set.

   def public property Focused as logical
      get.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Image as System.Drawing.Image
      get.
      set.

   def public property ImageScaling as System.Windows.Forms.ToolStripItemImageScaling
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ImageAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public override property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def public property RightToLeftAutoMirrorImage as logical
      get.
      set.

   def public override property Selected as logical
      get.

   def public override property Size as System.Drawing.Size
      get.
      set.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TextAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public override property TextDirection as System.Windows.Forms.ToolStripTextDirection
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public override event DisplayStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Enter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GotFocus signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Leave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LostFocus signature void (input sender as System.Object, input e as System.EventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolStripControlHost(input c as System.Windows.Forms.Control):
   end constructor.

   constructor public ToolStripControlHost(input c as System.Windows.Forms.Control, input name as character):
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void Focus():
   end method.

   method public override System.Drawing.Size GetPreferredSize(input constrainingSize as System.Drawing.Size):
   end method.

   method protected void OnEnter(input e as System.EventArgs):
   end method.

   method protected void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected void OnLeave(input e as System.EventArgs):
   end method.

   method protected void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnBoundsChanged():
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnParentChanged(input oldParent as System.Windows.Forms.ToolStrip, input newParent as System.Windows.Forms.ToolStrip):
   end method.

   method protected void OnSubscribeControlEvents(input control as System.Windows.Forms.Control):
   end method.

   method protected void OnUnsubscribeControlEvents(input control as System.Windows.Forms.Control):
   end method.

   method protected void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnValidated(input e as System.EventArgs):
   end method.

   method protected void OnHostedControlResize(input e as System.EventArgs):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void SetVisibleCore(input visible as logical):
   end method.

   method public override void ResetBackColor():
   end method.

   method public override void ResetForeColor():
   end method.

end class.
