class System.Windows.Forms.ToolStripDropDownItem
   inherits System.Windows.Forms.ToolStripItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement
   abstract:

   def public property DropDown as System.Windows.Forms.ToolStripDropDown
      get.
      set.

   def public property DropDownDirection as System.Windows.Forms.ToolStripDropDownDirection
      get.
      set.

   def protected property DropDownLocation as System.Drawing.Point
      get.

   def public property DropDownItems as System.Windows.Forms.ToolStripItemCollection
      get.

   def public property HasDropDownItems as logical
      get.

   def public property HasDropDown as logical
      get.

   def public override property Pressed as logical
      get.

   def public event DropDownClosed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownOpening signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownItemClicked signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemClickedEventArgs).

   constructor protected ToolStripDropDownItem():
   end constructor.

   constructor protected ToolStripDropDownItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end constructor.

   constructor protected ToolStripDropDownItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input name as character):
   end constructor.

   constructor protected ToolStripDropDownItem(input text as character, input image as System.Drawing.Image, input dropDownItems as System.Windows.Forms.ToolStripItem extent):
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected System.Windows.Forms.ToolStripDropDown CreateDefaultDropDown():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void HideDropDown():
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBoundsChanged():
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnDropDownHide(input e as System.EventArgs):
   end method.

   method protected void OnDropDownShow(input e as System.EventArgs):
   end method.

   method protected void OnDropDownOpened(input e as System.EventArgs):
   end method.

   method protected void OnDropDownClosed(input e as System.EventArgs):
   end method.

   method protected void OnDropDownItemClicked(input e as System.Windows.Forms.ToolStripItemClickedEventArgs):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method public final void ShowDropDown():
   end method.

end class.
