class System.Windows.Forms.ToolStripRenderer
   inherits System.Object
   abstract:

   def protected static variable Offset2X as integer.

   def protected static variable Offset2Y as integer.

   def public event RenderArrow signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripArrowRenderEventArgs).

   def public event RenderToolStripBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripRenderEventArgs).

   def public event RenderToolStripPanelBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripPanelRenderEventArgs).

   def public event RenderToolStripContentPanelBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripContentPanelRenderEventArgs).

   def public event RenderToolStripBorder signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripRenderEventArgs).

   def public event RenderButtonBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderDropDownButtonBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderOverflowButtonBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderGrip signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripGripRenderEventArgs).

   def public event RenderItemBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderItemImage signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs).

   def public event RenderItemCheck signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs).

   def public event RenderItemText signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemTextRenderEventArgs).

   def public event RenderImageMargin signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripRenderEventArgs).

   def public event RenderLabelBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderMenuItemBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderToolStripStatusLabelBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderStatusStripSizingGrip signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripRenderEventArgs).

   def public event RenderSplitButtonBackground signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripItemRenderEventArgs).

   def public event RenderSeparator signature void (input sender as System.Object, input e as System.Windows.Forms.ToolStripSeparatorRenderEventArgs).

   constructor protected ToolStripRenderer():
   end constructor.

   method public final static System.Drawing.Image CreateDisabledImage(input normalImage as System.Drawing.Image):
   end method.

   method public final void DrawArrow(input e as System.Windows.Forms.ToolStripArrowRenderEventArgs):
   end method.

   method public final void DrawToolStripBackground(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method public final void DrawGrip(input e as System.Windows.Forms.ToolStripGripRenderEventArgs):
   end method.

   method public final void DrawItemBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawImageMargin(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method public final void DrawLabelBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawToolStripBorder(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method public final void DrawDropDownButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawOverflowButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawItemImage(input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs):
   end method.

   method public final void DrawItemCheck(input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs):
   end method.

   method public final void DrawItemText(input e as System.Windows.Forms.ToolStripItemTextRenderEventArgs):
   end method.

   method public final void DrawMenuItemBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawSplitButton(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawToolStripStatusLabelBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method public final void DrawStatusStripSizingGrip(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method public final void DrawSeparator(input e as System.Windows.Forms.ToolStripSeparatorRenderEventArgs):
   end method.

   method public final void DrawToolStripPanelBackground(input e as System.Windows.Forms.ToolStripPanelRenderEventArgs):
   end method.

   method public final void DrawToolStripContentPanelBackground(input e as System.Windows.Forms.ToolStripContentPanelRenderEventArgs):
   end method.

   method protected void Initialize(input toolStrip as System.Windows.Forms.ToolStrip):
   end method.

   method protected void InitializePanel(input toolStripPanel as System.Windows.Forms.ToolStripPanel):
   end method.

   method protected void InitializeContentPanel(input contentPanel as System.Windows.Forms.ToolStripContentPanel):
   end method.

   method protected void InitializeItem(input item as System.Windows.Forms.ToolStripItem):
   end method.

   method protected final static void ScaleArrowOffsetsIfNeeded():
   end method.

   method protected void OnRenderArrow(input e as System.Windows.Forms.ToolStripArrowRenderEventArgs):
   end method.

   method protected void OnRenderToolStripBackground(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method protected void OnRenderToolStripBorder(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method protected void OnRenderGrip(input e as System.Windows.Forms.ToolStripGripRenderEventArgs):
   end method.

   method protected void OnRenderItemBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderImageMargin(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method protected void OnRenderButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderDropDownButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderOverflowButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderItemImage(input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs):
   end method.

   method protected void OnRenderItemCheck(input e as System.Windows.Forms.ToolStripItemImageRenderEventArgs):
   end method.

   method protected void OnRenderItemText(input e as System.Windows.Forms.ToolStripItemTextRenderEventArgs):
   end method.

   method protected void OnRenderLabelBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderMenuItemBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderSeparator(input e as System.Windows.Forms.ToolStripSeparatorRenderEventArgs):
   end method.

   method protected void OnRenderToolStripPanelBackground(input e as System.Windows.Forms.ToolStripPanelRenderEventArgs):
   end method.

   method protected void OnRenderToolStripContentPanelBackground(input e as System.Windows.Forms.ToolStripContentPanelRenderEventArgs):
   end method.

   method protected void OnRenderToolStripStatusLabelBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

   method protected void OnRenderStatusStripSizingGrip(input e as System.Windows.Forms.ToolStripRenderEventArgs):
   end method.

   method protected void OnRenderSplitButtonBackground(input e as System.Windows.Forms.ToolStripItemRenderEventArgs):
   end method.

end class.
