class System.Windows.Rect
   inherits System.ValueType
   implements System.IFormattable
   final:

   def public static property Empty as System.Windows.Rect
      get.

   def public property IsEmpty as logical
      get.

   def public property Location as System.Windows.Point
      get.
      set.

   def public property Size as System.Windows.Size
      get.
      set.

   def public property X as decimal
      get.
      set.

   def public property Y as decimal
      get.
      set.

   def public property Width as decimal
      get.
      set.

   def public property Height as decimal
      get.
      set.

   def public property Left as decimal
      get.

   def public property Top as decimal
      get.

   def public property Right as decimal
      get.

   def public property Bottom as decimal
      get.

   def public property TopLeft as System.Windows.Point
      get.

   def public property TopRight as System.Windows.Point
      get.

   def public property BottomLeft as System.Windows.Point
      get.

   def public property BottomRight as System.Windows.Point
      get.

   constructor public Rect(input location as System.Windows.Point, input size as System.Windows.Size):
   end constructor.

   constructor public Rect(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end constructor.

   constructor public Rect(input point1 as System.Windows.Point, input point2 as System.Windows.Point):
   end constructor.

   constructor public Rect(input point as System.Windows.Point, input vector as System.Windows.Vector):
   end constructor.

   constructor public Rect(input size as System.Windows.Size):
   end constructor.

   method public final static logical Equals(input rect1 as System.Windows.Rect, input rect2 as System.Windows.Rect):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final logical Equals(input value as System.Windows.Rect):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.Windows.Rect Parse(input source as character):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final logical Contains(input point as System.Windows.Point):
   end method.

   method public final logical Contains(input x as decimal, input y as decimal):
   end method.

   method public final logical Contains(input rect as System.Windows.Rect):
   end method.

   method public final logical IntersectsWith(input rect as System.Windows.Rect):
   end method.

   method public final void Intersect(input rect as System.Windows.Rect):
   end method.

   method public final static System.Windows.Rect Intersect(input rect1 as System.Windows.Rect, input rect2 as System.Windows.Rect):
   end method.

   method public final void Union(input rect as System.Windows.Rect):
   end method.

   method public final static System.Windows.Rect Union(input rect1 as System.Windows.Rect, input rect2 as System.Windows.Rect):
   end method.

   method public final void Union(input point as System.Windows.Point):
   end method.

   method public final static System.Windows.Rect Union(input rect as System.Windows.Rect, input point as System.Windows.Point):
   end method.

   method public final void Offset(input offsetVector as System.Windows.Vector):
   end method.

   method public final void Offset(input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final static System.Windows.Rect Offset(input rect as System.Windows.Rect, input offsetVector as System.Windows.Vector):
   end method.

   method public final static System.Windows.Rect Offset(input rect as System.Windows.Rect, input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final void Inflate(input size as System.Windows.Size):
   end method.

   method public final void Inflate(input width as decimal, input height as decimal):
   end method.

   method public final static System.Windows.Rect Inflate(input rect as System.Windows.Rect, input size as System.Windows.Size):
   end method.

   method public final static System.Windows.Rect Inflate(input rect as System.Windows.Rect, input width as decimal, input height as decimal):
   end method.

   method public final static System.Windows.Rect Transform(input rect as System.Windows.Rect, input matrix as System.Windows.Media.Matrix):
   end method.

   method public final void Transform(input matrix as System.Windows.Media.Matrix):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal):
   end method.

end class.
