class System.Windows.Vector
   inherits System.ValueType
   implements System.IFormattable
   final:

   def public property X as decimal
      get.
      set.

   def public property Y as decimal
      get.
      set.

   def public property Length as decimal
      get.

   def public property LengthSquared as decimal
      get.

   constructor public Vector():
   end constructor.

   constructor public Vector(input x as decimal, input y as decimal):
   end constructor.

   method public final static logical Equals(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final logical Equals(input value as System.Windows.Vector):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.Windows.Vector Parse(input source as character):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final void Normalize():
   end method.

   method public final static decimal CrossProduct(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public final static decimal AngleBetween(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public final void Negate():
   end method.

   method public final static System.Windows.Vector Add(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public final static System.Windows.Vector Subtract(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public final static System.Windows.Point Add(input vector as System.Windows.Vector, input point as System.Windows.Point):
   end method.

   method public final static System.Windows.Vector Multiply(input vector as System.Windows.Vector, input scalar as decimal):
   end method.

   method public final static System.Windows.Vector Multiply(input scalar as decimal, input vector as System.Windows.Vector):
   end method.

   method public final static System.Windows.Vector Divide(input vector as System.Windows.Vector, input scalar as decimal):
   end method.

   method public final static System.Windows.Vector Multiply(input vector as System.Windows.Vector, input matrix as System.Windows.Media.Matrix):
   end method.

   method public final static decimal Multiply(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

   method public final static decimal Determinant(input vector1 as System.Windows.Vector, input vector2 as System.Windows.Vector):
   end method.

end class.
