class Telerik.WinControls.Commands.CommandBase
   inherits System.Object
   implements Telerik.WinControls.Commands.ICommand, Telerik.WinControls.Commands.ICommandPresentation, Telerik.WinControls.IImageListProvider:

   def public property Name as character
      get.
      set.

   def public property Type as character
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property OwnerType as System.Type
      get.
      set.

   def public property ContextType as System.Type
      get.
      set.

   def public event HandleExecute signature void (input sender as System.Object, input e as Telerik.WinControls.Commands.CommandEventArgs).

   def public event Executed signature void (input sender as System.Object, input e as Telerik.WinControls.Commands.CommandEventArgs).

   def public event CanExecuteChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public CommandBase():
   end constructor.

   constructor public CommandBase(input name as character):
   end constructor.

   constructor public CommandBase(input name as character, input text as character):
   end constructor.

   constructor public CommandBase(input name as character, input text as character, input type as character):
   end constructor.

   method public override character ToString():
   end method.

   method public System.Object Execute():
   end method.

   method public System.Object Execute(input settings as System.Object extent):
   end method.

   method protected logical RaiseHandleExecute(input settings as System.Object extent):
   end method.

   method protected void RaiseExecuted(input settings as System.Object extent):
   end method.

   method public logical CanExecute(input parameter as System.Object):
   end method.

   method public final System.Drawing.Image GetImageAt(input index as integer):
   end method.

   method public final System.Drawing.Image GetImageAt(input index as character):
   end method.

   method protected void OnCanExecuteChanged():
   end method.

end class.
