class Telerik.WinControls.ComponentBehavior
   inherits System.Object
   implements System.IDisposable:

   def protected variable ItemCaptureState as logical.

   def public property FocusedElement as Telerik.WinControls.RadElement
      get.
      set.

   def public property LastFocusedElement as Telerik.WinControls.RadElement
      get.

   def public property CurrentFocusedElement as Telerik.WinControls.RadElement
      get.

   def public property AllowShowFocusCues as logical
      get.
      set.

   def public property ToolTip as System.Windows.Forms.ToolTip
      get.

   def public property ToolTipOffsetY as integer
      get.
      set.

   def public property ToolTipOffsetX as integer
      get.
      set.

   def protected property DefaultShowItemToolTips as logical
      get.

   def public property ShowItemToolTips as logical
      get.
      set.

   def public property ShowScreenTipsBellowControl as logical
      get.
      set.

   def public property CommandBindings as Telerik.WinControls.Keyboard.InputBindingsCollection
      get.

   def public property Shortcuts as Telerik.WinControls.Keyboard.Shortcuts
      get.

   def public property ActiveKeyMapItem as Telerik.WinControls.RadItem
      get.
      set.

   def public property IsKeyMapActive as logical
      get.

   def protected property IsParentFormActive as logical
      get.

   def public property EnableKeyMap as logical
      get.
      set.

   def public property EnableKeyTips as logical
      get.
      set.

   def public property MouseOver as logical
      get.

   def protected property Owner as Telerik.WinControls.IComponentTreeHandler
      get.

   def protected property OwnerControl as System.Windows.Forms.Control
      get.

   def public property ItemCapture as Telerik.WinControls.RadElement
      get.
      set.

   def public property SelectedElement as Telerik.WinControls.RadElement
      get.

   def public property BitmapRepository as Telerik.WinControls.FillRepository
      get.

   constructor public ComponentBehavior(input owner as Telerik.WinControls.IComponentTreeHandler):
   end constructor.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method protected final Telerik.WinControls.RadItem GetActivatedItem(input control as System.Windows.Forms.Control, input charCode as character):
   end method.

   method protected final Telerik.WinControls.RadItem GetActivatedItem(input element as Telerik.WinControls.RadElement, input charCode as character):
   end method.

   method protected final logical ProcessMnemonic(input charCode as character):
   end method.

   method protected void GetThemedChildControlsList(input control as System.Windows.Forms.Control, input mnemonicList as System.Collections.Generic.List):
   end method.

   method protected System.Windows.Forms.Control GetValidChildControlByMnemonic(input mnemonicList as System.Collections.Generic.List, input charCode as character):
   end method.

   method protected character GetMnemonicText(input text as character):
   end method.

   method protected logical ProcessMnemonicChar(input charCode as character):
   end method.

   method public logical OnGotFocus(input e as System.EventArgs):
   end method.

   method public logical OnLostFocus(input e as System.EventArgs):
   end method.

   method public final logical IsFocusWithin(input element as Telerik.WinControls.RadElement):
   end method.

   method public final void SetElementValue(input element as Telerik.WinControls.RadElement, input dependencyProperty as Telerik.WinControls.RadProperty, input value as System.Object):
   end method.

   method public final System.Windows.Forms.Form FindFormInternal(input control as System.Windows.Forms.Control):
   end method.

   method public final void HideScreenTip():
   end method.

   method protected void DisposeKeyTips():
   end method.

   method public logical SetKeyMap():
   end method.

   method protected void InitializeKeyMap():
   end method.

   method protected void ResetKeyMap():
   end method.

   method protected void ResetKeyMapInternal():
   end method.

   method protected final logical GetKeyMapFocus():
   end method.

   method protected logical SetInternalKeyMapFocus():
   end method.

   method protected final logical ReturnKeyMapFocus():
   end method.

   method protected void OnEnableKeyTipsChanged():
   end method.

   method protected void InitializeAdornerLayer():
   end method.

   method protected void DisposeAdornerLayer():
   end method.

   method protected System.Collections.Generic.List GetRootItems():
   end method.

   method public logical ProccessKeyMap(input input as System.Windows.Forms.Keys):
   end method.

   method public final void ActivateKeyTipItem(input input as System.Windows.Forms.Keys, input inputString as character):
   end method.

   method protected logical ActivateSelectedItem(input currentKeyMapItem as Telerik.WinControls.RadItem):
   end method.

   method protected integer ProcessUnmappedItems(input childrenToBeMapped as System.Collections.Generic.List):
   end method.

   method protected integer IsIndexOfItemKeyTip(input item as Telerik.WinControls.RadItem, input keyTipFragment as character):
   end method.

   method protected logical IsExactMatch(input item as Telerik.WinControls.RadItem, input keyTipFragment as character):
   end method.

   method protected logical IsPartOfKeyTip(input input as System.Windows.Forms.Keys, input representation as character):
   end method.

   method public System.Collections.Generic.List GetCurrentKeyMap(input currentKeyMapItem as Telerik.WinControls.RadItem):
   end method.

   method protected System.Collections.Generic.List GetKeyFocusChildren(input currentKeyMapItem as Telerik.WinControls.RadItem):
   end method.

   method protected character GetKeyStringRepresentation(input input as System.Windows.Forms.Keys):
   end method.

end class.
