class Telerik.WinControls.DisposableObject
   inherits System.Object
   implements System.IDisposable:

   def protected property BitState as Telerik.WinControls.RadBitVector64
      get.

   def protected property Events as System.ComponentModel.EventHandlerList
      get.

   def public property IsDisposing as logical
      get.

   def public property IsDisposed as logical
      get.

   def public event Disposed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Disposing signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DisposableObject():
   end constructor.

   method protected final logical GetBitState(input key as int64):
   end method.

   method protected void SetBitState(input key as int64, input value as logical):
   end method.

   method protected void OnBitStateChanged(input key as int64, input oldValue as logical, input newValue as logical):
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method protected void PerformDispose(input disposing as logical):
   end method.

   method protected void DisposeManagedResources():
   end method.

   method protected void DisposeUnmanagedResources():
   end method.

end class.
