class Telerik.WinControls.Keyboard.Shortcuts
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.ComponentModel.IExtenderProvider:

   def public property Owner as System.Windows.Forms.Control
      get.
      set.

   def public property InputBindings as Telerik.WinControls.Keyboard.InputBindingsCollection
      get.

   def public event Activate signature void (input sender as System.Object, input e as Telerik.WinControls.Keyboard.ChordEventArgs).

   constructor public Shortcuts():
   end constructor.

   constructor public Shortcuts(input owner as System.Windows.Forms.Control):
   end constructor.

   constructor public Shortcuts(input container as System.ComponentModel.IContainer):
   end constructor.

   method protected void OnActivate(input e as Telerik.WinControls.Keyboard.ChordEventArgs):
   end method.

   method public final void AddCommandBindings(input binding as Telerik.WinControls.Keyboard.InputBinding):
   end method.

   method public final void AddCommandBindings(input bindings as System.Collections.Generic.List):
   end method.

   method public final void AddCommandBindings(input bindings as Telerik.WinControls.Keyboard.InputBindingsCollection):
   end method.

   method public void AddShortcutsSupport():
   end method.

   method public final logical CanExtend(input extendee as System.Object):
   end method.

   method public final Telerik.WinControls.Keyboard.InputBinding GetCommandBinding(input component as System.ComponentModel.IComponent):
   end method.

   method public final void SetCommandBinding(input component as System.ComponentModel.IComponent, input value as Telerik.WinControls.Keyboard.InputBinding):
   end method.

   method public final void ResetCommandBinding(input value as Telerik.WinControls.Keyboard.InputBinding):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
