interface Telerik.WinControls.Layouts.ILayoutManager:

   def public property MeasureQueue as Telerik.WinControls.ILayoutQueue
      get.

   def public property ArrangeQueue as Telerik.WinControls.ILayoutQueue
      get.

   def public property LayoutEvents as System.Collections.Generic.List
      get.

   def public property IsUpdating as logical
      get.

   method public void RemoveElementFromQueues(input e as Telerik.WinControls.RadElement).

   method public void IncrementLayoutCalls().

   method public void DecrementLayoutCalls().

   method public void AddToSizeChangedChain(input info as Telerik.WinControls.Layouts.SizeChangedInfo).

   method public void EnterArrange().

   method public void EnterMeasure().

   method public void ExitArrange().

   method public void ExitMeasure().

   method public void UpdateLayout().

   method public void InvokeUpdateLayoutAsync().

end interface.
