class Telerik.WinControls.Layouts.ImageAndTextLayoutPanel
   inherits Telerik.WinControls.Layouts.LayoutPanel
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode:

   def public static variable ImageAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable TextAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable TextImageRelationProperty as Telerik.WinControls.RadProperty.

   def public static variable IsImagePrimitiveProperty as Telerik.WinControls.RadProperty.

   def public static variable IsTextPrimitiveProperty as Telerik.WinControls.RadProperty.

   def public static variable DisplayStyleProperty as Telerik.WinControls.RadProperty.

   def public property ImageAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public property DisplayStyle as Telerik.WinControls.DisplayStyle
      get.
      set.

   constructor public ImageAndTextLayoutPanel():
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override void OnChildrenChanged(input child as Telerik.WinControls.RadElement, input changeOperation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

end class.
