interface Telerik.WinControls.Paint.IGraphics:

   def public property ClipRectangle as System.Drawing.Rectangle
      get.

   def public property UnderlayGraphics as System.Object
      get.

   def public property Opacity as decimal
      get.

   method public System.Object SaveState().

   method public void RestoreState(input state as System.Object).

   method public void ChangeOpacity(input opacity as decimal).

   method public void RestoreOpacity().

   method public void ChangeSmoothingMode(input smoothingMode as System.Drawing.Drawing2D.SmoothingMode).

   method public void RestoreSmoothingMode().

   method public void DrawRectangle(input rectangle as System.Drawing.Rectangle, input color as System.Drawing.Color).

   method public void DrawRectangle(input rectangle as System.Drawing.Rectangle, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPattern as System.Single extent).

   method public void ExcludeClip(input rectangle as System.Drawing.Rectangle).

   method public void FillPath(input color as System.Drawing.Color, input path as System.Drawing.Drawing2D.GraphicsPath).

   method public void FillPath(input colorStops as System.Drawing.Color extent, input colorOffsets as System.Single extent, input angle as decimal, input gradientPercentage as decimal, input gradientPercentage2 as decimal, input rectangle as System.Drawing.Rectangle, input path as System.Drawing.Drawing2D.GraphicsPath).

   method public void DrawBlurShadow(input path as System.Drawing.Drawing2D.GraphicsPath, input r as System.Drawing.Rectangle, input offset as decimal, input color as System.Drawing.Color).

   method public void DrawLinearGradientRectangle(input rectangle as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal).

   method public void DrawLinearGradientRectangle(input rectangle as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawLinearGradientRectangle(input rectangle as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPattern as System.Single extent).

   method public void DrawRadialGradientRectangle(input rectangle as System.Drawing.Rectangle, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawRadialGradientRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawRadialGradientRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawRadialGradientRectangle(input rectangle as System.Drawing.RectangleF, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPattern as System.Single extent).

   method public void DrawCustomGradientRectangle(input rectangle as System.Drawing.Rectangle, input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawCustomGradientRectangle(input rectangle as System.Drawing.RectangleF, input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawCustomGradientRectangle(input rectangle as System.Drawing.RectangleF, input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawCustomGradientRectangle(input rectangle as System.Drawing.RectangleF, input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPattern as System.Single extent).

   method public void DrawEllipse(input BorderRectangle as System.Drawing.Rectangle, input color as System.Drawing.Color).

   method public void DrawString(input drawString as character, input rectangle as System.Drawing.Rectangle, input font as System.Drawing.Font, input color as System.Drawing.Color, input stringFormat as System.Drawing.StringFormat, input orientation as System.Windows.Forms.Orientation, input flipText as logical).

   method public void DrawString(input drawString as character, input rectangle as System.Drawing.RectangleF, input font as System.Drawing.Font, input color as System.Drawing.Color, input stringFormat as System.Drawing.StringFormat, input orientation as System.Windows.Forms.Orientation, input flipText as logical).

   method public void DrawString(input textParams as Telerik.WinControls.Primitives.TextParams, input measuredSize as System.Drawing.SizeF).

   method public void DrawString(input drawString as character, input rectangle as System.Drawing.RectangleF, input font as System.Drawing.Font, input color as System.Drawing.Color, input alignment as System.Drawing.ContentAlignment, input stringFormat as System.Drawing.StringFormat, input shadow as Telerik.WinControls.Paint.ShadowSettings, input textRendering as System.Drawing.Text.TextRenderingHint, input orientation as System.Windows.Forms.Orientation, input flipText as logical).

   method public void DrawString(input drawString as character, input rectangle as System.Drawing.Rectangle, input font as System.Drawing.Font, input color as System.Drawing.Color, input alignment as System.Drawing.ContentAlignment, input stringFormat as System.Drawing.StringFormat, input shadow as Telerik.WinControls.Paint.ShadowSettings, input textRendering as System.Drawing.Text.TextRenderingHint, input orientation as System.Windows.Forms.Orientation, input flipText as logical).

   method public void DrawImage(input rectangle as System.Drawing.Rectangle, input image as System.Drawing.Image, input alignment as System.Drawing.ContentAlignment, input enabled as logical).

   method public void DrawImage(input point as System.Drawing.Point, input image as System.Drawing.Image, input enabled as logical).

   method public void DrawBitmap(input image as System.Drawing.Image, input x as integer, input y as integer).

   method public void DrawBitmap(input image as System.Drawing.Image, input x as integer, input y as integer, input opacity as decimal).

   method public void DrawBitmap(input image as System.Drawing.Image, input x as integer, input y as integer, input width as integer, input height as integer).

   method public void DrawBitmap(input image as System.Drawing.Image, input x as integer, input y as integer, input width as integer, input height as integer, input opacity as decimal).

   method public void DrawPath(input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawPath(input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawPath(input path as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPattern as System.Single extent).

   method public void DrawLinearGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal).

   method public void DrawLinearGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawLinearGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.RectangleF, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input angle as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPAttern as System.Single extent).

   method public void DrawLine(input color as System.Drawing.Color, input x1 as integer, input y1 as integer, input x2 as integer, input y2 as integer).

   method public void DrawLine(input color as System.Drawing.Color, input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal).

   method public void DrawLine(input color as System.Drawing.Color, input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal, input width as decimal).

   method public void DrawLine(input color as System.Drawing.Color, input dashStyle as System.Drawing.Drawing2D.DashStyle, input x1 as integer, input y1 as integer, input x2 as integer, input y2 as integer).

   method public void DrawRadialGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.Rectangle, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public void DrawRadialGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.Rectangle, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle).

   method public void DrawRadialGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input bounds as System.Drawing.Rectangle, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal, input dashStyle as System.Drawing.Drawing2D.DashStyle, input dashPAttern as System.Single extent).

   method public void DrawCustomGradientPath(input path as System.Drawing.Drawing2D.GraphicsPath, input gradientPath as System.Drawing.Drawing2D.GraphicsPath, input color as System.Drawing.Color, input gradientColors as System.Drawing.Color extent, input penAlignment as System.Drawing.Drawing2D.PenAlignment, input penWidth as decimal).

   method public System.Drawing.Bitmap CreateBitmapMask(input maskColor as System.Drawing.Color, input bitmap as System.Drawing.Bitmap).

   method public void FillRectangle(input BorderRectangle as System.Drawing.Rectangle, input color as System.Drawing.Color).

   method public void FillRectangle(input BorderRectangle as System.Drawing.RectangleF, input color as System.Drawing.Color).

   method public void FillTextureRectangle(input rectangle as System.Drawing.Rectangle, input texture as System.Drawing.Image).

   method public void FillTextureRectangle(input rectangle as System.Drawing.Rectangle, input texture as System.Drawing.Image, input wrapMode as System.Drawing.Drawing2D.WrapMode).

   method public void FillTextureRectangle(input rectangle as System.Drawing.RectangleF, input texture as System.Drawing.Image).

   method public void FillTextureRectangle(input rectangle as System.Drawing.RectangleF, input texture as System.Drawing.Image, input wrapMode as System.Drawing.Drawing2D.WrapMode).

   method public void FillGradientRectangle(input rectangle as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input color3 as System.Drawing.Color, input color4 as System.Drawing.Color, input style as Telerik.WinControls.GradientStyles, input angle as decimal).

   method public void FillGradientRectangle(input rectangle as System.Drawing.Rectangle, input colorStops as System.Drawing.Color extent, input colorOffsets as System.Single extent, input style as Telerik.WinControls.GradientStyles, input angle as decimal, input gradientPercentage as decimal, input gradientPercentage2 as decimal).

   method public void FillGradientRectangle(input rectangle as System.Drawing.RectangleF, input colorStops as System.Drawing.Color extent, input colorOffsets as System.Single extent, input style as Telerik.WinControls.GradientStyles, input angle as decimal, input gradientPercentage as decimal, input gradientPercentage2 as decimal).

   method public void FillGradientRectangle(input rectangle as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input angle as decimal).

   method public void FillGlassRectangle(input rectangle as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input color3 as System.Drawing.Color, input color4 as System.Drawing.Color, input gradientPercentage as decimal, input gradientPercentage2 as decimal).

   method public void FillOfficeGlassRectangle(input rectangle as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input color3 as System.Drawing.Color, input color4 as System.Drawing.Color, input gradientPercentage as decimal, input gradientPercentage2 as decimal, input drawEllipse as logical).

   method public void FillVistaRectangle(input rectangle as System.Drawing.Rectangle, input color1 as System.Drawing.Color, input color2 as System.Drawing.Color, input color3 as System.Drawing.Color, input color4 as System.Drawing.Color, input gradientPercentage as decimal, input gradientPercentage2 as decimal).

   method public void FillGellRectangle(input rectangle as System.Drawing.Rectangle, input colorStops as System.Drawing.Color extent, input gradientPercentage as decimal, input gradientPercentage2 as decimal).

   method public void FillPolygon(input color as System.Drawing.Color, input points as System.Drawing.Point extent).

   method public void FillPolygon(input color as System.Drawing.Color, input points as System.Drawing.PointF extent).

   method public void FillPolygon(input brush as System.Drawing.Brush, input points as System.Drawing.PointF extent).

   method public void DrawRoundRect(input rectangle as System.Drawing.Rectangle, input color as System.Drawing.Color, input borderWidth as decimal, input radius as integer).

   method public void TranslateTransform(input offsetX as integer, input offsetY as integer).

   method public void TranslateTransform(input offsetX as decimal, input offsetY as decimal).

   method public void RotateTransform(input angleInDegrees as decimal).

   method public void ResetTransform().

   method public void ScaleTransform(input scale as System.Drawing.SizeF).

   method public void PushCurrentClippingPath(input path as System.Drawing.Drawing2D.GraphicsPath).

   method public System.Drawing.Drawing2D.GraphicsPath PopCurrentClippingPath().

   method public System.Drawing.SizeF MeasureString(input text as character, input font as System.Drawing.Font, input stringFormat as System.Drawing.StringFormat).

   method public void DrawBorder(input rectangle as System.Drawing.RectangleF, input borderElement as Telerik.WinControls.Primitives.IBorderElement).

end interface.
