class Telerik.WinControls.Primitives.ArrowPrimitive
   inherits Telerik.WinControls.Primitives.BasePrimitive
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, Telerik.WinControls.Primitives.IPrimitive:

   def public static variable MinHorizontalSize as System.Drawing.Size.

   def public static variable MinVerticalSize as System.Drawing.Size.

   def public static variable DirectionProperty as Telerik.WinControls.RadProperty.

   def public override property StretchHorizontally as logical
      get.
      set.

   def public override property StretchVertically as logical
      get.
      set.

   def public property Direction as Telerik.WinControls.ArrowDirection
      get.
      set.

   constructor public ArrowPrimitive():
   end constructor.

   constructor public ArrowPrimitive(input arrowDirection as Telerik.WinControls.ArrowDirection):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public override void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

end class.
