class Telerik.WinControls.Primitives.BorderPrimitive
   inherits Telerik.WinControls.Primitives.BasePrimitive
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, Telerik.WinControls.Primitives.IPrimitive, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement:

   def public static variable BorderBoxStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable BorderDrawModeProperty as Telerik.WinControls.RadProperty.

   def public static variable WidthProperty as Telerik.WinControls.RadProperty.

   def public static variable LeftWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable TopWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable RightWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable BottomWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable LeftColorProperty as Telerik.WinControls.RadProperty.

   def public static variable TopColorProperty as Telerik.WinControls.RadProperty.

   def public static variable RightColorProperty as Telerik.WinControls.RadProperty.

   def public static variable BottomColorProperty as Telerik.WinControls.RadProperty.

   def public static variable LeftShadowColorProperty as Telerik.WinControls.RadProperty.

   def public static variable TopShadowColorProperty as Telerik.WinControls.RadProperty.

   def public static variable RightShadowColorProperty as Telerik.WinControls.RadProperty.

   def public static variable BottomShadowColorProperty as Telerik.WinControls.RadProperty.

   def public static variable GradientAngleProperty as Telerik.WinControls.RadProperty.

   def public static variable GradientStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable ForeColor2Property as Telerik.WinControls.RadProperty.

   def public static variable ForeColor3Property as Telerik.WinControls.RadProperty.

   def public static variable ForeColor4Property as Telerik.WinControls.RadProperty.

   def public static variable InnerColorProperty as Telerik.WinControls.RadProperty.

   def public static variable InnerColor2Property as Telerik.WinControls.RadProperty.

   def public static variable InnerColor3Property as Telerik.WinControls.RadProperty.

   def public static variable InnerColor4Property as Telerik.WinControls.RadProperty.

   def public static variable PaintUsingParentShapeProperty as Telerik.WinControls.RadProperty.

   def public static variable BorderDashStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable BorderDashPatternProperty as Telerik.WinControls.RadProperty.

   def protected override property ShouldPaintUsingParentShape as logical
      get.

   def public override property FitToSizeMode as Telerik.WinControls.RadFitToSizeMode
      get.
      set.

   def public property BoxStyle as Telerik.WinControls.BorderBoxStyle
      get.
      set.

   def public property BorderDrawMode as Telerik.WinControls.BorderDrawModes
      get.
      set.

   def public property Width as decimal
      get.
      set.

   def public property LeftWidth as decimal
      get.
      set.

   def public property TopWidth as decimal
      get.
      set.

   def public property RightWidth as decimal
      get.
      set.

   def public property BottomWidth as decimal
      get.
      set.

   def public property LeftColor as System.Drawing.Color
      get.
      set.

   def public property TopColor as System.Drawing.Color
      get.
      set.

   def public property RightColor as System.Drawing.Color
      get.
      set.

   def public property BottomColor as System.Drawing.Color
      get.
      set.

   def public property LeftShadowColor as System.Drawing.Color
      get.
      set.

   def public property TopShadowColor as System.Drawing.Color
      get.
      set.

   def public property RightShadowColor as System.Drawing.Color
      get.
      set.

   def public property BottomShadowColor as System.Drawing.Color
      get.
      set.

   def public property PaintUsingParentShape as logical
      get.
      set.

   def public property BorderDashStyle as System.Drawing.Drawing2D.DashStyle
      get.
      set.

   def public property BorderDashPattern as System.Single extent
      get.
      set.

   def public property Offset as System.Drawing.SizeF
      get.

   def public property BorderSize as System.Drawing.SizeF
      get.

   def public property HorizontalWidth as decimal
      get.

   def public property VerticalWidth as decimal
      get.

   def public property GradientAngle as decimal
      get.
      set.

   def public property GradientStyle as Telerik.WinControls.GradientStyles
      get.
      set.

   def public property ForeColor2 as System.Drawing.Color
      get.
      set.

   def public property ForeColor3 as System.Drawing.Color
      get.
      set.

   def public property ForeColor4 as System.Drawing.Color
      get.
      set.

   def public property InnerColor as System.Drawing.Color
      get.
      set.

   def public property InnerColor2 as System.Drawing.Color
      get.
      set.

   def public property InnerColor3 as System.Drawing.Color
      get.
      set.

   def public property InnerColor4 as System.Drawing.Color
      get.
      set.

   def public override property SmoothingMode as System.Drawing.Drawing2D.SmoothingMode
      get.
      set.

   constructor public BorderPrimitive():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected logical ShouldUsePaintBuffer():
   end method.

   method public override Telerik.WinControls.Filter GetStylablePropertiesFilter():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override System.Object GetDefaultValue(input propVal as Telerik.WinControls.RadPropertyValue, input baseDefaultValue as System.Object):
   end method.

   method public override logical ShouldSerializeProperty(input property as System.ComponentModel.PropertyDescriptor):
   end method.

   method public override void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void OnParentChanged(input previousParent as Telerik.WinControls.RadElement):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnChildrenChanged(input child as Telerik.WinControls.RadElement, input changeOperation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method public final System.Windows.Forms.Padding GetBorderThickness():
   end method.

end class.
