interface Telerik.WinControls.Primitives.IPrimitiveElement
   inherits Telerik.WinControls.Primitives.IShapedElement:

   def public property Size as System.Drawing.Size
      get.

   def public property IsDesignMode as logical
      get.

   def public property Parent as Telerik.WinControls.RadElement
      get.

   def public property ElementTree as Telerik.WinControls.ComponentThemableElementTree
      get.

   def public property BorderThickness as decimal
      get.

   def public property Font as System.Drawing.Font
      get.
      set.

   method public System.Drawing.RectangleF GetPaintRectangle(input left as decimal, input angle as decimal, input scale as System.Drawing.SizeF).

   method public logical ShouldUsePaintBuffer().

   method public System.Drawing.RectangleF GetExactPaintingRectangle(input angle as decimal, input scale as System.Drawing.SizeF).

   method public Telerik.WinControls.ElementShape GetCurrentShape().

end interface.
