class Telerik.WinControls.Primitives.ImagePrimitive
   inherits Telerik.WinControls.Primitives.BasePrimitive
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, Telerik.WinControls.Primitives.IPrimitive, Telerik.WinControls.Primitives.IImageElement:

   def public static variable ImageProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageIndexProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageKeyProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageScalingProperty as Telerik.WinControls.RadProperty.

   def public static variable TransparentColorProperty as Telerik.WinControls.RadProperty.

   def public static variable ScaleSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable UseSmallImageListProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageLayoutProperty as Telerik.WinControls.RadProperty.

   def public override property StretchHorizontally as logical
      get.
      set.

   def public override property StretchVertically as logical
      get.
      set.

   def public property ImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property ScaleSize as System.Drawing.Size
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property RenderImage as System.Drawing.Image
      get.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property UseSmallImageList as logical
      get.
      set.

   def public property ImageScaling as Telerik.WinControls.Enumerations.ImageScaling
      get.
      set.

   def public property ActualIndex as integer
      get.

   def public override property IsEmpty as logical
      get.

   def public property TransparentColor as System.Drawing.Color
      get.
      set.

   def public property RotateFlipType as System.Drawing.RotateFlipType
      get.
      set.

   constructor public ImagePrimitive():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public override Telerik.WinControls.Filter GetStylablePropertiesFilter():
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override void OnUnloaded(input oldTree as Telerik.WinControls.ComponentThemableElementTree):
   end method.

   method protected override void OnTunnelEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method public override void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

end class.
