class Telerik.WinControls.PropertySetting
   inherits System.Object
   implements Telerik.WinControls.IPropertySetting:

   def public variable PropertyMapper as Telerik.WinControls.PropertyMapper.

   def public property Name as character
      get.
      set.

   def public property FullName as character
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property EndValue as System.Object
      get.
      set.

   def public property AnimatedSetting as Telerik.WinControls.AnimatedPropertySetting
      get.
      set.

   def public property Property as Telerik.WinControls.RadProperty
      get.
      set.

   constructor public PropertySetting():
   end constructor.

   constructor public PropertySetting(input propertyName as character, input value as System.Object):
   end constructor.

   constructor public PropertySetting(input property as Telerik.WinControls.RadProperty, input value as System.Object):
   end constructor.

   constructor public PropertySetting(input setting as Telerik.WinControls.PropertySetting):
   end constructor.

   method public final System.Object GetCurrentValue(input forObject as Telerik.WinControls.RadObject):
   end method.

   method public final void ApplyValue(input element as Telerik.WinControls.RadObject):
   end method.

   method public final void UnapplyValue(input element as Telerik.WinControls.RadObject):
   end method.

   method public final static Telerik.WinControls.RadProperty FindProperty(input currentType as System.Type, input propertyName as character, input fallback as logical):
   end method.

end class.
