class Telerik.WinControls.RadControl
   inherits System.Windows.Forms.ScrollableControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider:

   def protected variable isAccessibilityRequested as logical.

   def public static property IsTrial as logical
      get.

   def public property IsLoaded as logical
      get.

   def public property LayoutManager as Telerik.WinControls.Layouts.ILayoutManager
      get.

   def public property ElementTree as Telerik.WinControls.ComponentThemableElementTree
      get.

   def public property Behavior as Telerik.WinControls.ComponentInputBehavior
      get.

   def public property RootElement as Telerik.WinControls.RootRadElement
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property ThemeName as character
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property EnableTheming as logical
      get.
      set.

   def public property ThemeClassName as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ImageScalingSize as System.Drawing.Size
      get.
      set.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property MaximumSize as System.Drawing.Size
      get.
      set.

   def public override property MinimumSize as System.Drawing.Size
      get.
      set.

   def public property Focusable as logical
      get.
      set.

   def public override property Site as System.ComponentModel.ISite
      get.
      set.

   def public property CausesValidation as logical
      get.
      set.

   def public property IsInitializing as logical
      get.

   def public property SmallImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property SmallImageScalingSize as System.Drawing.Size
      get.
      set.

   def public property IsDesignMode as logical
      get.

   def public property IsDisplayed as logical
      get.

   def public property FocusedElement as Telerik.WinControls.RadElement
      get.
      set.

   def public property AllowShowFocusCues as logical
      get.
      set.

   def public property ShowItemToolTips as logical
      get.
      set.

   def public property CommandBindings as Telerik.WinControls.Keyboard.InputBindingsCollection
      get.

   def public property EnableKeyMap as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def protected property ValidationCancel as logical
      get.

   def public property EnableGestures as logical
      get.
      set.

   def public property EnableAnalytics as logical
      get.
      set.

   def public property AnalyticsName as character
      get.
      set.

   def public property EnableRadAccessibilityObjects as logical
      get.
      set.

   def public property AccessibilityRequested as logical
      get.
      set.

   def public property EnableCodedUITests as logical
      get.
      set.

   def public event ElementInvalidated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ToolTipTextNeeded signature void (input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs).

   def public event ScreenTipNeeded signature void (input sender as System.Object, input e as Telerik.WinControls.ScreenTipNeededEventArgs).

   def public event ThemeNameChanged signature void (input source as System.Object, input args as Telerik.WinControls.ThemeNameChangedEventArgs).

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event ZoomGesture signature void (input sender as System.Object, input e as Telerik.WinControls.ZoomGestureEventArgs).

   def public event RotateGesture signature void (input sender as System.Object, input e as Telerik.WinControls.RotateGestureEventArgs).

   def public event PanGesture signature void (input sender as System.Object, input e as Telerik.WinControls.PanGestureEventArgs).

   def public event TwoFingerTapGesture signature void (input sender as System.Object, input e as Telerik.WinControls.GestureEventArgs).

   def public event PressAndTapGesture signature void (input sender as System.Object, input e as Telerik.WinControls.PressAndTapGestureEventArgs).

   constructor public RadControl():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected void Construct():
   end method.

   method protected Telerik.WinControls.ComponentInputBehavior CreateBehavior():
   end method.

   method protected Telerik.WinControls.RootRadElement CreateRootElement():
   end method.

   method protected void CreateChildItems(input parent as Telerik.WinControls.RadElement):
   end method.

   method protected void InitializeRootElement(input rootElement as Telerik.WinControls.RootRadElement):
   end method.

   method public void LoadElementTree():
   end method.

   method public void LoadElementTree(input desiredSize as System.Drawing.Size):
   end method.

   method public final void SetIsInitializing(input value as logical):
   end method.

   method public final logical ShouldSerializeBackColor():
   end method.

   method public final logical ShouldSerializeForeColor():
   end method.

   method public final logical ShouldSerializeFont():
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBindingContextChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnAutoSizeChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnInvalidated(input element as Telerik.WinControls.RadElement):
   end method.

   method protected void OnLoad(input desiredSize as System.Drawing.Size):
   end method.

   method protected void OnCaptureLosing():
   end method.

   method protected void OnThemeChanged():
   end method.

   method protected void OnToolTipTextNeeded(input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs):
   end method.

   method protected void OnScreenTipNeeded(input sender as System.Object, input e as Telerik.WinControls.ScreenTipNeededEventArgs):
   end method.

   method protected void OnThemeNameChanged(input e as Telerik.WinControls.ThemeNameChangedEventArgs):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected logical ProcessFocusRequested(input element as Telerik.WinControls.RadElement):
   end method.

   method protected logical ProcessCaptureChangeRequested(input element as Telerik.WinControls.RadElement, input capture as logical):
   end method.

   method protected void ProcessAutoSizeChanged(input value as logical):
   end method.

   method public final void CallOnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method public final void CallBaseOnGotFocus(input e as System.EventArgs):
   end method.

   method public final void CallBaseOnLostFocus(input e as System.EventArgs):
   end method.

   method public final void CallOnToolTipTextNeeded(input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs):
   end method.

   method public final void CallOnScreenTipNeeded(input sender as System.Object, input e as Telerik.WinControls.ScreenTipNeededEventArgs):
   end method.

   method public final void CallOnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallOnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallOnClick(input e as System.EventArgs):
   end method.

   method public final void CallOnDoubleClick(input e as System.EventArgs):
   end method.

   method public final void CallOnMouseEnter(input e as System.EventArgs):
   end method.

   method public final void CallOnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallOnMouseLeave(input e as System.EventArgs):
   end method.

   method public final void CallOnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallOnMouseHover(input e as System.EventArgs):
   end method.

   method public final void CallOnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method public final void CallBaseOnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void CallOnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void CallBaseOnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public final void CallOnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected Telerik.WinControls.RadElement GetInputElement():
   end method.

   method public final void CallBaseOnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void CallOnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void CallOnThemeNameChanged(input e as Telerik.WinControls.ThemeNameChangedEventArgs):
   end method.

   method public final void CallOnVisibleChanged(input e as System.EventArgs):
   end method.

   method public void BeginInit():
   end method.

   method public void EndInit():
   end method.

   method protected void OnNotifyPropertyChanged(input propertyName as character):
   end method.

   method protected void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method public override System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected void OnZoomGesture(input args as Telerik.WinControls.ZoomGestureEventArgs):
   end method.

   method protected void OnRotateGesture(input args as Telerik.WinControls.RotateGestureEventArgs):
   end method.

   method protected void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method protected void OnTwoFingerTapGesture(input args as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected void OnPressAndTapGesture(input args as Telerik.WinControls.PressAndTapGestureEventArgs):
   end method.

   method protected void OnGesture(input args as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected final logical ProcessGesture(input m as System.Windows.Forms.Message):
   end method.

   method public final void EnableGesture(input type as Telerik.WinControls.GestureType):
   end method.

   method public final void DisableGesture(input type as Telerik.WinControls.GestureType):
   end method.

   method public override void Refresh():
   end method.

   method public final void SuspendUpdate():
   end method.

   method public final void ResumeUpdate():
   end method.

   method public final void ResumeUpdate(input invalidate as logical):
   end method.

   method public final void InvokeLayoutCallback(input callback as Telerik.WinControls.Layouts.LayoutCallback):
   end method.

   method public void RegisterHostedControl(input hostElement as Telerik.WinControls.RadHostItem):
   end method.

   method public void UnregisterHostedControl(input hostElement as Telerik.WinControls.RadHostItem, input removeControl as logical):
   end method.

   method public logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement):
   end method.

   method public Telerik.WinControls.StyleGroup ResolveStyleGroupForElement(input styleGroup as Telerik.WinControls.StyleGroup, input element as Telerik.WinControls.RadObject):
   end method.

   method public final character GetPlainText():
   end method.

   method public final logical CanEditUIElement(input element as Telerik.WinControls.RadElement):
   end method.

   method public final Telerik.WinControls.RadElement GetChildAt(input index as integer):
   end method.

   method protected logical ShouldSerializeProperty(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected logical CanEditElementAtDesignTime(input element as Telerik.WinControls.RadElement):
   end method.

   method public final System.Drawing.Size GetControlDefaultSize():
   end method.

   method public final static System.Drawing.Size GetDpiScaledSize(input dpi96Size as System.Drawing.Size):
   end method.

   method public final static System.Drawing.SizeF GetDpiScaledSize(input dpi96Size as System.Drawing.SizeF):
   end method.

   method protected void ProcessCodedUIMessage(input request as Telerik.WinControls.CodedUI.IPCMessage):
   end method.

   method protected logical FindPropertyInChildren(input radControl as Telerik.WinControls.RadControl, input request as Telerik.WinControls.CodedUI.IPCMessage):
   end method.

   method public final void CallAccessibilityNotifyClients(input accEvent as System.Windows.Forms.AccessibleEvents, input childId as integer):
   end method.

end class.
