class Telerik.WinControls.RadHostItem
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def protected static variable RadHostItemLastStateKey as int64.

   def public property HostedControl as System.Windows.Forms.Control
      get.

   def public property RouteMessages as logical
      get.
      set.

   def public property CausesValidation as logical
      get.
      set.

   def public override property Enabled as logical
      get.
      set.

   def public property ClipControl as logical
      get.
      set.

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event GotFocus signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LostFocus signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadHostItem(input c as System.Windows.Forms.Control):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method public override logical Focus():
   end method.

   method public final void UpdateControlVisibility():
   end method.

   method protected void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnValidated(input e as System.EventArgs):
   end method.

   method protected void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override void OnElementTreeChanged(input previousTree as Telerik.WinControls.ComponentThemableElementTree):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnTunnelEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnTransformationInvalidated():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void ArrangeCore(input finalRect as System.Drawing.RectangleF):
   end method.

   method protected void SyncBoundsWithHostedControl():
   end method.

   method protected final void EnsureHostedControl():
   end method.

end class.
