class Telerik.WinControls.RadItem
   inherits Telerik.WinControls.RadComponentElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def protected static variable RadItemLastStateKey as int64.

   def public static variable KeyDownEvent as Telerik.WinControls.RoutedEvent.

   def public static variable KeyPressEvent as Telerik.WinControls.RoutedEvent.

   def public static variable KeyUpEvent as Telerik.WinControls.RoutedEvent.

   def public static variable FocusCommand as Telerik.WinControls.Elements.FocusCommand.

   def public static variable ActionCommand as Telerik.WinControls.Elements.ClickCommand.

   def public static variable UseDefaultDisabledPaintProperty as Telerik.WinControls.RadProperty.

   def public static variable TextProperty as Telerik.WinControls.RadProperty.

   def public static variable TextOrientationProperty as Telerik.WinControls.RadProperty.

   def public static variable FlipTextProperty as Telerik.WinControls.RadProperty.

   def public static variable StringAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable IsAddNewItemProperty as Telerik.WinControls.RadProperty.

   def public static variable ToolTipTextProperty as Telerik.WinControls.RadProperty.

   def public static variable VisualStateProperty as Telerik.WinControls.RadProperty.

   def public property UseDefaultDisabledPaint as logical
      get.
      set.

   def public property TextOrientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property FlipText as logical
      get.
      set.

   def public override property CanHaveOwnStyle as logical
      get.

   def public property Text as character
      get.
      set.

   def public property Selectable as logical
      get.

   def public property DesignTimeAllowDrop as logical
      get.
      set.

   def public property DesignTimeAllowDrag as logical
      get.
      set.

   def protected property DefaultAutoToolTip as logical
      get.

   def public override property ShouldHandleMouseInput as logical
      get.
      set.

   def public property KeyTip as character
      get.
      set.

   def protected property ParentItem as Telerik.WinControls.RadItem
      get.

   def public property CommandBinding as Telerik.WinControls.Keyboard.InputBinding
      get.
      set.

   def protected property ShortcutsHandler as Telerik.WinControls.IComponentTreeHandler
      get.

   def protected property MnemonicText as character
      get.

   def public override property SerializeProperties as logical
      get.
      set.

   def public override property ToolTipText as character
      get.
      set.

   def public property ThemeRole as character
      get.
      set.

   def public property VisualState as character
      get.
      set.

   def public property StateManager as Telerik.WinControls.Styles.ItemStateManagerBase
      get.
      set.

   def public property AllowDrag as logical
      get.
      set.

   def public property AllowDrop as logical
      get.
      set.

   def public property Shortcuts as Telerik.WinControls.RadShortcutCollection
      get.

   def public property AccessibleDescription as character
      get.
      set.

   def public property AccessibleName as character
      get.
      set.

   def public property AccessibleRole as System.Windows.Forms.AccessibleRole
      get.
      set.

   def public property ContainsMnemonic as logical
      get.
      set.

   def public property EnableAnalytics as logical
      get.
      set.

   def public event TextChanging signature void (input sender as System.Object, input e as Telerik.WinControls.TextChangingEventArgs).

   def public event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextOrientationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FlipTextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event QueryAccessibilityHelp signature void (input sender as System.Object, input e as System.Windows.Forms.QueryAccessibilityHelpEventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event ZoomGesture signature void (input sender as System.Object, input e as Telerik.WinControls.ZoomGestureEventArgs).

   def public event RotateGesture signature void (input sender as System.Object, input e as Telerik.WinControls.RotateGestureEventArgs).

   def public event PanGesture signature void (input sender as System.Object, input e as Telerik.WinControls.PanGestureEventArgs).

   def public event TwoFingerTapGesture signature void (input sender as System.Object, input e as Telerik.WinControls.GestureEventArgs).

   def public event PressAndTapGesture signature void (input sender as System.Object, input e as Telerik.WinControls.PressAndTapGestureEventArgs).

   constructor public RadItem():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected void SetOwnerCollection(input ownerCollection as Telerik.WinControls.RadItemOwnerCollection):
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method public final logical Select():
   end method.

   method protected void OnSelect():
   end method.

   method public final void Deselect():
   end method.

   method protected void OnDeselect():
   end method.

   method protected void DoKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void DoKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void DoKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public override void RaiseBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnPropertyChanging(input args as Telerik.WinControls.RadPropertyChangingEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnTextChanging(input e as Telerik.WinControls.TextChangingEventArgs):
   end method.

   method protected void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextOrientationChanged(input e as System.EventArgs):
   end method.

   method protected void OnFlipTextChanged(input e as System.EventArgs):
   end method.

   method protected override void PaintOverride(input screenRadGraphics as Telerik.WinControls.Paint.IGraphics, input clipRectangle as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected logical ContainsText():
   end method.

   method public override logical ShouldSerializeProperty(input property as System.ComponentModel.PropertyDescriptor):
   end method.

   method protected logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method public logical ProcessMnemonic(input charCode as character):
   end method.

   method public final void CallRaiseKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void RaiseKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void CallRaiseKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void RaiseKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public final void CallRaiseKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void RaiseKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void CallOnGesture(input args as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected void OnGesture(input args as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected void OnTwoFingerTapGesture(input args as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected void OnPressAndTapGesture(input args as Telerik.WinControls.PressAndTapGestureEventArgs):
   end method.

   method protected void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method protected void OnRotateGesture(input args as Telerik.WinControls.RotateGestureEventArgs):
   end method.

   method protected void OnZoomGesture(input args as Telerik.WinControls.ZoomGestureEventArgs):
   end method.

   method protected logical CanDragCore(input dragStartPoint as System.Drawing.Point):
   end method.

   method protected System.Object GetDragContextCore():
   end method.

   method protected System.Drawing.Image GetDragHintCore():
   end method.

   method protected void ProcessDragDrop(input dropLocation as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

   method protected logical ProcessDragOver(input mousePosition as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

   method protected void ProcessDragEnter(input mousePosition as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

   method protected void ProcessDragLeave(input oldMousePosition as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

   method protected void UpdateOnShortcutsChanged():
   end method.

   method protected logical CanHandleShortcut(input e as Telerik.WinControls.ShortcutEventArgs):
   end method.

   method protected logical IsOnActiveForm(input focusedControl as System.Windows.Forms.Control, input checkLoaded as logical):
   end method.

   method protected logical ShouldFallbackToDefaultTheme():
   end method.

end class.
