class Telerik.WinControls.RadObject
   inherits Telerik.WinControls.DisposableObject
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor:

   def public static variable BindingContextProperty as Telerik.WinControls.RadProperty.

   def public static variable RadType as Telerik.WinControls.RadObjectType.

   def public property PropertyValues as Telerik.WinControls.RadPropertyValueCollection
      get.

   def public property IsDesignMode as logical
      get.
      set.

   def public property PropertyFilter as Telerik.WinControls.Filter
      get.
      set.

   def public property RadObjectType as Telerik.WinControls.RadObjectType
      get.

   def public property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event RadPropertyChanged signature void (input sender as System.Object, input e as Telerik.WinControls.RadPropertyChangedEventArgs).

   def public event RadPropertyChanging signature void (input sender as System.Object, input args as Telerik.WinControls.RadPropertyChangingEventArgs).

   constructor public RadObject():
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method protected void ClearPropertyStore():
   end method.

   method public final void SuspendPropertyNotifications():
   end method.

   method public final void ResumePropertyNotifications():
   end method.

   method public final Telerik.WinControls.RadPropertyValue GetPropertyValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult SetDefaultValueOverride(input property as Telerik.WinControls.RadProperty, input value as System.Object):
   end method.

   method public final void SetValueAtDesignTime(input property as Telerik.WinControls.RadProperty, input value as System.Object):
   end method.

   method public System.Object GetValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult SetValue(input property as Telerik.WinControls.RadProperty, input value as System.Object):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult ResetValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult ResetValue(input property as Telerik.WinControls.RadProperty, input flags as Telerik.WinControls.ValueResetFlags):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult UpdateValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.ValueSource GetValueSource(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.RadProperty GetRegisteredRadProperty(input propertyName as character):
   end method.

   method protected Telerik.WinControls.ValueUpdateResult UpdateValueCore(input propVal as Telerik.WinControls.RadPropertyValue):
   end method.

   method protected Telerik.WinControls.ValueUpdateResult SetValueCore(input propVal as Telerik.WinControls.RadPropertyValue, input propModifier as System.Object, input newValue as System.Object, input source as Telerik.WinControls.ValueSource):
   end method.

   method protected Telerik.WinControls.ValueUpdateResult ResetValueCore(input propVal as Telerik.WinControls.RadPropertyValue, input flags as Telerik.WinControls.ValueResetFlags):
   end method.

   method protected System.Object GetDefaultValue(input propVal as Telerik.WinControls.RadPropertyValue, input baseDefaultValue as System.Object):
   end method.

   method protected System.Object CoerceValue(input propVal as Telerik.WinControls.RadPropertyValue, input baseValue as System.Object):
   end method.

   method public logical ShouldSerializeProperty(input property as System.ComponentModel.PropertyDescriptor):
   end method.

   method protected logical CanRaisePropertyChangeNotifications(input propVal as Telerik.WinControls.RadPropertyValue):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult BindProperty(input propertyToBind as Telerik.WinControls.RadProperty, input sourceObject as Telerik.WinControls.RadObject, input sourceProperty as Telerik.WinControls.RadProperty, input options as Telerik.WinControls.PropertyBindingOptions):
   end method.

   method public final Telerik.WinControls.ValueUpdateResult UnbindProperty(input boundProperty as Telerik.WinControls.RadProperty):
   end method.

   method protected Telerik.WinControls.ValueUpdateResult AddStylePropertySetting(input setting as Telerik.WinControls.IPropertySetting):
   end method.

   method public void RemoveStylePropertySetting(input setting as Telerik.WinControls.IPropertySetting):
   end method.

   method public final void RemoveStylePropertySetting(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected System.Object GetInheritedValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected void OnPropertyChanging(input args as Telerik.WinControls.RadPropertyChangingEventArgs):
   end method.

   method protected void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnNotifyPropertyChanged(input propertyName as character):
   end method.

   method protected void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected logical IsPropertyCancelable(input metadata as Telerik.WinControls.RadPropertyMetadata):
   end method.

end class.
