class Telerik.WinControls.RootRadElement
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def public static variable OnRoutedImageListChanged as Telerik.WinControls.RoutedEvent.

   def public static variable AutoSizeChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable StretchChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable RootLayoutSuspendedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable RootLayoutResumedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable UsePaintCacheProperty as Telerik.WinControls.RadProperty.

   def public static variable ApplyShapeToControlProperty as Telerik.WinControls.RadProperty.

   def public static variable ControlBoundsProperty as Telerik.WinControls.RadProperty.

   def public static variable ControlDefaultSizeProperty as Telerik.WinControls.RadProperty.

   def public override property IsElementVisible as logical
      get.

   def public override property AutoSizeMode as Telerik.WinControls.RadAutoSizeMode
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property RightToLeft as logical
      get.
      set.

   def public override property UseCompatibleTextRendering as logical
      get.
      set.

   def public property ControlBounds as System.Drawing.Rectangle
      get.
      set.

   def public property UsePaintCache as logical
      get.
      set.

   def public property ApplyShapeToControl as logical
      get.
      set.

   def public property DisableControlSizeSet as logical
      get.
      set.

   def public property ControlDefaultSize as System.Drawing.Size
      get.
      set.

   def public override property Padding as System.Windows.Forms.Padding
      get.
      set.

   constructor public RootRadElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public final void SaveCurrentStretchModeAsDefault():
   end method.

   method public final void NotifyControlImageListChanged():
   end method.

   method public override logical ShouldSerializeProperty(input property as System.ComponentModel.PropertyDescriptor):
   end method.

   method protected override void OnPropertyChanging(input args as Telerik.WinControls.RadPropertyChangingEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnLayoutPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnBoundsChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnLocationChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnDisplayPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnControlDefaultSizeChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureCore(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void ArrangeCore(input finalRect as System.Drawing.RectangleF):
   end method.

   method protected override System.Drawing.RectangleF GetArrangeRect(input proposed as System.Drawing.RectangleF):
   end method.

   method public final void Paint(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectangle as System.Drawing.Rectangle):
   end method.

   method public final void Paint(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectangle as System.Drawing.Rectangle, input useRelativeTransformation as logical):
   end method.

   method protected override System.Object GetInheritedValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected override logical PerformLayoutTransformation(input matrix as Telerik.WinControls.Layouts.RadMatrix):
   end method.

   method protected override System.Object CoerceValue(input propVal as Telerik.WinControls.RadPropertyValue, input baseValue as System.Object):
   end method.

end class.
