class Telerik.WinControls.Theme
   inherits System.Object
   implements System.ICloneable:

   def public property Name as character
      get.
      set.

   def public property StyleGroups as System.Collections.Generic.List
      get.

   def public property Repositories as System.Collections.Generic.List
      get.

   def public property DesignTimeVisible as logical
      get.
      set.

   constructor public Theme():
   end constructor.

   constructor public Theme(input name as character):
   end constructor.

   method public final Telerik.WinControls.StyleGroup FindStyleGroup(input controlType as character):
   end method.

   method public final Telerik.WinControls.StyleGroup FindStyleGroup(input control as System.Windows.Forms.Control):
   end method.

   method public final Telerik.WinControls.StyleGroup FindStyleGroup(input item as Telerik.WinControls.IStylableNode):
   end method.

   method public final Telerik.WinControls.StyleRepository FindRepository(input key as character):
   end method.

   method public final void MergeRepositories():
   end method.

   method public final logical IsCompatible(input themeName as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadTSSP(input filePath as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadXML(input filePath as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadCSS(input filePath as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadCSSText(input text as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadFile(input filePath as character):
   end method.

   method public final static Telerik.WinControls.Theme ReadResource(input resourceAssembly as System.Reflection.Assembly, input resourcePath as character):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final void Combine(input theme as Telerik.WinControls.Theme, input mergeRepositories as logical, input replaceExistingStyles as logical):
   end method.

   method public final static character BorderPropertyMapper(input propertyName as character, input targetObject as Telerik.WinControls.RadObject):
   end method.

end class.
