class Telerik.WinControls.UI.Appointment
   inherits Telerik.WinControls.UI.Event
   implements Telerik.WinControls.UI.IEvent, Telerik.WinControls.UI.Data.IDataBoundItem, System.ComponentModel.INotifyPropertyChanged, Telerik.WinControls.UI.IRemindObject:

   def public property HasOccurrences as logical
      get.

   def public property HasExceptions as logical
      get.

   constructor public Appointment():
   end constructor.

   constructor public Appointment(input start as datetime, input duration as System.TimeSpan):
   end constructor.

   constructor public Appointment(input start as datetime, input duration as System.TimeSpan, input summary as character):
   end constructor.

   constructor public Appointment(input start as datetime, input duration as System.TimeSpan, input summary as character, input description as character):
   end constructor.

   constructor public Appointment(input start as datetime, input duration as System.TimeSpan, input summary as character, input description as character, input location as character):
   end constructor.

   constructor public Appointment(input start as datetime, input end as datetime):
   end constructor.

   constructor public Appointment(input start as datetime, input end as datetime, input summary as character):
   end constructor.

   constructor public Appointment(input start as datetime, input end as datetime, input summary as character, input description as character):
   end constructor.

   constructor public Appointment(input start as datetime, input end as datetime, input summary as character, input description as character, input location as character):
   end constructor.

   method protected override Telerik.WinControls.UI.Event CreateOccurrenceInstance():
   end method.

   method public override character ToString():
   end method.

end class.
