class Telerik.WinControls.UI.AppointmentElement
   inherits Telerik.WinControls.UI.SchedulerVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.ISchedulerRecyclableElement:

   def public static variable SelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable ResizeIndicatorSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable ResizeIndicatorColorProperty as Telerik.WinControls.RadProperty.

   def public static variable SelectedBorderColorProperty as Telerik.WinControls.RadProperty.

   def public variable DesiredBounds as System.Drawing.RectangleF.

   def public property TitleFormat as character
      get.
      set.

   def public property ShowAppointmentDescription as logical
      get.
      set.

   def public property Recurring as logical
      get.

   def public override property Text as character
      get.
      set.

   def public property AppointmentSubject as character
      get.
      set.

   def public property AppointmentIcon as System.Drawing.Image
      get.
      set.

   def public property AppointmentLocation as character
      get.
      set.

   def public property AppointmentDescription as character
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property RelatedAppointments as System.Collections.Generic.List
      get.
      set.

   def public property Start as datetime
      get.
      set.

   def public property End as datetime
      get.
      set.

   def public property Appointment as Telerik.WinControls.UI.IEvent
      get.
      set.

   def public property UseDefaultPaint as logical
      get.
      set.

   def public property ResizeIndicatorSize as System.Drawing.Size
      get.
      set.

   def public property ResizeIndicatorColor as System.Drawing.Color
      get.
      set.

   def public property SelectedBorderColor as System.Drawing.Color
      get.
      set.

   def public property UseHtml as logical
      get.
      set.

   constructor public AppointmentElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input appointment as Telerik.WinControls.UI.IEvent):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method public void Synchronize():
   end method.

   method public void SyncronizeStartAndEndWithEvent():
   end method.

   method public void SetBackgroundId(input backgroundId as integer):
   end method.

   method protected override void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.RectangleF GetClientRectangle(input finalSize as System.Drawing.SizeF):
   end method.

   method public void DrawEventText(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public void PaintAppointmentIcon(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public void PaintRecurrenceIcon(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public void DrawShadow(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public void DrawDefaultBackground(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public System.Drawing.SizeF DrawDefaultBorder(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method public void DrawResizeHandles(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void PaintBorder(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void PaintFill(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void PaintText(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected void InitializeAppointment():
   end method.

   method protected character CreateAppointmentText():
   end method.

   method protected override logical ProcessDragOver(input mousePosition as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

end class.
