class Telerik.WinControls.UI.AutoCompleteSuggestHelper
   inherits Telerik.WinControls.UI.BaseAutoComplete
   implements System.IDisposable:

   def public property IsItemsDirty as logical
      get.

   def protected property Filter as character
      get.

   def public property SuggestMode as Telerik.WinControls.UI.SuggestMode
      get.
      set.

   def protected property StringComparison as System.StringComparison
      get.

   def public property AutoCompleteDataSource as System.Object
      get.
      set.

   def public property AutoCompleteValueMember as character
      get.
      set.

   def public property AutoCompleteDisplayMember as character
      get.
      set.

   def public property DropDownList as Telerik.WinControls.UI.RadDropDownListElement
      get.
      set.

   constructor public AutoCompleteSuggestHelper(input owner as Telerik.WinControls.UI.RadDropDownListElement):
   end constructor.

   method public void PopupClosed(input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method public void CollectionChanged(input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected integer ClampSelectedIndex(input down as logical, input selectedIndex as integer, input itemsCount as integer):
   end method.

   method public void HandleSelectNextOrPrev(input next as logical):
   end method.

   method public override void AutoComplete(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected logical DefaultFilter(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void SyncOwnerElementWithSelectedIndex():
   end method.

   method protected void SyncItems():
   end method.

   method protected void SyncItemsCore():
   end method.

   method protected void SelectedIndexChanged(input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangedEventArgs):
   end method.

   method public character SetFindStringFromBack():
   end method.

   method public character SetFindString(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public void HandleAutoSuggest(input filter as character):
   end method.

   method public void ShowDropDownList():
   end method.

   method public void ApplyFilterToDropDown(input filter as character):
   end method.

   method public final override void Dispose():
   end method.

end class.
