class Telerik.WinControls.UI.BaseInputEditor
   inherits System.Object
   implements Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize
   abstract:

   def protected variable isInitializing as logical.

   def protected variable originalValue as System.Object.

   def public property IsActive as logical
      get.

   def public property IsInitalizing as logical
      get.

   def public property IsInBeginEditMode as logical
      get.

   def public property OwnerElement as Telerik.WinControls.RadElement
      get.
      protectedset.

   def public property RightToLeft as logical
      get.

   def public property EditorManager as Telerik.WinControls.UI.IEditorManager
      get.
      set.

   def public abstract property DataType as System.Type
      get.

   def public property Value as System.Object
      get.
      set.

   def public property IsModified as logical
      get.

   def public property EditorElement as Telerik.WinControls.RadElement
      get.

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValidationError signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValidationErrorEventArgs).

   constructor protected BaseInputEditor():
   end constructor.

   method public final void SetIsInBeginEditMode(input value as logical):
   end method.

   method public void Initialize(input owner as System.Object, input value as System.Object):
   end method.

   method public void BeginEdit():
   end method.

   method public logical EndEdit():
   end method.

   method public logical Validate():
   end method.

   method public final void BeginInit():
   end method.

   method public final void EndInit():
   end method.

   method public void OnValueChanging(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method public void OnValueChanged():
   end method.

   method public void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method public void OnValidated():
   end method.

   method public void OnValidationError(input args as Telerik.WinControls.UI.ValidationErrorEventArgs):
   end method.

   method protected abstract Telerik.WinControls.RadElement CreateEditorElement().

end class.
