class Telerik.WinControls.UI.CalendarNavigationElement
   inherits Telerik.WinControls.UI.CalendarVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable LeftButtonImageProperty as Telerik.WinControls.RadProperty.

   def public static variable RightButtonImageProperty as Telerik.WinControls.RadProperty.

   def public static variable FastRightButtonImageProperty as Telerik.WinControls.RadProperty.

   def public static variable FastLeftButtonImageProperty as Telerik.WinControls.RadProperty.

   def public override property StretchVertically as logical
      get.
      set.

   def public property FastNavigationItemsCount as integer
      get.
      set.

   def public property FastBackwardButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property FastForwardButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property PreviousButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property NextButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property RightButtonImage as System.Drawing.Image
      get.
      set.

   def public property LeftButtonImage as System.Drawing.Image
      get.
      set.

   def public property FastRightButtonImage as System.Drawing.Image
      get.
      set.

   def public property FastLeftButtonImage as System.Drawing.Image
      get.
      set.

   def public property MonthStep as integer
      get.
      set.

   def public property NavigationMode as Telerik.WinControls.UI.HeaderNavigationMode
      get.
      set.

   def public property Direction as integer
      get.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void UpdateView(input view as Telerik.WinControls.UI.CalendarView):
   end method.

   method protected void UpdateVisuals():
   end method.

   method public override void RefreshVisuals():
   end method.

   method public override void RefreshVisuals(input unconditional as logical):
   end method.

end class.
