class Telerik.WinControls.UI.DayViewAppointmentsTable
   inherits Telerik.WinControls.UI.SchedulerCellContainer
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public property Area as Telerik.WinControls.UI.DayViewAppointmentsArea
      get.

   def public property Feedback as Telerik.WinControls.UI.DragFeedbackElement
      get.

   constructor public DayViewAppointmentsTable(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input area as Telerik.WinControls.UI.DayViewAppointmentsArea):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeCells(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeAppointments(input finalSize as System.Drawing.SizeF):
   end method.

   method protected datetime GetRulerRoundedDateTime(input time as datetime, input roundUp as logical):
   end method.

   method public final System.Drawing.PointF GetItemLocationInTable(input date as datetime, input finalSize as System.Drawing.SizeF):
   end method.

   method public final decimal GetItemHeight(input start as datetime, input end as datetime):
   end method.

   method protected System.Drawing.RectangleF GetFeedbackElementArrangeRectangle(input feedback as Telerik.WinControls.UI.DragFeedbackElement, input finalSize as System.Drawing.SizeF):
   end method.

   method public final void ScrollToTime(input time as System.TimeSpan):
   end method.

   method public final void ScrollToWorkHours():
   end method.

   method public final System.Collections.Generic.List GetVisibleCells():
   end method.

   method public final void Scroll(input up as logical):
   end method.

   method protected void DrawCurrentTimeIndicator(input currentDateTime as datetime, input todayCell as Telerik.WinControls.UI.SchedulerCellElement, input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected override void PaintChild(input child as Telerik.WinControls.RadElement, input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected override void UpdateCellsCore():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateCellElements():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateAppointmentElements():
   end method.

   method protected override void DisposeManagedResources():
   end method.

end class.
