class Telerik.WinControls.UI.DayViewHeader
   inherits Telerik.WinControls.UI.SchedulerCellContainer
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable LeftCellClassName as character.

   def public static variable RightCellClassName as character.

   def public static variable HeaderHeightProperty as Telerik.WinControls.RadProperty.

   def public property HeaderHeight as integer
      get.
      set.

   def public property DayViewElement as Telerik.WinControls.UI.SchedulerDayViewElement
      get.

   constructor public DayViewHeader(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input dayViewElement as Telerik.WinControls.UI.SchedulerDayViewElement):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public final Telerik.WinControls.UI.SchedulerHeaderCellElement GetLeftCornerCell():
   end method.

   method public final Telerik.WinControls.UI.SchedulerHeaderCellElement GetRightCornerCell():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method public final void SetCornerCellsVisibility(input visible as logical):
   end method.

   method protected override void UpdateCellsCore():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateCellElements():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateAppointmentElements():
   end method.

end class.
