class Telerik.WinControls.UI.EditorBaseElement
   inherits Telerik.WinControls.UI.RadEditorElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize
   abstract:

   def protected variable EditorHandler as Telerik.WinControls.UI.IEditorHandler.

   def protected variable originalValue as System.Object.

   def public property EditorElement as Telerik.WinControls.RadItem
      get.
      set.

   def public property NullValue as System.Object
      get.
      set.

   def public property EditorType as character
      get.

   def public property IsModified as logical
      get.

   def public property IsNestedEditor as logical
      get.

   def public property Value as System.Object
      get.
      set.

   def public property DefaultValue as System.Object
      get.
      set.

   def public property MinValue as System.Object
      get.
      set.

   def public property MaxValue as System.Object
      get.
      set.

   def public property VisualMode as Telerik.WinControls.UI.EditorVisualMode
      get.

   def public property SupportedType as Telerik.WinControls.UI.EditorSupportedType
      get.

   def public property EditorManager as Telerik.WinControls.UI.IEditorManager
      get.
      set.

   def public property Focusable as logical
      get.
      set.

   def public property IsEnabled as logical
      get.

   def public property IsMouseCaptured as logical
      get.

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event QueryValue signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event ValidationError signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValidationErrorEventArgs).

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Format signature void (input sender as System.Object, input e as System.Windows.Forms.ConvertEventArgs).

   def public event Parse signature void (input sender as System.Object, input e as System.Windows.Forms.ConvertEventArgs).

   constructor protected EditorBaseElement():
   end constructor.

   method protected void InitializeFields():
   end method.

   method protected void OnValidationError(input args as Telerik.WinControls.UI.ValidationErrorEventArgs):
   end method.

   method protected void OnValidationError(input message as character):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnTextChanging(input e as Telerik.WinControls.TextChangingEventArgs):
   end method.

   method protected void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnValidating(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnValidated(input e as System.EventArgs):
   end method.

   method protected void OnValueChanging(input args as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnValueChanged(input args as System.EventArgs):
   end method.

   method protected void OnQueryValue(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected System.Windows.Forms.Form FindForm():
   end method.

   method public void BeginInit():
   end method.

   method public void EndInit():
   end method.

   method public final void ProcessKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public final void ProcessKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void ProcessKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public final void ProcessMouseEnter(input e as System.EventArgs):
   end method.

   method public final void ProcessMouseLeave(input e as System.EventArgs):
   end method.

   method public final void ProcessMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void ProcessMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void ProcessMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void ProcessMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnFormat(input e as System.Windows.Forms.ConvertEventArgs):
   end method.

   method protected void OnParse(input e as System.Windows.Forms.ConvertEventArgs):
   end method.

   method public final Telerik.WinControls.RadElement FocusableElement():
   end method.

   method public void Initialize():
   end method.

   method public void Initialize(input value as System.Object):
   end method.

   method public final void Initialize(input owner as System.Object, input value as System.Object):
   end method.

   method public void BeginEdit():
   end method.

   method public logical EndEdit():
   end method.

   method public logical Validate():
   end method.

   method protected void ValidateCore():
   end method.

   method public final logical CaptureMouse():
   end method.

   method public final void ReleaseMouseCapture():
   end method.

end class.
