class Telerik.WinControls.UI.ExpanderItem
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable ExpandedChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable SignPaddingProperty as Telerik.WinControls.RadProperty.

   def public static variable SignWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable SignBorderWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable SignBorderPaddingProperty as Telerik.WinControls.RadProperty.

   def public static variable DrawSignBorderProperty as Telerik.WinControls.RadProperty.

   def public static variable DrawSignFillProperty as Telerik.WinControls.RadProperty.

   def public static variable SignBorderColorProperty as Telerik.WinControls.RadProperty.

   def public static variable SignBackColorProperty as Telerik.WinControls.RadProperty.

   def public static variable SignBackColor2Property as Telerik.WinControls.RadProperty.

   def public static variable SignBackColor3Property as Telerik.WinControls.RadProperty.

   def public static variable SignBackColor4Property as Telerik.WinControls.RadProperty.

   def public static variable SignNumberOfColorsProperty as Telerik.WinControls.RadProperty.

   def public static variable SignGradientStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable SignGradientAngleProperty as Telerik.WinControls.RadProperty.

   def public static variable SignGradientPercentageProperty as Telerik.WinControls.RadProperty.

   def public static variable SignGradientPercentage2Property as Telerik.WinControls.RadProperty.

   def public static variable SignStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable SquareSignSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable SignSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable ExpandedProperty as Telerik.WinControls.RadProperty.

   def public static variable SignImageProperty as Telerik.WinControls.RadProperty.

   def public static variable LinkLineStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable LinkOrientationProperty as Telerik.WinControls.RadProperty.

   def public static variable LinkLineColorProperty as Telerik.WinControls.RadProperty.

   def public property SignPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property SignWidth as decimal
      get.
      set.

   def public property SignBorderWidth as decimal
      get.
      set.

   def public property SignBorderPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property DrawSignBorder as logical
      get.
      set.

   def public property DrawSignFill as logical
      get.
      set.

   def public property SignBorderColor as System.Drawing.Color
      get.
      set.

   def public property SignBackColor as System.Drawing.Color
      get.
      set.

   def public property SignBackColor2 as System.Drawing.Color
      get.
      set.

   def public property SignBackColor3 as System.Drawing.Color
      get.
      set.

   def public property SignBackColor4 as System.Drawing.Color
      get.
      set.

   def public property SignNumberOfColors as integer
      get.
      set.

   def public property SignGradientStyle as Telerik.WinControls.GradientStyles
      get.
      set.

   def public property SignGradientAngle as decimal
      get.
      set.

   def public property SignGradientPercentage as decimal
      get.
      set.

   def public property SignGradientPercentage2 as decimal
      get.
      set.

   def public property SignStyle as Telerik.WinControls.UI.SignStyles
      get.
      set.

   def public property SquareSignSize as logical
      get.
      set.

   def public property SignSize as System.Drawing.Size
      get.
      set.

   def public property Expanded as logical
      get.
      set.

   def public property SignImage as System.Drawing.Image
      get.
      set.

   def public property LinkOrientation as Telerik.WinControls.UI.ExpanderItem+LinkLineOrientation
      get.
      set.

   def public property LinkLineStyle as System.Drawing.Drawing2D.DashStyle
      get.
      set.

   def public property LinkLineColor as System.Drawing.Color
      get.
      set.

   constructor public ExpanderItem():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override logical IsPropertyCancelable(input metadata as Telerik.WinControls.RadPropertyMetadata):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void ToggleExpanded():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected void PaintFill(input g as Telerik.WinControls.Paint.IGraphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintBorder(input g as Telerik.WinControls.Paint.IGraphics, input signBorder as System.Drawing.Rectangle):
   end method.

   method protected void PaintSign(input g as Telerik.WinControls.Paint.IGraphics, input signRect as System.Drawing.Rectangle):
   end method.

   method protected void PaintSignLines(input g as Telerik.WinControls.Paint.IGraphics, input signRect as System.Drawing.Rectangle, input signBorder as System.Drawing.Rectangle):
   end method.

end class.
