class Telerik.WinControls.UI.HostedTextBoxBase
   inherits System.Windows.Forms.TextBox
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property NullTextColor as System.Drawing.Color
      get.
      set.

   def public property UseGenericBorderPaint as logical
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property PromptForeColor as System.Drawing.Color
      get.
      set.

   def public override property Multiline as logical
      get.
      set.

   constructor public HostedTextBoxBase():
   end constructor.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTextAlignChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void WndProc(input message as System.Windows.Forms.Message):
   end method.

   method protected final void PaintBorders(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected final void PaintBordersCore(input graphics as System.Drawing.Graphics, input windowRectangle as System.Drawing.Rectangle):
   end method.

   method protected void DrawTextPrompt():
   end method.

   method protected void DrawNullText(input graphics as System.Drawing.Graphics):
   end method.

   method public final logical ShouldSerializeNullText():
   end method.

   method public final void ResetNullText():
   end method.

end class.
