class Telerik.WinControls.UI.ListDataLayer
   inherits System.Object
   implements Telerik.WinControls.Data.IDataItemSource:

   def public property ChangeCurrentOnAdd as logical
      get.
      set.

   def public property ListSource as Telerik.WinControls.Data.RadListSource
      get.

   def public property DataMember as character
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property DisplayMember as character
      get.
      set.

   def public property DescriptionTextMember as character
      get.
      set.

   def public property CheckedMember as character
      get.
      set.

   def public property ValueMember as character
      get.
      set.

   def public property CurrentItem as Telerik.WinControls.UI.RadListDataItem
      get.
      set.

   def public property CurrentPosition as integer
      get.
      set.

   def public property DataView as Telerik.WinControls.Data.RadCollectionView
      get.

   def public property Items as Telerik.WinControls.UI.RadListDataItemCollection
      get.

   def public property Owner as Telerik.WinControls.UI.RadListElement
      get.

   def public property BindingContext as System.Windows.Forms.BindingContext
      get.

   def public event CurrentPositionChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangedEventArgs).

   def public event CurrentPositionChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangingCancelEventArgs).

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BindingContextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ListDataLayer(input owner as Telerik.WinControls.UI.RadListElement):
   end constructor.

   method protected void WireEvents():
   end method.

   method protected void UnwireEvents():
   end method.

   method protected Telerik.WinControls.UI.ListControlListSource CreateListSource():
   end method.

   method protected Telerik.WinControls.UI.RadListDataItemCollection CreateItemsCollection(input owner as Telerik.WinControls.UI.RadListElement):
   end method.

   method protected void CollectionView_CurrentChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void CollectionView_CurrentChanging(input sender as System.Object, input e as System.ComponentModel.CancelEventArgs):
   end method.

   method public final void Refresh():
   end method.

   method public final System.Object GetDisplayValue(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method public final System.Object GetDescriptionTextValue(input item as Telerik.WinControls.UI.DescriptionTextListDataItem):
   end method.

   method public final character GetUnformattedValue(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method public final System.Object GetValue(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method public final integer GetRowIndex(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method public final Telerik.WinControls.UI.RadListDataItem GetItemAtIndex(input index as integer):
   end method.

   method public final integer GetVisibleItemsCount():
   end method.

   method public final System.Collections.Generic.List GetItemRange(input startIndex as integer, input endIndex as integer):
   end method.

   method protected void OnCurrentPositionChanged(input newPosition as integer):
   end method.

   method protected logical OnCurrentPositionChanging(input newPosition as integer):
   end method.

   method public final Telerik.WinControls.Data.IDataItem NewItem():
   end method.

   method public final void Initialize():
   end method.

end class.
