class Telerik.WinControls.UI.OccurrenceEnumerator
   inherits System.Object
   implements System.Collections.Generic.IEnumerator, System.IDisposable, System.Collections.IEnumerator, System.Collections.Generic.IEnumerable, System.Collections.IEnumerable:

   def protected variable recurringEvent as Telerik.WinControls.UI.IEvent.

   def protected variable occurrenceIndex as integer.

   def protected variable occurrenceStartDate as datetime.

   def protected variable occurrencesCount as integer.

   def protected variable currentOccurrenceStart as datetime.

   def protected variable fromLimit as datetime.

   def protected variable toLimit as datetime.

   def public property CurrentDateTimeFormat as System.Globalization.DateTimeFormatInfo
      get.
      set.

   def public property Current as Telerik.WinControls.UI.IEvent
      get.

   constructor public OccurrenceEnumerator(input recurringEvent as Telerik.WinControls.UI.IEvent):
   end constructor.

   constructor public OccurrenceEnumerator(input recurringEvent as Telerik.WinControls.UI.IEvent, input dateTimeFormat as System.Globalization.DateTimeFormatInfo):
   end constructor.

   constructor public OccurrenceEnumerator(input recurringEvent as Telerik.WinControls.UI.IEvent, input dateTimeFormat as System.Globalization.DateTimeFormatInfo, input from as datetime, input to as datetime):
   end constructor.

   constructor public OccurrenceEnumerator(input recurringEvent as Telerik.WinControls.UI.IEvent, input dateTimeFormat as System.Globalization.DateTimeFormatInfo, input from as datetime, input to as datetime, input checkExceptions as logical):
   end constructor.

   method public final static System.Collections.Generic.IEnumerable GetOccurrences(input appointment as Telerik.WinControls.UI.IEvent, input from as datetime, input to as datetime):
   end method.

   method public final static System.Collections.Generic.IEnumerable GetOccurrences(input appointment as Telerik.WinControls.UI.IEvent, input from as datetime, input to as datetime, input checkExceptions as logical):
   end method.

   method public final void Dispose():
   end method.

   method public logical MoveNext(input system as Telerik.WinControls.UI.SchedulerTimeZone, input active as Telerik.WinControls.UI.SchedulerTimeZone):
   end method.

   method public logical MoveNext():
   end method.

   method public void Reset():
   end method.

   method public final System.Collections.Generic.IEnumerator GetEnumerator():
   end method.

end class.
