class Telerik.WinControls.UI.PopupEditorBaseElement
   inherits Telerik.WinControls.UI.EditorBaseElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize
   abstract:

   def public property OwnerOffset as integer
      get.
      set.

   def public property PopupForm as Telerik.WinControls.UI.RadPopupControlBase
      get.

   def public property IsPopupOpen as logical
      get.

   def public property EditorContainsFocus as logical
      get.

   def public event PopupOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PopupOpening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event PopupClosing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   def public event PopupClosed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   constructor protected PopupEditorBaseElement():
   end constructor.

   method protected void DisposeManagedResources():
   end method.

   method protected final void DisposePopupForm():
   end method.

   method protected void DisposePopupFormCore(input dispose as logical):
   end method.

   method protected void WirePopupFormEvents(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected void UnwirePopupFormEvents(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected void TooglePopupState():
   end method.

   method public final void ClosePopup():
   end method.

   method public void ClosePopup(input reason as Telerik.WinControls.UI.RadPopupCloseReason):
   end method.

   method public void ShowPopup():
   end method.

   method protected System.Drawing.Size GetInitialPopupSize():
   end method.

   method protected void ShowPopupCore(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected System.Drawing.Point GetPopupLocation(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected System.Drawing.Size GetPopupSize(input popup as Telerik.WinControls.UI.RadPopupControlBase, input measure as logical):
   end method.

   method protected void UpdatePopupMinMaxSize(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method public final static void ApplyThemeToPopup(input elementTree as Telerik.WinControls.RadElementTree, input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected void ApplyThemeToPopup(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

   method protected logical CanDisplayPopup():
   end method.

   method protected Telerik.WinControls.UI.RadPopupControlBase CreatePopupForm():
   end method.

   method protected Telerik.WinControls.UI.RadPopupControlBase GetPopupForm():
   end method.

   method protected void OnPopupOpening(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnPopupOpened(input args as System.EventArgs):
   end method.

   method protected void OnPopupClosing(input e as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void OnPopupClosed(input e as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected final void OnEditorKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void ProcessPopupTabKey(input e as System.Windows.Forms.KeyEventArgs):
   end method.

end class.
