class Telerik.WinControls.UI.PopupEditorElement
   inherits Telerik.WinControls.UI.PopupEditorBaseElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize:

   def public property MaxDropDownItems as integer
      get.
      set.

   def public property AutoCompleteDataSource as System.Object
      get.
      set.

   def public property AutoCompleteValueMember as character
      get.
      set.

   def public property AutoCompleteDisplayMember as character
      get.
      set.

   def public property DropDownHeight as integer
      get.
      set.

   def public property Popup as Telerik.WinControls.UI.RadEditorPopupControlBase
      get.
      set.

   def public property DefaultItemsCountInDropDown as integer
      get.
      set.

   def public property ListElement as Telerik.WinControls.UI.RadListElement
      get.
      set.

   def public property DropDownMaxSize as System.Drawing.Size
      get.
      set.

   def public property DropDownMinSize as System.Drawing.Size
      get.
      set.

   constructor public PopupEditorElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected void CreateChildElements():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected void WireEvents():
   end method.

   method protected void UnwireEvents():
   end method.

   method protected void OnAutoCompeleteDataSourceChanged():
   end method.

   method protected void listElement_DataItemPropertyChanged(input sender as System.Object, input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnPopupClosed(input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected void OnPopupOpened(input sender as System.Object, input e as System.EventArgs):
   end method.

   method public void NotifyOwner(input notificationData as Telerik.WinControls.UI.PopupEditorNotificationData):
   end method.

   method protected void SetDropDownBindingContext():
   end method.

   method protected override System.Drawing.Size GetPopupSize(input popup as Telerik.WinControls.UI.RadPopupControlBase, input measure as logical):
   end method.

   method public final System.Drawing.Size GetDesiredPopupSize():
   end method.

   method protected override void UpdatePopupMinMaxSize(input popup as Telerik.WinControls.UI.RadPopupControlBase):
   end method.

end class.
