class Telerik.WinControls.UI.PropertyGridItemElementBase
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.IVirtualizedElement:

   def public static variable IsSelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsExpandedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsControlInactiveProperty as Telerik.WinControls.RadProperty.

   def public property IsSelected as logical
      get.
      set.

   def public property IsExpanded as logical
      get.
      set.

   def public property IsControlFocused as logical
      get.
      set.

   def public property PropertyTableElement as Telerik.WinControls.UI.PropertyGridTableElement
      get.

   def public property Data as Telerik.WinControls.UI.PropertyGridItemBase
      get.

   constructor public PropertyGridItemElementBase():
   end constructor.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnItemPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void item_PropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void OnFormatting():
   end method.

   method public void Attach(input data as Telerik.WinControls.UI.PropertyGridItemBase, input context as System.Object):
   end method.

   method public void Detach():
   end method.

   method public void Synchronize():
   end method.

   method public logical IsCompatible(input data as Telerik.WinControls.UI.PropertyGridItemBase, input context as System.Object):
   end method.

end class.
