class Telerik.WinControls.UI.PropertyGridTableElement
   inherits Telerik.WinControls.UI.VirtualizedScrollPanel
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.Data.IDataItemSource:

   def public static variable ItemHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable ItemIndentProperty as Telerik.WinControls.RadProperty.

   def protected variable isChanging as logical.

   def public variable CreateItem as Telerik.WinControls.UI.CreatePropertyGridItemEventHandler.

   def public variable CreateItemElement as Telerik.WinControls.UI.CreatePropertyGridItemElementEventHandler.

   def public property EnableCustomGrouping as logical
      get.
      set.

   def public property UseCachedValues as logical
      get.
      set.

   def public property ScrollBehavior as Telerik.WinControls.UI.ScrollServiceBehavior
      get.

   def public property EnableKineticScrolling as logical
      get.
      set.

   def public property PropertyGridElement as Telerik.WinControls.UI.PropertyGridElement
      get.

   def public property ActiveEditor as Telerik.WinControls.UI.IValueEditor
      get.

   def public property PropertySort as System.Windows.Forms.PropertySort
      get.
      set.

   def public property MinimumColumnWidth as integer
      get.
      set.

   def public property IsEditing as logical
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property OverrideBuiltInEditors as logical
      get.
      set.

   def public property ValueColumnWidth as integer
      get.
      set.

   def public property AutoExpandGroups as logical
      get.
      set.

   def public property GroupDescriptors as Telerik.WinControls.Data.GroupDescriptorCollection
      get.

   def public property FilterDescriptors as Telerik.WinControls.Data.FilterDescriptorCollection
      get.

   def public property SortDescriptors as Telerik.WinControls.Data.SortDescriptorCollection
      get.

   def public property SortOrder as System.Windows.Forms.SortOrder
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property ItemIndent as integer
      get.
      set.

   def public property SelectedObject as System.Object
      get.
      set.

   def public property SelectedObjects as System.Object extent
      get.
      set.

   def public property CollectionView as Telerik.WinControls.Data.RadCollectionView
      get.

   def public property ListSource as Telerik.WinControls.Data.RadListSource
      get.

   def public property SelectedGridItem as Telerik.WinControls.UI.PropertyGridItemBase
      get.
      set.

   def public property Groups as Telerik.WinControls.UI.PropertyGridGroupItemCollection
      get.

   def public property PropertyItems as Telerik.WinControls.UI.PropertyGridRootItemsCollection
      get.

   def public property ContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property BeginEditMode as Telerik.WinControls.UI.RadPropertyGridBeginEditModes
      get.
      set.

   def public override property ItemSpacing as integer
      get.
      set.

   def public property KeyboardSearchEnabled as logical
      get.
      set.

   def public property KeyboardSearchResetInterval as integer
      get.
      set.

   def public property FindStringComparer as Telerik.WinControls.UI.IFindStringComparer
      get.
      set.

   def public event CustomGrouping signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridCustomGroupingEventArgs).

   def public event SelectedObjectChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangingEventArgs).

   def public event SelectedObjectChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangedEventArgs).

   def public event ItemFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemFormattingEventArgs).

   def public event ItemMouseDown signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs).

   def public event ItemMouseClick signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ItemMouseDoubleClick signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ItemMouseMove signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs).

   def public event ItemExpandedChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs).

   def public event ItemExpandedChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event SelectedGridItemChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs).

   def public event SelectedGridItemChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event EditorRequired signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridEditorRequiredEventArgs).

   def public event Editing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditingEventArgs).

   def public event EditorInitialized signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditorInitializedEventArgs).

   def public event Edited signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditedEventArgs).

   def public event PropertyValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemValueChangingEventArgs).

   def public event PropertyValueChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemValueChangedEventArgs).

   def public event ContextMenuOpening signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridContextMenuOpeningEventArgs).

   def public event PropertyValidating signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyValidatingEventArgs).

   def public event PropertyValidated signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyValidatedEventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BindingContextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public PropertyGridTableElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override Telerik.WinControls.UI.IVirtualizedElementProvider CreateElementProvider():
   end method.

   method protected override void WireEvents():
   end method.

   method protected override void UnwireEvents():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected void OnCustomGrouping(input e as Telerik.WinControls.UI.PropertyGridCustomGroupingEventArgs):
   end method.

   method protected void OnSelectedObjectChnging(input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangingEventArgs):
   end method.

   method protected void OnSelectedObjectChanged(input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangedEventArgs):
   end method.

   method protected void OnItemFormatting(input e as Telerik.WinControls.UI.PropertyGridItemFormattingEventArgs):
   end method.

   method protected void OnItemMouseDown(input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs):
   end method.

   method protected void OnItemMouseClick(input e as Telerik.WinControls.UI.RadPropertyGridEventArgs):
   end method.

   method protected void OnItemMouseDoubleClick(input e as Telerik.WinControls.UI.RadPropertyGridEventArgs):
   end method.

   method protected void OnItemMouseMove(input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs):
   end method.

   method protected void OnItemExpandedChanging(input e as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs):
   end method.

   method protected void OnItemExpandedChanged(input e as Telerik.WinControls.UI.RadPropertyGridEventArgs):
   end method.

   method protected void OnSelectedGridItemChanging(input args as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs):
   end method.

   method protected void OnSelectedGridItemChanged(input args as Telerik.WinControls.UI.RadPropertyGridEventArgs):
   end method.

   method protected void OnEditorRequired(input e as Telerik.WinControls.UI.PropertyGridEditorRequiredEventArgs):
   end method.

   method protected void OnEditing(input e as Telerik.WinControls.UI.PropertyGridItemEditingEventArgs):
   end method.

   method protected void OnEditorInitialized(input e as Telerik.WinControls.UI.PropertyGridItemEditorInitializedEventArgs):
   end method.

   method protected void OnEdited(input e as Telerik.WinControls.UI.PropertyGridItemEditedEventArgs):
   end method.

   method protected void OnPropertyValueChanging(input e as Telerik.WinControls.UI.PropertyGridItemValueChangingEventArgs):
   end method.

   method protected void OnPropertyValueChanged(input e as Telerik.WinControls.UI.PropertyGridItemValueChangedEventArgs):
   end method.

   method protected void OnContextMenuOpening(input e as Telerik.WinControls.UI.PropertyGridContextMenuOpeningEventArgs):
   end method.

   method protected void OnCreateItem(input e as Telerik.WinControls.UI.CreatePropertyGridItemEventArgs):
   end method.

   method protected void OnCreateItemElement(input e as Telerik.WinControls.UI.CreatePropertyGridItemElementEventArgs):
   end method.

   method protected void OnPropertyValidating(input e as Telerik.WinControls.UI.PropertyValidatingEventArgs):
   end method.

   method protected void OnPropertyValidated(input e as Telerik.WinControls.UI.PropertyValidatedEventArgs):
   end method.

   method protected void OnValueChanging(input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnValueChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method public final void BestFit():
   end method.

   method public final void BestFit(input mode as Telerik.WinControls.UI.PropertyGridBestFitMode):
   end method.

   method public final void BeginUpdate():
   end method.

   method public final void EndUpdate():
   end method.

   method public final void EndUpdate(input performUpdate as logical, input action as Telerik.WinControls.UI.PropertyGridTableElement+UpdateActions):
   end method.

   method public final void Update(input updateAction as Telerik.WinControls.UI.PropertyGridTableElement+UpdateActions):
   end method.

   method public final Telerik.WinControls.UI.PropertyGridItemElementBase GetElementAt(input x as integer, input y as integer):
   end method.

   method public final void EnsureVisible(input item as Telerik.WinControls.UI.PropertyGridItemBase):
   end method.

   method public final void ScrollToItem(input item as Telerik.WinControls.UI.PropertyGridItemBase):
   end method.

   method public final Telerik.WinControls.UI.RadContextMenu GetElementContextMenu(input element as Telerik.WinControls.UI.PropertyGridItemElementBase):
   end method.

   method public final void ResetColumnWidths():
   end method.

   method public void SortSubItems():
   end method.

   method protected void EnsureVisibleCore(input item as Telerik.WinControls.UI.PropertyGridItemBase):
   end method.

   method protected void PerformPropertySort(input propertySort as System.Windows.Forms.PropertySort):
   end method.

   method protected Telerik.WinControls.UI.PropertyGridItem GetSelectedObjectDefaultProperty():
   end method.

   method protected void UpdateScrollers(input updateAction as Telerik.WinControls.UI.PropertyGridTableElement+UpdateActions):
   end method.

   method protected void SynchronizeVisualItems():
   end method.

   method protected override void scroller_ScrollerUpdated(input sender as System.Object, input e as System.EventArgs):
   end method.

   method public logical ProcessMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProcessMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProcessMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProecessMouseEnter(input e as System.EventArgs):
   end method.

   method public logical ProecessMouseLeave(input e as System.EventArgs):
   end method.

   method public logical ProcessMouseClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProcessMouseDoubleClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProcessMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical ProcessKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected logical ProcessKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public logical ProcessContextMenu(input location as System.Drawing.Point):
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override void OnAutoSizeChanged():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected logical ProcessSelection(input item as Telerik.WinControls.UI.PropertyGridItemBase, input isMouseSelection as logical):
   end method.

   method protected Telerik.WinControls.UI.PropertyGridItemBase GetFirstMatch(input searchCriteria as character, input items as System.Collections.Generic.IList):
   end method.

   method protected override void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method public final Telerik.WinControls.Data.IDataItem NewItem():
   end method.

   method public final Telerik.WinControls.Data.IDataItem NewItem(input parentItem as Telerik.WinControls.UI.PropertyGridItem):
   end method.

   method public final void Initialize():
   end method.

   method public final void BindingComplete():
   end method.

   method protected System.Type GetEditorTypeForItem(input item as Telerik.WinControls.UI.PropertyGridItem):
   end method.

   method public logical BeginEdit():
   end method.

   method public final System.Drawing.Imaging.ImageFormat GetImageFormat(input image as System.Drawing.Image):
   end method.

   method public final logical EndEdit():
   end method.

   method public final void CancelEdit():
   end method.

   method protected logical EndEditCore(input commitChanges as logical):
   end method.

   method protected Telerik.WinControls.UI.IInputEditor GetEditor(input editorType as System.Type):
   end method.

   method protected logical IsItemEditable(input item as Telerik.WinControls.UI.PropertyGridItem):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

end class.
