class Telerik.WinControls.UI.PropertyStoreItem
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged:

   def public property PropertyType as System.Type
      get.
      set.

   def public property PropertyName as character
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property Category as character
      get.
      set.

   def public property Label as character
      get.
      set.

   def public property Attributes as System.Collections.Generic.List
      get.
      set.

   def public property Owner as Telerik.WinControls.UI.RadPropertyStore
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PropertyStoreItem(input propertyType as System.Type, input propertyName as character, input value as System.Object):
   end constructor.

   constructor public PropertyStoreItem(input propertyType as System.Type, input propertyName as character, input value as System.Object, input description as character):
   end constructor.

   constructor public PropertyStoreItem(input propertyType as System.Type, input propertyName as character, input value as System.Object, input description as character, input category as character):
   end constructor.

   constructor public PropertyStoreItem(input propertyType as System.Type, input propertyName as character, input value as System.Object, input description as character, input category as character, input readOnly as logical):
   end constructor.

   method public void ResetValue():
   end method.

   method protected void OnNotifyPropertyChanged(input args as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
