class Telerik.WinControls.UI.RadButtonElement
   inherits Telerik.WinControls.UI.RadButtonItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, System.Windows.Forms.IButtonControl, Telerik.WinControls.Primitives.IImageElement:

   def public static variable LargeImageProperty as Telerik.WinControls.RadProperty.

   def public static variable LargeImageIndexProperty as Telerik.WinControls.RadProperty.

   def public static variable LargeImageKeyProperty as Telerik.WinControls.RadProperty.

   def public static variable SmallImageProperty as Telerik.WinControls.RadProperty.

   def public static variable SmallImageIndexProperty as Telerik.WinControls.RadProperty.

   def public static variable SmallImageKeyProperty as Telerik.WinControls.RadProperty.

   def public static variable UseSmallImageListProperty as Telerik.WinControls.RadProperty.

   def public property ButtonFillElement as Telerik.WinControls.Primitives.FillPrimitive
      get.
      protectedset.

   def public property BorderElement as Telerik.WinControls.Primitives.BorderPrimitive
      get.
      protectedset.

   def public property TextElement as Telerik.WinControls.Primitives.TextPrimitive
      get.
      protectedset.

   def public property ImagePrimitive as Telerik.WinControls.Primitives.ImagePrimitive
      get.
      protectedset.

   def public property FocusPrimitive as Telerik.WinControls.Primitives.FocusPrimitive
      get.

   def public property LayoutPanel as Telerik.WinControls.Layouts.ImageAndTextLayoutPanel
      get.
      protectedset.

   def public property LargeImage as System.Drawing.Image
      get.

   def public property LargeImageIndex as integer
      get.

   def public property LargeImageKey as character
      get.

   def public property SmallImage as System.Drawing.Image
      get.
      set.

   def public property SmallImageIndex as integer
      get.
      set.

   def public property SmallImageKey as character
      get.
      set.

   def public property UseSmallImageList as logical
      get.
      set.

   def public property ImagePrimitiveAngleTransform as decimal
      get.
      set.

   def public property TextWrap as logical
      get.
      set.

   def public property MeasureTrailingSpaces as logical
      get.
      set.

   def public property ShowBorder as logical
      get.
      set.

   def public property IsCancelClicked as logical
      get.
      set.

   constructor public RadButtonElement():
   end constructor.

   constructor public RadButtonElement(input text as character):
   end constructor.

   constructor public RadButtonElement(input text as character, input image as System.Drawing.Image):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method public override System.Windows.Forms.VisualStyles.VisualStyleElement GetXPVisualStyle():
   end method.

   method public override System.Windows.Forms.VisualStyles.VisualStyleElement GetVistaVisualStyle():
   end method.

   method protected override logical ShouldPaintChild(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void InitializeSystemSkinPaint():
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected final System.Drawing.SizeF MeasureButtonChildren(input availableSize as System.Drawing.SizeF):
   end method.

end class.
