class Telerik.WinControls.UI.RadCalendar
   inherits Telerik.WinControls.RadControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider:

   def public override property AutoSize as logical
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property CurrentViewRow as integer
      get.
      set.

   def public property CurrentViewColumn as integer
      get.
      set.

   def public property CalendarElement as Telerik.WinControls.UI.RadCalendarElement
      get.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property HeaderNavigationMode as Telerik.WinControls.UI.HeaderNavigationMode
      get.
      set.

   def public property ZoomLevel as Telerik.WinControls.UI.ZoomLevel
      get.
      set.

   def public property DayNameFormat as Telerik.WinControls.UI.DayNameFormat
      get.
      set.

   def public property DateTimeFormat as System.Globalization.DateTimeFormatInfo
      get.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def public property CurrentCalendar as System.Globalization.Calendar
      get.

   def public property DayCellFormat as character
      get.
      set.

   def public property FirstDayOfWeek as Telerik.WinControls.UI.FirstDayOfWeek
      get.
      set.

   def public property TitleFormat as character
      get.
      set.

   def public property CellToolTipFormat as character
      get.
      set.

   def public property AllowToolTips as logical
      get.
      set.

   def public property DateRangeSeparator as character
      get.
      set.

   def public property Rows as integer
      get.
      set.

   def public property Columns as integer
      get.
      set.

   def public property TodayButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property ClearButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property HeaderWidth as integer
      get.
      set.

   def public property HeaderHeight as integer
      get.
      set.

   def public property CellAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property MultiViewRows as integer
      get.
      set.

   def public property MultiViewColumns as integer
      get.
      set.

   def public property RangeMaxDate as datetime
      get.
      set.

   def public property RangeMinDate as datetime
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property SelectedDate as datetime
      get.
      set.

   def public property FocusedDate as datetime
      get.
      set.

   def public property SelectedDates as Telerik.WinControls.UI.DateTimeCollection
      get.

   def public property AllowNavigation as logical
      get.
      set.

   def public property AllowFastNavigation as logical
      get.
      set.

   def public property NavigationPrevText as character
      get.
      set.

   def public property NavigationNextText as character
      get.
      set.

   def public property FastNavigationPrevText as character
      get.
      set.

   def public property FastNavigationNextText as character
      get.
      set.

   def public property NavigationPrevImage as System.Drawing.Image
      get.
      set.

   def public property NavigationNextImage as System.Drawing.Image
      get.
      set.

   def public property FastNavigationPrevImage as System.Drawing.Image
      get.
      set.

   def public property FastNavigationNextImage as System.Drawing.Image
      get.
      set.

   def public property NavigationPrevToolTip as character
      get.
      set.

   def public property NavigationNextToolTip as character
      get.
      set.

   def public property FastNavigationPrevToolTip as character
      get.
      set.

   def public property FastNavigationNextToolTip as character
      get.
      set.

   def public property TitleAlign as System.Windows.Forms.VisualStyles.ContentAlignment
      get.
      set.

   def public property AllowMultipleView as logical
      get.
      set.

   def public property AllowSelect as logical
      get.
      set.

   def public property AllowMultipleSelect as logical
      get.
      set.

   def public property ShowNavigationButtons as logical
      get.
      set.

   def public property ShowFastNavigationButtons as logical
      get.
      set.

   def public property ShowFooter as logical
      get.
      set.

   def public property ShowHeader as logical
      get.
      set.

   def public property ShowColumnHeaders as logical
      get.
      set.

   def public property ShowRowHeaders as logical
      get.
      set.

   def public property ShowViewHeader as logical
      get.
      set.

   def public property ShowViewSelector as logical
      get.
      set.

   def public property AllowViewSelector as logical
      get.
      set.

   def public property ZoomFactor as decimal
      get.
      set.

   def public property AllowFishEye as logical
      get.
      set.

   def public property AllowRowHeaderSelectors as logical
      get.
      set.

   def public property AllowColumnHeaderSelectors as logical
      get.
      set.

   def public property ShowOtherMonthsDays as logical
      get.
      set.

   def public property MonthLayout as Telerik.WinControls.UI.MonthLayout
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property RowHeaderText as character
      get.
      set.

   def public property RowHeaderImage as System.Drawing.Image
      get.
      set.

   def public property ColumnHeaderText as character
      get.
      set.

   def public property ColumnHeaderImage as System.Drawing.Image
      get.
      set.

   def public property ViewSelectorText as character
      get.
      set.

   def public property ViewSelectorImage as System.Drawing.Image
      get.
      set.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property FastNavigationStep as integer
      get.
      set.

   def public property SpecialDays as Telerik.WinControls.UI.CalendarDayCollection
      get.

   def public property CellPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property CellVerticalSpacing as integer
      get.
      set.

   def public property CellHorizontalSpacing as integer
      get.
      set.

   def public property CellMargin as System.Windows.Forms.Padding
      get.
      set.

   def public property DefaultView as Telerik.WinControls.UI.CalendarView
      get.

   def public event Navigating signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CalendarNavigatingEventArgs).

   def public event Navigated signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CalendarNavigatedEventArgs).

   def public event ZoomChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CalendarZoomChangingEventArgs).

   def public event ZoomChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CalendarZoomChangedEventArgs).

   def public event SelectionChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SelectionEventArgs).

   def public event SelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ElementRender signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RenderElementEventArgs).

   def public event ViewChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ViewChangingEventArgs).

   def public event ViewChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadCalendar():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected void OnNavigating(input args as Telerik.WinControls.UI.CalendarNavigatingEventArgs):
   end method.

   method protected void OnNavigated(input args as Telerik.WinControls.UI.CalendarNavigatedEventArgs):
   end method.

   method protected void OnZoomChanging(input args as Telerik.WinControls.UI.CalendarZoomChangingEventArgs):
   end method.

   method protected void OnZoomChanged(input args as Telerik.WinControls.UI.CalendarZoomChangedEventArgs):
   end method.

   method protected Telerik.WinControls.UI.SelectionEventArgs OnSelectionChanging(input dates as Telerik.WinControls.UI.DateTimeCollection, input newDates as System.Collections.Generic.List):
   end method.

   method protected void OnSelectionChanged():
   end method.

   method protected void OnElementRender(input cell as Telerik.WinControls.UI.LightVisualElement, input day as Telerik.WinControls.UI.RadCalendarDay, input view as Telerik.WinControls.UI.CalendarView):
   end method.

   method protected override void OnLoad(input desiredSize as System.Drawing.Size):
   end method.

   method protected Telerik.WinControls.UI.ViewChangingEventArgs OnViewChanging(input view as Telerik.WinControls.UI.CalendarView):
   end method.

   method protected void OnViewChanged():
   end method.

   method public override logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method public void RemoveFocusedDate(input removeAlsoSelectedDate as logical):
   end method.

   method protected final static datetime TruncateTimeComponent(input date as datetime):
   end method.

   method protected Telerik.WinControls.UI.CalendarView EnsureDefaultView():
   end method.

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method public final void InvalidateCalendar():
   end method.

   method protected override void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected override void CreateChildItems(input parent as Telerik.WinControls.RadElement):
   end method.

end class.
