class Telerik.WinControls.UI.RadDateTimePickerElement
   inherits Telerik.WinControls.UI.RadEditorElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def public static variable IsDropDownShownProperty as Telerik.WinControls.RadProperty.

   def public static variable CalendarSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable MaxDateTime as datetime.

   def public static variable MinDateTime as datetime.

   def public property TextBoxElement as Telerik.WinControls.UI.RadMaskedEditBoxElement
      get.

   def public property ArrowButton as Telerik.WinControls.UI.RadArrowButtonElement
      get.

   def public property CheckBox as Telerik.WinControls.UI.RadCheckBoxElement
      get.

   def public property CurrentBehavior as Telerik.WinControls.UI.RadDateTimePickerBehaviorDirector
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property ShowUpDown as logical
      get.
      set.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def protected property DefaultNullDate as datetime
      get.

   def public property NullDate as datetime
      get.
      set.

   def public property IsDropDownShown as logical
      get.

   def public property Checked as logical
      get.
      set.

   def public property CustomFormat as character
      get.
      set.

   def public property Format as System.Windows.Forms.DateTimePickerFormat
      get.
      set.

   def public property CalendarLocation as System.Drawing.Point
      get.
      set.

   def public property CalendarSize as System.Drawing.Size
      get.
      set.

   def public property ShowCheckBox as logical
      get.
      set.

   def public property ShowCurrentTime as logical
      get.
      set.

   def public property NullValueCheckMode as Telerik.WinControls.UI.NullValueCheckMode
      get.
      set.

   def public property Value as datetime
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public static property MaximumDateTime as datetime
      get.
      set.

   def public static property MinimumDateTime as datetime
      get.
      set.

   def public property MinDate as datetime
      get.
      set.

   def public property MaxDate as datetime
      get.
      set.

   def public property Calendar as Telerik.WinControls.UI.RadCalendar
      get.

   def public property ShowTimePicker as logical
      get.
      set.

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event NullableValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormatChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event Opened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Opening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Closing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   def public event Closed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   def public event ToggleStateChanging signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangingEventArgs).

   def public event ToggleStateChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangedEventArgs).

   constructor public RadDateTimePickerElement():
   end constructor.

   constructor public RadDateTimePickerElement(input behaviorDirector as Telerik.WinControls.UI.RadDateTimePickerBehaviorDirector):
   end constructor.

   method protected void DisposeManagedResources():
   end method.

   method protected void CreateChildElements():
   end method.

   method protected void InitializeFields():
   end method.

   method protected Telerik.WinControls.UI.RadDateTimePickerBehaviorDirector CreateDefaultBehavior():
   end method.

   method public final void SetValueOnly(input value as datetime):
   end method.

   method public character ToString():
   end method.

   method public final void CallOnNullableValueChanged(input e as System.EventArgs):
   end method.

   method public final void CallOnValueChanged(input e as System.EventArgs):
   end method.

   method public final void CallOnValueChanging(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method public final logical ShouldSerializeNullText():
   end method.

   method public final void ResetNullText():
   end method.

   method public final void ResetValue():
   end method.

   method public final Telerik.WinControls.UI.RadDateTimePickerBehaviorDirector GetCurrentBehavior():
   end method.

   method public final void SetToNullValue():
   end method.

   method protected void OnLoaded():
   end method.

   method protected void OnClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected void OnOpened(input args as System.EventArgs):
   end method.

   method protected void OnOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnClosing(input args as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void OnFormatChanged(input e as System.EventArgs):
   end method.

   method protected void OnValueChanging(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnNullableValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void SetBehavior(input childrenDirector as Telerik.WinControls.UI.RadDateTimePickerBehaviorDirector):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void ToogleDropDownState():
   end method.

   method protected void OnBitStateChanged(input key as int64, input oldValue as logical, input newValue as logical):
   end method.

   method protected System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

end class.
