class Telerik.WinControls.UI.RadDropDownListEditableAreaElement
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def protected variable owner as Telerik.WinControls.UI.RadDropDownListElement.

   def protected variable onTextBoxCaptureChanged as logical.

   def protected variable entering as logical.

   def public property TextBox as Telerik.WinControls.UI.RadDropDownTextBoxElement
      get.
      set.

   def public property DropDownStyle as Telerik.WinControls.RadDropDownStyle
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   constructor public RadDropDownListEditableAreaElement(input owner as Telerik.WinControls.UI.RadDropDownListElement):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected void WireEvents():
   end method.

   method protected void UnWireEvents():
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void Select(input start as integer, input length as integer):
   end method.

   method public void SelectAll():
   end method.

   method public override logical Focus():
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void SetDropDownStyle():
   end method.

   method protected final void HandleEsc():
   end method.

   method protected final void HandleKeyUpKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void HandleF4Down():
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

end class.
