class Telerik.WinControls.UI.RadDropDownMenu
   inherits Telerik.WinControls.UI.RadItemsPopupControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider, Telerik.WinControls.UI.IPopupControl, Telerik.WinControls.IItemsControl:

   def public property ClickedItem as Telerik.WinControls.RadItem
      get.

   def public property RootTreeHandler as Telerik.WinControls.IComponentTreeHandler
      get.

   def public property PopupElement as Telerik.WinControls.RadElement
      get.
      set.

   def public property IsTwoColumnMenu as logical
      get.
      set.

   def public property CausesValidation as logical
      get.
      set.

   def public property HeaderText as character
      get.
      set.

   def public property HeaderImage as System.Drawing.Image
      get.
      set.

   def public override property ThemeClassName as character
      get.
      set.

   constructor public RadDropDownMenu():
   end constructor.

   constructor public RadDropDownMenu(input ownerElement as Telerik.WinControls.RadElement):
   end constructor.

   method protected void InitializeChildren():
   end method.

   method protected override logical ProcessDialogChar(input charCode as character):
   end method.

   method protected override void OnLoad(input desiredSize as System.Drawing.Size):
   end method.

   method public final override void Show():
   end method.

   method public final void Show(input x as integer, input y as integer):
   end method.

   method public final override void Show(input point as System.Drawing.Point):
   end method.

   method public final void Show(input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input x as integer, input y as integer):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input point as System.Drawing.Point):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input x as integer, input y as integer):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input point as System.Drawing.Point):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input ownerOffset as integer, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method protected void ShowCore(input point as System.Drawing.Point, input ownerOffset as integer, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method protected System.Drawing.Point OnDropDownLocationNeeded(input point as System.Drawing.Point):
   end method.

   method protected logical CanProcessItem(input menuItem as Telerik.WinControls.UI.RadMenuItemBase):
   end method.

   method protected void OnItemsChanged(input changed as Telerik.WinControls.RadItemCollection, input target as Telerik.WinControls.RadItem, input operation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method public override logical OnMouseWheel(input target as System.Windows.Forms.Control, input delta as integer):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnToolTipTextNeeded(input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs):
   end method.

   method protected override void OnScreenTipNeeded(input sender as System.Object, input e as Telerik.WinControls.ScreenTipNeededEventArgs):
   end method.

   method protected final Telerik.WinControls.UI.RadMenuItemBase GetMenuItemAtPoint(input location as System.Drawing.Point):
   end method.

   method protected override void OnMouseClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void SetVisibleCore(input value as logical):
   end method.

   method protected override void OnItemSelected(input args as Telerik.WinControls.ItemSelectedEventArgs):
   end method.

   method protected override void OnItemDeselected(input args as Telerik.WinControls.ItemSelectedEventArgs):
   end method.

   method protected override void OnDropDownClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method public override logical CanClosePopup(input reason as Telerik.WinControls.UI.RadPopupCloseReason):
   end method.

   method protected final void PerformItemClick(input menuItem as Telerik.WinControls.UI.RadMenuItemBase):
   end method.

   method public override logical CanNavigate(input keyData as System.Windows.Forms.Keys):
   end method.

   method public override logical CanProcessMnemonic(input keyData as character):
   end method.

   method protected logical CheckCanProcessMnemonic(input itemsControl as Telerik.WinControls.IItemsControl, input keyData as character):
   end method.

   method protected logical CheckCanNavigate(input keyData as System.Windows.Forms.Keys):
   end method.

   method public override logical OnKeyDown(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessMnemonic(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessLeftRightNavigationKey(input isLeft as logical):
   end method.

   method protected logical ProcessUpDownNavigationKey(input isUp as logical):
   end method.

   method protected Telerik.WinControls.RadElement CreatePopupElement():
   end method.

   method public override logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

end class.
