class Telerik.WinControls.UI.RadListDataItem
   inherits Telerik.WinControls.RadObject
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.Data.IDataItem:

   def public static variable HeightProperty as Telerik.WinControls.RadProperty.

   def public static variable ActiveProperty as Telerik.WinControls.RadProperty.

   def public static variable SelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable ValueProperty as Telerik.WinControls.RadProperty.

   def protected variable dataLayer as Telerik.WinControls.UI.ListDataLayer.

   def protected variable ownerElement as Telerik.WinControls.UI.RadListElement.

   def public property Tag as System.Object
      get.
      set.

   def public property IsDataBound as logical
      get.

   def public property Owner as Telerik.WinControls.UI.RadListElement
      get.

   def public property OwnerControl as System.Windows.Forms.Control
      get.

   def public property Height as integer
      get.
      set.

   def public property TextWrap as logical
      get.
      set.

   def public property RowIndex as integer
      get.

   def public property DisplayValue as System.Object
      get.

   def public property Value as System.Object
      get.
      set.

   def public property Active as logical
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public property ImageAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextOrientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property IsVisible as logical
      get.

   def public property VisualItem as Telerik.WinControls.UI.RadListVisualItem
      get.

   def public property MeasuredSize as System.Drawing.SizeF
      get.
      set.

   def public property Index as integer
      get.

   def public property DataBoundItem as System.Object
      get.
      set.

   def public property FieldCount as integer
      get.

   def public property Item as System.Object
      get.
      set.

   def public property Item as System.Object
      get.
      set.

   constructor public RadListDataItem(input text as character):
   end constructor.

   constructor public RadListDataItem(input text as character, input value as System.Object):
   end constructor.

   constructor public RadListDataItem():
   end constructor.

   method public final integer IndexOf(input name as character):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public override character ToString():
   end method.

   method protected System.Object GetBoundValue():
   end method.

   method protected System.Object GetUnboundValue():
   end method.

   method protected void SetUnboundValue(input value as System.Object):
   end method.

   method protected void SetDataBoundItem(input dataBinding as logical, input value as System.Object):
   end method.

end class.
