class Telerik.WinControls.UI.RadListElement
   inherits Telerik.WinControls.UI.VirtualizedScrollPanel
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable CaseSensitiveSortProperty as Telerik.WinControls.RadProperty.

   def public static variable AlternatingItemColorProperty as Telerik.WinControls.RadProperty.

   def public static variable EnableAlternatingItemColorProperty as Telerik.WinControls.RadProperty.

   def protected property IsDescriptionText as logical
      get.
      set.

   def public property DataLayer as Telerik.WinControls.UI.ListDataLayer
      get.

   def protected property HasSelectedValueChanged as logical
      get.

   def public property EnableAlternatingItemColor as logical
      get.
      set.

   def public property AlternatingItemColor as System.Drawing.Color
      get.
      set.

   def public override property FitItemsToSize as logical
      get.
      set.

   def public property ScrollBehavior as Telerik.WinControls.UI.ScrollServiceBehavior
      get.

   def public property EnableKineticScrolling as logical
      get.
      set.

   def public property IsUpdating as logical
      get.

   def public property SuspendItemsChangeEvents as logical
      get.
      set.

   def public property CaseSensitiveSort as logical
      get.
      set.

   def public property KeyboardSearchResetInterval as integer
      get.
      set.

   def public property KeyboardSearchEnabled as logical
      get.
      set.

   def public property ItemTextComparisonMode as Telerik.WinControls.UI.ItemTextComparisonMode
      get.
      set.

   def public property Filter as System.Predicate
      get.
      set.

   def public property FilterExpression as character
      get.
      set.

   def public property FindStringComparer as Telerik.WinControls.UI.IFindStringComparer
      get.
      set.

   def public property ItemsSortComparer as System.Collections.Generic.IComparer
      get.
      set.

   def public property ActiveItem as Telerik.WinControls.UI.RadListDataItem
      get.
      set.

   def public property SelectedItems as Telerik.WinControls.Data.IReadOnlyCollection
      get.

   def public property SuspendSelectionEvents as logical
      get.
      set.

   def public property SelectionMode as System.Windows.Forms.SelectionMode
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property SelectedIndex as integer
      get.
      set.

   def public property SelectedItem as Telerik.WinControls.UI.RadListDataItem
      get.
      set.

   def public property SelectedValue as System.Object
      get.
      set.

   def public property DataMember as character
      get.
      set.

   def public property DisplayMember as character
      get.
      set.

   def public property DescriptionTextMember as character
      get.
      set.

   def public property ValueMember as character
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property SortStyle as Telerik.WinControls.Enumerations.SortStyle
      get.
      set.

   def public property FormattingEnabled as logical
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property FormatInfo as System.IFormatProvider
      get.
      set.

   def public property ScrollMode as Telerik.WinControls.UI.ItemScrollerScrollModes
      get.
      set.

   def public property IsFilterActive as logical
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public event DataBindingComplete signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ListBindingCompleteEventArgs).

   def public event SelectedValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangedEventArgs).

   def public event SelectedIndexChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangingCancelEventArgs).

   def public event ItemDataBinding signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBindingEventArgs).

   def public event ItemDataBound signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBoundEventArgs).

   def public event CreatingVisualItem signature void (input sender as System.Object, input args as Telerik.WinControls.UI.CreatingVisualListItemEventArgs).

   def public event SortStyleChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.SortStyleChangedEventArgs).

   def public event VisualItemFormatting signature void (input sender as System.Object, input args as Telerik.WinControls.UI.VisualItemFormattingEventArgs).

   def public event ItemsChanged signature void (input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs).

   def public event ItemsChanging signature void (input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangingEventArgs).

   def public event DataItemPropertyChanged signature void (input sender as System.Object, input e as Telerik.WinControls.RadPropertyChangedEventArgs).

   def public event SelectedItemsChanged signature void (input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs).

   def public event SelectedItemsChanging signature void (input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangingEventArgs).

   constructor public RadListElement():
   end constructor.

   method protected override void WireEvents():
   end method.

   method protected override void UnwireEvents():
   end method.

   method protected Telerik.WinControls.UI.IFindStringComparer CreateStringComparer():
   end method.

   method protected integer GetDefaultItemHeight():
   end method.

   method protected Telerik.WinControls.UI.ListDataLayer CreateDataLayer():
   end method.

   method protected override Telerik.WinControls.UI.IVirtualizedElementProvider CreateElementProvider():
   end method.

   method protected override Telerik.WinControls.UI.VirtualizedStackContainer CreateViewElement():
   end method.

   method protected override void InitializeFields():
   end method.

   method protected override void InitializeItemScroller(input scroller as Telerik.WinControls.UI.ItemScroller):
   end method.

   method public final Telerik.WinControls.UI.RadListDataItem FindItemExact(input text as character, input caseSensitive as logical):
   end method.

   method protected void OnDataBindingComplete(input sender as System.Object, input e as Telerik.WinControls.UI.ListBindingCompleteEventArgs):
   end method.

   method public final void ClearSelected():
   end method.

   method public final void ScrollToActiveItem():
   end method.

   method public final void Rebind():
   end method.

   method public final void BeginUpdate():
   end method.

   method public final void EndUpdate():
   end method.

   method public System.IDisposable DeferRefresh():
   end method.

   method public final void SelectAll():
   end method.

   method public final void SelectRange(input startIndex as integer, input endIndex as integer):
   end method.

   method public final void ScrollByPage(input pageCount as integer):
   end method.

   method public final void ScrollToItem(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method public final integer FindString(input s as character):
   end method.

   method public final integer FindString(input s as character, input startIndex as integer):
   end method.

   method public final integer FindStringExact(input s as character):
   end method.

   method public final integer FindStringExact(input s as character, input startIndex as integer):
   end method.

   method public final integer FindStringNonWrapping(input s as character):
   end method.

   method public final integer FindStringNonWrapping(input s as character, input startIndex as integer):
   end method.

   method protected final void UpdateItemTraverser():
   end method.

   method protected final integer GetMinorScrollOffset(input direction as integer):
   end method.

   method protected final logical ItemFullyVisible(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected final integer GetLastVisibleItemIndex():
   end method.

   method protected final integer GetFirstVisibleItemIndex():
   end method.

   method protected final integer GetMiddleVisibleItemIndex():
   end method.

   method protected final logical IsItemPartiallyVisible(input item as Telerik.WinControls.UI.RadListVisualItem):
   end method.

   method protected final void DataView_PropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final System.Object DataViewGroupPredicate(input item as Telerik.WinControls.UI.RadListDataItem, input level as integer):
   end method.

   method protected void SynchronizeVisualItems():
   end method.

   method protected void HandleItemsReplaced(input args as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void HandleItemsReset(input args as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void OnSelectedItemAdded(input newItem as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void OnActiveItemAdded(input newItem as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void HandleItemsAdded(input args as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void HandleItemsRemoved(input args as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void OnSelectedIndexChanged(input newIndex as integer):
   end method.

   method protected logical OnSelectedIndexChanging(input newIndex as integer):
   end method.

   method protected void OnSelectedValueChanged(input newIndex as integer):
   end method.

   method protected Telerik.WinControls.UI.RadListDataItem OnListItemDataBinding():
   end method.

   method protected void OnListItemDataBound(input newItem as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected Telerik.WinControls.UI.RadListVisualItem OnCreatingVisualListItem(input item as Telerik.WinControls.UI.RadListVisualItem):
   end method.

   method protected void OnSortStyleChanged(input sortStyle as Telerik.WinControls.Enumerations.SortStyle):
   end method.

   method protected void OnVisualItemFormatting(input item as Telerik.WinControls.UI.RadListVisualItem):
   end method.

   method protected void OnMouseWheel(input delta as integer):
   end method.

   method protected void OnItemsChanged(input args as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void OnItemsChanging(input args as Telerik.WinControls.Data.NotifyCollectionChangingEventArgs):
   end method.

   method protected void OnDataItemPropertyChanged(input sender as System.Object, input args as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnBoundsChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method public logical OnControlMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical OnControlMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical OnControlMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected final Telerik.WinControls.UI.RadListVisualItem FindParentListVisualItem(input child as Telerik.WinControls.RadElement):
   end method.

   method protected void ProcessKeyboardSearch(input character as character):
   end method.

   method protected void UpdateActiveItem(input item as Telerik.WinControls.UI.RadListDataItem, input active as logical):
   end method.

   method protected void SetSelectedValue(input value as System.Object):
   end method.

   method protected final void SetSelectedItem(input value as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void SetSelectedItemCore(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void SetSelectedIndex(input value as integer):
   end method.

   method protected final integer GetIndex(input item as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected final logical IsIndexValid(input value as integer):
   end method.

end class.
