class Telerik.WinControls.UI.RadMaskedEditBoxElement
   inherits Telerik.WinControls.UI.RadTextBoxElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def public property Text as character
      get.
      set.

   def public property EnableArrowKeys as logical
      get.
      set.

   def public property EnableMouseWheel as logical
      get.
      set.

   def public property ContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property TextMaskFormat as System.Windows.Forms.MaskFormat
      get.
      set.

   def public property Provider as Telerik.WinControls.UI.IMaskProvider
      get.
      set.

   def public property IsKeyBoard as logical
      get.

   def public property AllowPromptAsInput as logical
      get.
      set.

   def public property MaskedTextProvider as System.ComponentModel.MaskedTextProvider
      get.

   def public property ResultHint as System.ComponentModel.MaskedTextResultHint
      get.

   def public property HintPosition as integer
      get.

   def public property UnmaskedText as character
      get.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def public property Mask as character
      get.
      set.

   def public property PromptChar as character
      get.
      set.

   def public property IncludePrompt as logical
      get.
      set.

   def public property MaskType as Telerik.WinControls.UI.MaskType
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property ContextMenuEnabled as logical
      get.
      set.

   def protected property MinDate as datetime
      get.
      set.

   def protected property MaxDate as datetime
      get.
      set.

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   constructor public RadMaskedEditBoxElement():
   end constructor.

   method protected void DisposeManagedResources():
   end method.

   method protected void CreateMaskProvider():
   end method.

   method public final void Up():
   end method.

   method public final void Down():
   end method.

   method public void Validate(input value as character):
   end method.

   method public final void HandleKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void CallValueChanged(input e as System.EventArgs):
   end method.

   method protected void CallValueChanging(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected character ExcludePromptAndLiterals():
   end method.

   method protected character ExcludeLiterals():
   end method.

   method protected character ExcludePrompt():
   end method.

   method public final static Telerik.WinControls.UI.NumericCharacterTextBoxProvider+RadNumericMaskFormatType GetFormat(input formatString as character, input culture as System.Globalization.CultureInfo):
   end method.

   method public final static character Format(input mask as character, input text as character):
   end method.

   method public final static character Format(input mask as character, input text as character, input promptChar as character):
   end method.

   method public final static character Format(input mask as character, input text as character, input promptChar as character, input culture as System.Globalization.CultureInfo):
   end method.

   method public final static character Format(input mask as character, input text as character, input promptChar as character, input culture as System.Globalization.CultureInfo, input hint as System.ComponentModel.MaskedTextResultHint, input hintPosition as integer):
   end method.

   method public final static character GetClipboardText():
   end method.

end class.
