class Telerik.WinControls.UI.RadMenuItemBase
   inherits Telerik.WinControls.UI.RadButtonItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, System.Windows.Forms.IButtonControl, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.IHierarchicalItem, Telerik.WinControls.Elements.IItemsOwner, Telerik.WinControls.UI.ISiteProvider
   abstract:

   def protected variable pressedButton as System.Windows.Forms.MouseButtons.

   def public static variable SelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsPopupShownProperty as Telerik.WinControls.RadProperty.

   def public static variable PopupDirectionProperty as Telerik.WinControls.RadProperty.

   def public override property DesignTimeAllowDrop as logical
      get.

   def public property AccessibleObject as Telerik.WinControls.UI.RadMenuItemAccessibleObject
      get.

   def public property MdiList as logical
      get.
      set.

   def public property MergeType as System.Windows.Forms.MenuMerge
      get.
      set.

   def public property MergeOrder as integer
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property IsPopupShown as logical
      get.

   def public property PopupDirection as Telerik.WinControls.UI.RadDirection
      get.
      set.

   def public property Items as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property DropDownHeaderText as character
      get.
      set.

   def public property DropDownHeaderImage as System.Drawing.Image
      get.
      set.

   def public property IsMainMenuItem as logical
      get.
      set.

   def public property OwnerControl as System.Windows.Forms.Control
      get.

   def public property IsOnDropDown as logical
      get.

   def public property HasChildItemsToShow as logical
      get.

   def public property DropDown as Telerik.WinControls.UI.RadDropDownMenu
      get.

   def protected override property ShortcutsHandler as Telerik.WinControls.IComponentTreeHandler
      get.

   def public property HandlesKeyboard as logical
      get.
      set.

   def public property RootItem as Telerik.WinControls.IHierarchicalItem
      get.

   def public property Owner as System.Object
      get.
      set.

   def public property HasChildren as logical
      get.

   def public property IsRootItem as logical
      get.

   def public property HierarchyParent as Telerik.WinControls.IHierarchicalItem
      get.
      set.

   def public property Next as Telerik.WinControls.RadItem
      get.

   def public property Previous as Telerik.WinControls.RadItem
      get.

   def public property IsMdiListItem as logical
      get.
      set.

   def public property IsParticipatingInMerge as logical
      get.
      set.

   def public property IsPreparedForDesignTime as logical
      get.
      set.

   def public event DropDownOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownOpening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event DropDownClosed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   def public event DropDownCreating signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownClosing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   constructor public RadMenuItemBase():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method public void ShowChildItems():
   end method.

   method protected void AdjustDropDownAlignmentForPopupDirection():
   end method.

   method protected void AdjustDropDownAlignmentForOrientation():
   end method.

   method protected void AdjustDropDownAnimations():
   end method.

   method public void HideChildItems():
   end method.

   method public final System.ComponentModel.ISite GetSite():
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnDropDownClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected void OnDropDownOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnDropDownClosing(input args as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void OnDropDownOpened(input args as System.EventArgs):
   end method.

   method protected Telerik.WinControls.UI.RadDropDownMenu CreateDropDownMenu():
   end method.

   method protected void EnsureDropDownCreated():
   end method.

   method protected void OnDropDownCreated():
   end method.

   method protected override System.Drawing.RectangleF GetClientRectangle(input finalSize as System.Drawing.SizeF):
   end method.

   method public override logical ShouldSerializeProperty(input property as System.ComponentModel.PropertyDescriptor):
   end method.

end class.
