class Telerik.WinControls.UI.RadPrintDocument
   inherits System.Drawing.Printing.PrintDocument
   implements System.ComponentModel.IComponent, System.IDisposable:

   def public static variable LogoString as character.

   def public static variable PageNumberString as character.

   def public static variable TotalPagesString as character.

   def public static variable DatePrintedString as character.

   def public static variable TimePrintedString as character.

   def public static variable UserNamePrintedString as character.

   def public property CurrentPage as integer
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property Logo as System.Drawing.Image
      get.
      set.

   def public property Landscape as logical
      get.
      set.

   def public property AutoPortraitLandscape as logical
      get.
      set.

   def public property PaperSize as System.Drawing.Printing.PaperSize
      get.
      set.

   def public property PaperSource as System.Drawing.Printing.PaperSource
      get.
      set.

   def public property Margins as System.Drawing.Printing.Margins
      get.
      set.

   def public property HeaderFont as System.Drawing.Font
      get.
      set.

   def public property FooterFont as System.Drawing.Font
      get.
      set.

   def public property ReverseHeaderOnEvenPages as logical
      get.
      set.

   def public property ReverseFooterOnEvenPages as logical
      get.
      set.

   def public property LeftHeader as character
      get.
      set.

   def public property RightHeader as character
      get.
      set.

   def public property MiddleHeader as character
      get.
      set.

   def public property LeftFooter as character
      get.
      set.

   def public property RightFooter as character
      get.
      set.

   def public property MiddleFooter as character
      get.
      set.

   def public property HeaderHeight as integer
      get.
      set.

   def public property FooterHeight as integer
      get.
      set.

   def public property AssociatedObject as Telerik.WinControls.UI.IPrintable
      get.
      set.

   def public property Watermark as Telerik.WinControls.UI.RadPrintWatermark
      get.
      set.

   def public property PrintedPage as integer
      get.

   def public property PageCount as integer
      get.

   def public property IsPrinting as logical
      get.

   constructor public RadPrintDocument():
   end constructor.

   method protected override void OnPrintPage(input e as System.Drawing.Printing.PrintPageEventArgs):
   end method.

   method protected override void OnBeginPrint(input e as System.Drawing.Printing.PrintEventArgs):
   end method.

   method protected override void OnEndPrint(input e as System.Drawing.Printing.PrintEventArgs):
   end method.

   method protected void PrintHeader(input args as System.Drawing.Printing.PrintPageEventArgs):
   end method.

   method protected void PrintFooter(input args as System.Drawing.Printing.PrintPageEventArgs):
   end method.

   method protected void PrintLogo(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PrintWatermark(input args as System.Drawing.Printing.PrintPageEventArgs):
   end method.

   method protected void OnAssociatedObjectChanged():
   end method.

   method protected final character ParseHeaderFooterString(input s as character):
   end method.

   method protected final logical HasLogoInHeaderFooterString(input s as character):
   end method.

end class.
