class Telerik.WinControls.UI.RadPrintElement
   inherits System.Object:

   def public property TextPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property DrawText as logical
      get.
      set.

   def public property AngleTransform as decimal
      get.
      set.

   def public property ScaleTransform as System.Drawing.SizeF
      get.
      set.

   def public property DrawFill as logical
      get.
      set.

   def public property DrawBorder as logical
      get.
      set.

   def public property RightToLeft as logical
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property TextAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property StringTrimming as System.Drawing.StringTrimming
      get.
      set.

   def public property StringFormatFlags as System.Drawing.StringFormatFlags
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property ImageAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property Polygon as System.Drawing.PointF extent
      get.
      set.

   def public property EnableHtmlTextRendering as logical
      get.
      set.

   constructor public RadPrintElement():
   end constructor.

   constructor public RadPrintElement(input text as character):
   end constructor.

   method public final void Paint(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method public final void Paint(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected void PaintElement(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintElement(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected void PaintFill(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintFill(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected void PaintImage(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintImage(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected void PaintBorder(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintBorder(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected void PaintText(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected void PaintText(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method public System.Drawing.StringAlignment GetVerticalAlignment(input alignment as System.Drawing.ContentAlignment):
   end method.

   method public System.Drawing.StringAlignment GetHorizontalAlignment(input alignment as System.Drawing.ContentAlignment):
   end method.

   method public final System.Drawing.RectangleF GetTransformedBounds(input bounds as System.Drawing.RectangleF):
   end method.

end class.
