class Telerik.WinControls.UI.RadPropertyGrid
   inherits Telerik.WinControls.RadControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider:

   def public property EnableKineticScrolling as logical
      get.
      set.

   def public property EnableCustomGrouping as logical
      get.
      set.

   def public property IsEditing as logical
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property ActiveEditor as Telerik.WinControls.UI.IValueEditor
      get.

   def public property BeginEditMode as Telerik.WinControls.UI.RadPropertyGridBeginEditModes
      get.
      set.

   def public property AutoExpandGroups as logical
      get.
      set.

   def public property RadContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property AllowDefaultContextMenu as logical
      get.
      set.

   def public property KeyboardSearchEnabled as logical
      get.
      set.

   def public property KeyboardSearchResetInterval as integer
      get.
      set.

   def public property FindStringComparer as Telerik.WinControls.UI.IFindStringComparer
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public property SelectedGridItem as Telerik.WinControls.UI.PropertyGridItemBase
      get.
      set.

   def public property SelectedObject as System.Object
      get.
      set.

   def public property SelectedObjects as System.Object extent
      get.
      set.

   def public property Items as Telerik.WinControls.UI.PropertyGridItemCollection
      get.

   def public property Groups as Telerik.WinControls.UI.PropertyGridGroupItemCollection
      get.

   def public property EnableGrouping as logical
      get.
      set.

   def public property EnableSorting as logical
      get.
      set.

   def public property EnableFiltering as logical
      get.
      set.

   def public property GroupDescriptors as Telerik.WinControls.Data.GroupDescriptorCollection
      get.

   def public property FilterDescriptors as Telerik.WinControls.Data.FilterDescriptorCollection
      get.

   def public property SortDescriptors as Telerik.WinControls.Data.SortDescriptorCollection
      get.

   def public property SortOrder as System.Windows.Forms.SortOrder
      get.
      set.

   def public property PropertySort as System.Windows.Forms.PropertySort
      get.
      set.

   def public property HelpVisible as logical
      get.
      set.

   def public property HelpBarHeight as decimal
      get.
      set.

   def public property ToolbarVisible as logical
      get.
      set.

   def public property PropertyGridElement as Telerik.WinControls.UI.PropertyGridElement
      get.

   def public property ItemHeight as integer
      get.
      set.

   def public property ItemSpacing as integer
      get.
      set.

   def public property ItemIndent as integer
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public event SelectedObjectChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangingEventArgs).

   def public event SelectedObjectChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridSelectedObjectChangedEventArgs).

   def public event SelectedGridItemChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs).

   def public event SelectedGridItemChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ContextMenuOpening signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridContextMenuOpeningEventArgs).

   def public event CustomGrouping signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridCustomGroupingEventArgs).

   def public event ItemMouseDown signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs).

   def public event ItemMouseMove signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridMouseEventArgs).

   def public event ItemMouseClick signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ItemMouseDoubleClick signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ItemExpandedChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridCancelEventArgs).

   def public event ItemExpandedChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RadPropertyGridEventArgs).

   def public event ItemFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemFormattingEventArgs).

   def public event CreateItem signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CreatePropertyGridItemEventArgs).

   def public event CreateItemElement signature void (input sender as System.Object, input e as Telerik.WinControls.UI.CreatePropertyGridItemElementEventArgs).

   def public event EditorRequired signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridEditorRequiredEventArgs).

   def public event Editing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditingEventArgs).

   def public event EditorInitialized signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditorInitializedEventArgs).

   def public event Edited signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemEditedEventArgs).

   def public event PropertyValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemValueChangingEventArgs).

   def public event PropertyValueChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyGridItemValueChangedEventArgs).

   def public event PropertyValidating signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyValidatingEventArgs).

   def public event PropertyValidated signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyValidatedEventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadPropertyGrid():
   end constructor.

   method protected override void OnLoad(input desiredSize as System.Drawing.Size):
   end method.

   method protected override void CreateChildItems(input parent as Telerik.WinControls.RadElement):
   end method.

   method protected Telerik.WinControls.UI.PropertyGridElement CreatePropertyGridElement():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void BestFit():
   end method.

   method public final void BestFit(input mode as Telerik.WinControls.UI.PropertyGridBestFitMode):
   end method.

   method public final void ExpandAllGridItems():
   end method.

   method public final void CollapseAllGridItems():
   end method.

   method public final void ResetSelectedProperty():
   end method.

   method public final void BeginEdit():
   end method.

   method public final logical EndEdit():
   end method.

   method public final void CancelEdit():
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDoubleClick(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnValidating(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

end class.
