class Telerik.WinControls.UI.RadPropertyStore
   inherits System.Object
   implements System.Collections.Generic.IList, System.Collections.Generic.ICollection, System.Collections.Generic.IEnumerable, System.Collections.IEnumerable, Telerik.WinControls.Data.INotifyCollectionChanged, System.ComponentModel.INotifyPropertyChanged:

   def public property Count as integer
      get.

   def public property IsReadOnly as logical
      get.

   def public property Item as Telerik.WinControls.UI.PropertyStoreItem
      get.
      set.

   def public property Item as Telerik.WinControls.UI.PropertyStoreItem
      get.
      set.

   def public event CollectionChanged signature void (input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs).

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event ItemValueChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PropertyStoreItemValueChangedEventArgs).

   constructor public RadPropertyStore():
   end constructor.

   method public void Add(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public void Add(input propertyType as System.Type, input propertyName as character, input value as System.Object):
   end method.

   method public void AddRange(input items as System.Collections.Generic.IEnumerable):
   end method.

   method public void Insert(input index as integer, input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public integer IndexOf(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public logical Contains(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public logical Remove(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public logical Remove(input propertyName as character):
   end method.

   method public void RemoveAt(input index as integer):
   end method.

   method public void Clear():
   end method.

   method public void CopyTo(input array as Telerik.WinControls.UI.PropertyStoreItem extent, input arrayIndex as integer):
   end method.

   method public final System.Collections.Generic.IEnumerator GetEnumerator():
   end method.

   method protected logical ItemExistsInCollection(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public void OnCollectionChanged(input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method public void OnNotifyPropertyChanged(input propertyName as character):
   end method.

   method public void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method public void OnItemValueChanged(input item as Telerik.WinControls.UI.PropertyStoreItem):
   end method.

   method public void OnItemValueChanged(input e as Telerik.WinControls.UI.PropertyStoreItemValueChangedEventArgs):
   end method.

end class.
