class Telerik.WinControls.UI.RadSchedulerElement
   inherits Telerik.WinControls.UI.SchedulerVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable RecurrenceIconProperty as Telerik.WinControls.RadProperty.

   def public static variable ExceptionIconProperty as Telerik.WinControls.RadProperty.

   def public static variable DefaultDateTimeTitleFontProperty as Telerik.WinControls.RadProperty.

   def public static variable DefaultDateTimeTitleColorProperty as Telerik.WinControls.RadProperty.

   def public static variable NavigatorsWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable AppointmentShapeProperty as Telerik.WinControls.RadProperty.

   def public static variable AppointmentShadowShapeProperty as Telerik.WinControls.RadProperty.

   def public static variable AppointmentStatusShapeProperty as Telerik.WinControls.RadProperty.

   def public override property View as Telerik.WinControls.UI.SchedulerView
      get.

   def public property ViewElement as Telerik.WinControls.UI.SchedulerViewElement
      get.

   def public property EditorManager as Telerik.WinControls.UI.SchedulerEditManager
      get.
      set.

   def public property ResizeBehavior as Telerik.WinControls.UI.AppointmentResizingBehavior
      get.
      set.

   def public property DragDropBehavior as Telerik.WinControls.UI.AppointmentDraggingBehavior
      get.
      set.

   def public property RecurrenceIcon as System.Drawing.Image
      get.
      set.

   def public property AppointmentShape as Telerik.WinControls.ElementShape
      get.
      set.

   def public property ExceptionIcon as System.Drawing.Image
      get.
      set.

   def public property DefaultDateTimeTitleFont as System.Drawing.Font
      get.
      set.

   def public property DefaultDateTimeTitleColor as System.Drawing.Color
      get.
      set.

   def public property NavigatorsWidth as integer
      get.
      set.

   def public property AllowDefaultContextMenu as logical
      get.
      set.

   def public property ContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property IsContextMenuOpened as logical
      get.

   constructor public RadSchedulerElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method public final void RefreshViewElement():
   end method.

   method public final void UpdateCellContainers():
   end method.

   method public final void SynchronizeAppointments():
   end method.

   method public final Telerik.WinControls.UI.AppointmentElement GetAppointmentElement(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public final void BeginElementUpdate():
   end method.

   method public final logical IsElementUpdating():
   end method.

   method public final void EndElementUpdate():
   end method.

   method public final void SetResourceHeaderAngleTransform(input viewType as Telerik.WinControls.UI.SchedulerViewType, input angleTransform as integer):
   end method.

   method public final integer GetResourceHeaderAngleTransform(input viewType as Telerik.WinControls.UI.SchedulerViewType):
   end method.

   method public final void CallViewChanged(input e as Telerik.WinControls.UI.SchedulerViewChangedEventArgs):
   end method.

   method public final void NavigateToPreviousResource():
   end method.

   method public final void NavigateToNextResource():
   end method.

   method public final void NavigateToFirstResource():
   end method.

   method public final void NavigateToLastResource():
   end method.

   method public final void MoveToNextView():
   end method.

   method public final void MoveToPreviousView():
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void OnActiveViewChanged(input e as Telerik.WinControls.UI.SchedulerViewChangedEventArgs):
   end method.

   method protected Telerik.WinControls.UI.SchedulerViewElement CreateViewElement():
   end method.

   method protected logical ProcessContextMenu(input location as System.Drawing.Point):
   end method.

end class.
