class Telerik.WinControls.UI.RadScrollViewer
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Layouts.IScrollViewer:

   def public property ScrollLayoutPanel as Telerik.WinControls.UI.RadScrollLayoutPanel
      get.

   def public property CanHorizontalScroll as logical
      get.

   def public property CanVerticalScroll as logical
      get.

   def public property Viewport as Telerik.WinControls.RadElement
      get.
      set.

   def public property VerticalScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public property HorizontalScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public property HorizontalScrollState as Telerik.WinControls.UI.ScrollState
      get.
      set.

   def public property VerticalScrollState as Telerik.WinControls.UI.ScrollState
      get.
      set.

   def public property UsePhysicalScrolling as logical
      get.
      set.

   def public property PixelsPerLineScroll as System.Drawing.Point
      get.
      set.

   def public property MinValue as System.Drawing.Point
      get.

   def public property MaxValue as System.Drawing.Point
      get.

   def public property Value as System.Drawing.Point
      get.
      set.

   def public property ShowBorder as logical
      get.
      set.

   def public property ShowFill as logical
      get.
      set.

   def public property FillElement as Telerik.WinControls.RadElement
      get.

   def public property ScrollThickness as integer
      get.
      set.

   def public property ForceViewportWidth as logical
      get.
      set.

   def public property ForceViewportHeight as logical
      get.
      set.

   def public property Virtualized as logical
      get.
      set.

   def public event Scroll signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ScrollPanelEventArgs).

   def public event ScrollNeedsChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ScrollNeedsEventArgs).

   def public event ScrollParametersChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPanelScrollParametersEventArgs).

   constructor public RadScrollViewer():
   end constructor.

   constructor public RadScrollViewer(input viewport as Telerik.WinControls.RadElement):
   end constructor.

   method protected void OnScroll(input args as Telerik.WinControls.UI.ScrollPanelEventArgs):
   end method.

   method protected void OnScrollNeedsChanged(input args as Telerik.WinControls.UI.ScrollNeedsEventArgs):
   end method.

   method protected void OnScrollParametersChanged(input args as Telerik.WinControls.UI.RadPanelScrollParametersEventArgs):
   end method.

   method protected override void InitializeFields():
   end method.

   method public final void LineDown():
   end method.

   method public final void LineLeft():
   end method.

   method public final void LineRight():
   end method.

   method public final void LineUp():
   end method.

   method public final void PageDown():
   end method.

   method public final void PageLeft():
   end method.

   method public final void PageRight():
   end method.

   method public final void PageUp():
   end method.

   method public final void ScrollToTop():
   end method.

   method public final void ScrollToBottom():
   end method.

   method public final void ScrollToLeftEnd():
   end method.

   method public final void ScrollToRightEnd():
   end method.

   method public final void ScrollToHome():
   end method.

   method public final void ScrollToEnd():
   end method.

   method public final void ScrollElementIntoView(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected Telerik.WinControls.UI.RadScrollLayoutPanel CreateScrollLayoutPanel():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

end class.
