class Telerik.WinControls.UI.RadSpinElement
   inherits Telerik.WinControls.UI.RadEditorElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def protected variable internalValue as decimal.

   def public property ButtonDown as Telerik.WinControls.UI.RadRepeatArrowElement
      get.

   def public property ButtonUp as Telerik.WinControls.UI.RadRepeatArrowElement
      get.

   def public property DecimalPlaces as integer
      get.
      set.

   def protected property DefaultValue as decimal
      get.
      set.

   def public property Hexadecimal as logical
      get.
      set.

   def public property InterceptArrowKeys as logical
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property ThousandsSeparator as logical
      get.
      set.

   def public property TextBoxControl as System.Windows.Forms.TextBox
      get.

   def public property Text as character
      get.
      set.

   def public property TextBoxItem as Telerik.WinControls.UI.RadTextBoxItem
      get.

   def public property TextAlignment as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property StretchVertically as logical
      get.
      set.

   def public property Value as decimal
      get.
      set.

   def public property Step as decimal
      get.
      set.

   def public property MinValue as decimal
      get.
      set.

   def public property ShowUpDownButtons as logical
      get.
      set.

   def public property RightMouseButtonReset as logical
      get.
      set.

   def public property MaxValue as decimal
      get.
      set.

   def public property ShowBorder as logical
      get.
      set.

   def public property Wrap as logical
      get.
      set.

   def public property EnableMouseWheel as logical
      get.
      set.

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   constructor public RadSpinElement():
   end constructor.

   method protected void CreateChildElements():
   end method.

   method protected void InitializeFields():
   end method.

   method protected Telerik.WinControls.UI.RadRepeatArrowElement CreateUpButton():
   end method.

   method protected Telerik.WinControls.UI.RadRepeatArrowElement CreateDownButton():
   end method.

   method protected void WireEvents():
   end method.

   method protected void UnwireEvents():
   end method.

   method protected void DisposeManagedResources():
   end method.

   method protected void OnValueChanged(input e as System.EventArgs):
   end method.

   method public logical Validate():
   end method.

   method public void PerformStep(input step as decimal):
   end method.

   method protected final void OnTextBoxKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void EndTextEdit():
   end method.

   method protected void OnValueChanging(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnBitStateChanged(input key as int64, input oldValue as logical, input newValue as logical):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void ValidateOnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void textItem_LostFocus(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void SetSpinValue(input value as decimal, input fromValue as logical):
   end method.

   method protected decimal Constrain(input value as decimal):
   end method.

   method protected void ValidateCore():
   end method.

   method protected character GetNumberText(input num as decimal):
   end method.

   method protected decimal GetValueFromText():
   end method.

   method public final void SetTextValueChanged(input newState as logical):
   end method.

   method public final void SetSuppresEditorState(input newState as logical):
   end method.

   method protected System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

end class.
