class Telerik.WinControls.UI.RadToggleButtonElement
   inherits Telerik.WinControls.UI.RadButtonElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, System.Windows.Forms.IButtonControl, Telerik.WinControls.Primitives.IImageElement:

   def public static variable ToggleStateProperty as Telerik.WinControls.RadProperty.

   def public static variable ToggleStateChangingRoutedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable CheckedRoutedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable Indeterminate as Telerik.WinControls.RoutedEvent.

   def public static variable Unchecked as Telerik.WinControls.RoutedEvent.

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def public property ToggleState as Telerik.WinControls.Enumerations.ToggleState
      get.
      set.

   def public property IsChecked as logical
      get.
      set.

   def public property IsThreeState as logical
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public event ToggleStateChanging signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangingEventArgs).

   def public event ToggleStateChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangedEventArgs).

   def public event CheckStateChanging signature void (input sender as System.Object, input args as Telerik.WinControls.UI.CheckStateChangingEventArgs).

   def public event CheckStateChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadToggleButtonElement():
   end constructor.

   method protected override void CreateChildElements():
   end method.

   method protected void OnToggleStateChanging(input e as Telerik.WinControls.UI.StateChangingEventArgs):
   end method.

   method protected void OnCheckStateChanging(input e as Telerik.WinControls.UI.CheckStateChangingEventArgs):
   end method.

   method protected void OnToggleStateChanged(input e as Telerik.WinControls.UI.StateChangedEventArgs):
   end method.

   method protected void OnCheckStateChanged(input e as System.EventArgs):
   end method.

   method protected void OnIsCheckedChanged(input e as System.EventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnToggle():
   end method.

   method protected void SetToggleState(input value as Telerik.WinControls.Enumerations.ToggleState):
   end method.

   method public override System.Windows.Forms.VisualStyles.VisualStyleElement GetXPVisualStyle():
   end method.

end class.
