class Telerik.WinControls.UI.Resource
   inherits System.Object
   implements Telerik.WinControls.UI.IResource, Telerik.WinControls.UI.Data.IDataBoundItem, System.ComponentModel.INotifyPropertyChanged:

   def public property Name as character
      get.
      set.

   def public property Id as Telerik.WinControls.UI.EventId
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Color as System.Drawing.Color
      get.
      set.

   def public property DataItem as System.Object
      get.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public Resource():
   end constructor.

   constructor public Resource(input id as System.Object, input name as character):
   end constructor.

   constructor public Resource(input id as Telerik.WinControls.UI.EventId, input name as character):
   end constructor.

   method protected void OnPropertyChanged(input propertyName as character):
   end method.

end class.
