class Telerik.WinControls.UI.SchedulerCellContainer
   inherits Telerik.WinControls.UI.SchedulerVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider
   abstract:

   def public property CellElements as System.Collections.Generic.List
      get.

   def public property AppointmentElements as System.Collections.Generic.List
      get.

   def public event AppointmentsRefreshed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AppointmentsRefreshing signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event CellsRefreshed signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CellsRefreshing signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   constructor public SchedulerCellContainer(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method public final void InitializeChildren():
   end method.

   method protected override void OnBeginDispose():
   end method.

   method public void InitializeCells():
   end method.

   method protected void OnCellsRefreshing(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnCellsRefreshed():
   end method.

   method protected abstract System.Collections.Generic.IEnumerable CreateCellElements().

   method public final void UpdateCells():
   end method.

   method protected abstract void UpdateCellsCore().

   method protected void RecycleCells():
   end method.

   method public final Telerik.WinControls.UI.SchedulerCellElement GetCellByDate(input date as datetime):
   end method.

   method public void InitializeAppointments():
   end method.

   method protected void OnAppointmentsRefreshing(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnAppointmentsRefreshed():
   end method.

   method protected void RecycleAppointments():
   end method.

   method protected abstract System.Collections.Generic.IEnumerable CreateAppointmentElements().

   method public void UpdateAppointments():
   end method.

   method public final Telerik.WinControls.UI.AppointmentElement GetAppointmentElement(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected System.Drawing.RectangleF OnAppointmentLayout(input appointment as Telerik.WinControls.UI.AppointmentElement, input proposedRect as System.Drawing.RectangleF, input finalSize as System.Drawing.SizeF):
   end method.

   method protected System.Drawing.RectangleF OnCellLayout(input cell as Telerik.WinControls.UI.SchedulerCellElement, input proposedRect as System.Drawing.RectangleF, input finalSize as System.Drawing.SizeF):
   end method.

end class.
