class Telerik.WinControls.UI.SchedulerCellElement
   inherits Telerik.WinControls.UI.SchedulerVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.ISchedulerRecyclableElement:

   def public static variable DefaultClassName as character.

   def public static variable SelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsWorkTimeCellProperty as Telerik.WinControls.RadProperty.

   def public static variable IsWholeHourProperty as Telerik.WinControls.RadProperty.

   def public static variable IsTodayProperty as Telerik.WinControls.RadProperty.

   def public property AllowSelection as logical
      get.
      set.

   def public property Row as integer
      get.

   def public property Column as integer
      get.

   def public property IsAllDayCell as logical
      get.

   def public property IsWholeHour as logical
      get.

   def public property Selected as logical
      get.

   def public property IsWorkTime as logical
      get.
      set.

   def public property IsToday as logical
      get.

   def public property Date as datetime
      get.

   def public property Duration as System.TimeSpan
      get.

   constructor public SchedulerCellElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override logical ProcessDragOver(input mousePosition as System.Drawing.Point, input dragObject as Telerik.WinControls.ISupportDrag):
   end method.

   method public final Telerik.WinControls.UI.SchedulerCellContainer FindParentContainer():
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected void AttachView(input view as Telerik.WinControls.UI.SchedulerView, input context as System.Object):
   end method.

end class.
