class Telerik.WinControls.UI.SchedulerDailyPrintStyle
   inherits Telerik.WinControls.UI.SchedulerPrintStyle
   implements System.ICloneable:

   def public property AllDayAppointmentHeight as integer
      get.
      set.

   def public property MaxAllDayAreaHeight as integer
      get.
      set.

   def public property HoursColumnWidth as integer
      get.
      set.

   def public property TwoPagesPerDay as logical
      get.
      set.

   constructor public SchedulerDailyPrintStyle():
   end constructor.

   constructor public SchedulerDailyPrintStyle(input startRange as datetime, input endRange as datetime):
   end constructor.

   method protected override void DrawAppointmentsArea(input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics, input pageNumber as integer):
   end method.

   method protected void DrawNotesPage(input graphics as System.Drawing.Graphics, input appArea as System.Drawing.Rectangle, input pageNumber as integer):
   end method.

   method protected override System.Drawing.Rectangle DrawNotesArea(input graphics as System.Drawing.Graphics, input drawingArea as System.Drawing.Rectangle, input pageNumber as integer):
   end method.

   method protected override datetime GetPageDate(input pageNumber as integer):
   end method.

   method protected override Telerik.WinControls.UI.IResource GetPageResource(input pageNumber as integer):
   end method.

   method public override integer GetNumberOfPages(input pageBounds as System.Drawing.Rectangle, input g as System.Drawing.Graphics):
   end method.

   method public override void CopyProperties(input destination as Telerik.WinControls.UI.SchedulerPrintStyle):
   end method.

   method protected integer DrawAllDayArea(input currentDate as datetime, input resource as Telerik.WinControls.UI.IResource, input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics):
   end method.

   method protected void DrawCells(input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics):
   end method.

   method protected void DrawCells(input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics, input currentDate as datetime):
   end method.

   method protected void DrawAppointments(input currentDate as datetime, input resource as Telerik.WinControls.UI.IResource, input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics):
   end method.

end class.
