class Telerik.WinControls.UI.SchedulerEditManager
   inherits System.Object
   implements Telerik.WinControls.UI.IEditorManager, System.IDisposable:

   def public property ActiveEditor as Telerik.WinControls.UI.ISchedulerEditor
      get.

   def public property SchedulerElement as Telerik.WinControls.UI.RadSchedulerElement
      get.

   def public property IsInEditMode as logical
      get.

   def public property CloseEditorWhenValidationFails as logical
      get.
      set.

   def public property EditorViewMode as Telerik.WinControls.UI.SchedulerEditorViewMode
      get.
      set.

   constructor public SchedulerEditManager(input schedulerElement as Telerik.WinControls.UI.RadSchedulerElement):
   end constructor.

   method public logical BeginInlineEdit():
   end method.

   method public logical BeginEdit():
   end method.

   method public logical EndEdit():
   end method.

   method public final logical CloseEditor():
   end method.

   method public logical CancelEdit():
   end method.

   method public logical IsPermanentEditor(input editorType as System.Type):
   end method.

   method protected logical EndEditCore(input cancel as logical):
   end method.

   method protected void RemoveEditor():
   end method.

   method public Telerik.WinControls.UI.IInputEditor GetDefaultEditor(input provider as Telerik.WinControls.UI.IEditorProvider):
   end method.

   method public void RegisterPermanentEditorType(input editor as System.Type):
   end method.

   method public final void Dispose():
   end method.

end class.
