class Telerik.WinControls.UI.SchedulerElementProvider
   inherits System.Object:

   def public property AllowCache as logical
      get.
      set.

   def public property Scheduler as Telerik.WinControls.UI.RadScheduler
      get.

   constructor public SchedulerElementProvider(input scheduler as Telerik.WinControls.UI.RadScheduler):
   end constructor.

   method public Telerik.WinControls.UI.RulerPrimitive CreateRulerPrimitive(input area as Telerik.WinControls.UI.DayViewAppointmentsArea, input timeZone as Telerik.WinControls.UI.SchedulerTimeZone):
   end method.

   method public Telerik.WinControls.UI.SchedulerVisualElement CreateResourceSeparatorElement(input view as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected logical CanCache(input element as Telerik.WinControls.UI.ISchedulerRecyclableElement):
   end method.

   method public void ClearCache():
   end method.

   method public logical CacheElement(input element as Telerik.WinControls.UI.ISchedulerRecyclableElement):
   end method.

end class.
