class Telerik.WinControls.UI.SchedulerMultiDayView
   inherits Telerik.WinControls.UI.SchedulerDayViewBase
   implements System.ComponentModel.INotifyPropertyChanged, System.IDisposable, Telerik.WinControls.UI.IListChangeHandler:

   def protected variable intervalCollection as Telerik.WinControls.UI.DateTimeIntervalCollection.

   def public override property ViewType as Telerik.WinControls.UI.SchedulerViewType
      get.

   def public override property StartDate as datetime
      get.
      set.

   def public override property DayCount as integer
      get.
      set.

   def public property Intervals as Telerik.WinControls.UI.DateTimeIntervalCollection
      get.

   def public override property EndDate as datetime
      get.

   constructor public SchedulerMultiDayView():
   end constructor.

   constructor public SchedulerMultiDayView(input defaultStartDate as datetime, input defaultEndDate as datetime):
   end constructor.

   constructor public SchedulerMultiDayView(input intervals as System.Collections.Generic.IEnumerable):
   end constructor.

   method public System.Collections.Generic.List GetAppointmentsInInterval(input interval as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public final Telerik.WinControls.UI.DateTimeIntervalCollection GetVisibleIntervals():
   end method.

   method public override logical IsAppointmentInView(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public override logical IsDateInView(input date as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime):
   end method.

   method protected override Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView OffsetView(input offset as integer):
   end method.

   method public override datetime GetDateForColumn(input column as integer):
   end method.

   method public override integer GetColumnForDate(input date as datetime):
   end method.

   method protected override void OnPropertyChanged(input propertyNames as System.String extent):
   end method.

end class.
