class Telerik.WinControls.UI.SchedulerRangeBase
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement
   abstract:

   def public static variable LargeChangeProperty as Telerik.WinControls.RadProperty.

   def public static variable SmallChangeProperty as Telerik.WinControls.RadProperty.

   def public static variable ValueProperty as Telerik.WinControls.RadProperty.

   def public static variable MinimumProperty as Telerik.WinControls.RadProperty.

   def public static variable MaximumProperty as Telerik.WinControls.RadProperty.

   def public property LargeChange as integer
      get.
      set.

   def public property Maximum as integer
      get.
      set.

   def public property Minimum as integer
      get.
      set.

   def public property SmallChange as integer
      get.
      set.

   def public property Value as integer
      get.
      set.

   constructor protected SchedulerRangeBase():
   end constructor.

   method protected void OnLargeChangeChanged(input oldLargeChange as integer, input newLargeChange as integer):
   end method.

   method protected void OnSmallChangeChanged(input oldSmallChange as integer, input newSmallChange as integer):
   end method.

   method protected void OnMaximumChanged(input oldMaximum as integer, input newMaximum as integer):
   end method.

   method protected void OnMinimumChanged(input oldMinimum as integer, input newMinimum as integer):
   end method.

   method protected void OnValueChanged(input oldValue as integer, input newValue as integer):
   end method.

   method public override character ToString():
   end method.

end class.
