class Telerik.WinControls.UI.SchedulerTimelineViewElement
   inherits Telerik.WinControls.UI.SchedulerViewElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AppointmentHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable AppointmentMarginProperty as Telerik.WinControls.RadProperty.

   def public static variable ColumnHeaderHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable ViewHeaderHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable VerticalScrollWidthProperty as Telerik.WinControls.RadProperty.

   def public property VerticalScrollWidth as integer
      get.
      set.

   def public property AppointmentHeight as integer
      get.
      set.

   def public property VScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public override property AppointmentMargin as System.Windows.Forms.Padding
      get.
      set.

   def public property Presenter as Telerik.WinControls.UI.TimelineAppointmentsPresenter
      get.

   def public property Header as Telerik.WinControls.UI.TimelineHeader
      get.

   def public property NavigationElement as Telerik.WinControls.UI.SchedulerRangeBase
      get.

   def public property ViewHeaderHeight as integer
      get.
      set.

   def public property ColumnHeaderHeight as integer
      get.
      set.

   constructor public SchedulerTimelineViewElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected override void CreateChildElements():
   end method.

   method protected void InitializeChildren():
   end method.

   method protected Telerik.WinControls.UI.SchedulerRangeBase CreateNavigationElement():
   end method.

   method public final decimal GetColumnHorizontalOffset(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer):
   end method.

   method public final decimal GetColumnsWidth(input startColumn as integer, input endColumn as integer, input availableWidth as decimal):
   end method.

   method public final void SetColumnWidth(input columnIndex as integer, input value as decimal):
   end method.

   method public final void NavigateToValue(input value as integer):
   end method.

   method public final integer GetScrollValue(input date as datetime):
   end method.

   method public final datetime GetDateForValue(input value as integer):
   end method.

   method protected void OnNavigationElementValueChanged():
   end method.

   method public void UpdateNavigationElement():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected void UpdateVeticalScroll(input presenterHeight as decimal, input appointmentsMaxHeight as decimal):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override void OnViewPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method public override System.Windows.Forms.TableLayoutPanelCellPosition GetCellCoordinates(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public override Telerik.WinControls.UI.SchedulerCellElement GetCellAtPosition(input row as integer, input column as integer):
   end method.

   method public override System.Collections.Generic.List GetCellContainers():
   end method.

   method public override void NavigateForward():
   end method.

   method public override void NavigateBackward():
   end method.

   method public override void Scroll(input up as logical):
   end method.

end class.
