class Telerik.WinControls.UI.SchedulerViewGroupedByResourceElementBase
   inherits Telerik.WinControls.UI.SchedulerViewElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider
   abstract:

   def public static variable ResourceScrollBarThicknessProperty as Telerik.WinControls.RadProperty.

   def public property ResourcesHeader as Telerik.WinControls.UI.SchedulerResourcesHeaderElement
      get.

   def public property ResourceStartIndex as integer
      get.
      set.

   def public override property ForwardNavigator as Telerik.WinControls.UI.ViewNavigationElement
      get.
      protectedset.

   def public override property BackwardNavigator as Telerik.WinControls.UI.ViewNavigationElement
      get.
      protectedset.

   def public property ResourceScrollBarThickness as integer
      get.
      set.

   def public abstract property ResourceScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   constructor public SchedulerViewGroupedByResourceElementBase(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected abstract void RefreshResourceViews().

   method public final void RefreshViews():
   end method.

   method public void NavigateToResource(input index as integer):
   end method.

   method protected abstract void UpdateChildResourceIndices().

   method public final void NavigateToNextResource():
   end method.

   method public final void NavigateToPreviousResource():
   end method.

   method public final decimal GetResourceOffset(input childViewIndex as integer, input availableSpace as decimal):
   end method.

   method public final decimal GetResourceSize(input childViewIndex as integer):
   end method.

   method public final decimal GetResourceSize(input childViewIndex as integer, input availableSpace as decimal):
   end method.

   method public final decimal GetResourcesSize(input startIndex as integer, input endIndex as integer, input availableSpace as decimal):
   end method.

   method public final void SetResourceSize(input childViewIndex as integer, input value as decimal):
   end method.

   method public final void RefreshAppointments():
   end method.

   method protected void OnResourceStartIndexChanged():
   end method.

   method protected logical OnResourceStartIndexChanging(input index as integer):
   end method.

   method protected void InitializeViewSpecificChildren():
   end method.

   method public void UpdateResourcesScrollbar():
   end method.

   method public override void NavigateForward():
   end method.

   method public override void NavigateBackward():
   end method.

   method protected override void OnViewPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
