class Telerik.WinControls.UI.SchedulerWeekView
   inherits Telerik.WinControls.UI.SchedulerDayViewBase
   implements System.ComponentModel.INotifyPropertyChanged, System.IDisposable, Telerik.WinControls.UI.ISupportShowWeekend:

   def public override property ViewType as Telerik.WinControls.UI.SchedulerViewType
      get.

   def public override property DayCount as integer
      get.
      set.

   def public property ShowWeekend as logical
      get.
      set.

   constructor public SchedulerWeekView():
   end constructor.

   constructor public SchedulerWeekView(input startDate as datetime, input showWeekend as logical):
   end constructor.

   method protected override logical SetStartDate(input value as datetime):
   end method.

   method protected override void CopyPropertiesToView(input other as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected override Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime):
   end method.

   method protected datetime CalculateCorrectStartDate(input date as datetime):
   end method.

   method protected override void UpdateOnPropertyChange(input propertyName as character):
   end method.

end class.
