class Telerik.WinControls.UI.StackLayoutElement
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable OrientationProperty as Telerik.WinControls.RadProperty.

   def public static variable ElementSpacingProperty as Telerik.WinControls.RadProperty.

   def public static variable RightToLeftModeProperty as Telerik.WinControls.RadProperty.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property ElementSpacing as integer
      get.
      set.

   def public property RightToLeftMode as Telerik.WinControls.UI.StackLayoutElement+RightToLeftModes
      get.
      set.

   def public property FitInAvailableSize as logical
      get.
      set.

   constructor public StackLayoutElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeHorizontally(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeItemsHorizontaly(input clientRect as System.Drawing.RectangleF, input finalSize as System.Drawing.SizeF, input stretchableWidth as decimal, input spacing as decimal):
   end method.

   method protected void ArrangeVertically(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeElement(input element as Telerik.WinControls.RadElement, input clientRect as System.Drawing.RectangleF, input finalRect as System.Drawing.RectangleF, input finalSize as System.Drawing.SizeF):
   end method.

   method protected System.Drawing.RectangleF AlignRect(input element as Telerik.WinControls.RadElement, input arrangeRect as System.Drawing.RectangleF):
   end method.

end class.
