class Telerik.WinControls.UI.TimeZoneInfo
   inherits System.Object
   implements System.IEquatable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback
   final:

   def public property BaseUtcOffset as System.TimeSpan
      get.

   def public property DaylightName as character
      get.

   def public property DisplayName as character
      get.

   def public property Id as character
      get.

   def public static property Local as Telerik.WinControls.UI.TimeZoneInfo
      get.

   def public property StandardName as character
      get.

   def public property SupportsDaylightSavingTime as logical
      get.

   def public static property Utc as Telerik.WinControls.UI.TimeZoneInfo
      get.

   method public final static void ClearCachedData():
   end method.

   method public final static datetime ConvertTime(input dateTime as datetime, input destinationTimeZone as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static System.DateTimeOffset ConvertTime(input dateTimeOffset as System.DateTimeOffset, input destinationTimeZone as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static datetime ConvertTime(input dateTime as datetime, input sourceTimeZone as Telerik.WinControls.UI.TimeZoneInfo, input destinationTimeZone as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static datetime ConvertTimeBySystemTimeZoneId(input dateTime as datetime, input destinationTimeZoneId as character):
   end method.

   method public final static System.DateTimeOffset ConvertTimeBySystemTimeZoneId(input dateTimeOffset as System.DateTimeOffset, input destinationTimeZoneId as character):
   end method.

   method public final static datetime ConvertTimeBySystemTimeZoneId(input dateTime as datetime, input sourceTimeZoneId as character, input destinationTimeZoneId as character):
   end method.

   method public final static datetime ConvertTimeFromUtc(input dateTime as datetime, input destinationTimeZone as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static datetime ConvertTimeToUtc(input dateTime as datetime):
   end method.

   method public final static datetime ConvertTimeToUtc(input dateTime as datetime, input sourceTimeZone as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static Telerik.WinControls.UI.TimeZoneInfo CreateCustomTimeZone(input id as character, input baseUtcOffset as System.TimeSpan, input displayName as character, input standardDisplayName as character):
   end method.

   method public final static Telerik.WinControls.UI.TimeZoneInfo CreateCustomTimeZone(input id as character, input baseUtcOffset as System.TimeSpan, input displayName as character, input standardDisplayName as character, input daylightDisplayName as character, input adjustmentRules as Telerik.WinControls.UI.TimeZoneInfo+AdjustmentRule extent):
   end method.

   method public final static Telerik.WinControls.UI.TimeZoneInfo CreateCustomTimeZone(input id as character, input baseUtcOffset as System.TimeSpan, input displayName as character, input standardDisplayName as character, input daylightDisplayName as character, input adjustmentRules as Telerik.WinControls.UI.TimeZoneInfo+AdjustmentRule extent, input disableDaylightSavingTime as logical):
   end method.

   method public final logical Equals(input other as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final static Telerik.WinControls.UI.TimeZoneInfo FindSystemTimeZoneById(input id as character):
   end method.

   method public final static Telerik.WinControls.UI.TimeZoneInfo FromSerializedString(input source as character):
   end method.

   method public final static System.Collections.ObjectModel.ReadOnlyCollection GetSystemTimeZones():
   end method.

   method public final Telerik.WinControls.UI.TimeZoneInfo+AdjustmentRule extent GetAdjustmentRules():
   end method.

   method public final System.TimeSpan extent GetAmbiguousTimeOffsets(input dateTime as datetime):
   end method.

   method public final System.TimeSpan extent GetAmbiguousTimeOffsets(input dateTimeOffset as System.DateTimeOffset):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final System.TimeSpan GetUtcOffset(input dateTime as datetime):
   end method.

   method public final System.TimeSpan GetUtcOffset(input dateTimeOffset as System.DateTimeOffset):
   end method.

   method public final logical HasSameRules(input other as Telerik.WinControls.UI.TimeZoneInfo):
   end method.

   method public final logical IsAmbiguousTime(input dateTime as datetime):
   end method.

   method public final logical IsAmbiguousTime(input dateTimeOffset as System.DateTimeOffset):
   end method.

   method public final logical IsDaylightSavingTime(input dateTime as datetime):
   end method.

   method public final logical IsDaylightSavingTime(input dateTimeOffset as System.DateTimeOffset):
   end method.

   method public final logical IsInvalidTime(input dateTime as datetime):
   end method.

   method public final character ToSerializedString():
   end method.

   method public override character ToString():
   end method.

end class.
