class OpenEdge.Core.ByteBucket
	implements OpenEdge.Core.ISupportInitialize:

	constructor public ByteBucket ():
	end.

	constructor public ByteBucket ( piDefaultCapacity as int64):
	end.

	constructor public ByteBucket ( piInitialSize as integer, piDefaultCapacity as int64):
	end.

	constructor public ByteBucket ( piInitialSize as integer):
	end.

	define public property Position as int64 no-undo
		public get.
		public set.

	define public property DefaultCapacity as int64 no-undo
		public get.
		private set.

	define public property Size as int64 no-undo
		public get.

	method public static OpenEdge.Core.ByteBucket Instance ( piInitialSize as integer, piDefaultCapacity as int64):
	end.

	method public static OpenEdge.Core.ByteBucket Instance ( piDefaultCapacity as int64):
	end.

	method public static OpenEdge.Core.ByteBucket Instance ():
	end.

	method public void Clear ():
	end.

	method public void Initialize ():
	end.

	method public void Destroy ():
	end.

	method public void ResizeArray ( piSize as integer):
	end.

	method public void Resize ( piSize as integer):
	end.

	method public void PutBytes ( piPointerValue as int64, piSize as int64):
	end.

	method public void PutString ( poData as OpenEdge.Core.String):
	end.

	method public void PutString ( pcData as longchar):
	end.

	method public void PutString ( pcData as longchar, pcTargetCodepage as longchar):
	end.

	method public void PutString ( pcData as longchar, pcTargetCodepage as character):
	end.

	method public void PutBytes ( poData as OpenEdge.Core.Memptr):
	end.

	method public void PutBytes ( poData as OpenEdge.Core.ByteBucket):
	end.

	method public void PutBytes ( pmData as memptr):
	end.

	method public integer GetByte ():
	end.

	method public integer GetByte ( piStartPos as int64):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64, pcTargetCodepage as character):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64, pcSourceCodepage as character, pcTargetCodepage as character):
	end.

	method public longchar GetString ( piSliceSize as int64):
	end.

	method public longchar GetString ():
	end.

	method public OpenEdge.Core.Memptr GetBytes ():
	end.

	method public OpenEdge.Core.Memptr GetBytes ( piSliceSize as int64):
	end.

	method public OpenEdge.Core.Memptr GetBytes ( piStartPos as int64, piSliceSize as int64):
	end.

	method public void Debug ():
	end.

	method public raw GetHash ():
	end.

	method public raw GetHash ( poAlgorithm as OpenEdge.Core.HashAlgorithmEnum):
	end.

end.
