interface OpenEdge.DataAdmin.IDataAdminService:

   method public logical CancelSchemaChanges ().
 	
	method public logical CreateArea (input a as OpenEdge.DataAdmin.IArea).
 	
	method public logical CreateAreas (input a as OpenEdge.DataAdmin.IAreaSet).
 	
	method public logical CreateAuthenticationSystem (input a as OpenEdge.DataAdmin.IAuthenticationSystem).
 	
	method public logical CreateAuthenticationSystems (input a as OpenEdge.DataAdmin.IAuthenticationSystemSet).
 	
	method public logical CreateCdcTablePolicies (input a as OpenEdge.DataAdmin.ICdcTablePolicySet).
 	
	method public logical CreateCdcTablePolicy (input a as OpenEdge.DataAdmin.ICdcTablePolicy).
 	
	method public logical CreateCollection (input a as OpenEdge.DataAdmin.IDataAdminCollection).
 	
	method public logical CreateDatabaseOption (input a as OpenEdge.DataAdmin.IDatabaseOption).
 	
	method public logical CreateDatabaseOptions (input a as OpenEdge.DataAdmin.IDatabaseOptionSet).
 	
	method public logical CreateDomain (input a as OpenEdge.DataAdmin.IDomain).
 	
	method public logical CreateDomains (input a as OpenEdge.DataAdmin.IDomainSet).
 	
	method public logical CreateGrantedRole (input a as OpenEdge.DataAdmin.IGrantedRole).
 	
	method public logical CreateGrantedRoles (input a as OpenEdge.DataAdmin.IGrantedRoleSet).
 	
	method public logical CreatePartitionPolicies (input a as OpenEdge.DataAdmin.IPartitionPolicySet).
 	
	method public logical CreatePartitionPolicy (input a as OpenEdge.DataAdmin.IPartitionPolicy).
 	
	method public logical CreateRole (input a as OpenEdge.DataAdmin.IRole).
 	
	method public logical CreateRoles (input a as OpenEdge.DataAdmin.IRoleSet).
 	
	method public logical CreateSequence (input a as OpenEdge.DataAdmin.ISequence).
 	
	method public logical CreateSequences (input a as OpenEdge.DataAdmin.ISequenceSet).
 	
	method public logical CreateTenant (input a as OpenEdge.DataAdmin.ITenant).
 	
	method public logical CreateTenantGroup (input a as OpenEdge.DataAdmin.ITenantGroup).
 	
	method public logical CreateTenantGroups (input a as OpenEdge.DataAdmin.ITenantGroupSet).
 	
	method public logical CreateTenants (input a as OpenEdge.DataAdmin.ITenantSet).
 	
	method public logical CreateUser (input a as OpenEdge.DataAdmin.IUser).
 	
	method public logical CreateUsers (input a as OpenEdge.DataAdmin.IUserSet).
 	
	method public logical DeleteAuthenticationSystem (input a as character).
 	
	method public logical DeleteCdcTablePolicy (input a as character).
 	
	method public logical DeleteDomain (input a as character).
 	
	method public logical DeleteGrantedRole (input a as character).
 	
	method public logical DeletePartitionPolicy (input a as character).
 	
	method public logical DeleteSequence (input a as character).
 	
	method public logical DeleteTenant (input a as character).
 	
	method public logical DeleteTenantGroup (input a as character).
 	
	method public logical DeleteUser (input a as character).
 	
	method public void ExecuteUtility (input a as OpenEdge.DataAdmin.Util.IDataAdminUtility).
 	
	method public OpenEdge.DataAdmin.IAdministrator GetAdministrator ().
 	
	method public OpenEdge.DataAdmin.IArea GetArea (input a as character).
 	
	method public OpenEdge.DataAdmin.IArea GetArea (input i as integer).
 	
	method public OpenEdge.DataAdmin.IArea GetArea (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IAreaSet GetAreas ().
 	
	method public OpenEdge.DataAdmin.IAreaSet GetAreas (input a as character).
 	
	method public OpenEdge.DataAdmin.IAreaSet GetAreas (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystem GetAuthenticationSystem (input a as character).
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystemSet GetAuthenticationSystems ().
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystemSet GetAuthenticationSystems (input a as character).
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystemSet GetAuthenticationSystems (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ICdcFieldPolicySet GetCdcFieldPolicies ().
 	
	method public OpenEdge.DataAdmin.ICdcFieldPolicySet GetCdcFieldPolicies (input a as character).
 	
	method public OpenEdge.DataAdmin.ICdcFieldPolicySet GetCdcFieldPolicies (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicySet GetCdcTablePolicies ().
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicySet GetCdcTablePolicies (input a as character).
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicySet GetCdcTablePolicies (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicy GetCdcTablePolicy (input a as character).
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicy GetCdcTablePolicy (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IDataAdminCollection GetCollection (input a as character).
 	
	method public OpenEdge.DataAdmin.IDataAdminCollection GetCollection (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IDatabaseOption GetDatabaseOption (input a as character).
 	
	method public OpenEdge.DataAdmin.IDatabaseOptionSet GetDatabaseOptions ().
 	
	method public OpenEdge.DataAdmin.IDatabaseOptionSet GetDatabaseOptions (input a as character).
 	
	method public OpenEdge.DataAdmin.IDatabaseOptionSet GetDatabaseOptions (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IDataSecurity GetDataSecurity (input a as character).
 	
	method public OpenEdge.DataAdmin.IDomain GetDomain (input a as character).
 	
	method public OpenEdge.DataAdmin.IDomain GetDomain (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IDomainSet GetDomains ().
 	
	method public OpenEdge.DataAdmin.IDomainSet GetDomains (input a as character).
 	
	method public OpenEdge.DataAdmin.IDomainSet GetDomains (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public Progress.Lang.Error GetError ().
 	
	method public OpenEdge.DataAdmin.IGrantedRole GetGrantedRole (input a as character).
 	
	method public OpenEdge.DataAdmin.IGrantedRoleSet GetGrantedRoles ().
 	
	method public OpenEdge.DataAdmin.IGrantedRoleSet GetGrantedRoles (input a as character).
 	
	method public OpenEdge.DataAdmin.IGrantedRoleSet GetGrantedRoles (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicySet GetPartitionPolicies ().
 	
	method public OpenEdge.DataAdmin.IPartitionPolicySet GetPartitionPolicies (input a as character).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicySet GetPartitionPolicies (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicy GetPartitionPolicy (input a as character).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicy GetPartitionPolicy (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicyDetailSet GetPartitionPolicyDetails ().
 	
	method public OpenEdge.DataAdmin.IPartitionPolicyDetailSet GetPartitionPolicyDetails (input a as character).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicyDetailSet GetPartitionPolicyDetails (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IUserTablePermissionSet GetPermissions (input a as character).
 	
	method public OpenEdge.DataAdmin.IRole GetRole (input a as character).
 	
	method public OpenEdge.DataAdmin.IRole GetRole (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IRoleSet GetRoles ().
 	
	method public OpenEdge.DataAdmin.IRoleSet GetRoles (input a as character).
 	
	method public OpenEdge.DataAdmin.IRoleSet GetRoles (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ISchema GetSchema ().
 	
	method public OpenEdge.DataAdmin.ISchema GetSchema (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ISchema GetSchemaChanges (input a as character).
 	
	method public OpenEdge.DataAdmin.ISequence GetSequence (input a as character).
 	
	method public OpenEdge.DataAdmin.ISequence GetSequence (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ISequenceSet GetSequences ().
 	
	method public OpenEdge.DataAdmin.ISequenceSet GetSequences (input a as character).
 	
	method public OpenEdge.DataAdmin.ISequenceSet GetSequences (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITable GetTable (input a as character).
 	
	method public OpenEdge.DataAdmin.ITable GetTable (input a as character, input b as character).
 	
	method public OpenEdge.DataAdmin.ITable GetTable (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITablePermission GetTablePermission (input a as character).
 	
	method public OpenEdge.DataAdmin.ITablePermissionSet GetTablePermissions ().
 	
	method public OpenEdge.DataAdmin.ITablePermissionSet GetTablePermissions (input a as character).
 	
	method public OpenEdge.DataAdmin.ITableSet GetTables ().
 	
	method public OpenEdge.DataAdmin.ITableSet GetTables (input a as character).
 	
	method public OpenEdge.DataAdmin.ITableSet GetTables (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITenant GetTenant (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenant GetTenant (input i as integer).
 	
	method public OpenEdge.DataAdmin.ITenant GetTenant (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITenant GetTenantByExternalId (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantGroup GetTenantGroup (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantGroup GetTenantGroup (input i as integer).
 	
	method public OpenEdge.DataAdmin.ITenantGroup GetTenantGroup (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITenantGroupSet GetTenantGroups ().
 	
	method public OpenEdge.DataAdmin.ITenantGroupSet GetTenantGroups (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantGroupSet GetTenantGroups (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.ITenantSet GetTenants ().
 	
	method public OpenEdge.DataAdmin.ITenantSet GetTenants (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantSet GetTenants (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public OpenEdge.DataAdmin.IUser GetUser (input a as character).
 	
	method public OpenEdge.DataAdmin.IUserPermission GetUserPermission (input a as character).
 	
	method public OpenEdge.DataAdmin.IUserPermissionSet GetUserPermissions ().
 	
	method public OpenEdge.DataAdmin.IUserPermissionSet GetUserPermissions (input a as character).
 	
	method public OpenEdge.DataAdmin.IUserSet GetUsers ().
 	
	method public OpenEdge.DataAdmin.IUserSet GetUsers (input a as character).
 	
	method public OpenEdge.DataAdmin.IUserSet GetUsers (input a as OpenEdge.DataAdmin.IRequestInfo).
 	
	method public logical LoadSchemaChanges (input a as character).
 	
	method public OpenEdge.DataAdmin.IArea NewArea (input a as character).
 	
	method public OpenEdge.DataAdmin.IAreaSet NewAreas ().
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystem NewAuthenticationSystem (input a as character).
 	
	method public OpenEdge.DataAdmin.IAuthenticationSystemSet NewAuthenticationSystems ().
 	
	method public OpenEdge.DataAdmin.ICdcFieldPolicy NewCdcFieldPolicy ().
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicySet NewCdcTablePolicies ().
 	
	method public OpenEdge.DataAdmin.ICdcTablePolicy NewCdcTablePolicy (input a as character).
 	
	method public OpenEdge.DataAdmin.IDataAdminCollection NewCollection (input a as character).
 	
	method public OpenEdge.DataAdmin.IDatabaseOption NewDatabaseOption (input a as character).
 	
	method public OpenEdge.DataAdmin.IDatabaseOptionSet NewDatabaseOptions ().
 	
	method public OpenEdge.DataAdmin.IDomain NewDomain (input a as character).
 	
	method public OpenEdge.DataAdmin.IDomainSet NewDomains ().
 	
	method public OpenEdge.DataAdmin.IExtent NewExtent ().
 	
	method public OpenEdge.DataAdmin.IGrantedRole NewGrantedRole ().
 	
	method public OpenEdge.DataAdmin.IGrantedRoleSet NewGrantedRoles ().
 	
	method public OpenEdge.DataAdmin.IIndex NewIndex ().
 	
	method public OpenEdge.DataAdmin.IPartitionPolicySet NewPartitionPolicies ().
 	
	method public OpenEdge.DataAdmin.IPartitionPolicy NewPartitionPolicy (input a as character).
 	
	method public OpenEdge.DataAdmin.IPartitionPolicyDetail NewPartitionPolicyDetail (input a as character).
 	
	method public OpenEdge.DataAdmin.IRole NewRole (input a as character).
 	
	method public OpenEdge.DataAdmin.IRoleSet NewRoles ().
 	
	method public OpenEdge.DataAdmin.ISequence NewSequence (input a as character).
 	
	method public OpenEdge.DataAdmin.ISequenceSet NewSequences ().
 	
	method public OpenEdge.DataAdmin.ITenant NewTenant (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantGroup NewTenantGroup (input a as character).
 	
	method public OpenEdge.DataAdmin.ITenantGroupMember NewTenantGroupMember ().
 	
	method public OpenEdge.DataAdmin.ITenantGroupSet NewTenantGroups ().
 	
	method public OpenEdge.DataAdmin.ITenantSet NewTenants ().
 	
	method public OpenEdge.DataAdmin.IUser NewUser (input a as character).
 	
	method public OpenEdge.DataAdmin.IUserSet NewUsers ().
 	
	method public Progress.Lang.Error RemoveError ().
 	
	method public void ThrowError ().
 	
	method public logical UpdateAdministrator (input a as OpenEdge.DataAdmin.IAdministrator).
 	
	method public logical UpdateArea (input a as OpenEdge.DataAdmin.IArea).
 	
	method public logical UpdateAreas (input a as OpenEdge.DataAdmin.IAreaSet).
 	
	method public logical UpdateAuthenticationSystem (input a as OpenEdge.DataAdmin.IAuthenticationSystem).
 	
	method public logical UpdateAuthenticationSystems (input a as OpenEdge.DataAdmin.IAuthenticationSystemSet).
 	
	method public logical UpdateCdcTablePolicies (input a as OpenEdge.DataAdmin.ICdcTablePolicySet).
 	
	method public logical UpdateCdcTablePolicy (input a as OpenEdge.DataAdmin.ICdcTablePolicy).
 	
	method public logical UpdateCollection (input a as OpenEdge.DataAdmin.IDataAdminCollection).
 	
	method public logical UpdateDatabaseOption (input a as OpenEdge.DataAdmin.IDatabaseOption).
 	
	method public logical UpdateDatabaseOptions (input a as OpenEdge.DataAdmin.IDatabaseOptionSet).
 	
	method public logical UpdateDataSecurity (input a as OpenEdge.DataAdmin.IDataSecurity).
 	
	method public logical UpdateDomain (input a as OpenEdge.DataAdmin.IDomain).
 	
	method public logical UpdateDomains (input a as OpenEdge.DataAdmin.IDomainSet).
 	
	method public logical UpdateGrantedRole (input a as OpenEdge.DataAdmin.IGrantedRole).
 	
	method public logical UpdateGrantedRoles (input a as OpenEdge.DataAdmin.IGrantedRoleSet).
 	
	method public logical UpdatePartitionPolicies (input a as OpenEdge.DataAdmin.IPartitionPolicySet).
 	
	method public logical UpdatePartitionPolicy (input a as OpenEdge.DataAdmin.IPartitionPolicy).
 	
	method public logical UpdateRole (input a as OpenEdge.DataAdmin.IRole).
 	
	method public logical UpdateRoles (input a as OpenEdge.DataAdmin.IRoleSet).
 	
	method public logical UpdateSchema (input a as OpenEdge.DataAdmin.ISchema).
 	
	method public logical UpdateSchemaChanges (input a as OpenEdge.DataAdmin.ISchema).
 	
	method public logical UpdateSequence (input a as OpenEdge.DataAdmin.ISequence).
 	
	method public logical UpdateSequences (input a as OpenEdge.DataAdmin.ISequenceSet).
 	
	method public logical UpdateTable (input a as OpenEdge.DataAdmin.ITable).
 	
	method public logical UpdateTablePermission (input a as OpenEdge.DataAdmin.TablePermission).
 	
	method public logical UpdateTablePermissions (input a as OpenEdge.DataAdmin.ITablePermissionSet).
 	
	method public logical UpdateTables (input a as OpenEdge.DataAdmin.ITableSet).
 	
	method public logical UpdateTenant (input a as OpenEdge.DataAdmin.ITenant).
 	
	method public logical UpdateTenantGroup (input a as OpenEdge.DataAdmin.ITenantGroup).
 	
	method public logical UpdateTenantGroups (input a as OpenEdge.DataAdmin.ITenantGroupSet).
 	
	method public logical UpdateTenants (input a as OpenEdge.DataAdmin.ITenantSet).
 	
	method public logical UpdateUser (input a as OpenEdge.DataAdmin.IUser).
 	
	method public logical UpdateUsers (input a as OpenEdge.DataAdmin.IUserSet).

 	define public event ServiceDeleted signature void ().

   define public property Name as character get.
   define public property PasswordPolicy as OpenEdge.DataAdmin.Core.IPasswordPolicy get. set.
   define public property ThrowDataErrors as logical get. set.
   define public property TransactionLogger as OpenEdge.DataAdmin.Core.FileLogger get. set.
   define public property Url as character get. set.
   define public property UtilityFactory as OpenEdge.DataAdmin.Util.IUtilityFactory get.

end interface.