class OpenEdge.Net.HTTP.AuthenticatedRequest
	inherits OpenEdge.Net.HTTP.HttpRequestDecorator
	implements OpenEdge.Net.HTTP.IAuthenticatedRequest, 
		OpenEdge.Net.HTTP.IHttpRequest, 
		OpenEdge.Core.IAdaptable, 
		OpenEdge.Net.HTTP.IHttpMessage:

	constructor public AuthenticatedRequest ( poHttpRequest as OpenEdge.Net.HTTP.IHttpRequest):
	end.

	define public property AuthenticationMethod as character no-undo
		public get.
		private set.

	define public property Credentials as OpenEdge.Net.HTTP.Credentials no-undo
		public get.
		public set.

	define public property AuthenticationChallenge as character no-undo
		public get.
		private set.

	method public void AddAuthentication ():
	end.

	method public void SetChallenge ( pcAuthMethod as character, pcChallenge as character):
	end.

	method public void AddAuthenticationCallback ( poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler):
	end.

	method public void RemoveAuthenticationCallback ( poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler):
	end.

	method public integer GetAuthenticationCallbacks ( output poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler extent ):
	end.

end.
