class OpenEdge.Net.HTTP.Filter.Auth.AuthenticationRequestFilter
	implements OpenEdge.Net.HTTP.IHttpMessageWriter, 
		OpenEdge.Net.HTTP.Filter.IFilterEvents, 
		OpenEdge.Core.ISupportInitialize abstract:

	constructor public AuthenticationRequestFilter ( poRequest as OpenEdge.Net.HTTP.IAuthenticatedRequest):
	end.

	define public property FilterEventListenerType as Progress.Lang.Class no-undo
		public get.

	define public property Message as OpenEdge.Net.HTTP.IHttpMessage no-undo
		public get.
		private set.

	define protected property AuthenticatedRequest as OpenEdge.Net.HTTP.IAuthenticatedRequest no-undo
		protected get.
		private set.

	method public void Close ():
	end.

	method public void Flush ():
	end.

	method protected abstract void AddAuthentication ().

	method public void Open ():
	end.

	method public void Write ( input-output pcData as longchar):
	end.

	method public void Write ( pmData as memptr):
	end.

	method public void Write ( poData as Progress.Lang.Object):
	end.

	method public void Write ( phData as handle):
	end.

	method public void Write ( input-output pcData as character):
	end.

	method protected void OnHttpCredentialRequest ( poAuthRequestArgs as OpenEdge.Net.HTTP.AuthenticationRequestEventArgs):
	end.

	method protected OpenEdge.Net.HTTP.Credentials GetCredentials ( pcRealm as character):
	end.

	method public void SubscribeListener ( poListener as Progress.Lang.Object):
	end.

	method public void UnsubscribeListener ( poListener as Progress.Lang.Object):
	end.

	method public void Initialize ():
	end.

	method public void Destroy ():
	end.

	define public event HttpCredentialRequest void ( poSender as Progress.Lang.Object, poEventArgs as OpenEdge.Net.HTTP.AuthenticationRequestEventArgs).

end.
