class Progress.Data.ColumnPropDesc
inherits System.ComponentModel.PropertyDescriptor
implements System.Runtime.Serialization.ISerializable:

   /* this is a bogus property to resolve the fact that an instance of this class is defined as */
   /* the Columns property (type Progress.Data.ColumnPropDesc[]) in Progress.Data.TableDesc */
   /* that is a ".NET array" which implicitly has the Length property; this is just a hack until */
   /* the parser detects this case and handles it */
   define property Length as integer
      get.
      set.

   define property ColumnLabel as character
      get.
      set.

   /* we will have to see what customer code uses for these (as the member name) since it is undocumented: */
   /* - data type property of type Progress.Data.DataType */
   /* - field name property of type character */
      
end class.
