class ComponentFactory.Krypton.Navigator.KryptonPage
   inherits ComponentFactory.Krypton.Toolkit.VisualPanel
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Toolkit.IKryptonDebug:

   def public property PaletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode
      get.
      set.

   def public property Palette as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property ButtonSpecs as ComponentFactory.Krypton.Navigator.PageButtonSpecCollection
      get.

   def public property StateCommon as ComponentFactory.Krypton.Navigator.PaletteNavigatorRedirect
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Navigator.PaletteNavigator
      get.

   def public property StateNormal as ComponentFactory.Krypton.Navigator.PaletteNavigator
      get.

   def public property StateTracking as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx
      get.

   def public property StatePressed as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx
      get.

   def public property StateSelected as ComponentFactory.Krypton.Navigator.PaletteNavigatorOther
      get.

   def public property OverrideFocus as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherRedirect
      get.

   def public override property Text as character
      get.
      set.

   def public property TextTitle as character
      get.
      set.

   def public property TextDescription as character
      get.
      set.

   def public property ImageSmall as System.Drawing.Image
      get.
      set.

   def public property ImageMedium as System.Drawing.Image
      get.
      set.

   def public property ImageLarge as System.Drawing.Image
      get.
      set.

   def public property ToolTipImage as System.Drawing.Image
      get.
      set.

   def public property ToolTipImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ToolTipTitle as character
      get.
      set.

   def public property ToolTipBody as character
      get.
      set.

   def public property ToolTipStyle as ComponentFactory.Krypton.Toolkit.LabelStyle
      get.
      set.

   def public property KryptonContextMenu as ComponentFactory.Krypton.Toolkit.KryptonContextMenu
      get.
      set.

   def public property UniqueName as character
      get.
      set.

   def public property AutoHiddenSlideSize as System.Drawing.Size
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public override property AutoSizeMode as System.Windows.Forms.AutoSizeMode
      get.
      set.

   def public override property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property TabIndex as integer
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property KryptonParentContainer as System.Windows.Forms.Control
      get.

   def public property Flags as integer
      get.
      set.

   def public property LastVisibleSet as logical
      get.
      set.

   def public event Load signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AppearancePropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   def public event FlagsChanged signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Navigator.KryptonPageFlagsEventArgs).

   def public event AutoHiddenSlideSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DockChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event LocationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TabIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public KryptonPage():
   end constructor.

   constructor public KryptonPage(input text as character):
   end constructor.

   constructor public KryptonPage(input text as character, input uniqueName as character):
   end constructor.

   constructor public KryptonPage(input text as character, input imageSmall as System.Drawing.Image, input uniqueName as character):
   end constructor.

   method public override character ToString():
   end method.

   method public final void ResetTextTitle():
   end method.

   method public final void ResetTextDescription():
   end method.

   method public final void ResetImageSmall():
   end method.

   method public final void ResetImageMedium():
   end method.

   method public final void ResetImageLarge():
   end method.

   method public final void ResetToolTipImage():
   end method.

   method public final void ResetToolTipImageTransparentColor():
   end method.

   method public final void ResetToolTipTitle():
   end method.

   method public final void ResetToolTipBody():
   end method.

   method public final void ResetToolTipStyle():
   end method.

   method public final void ResetUniqueName():
   end method.

   method public void SetFixedState(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public void SetInherit(input alignControl as System.Windows.Forms.Control, input common as ComponentFactory.Krypton.Navigator.PaletteNavigatorRedirect, input disabled as ComponentFactory.Krypton.Navigator.PaletteNavigator, input normal as ComponentFactory.Krypton.Navigator.PaletteNavigator, input tracking as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx, input pressed as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherEx, input selected as ComponentFactory.Krypton.Navigator.PaletteNavigatorOther, input focus as ComponentFactory.Krypton.Navigator.PaletteNavigatorOtherRedirect):
   end method.

   method public void ResetInherit(input alignControl as System.Windows.Forms.Control):
   end method.

   method public character GetTextMapping(input mapping as ComponentFactory.Krypton.Navigator.MapKryptonPageText):
   end method.

   method public System.Drawing.Image GetImageMapping(input mapping as ComponentFactory.Krypton.Navigator.MapKryptonPageImage):
   end method.

   method public void SetFlags(input flags as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method public void ClearFlags(input flags as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method public logical AreFlagsSet(input flags as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected override void SetVisibleCore(input value as logical):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDockChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTabIndexChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTabStopChanged(input e as System.EventArgs):
   end method.

   method protected void OnAppearancePropertyChanged(input propertyName as character):
   end method.

   method protected void OnFlagsChanged(input changed as ComponentFactory.Krypton.Navigator.KryptonPageFlags):
   end method.

   method protected void OnAutoHiddenSlideSizeChanged(input e as System.EventArgs):
   end method.

   method protected void OnLoad(input e as System.EventArgs):
   end method.

   method protected void OnNeedDisabledPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

   method protected void OnNeedNormalPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

end class.
