class ComponentFactory.Krypton.Navigator.PaletteNavigatorRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteDoubleMetricRedirect
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public property RedirectBorderEdge as ComponentFactory.Krypton.Toolkit.PaletteRedirect
      set.

   def public property RedirectRibbonGeneral as ComponentFactory.Krypton.Toolkit.PaletteRedirect
      set.

   def public override property IsDefault as logical
      get.

   def public property Bar as ComponentFactory.Krypton.Navigator.PaletteBarRedirect
      get.

   def public override property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public override property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public override property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public override property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   def public property Panel as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property CheckButton as ComponentFactory.Krypton.Toolkit.PaletteTripleRedirect
      get.

   def public property OverflowButton as ComponentFactory.Krypton.Toolkit.PaletteTripleRedirect
      get.

   def public property MiniButton as ComponentFactory.Krypton.Toolkit.PaletteTripleRedirect
      get.

   def public property HeaderGroup as ComponentFactory.Krypton.Navigator.PaletteNavigatorHeaderGroupRedirect
      get.

   def public property Page as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property BorderEdge as ComponentFactory.Krypton.Toolkit.PaletteBorderEdgeRedirect
      get.

   def public property Metrics as ComponentFactory.Krypton.Navigator.PaletteMetrics
      get.

   def public property Separator as ComponentFactory.Krypton.Toolkit.PaletteSeparatorPaddingRedirect
      get.

   def public property Tab as ComponentFactory.Krypton.Toolkit.PaletteTabTripleRedirect
      get.

   def public property RibbonTab as ComponentFactory.Krypton.Navigator.PaletteRibbonTabContentRedirect
      get.

   def public property RibbonGeneral as ComponentFactory.Krypton.Navigator.PaletteRibbonGeneralNavRedirect
      get.

   constructor public PaletteNavigatorRedirect(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   constructor public PaletteNavigatorRedirect(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input redirectNavigator as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorPage as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorHeaderGroup as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorHeaderPrimary as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorHeaderSecondary as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorHeaderBar as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorHeaderOverflow as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorCheckButton as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorOverflowButton as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorMiniButton as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorBar as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorBorderEdge as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorSeparator as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorTab as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorRibbonTab as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectNavigatorRibbonGeneral as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public override integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public override System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
