class ComponentFactory.Krypton.Navigator.PaletteRibbonGeneralNavRedirect
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral:

   def public override property IsDefault as logical
      get.

   def public property TextFont as System.Drawing.Font
      get.
      set.

   def public property TextHint as ComponentFactory.Krypton.Toolkit.PaletteTextHint
      get.
      set.

   constructor public PaletteRibbonGeneralNavRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetRedirector(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetRibbonContextTextAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Font GetRibbonContextTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonContextTextColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonDisabledDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonDisabledLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonDropArrowLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonDropArrowDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonGroupDialogDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonGroupDialogLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonGroupSeparatorDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonGroupSeparatorLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonMinimizeBarDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonMinimizeBarLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRibbonShape GetRibbonShape():
   end method.

   method public final System.Drawing.Color GetRibbonTabSeparatorColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonTabSeparatorContextColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetTextFont():
   end method.

   method public final System.Drawing.Font GetRibbonTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetTextHint():
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextHint GetRibbonTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonQATButtonDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetRibbonQATButtonLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

end class.
