class ComponentFactory.Krypton.Toolkit.RenderContext
   inherits ComponentFactory.Krypton.Toolkit.ViewContext
   implements System.IDisposable:

   def public property ClipRect as System.Drawing.Rectangle
      get.

   constructor public RenderContext(input control as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input clipRect as System.Drawing.Rectangle, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   constructor public RenderContext(input control as System.Windows.Forms.Control, input alignControl as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input clipRect as System.Drawing.Rectangle, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   constructor public RenderContext(input manager as ComponentFactory.Krypton.Toolkit.ViewManager, input control as System.Windows.Forms.Control, input alignControl as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input clipRect as System.Drawing.Rectangle, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   method public final System.Drawing.Rectangle GetAlignedRectangle(input align as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign, input local as System.Drawing.Rectangle):
   end method.

end class.
