class ComponentFactory.Krypton.Toolkit.VisualPanel
   inherits System.Windows.Forms.Panel
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Toolkit.IKryptonDebug
   abstract:

   def public property IsInitialized as logical
      get.

   def public property IsInitializing as logical
      get.

   def public override property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property PaletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode
      get.
      set.

   def public property Palette as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property Renderer as ComponentFactory.Krypton.Toolkit.IRenderer
      get.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property KryptonLayoutCounter as integer
      get.

   def public property KryptonPaintCounter as integer
      get.

   def protected property ViewManager as ComponentFactory.Krypton.Toolkit.ViewManager
      get.
      set.

   def protected property Redirector as ComponentFactory.Krypton.Toolkit.PaletteRedirect
      get.

   def protected property NeedPaintDelegate as ComponentFactory.Krypton.Toolkit.NeedPaintHandler
      get.

   def protected property NeedTransparentPaint as logical
      get.

   def protected property EvalInvokePaint as logical
      get.

   def protected property TransparentParent as System.Windows.Forms.Control
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PaletteChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected VisualPanel():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public void BeginInit():
   end method.

   method public void EndInit():
   end method.

   method public final void PerformNeedPaint(input needLayout as logical):
   end method.

   method public final void ResetPaletteMode():
   end method.

   method public final void ResetPalette():
   end method.

   method public final System.Windows.Forms.ToolStripRenderer CreateToolStripRenderer():
   end method.

   method public final void AttachGlobalEvents():
   end method.

   method public final void UnattachGlobalEvents():
   end method.

   method protected void ContextMenuClosed():
   end method.

   method public final void KryptonResetCounters():
   end method.

   method protected final void OnNeedPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.IPalette GetResolvedPalette():
   end method.

   method protected void OnInitialized(input e as System.EventArgs):
   end method.

   method protected void OnPaletteChanged(input e as System.EventArgs):
   end method.

   method protected logical EvalTransparentPaint():
   end method.

   method protected void OnButtonSpecChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void UpdateGlobalEvents(input attach as logical):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

end class.
