

class CrystalDecisions.Shared.ConnectionInfo:

   constructor public StartArgs():
   end constructor.
      
   define property ServerName as character
      get.
      set.

   define property DatabaseName as character
      get.
      set.

   define property UserID as character
      get.
      set.

   define property Password as character
      get.
      set.

   define property Type as CrystalDecisions.Shared.ConnectionInfoType
      get.
      set.

   /* all we know is that this property has a Clear() method, we don't know the real type */
   define property LogonProperties as CrystalDecisions.Shared.Bogus
      get.
      set.
            
   /* this is set to the unknown literal, I have no idea what the right type is */
   define property Attributes as character
      get.
      set.

   define property AllowCustomConnection as logical
      get.
      set.

   define property IntegratedSecurity as logical
      get.
      set.

   define property DBConnHandler as integer
      get.
      set.

end class.

