class DataPAEnterpriseDashboard.ControlPanelObject
   inherits System.Object
   implements DataPAEnterpriseDashboard.ControlPanelObject+_ControlPanelObject, DataPASerialization.ISerializable, System.Runtime.Serialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property Parent as DataPAEnterpriseDashboard.ControlPanelObjects
      get.
      set.

   def public property VAlign as DataPAEnterpriseDashboard.ControlPanelObject+VerticalAlignment
      get.
      set.

   def public property HAlign as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColour as System.Drawing.Color
      get.
      set.

   def public property FilterControlType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelFilterControlType
      get.
      set.

   def public property ListDataTag as character
      get.
      set.

   def public property ManualDataDefinition as logical
      get.
      set.

   def public property DisplayColumn as character
      get.
      set.

   def public property DisplayColumnDateType as DataPAEnterpriseDashboard.SummaryData+SummaryDataDateGroupType
      get.
      set.

   def public property QuarterStartMonth as integer
      get.
      set.

   def public property DisplayColumnIsDate as logical
      get.
      set.

   def public property ValueColumnIsDate as logical
      get.
      set.

   def public property DisplayColumnIsDateTime as logical
      get.
      set.

   def public property ValueColumnIsDateTime as logical
      get.
      set.

   def public property ValueColumn as character
      get.
      set.

   def public property ValueColumnDateType as DataPAEnterpriseDashboard.SummaryData+SummaryDataDateGroupType
      get.
      set.

   def public property SortDropDownList as logical
      get.
      set.

   def public property AllowAllInDropDownList as logical
      get.
      set.

   def public property LookupObject as RunDataPA.Lookup
      get.

   def public property IgnoreDuplicatesInDropDownList as logical
      get.
      set.

   def public property DropDownList as System.String extent
      get.
      set.

   def public property SourceDataTable as System.Data.DataTable
      get.

   def public property Value as System.Object
      get.
      set.

   def public property COMValue as character
      get.
      set.

   def public property FilterDependantObjects as Microsoft.VisualBasic.Collection
      get.

   def public property DirectFilterDependantObjects as Microsoft.VisualBasic.Collection
      get.

   def public property FilterDependantControlPanelObjects as Microsoft.VisualBasic.Collection
      get.

   def public property MinimumValue as decimal
      get.
      set.

   def public property MaximumValue as decimal
      get.
      set.

   def public property numericSuffix as character
      get.
      set.

   def public property numericPrefix as character
      get.
      set.

   def public property scalingUnits as character
      get.
      set.

   def public property scalingValues as character
      get.
      set.

   def public property forceTrailingZeros as logical
      get.
      set.

   def public property numberDecimals as integer
      get.
      set.

   def public property ShowLabels as logical
      get.
      set.

   def public property ShowMinorTickMarks as logical
      get.
      set.

   def public property ShowMajorTickMarks as logical
      get.
      set.

   def public property RefreshQueriesOnChange as Microsoft.VisualBasic.Collection
      get.

   def public property Clone as DataPAEnterpriseDashboard.ControlPanelObject
      get.

   def public property Enabled as logical
      get.

   def public property SourceDataTableFilter as DataPAEnterpriseDashboard.DashboardFilter
      get.
      set.

   def public property Image as System.Drawing.Bitmap
      get.
      set.

   def public property ImageDisplayType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelImageDisplayType
      get.
      set.

   def public property NumericGuiFormat as character
      get.

   def public property SuppressThousandSeparator as logical
      get.
      set.

   def public property QueryRequiredFields as Microsoft.VisualBasic.Collection
      get.

   def public property DefaultRequiredField as RunDataPA.Field
      get.

   def public property QueryRequiredFieldDeleted as logical
      get.

   def public property Querys as Microsoft.VisualBasic.Collection
      get.
      set.

   constructor protected ControlPanelObject(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor public ControlPanelObject():
   end constructor.

   constructor public ControlPanelObject(input Parent as DataPAEnterpriseDashboard.ControlPanelObjects, input ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType, input FilterControlType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelFilterControlType):
   end constructor.

   constructor public ControlPanelObject(input Parent as DataPAEnterpriseDashboard.ControlPanelObjects, input ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType, input Query as DataPAEnterpriseDashboard.DashboardQuery, input RequiredField as RunDataPA.Field):
   end constructor.

   constructor public ControlPanelObject(input Parent as DataPAEnterpriseDashboard.ControlPanelObjects, input ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType, input Query as DataPAEnterpriseDashboard.DashboardQuery):
   end constructor.

   constructor public ControlPanelObject(input Parent as DataPAEnterpriseDashboard.ControlPanelObjects, input ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType, input Queries as Microsoft.VisualBasic.Collection, input Label as character):
   end constructor.

   constructor public ControlPanelObject(input Parent as DataPAEnterpriseDashboard.ControlPanelObjects, input ObjectType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelObjectType, input Image as System.Drawing.Bitmap, input ImageDisplayType as DataPAEnterpriseDashboard.ControlPanelObject+ControlPanelImageDisplayType):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final logical ObjectIsDependant(input DashboardObject as DataPAEnterpriseDashboard.DashboardObject):
   end method.

   method public final character GetValueString(input Value as System.Object):
   end method.

   method public final void AddQueryRequiredField(input QueryID as character, input RequiredField as character):
   end method.

   method public final void RemoveQueryRequiredField(input QueryID as character, input RequiredField as character):
   end method.

   method public final void CopyToClipboard():
   end method.

end class.
