interface DataPAEnterpriseDashboard.ManagedDashboard+_ManagedDashboard:

   def public property ServerFileName as character
      get.
      set.

   def public property RefreshAndSaveCompletedOK as logical
      get.
      set.

   def public property RefreshAndSaveErrorString as character
      get.
      set.

   def public property Silent as logical
      get.
      set.

   def public property chartBaseFontSize as integer
      get.
      set.

   def public property chartOutCnvBaseFontSize as integer
      get.
      set.

   def public property InLineXML as logical
      get.
      set.

   def public property BuildIndependantObjectHTML as logical
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.
      set.

   def public property Queries as DataPAEnterpriseDashboard.DashboardQueries
      get.
      set.

   def public property Tabs as DataPAEnterpriseDashboard.DashboardTabs
      get.
      set.

   def public property Application as RunDataPA.Application
      get.
      set.

   def public property FileName as character
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property HasData as logical
      get.

   def public property ShowDebugInfo as logical
      get.
      set.

   def public property DebugQueries as logical
      get.
      set.

   def public property PrintScalePercent as integer
      get.
      set.

   def public property PageSettings as System.Drawing.Printing.PageSettings
      get.
      set.

   def public property HttpApplicationPath as character
      get.
      set.

   def public property ChartSupportScript as character
      get.

   def public property DrillDownFunction as character
      get.

   def public property AutoRefreshFunction as character
      get.

   def public property DashboardObjectFromID as DataPAEnterpriseDashboard.DashboardObject
      get.

   def public property Height as integer
      get.

   def public property Width as integer
      get.

   def public property Skin as DataPAEnterpriseDashboard.DashboardSkin
      get.
      set.

   def public property ControlPanelObjectFromID as System.Object
      get.

   def public property FilterParamaterObjects as Microsoft.VisualBasic.Collection
      get.

   def public property SelectedTab as DataPAEnterpriseDashboard.DashboardTab
      get.
      set.

   def public property RefreshingQuery as DataPAEnterpriseDashboard.DashboardQuery
      get.

   def public property Title as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property Author as character
      get.
      set.

   def public property KeyWords as character
      get.
      set.

   def public property Category as character
      get.
      set.

   def public property Comments as character
      get.
      set.

   def public property Clone as DataPAEnterpriseDashboard.ManagedDashboard
      get.

   def public property ToArray as System.Byte extent
      get.

   def public property DPALogging as DataPALogging.DPALogging
      get.
      set.

   def public property DashboardClientType as DataPAEnterpriseDashboard.ManagedDashboard+DashboardClientTypes
      get.
      set.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo).

   method public DataPAEnterpriseDashboard.DashboardQuery AddQueryFromFile(input QueryFileName as character, input ErrorMessage as character).

   method public logical RefreshDataAndSave(input ErrorMessage as character).

   method public logical Save(input FileName as character, input ErrMessage as character).

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext).

   method public void RefreshXML().

   method public void CancelRefreshingQuery().

end interface.
