class Infragistics.Documents.Excel.OneConstraintDataValidationRule
   inherits Infragistics.Documents.Excel.ValueConstraintDataValidationRule
   implements System.ICloneable
   final:

   def public property ValidationOperator as Infragistics.Documents.Excel.OneConstraintDataValidationOperator
      get.
      set.

   constructor public OneConstraintDataValidationRule():
   end constructor.

   constructor public OneConstraintDataValidationRule(input validationOperator as Infragistics.Documents.Excel.OneConstraintDataValidationOperator, input validationCriteria as Infragistics.Documents.Excel.DataValidationCriteria):
   end constructor.

   method public final character GetConstraintFormula(input address as character):
   end method.

   method public final character GetConstraintFormula(input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final void SetConstraint(input value as decimal):
   end method.

   method public final void SetConstraint(input value as datetime):
   end method.

   method public final void SetConstraint(input value as System.TimeSpan):
   end method.

   method public final void SetConstraintFormula(input constraintFormula as character, input address as character):
   end method.

   method public final void SetConstraintFormula(input constraintFormula as character, input address as character, input format as Infragistics.Documents.Excel.WorkbookFormat, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode, input culture as System.Globalization.CultureInfo):
   end method.

   method public final logical TryGetConstraint(input value as decimal):
   end method.

   method public final logical TryGetConstraint(input value as datetime):
   end method.

   method public final logical TryGetConstraint(input value as System.TimeSpan):
   end method.

end class.
