class Infragistics.Documents.Excel.WorkbookLoadOptions
   inherits Infragistics.Documents.Excel.WorkbookOptionsBase:

   def public property OpenPassword as character
      get.
      set.

   def public property OpenPasswordSecure as System.Security.SecureString
      get.
      set.

   def public property AutoResumeCalculations as logical
      get.
      set.

   def public property IsDuplicateFormulaParsingOptimized as logical
      get.
      set.

   constructor public WorkbookLoadOptions(input openPassword as character, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end constructor.

   constructor public WorkbookLoadOptions(input openPasswordSecure as System.Security.SecureString, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory, input verifyExcel2007Xml as logical):
   end constructor.

   constructor public WorkbookLoadOptions(input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end constructor.

end class.
