class Infragistics.Documents.Excel.WorksheetRow
   inherits Infragistics.Documents.Excel.RowColumnBase
   implements Infragistics.Documents.Excel.ICellFormatOwner, Infragistics.Documents.Excel.IWorksheetCellFormatProxyOwner:

   def public override property Index as integer
      get.

   def public property Cells as Infragistics.Documents.Excel.WorksheetCellCollection
      get.

   def public property Height as integer
      get.
      set.

   method public final void ApplyCellFormula(input columnIndex as integer, input formula as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetDataTable GetCellAssociatedDataTable(input columnIndex as integer):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetMergedCellsRegion GetCellAssociatedMergedCellsRegion(input columnIndex as integer):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetTable GetCellAssociatedTable(input columnIndex as integer):
   end method.

   method public final System.Drawing.Rectangle GetCellBoundsInTwips(input columnIndex as integer):
   end method.

   method public final System.Drawing.Rectangle GetCellBoundsInTwips(input columnIndex as integer, input options as Infragistics.Documents.Excel.PositioningOptions):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetCellComment GetCellComment(input columnIndex as integer):
   end method.

   method public final character GetCellText(input columnIndex as integer):
   end method.

   method public final character GetCellText(input columnIndex as integer, input textFormatMode as Infragistics.Documents.Excel.TextFormatMode):
   end method.

   method public final Infragistics.Documents.Excel.IWorksheetCellFormat GetCellFormat(input columnIndex as integer):
   end method.

   method public final Infragistics.Documents.Excel.Formula GetCellFormula(input columnIndex as integer):
   end method.

   method public final Infragistics.Documents.Excel.WorksheetHyperlink GetCellHyperlink(input columnIndex as integer):
   end method.

   method public final System.Object GetCellValue(input columnIndex as integer):
   end method.

   method public final Infragistics.Documents.Excel.IWorksheetCellFormat GetResolvedCellFormat(input columnIndex as integer):
   end method.

   method public final void SetCellComment(input columnIndex as integer, input comment as Infragistics.Documents.Excel.WorksheetCellComment):
   end method.

   method public final void SetCellValue(input columnIndex as integer, input value as System.Object):
   end method.

   method public final logical TryGetCellFormat(input columnIndex as integer, input cellFormat as Infragistics.Documents.Excel.IWorksheetCellFormat):
   end method.

   method public final logical ValidateCellValue(input columnIndex as integer):
   end method.

end class.
