class Infragistics.Documents.Excel.WorksheetShape
   inherits System.Object
   abstract:

   def public property Fill as Infragistics.Documents.Excel.ShapeFill
      get.
      set.

   def public property BottomRightCornerCell as Infragistics.Documents.Excel.WorksheetCell
      get.
      set.

   def public property BottomRightCornerPosition as System.Drawing.PointF
      get.
      set.

   def public property FlippedHorizontally as logical
      get.
      set.

   def public property FlippedVertically as logical
      get.
      set.

   def public property Outline as Infragistics.Documents.Excel.ShapeOutline
      get.
      set.

   def public property PositioningMode as Infragistics.Documents.Excel.ShapePositioningMode
      get.
      set.

   def public property TopLeftCornerCell as Infragistics.Documents.Excel.WorksheetCell
      get.
      set.

   def public property TopLeftCornerPosition as System.Drawing.PointF
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Worksheet as Infragistics.Documents.Excel.Worksheet
      get.

   method public void ClearUnknownData():
   end method.

   method public final static Infragistics.Documents.Excel.WorksheetShape CreatePredefinedShape(input shapeType as Infragistics.Documents.Excel.PredefinedShapeType):
   end method.

   method public System.Drawing.Rectangle GetBoundsInTwips():
   end method.

   method public System.Drawing.Rectangle GetBoundsInTwips(input options as Infragistics.Documents.Excel.PositioningOptions):
   end method.

   method public final void SetBoundsInTwips(input worksheet as Infragistics.Documents.Excel.Worksheet, input bounds as System.Drawing.Rectangle):
   end method.

   method public final void SetBoundsInTwips(input worksheet as Infragistics.Documents.Excel.Worksheet, input bounds as System.Drawing.Rectangle, input options as Infragistics.Documents.Excel.PositioningOptions):
   end method.

end class.
