class Infragistics.Documents.Excel.WorksheetTable
   inherits Infragistics.Documents.Excel.NamedReferenceBase
   implements Infragistics.Documents.Excel.IAreaFormatsOwner, Infragistics.Documents.Excel.IWorksheetCellFormatProxyOwner, Infragistics.Documents.Excel.IGenericCachedCollectionEx, Infragistics.Documents.Excel.Sorting.ISortSettingsOwner:

   def public property AreaFormats as Infragistics.Documents.Excel.WorksheetTableAreaFormatsCollection
      get.

   def public property Columns as Infragistics.Documents.Excel.WorksheetTableColumnCollection
      get.

   def public property DataAreaRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   def public property DisplayBandedColumns as logical
      get.
      set.

   def public property DisplayBandedRows as logical
      get.
      set.

   def public property DisplayFirstColumnFormatting as logical
      get.
      set.

   def public property DisplayLastColumnFormatting as logical
      get.
      set.

   def public property HeaderRowRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   def public property IsFilterUIVisible as logical
      get.
      set.

   def public property IsHeaderRowVisible as logical
      get.
      set.

   def public property IsTotalsRowVisible as logical
      get.
      set.

   def public property SortSettings as Infragistics.Documents.Excel.Sorting.SortSettings
      get.

   def public property Style as Infragistics.Documents.Excel.WorksheetTableStyle
      get.
      set.

   def public property TotalsRowRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   def public property WholeTableRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   def public property Worksheet as Infragistics.Documents.Excel.Worksheet
      get.

   method public override character ToString():
   end method.

   method public final void ClearFilters():
   end method.

   method public final void ClearSortConditions():
   end method.

   method public final void DeleteColumns(input tableColumnIndex as integer, input count as integer):
   end method.

   method public final void DeleteDataRows(input dataRowIndex as integer, input count as integer):
   end method.

   method public final void InsertColumns(input tableColumnIndex as integer, input count as integer):
   end method.

   method public final void InsertDataRows(input dataRowIndex as integer, input count as integer):
   end method.

   method public final void ReapplyFilters():
   end method.

   method public final void ReapplySortConditions():
   end method.

   method public final void Resize(input headerAndDataRegionAddress as character):
   end method.

   method public final void Resize(input headerAndDataRegionAddress as character, input cellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode):
   end method.

   method public final void Resize(input headerAndDataRegion as Infragistics.Documents.Excel.WorksheetRegion):
   end method.

end class.
