class Infragistics.Documents.Excel.WorksheetTableColumn
   inherits System.Object
   implements Infragistics.Documents.Excel.IAreaFormatsOwner, Infragistics.Documents.Excel.IWorksheetCellFormatProxyOwner, Infragistics.Documents.Excel.IGenericCachedCollectionEx, Infragistics.Documents.Excel.Filtering.IFilterable, Infragistics.Documents.Excel.Sorting.ISortable:

   def public property AreaFormats as Infragistics.Documents.Excel.WorksheetTableAreaFormatsCollection
      get.

   def public property ColumnFormula as Infragistics.Documents.Excel.Formula
      get.

   def public property DataAreaRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   def public property Filter as Infragistics.Documents.Excel.Filtering.Filter
      get.

   def public property HeaderCell as Infragistics.Documents.Excel.WorksheetCell
      get.

   def public property Index as integer
      get.

   def public property Name as character
      get.
      set.

   def public property SortCondition as Infragistics.Documents.Excel.Sorting.SortCondition
      get.
      set.

   def public property Table as Infragistics.Documents.Excel.WorksheetTable
      get.

   def public property TotalCell as Infragistics.Documents.Excel.WorksheetCell
      get.

   def public property TotalFormula as Infragistics.Documents.Excel.Formula
      get.
      set.

   def public property TotalLabel as character
      get.
      set.

   def public property WholeColumnRegion as Infragistics.Documents.Excel.WorksheetRegion
      get.

   method public final Infragistics.Documents.Excel.Filtering.AverageFilter ApplyAverageFilter(input type as Infragistics.Documents.Excel.Filtering.AverageFilterType):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.CustomFilter ApplyCustomFilter(input condition as Infragistics.Documents.Excel.Filtering.CustomFilterCondition):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.CustomFilter ApplyCustomFilter(input condition1 as Infragistics.Documents.Excel.Filtering.CustomFilterCondition, input condition2 as Infragistics.Documents.Excel.Filtering.CustomFilterCondition, input conditionalOperator as Infragistics.Documents.Excel.Filtering.ConditionalOperator):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.DatePeriodFilter ApplyDatePeriodFilter(input type as Infragistics.Documents.Excel.Filtering.DatePeriodFilterType, input value as integer):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FillFilter ApplyFillFilter(input fill as Infragistics.Documents.Excel.CellFill):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FixedValuesFilter ApplyFixedValuesFilter(input includeBlanks as logical, input displayValues as System.String extent):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FixedValuesFilter ApplyFixedValuesFilter(input includeBlanks as logical, input displayValues as System.Collections.Generic.IEnumerable):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FixedValuesFilter ApplyFixedValuesFilter(input includeBlanks as logical, input dateGroups as System.Collections.Generic.IEnumerable):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FixedValuesFilter ApplyFixedValuesFilter(input includeBlanks as logical, input calendarType as Infragistics.Documents.Excel.Filtering.CalendarType, input dateGroups as Infragistics.Documents.Excel.Filtering.FixedDateGroup extent):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FixedValuesFilter ApplyFixedValuesFilter(input includeBlanks as logical, input calendarType as Infragistics.Documents.Excel.Filtering.CalendarType, input dateGroups as System.Collections.Generic.IEnumerable):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FontColorFilter ApplyFontColorFilter(input fontColor as System.Drawing.Color):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.FontColorFilter ApplyFontColorFilter(input fontColorInfo as Infragistics.Documents.Excel.WorkbookColorInfo):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.RelativeDateRangeFilter ApplyRelativeDateRangeFilter(input offset as Infragistics.Documents.Excel.Filtering.RelativeDateRangeOffset, input duration as Infragistics.Documents.Excel.Filtering.RelativeDateRangeDuration):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.TopOrBottomFilter ApplyTopOrBottomFilter():
   end method.

   method public final Infragistics.Documents.Excel.Filtering.TopOrBottomFilter ApplyTopOrBottomFilter(input type as Infragistics.Documents.Excel.Filtering.TopOrBottomFilterType, input value as integer):
   end method.

   method public final Infragistics.Documents.Excel.Filtering.YearToDateFilter ApplyYearToDateFilter():
   end method.

   method public final void ClearFilter():
   end method.

   method public final void SetColumnFormula(input formula as Infragistics.Documents.Excel.Formula, input overwriteExistingValues as logical):
   end method.

end class.
