class Infragistics.Documents.Reports.Graphics.Font
   inherits Infragistics.Documents.Reports.SealableBase
   implements Infragistics.Documents.Reports.ISealable:

   def public property Bold as logical
      get.
      set.

   def public property DoubleStrikeout as logical
      get.
      set.

   def public property DoubleUnderline as logical
      get.
      set.

   def public property Italic as logical
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Preferences as Infragistics.Documents.Reports.Graphics.FontPreferences
      get.

   def public property Size as decimal
      get.
      set.

   def public property Strikeout as logical
      get.
      set.

   def public property Style as Infragistics.Documents.Reports.Graphics.FontStyle
      get.
      set.

   def public property Underline as logical
      get.
      set.

   constructor public Font(input name as character, input size as decimal):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input style as Infragistics.Documents.Reports.Graphics.FontStyle):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input source as character):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input style as Infragistics.Documents.Reports.Graphics.FontStyle, input source as character):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input stream as System.IO.Stream):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input style as Infragistics.Documents.Reports.Graphics.FontStyle, input stream as System.IO.Stream):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input data as System.Byte extent):
   end constructor.

   constructor public Font(input name as character, input size as decimal, input style as Infragistics.Documents.Reports.Graphics.FontStyle, input data as System.Byte extent):
   end constructor.

   constructor public Font(input font as System.Drawing.Font):
   end constructor.

   method public final override Infragistics.Documents.Reports.Graphics.Font Clone():
   end method.

   method public final Infragistics.Documents.Reports.Graphics.FontHashKey GetHashKey():
   end method.

   method public final System.Drawing.Font ToNative():
   end method.

   method public override void Seal():
   end method.

end class.
