class Infragistics.Documents.Reports.Report.Borders
   inherits Infragistics.Documents.Reports.SealableBase
   implements Infragistics.Documents.Reports.ISealable:

   def public property All as Infragistics.Documents.Reports.Report.Border
      set.

   def public property Bottom as Infragistics.Documents.Reports.Report.Border
      get.
      set.

   def public property Corners as Infragistics.Documents.Reports.Report.Corners
      get.
      set.

   def public property HasAll as logical
      get.

   def public property HasBottom as logical
      get.

   def public property HasLeft as logical
      get.

   def public property HasRight as logical
      get.

   def public property HasTop as logical
      get.

   def public property Horizontal as Infragistics.Documents.Reports.Report.Border
      set.

   def public property Left as Infragistics.Documents.Reports.Report.Border
      get.
      set.

   def public property Right as Infragistics.Documents.Reports.Report.Border
      get.
      set.

   def public property Top as Infragistics.Documents.Reports.Report.Border
      get.
      set.

   def public property Vertical as Infragistics.Documents.Reports.Report.Border
      set.

   constructor public Borders():
   end constructor.

   constructor public Borders(input pen as Infragistics.Documents.Reports.Graphics.Pen):
   end constructor.

   constructor public Borders(input pen as Infragistics.Documents.Reports.Graphics.Pen, input radius as decimal):
   end constructor.

   constructor public Borders(input h as Infragistics.Documents.Reports.Graphics.Pen, input v as Infragistics.Documents.Reports.Graphics.Pen):
   end constructor.

   constructor public Borders(input left as Infragistics.Documents.Reports.Graphics.Pen, input right as Infragistics.Documents.Reports.Graphics.Pen, input top as Infragistics.Documents.Reports.Graphics.Pen, input bottom as Infragistics.Documents.Reports.Graphics.Pen):
   end constructor.

   method public override void Seal():
   end method.

end class.
