class Infragistics.Shared.EventManagerBase
   inherits System.Object
   abstract:

   def public property AllEventsEnabled as logical
      get.
      set.

   constructor protected EventManagerBase(input eventCount as integer):
   end constructor.

   method protected final logical InProgress(input eventIndex as integer):
   end method.

   method protected final void IncrementInProgress(input eventIndex as integer):
   end method.

   method protected final void DecrementInProgress(input eventIndex as integer):
   end method.

   method protected final logical IsEnabled(input eventIndex as integer):
   end method.

   method protected final logical IsEnabled(input eventIndexes as System.Int32 extent):
   end method.

   method protected final void SetEnabled(input eventIndex as integer, input enabled as logical):
   end method.

   method protected final void SetEnabled(input eventIndexes as System.Int32 extent, input enabled as logical):
   end method.

end class.
