class Infragistics.Shared.KeyedSubObjectsCollectionBase
   inherits Infragistics.Shared.SubObjectsCollectionBase
   implements System.IDisposable, System.Collections.ICollection, System.Collections.IEnumerable
   abstract:

   def public property AllowDuplicateKeys as logical
      get.

   def public property AllowEmptyKeys as logical
      get.

   def protected property AllowMultipleEmptyKeys as logical
      get.

   def public override property All as System.Object extent
      get.
      set.

   def protected property InternStrings as logical
      get.

   def protected property PreventSerialization as logical
      get.

   def protected property CacheKeys as logical
      get.

   constructor protected KeyedSubObjectsCollectionBase():
   end constructor.

   method public integer IndexOf(input key as character):
   end method.

   method protected Infragistics.Shared.IKeyedSubObject GetItem(input key as character):
   end method.

   method public logical Exists(input key as character):
   end method.

   method protected final void ValidateKey(input key as character):
   end method.

   method protected final void ValidateKey(input key as character, input ignoreObject as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected final void ValidateKeyDoesNotExist(input key as character):
   end method.

   method protected void ValidateKeyDoesNotExist(input key as character, input ignoreObject as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected override System.Object extent CreateArray():
   end method.

   method public void CopyTo(input array as Infragistics.Shared.IKeyedSubObject extent, input index as integer):
   end method.

   method public final logical Contains(input value as Infragistics.Shared.IKeyedSubObject):
   end method.

   method public final integer IndexOf(input value as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected final integer InternalAdd(input obj as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected final void InternalInsert(input index as integer, input value as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected final override void InternalClear():
   end method.

   method protected final void InternalRemove(input value as Infragistics.Shared.IKeyedSubObject):
   end method.

   method protected final void InternalRemoveAt(input index as integer):
   end method.

   method protected final void OnKeyChanging(input item as Infragistics.Shared.IKeyedSubObject, input oldKey as character, input newKey as character):
   end method.

   method protected final void OnListChanged():
   end method.

end class.
