class Infragistics.UltraChart.Resources.Appearance.CompositeChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Series as Infragistics.UltraChart.Data.Series.SeriesCollection
      get.

   def public property ChartLayers as Infragistics.UltraChart.Core.Layers.ChartLayerCollection
      get.

   def public property ChartAreas as Infragistics.UltraChart.Resources.Appearance.ChartAreaCollection
      get.

   def public property Legends as Infragistics.UltraChart.Resources.Appearance.CompositeLegendCollection
      get.

   constructor public CompositeChartAppearance():
   end constructor.

   constructor public CompositeChartAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeSeries():
   end method.

   method public final void ResetSeries():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method protected final logical ShouldSerializeChartLayers():
   end method.

   method public final void ResetChartLayers():
   end method.

   method protected final logical ShouldSerializeChartAreas():
   end method.

   method public final void ResetChartAreas():
   end method.

   method protected final logical ShouldSerializeLegends():
   end method.

   method public final void ResetLegends():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

end class.
