class Infragistics.UltraChart.Resources.Appearance.DataAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public variable excludedColumns as System.Collections.ArrayList.

   def public variable relationName as character.

   def public variable cm as System.Windows.Forms.CurrencyManager.

   def public property EmptyStyle as Infragistics.UltraChart.Resources.Appearance.EmptyAppearance
      get.

   def public property DataSource as System.Object
      get.
      set.

   def public property UseRowLabelsColumn as logical
      get.
      set.

   def public property RowLabelsColumn as integer
      get.
      set.

   def public property MaxValue as decimal
      get.
      set.

   def public property MinValue as decimal
      get.
      set.

   def public property UseMinMax as logical
      get.
      set.

   def public property SwapRowsAndColumns as logical
      get.
      set.

   def public property ZeroAligned as logical
      get.
      set.

   def public property DataMember as character
      get.
      set.

   constructor public DataAppearance():
   end constructor.

   constructor public DataAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeEmptyStyle():
   end method.

   method public final void ResetEmptyStyle():
   end method.

   method public final logical GetDataBindCalled():
   end method.

   method public final void SetDataBindCalled(input flag as logical):
   end method.

   method protected final logical ShouldSerializeDataSource():
   end method.

   method public final void ResetDataSource():
   end method.

   method protected final logical ShouldSerializeUseRowLabelsColumn():
   end method.

   method public final void ResetUseRowLabelsColumn():
   end method.

   method protected final logical ShouldSerializeRowLabelsColumn():
   end method.

   method public final void ResetRowLabelsColumn():
   end method.

   method protected final logical ShouldSerializeMaxValue():
   end method.

   method public final void ResetMaxValue():
   end method.

   method protected final logical ShouldSerializeMinValue():
   end method.

   method public final void ResetMinValue():
   end method.

   method protected final logical ShouldSerializeUseMinMax():
   end method.

   method public final void ResetUseMinMax():
   end method.

   method public final void SetRowLabels(input labelStrings as System.String extent):
   end method.

   method public final System.String extent GetRowLabels():
   end method.

   method public final void SetColumnLabels(input labelStrings as System.String extent):
   end method.

   method public final System.String extent GetColumnLabels():
   end method.

   method public final void IncludeColumn(input dataColumn as System.Data.DataColumn, input include as logical):
   end method.

   method public final void IncludeColumn(input dataColumnName as character, input include as logical):
   end method.

   method public final void IncludeColumn(input columnNum as integer, input include as logical):
   end method.

   method public final logical IsColumnExcluded(input columnNum as integer):
   end method.

   method public final void ResetDataFilter():
   end method.

   method protected final logical ShouldSerializeSwapRowsAndColumns():
   end method.

   method public final void ResetSwapRowsAndColumns():
   end method.

   method protected final logical ShouldSerializeZeroAligned():
   end method.

   method public final void ResetZeroAligned():
   end method.

   method public final void ResetDemoData():
   end method.

   method public final void DataBind():
   end method.

   method public final void InitializeAppearance(input data as Infragistics.UltraChart.Data.IChartData):
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeDataMember():
   end method.

   method public final void ResetDataMember():
   end method.

end class.
