class Infragistics.UltraChart.Resources.Appearance.EffectsAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Effects as Infragistics.UltraChart.Resources.Effects.EffectsCollection
      get.

   def public property Item as Infragistics.UltraChart.Resources.IEffect
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ApplyToChartImage as logical
      get.
      set.

   constructor public EffectsAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final integer Add(input effect as Infragistics.UltraChart.Resources.IEffect):
   end method.

   method public final void Remove(input effect as Infragistics.UltraChart.Resources.IEffect):
   end method.

   method public final void RemoveAt(input index as integer):
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final logical ShouldSerializeEffects():
   end method.

   method public final logical ShouldSerializeEnabled():
   end method.

end class.
