class Infragistics.Win.AccessibleObjectWrapper
   inherits System.Object
   abstract:

   def public property MarshallingControl as System.Windows.Forms.Control
      get.

   def public property AccessibleObject as System.Windows.Forms.AccessibleObject
      get.

   def protected property CanPerformDefaultAction as logical
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property DefaultAction as character
      get.

   def public property Description as character
      get.

   def public property Help as character
      get.

   def public property KeyboardShortcut as character
      get.

   def public property Name as character
      get.
      set.

   def public property Parent as System.Windows.Forms.AccessibleObject
      get.

   def public property Role as System.Windows.Forms.AccessibleRole
      get.

   def public property State as System.Windows.Forms.AccessibleStates
      get.

   def public property Value as character
      get.
      set.

   constructor protected AccessibleObjectWrapper():
   end constructor.

   method protected abstract System.Windows.Forms.Control GetMarshallingControl().

   method protected System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method public void DoDefaultAction():
   end method.

   method public System.Windows.Forms.AccessibleObject GetChild(input index as integer):
   end method.

   method public integer GetChildCount():
   end method.

   method public System.Windows.Forms.AccessibleObject GetFocused():
   end method.

   method public integer GetHelpTopic(input fileName as character):
   end method.

   method public System.Windows.Forms.AccessibleObject GetSelected():
   end method.

   method public System.Windows.Forms.AccessibleObject HitTest(input x as integer, input y as integer):
   end method.

   method public System.Windows.Forms.AccessibleObject Navigate(input navdir as System.Windows.Forms.AccessibleNavigation):
   end method.

   method public void Select(input flags as System.Windows.Forms.AccessibleSelection):
   end method.

   method public final static Infragistics.Win.AccessibleObjectWrapper FromAccessibleObject(input accessibleObject as System.Windows.Forms.AccessibleObject):
   end method.

end class.
