class Infragistics.Win.AppStyling.ComponentRole
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable
   abstract:

   def public property Component as System.ComponentModel.Component
      get.

   def public property Name as character
      get.

   def public property ResolutionOrder as Infragistics.Win.AppStyling.ResolutionOrder
      get.

   def public property UseFlatMode as Infragistics.Win.DefaultableBoolean
      get.

   def public property UseOsThemes as Infragistics.Win.DefaultableBoolean
      get.

   def public property ButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.

   def public property HeaderStyle as Infragistics.Win.HeaderStyle
      get.

   def public property ViewStyle as Infragistics.Win.AppStyling.ViewStyle
      get.

   def public property StyleSetName as character
      get.
      set.

   def public property StyleSetNameResolved as character
      get.

   def public property StyleManager as Infragistics.Win.AppStyling.StyleManager
      get.

   def protected abstract property SynchronizingObject as System.ComponentModel.ISynchronizeInvoke
      get.

   def public property PropertiesCacheCount as integer
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property StyleLibraryName as character
      get.
      set.

   def public property CheckBoxGlyphInfo as Infragistics.Win.GlyphInfoBase
      get.

   def public property RadioButtonGlyphInfo as Infragistics.Win.GlyphInfoBase
      get.

   constructor protected ComponentRole(input component as System.ComponentModel.Component, input componentRoleName as character):
   end constructor.

   method public final Infragistics.Win.AppStyling.ResolutionOrderInfo GetResolutionOrderInfo():
   end method.

   method public final static Infragistics.Win.AppStyling.ResolutionOrderInfo GetResolutionOrderInfo(input role as Infragistics.Win.AppStyling.ComponentRole):
   end method.

   method public final System.Object GetProperty(input propertyName as character):
   end method.

   method public final System.Object GetProperty(input sharedObjectName as character, input propertyName as character):
   end method.

   method public final logical HasProperty(input propertyName as character):
   end method.

   method public final Infragistics.Win.AppStyling.UIRole GetRole(input roleName as character):
   end method.

   method public final Infragistics.Win.AppStyling.UIRole GetRole(input cachedRoleIndex as integer):
   end method.

   method protected System.String extent GetRoleNames():
   end method.

   method protected override void OnDispose():
   end method.

   method protected abstract void OnStyleChanged().

   method public final logical GetCachedProperty(input propertyIndex as integer, input value as System.Object):
   end method.

   method public final void ClearCachedPropertyValues():
   end method.

   method public final System.Object CachePropertyValue(input propertyIndex as integer, input propertyName as character, input controlValue as System.Object, input defaultValue as System.Object, input resolveValue as System.Object):
   end method.

   method public final System.Object CachePropertyValue(input propertyIndex as integer, input propertyName as character, input controlValue as System.Object, input defaultValues as System.Object extent, input resolveValue as System.Object):
   end method.

   method public final System.Object CachePropertyValue(input styleValue as System.Object, input controlValue as System.Object, input defaultValue as System.Object, input resolveValue as System.Object, input propertyIndex as integer):
   end method.

   method public final System.Object CachePropertyValue(input styleValue as System.Object, input controlValue as System.Object, input defaultValues as System.Object extent, input resolveValue as System.Object, input propertyIndex as integer):
   end method.

   method protected void OnStyleCachedCleared():
   end method.

end class.
