class Infragistics.Win.AppearanceBase
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.ICloneable
   abstract:

   def protected variable internalIDValue as integer.

   def public property InternalID as integer
      get.

   def public override property Key as character
      get.
      set.

   def public abstract property Data as Infragistics.Win.AppearanceData
      get.

   def public abstract property BackColor as System.Drawing.Color
      get.
      set.

   def public abstract property BackColor2 as System.Drawing.Color
      get.
      set.

   def public abstract property BackColorDisabled as System.Drawing.Color
      get.
      set.

   def public abstract property BackColorDisabled2 as System.Drawing.Color
      get.
      set.

   def public abstract property BackColorAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property BackHatchStyle as Infragistics.Win.BackHatchStyle
      get.
      set.

   def public abstract property BackGradientAlignment as Infragistics.Win.GradientAlignment
      get.
      set.

   def public abstract property BackGradientStyle as Infragistics.Win.GradientStyle
      get.
      set.

   def public abstract property ForeColor as System.Drawing.Color
      get.
      set.

   def public abstract property ForeColorDisabled as System.Drawing.Color
      get.
      set.

   def public abstract property ForegroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property BorderColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderColor2 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderColor3DBase as System.Drawing.Color
      get.
      set.

   def public abstract property BorderAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property TextTrimming as Infragistics.Win.TextTrimming
      get.
      set.

   def public abstract property TextHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public abstract property TextVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public abstract property ImageHAlign as Infragistics.Win.HAlign
      get.
      set.

   def public abstract property ImageVAlign as Infragistics.Win.VAlign
      get.
      set.

   def public abstract property FontData as Infragistics.Win.FontData
      get.

   def public abstract property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public abstract property Image as System.Object
      get.
      set.

   def public abstract property ImageAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property ImageBackground as System.Drawing.Image
      get.
      set.

   def public abstract property ImageBackgroundAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property ImageBackgroundOrigin as Infragistics.Win.ImageBackgroundOrigin
      get.
      set.

   def public abstract property ImageBackgroundStyle as Infragistics.Win.ImageBackgroundStyle
      get.
      set.

   def public abstract property AlphaLevel as integer
      get.
      set.

   def public abstract property HasFontData as logical
      get.

   def public abstract property ThemedElementAlpha as Infragistics.Win.Alpha
      get.
      set.

   def public abstract property ImageBackgroundStretchMargins as Infragistics.Win.ImageBackgroundStretchMargins
      get.
      set.

   def public abstract property NonDefaultSettings as Infragistics.Win.AppearancePropFlags
      get.

   def public property TextHAlignAsString as character
      get.
      set.

   def public property TextVAlignAsString as character
      get.
      set.

   def public abstract property ImageBackgroundDisabled as System.Drawing.Image
      get.
      set.

   def public abstract property StyleLibraryName as character
      get.
      set.

   def public abstract property StyleResourceName as character
      get.
      set.

   constructor protected AppearanceBase():
   end constructor.

   constructor protected AppearanceBase(input key as character):
   end constructor.

   constructor protected AppearanceBase(input key as character, input id as integer):
   end constructor.

   constructor protected AppearanceBase(input id as integer):
   end constructor.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public abstract logical ShouldSerialize().

   method public abstract void MergeData(input target as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags).

   method public abstract void Reset().

   method public abstract override System.Object Clone().

   method protected final logical ShouldSerializeBackColor():
   end method.

   method protected final logical ShouldSerializeBackColor2():
   end method.

   method protected final logical ShouldSerializeBackColorDisabled():
   end method.

   method protected final logical ShouldSerializeBackColorDisabled2():
   end method.

   method public final void ResetBackColor():
   end method.

   method public final void ResetBackColorDisabled():
   end method.

   method public final void ResetBackColor2():
   end method.

   method public final void ResetBackColorDisabled2():
   end method.

   method protected final logical ShouldSerializeBackColorAlpha():
   end method.

   method public final void ResetBackColorAlpha():
   end method.

   method protected final logical ShouldSerializeBackHatchStyle():
   end method.

   method public final void ResetBackHatchStyle():
   end method.

   method protected final logical ShouldSerializeBackGradientAlignment():
   end method.

   method public final void ResetBackGradientAlignment():
   end method.

   method protected final logical ShouldSerializeBackGradientStyle():
   end method.

   method public final void ResetBackGradientStyle():
   end method.

   method protected final logical ShouldSerializeForeColor():
   end method.

   method protected final logical ShouldSerializeForeColorDisabled():
   end method.

   method public final void ResetForeColor():
   end method.

   method public final void ResetForeColorDisabled():
   end method.

   method protected final logical ShouldSerializeForegroundAlpha():
   end method.

   method public final void ResetForegroundAlpha():
   end method.

   method protected final logical ShouldSerializeBorderColor():
   end method.

   method public final void ResetBorderColor():
   end method.

   method protected final logical ShouldSerializeBorderColor2():
   end method.

   method public final void ResetBorderColor2():
   end method.

   method protected final logical ShouldSerializeBorderColor3DBase():
   end method.

   method public final void ResetBorderColor3DBase():
   end method.

   method protected final logical ShouldSerializeBorderAlpha():
   end method.

   method public final void ResetBorderAlpha():
   end method.

   method protected final logical ShouldSerializeTextTrimming():
   end method.

   method public final void ResetTextTrimming():
   end method.

   method protected final logical ShouldSerializeTextHAlign():
   end method.

   method public final void ResetTextHAlign():
   end method.

   method protected final logical ShouldSerializeTextVAlign():
   end method.

   method public final void ResetTextVAlign():
   end method.

   method protected final logical ShouldSerializeImageHAlign():
   end method.

   method public final void ResetImageHAlign():
   end method.

   method protected final logical ShouldSerializeImageVAlign():
   end method.

   method public final void ResetImageVAlign():
   end method.

   method public abstract logical ShouldSerializeFontData().

   method public abstract void ResetFontData().

   method protected final logical ShouldSerializeCursor():
   end method.

   method public final void ResetCursor():
   end method.

   method protected final logical ShouldSerializeImage():
   end method.

   method public final void ResetImage():
   end method.

   method public abstract System.Drawing.Image GetImage(input imageList as System.Windows.Forms.ImageList).

   method protected final logical ShouldSerializeImageAlpha():
   end method.

   method public final void ResetImageAlpha():
   end method.

   method protected final logical ShouldSerializeImageBackground():
   end method.

   method public final void ResetImageBackground():
   end method.

   method protected final logical ShouldSerializeImageBackgroundAlpha():
   end method.

   method public final void ResetImageBackgroundAlpha():
   end method.

   method protected final logical ShouldSerializeImageBackgroundOrigin():
   end method.

   method public final void ResetImageBackgroundOrigin():
   end method.

   method protected final logical ShouldSerializeImageBackgroundStyle():
   end method.

   method public final void ResetImageBackgroundStyle():
   end method.

   method protected final logical ShouldSerializeAlphaLevel():
   end method.

   method public final void ResetAlphaLevel():
   end method.

   method public abstract logical HasPropertyBeenSet(input requestedProp as Infragistics.Win.AppearancePropFlags).

   method public abstract logical HavePropertiesBeenSet(input propertiesToCheck as Infragistics.Win.AppearancePropFlags).

   method protected final logical ShouldSerializeThemedElementAlpha():
   end method.

   method public final void ResetThemedElementAlpha():
   end method.

   method public abstract System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font, input scalingFactor as decimal).

   method public abstract System.Drawing.Font CreateFont(input baseFont as System.Drawing.Font).

   method protected final logical ShouldSerializeImageBackgroundStretchMargins():
   end method.

   method public final void ResetImageBackgroundStretchMargins():
   end method.

   method protected final logical ShouldSerializeImageBackgroundDisabled():
   end method.

   method public final void ResetImageBackgroundDisabled():
   end method.

   method public abstract System.Drawing.Image GetImageBackground(input enabled as logical).

   method protected final logical ShouldSerializeStyleLibraryName():
   end method.

   method public final void ResetStyleLibraryName():
   end method.

   method protected final logical ShouldSerializeStyleResourceName():
   end method.

   method public final void ResetStyleResourceName():
   end method.

end class.
