class Infragistics.Win.ButtonUIElementBase
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def protected variable buttonStateValue as Infragistics.Win.UIElementButtonState.

   def protected variable leftButtonDown as logical.

   def public property ButtonType as Infragistics.Win.UIElementButtonType
      get.
      set.

   def public property ThreeState as logical
      get.
      set.

   def public property IsChecked as logical
      get.
      set.

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def public property NextCheckState as System.Windows.Forms.CheckState
      get.

   def protected property DefaultBackColor as System.Drawing.Color
      get.

   def protected property DefaultForeColor as System.Drawing.Color
      get.

   def protected property IsButtonStyleMouseActive as logical
      get.

   def protected property CanClickButton as logical
      get.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property ButtonStyle as Infragistics.Win.UIElementButtonStyle
      get.

   def public property HotTracking as logical
      get.
      set.

   def public property ButtonState as Infragistics.Win.UIElementButtonState
      get.
      set.

   def public property RectInsideButtonBorders as System.Drawing.Rectangle
      get.

   def public property DrawingRectInsideButtonBorders as System.Drawing.Rectangle
      get.

   def public override property CancelCaptureOnEscape as logical
      get.

   def public property IsMouseOver as logical
      get.

   def public property IsMouseDown as logical
      get.

   def public property IsMouseDownAndOver as logical
      get.

   def public property IsStateButtonDown as logical
      get.

   def public override property Enabled as logical
      get.
      set.

   def public property IsDefaultButton as logical
      get.
      set.

   def public property ReserveDefaultButtonArea as logical
      get.
      set.

   def public property ImageRegion as Infragistics.Win.ImageRegion
      get.
      set.

   def public override property Region as System.Drawing.Region
      get.

   def protected override property ClipSelf as logical
      get.

   def public override property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def public property IsPressed as logical
      get.

   def public property IsHotTracked as logical
      get.

   def public event ElementClick signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   constructor protected ButtonUIElementBase(input parent as Infragistics.Win.UIElement):
   end constructor.

   method public final void InitializeCheckState(input isChecked as logical):
   end method.

   method public final void InitializeCheckState(input checkState as System.Windows.Forms.CheckState):
   end method.

   method public final void ToggleCheckState():
   end method.

   method public final void PerformClick():
   end method.

   method protected override void OnClick():
   end method.

   method protected logical ButtonClick():
   end method.

   method protected override logical DrawTheme(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void OnCheckStateChange():
   end method.

   method protected void OnButtonStateChange():
   end method.

   method protected override void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void ResolveStyleAndControlAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void InitAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void InitControlAppearance(input appData as Infragistics.Win.AppearanceData, input flags as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final static void ResolveWindowsXPCommandButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method protected void InitializeDefaultAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void DrawBorders(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void OnMouseEnter():
   end method.

   method protected override void OnMouseLeave():
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs, input adjustableArea as logical, input captureMouseForElement as Infragistics.Win.UIElement):
   end method.

   method protected void InvalidateBtnStateArea():
   end method.

   method protected void OnControlFocus(input controlElement as Infragistics.Win.ControlUIElementBase):
   end method.

   method protected override logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected final void ResetCaptureFlags():
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method public final void FireClickEvent():
   end method.

   method protected void ResetButtonState():
   end method.

   method protected final void VerifyMouseOverButton():
   end method.

   method public override Infragistics.Win.UIElementBorderWidths GetBorderWidths(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method protected override void OnDoubleClick(input adjustableArea as logical):
   end method.

   method public override logical Contains(input point as System.Drawing.Point, input ignoreClipping as logical):
   end method.

   method public final static void ResolveOffice2007RibbonButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical):
   end method.

   method public final static void ResolveOffice2007RibbonButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical, input activeGradientStyle as Infragistics.Win.GradientStyle):
   end method.

   method public final static void ResolveScenicRibbonButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical):
   end method.

   method public final static void ResolveScenicRibbonButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical, input activeGradientStyle as Infragistics.Win.GradientStyle):
   end method.

   method public final static void ResolveOffice2010ButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical):
   end method.

   method public final static void ResolveOffice2010ButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical, input activeGradientStyle as Infragistics.Win.GradientStyle):
   end method.

   method public final static void ResolveOffice2013ButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical):
   end method.

   method public final static void ResolveOffice2013ButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical, input activeGradientStyle as Infragistics.Win.GradientStyle):
   end method.

   method public final static void ResolveWindowsVistaButtonAppearance(input appearanceData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input enabled as logical, input isMouseDown as logical, input isStateButton as logical, input isStateButtonDown as logical, input isMouseOver as logical):
   end method.

end class.
