interface Infragistics.Win.CalcEngine.IUltraCalcManager:

   def public event CalcEngineDirtyValue signature void (input sender as System.Object, input e as Infragistics.Win.CalcEngine.UltraCalcReferenceEventArgs).

   def public event CalcEngineRecalcValue signature void (input sender as System.Object, input e as Infragistics.Win.CalcEngine.UltraCalcReferenceEventArgs).

   method public logical EnsureCalculated(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference, input wait as logical).

   method public Infragistics.Win.CalcEngine.IUltraCalcFormula CompileFormula(input baseReference as Infragistics.Win.CalcEngine.IUltraCalcReference, input formula as character).

   method public Infragistics.Win.CalcEngine.IUltraCalcFormula CompileFormula(input baseReference as Infragistics.Win.CalcEngine.IUltraCalcReference, input formula as character, input suppressSyntaxErrorEvent as logical).

   method public void AddFormula(input formula as Infragistics.Win.CalcEngine.IUltraCalcFormula).

   method public void RemoveFormula(input formula as Infragistics.Win.CalcEngine.IUltraCalcFormula).

   method public void NotifyValueChanged(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void RemoveReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void RemoveRowReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void AddReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void AddRowReference(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void RowsCollectionReferenceSorted(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void RowsCollectionReferenceResynched(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public void RowsCollectionVisibilityChanged(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference).

   method public Infragistics.Win.CalcEngine.IUltraCalcReference GetReference(input name as character).

   method public void AddParticipant(input participant as Infragistics.Win.CalcEngine.IUltraCalcParticipant).

   method public void RemoveParticipant(input participant as Infragistics.Win.CalcEngine.IUltraCalcParticipant).

   method public Infragistics.Win.CalcEngine.FormulaCalculationErrorEventArgs RaiseFormulaError(input reference as Infragistics.Win.CalcEngine.IUltraCalcReference, input errorValue as System.Object, input calcErrorValue as Infragistics.Win.CalcEngine.UltraCalcErrorValue, input errorIcon as System.Drawing.Icon).

   method public System.Object PerformAction(input action as Infragistics.Win.CalcEngine.UltraCalcAction, input data as System.Object).

   method public void ProcessEventQueue().

end interface.
