class Infragistics.Win.DragDropIndicatorManager
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable:

   def public property DragIndicatorOffset as System.Drawing.Point
      get.
      set.

   def public property DropIndicatorOrientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property DropSource as System.Windows.Forms.Control
      get.
      set.

   def public property DropIndicatorArrowSize as Infragistics.Win.DragDropIndicatorManager+ArrowSize
      get.
      set.

   def public property DropIndicatorShape as Infragistics.Win.DragDropIndicatorManager+IndicatorShape
      get.
      set.

   def protected property DragIndicator as Infragistics.Win.DragIndicatorControl
      get.

   def protected property DropIndicator as Infragistics.Win.DropIndicatorControl
      get.

   def public property IsDragIndicatorVisible as logical
      get.

   def public property IsDropIndicatorVisible as logical
      get.

   def public property DragIndicatorRectangle as System.Drawing.Rectangle
      get.

   def public property DropIndicatorRectangle as System.Drawing.Rectangle
      get.

   constructor public DragDropIndicatorManager(input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control):
   end constructor.

   constructor public DragDropIndicatorManager(input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control, input dragIndicatorOpacity as decimal):
   end constructor.

   constructor public DragDropIndicatorManager(input offset as System.Drawing.Point, input element as Infragistics.Win.UIElement, input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control):
   end constructor.

   constructor public DragDropIndicatorManager(input offset as System.Drawing.Point, input elements as Infragistics.Win.UIElement extent, input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control):
   end constructor.

   constructor public DragDropIndicatorManager(input offset as System.Drawing.Point, input elements as Infragistics.Win.UIElement extent, input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control, input dragIndicatorOpacity as decimal):
   end constructor.

   constructor public DragDropIndicatorManager(input offset as System.Drawing.Point, input elements as Infragistics.Win.UIElement extent, input indicatorOrientation as System.Windows.Forms.Orientation, input dropSource as System.Windows.Forms.Control, input componentRole as Infragistics.Win.AppStyling.ComponentRole):
   end constructor.

   method protected Infragistics.Win.DropIndicatorControl CreateDropIndicatorControl():
   end method.

   method protected Infragistics.Win.DragIndicatorControl CreateDragIndicatorControl():
   end method.

   method public final void HideDragIndicator():
   end method.

   method public final void HideDropIndicator():
   end method.

   method public final void InitializeDragIndicator(input element as Infragistics.Win.UIElement):
   end method.

   method public final void InitializeDragIndicator(input elements as Infragistics.Win.UIElement extent):
   end method.

   method public final void InitializeDragIndicator(input image as System.Drawing.Image):
   end method.

   method public final void InitializeDragIndicator(input image as System.Drawing.Image, input imageRegion as System.Drawing.Region):
   end method.

   method public final void InitializeDropIndicator(input brush as System.Drawing.Brush):
   end method.

   method public final void InitializeDropIndicator(input dragDropIndicatorSettings as Infragistics.Win.DragDropIndicatorSettings):
   end method.

   method protected override void OnDispose():
   end method.

   method public final void ShowDragIndicator():
   end method.

   method public final void ShowDragIndicator(input mouseLocation as System.Drawing.Point):
   end method.

   method public final void ShowDropIndicator(input dropRect as System.Drawing.Rectangle, input alignment as Infragistics.Win.IndicatorAlignment):
   end method.

   method public final void ShowDropIndicator(input dropRect as System.Drawing.Rectangle, input alignment as Infragistics.Win.IndicatorAlignment, input orientation as System.Windows.Forms.Orientation):
   end method.

end class.
