class Infragistics.Win.DragDropIndicatorSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable:

   def public static variable DEFAULT_COLOR as System.Drawing.Color.

   def public property ImageLeft as System.Drawing.Image
      get.
      set.

   def public property ImageRight as System.Drawing.Image
      get.
      set.

   def public property ImageTop as System.Drawing.Image
      get.
      set.

   def public property ImageBottom as System.Drawing.Image
      get.
      set.

   def public property Color as System.Drawing.Color
      get.
      set.

   def public property IsAnyDropIndicatorImageSet as logical
      get.

   def public property ShouldColorizeImage as logical
      get.
      set.

   constructor public DragDropIndicatorSettings():
   end constructor.

   constructor public DragDropIndicatorSettings(input bottomImage as System.Drawing.Image, input leftImage as System.Drawing.Image, input rightImage as System.Drawing.Image, input topImage as System.Drawing.Image, input brushColor as System.Drawing.Color):
   end constructor.

   constructor public DragDropIndicatorSettings(input bottomImage as System.Drawing.Image, input leftImage as System.Drawing.Image, input rightImage as System.Drawing.Image, input topImage as System.Drawing.Image, input brushColor as System.Drawing.Color, input shouldColorize as logical):
   end constructor.

   constructor protected DragDropIndicatorSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerializeImageBottom():
   end method.

   method public final void ResetImageBottom():
   end method.

   method public final logical ShouldSerializeImageLeft():
   end method.

   method public final void ResetImageLeft():
   end method.

   method public final logical ShouldSerializeImageRight():
   end method.

   method public final void ResetImageRight():
   end method.

   method public final logical ShouldSerializeImageTop():
   end method.

   method public final void ResetImageTop():
   end method.

   method public final logical ShouldSerializeColor():
   end method.

   method public final void ResetColor():
   end method.

   method public final override Infragistics.Win.DragDropIndicatorSettings Clone():
   end method.

   method public final override void Dispose():
   end method.

end class.
