class Infragistics.Win.EmbeddableEditorBase
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable
   abstract:

   def public static variable pendingCanceledEditModeControl as Infragistics.Win.UltraControlBase.

   def public property DefaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase
      get.

   def public abstract property CanFocus as logical
      get.

   def public property ElementBeingEdited as Infragistics.Win.EmbeddableUIElementBase
      get.

   def public abstract property Focused as logical
      get.

   def public property IsDroppedDown as logical
      get.

   def public property IsInEditMode as logical
      get.

   def public property IsValid as logical
      get.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SupportsDropDown as logical
      get.

   def public property SupportsSelectableText as logical
      get.

   def public property SupportsSpellChecking as logical
      get.

   def public property TextLength as integer
      get.

   def public property Value as System.Object
      get.
      set.

   def public abstract property CurrentEditText as character
      get.

   def protected property WantsOwnerKeyEvents as logical
      get.

   def public property SupportsValueList as logical
      get.

   def public property SupportsAutoSizeEdit as logical
      get.

   def public property IsEnteringEditMode as logical
      get.

   def public property EditorSharedObjectName as character
      get.
      set.

   def protected property HasOwnDefaultContextMenu as logical
      get.

   def protected property SelectionLengthInternal as integer
      get.
      set.

   def protected property SelectionStartInternal as integer
      get.
      set.

   def protected property SelectedTextInternal as character
      get.
      set.

   def protected property TextLengthInternal as integer
      get.

   def protected property IsExitingEditMode as logical
      get.

   def public property DataFilter as Infragistics.Win.IEditorDataFilter
      get.
      set.

   def public property ExpectedType as System.Type
      get.
      set.

   def public event SelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeDropDown signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event AfterDropDown signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterCloseUp signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeEnterEditMode signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event AfterEnterEditMode signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BeforeExitEditMode signature void (input sender as System.Object, input e as Infragistics.Win.BeforeExitEditModeEventArgs).

   def public event AfterExitEditMode signature void (input sender as System.Object, input e as System.EventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   constructor protected EmbeddableEditorBase():
   end constructor.

   constructor protected EmbeddableEditorBase(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase):
   end constructor.

   method public Infragistics.Win.EmbeddableEditorBase+EmbeddableEditorUIAProviderStub CreateUIAutomationProvider(input parent as Infragistics.Win.UIAutomation.Stubs.FragmentUIAProviderStub, input fragmentRoot as Infragistics.Win.UIAutomation.Stubs.FragmentRootUIAProviderStub, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public abstract logical CanEditType(input type as System.Type).

   method public abstract logical CanRenderType(input type as System.Type).

   method public final void CloseUp():
   end method.

   method public final logical DropDown():
   end method.

   method public final logical EnterEditMode(input embeddableElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final logical ExitEditMode(input forceExit as logical, input applyChanges as logical):
   end method.

   method public abstract logical Focus().

   method public final logical GetDropDownState(input embeddableElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final Infragistics.Win.EmbeddableUIElementBase GetEmbeddableElement(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input previousElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final Infragistics.Win.EmbeddableUIElementBase GetEmbeddableElement(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input previousElement as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public abstract Infragistics.Win.EmbeddableUIElementBase GetEmbeddableElement(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input isToolTip as logical, input previousElement as Infragistics.Win.EmbeddableUIElementBase).

   method public abstract System.Type GetEmbeddableElementType().

   method public final logical GetEditStatus(input embeddableElement as Infragistics.Win.EmbeddableUIElementBase, input changed as logical):
   end method.

   method public final System.Drawing.Size GetSize(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input valueOnly as logical, input full as logical, input borders as logical):
   end method.

   method public final System.Drawing.Size GetSize(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input valueOnly as logical, input full as logical, input borders as logical, input maxTextWidth as integer):
   end method.

   method public final System.Drawing.Size GetSize(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input valueOnly as logical, input full as logical, input borders as logical, input maxTextWidth as integer, input height as integer):
   end method.

   method protected abstract System.Drawing.Size GetSize(input sizeInfo as Infragistics.Win.EmbeddableEditorBase+EditorSizeInfo).

   method public System.Object GetSpellCheckTarget():
   end method.

   method public abstract logical IsInputKey(input keyData as System.Windows.Forms.Keys).

   method public character DataValueToText(input valueToConvert as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public character DataValueToText(input valueToConvert as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input applyFormatString as logical):
   end method.

   method protected character ValueToString(input value as System.Object):
   end method.

   method public final System.Object ValueToDataValue(input valueToConvert as System.Object, input convertToType as System.Type, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final System.Object ValueToDataValue(input valueToConvert as System.Object, input elementBeingEdited as Infragistics.Win.EmbeddableUIElementBase):
   end method.

   method public final System.Object ValueToDataValue(input valueToConvert as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public logical ComparesByValue(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public void ApplyValueAppearance(input appData as Infragistics.Win.AppearanceData, input resolveFlags as Infragistics.Win.AppearancePropFlags, input dataVal as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public abstract Infragistics.Win.EmbeddableEditorBase Clone(input defaultOwner as Infragistics.Win.EmbeddableEditorOwnerBase).

   method public System.Windows.Forms.AccessibleObject CreateAccessibilityInstance(input parent as System.Windows.Forms.AccessibleObject, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public logical ResolveShowInkButton(input inkProvider as Infragistics.Win.IInkProvider, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public logical IsValidValue(input errorMessage as character):
   end method.

   method public void SelectAll():
   end method.

   method protected logical DoDropDown():
   end method.

   method protected void DoCloseUp():
   end method.

   method protected final Infragistics.Win.IInkProvider GetInkProvider(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method protected final void HookOwnersKeyEvents():
   end method.

   method protected void OnAfterDropDown():
   end method.

   method protected void OnAfterCloseUp():
   end method.

   method protected void OnAfterEnterEditMode():
   end method.

   method protected void OnAfterExitEditMode():
   end method.

   method protected void OnBeforeDropDown(input cancel as logical):
   end method.

   method protected void OnBeforeEnterEditMode(input cancel as logical):
   end method.

   method protected void OnBeforeExitEditMode(input cancel as logical, input forceExit as logical, input applyChanges as logical):
   end method.

   method protected void OnOwnerKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnOwnerKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnOwnerKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void RaiseSelectionChangedEvent():
   end method.

   method protected final void RaiseValueChangedEvent():
   end method.

   method protected final void RaiseKeyDownEvent(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void RaiseKeyPressEvent(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected final void RaiseKeyUpEvent(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnDispose():
   end method.

   method protected final void UnhookOwnersKeyEvents():
   end method.

   method protected void InitializeFrom(input source as Infragistics.Win.EmbeddableEditorBase):
   end method.

   method protected System.Drawing.Size GetTextSizeOfValue(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input allowMultiline as logical, input maxWidth as integer):
   end method.

   method protected final void AdjustSizeForOwnerPadding(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input size as System.Drawing.Size, input defaultPadding as System.Drawing.Size):
   end method.

   method protected final void AdjustSizeForOwnerBorders(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input size as System.Drawing.Size):
   end method.

   method public final static void ApplyToolTipAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedPropFlags as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final Infragistics.Win.DefaultableBoolean CanHandleConversionInternal(input cd as Infragistics.Win.ConversionDirection):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input direction as Infragistics.Win.ConversionDirection, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input validMessage as character):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input sourceVal as System.Object, input direction as Infragistics.Win.ConversionDirection, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input sourceVal as System.Object, input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input sourceVal as System.Object, input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input validMessage as character):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input sourceVal as System.Object, input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input validMessage as character, input doAutoConv as logical, input doIsValid as logical):
   end method.

   method public final System.Object GetDataFilteredDestinationValue(input sourceVal as System.Object, input direction as Infragistics.Win.ConversionDirection, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input validMessage as character, input doAutoConv as logical, input doIsValid as logical, input convertedWithDataFilter as logical):
   end method.

   method public final void ResetDataFilterCacheSourceValue(input direction as Infragistics.Win.ConversionDirection):
   end method.

   method protected character GetDisplayValue():
   end method.

   method protected System.Object GetEditorValue():
   end method.

   method public void SetEditorValueInternal(input newVal as System.Object):
   end method.

   method protected logical IsDestinationValueValid(input direction as Infragistics.Win.ConversionDirection, input destinationVal as System.Object, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input message as character):
   end method.

   method protected System.Object GetAutoConvertedDestinationValue(input direction as Infragistics.Win.ConversionDirection, input sourceVal as System.Object, input destinationType as System.Type, input isValidConversion as logical, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public final void BeginGdiTextMeasurementCaching():
   end method.

   method public final void EndGdiTextMeasurementCaching():
   end method.

   method public final logical AreTouchMetricsEnabled(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object):
   end method.

   method public void OnTouchMetricsChanged(input touchMetricsEnabled as logical):
   end method.

end class.
