class Infragistics.Win.EmbeddableUIElementBase
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def public property Owner as Infragistics.Win.EmbeddableEditorOwnerBase
      get.

   def public property Editor as Infragistics.Win.EmbeddableEditorBase
      get.

   def public property OwnerContext as System.Object
      get.

   def public property IncludeEditElements as logical
      get.

   def public property ReserveSpaceForEditElements as logical
      get.

   def public property DrawOuterBorders as logical
      get.

   def public property IsToolTip as logical
      get.

   def public property IsHotTracking as logical
      get.

   def public property IsMouseOverElement as logical
      get.

   def public property IsDataFullyVisible as logical
      get.

   def public property IsInEditMode as logical
      get.

   def public property IsEditorAlwaysInEditMode as logical
      get.

   def public event MouseDown signature void (input sender as System.Object, input e as Infragistics.Win.EmbeddableMouseDownEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as Infragistics.Win.EmbeddableMouseEventArgs).

   def public event DoubleClick signature void (input sender as System.Object, input e as Infragistics.Win.EmbeddableClickEventArgs).

   constructor protected EmbeddableUIElementBase(input parentElement as Infragistics.Win.UIElement, input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input editor as Infragistics.Win.EmbeddableEditorBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input isToolTip as logical):
   end constructor.

   method protected override logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs, input adjustableArea as logical, input captureMouseForElement as Infragistics.Win.UIElement):
   end method.

   method protected override logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnDoubleClick(input adjustableArea as logical):
   end method.

   method protected final void MergeDisplayStyleAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected final logical DrawAsActive():
   end method.

   method protected final logical DrawAsActive(input buttonStyle as Infragistics.Win.UIElementButtonStyle):
   end method.

   method public void Initialize(input owner as Infragistics.Win.EmbeddableEditorOwnerBase, input editor as Infragistics.Win.EmbeddableEditorBase, input ownerContext as System.Object, input includeEditElements as logical, input reserveSpaceForEditElements as logical, input drawOuterBorders as logical, input isToolTip as logical):
   end method.

   method public final logical RaiseMouseDownEvent(input sender as Infragistics.Win.UIElement, input mouseArgs as System.Windows.Forms.MouseEventArgs, input isButton as logical):
   end method.

   method public final void RaiseMouseDownEvent(input e as Infragistics.Win.EmbeddableMouseDownEventArgs):
   end method.

   method public final void RaiseMouseUpEvent(input sender as Infragistics.Win.UIElement, input mouseArgs as System.Windows.Forms.MouseEventArgs, input isButton as logical):
   end method.

   method public final void RaiseDoubleClickEvent(input sender as Infragistics.Win.UIElement, input isButton as logical):
   end method.

   method protected override void OnClick():
   end method.

end class.
