class Infragistics.Win.ImageUIElementBase
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def public abstract property Image as System.Drawing.Image
      get.
      set.

   def protected override property ClipSelf as logical
      get.

   def public property CenterImage as logical
      get.
      set.

   def public property BorderShadowColor as System.Drawing.Color
      get.
      set.

   def public property BorderShadowDepth as integer
      get.
      set.

   def public property DrawBorderShadow as logical
      get.
      set.

   def public property MaintainAspectRatio as logical
      get.
      set.

   def public property Scaled as logical
      get.
      set.

   def public property ImageRect as System.Drawing.Rectangle
      get.

   def public property ColorMaps as System.Drawing.Imaging.ColorMap extent
      get.
      set.

   def public property Shadowed as logical
      get.
      set.

   def public property ReserveShadowSpace as logical
      get.
      set.

   def protected property CanRenderDisabled as logical
      get.

   constructor protected ImageUIElementBase(input parent as Infragistics.Win.UIElement):
   end constructor.

   method protected void AdjustImageDisplayRect(input displayRect as System.Drawing.Rectangle):
   end method.

   method protected override void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawImageBackground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawImage(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected System.Drawing.Imaging.ImageAttributes GetImageAttributes(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected final static System.Drawing.Imaging.ImageAttributes GetImageAttributes(input colorMaps as System.Drawing.Imaging.ColorMap extent):
   end method.

end class.
