class Infragistics.Win.KeyActionMappingsBase
   inherits Infragistics.Shared.DisposableObjectCollectionBase
   implements System.IDisposable, System.Collections.ICollection, System.Collections.IEnumerable
   abstract:

   def public override property Count as integer
      get.

   def protected override property InitialCapacity as integer
      get.

   def public override property IsReadOnly as logical
      get.

   def protected property ActionStateMappings as Infragistics.Win.KeyActionMappingsBase+ActionStateMappingsCollection
      get.

   constructor protected KeyActionMappingsBase(input initialCapacity as integer):
   end constructor.

   method protected abstract Infragistics.Win.KeyActionMappingsBase+ActionStateMappingsCollection CreateActionStateMappingsCollection().

   method public final logical IsActionAllowed(input actionCode as System.Enum, input currentState as int64):
   end method.

   method public final integer Add(input mapping as Infragistics.Win.KeyActionMappingBase):
   end method.

   method public final void Clear():
   end method.

   method public final Infragistics.Win.KeyActionMappingBase extent GetActionMappings(input keyCode as System.Windows.Forms.Keys, input state as int64, input specialKeyState as Infragistics.Win.SpecialKeys):
   end method.

   method public final static Infragistics.Win.SpecialKeys GetCurrentSpecialKeyState():
   end method.

   method public final void Insert(input index as integer, input mapping as Infragistics.Win.KeyActionMappingBase):
   end method.

   method public final logical IsKeyMapped(input keyData as System.Windows.Forms.Keys, input state as int64):
   end method.

   method public abstract void LoadDefaultMappings().

   method public final void Remove(input mapping as Infragistics.Win.KeyActionMappingBase):
   end method.

   method public final void Remove(input index as integer):
   end method.

   method public final void RemoveRange(input index as integer, input count as integer):
   end method.

   method public final void Reset():
   end method.

   method protected final void VerifyMappingsAreLoaded():
   end method.

end class.
