class Infragistics.Win.Layout.GridBagConstraint
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, Infragistics.Win.Layout.IGridBagConstraint, System.ICloneable:

   def public property Anchor as Infragistics.Win.Layout.AnchorType
      get.
      set.

   def public property Fill as Infragistics.Win.Layout.FillType
      get.
      set.

   def public property Insets as Infragistics.Win.Layout.Insets
      get.

   def public property OriginX as integer
      get.
      set.

   def public property OriginY as integer
      get.
      set.

   def public property SpanX as integer
      get.
      set.

   def public property SpanY as integer
      get.
      set.

   def public property WeightX as decimal
      get.
      set.

   def public property WeightY as decimal
      get.
      set.

   constructor public GridBagConstraint():
   end constructor.

   constructor public GridBagConstraint(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer):
   end constructor.

   constructor public GridBagConstraint(input originX as integer, input originY as integer, input spanX as integer, input spanY as integer, input weightX as decimal, input weightY as decimal, input anchor as Infragistics.Win.Layout.AnchorType, input fill as Infragistics.Win.Layout.FillType, input insets as Infragistics.Win.Layout.Insets):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method public final void ResetAnchor():
   end method.

   method public final void ResetFill():
   end method.

   method public final void ResetInsets():
   end method.

   method public final void ResetOriginX():
   end method.

   method public final void ResetOriginY():
   end method.

   method public final void ResetSpanX():
   end method.

   method public final void ResetSpanY():
   end method.

   method public final void ResetWeightX():
   end method.

   method public final void ResetWeightY():
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeAnchor():
   end method.

   method protected final logical ShouldSerializeFill():
   end method.

   method protected final logical ShouldSerializeInsets():
   end method.

   method protected final logical ShouldSerializeOriginX():
   end method.

   method protected final logical ShouldSerializeOriginY():
   end method.

   method protected final logical ShouldSerializeSpanX():
   end method.

   method protected final logical ShouldSerializeSpanY():
   end method.

   method protected final logical ShouldSerializeWeightX():
   end method.

   method protected final logical ShouldSerializeWeightY():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

end class.
