class Infragistics.Win.Misc.ControlBase
   inherits Infragistics.Win.UltraControlBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IUltraControl, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IControlElementEventProcessor, Infragistics.Win.IUltraControlElement, Infragistics.Win.Touch.ISupportTouchMetrics, Infragistics.Win.IImageListProvider
   abstract:

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def protected property SubObjectPropChangeHandler as Infragistics.Shared.SubObjectPropChangeEventHandler
      get.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property HotTrackAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackAppearance as logical
      get.

   def public property HotTracking as logical
      get.
      set.

   def public property UseHotTracking as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property WrapText as logical
      get.
      set.

   def public property ImageSize as System.Drawing.Size
      get.
      set.

   def protected property HotkeyStyle as System.Drawing.Text.HotkeyPrefix
      get.

   def public override property Text as character
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property UseMnemonic as logical
      get.
      set.

   def public property Padding as System.Drawing.Size
      get.
      set.

   def protected property IsOverHotTrackArea as logical
      get.

   def public property BackColorInternal as System.Drawing.Color
      get.
      set.

   def protected property UseHotTrackingDefault as Infragistics.Win.DefaultableBoolean
      get.

   constructor protected ControlBase():
   end constructor.

   method protected final logical ShouldSerializeAppearances():
   end method.

   method public void ResetAppearances():
   end method.

   method public final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method public final logical ShouldSerializeHotTrackAppearance():
   end method.

   method public final void ResetHotTrackAppearance():
   end method.

   method protected final logical ShouldSerializeImageSize():
   end method.

   method public final void ResetImageSize():
   end method.

   method protected final logical ShouldSerializeImageTransparentColor():
   end method.

   method public final void ResetImageTransparentColor():
   end method.

   method public final void ResetPadding():
   end method.

   method protected final logical ShouldSerializePadding():
   end method.

   method protected void OnSubObjectPropChange(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnPropertyChanged(input e as Infragistics.Win.PropertyChangedEventArgs):
   end method.

   method public void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void ResolveDefaultAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected System.Drawing.Imaging.ColorMap extent GetImageColorMapTable(input appearanceImage as System.Object):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void OnChangeUICues(input e as System.Windows.Forms.UICuesEventArgs):
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected void OnAppStyleChanged():
   end method.

end class.
