class Infragistics.Win.SelectionStrategyBase
   inherits System.Object
   implements Infragistics.Win.ISelectionStrategy
   abstract:

   def protected static variable dragThreshold as integer.

   def protected variable VerticalScrollTimer as System.Windows.Forms.Timer.

   def protected variable HorizontalScrollTimer as System.Windows.Forms.Timer.

   def protected variable xPos as integer.

   def protected variable yPos as integer.

   def protected variable ignoreNextMouseMove as logical.

   def protected variable inDragMode as logical.

   def protected variable state as Infragistics.Win.SelectionStrategyBase+SelectState.

   def protected property Item as Infragistics.Shared.ISelectableItem
      get.
      set.

   def public property SelectionManager as Infragistics.Win.ISelectionManager
      get.

   def public property IsMultiSelect as logical
      get.

   def public property IsSingleSelect as logical
      get.

   constructor protected SelectionStrategyBase(input selectionManager as Infragistics.Win.ISelectionManager):
   end constructor.

   method public logical CanItemBeNavigatedTo(input selectableItem as Infragistics.Shared.ISelectableItem, input shiftKeyDown as logical, input ctlKeyDown as logical):
   end method.

   method protected void OnDragStartCanceled():
   end method.

   method protected final void SetState(input state as Infragistics.Win.SelectionStrategyBase+SelectState):
   end method.

   method protected logical ShouldStartDrag(input xPos as integer, input yPos as integer):
   end method.

   method public abstract logical OnMouseMessage(input item as Infragistics.Shared.ISelectableItem, input msginfo as Infragistics.Win.MouseMessageInfo).

   method public abstract logical ProcessKeyBoardItem(input item as Infragistics.Shared.ISelectableItem, input shift as logical, input control as logical).

   method public abstract logical ProcessKeyBoardItem(input item as Infragistics.Shared.ISelectableItem, input shift as logical, input control as logical, input forceToggle as logical).

   method public void OnCancelMode():
   end method.

   method protected final void SetVerticalScrollTimer(input nInterval as integer):
   end method.

   method protected final void KillVerticalScrollTimer():
   end method.

   method protected final void SetHorizontalScrollTimer(input nInterval as integer):
   end method.

   method protected final void KillHorizontalScrollTimer():
   end method.

   method protected void ManageTimers(input point as System.Drawing.Point):
   end method.

end class.
