class Infragistics.Win.TextUIElementBase
   inherits Infragistics.Win.UIElement
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation
   abstract:

   def public property FirstTabOffset as decimal
      get.
      set.

   def public property TabStops as System.Single extent
      get.
      set.

   def public property TrackCharactersRendered as logical
      get.
      set.

   def public property TrackTextArea as logical
      get.
      set.

   def public property CharactersRendered as integer
      get.

   def public property TextSize as System.Drawing.Size
      get.

   def public property FocusableMouseButtons as System.Windows.Forms.MouseButtons
      get.
      set.

   def public property Rotated as logical
      get.
      set.

   def public property TextArea as System.Drawing.Rectangle
      get.

   def protected property DrawsBackColor as logical
      get.

   def protected property DrawsImageBackground as logical
      get.

   def public abstract property Text as character
      get.
      set.

   def public abstract property MultiLine as logical
      get.
      set.

   def public abstract property WrapText as logical
      get.
      set.

   def public abstract property Padding as System.Drawing.Size
      get.
      set.

   def public abstract property Vertical as logical
      get.
      set.

   def public property RectInsidePadding as System.Drawing.Rectangle
      get.

   def public abstract property HotkeyPrefix as System.Drawing.Text.HotkeyPrefix
      get.
      set.

   def public property ToolTipEnabled as logical
      get.
      set.

   def public property IsTextFullyVisible as logical
      get.

   def public override property ToolTipItem as Infragistics.Win.IToolTipItem
      get.
      set.

   def protected property NoPadding as logical
      get.

   def public property TextOrientation as Infragistics.Win.TextOrientationInfo
      get.
      set.

   def protected property BaseStringFormat as System.Drawing.StringFormat
      get.

   def protected property NoClip as logical
      get.

   def public event ElementClick signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   constructor protected TextUIElementBase(input parent as Infragistics.Win.UIElement):
   end constructor.

   method protected override logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs, input adjustableArea as logical, input captureMouseForElement as Infragistics.Win.UIElement):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected final void ResetCaptureFlags():
   end method.

   method protected override void OnCaptureAborted():
   end method.

   method public final void FireClickEvent():
   end method.

   method protected override void OnClick():
   end method.

   method protected void AdjustTextDisplayRect(input displayRect as System.Drawing.Rectangle):
   end method.

   method protected override void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawImageBackground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected override void DrawForeground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method public override System.Object GetContext(input type as System.Type, input checkParentElementContexts as logical):
   end method.

   method public final integer GetLineCount():
   end method.

   method public final integer GetLineNumber(input caretPosition as integer):
   end method.

end class.
