class Infragistics.Win.UIElement
   inherits Infragistics.Shared.DisposableObject
   implements System.IDisposable, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def protected variable childElementsCollection as Infragistics.Win.UIElementsCollection.

   def protected variable rectValue as System.Drawing.Rectangle.

   def protected variable parentElement as Infragistics.Win.UIElement.

   def protected variable childElementsCollectionDirty as logical.

   def public property IsUiaElement as logical
      get.

   def public property IsUiaDelegatingElement as logical
      get.

   def public property UIAutomationProvider as System.Windows.Automation.Provider.IRawElementProviderFragment
      get.

   def protected property WantsMouseHoverNotification as logical
      get.

   def public property IsDrawing as logical
      get.

   def protected property ChildElementArrayCapacity as integer
      get.

   def public property Rect as System.Drawing.Rectangle
      get.
      set.

   def public property Parent as Infragistics.Win.UIElement
      get.

   def public property Control as System.Windows.Forms.Control
      get.

   def public property SelectableItem as Infragistics.Shared.ISelectableItem
      get.

   def public property HasChildElements as logical
      get.

   def public property Cursor as System.Windows.Forms.Cursor
      get.

   def public property NestDepth as integer
      get.

   def public property ChildElements as Infragistics.Win.UIElementsCollection
      get.

   def protected property PrimaryContext as System.Object
      get.
      set.

   def public property ControlElement as Infragistics.Win.ControlUIElementBase
      get.

   def protected property ClipSelf as logical
      get.

   def protected property ClipChildren as logical
      get.

   def protected property ClipRectChildren as System.Drawing.Rectangle
      get.

   def public property IsFullyVisible as logical
      get.

   def public property Enabled as logical
      get.
      set.

   def public property ClipRect as System.Drawing.Rectangle
      get.

   def public property Region as System.Drawing.Region
      get.

   def public property IsElementDrawn as logical
      get.

   def protected property DrawsFocusRect as logical
      get.

   def protected property ForceDrawsFocusRect as logical
      get.

   def public property BorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property BorderSides as System.Windows.Forms.Border3DSide
      get.
      set.

   def public property RectInsideBorders as System.Drawing.Rectangle
      get.

   def public property Adjustable as logical
      get.

   def public property ChildElementsDirty as logical
      get.

   def protected property SupportsVerticalMousePanning as logical
      get.

   def protected property SupportsHorizontalMousePanning as logical
      get.

   def protected property HasCapture as logical
      get.

   def public property CancelCaptureOnEscape as logical
      get.

   def public property ToolTipItem as Infragistics.Win.IToolTipItem
      get.
      set.

   def protected property InkProvider as Infragistics.Win.IInkProvider
      get.

   def public property IsAccessibleElement as logical
      get.

   def public property AccessibilityInstance as System.Windows.Forms.AccessibleObject
      get.

   def public property AccessibilityInstanceResolved as System.Windows.Forms.AccessibleObject
      get.

   def public property ThemedElementRegion as System.Drawing.Region
      get.

   def public property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def public property UIRoleResolved as Infragistics.Win.AppStyling.UIRole
      get.

   def public property AreTouchMetricsEnabled as logical
      get.

   def public property Path as System.Drawing.Drawing2D.GraphicsPath
      get.

   def public property DrawingClipRect as System.Drawing.Rectangle
      get.

   def public property DrawingRect as System.Drawing.Rectangle
      get.

   def public property DrawingRectInsideBorders as System.Drawing.Rectangle
      get.

   def public property DrawingRegion as System.Drawing.Region
      get.

   def public property ParentIsRightToLeft as logical
      get.

   def public property RightToLeft as System.Windows.Forms.RightToLeft
      get.

   def public property RightToLeftResolved as logical
      get.

   constructor protected UIElement():
   end constructor.

   constructor public UIElement(input parent as Infragistics.Win.UIElement):
   end constructor.

   method protected System.Windows.Automation.Provider.IRawElementProviderFragment CreateUIAutomationProvider():
   end method.

   method protected final void RaiseUIAutomationEvent(input automationEventId as Infragistics.Win.UIAutomation.AutomationEventIds):
   end method.

   method protected final void RaiseUIAutomationPropertyChangedEvent(input propertyId as Infragistics.Win.UIAutomation.AutomationPropertyIds, input oldValue as System.Object, input newValue as System.Object):
   end method.

   method protected final void ResetUiaProvider():
   end method.

   method protected override void OnDispose():
   end method.

   method protected void PositionChildElements():
   end method.

   method public final void VerifyChildElements():
   end method.

   method public final void VerifyChildElements(input recursive as logical):
   end method.

   method protected void VerifyChildElements(input controlElement as Infragistics.Win.ControlUIElementBase, input recursive as logical):
   end method.

   method public final void Offset(input deltaX as integer, input deltaY as integer):
   end method.

   method public void Offset(input deltaX as integer, input deltaY as integer, input recursive as logical):
   end method.

   method protected final void SetParent(input parent as Infragistics.Win.UIElement):
   end method.

   method protected void InternalSetElementsChanged():
   end method.

   method public final void DirtyChildElements():
   end method.

   method public final void DirtyChildElements(input invalidate as logical):
   end method.

   method protected final System.Windows.Forms.Cursor InternalCursorFromAppearance(input appData as Infragistics.Win.AppearanceData):
   end method.

   method protected logical ContinueDescendantSearch(input type as System.Type, input contexts as System.Object extent):
   end method.

   method public Infragistics.Win.UIElement GetDescendant(input type as System.Type):
   end method.

   method public Infragistics.Win.UIElement GetDescendant(input type as System.Type, input context as System.Object):
   end method.

   method public Infragistics.Win.UIElement GetDescendant(input type as System.Type, input contexts as System.Object extent):
   end method.

   method public final logical HasContext(input context as System.Object):
   end method.

   method public final logical HasContext(input context as System.Object, input checkParentElementContexts as logical):
   end method.

   method public final System.Object GetContext():
   end method.

   method public final System.Object GetContext(input type as System.Type):
   end method.

   method public System.Object GetContext(input type as System.Type, input checkParentElementContexts as logical):
   end method.

   method protected logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs, input adjustableArea as logical, input captureMouseForElement as Infragistics.Win.UIElement):
   end method.

   method protected void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseHover():
   end method.

   method protected void OnMouseEnter():
   end method.

   method protected void OnMouseLeave():
   end method.

   method protected void OnClick():
   end method.

   method protected void OnDoubleClick(input adjustableArea as logical):
   end method.

   method protected void OnCaptureAborted():
   end method.

   method public void Invalidate():
   end method.

   method public void Invalidate(input update as logical):
   end method.

   method public final static Infragistics.Win.UIElement GetCommonAncestor(input element1 as Infragistics.Win.UIElement, input element2 as Infragistics.Win.UIElement):
   end method.

   method public final Infragistics.Win.UIElement GetAncestor(input type as System.Type):
   end method.

   method public final logical HasAncestor(input ancestor as Infragistics.Win.UIElement):
   end method.

   method public void GetAdjustmentRange(input point as System.Drawing.Point, input range as Infragistics.Win.UIElementAdjustmentRangeParams):
   end method.

   method public System.Windows.Forms.Cursor GetAdjustableCursor(input point as System.Drawing.Point):
   end method.

   method public void Print(input graphics as System.Drawing.Graphics, input clipText as logical):
   end method.

   method public void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input isAlphaBlendingSupported as logical, input forceDrawAsFocused as logical):
   end method.

   method public void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input isAlphaBlendingSupported as logical):
   end method.

   method public void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input alphaBlendMode as Infragistics.Win.AlphaBlendMode, input forceDrawAsFocused as logical):
   end method.

   method public void Draw(input graphics as System.Drawing.Graphics, input invalidRectangle as System.Drawing.Rectangle, input doubleBuffer as logical, input alphaBlendMode as Infragistics.Win.AlphaBlendMode):
   end method.

   method protected void OnBeforeDraw():
   end method.

   method protected void OnAfterDraw(input defaultDrawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method public final void DrawElement(input defaultDrawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void InitAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void DrawBackColor(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void DrawImageBackground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method public Infragistics.Win.UIElementBorderWidths GetBorderWidths(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method public final logical PointInElement(input point as System.Drawing.Point):
   end method.

   method public final logical PointInElement(input point as System.Drawing.Point, input excludeOverlappingSiblings as logical):
   end method.

   method public final logical PointInElement(input point as System.Drawing.Point, input excludeOverlappingSiblings as logical, input ignoreClipping as logical):
   end method.

   method public logical Contains(input point as System.Drawing.Point):
   end method.

   method public logical Contains(input point as System.Drawing.Point, input ignoreClipping as logical):
   end method.

   method public logical PointInAdjustableArea(input point as System.Drawing.Point):
   end method.

   method public final Infragistics.Win.UIElement AdjustableElementFromPoint(input point as System.Drawing.Point):
   end method.

   method public final Infragistics.Win.UIElement AdjustableElementFromPoint(input point as System.Drawing.Point, input inputType as Infragistics.Win.UIElementInputType):
   end method.

   method public final Infragistics.Win.UIElement ElementFromPoint(input point as System.Drawing.Point):
   end method.

   method public final Infragistics.Win.UIElement ElementFromPoint(input point as System.Drawing.Point, input ignoreClipping as logical):
   end method.

   method public final Infragistics.Win.UIElement ElementFromPoint(input point as System.Drawing.Point, input inputType as Infragistics.Win.UIElementInputType):
   end method.

   method public final Infragistics.Win.UIElement ElementFromPoint(input point as System.Drawing.Point, input ignoreClipping as logical, input inputType as Infragistics.Win.UIElementInputType):
   end method.

   method protected logical WantsInputNotification(input inputType as Infragistics.Win.UIElementInputType, input point as System.Drawing.Point):
   end method.

   method protected void DrawBorders(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void DrawForeground(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void DrawImage(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void DrawFocus(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected final static System.Object ExtractExistingElement(input existingElements as System.Collections.ArrayList, input type as System.Type, input removeExtractedElement as logical):
   end method.

   method protected final static System.Object ExtractExistingElement(input existingElements as System.Collections.ArrayList, input type as System.Type, input removeExtractedElement as logical, input context as System.Object):
   end method.

   method public final static System.Drawing.Rectangle GetDeskTopWorkArea(input rect as System.Drawing.Rectangle):
   end method.

   method protected void OnMousePanHorizontal(input delta as integer):
   end method.

   method protected void OnMousePanVertical(input delta as integer):
   end method.

   method protected logical DrawTheme(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected void DrawChildElements(input drawParams as Infragistics.Win.UIElementDrawParams):
   end method.

   method protected System.Drawing.Rectangle IntersectInvalidRect(input invalidRect as System.Drawing.Rectangle, input rightToLeftOffset as integer):
   end method.

   method public final static logical IsContextOfType(input context as System.Object, input typeToCheck as System.Type):
   end method.

   method public System.Windows.Forms.AccessibleObject Navigate(input navdir as System.Windows.Forms.AccessibleNavigation):
   end method.

   method public System.Windows.Forms.AccessibleObject Navigate(input navdir as System.Windows.Forms.AccessibleNavigation, input includedTypes as System.Type extent):
   end method.

   method public System.Windows.Forms.AccessibleObject HitTest(input x as integer, input y as integer):
   end method.

   method public final logical IsDescendantOf(input element as Infragistics.Win.UIElement):
   end method.

   method protected final Infragistics.Win.AppStyling.ComponentRole GetComponentRole():
   end method.

   method protected final Infragistics.Win.AppStyling.UIRole GetUIRole(input roleName as character):
   end method.

   method public integer GetNonClientHitTestCode(input point as System.Drawing.Point):
   end method.

   method public final void InitiateTransition(input settings as Infragistics.Win.TransitionSettings, input transitionType as Infragistics.Win.UIElementTransitionType):
   end method.

   method public final static Infragistics.Win.UIElement FindElementInDirection(input direction as Infragistics.Win.FindDirection, input startingElement as Infragistics.Win.UIElement):
   end method.

   method public final static Infragistics.Win.UIElement FindElementInDirection(input direction as Infragistics.Win.FindDirection, input evaluator as Infragistics.Win.FindElementEvaluator):
   end method.

   method public final System.Drawing.Rectangle AdjustRectForRightToLeft(input rect as System.Drawing.Rectangle):
   end method.

   method public final System.Drawing.Bitmap DrawToBitmap(input drawAncestors as logical, input alphaBlendMode as Infragistics.Win.AlphaBlendMode):
   end method.

end class.
