class Infragistics.Win.UIElementDrawParams
   inherits System.ValueType
   final:

   def public variable AppearanceData as Infragistics.Win.AppearanceData.

   def public property TextRenderingMode as Infragistics.Win.TextRenderingMode
      get.

   def public property DrawPhase as Infragistics.Win.DrawPhase
      get.

   def public property Font as System.Drawing.Font
      get.

   def public property IsAlphaBlendingSupported as logical
      get.

   def public property UsesThemes as logical
      get.

   def public property ForceDrawAsFocused as logical
      get.

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property DrawPhaseAlphaLevel as integer
      get.

   def public property BackBrush as System.Drawing.Brush
      get.

   def public property TextBrush as System.Drawing.Brush
      get.

   def public property ControlElement as Infragistics.Win.ControlUIElementBase
      get.

   def public property Element as Infragistics.Win.UIElement
      get.

   def public property InvalidRect as System.Drawing.Rectangle
      get.

   def public property AlphaBlendMode as Infragistics.Win.AlphaBlendMode
      get.

   def public property IsDrawingTransition as logical
      get.

   def public static property Office2007CheckBoxGlyphInfo as Infragistics.Win.CheckBoxImageGlyphInfo
      get.

   def public static property Office2007RadioButtonGlyphInfo as Infragistics.Win.RadioButtonImageGlyphInfo
      get.

   def public static property GlyphStyle as Infragistics.Win.GlyphStyle
      get.
      set.

   def public static property StandardCheckBoxGlyphInfo as Infragistics.Win.StandardGlyphInfo
      get.

   def public static property StandardRadioButtonGlyphInfo as Infragistics.Win.StandardGlyphInfo
      get.

   def public static property CheckBoxGlyphInfo as Infragistics.Win.GlyphInfoBase
      get.
      set.

   def public static property RadioButtonGlyphInfo as Infragistics.Win.GlyphInfoBase
      get.
      set.

   def public static property ScenicRibbonCheckBoxGlyphInfo as Infragistics.Win.CheckBoxImageGlyphInfo
      get.

   def public static property ScenicRibbonRadioButtonGlyphInfo as Infragistics.Win.RadioButtonImageGlyphInfo
      get.

   def public static property Office2010CheckBoxGlyphInfo as Infragistics.Win.CheckBoxImageGlyphInfo
      get.

   def public static property Office2010RadioButtonGlyphInfo as Infragistics.Win.RadioButtonImageGlyphInfo
      get.

   def public static property Office2013CheckBoxGlyphInfo as Infragistics.Win.CheckBoxImageGlyphInfo
      get.

   def public static property Office2013RadioButtonGlyphInfo as Infragistics.Win.RadioButtonImageGlyphInfo
      get.

   def public property ElementDrawingRect as System.Drawing.Rectangle
      get.

   def public property ElementDrawingClipRect as System.Drawing.Rectangle
      get.

   def public property ElementDrawingRectInsideBorders as System.Drawing.Rectangle
      get.

   def public property RightToLeft as logical
      get.

   constructor public UIElementDrawParams(input element as Infragistics.Win.UIElement, input drawCache as Infragistics.Win.DrawCache, input invalidRect as System.Drawing.Rectangle, input appearanceData as Infragistics.Win.AppearanceData, input textNeedsClipping as logical, input usesThemes as logical, input forceDrawAsFocused as logical):
   end constructor.

   method public final void InitUIElement(input element as Infragistics.Win.UIElement, input invalidRect as System.Drawing.Rectangle):
   end method.

   method public final System.Drawing.Pen GetPen(input penType as Infragistics.Win.DrawCache+PenType, input color as System.Drawing.Color):
   end method.

   method public final void DrawButtonBorders(input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method public final void DrawButtonBorders(input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonState as Infragistics.Win.UIElementButtonState, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method public final void DrawButtonBorders(input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonState as Infragistics.Win.UIElementButtonState, input sides as System.Windows.Forms.Border3DSide, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawButtonBorders(input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonState as Infragistics.Win.UIElementButtonState, input sides as System.Windows.Forms.Border3DSide, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle, input isDefault as logical):
   end method.

   method public final void DrawBorders():
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input borderColor as System.Drawing.Color, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input borderColor as System.Drawing.Color, input borderColor3DBase as System.Drawing.Color, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input roundedCorners as Infragistics.Win.Corners, input borderColor as System.Drawing.Color, input borderColor3DBase as System.Drawing.Color, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input borderColor as System.Drawing.Color, input borderColor2 as System.Drawing.Color, input borderColor3DBase as System.Drawing.Color, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input roundedCorners as Infragistics.Win.Corners, input borderColor as System.Drawing.Color, input borderColor2 as System.Drawing.Color, input borderColor3DBase as System.Drawing.Color, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input sides as System.Windows.Forms.Border3DSide, input roundedCorners as Infragistics.Win.Corners, input outerLeftTopPen as System.Drawing.Pen, input outerRightBottomPen as System.Drawing.Pen, input innerLeftTopPen as System.Drawing.Pen, input innerRightBottomPen as System.Drawing.Pen, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBorders(input style as Infragistics.Win.UIElementBorderStyle, input path as System.Drawing.Drawing2D.GraphicsPath, input borderColor as System.Drawing.Color):
   end method.

   method public final void DrawBackColor(input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawBackColor(input appearance as Infragistics.Win.AppearanceData, input rect as System.Drawing.Rectangle, input invalidRect as System.Drawing.Rectangle, input enabled as logical):
   end method.

   method public final void DrawBackColor(input appearance as Infragistics.Win.AppearanceData, input rect as System.Drawing.Rectangle, input invalidRect as System.Drawing.Rectangle, input enabled as logical, input blend as System.Drawing.Drawing2D.Blend):
   end method.

   method public final void DrawBackColor(input appearance as Infragistics.Win.AppearanceData, input path as System.Drawing.Drawing2D.GraphicsPath, input enabled as logical, input antiAlias as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input buttonState as Infragistics.Win.UIElementButtonState):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input offsetSize as System.Drawing.Size, input baseOnSystemSize as logical, input isMinMax as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input buttonState as Infragistics.Win.UIElementButtonState, input baseOnSystemScrollBarSize as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input buttonState as Infragistics.Win.UIElementButtonState, input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonType as Infragistics.Win.UIElementButtonType, input baseOnSystemScrollBarSize as logical, input isMinMax as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input buttonState as Infragistics.Win.UIElementButtonState, input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonType as Infragistics.Win.UIElementButtonType, input baseOnSystemScrollBarSize as logical, input isMinMax as logical, input outlineOnly as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input offsetSize as System.Drawing.Size, input baseOnSystemScrollBarSize as logical, input isMinMax as logical):
   end method.

   method public final void DrawArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input offsetSize as System.Drawing.Size, input baseOnSystemScrollBarSize as logical, input isMinMax as logical, input outlineOnly as logical):
   end method.

   method public final void DrawOffice2010ArrowIndicator(input direction as System.Windows.Forms.ScrollButton, input rect as System.Drawing.Rectangle, input maxSize as System.Drawing.Size, input offsetSize as System.Drawing.Size, input baseOnSystemScrollBarSize as logical, input isMinMax as logical, input outlineOnly as logical):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle, input scaled as logical, input imgAttributes as System.Drawing.Imaging.ImageAttributes, input maintainAspectRatio as logical, input drawBorderShadow as logical, input shadowColor as System.Drawing.Color, input startAlpha as integer, input endAlpha as integer, input shadowDepth as integer):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle, input scaled as logical, input imgAttributes as System.Drawing.Imaging.ImageAttributes, input maintainAspectRatio as logical):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input rect as System.Drawing.Rectangle, input scaled as logical, input imgAttributes as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImage(input image as System.Drawing.Image, input destRect as System.Drawing.Rectangle, input srcRect as System.Drawing.Rectangle, input imgAttributes as System.Drawing.Imaging.ImageAttributes):
   end method.

   method public final void DrawImageBackground():
   end method.

   method public final void DrawImageBackground(input appearance as Infragistics.Win.AppearanceData, input rect as System.Drawing.Rectangle, input invalidRect as System.Drawing.Rectangle, input enabled as logical):
   end method.

   method public final void DrawImageBackground(input appearance as Infragistics.Win.AppearanceData, input rect as System.Drawing.Rectangle, input path as System.Drawing.Drawing2D.GraphicsPath, input enabled as logical):
   end method.

   method public final System.Drawing.Color GetAlphaBlendColor(input color as System.Drawing.Color):
   end method.

   method public final void DrawFocusRectangle():
   end method.

   method public final void DrawFocusRectangle(input rect as System.Drawing.Rectangle):
   end method.

   method public final void DrawFocusRectangle(input rect as System.Drawing.Rectangle, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end method.

   method public final System.Drawing.SolidBrush CreateSolidBrush(input color as System.Drawing.Color):
   end method.

   method public final System.Drawing.Drawing2D.HatchBrush CreateHatchBrush(input hatchStyle as System.Drawing.Drawing2D.HatchStyle, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end method.

   method public final void DrawCheckBox(input rect as System.Drawing.Rectangle, input buttonState as System.Windows.Forms.ButtonState):
   end method.

   method public final void DrawMixedCheckBox(input rect as System.Drawing.Rectangle, input buttonState as System.Windows.Forms.ButtonState):
   end method.

   method public final void DrawRadioButton(input rect as System.Drawing.Rectangle, input buttonState as System.Windows.Forms.ButtonState):
   end method.

   method public final void DrawString(input destRect as System.Drawing.Rectangle, input textToRender as character, input multiline as logical, input wrapText as logical):
   end method.

   method public final void DrawButtonRegion(input imageRegion as Infragistics.Win.ImageRegion, input buttonStyle as Infragistics.Win.UIElementButtonStyle, input buttonState as Infragistics.Win.UIElementButtonState, input isDefault as logical):
   end method.

   method public final void DrawCheckBox(input rect as System.Drawing.Rectangle, input buttonDrawStateSource as Infragistics.Win.IButtonDrawStateSource):
   end method.

   method public final void DrawMixedCheckBox(input rect as System.Drawing.Rectangle, input buttonDrawStateSource as Infragistics.Win.IButtonDrawStateSource):
   end method.

   method public final void DrawRadioButton(input rect as System.Drawing.Rectangle, input buttonDrawStateSource as Infragistics.Win.IButtonDrawStateSource):
   end method.

   method public final static System.Drawing.Size GetGlyphSize(input glyphType as Infragistics.Win.GlyphType, input element as Infragistics.Win.UIElement):
   end method.

   method public final static System.Drawing.Size GetGlyphSize(input glyphType as Infragistics.Win.GlyphType, input embeddableEditorOwnerBase as Infragistics.Win.EmbeddableEditorOwnerBase, input ownerContext as System.Object, input controlUIelementBase as Infragistics.Win.ControlUIElementBase):
   end method.

   method public final void AdjustForRightToLeft(input rect as System.Drawing.Rectangle):
   end method.

   method public final void MirrorRectIfNeeded(input rect as System.Drawing.Rectangle, input trueMirror as logical):
   end method.

   method public final void MirrorRectIfNeeded(input parentRect as System.Drawing.Rectangle, input rect as System.Drawing.Rectangle, input trueMirror as logical):
   end method.

   method public final static void MirrorRect(input parentRect as System.Drawing.Rectangle, input rect as System.Drawing.Rectangle, input trueMirror as logical):
   end method.

end class.
