class Infragistics.Win.UltraControlBase
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IUltraControl, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IControlElementEventProcessor, Infragistics.Win.IUltraControlElement, Infragistics.Win.Touch.ISupportTouchMetrics
   abstract:

   def public property UIAutomationProvider as System.Windows.Automation.Provider.IRawElementProviderFragment
      get.

   def public static property UIAutomationForCodedUITestingEnabled as logical
      get.
      set.

   def public property IsUpdating as logical
      get.

   def public property FlatMode as logical
      get.
      set.

   def public property UseFlatMode as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property UseFlatModeResolved as logical
      get.

   def public property SupportThemes as logical
      get.
      set.

   def public property UseOsThemes as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property UseOsThemesResolved as logical
      get.

   def public property DrawFilter as Infragistics.Win.IUIElementDrawFilter
      get.
      set.

   def public property CreationFilter as Infragistics.Win.IUIElementCreationFilter
      get.
      set.

   def public property CursorFilter as Infragistics.Win.IUIElementCursorFilter
      get.
      set.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property BaseCursor as System.Windows.Forms.Cursor
      get.

   def protected abstract property ControlUIElement as Infragistics.Win.ControlUIElementBase
      get.

   def public property AlphaBlendEnabled as logical
      get.
      set.

   def public property AlphaBlendMode as Infragistics.Win.AlphaBlendMode
      get.
      set.

   def protected property DesignerChangeNotificationsDisabled as logical
      get.
      set.

   def protected property EventsOptimized as Infragistics.Shared.EventHandlerDictionary
      get.

   def protected property SupportsEditorWithMask as logical
      get.

   def protected property SupportsFormattedLinkEditor as logical
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property TextRenderingMode as Infragistics.Win.TextRenderingMode
      get.
      set.

   def public property StyleSetName as character
      get.
      set.

   def public property ComponentRole as Infragistics.Win.AppStyling.ComponentRole
      get.

   def public property UseAppStyling as logical
      get.
      set.

   def public property StyleLibraryName as character
      get.
      set.

   def protected property DefaultResolvedUseOsThemes as Infragistics.Win.DefaultableBoolean
      get.

   def public static property GesturesEnabled as logical
      get.
      set.

   def public event MouseEnterElement signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   def public event MouseLeaveElement signature void (input sender as System.Object, input e as Infragistics.Win.UIElementEventArgs).

   def public event PropertyChanged signature void (input sender as System.Object, input e as Infragistics.Win.PropertyChangedEventArgs).

   def public event GestureQueryStatus signature void (input sender as System.Object, input e as Infragistics.Win.Touch.GestureQueryStatusEventArgs).

   def public event GestureStarting signature void (input sender as System.Object, input e as Infragistics.Win.Touch.GestureStartingEventArgs).

   def public event PanGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.PanGestureEventArgs).

   def public event ZoomGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.ZoomGestureEventArgs).

   def public event RotateGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.RotateGestureEventArgs).

   def public event PressAndTapGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.PressAndTapGestureEventArgs).

   def public event TwoFingerTapGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.TwoFingerTapGestureEventArgs).

   def public event PressAndHoldGesture signature void (input sender as System.Object, input e as Infragistics.Win.Touch.PressAndHoldGestureEventArgs).

   def public event GestureCompleted signature void (input sender as System.Object, input e as Infragistics.Win.Touch.GestureCompletedEventArgs).

   constructor protected UltraControlBase():
   end constructor.

   method protected System.Windows.Automation.Provider.IRawElementProviderFragment CreateUIAutomationProvider(input context as System.Object):
   end method.

   method protected final void RaiseUIAutomationEvent(input automationEventId as Infragistics.Win.UIAutomation.AutomationEventIds, input provider as System.Windows.Automation.Provider.IRawElementProviderFragment):
   end method.

   method protected final void RaiseUIAutomationPropertyChangedEvent(input propertyId as Infragistics.Win.UIAutomation.AutomationPropertyIds, input oldValue as System.Object, input newValue as System.Object, input provider as System.Windows.Automation.Provider.IRawElementProviderFragment):
   end method.

   method protected void OnGestureQueryStatus(input e as Infragistics.Win.Touch.GestureQueryStatusEventArgs):
   end method.

   method protected void OnGestureStarting(input e as Infragistics.Win.Touch.GestureStartingEventArgs):
   end method.

   method protected void OnPanGesture(input e as Infragistics.Win.Touch.PanGestureEventArgs):
   end method.

   method protected void OnZoomGesture(input e as Infragistics.Win.Touch.ZoomGestureEventArgs):
   end method.

   method protected void OnRotateGesture(input e as Infragistics.Win.Touch.RotateGestureEventArgs):
   end method.

   method protected void OnPressAndTapGesture(input e as Infragistics.Win.Touch.PressAndTapGestureEventArgs):
   end method.

   method protected void OnTwoFingerTapGesture(input e as Infragistics.Win.Touch.TwoFingerTapGestureEventArgs):
   end method.

   method protected void OnPressAndHoldGesture(input e as Infragistics.Win.Touch.PressAndHoldGestureEventArgs):
   end method.

   method protected void OnGestureCompleted(input e as Infragistics.Win.Touch.GestureCompletedEventArgs):
   end method.

   method public final static void RaiseGestureEvent(input control as Infragistics.Win.UltraControlBase, input eventId as Infragistics.Win.Touch.GestureEventIds, input eventArgs as System.EventArgs):
   end method.

   method protected final integer ScrollControl(input xAmount as integer, input yAmount as integer, input scrollRect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle, input updateRect as System.Drawing.Rectangle, input eraseBackground as logical, input invalidate as logical, input scrollChildren as logical, input smoothScrollAmount as integer):
   end method.

   method public void BeginUpdate():
   end method.

   method public final void EndUpdate():
   end method.

   method public void EndUpdate(input invalidate as logical):
   end method.

   method public final override void Invalidate():
   end method.

   method public final override void Invalidate(input rc as System.Drawing.Rectangle):
   end method.

   method public final override void Invalidate(input rc as System.Drawing.Rectangle, input invalidateChildren as logical):
   end method.

   method public final override void Invalidate(input invalidateChildren as logical):
   end method.

   method public final override void Invalidate(input region as System.Drawing.Region, input invalidateChildren as logical):
   end method.

   method public final override void Invalidate(input region as System.Drawing.Region):
   end method.

   method public final override void Update():
   end method.

   method protected Infragistics.Win.ISelectionManager GetSelectionManager():
   end method.

   method protected final void NotifyDesignEnvironmentOfChange():
   end method.

   method protected void OnPropertyChanged(input e as Infragistics.Win.PropertyChangedEventArgs):
   end method.

   method protected final void NotifyPropChange(input propId as System.Enum):
   end method.

   method protected final void NotifyPropChange(input propId as System.Enum, input trigger as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void OnMouseEnterElement(input e as Infragistics.Win.UIElementEventArgs):
   end method.

   method protected void OnMouseLeaveElement(input e as Infragistics.Win.UIElementEventArgs):
   end method.

   method protected override void OnPaint(input pe as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected logical IsPointDesignTimeActive(input pt as System.Drawing.Point):
   end method.

   method protected final void ForwardMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected final logical SetFocusToNextControl(input forward as logical):
   end method.

   method protected final void DrawControl(input controlToDraw as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle):
   end method.

   method protected final void DrawControl(input controlToDraw as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle, input opacity as decimal):
   end method.

   method protected final void DrawControl(input controlToDraw as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input rect as System.Drawing.Rectangle, input clipRect as System.Drawing.Rectangle, input attributes as System.Drawing.Imaging.ImageAttributes):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method public final static void PlaySound(input soundFile as character):
   end method.

   method public final static void PlaySound(input soundFile as character, input flags as Infragistics.Win.SoundFlags):
   end method.

   method public final static void PlaySound(input soundEvent as Infragistics.Win.SoundEvents):
   end method.

   method public final static void PlaySound(input soundEvent as Infragistics.Win.SoundEvents, input soundFlags as Infragistics.Win.SoundFlags):
   end method.

   method protected void OnThemeChanged():
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method public override void Refresh():
   end method.

   method protected logical FocusInternal():
   end method.

   method protected Infragistics.Win.AppStyling.ComponentRole CreateComponentRole():
   end method.

   method protected void OnOffice2007ColorSchemeChanged():
   end method.

   method protected void OnOffice2010ColorSchemeChanged():
   end method.

   method protected void OnOffice2013ColorSchemeChanged():
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method public void InitializeDataRepeaterClone(input clone as Infragistics.Win.UltraControlBase):
   end method.

   method public final static void InitializeDataRepeaterClones(input itemTemplate as System.Windows.Forms.Control, input dataRepeaterItem as System.Windows.Forms.Control):
   end method.

   method protected void OnTouchProviderRegistrationChanged(input touchProvider as Infragistics.Win.Touch.ITouchProvider, input touchProviderListVersion as integer):
   end method.

   method protected void OnTouchProviderStateChange(input invalidate as logical):
   end method.

   method protected System.Windows.Forms.Control GetGestureMessageControl():
   end method.

   method protected void OnAnimationResumed():
   end method.

end class.
