class Infragistics.Win.UltraWinDock.PaneSettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property ActiveCaptionAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasActiveCaptionAppearance as logical
      get.

   def public property ActivePaneAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasActivePaneAppearance as logical
      get.

   def public property ActiveTabAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasActiveTabAppearance as logical
      get.

   def public property CaptionAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCaptionAppearance as logical
      get.

   def public property HorizontalCaptionGrabHandleAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHorizontalCaptionGrabHandleAppearance as logical
      get.

   def public property HotTrackingCaptionAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackingCaptionAppearance as logical
      get.

   def public property HotTrackingTabAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackingTabAppearance as logical
      get.

   def public property PaneAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasPaneAppearance as logical
      get.

   def public property TabAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTabAppearance as logical
      get.

   def public property ActiveSlidingGroupAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasActiveSlidingGroupAppearance as logical
      get.

   def public property HotTrackingSlidingGroupAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackingSlidingGroupAppearance as logical
      get.

   def public property SlidingGroupAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSlidingGroupAppearance as logical
      get.

   def public property SelectedTabAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSelectedTabAppearance as logical
      get.

   def public property SelectedSlidingGroupAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSelectedSlidingGroupAppearance as logical
      get.

   def public property VerticalCaptionGrabHandleAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasVerticalCaptionGrabHandleAppearance as logical
      get.

   def public property AllowPin as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDragging as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDockLeft as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDockTop as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDockRight as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDockBottom as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowClose as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowFloating as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowMaximize as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowMinimize as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowResize as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property CanDisplayAsMdiChild as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AllowDockAsTab as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ForceSerialization as logical
      get.
      set.

   def public property ShowCaption as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property BorderStylePane as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property BorderStyleCaption as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property PaddingLeft as integer
      get.
      set.

   def public property PaddingRight as integer
      get.
      set.

   def public property PaddingTop as integer
      get.
      set.

   def public property PaddingBottom as integer
      get.
      set.

   def public property TabWidth as integer
      get.
      set.

   def public property DoubleClickAction as Infragistics.Win.UltraWinDock.PaneDoubleClickAction
      get.
      set.

   def public property GrabHandleStyle as Infragistics.Win.UltraWinDock.CaptionGrabHandleStyle
      get.
      set.

   constructor public PaneSettings():
   end constructor.

   constructor protected PaneSettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method protected final logical ShouldSerializeActiveCaptionAppearance():
   end method.

   method public final void ResetActiveCaptionAppearance():
   end method.

   method protected final logical ShouldSerializeActivePaneAppearance():
   end method.

   method public final void ResetActivePaneAppearance():
   end method.

   method protected final logical ShouldSerializeActiveTabAppearance():
   end method.

   method public final void ResetActiveTabAppearance():
   end method.

   method protected final logical ShouldSerializeCaptionAppearance():
   end method.

   method public final void ResetCaptionAppearance():
   end method.

   method protected final logical ShouldSerializeHorizontalCaptionGrabHandleAppearance():
   end method.

   method public final void ResetHorizontalCaptionGrabHandleAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackingCaptionAppearance():
   end method.

   method public final void ResetHotTrackingCaptionAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackingTabAppearance():
   end method.

   method public final void ResetHotTrackingTabAppearance():
   end method.

   method protected final logical ShouldSerializePaneAppearance():
   end method.

   method public final void ResetPaneAppearance():
   end method.

   method protected final logical ShouldSerializeTabAppearance():
   end method.

   method public final void ResetTabAppearance():
   end method.

   method protected final logical ShouldSerializeActiveSlidingGroupAppearance():
   end method.

   method public final void ResetActiveSlidingGroupAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackingSlidingGroupAppearance():
   end method.

   method public final void ResetHotTrackingSlidingGroupAppearance():
   end method.

   method protected final logical ShouldSerializeSlidingGroupAppearance():
   end method.

   method public final void ResetSlidingGroupAppearance():
   end method.

   method protected final logical ShouldSerializeSelectedTabAppearance():
   end method.

   method public final void ResetSelectedTabAppearance():
   end method.

   method protected final logical ShouldSerializeSelectedSlidingGroupAppearance():
   end method.

   method public final void ResetSelectedSlidingGroupAppearance():
   end method.

   method protected final logical ShouldSerializeVerticalCaptionGrabHandleAppearance():
   end method.

   method public final void ResetVerticalCaptionGrabHandleAppearance():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method protected final void InitializeFrom(input source as Infragistics.Win.UltraWinDock.PaneSettings):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

end class.
