class Infragistics.Win.UltraWinGrid.RowsCollection
   inherits Infragistics.Shared.SubObjectsCollectionBase
   implements System.IDisposable, System.Collections.ICollection, System.Collections.IEnumerable, System.Collections.IComparer, System.Collections.Generic.IEnumerable:

   def public override property Count as integer
      get.

   def protected override property InitialCapacity as integer
      get.

   def protected override property List as System.Collections.ArrayList
      get.

   def public override property IsReadOnly as logical
      get.

   def public override property All as System.Object extent
      get.
      set.

   def public property Item as Infragistics.Win.UltraWinGrid.UltraGridRow
      get.

   def public property ParentRow as Infragistics.Win.UltraWinGrid.UltraGridRow
      get.

   def public property SummaryValues as Infragistics.Win.UltraWinGrid.SummaryValuesCollection
      get.

   def public property ColumnFilters as Infragistics.Win.UltraWinGrid.ColumnFiltersCollection
      get.

   def public property CardAreaHeight as integer
      get.
      set.

   def public property FirstVisibleCardRow as Infragistics.Win.UltraWinGrid.UltraGridRow
      get.
      set.

   def public property VisibleRowCount as integer
      get.

   def public property FilteredInRowCount as integer
      get.

   def public property FilteredInNonGroupByRowCount as integer
      get.

   def public property RowsAccessibleObject as System.Windows.Forms.AccessibleObject
      get.

   def public property TemplateAddRow as Infragistics.Win.UltraWinGrid.UltraGridRow
      get.

   def public property Band as Infragistics.Win.UltraWinGrid.UltraGridBand
      get.

   def public property IsGroupByRows as logical
      get.

   def public property FixedRows as Infragistics.Win.UltraWinGrid.FixedRowsCollection
      get.

   def public property FilterRow as Infragistics.Win.UltraWinGrid.UltraGridFilterRow
      get.

   def public property AddRowModifiedByUser as logical
      get.
      set.

   method public override System.Object GetItem(input index as integer):
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method public override void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public override integer IndexOf(input obj as System.Object):
   end method.

   method protected override System.Object extent CreateArray():
   end method.

   method public final void Refresh(input action as Infragistics.Win.UltraWinGrid.RefreshRow):
   end method.

   method public final void Refresh(input action as Infragistics.Win.UltraWinGrid.RefreshRow, input recursive as logical):
   end method.

   method public final void Refresh(input action as Infragistics.Win.UltraWinGrid.RefreshRow, input recursive as logical, input initializeTemplateAddRow as logical):
   end method.

   method public final void ExpandAll(input recursive as logical):
   end method.

   method public final void CollapseAll(input recursive as logical):
   end method.

   method public final void ScrollCardIntoView(input row as Infragistics.Win.UltraWinGrid.UltraGridRow):
   end method.

   method public final void ScrollCardIntoView(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion):
   end method.

   method public final void ScrollCardIntoView(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input rsr as Infragistics.Win.UltraWinGrid.RowScrollRegion):
   end method.

   method public final void ScrollCardIntoView(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input rsr as Infragistics.Win.UltraWinGrid.RowScrollRegion, input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion, input exitEditMode as logical):
   end method.

   method public final logical IsCardVisible(input row as Infragistics.Win.UltraWinGrid.UltraGridRow):
   end method.

   method public final logical IsCardVisible(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion):
   end method.

   method public final logical IsCardVisible(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input rsr as Infragistics.Win.UltraWinGrid.RowScrollRegion):
   end method.

   method public final logical IsCardVisible(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input rsr as Infragistics.Win.UltraWinGrid.RowScrollRegion, input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetRowWithListIndex(input listIndex as integer):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetRowWithListIndex(input listIndex as integer, input create as logical):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetRowAtVisibleIndex(input visibleIndex as integer):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetRowAtVisibleIndexOffset(input startAtRow as Infragistics.Win.UltraWinGrid.UltraGridRow, input visibleIndexOffset as integer):
   end method.

   method public final Infragistics.Win.UltraWinGrid.RowEnumerator GetEnumerator():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow extent GetAllNonGroupByRows():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow extent GetFilteredInNonGroupByRows():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow extent GetFilteredOutNonGroupByRows():
   end method.

   method public final void CopyTo(input array as Infragistics.Win.UltraWinGrid.UltraGridRow extent, input index as integer):
   end method.

   method public final void EnsureSortedAndFiltered():
   end method.

   method public final void EnsureSortedAndFiltered(input recursion as Infragistics.Win.UltraWinGrid.RecursionType):
   end method.

   method public final void EnsureSortedAndFiltered(input recursion as Infragistics.Win.UltraWinGrid.RecursionType, input lowestLevelBand as Infragistics.Win.UltraWinGrid.UltraGridBand):
   end method.

   method public final void DeallocateCells(input recursive as logical):
   end method.

   method public final System.Collections.IEnumerable GetRowEnumerator(input rowTypes as Infragistics.Win.UltraWinGrid.GridRowType, input bandToMatch as Infragistics.Win.UltraWinGrid.UltraGridBand, input lowestLevelBand as Infragistics.Win.UltraWinGrid.UltraGridBand):
   end method.

   method public final void Move(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input newIndex as integer):
   end method.

   method public final void Move(input row as Infragistics.Win.UltraWinGrid.UltraGridRow, input newIndex as integer, input forceDirtyPrimaryMetrics as logical):
   end method.

   method public final void ExpandAllCards():
   end method.

   method public final void CollapseAllCards():
   end method.

end class.
