class Infragistics.Win.UltraWinGrid.SummarySettings
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.CalcEngine.IFormulaProvider:

   def public override property Key as character
      get.
      set.

   def public property Band as Infragistics.Win.UltraWinGrid.UltraGridBand
      get.

   def public property SummaryType as Infragistics.Win.UltraWinGrid.SummaryType
      get.
      set.

   def public property CustomSummaryCalculator as Infragistics.Win.UltraWinGrid.ICustomSummaryCalculator
      get.
      set.

   def public property SourceColumn as Infragistics.Win.UltraWinGrid.UltraGridColumn
      get.
      set.

   def public property DisplayFormat as character
      get.
      set.

   def public property DisplayFormatProvider as System.IFormatProvider
      get.
      set.

   def public property Lines as integer
      get.
      set.

   def public property DisplayInGroupBy as logical
      get.
      set.

   def public property SummaryPosition as Infragistics.Win.UltraWinGrid.SummaryPosition
      get.
      set.

   def public property SummaryPositionColumn as Infragistics.Win.UltraWinGrid.UltraGridColumn
      get.
      set.

   def public property Hidden as logical
      get.
      set.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property GroupBySummaryValueAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasGroupBySummaryValueAppearance as logical
      get.

   def public property Formula as character
      get.
      set.

   def public property FormulaValueConverter as Infragistics.Win.CalcEngine.IFormulaValueConverter
      get.
      set.

   def public property ShowCalculatingText as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property SummaryDisplayArea as Infragistics.Win.UltraWinGrid.SummaryDisplayAreas
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property IsExternal as logical
      get.

   def public property DisplayFormatResolved as character
      get.

   def public property FormulaAbsoluteName as character
      get.

   constructor public SummarySettings(input key as character, input summaryType as Infragistics.Win.UltraWinGrid.SummaryType, input formula as character, input sourceColumnKey as character, input sourceColumnRelativeIndex as integer, input isSourceColumnBound as logical, input sourceColumnBandKey as character, input sourceColumnBandIndex as integer, input summaryPosition as Infragistics.Win.UltraWinGrid.SummaryPosition, input summaryPositionColumnKey as character, input summaryPositionColumnRelativeIndex as integer, input isSummaryPositionColumnBound as logical):
   end constructor.

   constructor public SummarySettings():
   end constructor.

   constructor protected SummarySettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override character ToString():
   end method.

   method public final void ResetDisplayInGroupBy():
   end method.

   method public final void ResetHidden():
   end method.

   method public final void ResetAppearance():
   end method.

   method public final void ResetGroupBySummaryValueAppearance():
   end method.

   method public final void ResetSummaryPositionColumn():
   end method.

   method public final void ResetSummaryPosition():
   end method.

   method public final void ResetDisplayFormat():
   end method.

   method public final void ResetLines():
   end method.

   method public final void ResetFormula():
   end method.

   method public final void ResetShowCalculatingText():
   end method.

   method public final void ResetSummaryDisplayArea():
   end method.

   method public final void Refresh():
   end method.

   method public final void ResetToolTipText():
   end method.

   method protected final logical ShouldSerializeDisplayFormat():
   end method.

   method protected final logical ShouldSerializeLines():
   end method.

   method public final logical ShouldSerializeHidden():
   end method.

   method public final logical ShouldSerializeAppearance():
   end method.

   method public final logical ShouldSerializeSummaryPositionColumn():
   end method.

   method public final logical ShouldSerializeSummaryPosition():
   end method.

   method protected final logical ShouldSerializeDisplayInGroupBy():
   end method.

   method protected final logical ShouldSerializeFormula():
   end method.

   method protected final logical ShouldSerializeShowCalculatingText():
   end method.

   method protected final logical ShouldSerializeSummaryDisplayArea():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected final logical ShouldSerializeToolTipText():
   end method.

   method protected final logical ShouldSerializeCustomSummaryCalculator():
   end method.

end class.
