class Infragistics.Win.UltraWinGrid.UltraGridRow
   inherits Infragistics.Win.UltraWinGrid.ActivateableGridItemBase
   implements System.IDisposable, Infragistics.Shared.ISelectableItem, Infragistics.Win.IUIElementTextProvider, Infragistics.Win.IUIElementProvider, Infragistics.Shared.ISparseArrayMultiItem, Infragistics.Shared.ISparseArrayItem:

   def public property Band as Infragistics.Win.UltraWinGrid.UltraGridBand
      get.

   def public property IsStillValid as logical
      get.

   def public property IsCard as logical
      get.

   def public property IsCardCompressed as logical
      get.
      set.

   def public property ListObject as System.Object
      get.

   def public property ListIndex as integer
      get.

   def public property Index as integer
      get.

   def public property VisibleIndex as integer
      get.

   def public property AllAncestorsExpanded as logical
      get.

   def public property InInitializeRowEvent as logical
      get.

   def public property ChildBands as Infragistics.Win.UltraWinGrid.ChildBandsCollection
      get.

   def public property Cells as Infragistics.Win.UltraWinGrid.CellsCollection
      get.

   def public property IsDeleted as logical
      get.

   def public property ParentCollection as Infragistics.Win.UltraWinGrid.RowsCollection
      get.

   def public property ParentRow as Infragistics.Win.UltraWinGrid.UltraGridRow
      get.

   def public property RowSpacingBefore as integer
      get.
      set.

   def public property RowSpacingAfter as integer
      get.
      set.

   def public property RowSpacingBeforeResolved as integer
      get.

   def public property RowSpacingAfterResolved as integer
      get.

   def public property Height as integer
      get.
      set.

   def public property Hidden as logical
      get.
      set.

   def public property IsFilteredOut as logical
      get.

   def public property HiddenResolved as logical
      get.

   def public property IsAlternate as logical
      get.

   def public property Activation as Infragistics.Win.UltraWinGrid.Activation
      get.
      set.

   def public property Appearance as Infragistics.Win.Appearance
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property CellAppearance as Infragistics.Win.Appearance
      get.
      set.

   def public property HasCellAppearance as logical
      get.

   def public property AutoPreviewHidden as logical
      get.
      set.

   def public property DataChanged as logical
      get.

   def public property CardCaption as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property Expanded as logical
      get.
      set.

   def public property IsExpandable as logical
      get.

   def public property HasExpansionIndicator as logical
      get.

   def public property IsExpanded as logical
      get.

   def public property ShowAsExpanded as logical
      get.

   def public property ExpansionIndicator as Infragistics.Win.UltraWinGrid.ShowExpansionIndicator
      get.
      set.

   def public property FixedHeight as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property RowSelectorAppearance as Infragistics.Win.Appearance
      get.
      set.

   def public property HasRowSelectorAppearance as logical
      get.

   def public property PreviewAppearance as Infragistics.Win.Appearance
      get.
      set.

   def public property HasPreviewAppearance as logical
      get.

   def public property Activated as logical
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def protected property Selectable as logical
      get.

   def public property IsActiveRow as logical
      get.

   def public property IsAddRow as logical
      get.

   def public property IsTemplateAddRow as logical
      get.

   def public property IsUnmodifiedTemplateAddRow as logical
      get.

   def public property IsGroupByRow as logical
      get.

   def protected property IsRowHeightDirty as logical
      get.

   def public property AutoPreviewEnabled as logical
      get.

   def public property AutoPreviewHeight as integer
      get.

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property AllowFixing as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property Fixed as logical
      get.
      set.

   def public property FixedResolved as logical
      get.

   def public property BorderStyleCellResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property IsDataRow as logical
      get.

   def public property IsFilterRow as logical
      get.

   def public property IsSummaryRow as logical
      get.

   def public property IsEmptyMessageRow as logical
      get.

   def public property RowSelectorNumer as integer
      get.

   def public property RowSelectorNumber as integer
      get.

   def public property IsEmptyRow as logical
      get.

   def public property ToolTipText as character
      get.
      set.

   def public property RowEditTemplate as Infragistics.Win.UltraWinGrid.UltraGridRowEditTemplate
      get.
      set.

   def public property RowEditTemplateResolved as Infragistics.Win.UltraWinGrid.UltraGridRowEditTemplate
      get.

   def public property DataErrorInfo as Infragistics.Win.UltraWinGrid.UltraGridRow+UltraGridRowDataErrorInfo
      get.

   def public property DataErrorInfoResolved as Infragistics.Win.UltraWinGrid.UltraGridRow+ResolvedUltraGridRowDataErrorInfo
      get.

   def public property StartsNewPrintedPage as logical
      get.
      set.

   method public Infragistics.Win.UIElement GetUIElement(input rsr as Infragistics.Win.UltraWinGrid.RowScrollRegion, input csr as Infragistics.Win.UltraWinGrid.ColScrollRegion, input verifyElements as logical):
   end method.

   method public final logical HasCell(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final logical HasCell(input columnIndex as integer):
   end method.

   method public final logical HasCell(input columnKey as character):
   end method.

   method public final character GetCellText(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final System.Object GetCellValue(input columnKey as character):
   end method.

   method public System.Object GetCellValue(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetSibling(input sibling as Infragistics.Win.UltraWinGrid.SiblingRow):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetSibling(input sibling as Infragistics.Win.UltraWinGrid.SiblingRow, input spanBands as logical):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetSibling(input sibling as Infragistics.Win.UltraWinGrid.SiblingRow, input spanBands as logical, input excludeCardBands as logical):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetSibling(input sibling as Infragistics.Win.UltraWinGrid.SiblingRow, input spanBands as logical, input excludeCardBands as logical, input includeSpecialRows as logical):
   end method.

   method public final logical MeetsCriteria(input filterCondition as Infragistics.Win.UltraWinGrid.FilterCondition):
   end method.

   method public final logical MeetsCriteria(input filterConditions as Infragistics.Win.UltraWinGrid.FilterCondition extent, input logicalOperator as Infragistics.Win.UltraWinGrid.FilterLogicalOperator):
   end method.

   method public final logical MeetsCriteria(input columnFilter as Infragistics.Win.UltraWinGrid.ColumnFilter):
   end method.

   method public final logical MeetsCriteria(input columnFilters as Infragistics.Win.UltraWinGrid.ColumnFilter extent, input logicalOperator as Infragistics.Win.UltraWinGrid.FilterLogicalOperator):
   end method.

   method public final void CollapseAll():
   end method.

   method public final void ExpandAll():
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetChild(input child as Infragistics.Win.UltraWinGrid.ChildRow):
   end method.

   method public final Infragistics.Win.UltraWinGrid.UltraGridRow GetChild(input child as Infragistics.Win.UltraWinGrid.ChildRow, input band as Infragistics.Win.UltraWinGrid.UltraGridBand):
   end method.

   method public final logical HasChild():
   end method.

   method public final logical HasChild(input band as Infragistics.Win.UltraWinGrid.UltraGridBand):
   end method.

   method public final logical HasChild(input excludeHidden as logical):
   end method.

   method public final logical HasChild(input band as Infragistics.Win.UltraWinGrid.UltraGridBand, input excludeHidden as logical):
   end method.

   method public final logical HasParent():
   end method.

   method public final logical HasParent(input band as Infragistics.Win.UltraWinGrid.UltraGridBand):
   end method.

   method public final logical HasNextSibling():
   end method.

   method public final logical HasNextSibling(input spanBands as logical):
   end method.

   method public final logical HasNextSibling(input spanBands as logical, input excludeHidden as logical):
   end method.

   method public final logical HasPrevSibling():
   end method.

   method public final logical HasPrevSibling(input spanBands as logical):
   end method.

   method public final logical HasPrevSibling(input spanBands as logical, input excludeHidden as logical):
   end method.

   method public final void Refresh():
   end method.

   method public final void Refresh(input action as Infragistics.Win.UltraWinGrid.RefreshRow):
   end method.

   method public final void Refresh(input action as Infragistics.Win.UltraWinGrid.RefreshRow, input refreshDescendantRows as logical):
   end method.

   method public void RefreshSortPosition():
   end method.

   method public final void RefreshFilters():
   end method.

   method public logical Update():
   end method.

   method public final void CancelUpdate():
   end method.

   method public final logical Delete():
   end method.

   method public final logical Delete(input displayPrompt as logical):
   end method.

   method public final void ResolveRowSelectorAppearance(input appData as Infragistics.Win.AppearanceData):
   end method.

   method public final void ResolveRowSelectorAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveAppearance(input appData as Infragistics.Win.AppearanceData):
   end method.

   method public void ResolveAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input previewArea as logical):
   end method.

   method public final void ResolveCellAppearance(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn, input appData as Infragistics.Win.AppearanceData):
   end method.

   method public final void ResolveCellAppearance(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn, input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveMergedCellAppearance(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn, input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void PerformAutoSize():
   end method.

   method public final logical ExpandAncestors():
   end method.

   method public final Infragistics.Win.UltraWinGrid.Activation GetCellActivationResolved(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final logical Activate():
   end method.

   method protected void OnDispose():
   end method.

   method public final void ResetAllowFixing():
   end method.

   method public Infragistics.Win.EmbeddableEditorBase GetEditorResolved(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public Infragistics.Win.IValueList GetValueListResolved(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final System.Object GetExportValue(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

   method public final void ResetToolTipText():
   end method.

   method public final void DeallocateCells():
   end method.

   method public final logical ShowEditTemplate():
   end method.

   method public final System.Drawing.Size GetCellSizeResolved(input column as Infragistics.Win.UltraWinGrid.UltraGridColumn):
   end method.

end class.
