class Infragistics.Win.UltraWinSchedule.Appointment
   inherits Infragistics.Win.UltraWinSchedule.ActivityBase
   implements System.IDisposable, System.IComparable, System.Runtime.Serialization.ISerializable, Infragistics.Shared.ISelectableItem, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinSchedule.IEditableActivity, System.ICloneable, Infragistics.Win.UltraWinSchedule.IDataBoundItem, Infragistics.Win.UltraWinSchedule.IActivity:

   def public property Action as Infragistics.Win.UltraWinSchedule.AppointmentAction
      get.
      set.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property AllDayEvent as logical
      get.
      set.

   def public property BarColor as System.Drawing.Color
      get.
      set.

   def public property EndDateTime as datetime
      get.
      set.

   def public property StartDateTime as datetime
      get.
      set.

   def public property Subject as character
      get.
      set.

   def public property Location as character
      get.
      set.

   def public property Reminder as Infragistics.Win.UltraWinSchedule.Reminder
      get.
      set.

   def public property Day as Infragistics.Win.UltraWinSchedule.Day
      get.
      set.

   def public property CalendarInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
      get.
      set.

   def public override property IsSelected as logical
      get.

   def public property Locked as logical
      get.
      set.

   def public property LockedResolved as logical
      get.

   def public override property Visible as logical
      get.
      set.

   def public override property Tag as System.Object
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property HasReminder as logical
      get.

   def public property Selected as logical
      get.
      set.

   def public property IsMultiDay as logical
      get.

   def public property BindingListIndex as integer
      get.

   def public property BindingListObject as System.Object
      get.

   def public property DataKey as System.Object
      get.
      set.

   def public override property Owner as Infragistics.Win.UltraWinSchedule.Owner
      get.
      set.

   def public property OwnerKey as character
      get.
      set.

   def public override property VisibleResolved as logical
      get.

   def public property Recurrence as Infragistics.Win.UltraWinSchedule.AppointmentRecurrence
      get.
      set.

   def public property IsRecurringAppointmentRoot as logical
      get.

   def public property IsVariance as logical
      get.

   def public property OriginalStartDateTime as datetime
      get.

   def public property RecurringAppointmentRoot as Infragistics.Win.UltraWinSchedule.Appointment
      get.

   def public property RecurrenceId as System.Guid
      get.

   def public property IsRemoved as logical
      get.
      set.

   def public override property Start as datetime
      get.

   def public override property End as datetime
      get.

   def public override property Text as character
      get.

   constructor public Appointment(input startDateTime as datetime, input endDateTime as datetime):
   end constructor.

   constructor protected Appointment(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method protected final logical ShouldSerializeAction():
   end method.

   method public final void ResetAction():
   end method.

   method protected final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method protected final logical ShouldSerializeAllDayEvent():
   end method.

   method public final void ResetAllDayEvent():
   end method.

   method protected final logical ShouldSerializeBarColor():
   end method.

   method public final void ResetBarColor():
   end method.

   method public final void ResetEndDateTime():
   end method.

   method public final void ResetStartDateTime():
   end method.

   method protected final logical ShouldSerializeSubject():
   end method.

   method public final void ResetSubject():
   end method.

   method protected final logical ShouldSerializeLocation():
   end method.

   method public final void ResetLocation():
   end method.

   method protected final logical ShouldSerializeReminder():
   end method.

   method public final void ResetReminder():
   end method.

   method public final void ResetDay():
   end method.

   method protected final logical ShouldSerializeLocked():
   end method.

   method public final void ResetLocked():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method protected final override void Finalize():
   end method.

   method protected final logical ShouldSerializeDescription():
   end method.

   method public final void ResetDescription():
   end method.

   method public final void OffsetStartTime(input timeChange as System.TimeSpan):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Appointment FromBinary(input stream as System.IO.Stream):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Appointment FromXML(input stream as System.IO.Stream):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Appointment FromBytes(input bytes as System.Byte extent):
   end method.

   method public final void Save(input stream as System.IO.Stream):
   end method.

   method public final void Save(input stream as System.IO.Stream, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final void SaveAsXml(input stream as System.IO.Stream):
   end method.

   method public final void SaveAsXml(input stream as System.IO.Stream, input serializeDatesAsUniversalTime as logical):
   end method.

   method public final System.Byte extent Save():
   end method.

   method public final System.Byte extent Save(input serializeDatesAsUniversalTime as logical):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected final logical ShouldSerializeRecurrence():
   end method.

   method public final void ResetRecurrence():
   end method.

   method public final logical IsSameAppointment(input appointment as Infragistics.Win.UltraWinSchedule.Appointment):
   end method.

   method protected final logical ShouldSerializeOriginalStartDateTime():
   end method.

   method public final void ResetOriginalStartDateTime():
   end method.

   method protected final logical ShouldSerializeIsRemoved():
   end method.

   method public final void ResetIsRemoved():
   end method.

   method public override character ToString():
   end method.

end class.
