class Infragistics.Win.UltraWinSchedule.AppointmentRecurrence
   inherits Infragistics.Win.UltraWinSchedule.DateRecurrence
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property Id as System.Guid
      get.

   def public property OccurrenceDuration as System.TimeSpan
      get.
      set.

   def public property OccurrenceStartTime as datetime
      get.
      set.

   def public override property PatternDayOfMonth as integer
      get.
      set.

   def public override property PatternDaysOfWeek as Infragistics.Win.UltraWinSchedule.RecurrencePatternDaysOfWeek
      get.
      set.

   def public override property PatternFrequency as Infragistics.Win.UltraWinSchedule.RecurrencePatternFrequency
      get.
      set.

   def public override property PatternInterval as integer
      get.
      set.

   def public override property PatternMonthOfYear as integer
      get.
      set.

   def public override property PatternOccurrenceOfDayInMonth as Infragistics.Win.UltraWinSchedule.RecurrencePatternOccurrenceOfDayInMonth
      get.
      set.

   def public override property PatternType as Infragistics.Win.UltraWinSchedule.RecurrencePatternType
      get.
      set.

   def public override property RangeEndDate as datetime
      get.
      set.

   def public property RangeLimit as Infragistics.Win.UltraWinSchedule.RecurrenceRangeLimit
      get.
      set.

   def public property RangeMaxOccurrences as integer
      get.
      set.

   def public override property RangeStartDate as datetime
      get.
      set.

   def public property RootAppointment as Infragistics.Win.UltraWinSchedule.Appointment
      get.

   def public property Variances as Infragistics.Win.UltraWinSchedule.VariancesCollection
      get.

   def public override property Description as character
      get.

   constructor public AppointmentRecurrence():
   end constructor.

   constructor protected AppointmentRecurrence(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeOccurrenceDuration():
   end method.

   method public final void ResetOccurrenceDuration():
   end method.

   method protected final logical ShouldSerializeOccurrenceStartTime():
   end method.

   method public final void ResetOccurrenceStartTime():
   end method.

   method protected final logical ShouldSerializeRangeLimit():
   end method.

   method public final void ResetRangeLimit():
   end method.

   method protected final logical ShouldSerializeRangeMaxOccurrences():
   end method.

   method public final void ResetRangeMaxOccurrences():
   end method.

   method protected override void OnDispose():
   end method.

   method public override void Reset():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public override void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.DateRecurrence):
   end method.

   method public final void InitializeFromAppointment(input appointment as Infragistics.Win.UltraWinSchedule.Appointment):
   end method.

   method public final void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.AppointmentRecurrence, input includeRootAppointment as logical):
   end method.

   method public final System.Byte extent Save():
   end method.

   method public final System.Byte extent Save(input serializeDatesAsUniversalTime as logical):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.AppointmentRecurrence FromBytes(input bytes as System.Byte extent):
   end method.

   method public override datetime GetDateOfNextOccurrence(input startDateTime as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.ReadOnlyAppointmentsCollection GetAppointmentsInRange(input rangeStart as datetime, input rangeEnd as datetime):
   end method.

end class.
