class Infragistics.Win.UltraWinSchedule.DateRecurrence
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property PatternDayOfMonth as integer
      get.
      set.

   def public property PatternDaysOfWeek as Infragistics.Win.UltraWinSchedule.RecurrencePatternDaysOfWeek
      get.
      set.

   def public property PatternFrequency as Infragistics.Win.UltraWinSchedule.RecurrencePatternFrequency
      get.
      set.

   def public property PatternInterval as integer
      get.
      set.

   def public property PatternMonthOfYear as integer
      get.
      set.

   def public property PatternOccurrenceOfDayInMonth as Infragistics.Win.UltraWinSchedule.RecurrencePatternOccurrenceOfDayInMonth
      get.
      set.

   def public property PatternType as Infragistics.Win.UltraWinSchedule.RecurrencePatternType
      get.
      set.

   def public property RangeEndDate as datetime
      get.
      set.

   def public property RangeStartDate as datetime
      get.
      set.

   def public property Description as character
      get.

   constructor public DateRecurrence():
   end constructor.

   constructor public DateRecurrence(input rangeStartDate as datetime):
   end constructor.

   constructor protected DateRecurrence(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializePatternDayOfMonth():
   end method.

   method public final void ResetPatternDayOfMonth():
   end method.

   method protected final logical ShouldSerializePatternDaysOfWeek():
   end method.

   method public final void ResetPatternDaysOfWeek():
   end method.

   method protected final logical ShouldSerializePatternFrequency():
   end method.

   method public final void ResetPatternFrequency():
   end method.

   method protected final logical ShouldSerializePatternInterval():
   end method.

   method public final void ResetPatternInterval():
   end method.

   method protected final logical ShouldSerializePatternMonthOfYear():
   end method.

   method public final void ResetPatternMonthOfYear():
   end method.

   method protected final logical ShouldSerializePatternOccurrenceOfDayInMonth():
   end method.

   method public final void ResetPatternOccurrenceOfDayInMonth():
   end method.

   method protected final logical ShouldSerializePatternType():
   end method.

   method public final void ResetPatternType():
   end method.

   method protected final logical ShouldSerializeRangeEndDate():
   end method.

   method public final void ResetRangeEndDate():
   end method.

   method protected final logical ShouldSerializeRangeStartDate():
   end method.

   method public final void ResetRangeStartDate():
   end method.

   method protected override void OnDispose():
   end method.

   method public void Reset():
   end method.

   method public logical ShouldSerialize():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.DateRecurrence):
   end method.

   method public override character ToString():
   end method.

   method public datetime GetDateOfNextOccurrence(input startDate as datetime):
   end method.

end class.
