class Infragistics.Win.UltraWinSchedule.DateTimeInterval
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.IComparable
   abstract:

   def public property HeaderAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHeaderAppearance as logical
      get.

   def public property HeaderHotTrackingAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHeaderHotTrackingAppearance as logical
      get.

   def public property HeaderTextFormat as character
      get.
      set.

   def public property HeaderTextFormatResolved as character
      get.

   def public property DefaultHeaderTextFormat as character
      get.

   def public property HeaderTextFormatStyle as Infragistics.Win.UltraWinSchedule.TimelineViewHeaderTextFormatStyle
      get.
      set.

   def public property HeaderTextFormatStyleResolved as Infragistics.Win.UltraWinSchedule.TimelineViewHeaderTextFormatStyle
      get.

   def public property HeaderTextOrientation as Infragistics.Win.TextOrientationInfo
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property VisibleResolved as logical
      get.

   def public property Interval as integer
      get.
      set.

   def protected property DefaultInterval as integer
      get.

   def public property LabelAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasLabelAppearance as logical
      get.

   def public property LabelText as character
      get.
      set.

   def public property LabelToolTipText as character
      get.
      set.

   def public property DateNavigationButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasDateNavigationButtonAppearance as logical
      get.

   def public property DateNavigationButtonVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewDateNavigationButtonVisibility
      get.
      set.

   def public property DateNavigationButtonVisibilityResolved as Infragistics.Win.UltraWinSchedule.TimelineViewDateNavigationButtonVisibility
      get.

   def public property DateNavigationButtonAction as Infragistics.Win.UltraWinSchedule.TimelineViewDateNavigationButtonAction
      get.
      set.

   def public property DateNavigationButtonActionResolved as Infragistics.Win.UltraWinSchedule.TimelineViewDateNavigationButtonAction
      get.

   def public abstract property NormalSpan as System.TimeSpan
      get.

   def protected property HorizontalScrollRange as System.TimeSpan
      get.

   def protected property CalendarInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
      get.

   def protected property Control as Infragistics.Win.UltraWinSchedule.UltraScheduleControlBase
      get.

   def protected property TimeScaleResolution as Infragistics.Win.UltraWinSchedule.TimeScaleResolution
      get.

   def protected abstract property HasFixedDuration as logical
      get.

   def public property IsPrimaryInterval as logical
      get.

   constructor public DateTimeInterval():
   end constructor.

   constructor public DateTimeInterval(input interval as integer):
   end constructor.

   constructor protected DateTimeInterval(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeHeaderAppearance():
   end method.

   method public final void ResetHeaderAppearance():
   end method.

   method protected final logical ShouldSerializeHeaderHotTrackingAppearance():
   end method.

   method public final void ResetHeaderHotTrackingAppearance():
   end method.

   method protected final logical ShouldSerializeHeaderTextFormat():
   end method.

   method public final void ResetHeaderTextFormat():
   end method.

   method public final void ResetDefaultHeaderTextFormat():
   end method.

   method protected abstract character GetDefaultHeaderTextFormat().

   method protected final logical ShouldSerializeHeaderTextFormatStyle():
   end method.

   method public final void ResetHeaderTextFormatStyle():
   end method.

   method protected final logical ShouldSerializeHeaderTextOrientation():
   end method.

   method public final void ResetHeaderTextOrientation():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeInterval():
   end method.

   method public final void ResetInterval():
   end method.

   method protected final logical ShouldSerializeLabelAppearance():
   end method.

   method public final void ResetLabelAppearance():
   end method.

   method protected final logical ShouldSerializeLabelText():
   end method.

   method public final void ResetLabelText():
   end method.

   method protected final logical ShouldSerializeLabelToolTipText():
   end method.

   method public final void ResetLabelToolTipText():
   end method.

   method protected final logical ShouldSerializeDateNavigationButtonAppearance():
   end method.

   method public final void ResetDateNavigationButtonAppearance():
   end method.

   method protected final logical ShouldSerializeDateNavigationButtonVisibility():
   end method.

   method public final void ResetDateNavigationButtonVisibility():
   end method.

   method protected final logical ShouldSerializeDateNavigationButtonAction():
   end method.

   method public final void ResetDateNavigationButtonAction():
   end method.

   method protected datetime Floor(input dateTime as datetime, input duration as System.TimeSpan):
   end method.

   method public datetime GetNextDate(input date as datetime, input forward as logical):
   end method.

   method public character FormatDateRange(input start as datetime, input end as datetime):
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method protected void TranslateRangeForLogicalDay(input start as datetime, input end as datetime, input logicalDayOffset as System.TimeSpan, input logicalDayDuration as System.TimeSpan):
   end method.

   method protected void TranslateRangeForTimeZone(input start as datetime, input end as datetime):
   end method.

   method public final void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.DateTimeInterval):
   end method.

   method public final void InitializeFrom(input source as Infragistics.Win.UltraWinSchedule.DateTimeInterval, input notify as logical):
   end method.

   method public override Infragistics.Win.UltraWinSchedule.DateTimeInterval Clone():
   end method.

end class.
