class Infragistics.Win.UltraWinSchedule.Day
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, Infragistics.Shared.ISelectableItem:

   def public property DayNumber as integer
      get.

   def public property Date as datetime
      get.

   def public property DayOfWeek as Infragistics.Win.UltraWinSchedule.DayOfWeek
      get.

   def public property DayOfYear as integer
      get.

   def public property Month as Infragistics.Win.UltraWinSchedule.Month
      get.

   def public property Week as Infragistics.Win.UltraWinSchedule.Week
      get.

   def public property Appointments as Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection
      get.

   def public property Holidays as Infragistics.Win.UltraWinSchedule.HolidaysSubsetCollection
      get.

   def public property Notes as Infragistics.Win.UltraWinSchedule.NotesSubsetCollection
      get.

   def public property Enabled as logical
      get.
      set.

   def public property HasActivity as logical
      get.

   def public property CalendarInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
      get.

   def public property EnabledResolved as logical
      get.

   def public property Selected as logical
      get.
      set.

   def public property SelectedInAlternateDateRanges as logical
      get.
      set.

   def public property Activated as logical
      get.
      set.

   def public property AlternateSelectableItem as Infragistics.Shared.ISelectableItem
      get.

   constructor protected Day(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final void Reset():
   end method.

   method protected final logical ShouldSerializeEnabled():
   end method.

   method public final void ResetEnabled():
   end method.

   method public override character ToString():
   end method.

   method public final logical IsSelectedInControl(input control as Infragistics.Win.UltraWinSchedule.UltraScheduleControlBase):
   end method.

end class.
