class Infragistics.Win.UltraWinSchedule.Owner
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, Infragistics.Win.UltraWinSchedule.IDataBoundItem, System.Runtime.Serialization.IDeserializationCallback
   final:

   def public override property Key as character
      get.
      set.

   def public property HeaderAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHeaderAppearance as logical
      get.

   def public property AppointmentActionsEnabled as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property AppointmentActionsEnabledResolved as logical
      get.

   def public property BindingListIndex as integer
      get.

   def public property BindingListObject as System.Object
      get.

   def public property CalendarInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
      get.

   def public property EmailAddress as character
      get.
      set.

   def public property Index as integer
      get.
      set.

   def public property IsUnassigned as logical
      get.

   def public property Locked as logical
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property NonWorkingHourTimeSlotAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasNonWorkingHourTimeSlotAppearance as logical
      get.

   def public property SelectedTimeSlotAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasSelectedTimeSlotAppearance as logical
      get.

   def public property DayAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasDayAppearance as logical
      get.

   def public property AlternateMonthDayAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAlternateMonthDayAppearance as logical
      get.

   def public property Visible as logical
      get.
      set.

   def public property WorkingHourTimeSlotAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasWorkingHourTimeSlotAppearance as logical
      get.

   def public property DayOfWeekSettings as Infragistics.Win.UltraWinSchedule.DayOfWeekSettingsCollection
      get.

   def public property Outlook2007ColorScheme as Infragistics.Win.UltraWinSchedule.Outlook2007ColorScheme
      get.
      set.

   def public property DateSettings as Infragistics.Win.UltraWinSchedule.OwnerDateSettingsCollection
      get.

   def public property RecurringDateSettings as Infragistics.Win.UltraWinSchedule.OwnerRecurringDateSettingsCollection
      get.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnRemovedFromCollection(input primaryCollection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method public final void ResetHeaderAppearance():
   end method.

   method public final void ResetName():
   end method.

   method public final void ResetNonWorkingHourTimeSlotAppearance():
   end method.

   method public final void ResetSelectedTimeSlotAppearance():
   end method.

   method public final void ResetDayAppearance():
   end method.

   method public final void ResetAlternateMonthDayAppearance():
   end method.

   method public final void ResetWorkingHourTimeSlotAppearance():
   end method.

   method public final void ResetDayOfWeekSettings():
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Outlook2007ColorScheme GetResolvedOutlook2007ColorScheme(input calendarLook as Infragistics.Win.UltraWinSchedule.UltraCalendarLook):
   end method.

   method public final void ResetDateSettings():
   end method.

   method public final void ResetRecurringDateSettings():
   end method.

   method public final void DeleteAllActivity():
   end method.

   method public final Infragistics.Win.UltraWinSchedule.AppointmentsSubsetCollection GetAppointmentsInRange(input startDateTime as datetime, input endDateTime as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.NotesSubsetCollection GetNotesInRange(input startDateTime as datetime, input endDateTime as datetime):
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Appointment extent GetOwnedNonRecurringAppointments():
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Note extent GetOwnedNotes():
   end method.

   method public final Infragistics.Win.UltraWinSchedule.Appointment extent GetOwnedRecurringAppointments():
   end method.

   method public final void ReassignAllActivity(input newOwner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method public final void SwapIndex(input owner as Infragistics.Win.UltraWinSchedule.Owner):
   end method.

   method public override character ToString():
   end method.

   method protected override void OnDispose():
   end method.

   method public final void SaveDateSettings(input stream as System.IO.Stream):
   end method.

   method public final void LoadDateSettings(input stream as System.IO.Stream):
   end method.

   method public final System.Byte extent Save():
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Owner FromBytes(input bytes as System.Byte extent):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Owner FromBinary(input stream as System.IO.Stream):
   end method.

   method public final logical IsWorkDay(input date as datetime):
   end method.

   method public final logical IsInWorkingHours(input timeSlot as Infragistics.Win.UltraWinSchedule.TimeSlot, input date as datetime):
   end method.

   method public final logical IsInWorkingHours(input date as datetime, input startTime as System.TimeSpan, input endTime as System.TimeSpan):
   end method.

end class.
