class Infragistics.Win.UltraWinSchedule.Task
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinSchedule.IDataBoundItem:

   def public static variable PercentFormat as character.

   def public property AllowedUIActions as Infragistics.Win.UltraWinSchedule.TaskUI.TaskUIActions
      get.
      set.

   def public property CompleteThrough as datetime
      get.

   def public property Constraint as Infragistics.Win.UltraWinSchedule.TaskConstraint
      get.
      set.

   def public property ConstraintDateTime as datetime
      get.
      set.

   def public property Deadline as datetime
      get.
      set.

   def public property Dependencies as Infragistics.Win.UltraWinSchedule.TaskDependenciesCollection
      get.

   def public property Duration as System.TimeSpan
      get.
      set.

   def public property DurationResolved as System.TimeSpan
      get.

   def public property EndDateTime as datetime
      get.
      set.

   def public property EndDateTimeResolved as datetime
      get.

   def public property Expanded as logical
      get.
      set.

   def public property GridSettings as Infragistics.Win.UltraWinGanttView.TaskGridSettings
      get.

   def public property Id as System.Guid
      get.

   def public property IsRoot as logical
      get.

   def public property IsSummary as logical
      get.

   def public property Level as integer
      get.

   def public property Milestone as logical
      get.
      set.

   def public property MilestoneResolved as logical
      get.

   def public property Name as character
      get.
      set.

   def public property Notes as character
      get.
      set.

   def public property Parent as Infragistics.Win.UltraWinSchedule.Task
      get.

   def public property PercentComplete as decimal
      get.
      set.

   def public property Project as Infragistics.Win.UltraWinSchedule.Project
      get.
      set.

   def public property ProjectKey as character
      get.

   def public property Resources as Infragistics.Win.UltraWinSchedule.ResourcesCollection
      get.

   def public property RowHeight as integer
      get.
      set.

   def public property RowNumber as integer
      get.

   def public property StartDateTime as datetime
      get.
      set.

   def public property Tasks as Infragistics.Win.UltraWinSchedule.TasksCollection
      get.

   def public property TaskSettings as Infragistics.Win.UltraWinSchedule.TaskSettings
      get.

   def public property TimelineSettings as Infragistics.Win.UltraWinGanttView.TimelineSettings
      get.

   def public property BindingListIndex as integer
      get.

   def public property BindingListObject as System.Object
      get.

   constructor public Task():
   end constructor.

   constructor protected Task(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeAllowedUIActions():
   end method.

   method protected final void ResetAllowedUIActions():
   end method.

   method protected final logical ShouldSerializeConstraint():
   end method.

   method protected final void ResetConstraint():
   end method.

   method protected final logical ShouldSerializeConstraintDateTime():
   end method.

   method protected final void ResetConstraintDateTime():
   end method.

   method protected final logical ShouldSerializeDeadline():
   end method.

   method protected final void ResetDeadline():
   end method.

   method protected final logical ShouldSerializeDependencies():
   end method.

   method protected final void ResetDependencies():
   end method.

   method protected final logical ShouldSerializeDuration():
   end method.

   method protected final void ResetDuration():
   end method.

   method public final void SetDuration(input value as System.TimeSpan, input format as Infragistics.Win.TimeSpanFormat):
   end method.

   method public final void SetSummaryDurationFormat(input value as Infragistics.Win.TimeSpanFormat):
   end method.

   method protected final logical ShouldSerializeExpanded():
   end method.

   method protected final void ResetExpanded():
   end method.

   method protected final logical ShouldSerializeGridSettings():
   end method.

   method public final void ResetGridSettings():
   end method.

   method protected final logical ShouldSerializeMilestone():
   end method.

   method protected final void ResetMilestone():
   end method.

   method protected final logical ShouldSerializeName():
   end method.

   method protected final void ResetName():
   end method.

   method protected final logical ShouldSerializeNotes():
   end method.

   method protected final void ResetNotes():
   end method.

   method protected final logical ShouldSerializePercentComplete():
   end method.

   method protected final void ResetPercentComplete():
   end method.

   method protected final logical ShouldSerializeResources():
   end method.

   method protected final void ResetResources():
   end method.

   method protected final logical ShouldSerializeRowHeight():
   end method.

   method protected final void ResetRowHeight():
   end method.

   method protected final logical ShouldSerializeStartDateTime():
   end method.

   method protected final void ResetStartDateTime():
   end method.

   method protected final logical ShouldSerializeTasks():
   end method.

   method protected final void ResetTasks():
   end method.

   method protected final logical ShouldSerializeTaskSettings():
   end method.

   method public final void ResetTaskSettings():
   end method.

   method protected final logical ShouldSerializeTimelineSettings():
   end method.

   method public final void ResetTimelineSettings():
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override character ToString():
   end method.

   method public final logical IsDescendantOf(input task as Infragistics.Win.UltraWinSchedule.Task):
   end method.

   method public final logical IsAncestorOf(input task as Infragistics.Win.UltraWinSchedule.Task):
   end method.

   method public final logical Equals(input task as Infragistics.Win.UltraWinSchedule.Task):
   end method.

   method public final void ExpandAll():
   end method.

   method public final void CollapseAll():
   end method.

   method public final void ExpandAllAncestors():
   end method.

   method public final logical Indent():
   end method.

   method public final logical Outdent():
   end method.

   method public final logical CanIndent():
   end method.

   method public final logical CanOutdent():
   end method.

   method public final void SetCustomProperty(input name as character, input value as System.Object):
   end method.

   method public final System.Object GetCustomProperty(input name as character):
   end method.

   method public final void ResetCustomProperty(input name as character):
   end method.

   method public final void ResetCustomProperties():
   end method.

   method public final logical ShouldSerializeCustomProperty(input name as character):
   end method.

   method public final logical ShouldSerializeCustomProperties():
   end method.

   method public final Infragistics.Win.FormattedTimeSpan GetDuration(input workingHoursOnly as logical):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final static Infragistics.Win.UltraWinSchedule.Task FromBytes(input bytes as System.Byte extent):
   end method.

   method public final System.Byte extent Save(input serializeDatesAsUniversalTime as logical):
   end method.

   method public final System.Byte extent Save(input serializeDatesAsUniversalTime as logical, input forDataBinding as logical):
   end method.

   method public final System.Byte extent Save():
   end method.

   method protected override void OnObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

end class.
