class Infragistics.Win.UltraWinSchedule.TimelineView.AppointmentDisplaySettings
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable:

   def public static variable DefaultBarColorIndicatorHeightActual as integer.

   def public static variable DefaultBarColorIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewBarColorIndicatorVisibility.

   def public static variable DefaultReminderIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewReminderIndicatorVisibility.

   def public static variable DefaultRecurrenceIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewRecurrenceIndicatorVisibility.

   def public static variable DefaultDateTimeContinuationIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewDateTimeContinuationIndicatorVisibility.

   def public static variable DefaultTimeVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewAppointmentTimeVisibility.

   def public static variable AppearanceImageSize as System.Drawing.Size.

   def public static variable ReminderIndicatorSize as System.Drawing.Size.

   def public static variable RecurrenceIndicatorSize as System.Drawing.Size.

   def public static variable DateTimeContinuationIndicatorSize as System.Drawing.Size.

   def public property BarColorIndicatorHeight as integer
      get.
      set.

   def public property BarColorIndicatorHeightResolved as integer
      get.

   def public property BarColorIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewBarColorIndicatorVisibility
      get.
      set.

   def public property ReminderIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewReminderIndicatorVisibility
      get.
      set.

   def public property RecurrenceIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewRecurrenceIndicatorVisibility
      get.
      set.

   def public property DateTimeContinuationIndicatorVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewDateTimeContinuationIndicatorVisibility
      get.
      set.

   def public property DisplayAppearanceImage as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property DisplaySubject as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property DisplayLocation as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property TimeVisibility as Infragistics.Win.UltraWinSchedule.TimelineViewAppointmentTimeVisibility
      get.
      set.

   constructor public AppointmentDisplaySettings():
   end constructor.

   constructor protected AppointmentDisplaySettings(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeBarColorIndicatorHeight():
   end method.

   method public final void ResetBarColorIndicatorHeight():
   end method.

   method protected final logical ShouldSerializeBarColorIndicatorVisibility():
   end method.

   method public final void ResetBarColorIndicatorVisibility():
   end method.

   method protected final logical ShouldSerializeReminderIndicatorVisibility():
   end method.

   method public final void ResetReminderIndicatorVisibility():
   end method.

   method protected final logical ShouldSerializeRecurrenceIndicatorVisibility():
   end method.

   method public final void ResetRecurrenceIndicatorVisibility():
   end method.

   method protected final logical ShouldSerializeDateTimeContinuationIndicatorVisibility():
   end method.

   method public final void ResetDateTimeContinuationIndicatorVisibility():
   end method.

   method protected final logical ShouldSerializeDisplayAppearanceImage():
   end method.

   method public final void ResetDisplayAppearanceImage():
   end method.

   method protected final logical ShouldSerializeDisplaySubject():
   end method.

   method public final void ResetDisplaySubject():
   end method.

   method protected final logical ShouldSerializeDisplayLocation():
   end method.

   method public final void ResetDisplayLocation():
   end method.

   method protected final logical ShouldSerializeTimeVisibility():
   end method.

   method public final void ResetTimeVisibility():
   end method.

   method protected final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

end class.
