class Infragistics.Win.UltraWinSchedule.UltraScheduleControlBase
   inherits Infragistics.Win.UltraControlBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, Infragistics.Win.UIAutomation.IProvideUIAutomation, Infragistics.Win.IUltraControl, Infragistics.Win.AppStyling.ISupportAppStyling, Infragistics.Win.IControlElementEventProcessor, Infragistics.Win.IUltraControlElement, Infragistics.Win.Touch.ISupportTouchMetrics, System.ComponentModel.ISupportInitialize
   abstract:

   def protected property CalendarLookChangedEventHandler as Infragistics.Win.UltraWinSchedule.CalendarLookChangedEventHandler
      get.

   def public property CalendarInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
      get.
      set.

   def public property CalendarLook as Infragistics.Win.UltraWinSchedule.UltraCalendarLook
      get.
      set.

   def public property Appearances as Infragistics.Win.AppearancesCollection
      get.

   def public property UseAlternateSelectedDateRanges as logical
      get.
      set.

   def protected property SubObjectPropChangeHandler as Infragistics.Shared.SubObjectPropChangeEventHandler
      get.

   def protected abstract property ControlAreaRole as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property ToolTipComponent as Infragistics.Win.ToolTip
      get.

   def protected property IsDraggingOrResizingActivity as logical
      get.

   def public property GesturesEnabled as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property GesturesEnabledResolved as logical
      get.

   constructor protected UltraScheduleControlBase():
   end constructor.

   method protected void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected void OnCalendarInfoAttach(input newInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo, input oldInfo as Infragistics.Win.UltraWinSchedule.UltraCalendarInfo):
   end method.

   method protected void OnCalendarLookAttach(input newLook as Infragistics.Win.UltraWinSchedule.UltraCalendarLook, input oldLook as Infragistics.Win.UltraWinSchedule.UltraCalendarLook):
   end method.

   method protected void OnCalendarLookChanged(input args as Infragistics.Win.UltraWinSchedule.CalendarLookChangedEventArgs):
   end method.

   method protected void OnViewStyleChanged(input newValue as Infragistics.Win.UltraWinSchedule.ViewStyle):
   end method.

   method protected override void OnPaint(input pe as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Infragistics.Win.PropertyChangedEventArgs):
   end method.

   method protected final logical ShouldSerializeCalendarInfo():
   end method.

   method public final void ResetCalendarInfo():
   end method.

   method protected final logical ShouldSerializeCalendarLook():
   end method.

   method public final void ResetCalendarLook():
   end method.

   method protected final logical ShouldSerializeAppearances():
   end method.

   method public void ResetAppearances():
   end method.

   method protected final logical ShouldSerializeUseAlternateSelectedDateRanges():
   end method.

   method public void ResetUseAlternateSelectedDateRanges():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected void OnBeforeDisplayAppointmentDialog(input args as Infragistics.Win.UltraWinSchedule.DisplayAppointmentDialogEventArgs):
   end method.

   method protected final logical PerformAction(input param1 as integer, input param2 as logical, input param3 as logical):
   end method.

   method protected override logical IsInputChar(input charCode as character):
   end method.

   method protected void OnBeginInit():
   end method.

   method protected void OnEndInit():
   end method.

   method protected void OnApplicationStyleChanged():
   end method.

   method protected void OnOffice2007MoreItemsIndicatorMouseLeave(input element as Infragistics.Win.UltraWinSchedule.DayView.Office2007MoreItemsIndicatorUIElement):
   end method.

   method protected void OnOffice2007MoreItemsIndicatorMouseHover(input element as Infragistics.Win.UltraWinSchedule.DayView.Office2007MoreItemsIndicatorUIElement):
   end method.

   method protected void OnOffice2007MoreItemsIndicatorClick(input element as Infragistics.Win.UltraWinSchedule.DayView.Office2007MoreItemsIndicatorUIElement):
   end method.

   method protected void ConfigureToolTip():
   end method.

   method protected void ResolveGeneralAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void OnClickToAddAppointmentUIElementClick(input element as Infragistics.Win.UltraWinSchedule.ClickToAddAppointmentUIElement):
   end method.

   method protected void ResolveAppointmentAppearance(input appointment as Infragistics.Win.UltraWinSchedule.Appointment, input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input isClickToAddIndicator as logical):
   end method.

   method protected void ResolveDayHeaderAppearance(input date as datetime, input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input owner as Infragistics.Win.UltraWinSchedule.Owner, input isHotTracking as logical):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTouchProviderRegistrationChanged(input touchProvider as Infragistics.Win.Touch.ITouchProvider, input touchProviderListVersion as integer):
   end method.

   method protected override void OnTouchProviderStateChange(input invalidate as logical):
   end method.

   method protected final logical ShouldSerializeGesturesEnabled():
   end method.

   method public final void ResetGesturesEnabled():
   end method.

end class.
