class Infragistics.Win.UltraWinScrollBar.ScrollBarLook
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.ISupportPresets:

   def public property MinMaxButtonsVisible as logical
      get.
      set.

   def public property ShowMinMaxButtons as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property ScrollBarArrowStyle as Infragistics.Win.UltraWinScrollBar.ScrollBarArrowStyle
      get.
      set.

   def public property Appearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearance as logical
      get.

   def public property AppearanceHorizontal as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearanceHorizontal as logical
      get.

   def public property AppearanceVertical as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasAppearanceVertical as logical
      get.

   def public property ButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasButtonAppearance as logical
      get.

   def public property ButtonAppearanceHorizontal as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasButtonAppearanceHorizontal as logical
      get.

   def public property ButtonAppearanceVertical as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasButtonAppearanceVertical as logical
      get.

   def public property ThumbAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasThumbAppearance as logical
      get.

   def public property ThumbAppearanceHorizontal as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasThumbAppearanceHorizontal as logical
      get.

   def public property ThumbAppearanceVertical as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasThumbAppearanceVertical as logical
      get.

   def public property TrackAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTrackAppearance as logical
      get.

   def public property TrackAppearanceHorizontal as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTrackAppearanceHorizontal as logical
      get.

   def public property TrackAppearanceVertical as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTrackAppearanceVertical as logical
      get.

   def public property AppearanceCallback as Infragistics.Win.ResolveAppearanceCallback
      get.
      set.

   def public property ButtonAppearanceCallback as Infragistics.Win.ResolveAppearanceCallback
      get.
      set.

   def public property ThumbAppearanceCallback as Infragistics.Win.ResolveAppearanceCallback
      get.
      set.

   def public property TrackAppearanceCallback as Infragistics.Win.ResolveAppearanceCallback
      get.
      set.

   def public property MinimumThumbWidth as integer
      get.
      set.

   def public property MinimumThumbHeight as integer
      get.
      set.

   def public property ViewStyle as Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle
      get.
      set.

   def protected property DefaultViewStyle as Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle
      get.

   def public property HorizontalScrollBarArrowWidth as integer
      get.
      set.

   def public property HorizontalScrollBarArrowWidthResolved as integer
      get.

   def public property HorizontalScrollBarHeight as integer
      get.
      set.

   def public property HorizontalScrollBarHeightResolved as integer
      get.

   def public property VerticalScrollBarArrowHeight as integer
      get.
      set.

   def public property VerticalScrollBarArrowHeightResolved as integer
      get.

   def public property VerticalScrollBarWidth as integer
      get.
      set.

   def public property VerticalScrollBarWidthResolved as integer
      get.

   def protected property HighContrast as logical
      get.

   constructor public ScrollBarLook():
   end constructor.

   constructor public ScrollBarLook(input appearances as Infragistics.Win.AppearancesCollection):
   end constructor.

   constructor protected ScrollBarLook(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final logical ShouldSerializeMinMaxButtonsVisible():
   end method.

   method public final void ResetMinMaxButtonsVisible():
   end method.

   method public final logical ShouldSerializeScrollBarArrowStyle():
   end method.

   method public final void ResetScrollBarArrowStyle():
   end method.

   method public final logical ShouldSerializeAppearance():
   end method.

   method public final void ResetAppearance():
   end method.

   method public final logical ShouldSerializeAppearanceHorizontal():
   end method.

   method public final void ResetAppearanceHorizontal():
   end method.

   method public final logical ShouldSerializeAppearanceVertical():
   end method.

   method public final void ResetAppearanceVertical():
   end method.

   method public final logical ShouldSerializeButtonAppearance():
   end method.

   method public final void ResetButtonAppearance():
   end method.

   method public final logical ShouldSerializeButtonAppearanceHorizontal():
   end method.

   method public final void ResetButtonAppearanceHorizontal():
   end method.

   method public final logical ShouldSerializeButtonAppearanceVertical():
   end method.

   method public final void ResetButtonAppearanceVertical():
   end method.

   method public final logical ShouldSerializeThumbAppearance():
   end method.

   method public final void ResetThumbAppearance():
   end method.

   method public final logical ShouldSerializeThumbAppearanceHorizontal():
   end method.

   method public final void ResetThumbAppearanceHorizontal():
   end method.

   method public final logical ShouldSerializeThumbAppearanceVertical():
   end method.

   method public final void ResetThumbAppearanceVertical():
   end method.

   method public final logical ShouldSerializeTrackAppearance():
   end method.

   method public final void ResetTrackAppearance():
   end method.

   method public final logical ShouldSerializeTrackAppearanceHorizontal():
   end method.

   method public final void ResetTrackAppearanceHorizontal():
   end method.

   method public final logical ShouldSerializeTrackAppearanceVertical():
   end method.

   method public final void ResetTrackAppearanceVertical():
   end method.

   method public final logical ShouldSerializeViewStyle():
   end method.

   method public final void ResetViewStyle():
   end method.

   method public final void ResetHorizontalScrollBarArrowWidth():
   end method.

   method public final logical ShouldSerializeHorizontalScrollBarArrowWidth():
   end method.

   method public final void ResetHorizontalScrollBarHeight():
   end method.

   method public final logical ShouldSerializeHorizontalScrollBarHeight():
   end method.

   method public final void ResetVerticalScrollBarArrowHeight():
   end method.

   method public final logical ShouldSerializeVerticalScrollBarArrowHeight():
   end method.

   method public final void ResetVerticalScrollBarWidth():
   end method.

   method public final logical ShouldSerializeVerticalScrollBarWidth():
   end method.

   method protected void ResolveAppearanceUltimateDefaults(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input orientation as System.Windows.Forms.Orientation, input roleName as character, input state as Infragistics.Win.AppStyling.RoleState):
   end method.

   method public final void InitializeAppearances(input appearances as Infragistics.Win.AppearancesCollection):
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method public final void ResolveButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveButtonAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input orientation as System.Windows.Forms.Orientation):
   end method.

   method public final void ResolveScrollThumbAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveScrollThumbAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input orientation as System.Windows.Forms.Orientation):
   end method.

   method public final void ResolveScrollTrackAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveScrollTrackAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input orientation as System.Windows.Forms.Orientation):
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input orientation as System.Windows.Forms.Orientation):
   end method.

   method public final override Infragistics.Win.UltraWinScrollBar.ScrollBarLook Clone():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method public final Infragistics.Win.UltraWinScrollBar.ScrollBarArrowStyle GetScrollBarArrowStyleResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final logical GetShowMinMaxButtonsResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final integer GetMinimumThumbWidthResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final integer GetMinimumThumbHeightResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final integer GetHorizontalScrollBarArrowWidthResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final integer GetHorizontalScrollBarHeightResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final static integer GetHorizontalScrollBarHeightResolved(input scrollBarLook as Infragistics.Win.UltraWinScrollBar.ScrollBarLook, input componentRole as Infragistics.Win.AppStyling.ComponentRole):
   end method.

   method public final integer GetVerticalScrollBarArrowHeightResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final integer GetVerticalScrollBarWidthResolved(input owningControl as Infragistics.Win.IUltraControl):
   end method.

   method public final static integer GetVerticalScrollBarWidthResolved(input scrollBarLook as Infragistics.Win.UltraWinScrollBar.ScrollBarLook, input componentRole as Infragistics.Win.AppStyling.ComponentRole):
   end method.

end class.
