class Infragistics.Win.UltraWinTabbedMdi.MdiTab
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabItem:

   def public property TabGroup as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup
      get.

   def public property Settings as Infragistics.Win.UltraWinTabbedMdi.MdiTabSettings
      get.

   def public property HasSettings as logical
      get.

   def public property SettingsResolved as Infragistics.Win.UltraWinTabbedMdi.MdiTabSettingsResolved
      get.

   def public property Form as System.Windows.Forms.Form
      get.

   def public property Manager as Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager
      get.

   def public property IsFormActive as logical
      get.

   def public property IsFormEnabled as logical
      get.

   def public property IsFormVisible as logical
      get.

   def public property PersistedInfo as System.Object
      get.
      set.

   def public property IsSelected as logical
      get.

   def public property Text as character
      get.
      set.

   def public property TextResolved as character
      get.

   def public property ToolTip as character
      get.
      set.

   def public property ToolTipResolved as character
      get.

   def public property UIElement as Infragistics.Win.UIElement
      get.

   def public property IsCustomTab as logical
      get.

   def public property Index as integer
      get.

   def protected property UIRole as Infragistics.Win.AppStyling.UIRole
      get.

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   constructor protected MdiTab(input form as System.Windows.Forms.Form):
   end constructor.

   constructor protected MdiTab(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializePersistedInfo():
   end method.

   method public final void ResetPersistedInfo():
   end method.

   method protected final logical ShouldSerializeText():
   end method.

   method public final void ResetText():
   end method.

   method protected final logical ShouldSerializeToolTip():
   end method.

   method public final void ResetToolTip():
   end method.

   method public void Activate():
   end method.

   method public void Close():
   end method.

   method public void EnsureTabInView():
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTab GetNextTab(input wrap as logical):
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTab GetPreviousTab(input wrap as logical):
   end method.

   method public final logical MoveToGroup(input relativePosition as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupPosition):
   end method.

   method public final logical MoveToGroup(input group as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup):
   end method.

   method public final logical MoveToGroup(input group as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup, input tabIndex as integer):
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup MoveToNewGroup():
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup MoveToNewGroup(input relativePosition as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupPosition):
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup MoveToNewGroup(input relativeTabGroup as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup, input relativePosition as Infragistics.Win.RelativePosition):
   end method.

   method public final Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup MoveToNewGroup(input relativeTabGroup as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup, input relativePosition as Infragistics.Win.RelativePosition, input orientation as System.Windows.Forms.Orientation):
   end method.

   method public final void Reposition(input relativeTab as Infragistics.Win.UltraWinTabbedMdi.MdiTab, input relativePosition as Infragistics.Win.UltraWinTabbedMdi.MdiTabPosition):
   end method.

   method public void Show():
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData):
   end method.

   method public final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected final void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input tabState as Infragistics.Win.UltraWinTabs.TabState):
   end method.

   method protected final static void ResolveAppearancePhase(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input phase as Infragistics.Win.UltraWinTabbedMdi.MdiTab+AppearanceResolutionPhase, input settings as Infragistics.Win.UltraWinTabbedMdi.MdiTabSettings):
   end method.

   method protected override void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnDispose():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

end class.
