class Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinTabs.ITabProvider:

   def public property Manager as Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager
      get.

   def public property Settings as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupSettings
      get.

   def public property HasSettings as logical
      get.

   def public property TabSettings as Infragistics.Win.UltraWinTabbedMdi.MdiTabSettings
      get.

   def public property HasTabSettings as logical
      get.

   def public property SettingsResolved as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupSettingsResolved
      get.

   def public property Extent as integer
      get.
      set.

   def public property FirstDisplayedTab as Infragistics.Win.UltraWinTabbedMdi.MdiTab
      get.
      set.

   def public property SelectedTab as Infragistics.Win.UltraWinTabbedMdi.MdiTab
      get.
      set.

   def public property Tabs as Infragistics.Win.UltraWinTabbedMdi.MdiTabsCollection
      get.

   def public property HasTabs as logical
      get.

   def protected property TabManager as Infragistics.Win.UltraWinTabs.TabManager
      get.

   def protected property HasTabManager as logical
      get.

   def public property ClientExtent as integer
      get.
      set.

   def public property Index as integer
      get.

   def public property Parent as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup
      get.

   def public property TabGroups as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupsCollection
      get.

   def public property HasTabGroups as logical
      get.

   def public property TabGroupOrientation as System.Windows.Forms.Orientation
      get.

   def public property IsMaximized as logical
      get.

   def protected property UIRoleTabArea as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleCloseButton as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleSelectedTabItemCloseButton as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleTabListButton as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleTabClientArea as Infragistics.Win.AppStyling.UIRole
      get.

   def protected property UIRoleTabItemDefault as Infragistics.Win.AppStyling.UIRole
      get.

   constructor protected MdiTabGroup(input manager as Infragistics.Win.UltraWinTabbedMdi.UltraTabbedMdiManager):
   end constructor.

   constructor protected MdiTabGroup(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializeTabSettings():
   end method.

   method public final void ResetTabSettings():
   end method.

   method protected final logical ShouldSerializeExtent():
   end method.

   method protected final logical ShouldSerializeTabs():
   end method.

   method public final void ResetTabs():
   end method.

   method protected final logical ShouldSerializeTabGroups():
   end method.

   method public final void ResetTabGroups():
   end method.

   method public final void MoveAllTabs(input relation as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroupPosition):
   end method.

   method public final void Reset():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void ResolveTabAreaAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override character ToString():
   end method.

   method public final void Scroll(input scrollType as Infragistics.Win.UltraWinTabs.ScrollType):
   end method.

   method public final void Scroll(input scrollType as Infragistics.Win.UltraWinTabs.ScrollType, input increment as integer):
   end method.

   method public final void ResolveScrollTrackAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected override void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected Infragistics.Win.UltraWinTabs.TabManager CreateTabManager():
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected override void OnDispose():
   end method.

   method protected final void DirtyTabManager(input changeType as Infragistics.Win.UltraWinTabbedMdi.MdiTabGroup+TabManagerChangeType):
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateTabAccessibilityInstance(input tab as Infragistics.Win.UltraWinTabbedMdi.MdiTab):
   end method.

end class.
