class Infragistics.Win.UltraWinToolbars.GalleryToolItem
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback:

   def public property AccessibleDescription as character
      get.
      set.

   def public property AccessibleName as character
      get.
      set.

   def public property ColumnSpan as integer
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property IsSelected as logical
      get.

   def public property ParentCollection as Infragistics.Win.UltraWinToolbars.GalleryToolItemCollection
      get.

   def public property Settings as Infragistics.Win.UltraWinToolbars.GalleryToolItemSettings
      get.

   def public property Title as character
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property ToolTipTextFormatted as character
      get.
      set.

   def public property ToolTipTitle as character
      get.
      set.

   constructor public GalleryToolItem(input key as character):
   end constructor.

   constructor public GalleryToolItem(input key as character, input title as character):
   end constructor.

   constructor protected GalleryToolItem(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override logical ShouldSerializeKey():
   end method.

   method public override character ToString():
   end method.

   method public final void BringIntoView(input galleryInstance as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input owningGroup as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input itemLocation as Infragistics.Win.UltraWinToolbars.GalleryArea):
   end method.

   method public final Infragistics.Win.UIElement GetUIElement(input galleryInstance as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input owningGroup as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input itemLocation as Infragistics.Win.UltraWinToolbars.GalleryArea):
   end method.

   method protected void ResolveAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input itemUIRole as Infragistics.Win.AppStyling.UIRole, input owningGroup as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input drawAsSelected as logical, input drawAsPressed as logical, input drawAsActive as logical):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.GalleryToolItem Clone():
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateAccessibleObject(input galleryInstance as Infragistics.Win.UltraWinToolbars.PopupGalleryTool, input group as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroup, input itemLocation as Infragistics.Win.UltraWinToolbars.GalleryArea):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void InitializeFrom(input item as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected final logical ShouldSerializeAccessibleDescription():
   end method.

   method public final void ResetAccessibleDescription():
   end method.

   method protected final logical ShouldSerializeAccessibleName():
   end method.

   method public final void ResetAccessibleName():
   end method.

   method protected final logical ShouldSerializeColumnSpan():
   end method.

   method public final void ResetColumnSpan():
   end method.

   method protected final logical ShouldSerializeDescription():
   end method.

   method public final void ResetDescription():
   end method.

   method protected final logical ShouldSerializeSettings():
   end method.

   method public final void ResetSettings():
   end method.

   method protected final logical ShouldSerializeTitle():
   end method.

   method public final void ResetTitle():
   end method.

   method protected final logical ShouldSerializeToolTipText():
   end method.

   method public final void ResetToolTipText():
   end method.

   method protected final logical ShouldSerializeToolTipTextFormatted():
   end method.

   method public final void ResetToolTipTextFormatted():
   end method.

   method protected final logical ShouldSerializeToolTipTitle():
   end method.

   method public final void ResetToolTipTitle():
   end method.

end class.
