class Infragistics.Win.UltraWinToolbars.ListTool
   inherits Infragistics.Win.UltraWinToolbars.ToolBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, System.Runtime.Serialization.ISerializable:

   def public property DisplayCheckmark as logical
      get.
      set.

   def public property ListToolItems as Infragistics.Win.UltraWinToolbars.ListToolItemsCollection
      get.

   def public property ListToolItemsInternal as Infragistics.Win.UltraWinToolbars.ListToolItemsCollection
      get.

   def public property MaxItemsToDisplay as integer
      get.
      set.

   def public property MoreItemsText as character
      get.
      set.

   def public property SelectedItem as Infragistics.Win.UltraWinToolbars.ListToolItem
      get.

   def public property SelectedItemIndex as integer
      get.
      set.

   def protected property DefaultMoreItemsText as character
      get.

   def protected property IsListItemsCollectionReadOnly as logical
      get.

   def protected override property AccessibleChildCount as integer
      get.

   def public override property Bounds as System.Drawing.Rectangle
      get.

   def protected override property DefaultAccessibleRole as System.Windows.Forms.AccessibleRole
      get.

   def protected override property DefaultAction as character
      get.

   def protected override property DefaultIsFirstInGroup as logical
      get.

   def protected override property IsVisibleOnToolbars as logical
      get.

   def protected override property ShouldSerializeWidthProperties as logical
      get.

   def public override property UIRoleOnMenus as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnRibbonGroups as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnToolbars as Infragistics.Win.AppStyling.UIRole
      get.

   def protected override property ExtraSharedPropsCount as integer
      get.

   constructor public ListTool(input key as character):
   end constructor.

   constructor protected ListTool(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final logical ShouldSerializeDisplayCheckmark():
   end method.

   method public final void ResetDisplayCheckmark():
   end method.

   method protected logical ShouldSerializeListToolItems():
   end method.

   method public final void ResetListToolItems():
   end method.

   method protected final logical ShouldSerializeListToolItemsInternal():
   end method.

   method protected final logical ShouldSerializeMaxItemsToDisplay():
   end method.

   method public final void ResetMaxItemsToDisplay():
   end method.

   method protected final logical ShouldSerializeMoreItemsText():
   end method.

   method public final void ResetMoreItemsText():
   end method.

   method public override void Reset():
   end method.

   method public final void ResolveAppearance(input listItemIndex as integer, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override System.Windows.Forms.AccessibleObject GetAccessibleChild(input index as integer):
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override System.Type GetToolbarUIElementType():
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void ResolveAppearancePhase(input phaseInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ResolveAppearancePhaseInfo, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

end class.
