class Infragistics.Win.UltraWinToolbars.PopupGalleryTool
   inherits Infragistics.Win.UltraWinToolbars.PopupMenuTool
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.IComparable, Infragistics.Win.UltraWinToolbars.IKeyTipProvider, Infragistics.Win.UltraWinToolbars.IProcessMnemonic, Infragistics.Win.IPopupItem, Infragistics.Win.UltraWinToolbars.IKeyTipContainer, Infragistics.Win.UltraWinToolbars.IKeyTipProviderWithDelay, System.Runtime.Serialization.ISerializable, Infragistics.Win.UltraWinToolbars.IToolsCollectionOwner:

   def protected override property AccessibleChildCount as integer
      get.

   def protected override property AccessibleValue as character
      get.

   def public property AllowTearaway as logical
      get.
      set.

   def protected override property DefaultPreferredSizeOnRibbon as Infragistics.Win.UltraWinToolbars.RibbonToolSize
      get.

   def protected override property PreferredRibbonToolSizeInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ToolSizeInfo
      get.

   def public override property ShouldDisplayToolTip as logical
      get.

   def public override property UIRoleOnMenus as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnRibbonGroups as Infragistics.Win.AppStyling.UIRole
      get.

   def public override property UIRoleOnToolbars as Infragistics.Win.AppStyling.UIRole
      get.

   def public property ActivationActionDelay as integer
      get.
      set.

   def public property ActivationInitialActionDelay as integer
      get.
      set.

   def public property ActivationInitialActionDelayResolved as integer
      get.

   def public property AllowResizeDropDown as logical
      get.
      set.

   def public property FilterBarAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasFilterBarAppearance as logical
      get.

   def public property FilterBarUIElement as Infragistics.Win.UIElement
      get.

   def public property GroupFilters as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupFilterCollection
      get.

   def public property GroupFiltersInternal as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupFilterCollection
      get.

   def public property GroupItemAreaPadding as Infragistics.Win.Margins
      get.

   def public property Groups as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupCollection
      get.

   def public property GroupsInternal as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupCollection
      get.

   def public property GroupSettings as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupSettings
      get.

   def public property HotTrackFilterBarAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackFilterBarAppearance as logical
      get.

   def public property HotTrackPreviewItemAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasHotTrackPreviewItemAreaAppearance as logical
      get.

   def public property ItemPadding as Infragistics.Win.Margins
      get.

   def public property Items as Infragistics.Win.UltraWinToolbars.GalleryToolItemCollection
      get.

   def public property ItemsInternal as Infragistics.Win.UltraWinToolbars.GalleryToolItemCollection
      get.

   def public property ItemSettings as Infragistics.Win.UltraWinToolbars.GalleryToolItemSettings
      get.

   def public property ItemSizeInDropDown as System.Drawing.Size
      get.
      set.

   def public property ItemSizeInDropDownResolved as System.Drawing.Size
      get.

   def public property ItemSizeInPreview as System.Drawing.Size
      get.
      set.

   def public property ItemSizeInPreviewResolved as System.Drawing.Size
      get.

   def public property ItemStyle as Infragistics.Win.UltraWinToolbars.ItemStyle
      get.
      set.

   def public property MaxDropDownColumns as integer
      get.
      set.

   def public property MaxDropDownColumnsResolved as integer
      get.

   def public property MaxPreviewColumns as integer
      get.
      set.

   def public property MinDropDownColumns as integer
      get.
      set.

   def public property MinDropDownColumnsResolved as integer
      get.

   def public property MinPreviewColumns as integer
      get.
      set.

   def public property PreferredDropDownColumns as integer
      get.
      set.

   def public property PreferredDropDownColumnsResolved as integer
      get.

   def public property PreviewItemAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasPreviewItemAreaAppearance as logical
      get.

   def public property SelectedGroupFilter as Infragistics.Win.UltraWinToolbars.GalleryToolItemGroupFilter
      get.
      set.

   def public property SelectedGroupFilterKey as character
      get.
      set.

   def public property SelectedItem as Infragistics.Win.UltraWinToolbars.GalleryToolItem
      get.
      set.

   def public property SelectedItemKey as character
      get.
      set.

   def public property ShowFilterBar as logical
      get.
      set.

   def public property ShowFilterBarResolved as logical
      get.

   def public property ShowItemText as Infragistics.Win.UltraWinToolbars.ShowGalleryItemText
      get.
      set.

   def public property ShowItemTextResolved as Infragistics.Win.UltraWinToolbars.ShowGalleryItemText
      get.

   def public property ShowPreviewInRibbon as logical
      get.
      set.

   def public property UseLargeImagesInItems as logical
      get.
      set.

   def protected override property ExtraSharedPropsCount as integer
      get.

   def public event GalleryToolActiveItemChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs).

   def public event GalleryToolFilterChange signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinToolbars.GalleryToolFilterChangeEventArgs).

   def public event GalleryToolItemClick signature void (input sender as System.Object, input e as Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs).

   constructor public PopupGalleryTool(input key as character):
   end constructor.

   constructor protected PopupGalleryTool(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolBaseUiaProviderStub CreateUIAutomationStub():
   end method.

   method protected override logical AllowPopupStyle(input popupStyle as Infragistics.Win.UltraWinToolbars.PopupStyle):
   end method.

   method protected override System.Drawing.Size CalculateLogicalSizeOfToolInstance():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase Clone(input cloneNewInstance as logical):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.PopupMenuTool CreateMenuForMdiMerge():
   end method.

   method protected override System.Windows.Forms.AccessibleObject GetAccessibleChild(input index as integer):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolSizeInfo GetLargerToolSizeInfo(input toolSizeInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ToolSizeInfo):
   end method.

   method protected override void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override System.Type GetRibbonToolUIElementType():
   end method.

   method protected override Infragistics.Win.UIElement GetRibbonToolUIElement(input tool as Infragistics.Win.UltraWinToolbars.ToolBase, input parentElement as Infragistics.Win.UIElement, input previousElement as Infragistics.Win.UIElement, input drawAsActive as logical, input drawAsPressed as logical):
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.ToolBase+ToolSizeInfo GetSmallerToolSizeInfo(input toolSizeInfo as Infragistics.Win.UltraWinToolbars.ToolBase+ToolSizeInfo):
   end method.

   method protected override void Initialize(input parentCollection as Infragistics.Win.UltraWinToolbars.ToolsCollectionBase):
   end method.

   method protected override void InitializeFrom(input sourceTool as Infragistics.Win.UltraWinToolbars.ToolBase, input cloneNewInstance as logical):
   end method.

   method protected override void OnAddedToCollection(input collection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method protected override void OnRemovedFromCollection(input collection as Infragistics.Shared.KeyedSubObjectsCollectionBase):
   end method.

   method public override void Reset():
   end method.

   method protected override Infragistics.Win.UltraWinToolbars.PopupStyle ResolvePopupStyle(input popupStyle as Infragistics.Win.UltraWinToolbars.PopupStyle):
   end method.

   method protected final logical ShouldSerializeActivationActionDelay():
   end method.

   method public final void ResetActivationActionDelay():
   end method.

   method protected final logical ShouldSerializeActivationInitialActionDelay():
   end method.

   method public final void ResetActivationInitialActionDelay():
   end method.

   method protected final logical ShouldSerializeAllowResizeDropDown():
   end method.

   method public final void ResetAllowResizeDropDown():
   end method.

   method protected final logical ShouldSerializeFilterBarAppearance():
   end method.

   method public final void ResetFilterBarAppearance():
   end method.

   method protected final logical ShouldSerializeGroupFilters():
   end method.

   method public final void ResetGroupFilters():
   end method.

   method protected final logical ShouldSerializeGroupFiltersInternal():
   end method.

   method protected final logical ShouldSerializeGroupItemAreaPadding():
   end method.

   method public final void ResetGroupItemAreaPadding():
   end method.

   method protected final logical ShouldSerializeGroups():
   end method.

   method public final void ResetGroups():
   end method.

   method protected final logical ShouldSerializeGroupsInternal():
   end method.

   method protected final logical ShouldSerializeGroupSettings():
   end method.

   method public final void ResetGroupSettings():
   end method.

   method protected final logical ShouldSerializeHotTrackFilterBarAppearance():
   end method.

   method public final void ResetHotTrackFilterBarAppearance():
   end method.

   method protected final logical ShouldSerializeHotTrackPreviewItemAreaAppearance():
   end method.

   method public final void ResetHotTrackPreviewItemAreaAppearance():
   end method.

   method protected final logical ShouldSerializeItemPadding():
   end method.

   method public final void ResetItemPadding():
   end method.

   method protected final logical ShouldSerializeItems():
   end method.

   method public final void ResetItems():
   end method.

   method protected final logical ShouldSerializeItemsInternal():
   end method.

   method protected final logical ShouldSerializeItemSettings():
   end method.

   method public final void ResetItemSettings():
   end method.

   method protected final logical ShouldSerializeItemSizeInDropDown():
   end method.

   method public final void ResetItemSizeInDropDown():
   end method.

   method protected final logical ShouldSerializeItemSizeInPreview():
   end method.

   method public final void ResetItemSizeInPreview():
   end method.

   method protected final logical ShouldSerializeItemStyle():
   end method.

   method public final void ResetItemStyle():
   end method.

   method protected final logical ShouldSerializeMaxDropDownColumns():
   end method.

   method public final void ResetMaxDropDownColumns():
   end method.

   method protected final logical ShouldSerializeMaxPreviewColumns():
   end method.

   method public final void ResetMaxPreviewColumns():
   end method.

   method protected final logical ShouldSerializeMinDropDownColumns():
   end method.

   method public final void ResetMinDropDownColumns():
   end method.

   method protected final logical ShouldSerializeMinPreviewColumns():
   end method.

   method public final void ResetMinPreviewColumns():
   end method.

   method protected final logical ShouldSerializePreferredDropDownColumns():
   end method.

   method public final void ResetPreferredDropDownColumns():
   end method.

   method protected final logical ShouldSerializePreviewItemAreaAppearance():
   end method.

   method public final void ResetPreviewItemAreaAppearance():
   end method.

   method protected final logical ShouldSerializeSelectedGroupFilterKey():
   end method.

   method protected final logical ShouldSerializeSelectedGroupFilter():
   end method.

   method public final void ResetSelectedGroupFilterKey():
   end method.

   method public final void ResetSelectedGroupFilter():
   end method.

   method protected final logical ShouldSerializeSelectedItemKey():
   end method.

   method protected final logical ShouldSerializeSelectedItem():
   end method.

   method public final void ResetSelectedItemKey():
   end method.

   method public final void ResetSelectedItem():
   end method.

   method protected final logical ShouldSerializeShowFilterBar():
   end method.

   method public final void ResetShowFilterBar():
   end method.

   method protected final logical ShouldSerializeShowItemText():
   end method.

   method public final void ResetShowItemText():
   end method.

   method protected final logical ShouldSerializeShowPreviewInRibbon():
   end method.

   method public final void ResetShowPreviewInRibbon():
   end method.

   method protected final logical ShouldSerializeUseLargeImagesInItems():
   end method.

   method public final void ResetUseLargeImagesInItems():
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateFilterBarAccessibleObject():
   end method.

   method protected void ResolveFilterBarAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input filterBarUIRole as Infragistics.Win.AppStyling.UIRole, input drawAsActive as logical):
   end method.

   method protected void ResolveGroupAreaAppearance(input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags, input groupAreaUIRole as Infragistics.Win.AppStyling.UIRole):
   end method.

   method public final logical IsItemVisible(input galleryToolItem as Infragistics.Win.UltraWinToolbars.GalleryToolItem):
   end method.

   method protected void OnGalleryToolActiveItemChange(input e as Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs):
   end method.

   method protected void OnGalleryToolFilterChange(input e as Infragistics.Win.UltraWinToolbars.GalleryToolFilterChangeEventArgs):
   end method.

   method protected void OnGalleryToolItemClick(input e as Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs):
   end method.

end class.
