class Infragistics.Win.UltraWinToolbars.Ribbon
   inherits Infragistics.Shared.SubObjectBase
   implements System.IDisposable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, Infragistics.Win.UltraWinToolbars.IKeyTipContainer, Infragistics.Win.UIAutomation.IProvideUIAutomation:

   def public property AccessibleDescription as character
      get.
      set.

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property AutoCollapseThresholdHorizontal as integer
      get.
      set.

   def public property AutoCollapseThresholdHorizontalResolved as integer
      get.

   def public property AutoCollapseThresholdVertical as integer
      get.
      set.

   def public property AutoCollapseThresholdVerticalResolved as integer
      get.

   def public property Caption as character
      get.
      set.

   def public property CaptionInactive as character
      get.
      set.

   def public property CaptionAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCaptionAreaAppearance as logical
      get.

   def public property CaptionAreaActiveAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasCaptionAreaActiveAppearance as logical
      get.

   def public property ContextualTabGroups as Infragistics.Win.UltraWinToolbars.ContextualTabGroupCollection
      get.

   def public property ApplicationMenu as Infragistics.Win.UltraWinToolbars.ApplicationMenu
      get.

   def public property ApplicationMenuButtonImage as System.Drawing.Image
      get.
      set.

   def public property ApplicationMenu2010 as Infragistics.Win.UltraWinToolbars.ApplicationMenu2010
      get.

   def public property GroupBorderStyle as Infragistics.Win.UIElementBorderStyle
      get.
      set.

   def public property GroupBorderStyleResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property GroupSettings as Infragistics.Win.UltraWinToolbars.RibbonGroupSettings
      get.

   def public property HasGroupSettings as logical
      get.

   def public property IsMinimized as logical
      get.
      set.

   def public property NonInheritedContextualTabGroups as Infragistics.Win.UltraWinToolbars.NonInheritedContextualTabGroups
      get.

   def public property NonInheritedRibbonTabs as Infragistics.Win.UltraWinToolbars.NonInheritedRibbonTabs
      get.

   def public property QuickAccessToolbar as Infragistics.Win.UltraWinToolbars.QuickAccessToolbar
      get.

   def public property TabAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasTabAreaAppearance as logical
      get.

   def public property ReservedKeyTipToolTipText as character
      get.
      set.

   def public property ReservedKeyTipToolTipTextResolved as character
      get.

   def public property ReservedKeyTipToolTipTitle as character
      get.
      set.

   def public property ReservedKeyTipToolTipTitleResolved as character
      get.

   def public property ReserveMenuBarKeyTips as logical
      get.
      set.

   def public property RibbonAreaAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasRibbonAreaAppearance as logical
      get.

   def public property RibbonCustomizationProvider as Infragistics.Win.UltraWinToolbars.IRibbonCustomizationProvider
      get.
      set.

   def public property SelectedTab as Infragistics.Win.UltraWinToolbars.RibbonTab
      get.
      set.

   def public property Tabs as Infragistics.Win.UltraWinToolbars.RibbonTabCollection
      get.

   def public property TabSettings as Infragistics.Win.UltraWinToolbars.RibbonTabSettings
      get.

   def public property HasTabSettings as logical
      get.

   def public property ToolbarsManager as Infragistics.Win.UltraWinToolbars.UltraToolbarsManager
      get.

   def public property Visible as logical
      get.
      set.

   def public property FileMenuButtonAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasFileMenuButtonAppearance as logical
      get.

   def public property FileMenuButtonHotTrackAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasFileMenuButtonHotTrackAppearance as logical
      get.

   def public property FileMenuButtonActiveAppearance as Infragistics.Win.AppearanceBase
      get.
      set.

   def public property HasFileMenuButtonActiveAppearance as logical
      get.

   def public property FileMenuButtonCaption as character
      get.
      set.

   def public property FileMenuButtonCaptionVisible as logical
      get.
      set.

   def public property FileMenuButtonCaptionResolved as character
      get.

   def public property FileMenuStyle as Infragistics.Win.UltraWinToolbars.FileMenuStyle
      get.
      set.

   def public property AllowAutoHide as Infragistics.Win.DefaultableBoolean
      get.
      set.

   def public property DisplayMode as Infragistics.Win.UltraWinToolbars.RibbonDisplayMode
      get.
      set.

   def public property TabItemAreaDisplayStyle as Infragistics.Win.UltraWinToolbars.TabItemAreaDisplayStyle
      get.
      set.

   def public property TabItemToolbar as Infragistics.Win.UltraWinToolbars.RibbonTabItemToolbar
      get.

   def public property RibbonCaptionAreaAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonCaptionMinimizeButtonAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonCaptionMaximizeButtonAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonCaptionCloseButtonAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonTabItemAreaAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonGroupAreaAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonTabPagerButtonLeftAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonTabPagerButtonRightAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonGroupAreaPagerButtonLeftAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property RibbonGroupAreaPagerButtonRightAccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   constructor protected Ribbon(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final logical ShouldSerializeAccessibleDescription():
   end method.

   method public final void ResetAccessibleDescription():
   end method.

   method protected final logical ShouldSerializeCaptionAreaAppearance():
   end method.

   method public final void ResetCaptionAreaAppearance():
   end method.

   method protected final logical ShouldSerializeCaptionAreaActiveAppearance():
   end method.

   method public final void ResetCaptionAreaActiveAppearance():
   end method.

   method public final logical ShouldSerializeContextualTabGroups():
   end method.

   method public final void ResetContextualTabGroups():
   end method.

   method public final logical ShouldSerializeApplicationMenu():
   end method.

   method public final void ResetApplicationMenu():
   end method.

   method public final logical ShouldSerializeApplicationMenu2010():
   end method.

   method public final void ResetApplicationMenu2010():
   end method.

   method public final logical ShouldSerializeGroupBorderStyle():
   end method.

   method public final void ResetGroupBorderStyle():
   end method.

   method public final logical ShouldSerializeGroupSettings():
   end method.

   method public final void ResetGroupSettings():
   end method.

   method protected final logical ShouldSerializeIsMinimized():
   end method.

   method public final void ResetIsMinimized():
   end method.

   method protected final logical ShouldSerializeNonInheritedContextualTabGroups():
   end method.

   method public final void ResetNonInheritedContextualTabGroups():
   end method.

   method protected final logical ShouldSerializeNonInheritedRibbonTabs():
   end method.

   method public final void ResetNonInheritedRibbonTabs():
   end method.

   method public final logical ShouldSerializeQuickAccessToolbar():
   end method.

   method public final void ResetQuickAccessToolbar():
   end method.

   method protected final logical ShouldSerializeTabAreaAppearance():
   end method.

   method public final void ResetTabAreaAppearance():
   end method.

   method protected final logical ShouldSerializeRibbonAreaAppearance():
   end method.

   method public final void ResetRibbonAreaAppearance():
   end method.

   method protected final logical ShouldSerializeRibbonCustomizationProvider():
   end method.

   method public final void ResetRibbonCustomizationProvider():
   end method.

   method public final logical ShouldSerializeTabs():
   end method.

   method public final void ResetTabs():
   end method.

   method public final logical ShouldSerializeTabSettings():
   end method.

   method public final void ResetTabSettings():
   end method.

   method public final void ResetFileMenuButtonAppearance():
   end method.

   method protected final logical ShouldSerializeFileMenuButtonAppearance():
   end method.

   method public final void ResetFileMenuButtonHotTrackAppearance():
   end method.

   method protected final logical ShouldSerializeFileMenuButtonHotTrackAppearance():
   end method.

   method public final void ResetFileMenuButtonActiveAppearance():
   end method.

   method protected final logical ShouldSerializeFileMenuButtonActiveAppearance():
   end method.

   method public final void ResetFileMenuButtonCaption():
   end method.

   method protected final logical ShouldSerializeFileMenuButtonCaption():
   end method.

   method public final void ResetFileMenuButtonCaptionVisible():
   end method.

   method protected final logical ShouldSerializeFileMenuButtonCaptionVisible():
   end method.

   method public final void ResetFileMenuStyle():
   end method.

   method protected final logical ShouldSerializeFileMenuStyle():
   end method.

   method public final void ResetAllowAutoHide():
   end method.

   method protected final logical ShouldSerializeAllowAutoHide():
   end method.

   method public final void ResetDisplayMode():
   end method.

   method protected final logical ShouldSerializeDisplayMode():
   end method.

   method public final void ResetTabItemAreaDisplayStyle():
   end method.

   method protected final logical ShouldSerializeTabItemAreaDisplayStyle():
   end method.

   method public final logical ShouldSerializeTabItemToolbar():
   end method.

   method public final void ResetTabItemToolbar():
   end method.

   method public final void DropDown():
   end method.

   method public final Infragistics.Win.UltraWinToolbars.RibbonTab TabFromPoint(input point as System.Drawing.Point):
   end method.

   method public final Infragistics.Win.UltraWinToolbars.RibbonGroup GroupFromPoint(input point as System.Drawing.Point):
   end method.

   method public final void ShowRibbonCustomizationDialog(input customizationType as Infragistics.Win.UltraWinToolbars.RibbonCustomizationType):
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public final void ResolveGroupCaptionAppearance(input group as Infragistics.Win.UltraWinToolbars.RibbonGroup, input appearance as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected void OnDeserialization(input sender as System.Object):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChange as Infragistics.Shared.PropChangeInfo):
   end method.

   method public override character ToString():
   end method.

end class.
