class Infragistics.Win.UltraWinTree.UltraTreeNode
   inherits Infragistics.Shared.KeyedSubObjectBase
   implements System.IDisposable, Infragistics.Shared.IKeyedSubObjectEx, Infragistics.Shared.IKeyedSubObject, System.Runtime.Serialization.ISerializable, System.ICloneable, System.IComparable, Infragistics.Shared.ISelectableItem, System.Runtime.Serialization.IDeserializationCallback:

   def public property Index as integer
      get.

   def public property Nodes as Infragistics.Win.UltraWinTree.TreeNodesCollection
      get.

   def public property Control as Infragistics.Win.UltraWinTree.UltraTree
      get.

   def public property Text as character
      get.
      set.

   def public property IsActive as logical
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property ItemHeightResolved as integer
      get.

   def public property ReserveCheckBoxSpaceResolved as logical
      get.

   def public property ReserveImageSpaceResolved as logical
      get.

   def public property FullPath as character
      get.

   def public property Handle as System.IntPtr
      get.

   def public property IsEditing as logical
      get.

   def public property Expanded as logical
      get.
      set.

   def public property IsHotTracking as logical
      get.

   def public property Visible as logical
      get.
      set.

   def public property IsInView as logical
      get.

   def public property NextVisibleNode as Infragistics.Win.UltraWinTree.UltraTreeNode
      get.

   def public property Parent as Infragistics.Win.UltraWinTree.UltraTreeNode
      get.

   def public property ParentNodesCollection as Infragistics.Win.UltraWinTree.TreeNodesCollection
      get.

   def public property PrevVisibleNode as Infragistics.Win.UltraWinTree.UltraTreeNode
      get.

   def public property Override as Infragistics.Win.UltraWinTree.Override
      get.
      set.

   def public property HasOverride as logical
      get.

   def public property IsSelectable as logical
      get.

   def public property IsDraggable as logical
      get.

   def public property CheckedState as System.Windows.Forms.CheckState
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property EnabledResolved as logical
      get.

   def public property Selected as logical
      get.
      set.

   def public property LeftImages as Infragistics.Win.UltraWinTree.ImagesCollection
      get.

   def public property HasLeftImages as logical
      get.

   def public property LeftImagesAlignment as Infragistics.Win.VAlign
      get.
      set.

   def public property RightImages as Infragistics.Win.UltraWinTree.ImagesCollection
      get.

   def public property HasRightImages as logical
      get.

   def public property RightImagesAlignment as Infragistics.Win.VAlign
      get.
      set.

   def public property IsRootLevelNode as logical
      get.

   def public property HasExpansionIndicator as logical
      get.

   def public property ImageSizeResolved as System.Drawing.Size
      get.

   def public property TextWidth as integer
      get.

   def public property Level as integer
      get.

   def public property NodeStyleResolved as Infragistics.Win.UltraWinTree.NodeStyle
      get.

   def public property BorderStyleNodeResolved as Infragistics.Win.UIElementBorderStyle
      get.

   def public property LabelEditResolved as logical
      get.

   def public property RootNode as Infragistics.Win.UltraWinTree.UltraTreeNode
      get.

   def public property ShowExpansionIndicatorResolved as Infragistics.Win.UltraWinTree.ShowExpansionIndicator
      get.

   def public property HotTrackingResolved as logical
      get.

   def public property NodeDoubleClickActionResolved as Infragistics.Win.UltraWinTree.NodeDoubleClickAction
      get.

   def public property AllowDeleteResolved as logical
      get.

   def public property AllowAutoDragExpandResolved as Infragistics.Win.UltraWinTree.AllowAutoDragExpand
      get.

   def public property TipStyleNodeResolved as Infragistics.Win.UltraWinTree.TipStyleNode
      get.

   def public override property Key as character
      get.
      set.

   def public property DataKey as System.Object
      get.
      set.

   def public property DrawImageBackgroundResolved as Infragistics.Win.DefaultableBoolean
      get.

   def public property UIElement as Infragistics.Win.UltraWinTree.TreeNodeUIElement
      get.

   def public property EditorResolved as Infragistics.Win.EmbeddableEditorBase
      get.

   def public property NodeSpacingBeforeResolved as integer
      get.

   def public property NodeSpacingAfterResolved as integer
      get.

   def public property MaxLabelHeightResolved as integer
      get.

   def public property MaxLabelWidthResolved as integer
      get.

   def public property MultilineResolved as logical
      get.

   def public property UseEditorResolved as logical
      get.

   def public property ShowEditorButtonsResolved as Infragistics.Win.UltraWinTree.ShowEditorButtons
      get.

   def public property AllowCopyResolved as logical
      get.

   def public property AllowCutResolved as logical
      get.

   def public property AllowPasteResolved as logical
      get.

   def public property HasNodes as logical
      get.

   def public property HasVisibleNodes as logical
      get.

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property ShowColumnsResolved as logical
      get.

   def public property Cells as Infragistics.Win.UltraWinTree.TreeNodeCellsCollection
      get.

   def public property DataColumnSetResolved as Infragistics.Win.UltraWinTree.UltraTreeColumnSet
      get.

   def public property DisplayColumnSetResolved as Infragistics.Win.UltraWinTree.UltraTreeColumnSet
      get.

   def public property ListIndex as integer
      get.

   def public property ListObject as System.Object
      get.

   def public property IsBandNode as logical
      get.

   def public property BandName as character
      get.

   def public property AllowCellEdit as Infragistics.Win.UltraWinTree.AllowCellEdit
      get.
      set.

   def public property GlyphPaddingResolved as integer
      get.

   constructor public UltraTreeNode():
   end constructor.

   constructor public UltraTreeNode(input key as character):
   end constructor.

   constructor public UltraTreeNode(input key as character, input text as character):
   end constructor.

   constructor protected UltraTreeNode(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected override void OnDispose():
   end method.

   method protected override void OnSubObjectPropChanged(input propChangeInfo as Infragistics.Shared.PropChangeInfo):
   end method.

   method public logical ShouldSerializeText():
   end method.

   method public final void ResetText():
   end method.

   method public override character ToString():
   end method.

   method public final void CalcItemSize(input height as integer, input width as integer):
   end method.

   method public logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected void InitializeFrom(input source as Infragistics.Win.UltraWinTree.UltraTreeNode):
   end method.

   method protected final logical ShouldSerializeOverride():
   end method.

   method public final void ResetOverride():
   end method.

   method public final void ResolveAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public final void ResolveLabelEditAppearance(input appData as Infragistics.Win.AppearanceData, input requestedProps as Infragistics.Win.AppearancePropFlags):
   end method.

   method public override System.Object Clone():
   end method.

   method public final integer GetNodeCount(input includeSubTrees as logical):
   end method.

   method public final void Remove():
   end method.

   method public final Infragistics.Win.UltraWinTree.UltraTreeNode GetSibling(input nodePosition as Infragistics.Win.UltraWinTree.NodePosition):
   end method.

   method public final logical HasSibling(input nodePosition as Infragistics.Win.UltraWinTree.NodePosition):
   end method.

   method public final logical ShouldSerializeCheckedState():
   end method.

   method public final void ResetCheckedState():
   end method.

   method public logical ShouldSerializeEnabled():
   end method.

   method public final void ResetEnabled():
   end method.

   method public final logical ShouldSerializeSelected():
   end method.

   method public final void ResetSelected():
   end method.

   method public logical ShouldSerializeLeftImages():
   end method.

   method public void ResetLeftImages():
   end method.

   method public logical ShouldSerializeLeftImagesAlignment():
   end method.

   method public final void ResetLeftImagesAlignment():
   end method.

   method public logical ShouldSerializeRightImages():
   end method.

   method public void ResetRightImages():
   end method.

   method public logical ShouldSerializeRightImagesAlignment():
   end method.

   method public final void ResetRightImagesAlignment():
   end method.

   method public final void Toggle():
   end method.

   method public final void ExpandAll():
   end method.

   method public final void ExpandAll(input expand as Infragistics.Win.UltraWinTree.ExpandAllType):
   end method.

   method public final void CollapseAll():
   end method.

   method public final void Reposition(input relativeNode as Infragistics.Win.UltraWinTree.UltraTreeNode, input relativePosition as Infragistics.Win.UltraWinTree.NodePosition):
   end method.

   method public final void Reposition(input newNodesCollection as Infragistics.Win.UltraWinTree.TreeNodesCollection):
   end method.

   method public final void Reposition(input newNodesCollection as Infragistics.Win.UltraWinTree.TreeNodesCollection, input index as integer):
   end method.

   method public final logical IsAncestorOf(input descendantNode as Infragistics.Win.UltraWinTree.UltraTreeNode):
   end method.

   method public final void BeginEdit():
   end method.

   method public final void EndEdit(input cancel as logical):
   end method.

   method public final void BringIntoView():
   end method.

   method public final void BringIntoView(input includeChildNodes as logical):
   end method.

   method public final logical ShouldSerializeDataKey():
   end method.

   method protected final void ResetDataKey():
   end method.

   method protected void OnDeserialization():
   end method.

   method public final void RefreshMetrics():
   end method.

   method public final void SetCellValue(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn, input value as System.Object):
   end method.

   method public final System.Object GetCellValue(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method public final character GetCellText(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method public final void BringCellIntoView(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method public final void BringLabelIntoView(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method protected final logical ShouldSerializeAllowCellEdit():
   end method.

   method public final void ResetAllowCellEdit():
   end method.

   method public final logical ActivateCell(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method public final logical BeginCellEdit(input column as Infragistics.Win.UltraWinTree.UltraTreeNodeColumn):
   end method.

   method public final logical EndCellEdit(input cancel as logical):
   end method.

   method public final logical Update():
   end method.

   method public final void CancelUpdate():
   end method.

end class.
