class Microsoft.Win32.RegistryKey
   inherits System.MarshalByRefObject
   implements System.IDisposable
   final:

   def public property SubKeyCount as integer
      get.

   def public property View as Microsoft.Win32.RegistryView
      get.

   def public property Handle as Microsoft.Win32.SafeHandles.SafeRegistryHandle
      get.

   def public property ValueCount as integer
      get.

   def public property Name as character
      get.

   method public final void Close():
   end method.

   method public final void Flush():
   end method.

   method public final void Dispose():
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck, input options as Microsoft.Win32.RegistryOptions):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input writable as logical):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input writable as logical, input options as Microsoft.Win32.RegistryOptions):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck, input registrySecurity as System.Security.AccessControl.RegistrySecurity):
   end method.

   method public final Microsoft.Win32.RegistryKey CreateSubKey(input subkey as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck, input registryOptions as Microsoft.Win32.RegistryOptions, input registrySecurity as System.Security.AccessControl.RegistrySecurity):
   end method.

   method public final void DeleteSubKey(input subkey as character):
   end method.

   method public final void DeleteSubKey(input subkey as character, input throwOnMissingSubKey as logical):
   end method.

   method public final void DeleteSubKeyTree(input subkey as character):
   end method.

   method public final void DeleteSubKeyTree(input subkey as character, input throwOnMissingSubKey as logical):
   end method.

   method public final void DeleteValue(input name as character):
   end method.

   method public final void DeleteValue(input name as character, input throwOnMissingValue as logical):
   end method.

   method public final static Microsoft.Win32.RegistryKey OpenBaseKey(input hKey as Microsoft.Win32.RegistryHive, input view as Microsoft.Win32.RegistryView):
   end method.

   method public final static Microsoft.Win32.RegistryKey OpenRemoteBaseKey(input hKey as Microsoft.Win32.RegistryHive, input machineName as character):
   end method.

   method public final static Microsoft.Win32.RegistryKey OpenRemoteBaseKey(input hKey as Microsoft.Win32.RegistryHive, input machineName as character, input view as Microsoft.Win32.RegistryView):
   end method.

   method public final Microsoft.Win32.RegistryKey OpenSubKey(input name as character, input writable as logical):
   end method.

   method public final Microsoft.Win32.RegistryKey OpenSubKey(input name as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck):
   end method.

   method public final Microsoft.Win32.RegistryKey OpenSubKey(input name as character, input rights as System.Security.AccessControl.RegistryRights):
   end method.

   method public final Microsoft.Win32.RegistryKey OpenSubKey(input name as character, input permissionCheck as Microsoft.Win32.RegistryKeyPermissionCheck, input rights as System.Security.AccessControl.RegistryRights):
   end method.

   method public final Microsoft.Win32.RegistryKey OpenSubKey(input name as character):
   end method.

   method public final static Microsoft.Win32.RegistryKey FromHandle(input handle as Microsoft.Win32.SafeHandles.SafeRegistryHandle):
   end method.

   method public final static Microsoft.Win32.RegistryKey FromHandle(input handle as Microsoft.Win32.SafeHandles.SafeRegistryHandle, input view as Microsoft.Win32.RegistryView):
   end method.

   method public final System.String extent GetSubKeyNames():
   end method.

   method public final System.String extent GetValueNames():
   end method.

   method public final System.Object GetValue(input name as character):
   end method.

   method public final System.Object GetValue(input name as character, input defaultValue as System.Object):
   end method.

   method public final System.Object GetValue(input name as character, input defaultValue as System.Object, input options as Microsoft.Win32.RegistryValueOptions):
   end method.

   method public final Microsoft.Win32.RegistryValueKind GetValueKind(input name as character):
   end method.

   method public final void SetValue(input name as character, input value as System.Object):
   end method.

   method public final void SetValue(input name as character, input value as System.Object, input valueKind as Microsoft.Win32.RegistryValueKind):
   end method.

   method public override character ToString():
   end method.

   method public final System.Security.AccessControl.RegistrySecurity GetAccessControl():
   end method.

   method public final System.Security.AccessControl.RegistrySecurity GetAccessControl(input includeSections as System.Security.AccessControl.AccessControlSections):
   end method.

   method public final void SetAccessControl(input registrySecurity as System.Security.AccessControl.RegistrySecurity):
   end method.

end class.
