class Progress.Open4GL.DynamicAPI.ObjectPool
   inherits System.Object
   abstract:

   def public static variable CHECK_NO_WAIT as int64.

   def public static variable WAIT_FOREVER as int64.

   def public property SummaryStats as Progress.Open4GL.DynamicAPI.ObjectPool+ObjectPoolStats
      get.

   constructor protected ObjectPool(input log as Progress.Common.EhnLog.IAppLogger):
   end constructor.

   method public System.Object reserve(input secTimeout as int64):
   end method.

   method public void release(input obj as System.Object):
   end method.

   method public final void cancelAllWaiters():
   end method.

   method public abstract System.Object findAvailableObject().

   method public abstract void makeObjectAvailable(input obj as System.Object).

end class.
