class System.AppDomainSetup
   inherits System.Object
   implements System.IAppDomainSetup
   final:

   def public property AppDomainManagerAssembly as character
      get.
      set.

   def public property AppDomainManagerType as character
      get.
      set.

   def public property PartialTrustVisibleAssemblies as System.String extent
      get.
      set.

   def public property ApplicationBase as character
      get.
      set.

   def public property ConfigurationFile as character
      get.
      set.

   def public property TargetFrameworkName as character
      get.
      set.

   def public property DynamicBase as character
      get.
      set.

   def public property DisallowPublisherPolicy as logical
      get.
      set.

   def public property DisallowBindingRedirects as logical
      get.
      set.

   def public property DisallowCodeDownload as logical
      get.
      set.

   def public property DisallowApplicationBaseProbing as logical
      get.
      set.

   def public property ApplicationName as character
      get.
      set.

   def public property AppDomainInitializer as System.AppDomainInitializer
      get.
      set.

   def public property AppDomainInitializerArguments as System.String extent
      get.
      set.

   def public property ActivationArguments as System.Runtime.Hosting.ActivationArguments
      get.
      set.

   def public property ApplicationTrust as System.Security.Policy.ApplicationTrust
      get.
      set.

   def public property PrivateBinPath as character
      get.
      set.

   def public property PrivateBinPathProbe as character
      get.
      set.

   def public property ShadowCopyDirectories as character
      get.
      set.

   def public property ShadowCopyFiles as character
      get.
      set.

   def public property CachePath as character
      get.
      set.

   def public property LicenseFile as character
      get.
      set.

   def public property LoaderOptimization as System.LoaderOptimization
      get.
      set.

   def public property SandboxInterop as logical
      get.
      set.

   constructor public AppDomainSetup():
   end constructor.

   constructor public AppDomainSetup(input activationContext as System.ActivationContext):
   end constructor.

   constructor public AppDomainSetup(input activationArguments as System.Runtime.Hosting.ActivationArguments):
   end constructor.

   method public final System.Byte extent GetConfigurationBytes():
   end method.

   method public final void SetConfigurationBytes(input value as System.Byte extent):
   end method.

   method public final void SetCompatibilitySwitches(input switches as System.Collections.Generic.IEnumerable):
   end method.

   method public final void SetNativeFunction(input functionName as character, input functionVersion as integer, input functionPointer as System.IntPtr):
   end method.

end class.
