class System.Collections.Hashtable
   inherits System.Object
   implements System.Collections.IDictionary, System.Collections.ICollection, System.Collections.IEnumerable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, System.ICloneable:

   def protected property hcp as System.Collections.IHashCodeProvider
      get.
      set.

   def protected property comparer as System.Collections.IComparer
      get.
      set.

   def protected property EqualityComparer as System.Collections.IEqualityComparer
      get.

   def public property Item as System.Object
      get.
      set.

   def public property IsReadOnly as logical
      get.

   def public property IsFixedSize as logical
      get.

   def public property IsSynchronized as logical
      get.

   def public property Keys as System.Collections.ICollection
      get.

   def public property Values as System.Collections.ICollection
      get.

   def public property SyncRoot as System.Object
      get.

   def public property Count as integer
      get.

   constructor public Hashtable():
   end constructor.

   constructor public Hashtable(input capacity as integer):
   end constructor.

   constructor public Hashtable(input capacity as integer, input loadFactor as decimal):
   end constructor.

   constructor public Hashtable(input capacity as integer, input loadFactor as decimal, input hcp as System.Collections.IHashCodeProvider, input comparer as System.Collections.IComparer):
   end constructor.

   constructor public Hashtable(input capacity as integer, input loadFactor as decimal, input equalityComparer as System.Collections.IEqualityComparer):
   end constructor.

   constructor public Hashtable(input hcp as System.Collections.IHashCodeProvider, input comparer as System.Collections.IComparer):
   end constructor.

   constructor public Hashtable(input equalityComparer as System.Collections.IEqualityComparer):
   end constructor.

   constructor public Hashtable(input capacity as integer, input hcp as System.Collections.IHashCodeProvider, input comparer as System.Collections.IComparer):
   end constructor.

   constructor public Hashtable(input capacity as integer, input equalityComparer as System.Collections.IEqualityComparer):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary, input loadFactor as decimal):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary, input hcp as System.Collections.IHashCodeProvider, input comparer as System.Collections.IComparer):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary, input equalityComparer as System.Collections.IEqualityComparer):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary, input loadFactor as decimal, input hcp as System.Collections.IHashCodeProvider, input comparer as System.Collections.IComparer):
   end constructor.

   constructor public Hashtable(input d as System.Collections.IDictionary, input loadFactor as decimal, input equalityComparer as System.Collections.IEqualityComparer):
   end constructor.

   constructor protected Hashtable(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public void Add(input key as System.Object, input value as System.Object):
   end method.

   method public void Clear():
   end method.

   method public override System.Object Clone():
   end method.

   method public logical Contains(input key as System.Object):
   end method.

   method public logical ContainsKey(input key as System.Object):
   end method.

   method public logical ContainsValue(input value as System.Object):
   end method.

   method public void CopyTo(input array as System.Array, input arrayIndex as integer):
   end method.

   method public System.Collections.IDictionaryEnumerator GetEnumerator():
   end method.

   method protected integer GetHash(input key as System.Object):
   end method.

   method protected logical KeyEquals(input item as System.Object, input key as System.Object):
   end method.

   method public void Remove(input key as System.Object):
   end method.

   method public final static System.Collections.Hashtable Synchronized(input table as System.Collections.Hashtable):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public void OnDeserialization(input sender as System.Object):
   end method.

end class.
