interface System.ComponentModel.Design.Serialization.IDesignerSerializationManager
   inherits System.IServiceProvider:

   def public property Context as System.ComponentModel.Design.Serialization.ContextStack
      get.

   def public property Properties as System.ComponentModel.PropertyDescriptorCollection
      get.

   def public event ResolveName signature void (input sender as System.Object, input e as System.ComponentModel.Design.Serialization.ResolveNameEventArgs).

   def public event SerializationComplete signature void (input sender as System.Object, input e as System.EventArgs).

   method public void AddSerializationProvider(input provider as System.ComponentModel.Design.Serialization.IDesignerSerializationProvider).

   method public System.Object CreateInstance(input type as System.Type, input arguments as System.Collections.ICollection, input name as character, input addToContainer as logical).

   method public System.Object GetInstance(input name as character).

   method public character GetName(input value as System.Object).

   method public System.Object GetSerializer(input objectType as System.Type, input serializerType as System.Type).

   method public System.Type GetType(input typeName as character).

   method public void RemoveSerializationProvider(input provider as System.ComponentModel.Design.Serialization.IDesignerSerializationProvider).

   method public void ReportError(input errorInformation as System.Object).

   method public void SetName(input instance as System.Object, input name as character).

   method public System.Object GetService(input serviceType as System.Type).

end interface.
