class System.Data.DataColumn
   inherits System.ComponentModel.MarshalByValueComponent
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider:

   def public property AllowDBNull as logical
      get.
      set.

   def public property AutoIncrement as logical
      get.
      set.

   def public property AutoIncrementSeed as int64
      get.
      set.

   def public property AutoIncrementStep as int64
      get.
      set.

   def public property Caption as character
      get.
      set.

   def public property ColumnName as character
      get.
      set.

   def public property Prefix as character
      get.
      set.

   def public property DataType as System.Type
      get.
      set.

   def public property DateTimeMode as System.Data.DataSetDateTime
      get.
      set.

   def public property DefaultValue as System.Object
      get.
      set.

   def public property Expression as character
      get.
      set.

   def public property ExtendedProperties as System.Data.PropertyCollection
      get.

   def public property MaxLength as integer
      get.
      set.

   def public property Namespace as character
      get.
      set.

   def public property Ordinal as integer
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property Table as System.Data.DataTable
      get.

   def public property Unique as logical
      get.
      set.

   def public property ColumnMapping as System.Data.MappingType
      get.
      set.

   constructor public DataColumn():
   end constructor.

   constructor public DataColumn(input columnName as character):
   end constructor.

   constructor public DataColumn(input columnName as character, input dataType as System.Type):
   end constructor.

   constructor public DataColumn(input columnName as character, input dataType as System.Type, input expr as character):
   end constructor.

   constructor public DataColumn(input columnName as character, input dataType as System.Type, input expr as character, input type as System.Data.MappingType):
   end constructor.

   method public final void SetOrdinal(input ordinal as integer):
   end method.

   method protected final void CheckNotAllowNull():
   end method.

   method protected final void CheckUnique():
   end method.

   method protected void OnPropertyChanging(input pcevent as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final void RaisePropertyChanging(input name as character):
   end method.

   method public override character ToString():
   end method.

end class.
