class System.Data.ForeignKeyConstraint
   inherits System.Data.Constraint:

   def public property Columns as System.Data.DataColumn extent
      get.

   def public override property Table as System.Data.DataTable
      get.

   def public property AcceptRejectRule as System.Data.AcceptRejectRule
      get.
      set.

   def public property DeleteRule as System.Data.Rule
      get.
      set.

   def public property RelatedColumns as System.Data.DataColumn extent
      get.

   def public property RelatedTable as System.Data.DataTable
      get.

   def public property UpdateRule as System.Data.Rule
      get.
      set.

   constructor public ForeignKeyConstraint(input parentColumn as System.Data.DataColumn, input childColumn as System.Data.DataColumn):
   end constructor.

   constructor public ForeignKeyConstraint(input constraintName as character, input parentColumn as System.Data.DataColumn, input childColumn as System.Data.DataColumn):
   end constructor.

   constructor public ForeignKeyConstraint(input parentColumns as System.Data.DataColumn extent, input childColumns as System.Data.DataColumn extent):
   end constructor.

   constructor public ForeignKeyConstraint(input constraintName as character, input parentColumns as System.Data.DataColumn extent, input childColumns as System.Data.DataColumn extent):
   end constructor.

   constructor public ForeignKeyConstraint(input constraintName as character, input parentTableName as character, input parentColumnNames as System.String extent, input childColumnNames as System.String extent, input acceptRejectRule as System.Data.AcceptRejectRule, input deleteRule as System.Data.Rule, input updateRule as System.Data.Rule):
   end constructor.

   constructor public ForeignKeyConstraint(input constraintName as character, input parentTableName as character, input parentTableNamespace as character, input parentColumnNames as System.String extent, input childColumnNames as System.String extent, input acceptRejectRule as System.Data.AcceptRejectRule, input deleteRule as System.Data.Rule, input updateRule as System.Data.Rule):
   end constructor.

   method public override logical Equals(input key as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

end class.
