class System.Drawing.Bitmap
   inherits System.Drawing.Image
   implements System.Runtime.Serialization.ISerializable, System.ICloneable, System.IDisposable
   final:

   constructor public Bitmap(input filename as character):
   end constructor.

   constructor public Bitmap(input filename as character, input useIcm as logical):
   end constructor.

   constructor public Bitmap(input type as System.Type, input resource as character):
   end constructor.

   constructor public Bitmap(input stream as System.IO.Stream):
   end constructor.

   constructor public Bitmap(input stream as System.IO.Stream, input useIcm as logical):
   end constructor.

   constructor public Bitmap(input width as integer, input height as integer, input stride as integer, input format as System.Drawing.Imaging.PixelFormat, input scan0 as System.IntPtr):
   end constructor.

   constructor public Bitmap(input width as integer, input height as integer, input format as System.Drawing.Imaging.PixelFormat):
   end constructor.

   constructor public Bitmap(input width as integer, input height as integer):
   end constructor.

   constructor public Bitmap(input width as integer, input height as integer, input g as System.Drawing.Graphics):
   end constructor.

   constructor public Bitmap(input original as System.Drawing.Image):
   end constructor.

   constructor public Bitmap(input original as System.Drawing.Image, input width as integer, input height as integer):
   end constructor.

   constructor public Bitmap(input original as System.Drawing.Image, input newSize as System.Drawing.Size):
   end constructor.

   method public final static System.Drawing.Bitmap FromHicon(input hicon as System.IntPtr):
   end method.

   method public final static System.Drawing.Bitmap FromResource(input hinstance as System.IntPtr, input bitmapName as character):
   end method.

   method public final System.IntPtr GetHbitmap():
   end method.

   method public final System.IntPtr GetHbitmap(input background as System.Drawing.Color):
   end method.

   method public final System.IntPtr GetHicon():
   end method.

   method public final System.Drawing.Bitmap Clone(input rect as System.Drawing.Rectangle, input format as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final System.Drawing.Bitmap Clone(input rect as System.Drawing.RectangleF, input format as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final void MakeTransparent():
   end method.

   method public final void MakeTransparent(input transparentColor as System.Drawing.Color):
   end method.

   method public final System.Drawing.Imaging.BitmapData LockBits(input rect as System.Drawing.Rectangle, input flags as System.Drawing.Imaging.ImageLockMode, input format as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final System.Drawing.Imaging.BitmapData LockBits(input rect as System.Drawing.Rectangle, input flags as System.Drawing.Imaging.ImageLockMode, input format as System.Drawing.Imaging.PixelFormat, input bitmapData as System.Drawing.Imaging.BitmapData):
   end method.

   method public final void UnlockBits(input bitmapdata as System.Drawing.Imaging.BitmapData):
   end method.

   method public final System.Drawing.Color GetPixel(input x as integer, input y as integer):
   end method.

   method public final void SetPixel(input x as integer, input y as integer, input color as System.Drawing.Color):
   end method.

   method public final void SetResolution(input xDpi as decimal, input yDpi as decimal):
   end method.

end class.
