class System.Drawing.Drawing2D.GraphicsPath
   inherits System.MarshalByRefObject
   implements System.ICloneable, System.IDisposable
   final:

   def public property FillMode as System.Drawing.Drawing2D.FillMode
      get.
      set.

   def public property PathData as System.Drawing.Drawing2D.PathData
      get.

   def public property PointCount as integer
      get.

   def public property PathTypes as System.Byte extent
      get.

   def public property PathPoints as System.Drawing.PointF extent
      get.

   constructor public GraphicsPath():
   end constructor.

   constructor public GraphicsPath(input fillMode as System.Drawing.Drawing2D.FillMode):
   end constructor.

   constructor public GraphicsPath(input pts as System.Drawing.PointF extent, input types as System.Byte extent):
   end constructor.

   constructor public GraphicsPath(input pts as System.Drawing.PointF extent, input types as System.Byte extent, input fillMode as System.Drawing.Drawing2D.FillMode):
   end constructor.

   constructor public GraphicsPath(input pts as System.Drawing.Point extent, input types as System.Byte extent):
   end constructor.

   constructor public GraphicsPath(input pts as System.Drawing.Point extent, input types as System.Byte extent, input fillMode as System.Drawing.Drawing2D.FillMode):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void Reset():
   end method.

   method public final void StartFigure():
   end method.

   method public final void CloseFigure():
   end method.

   method public final void CloseAllFigures():
   end method.

   method public final void SetMarkers():
   end method.

   method public final void ClearMarkers():
   end method.

   method public final void Reverse():
   end method.

   method public final System.Drawing.PointF GetLastPoint():
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal):
   end method.

   method public final logical IsVisible(input point as System.Drawing.PointF):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input pt as System.Drawing.PointF, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer):
   end method.

   method public final logical IsVisible(input point as System.Drawing.Point):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input pt as System.Drawing.Point, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsOutlineVisible(input x as decimal, input y as decimal, input pen as System.Drawing.Pen):
   end method.

   method public final logical IsOutlineVisible(input point as System.Drawing.PointF, input pen as System.Drawing.Pen):
   end method.

   method public final logical IsOutlineVisible(input x as decimal, input y as decimal, input pen as System.Drawing.Pen, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsOutlineVisible(input pt as System.Drawing.PointF, input pen as System.Drawing.Pen, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsOutlineVisible(input x as integer, input y as integer, input pen as System.Drawing.Pen):
   end method.

   method public final logical IsOutlineVisible(input point as System.Drawing.Point, input pen as System.Drawing.Pen):
   end method.

   method public final logical IsOutlineVisible(input x as integer, input y as integer, input pen as System.Drawing.Pen, input graphics as System.Drawing.Graphics):
   end method.

   method public final logical IsOutlineVisible(input pt as System.Drawing.Point, input pen as System.Drawing.Pen, input graphics as System.Drawing.Graphics):
   end method.

   method public final void AddLine(input pt1 as System.Drawing.PointF, input pt2 as System.Drawing.PointF):
   end method.

   method public final void AddLine(input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal):
   end method.

   method public final void AddLines(input points as System.Drawing.PointF extent):
   end method.

   method public final void AddLine(input pt1 as System.Drawing.Point, input pt2 as System.Drawing.Point):
   end method.

   method public final void AddLine(input x1 as integer, input y1 as integer, input x2 as integer, input y2 as integer):
   end method.

   method public final void AddLines(input points as System.Drawing.Point extent):
   end method.

   method public final void AddArc(input rect as System.Drawing.RectangleF, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddArc(input x as decimal, input y as decimal, input width as decimal, input height as decimal, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddArc(input rect as System.Drawing.Rectangle, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddArc(input x as integer, input y as integer, input width as integer, input height as integer, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddBezier(input pt1 as System.Drawing.PointF, input pt2 as System.Drawing.PointF, input pt3 as System.Drawing.PointF, input pt4 as System.Drawing.PointF):
   end method.

   method public final void AddBezier(input x1 as decimal, input y1 as decimal, input x2 as decimal, input y2 as decimal, input x3 as decimal, input y3 as decimal, input x4 as decimal, input y4 as decimal):
   end method.

   method public final void AddBeziers(input points as System.Drawing.PointF extent):
   end method.

   method public final void AddBezier(input pt1 as System.Drawing.Point, input pt2 as System.Drawing.Point, input pt3 as System.Drawing.Point, input pt4 as System.Drawing.Point):
   end method.

   method public final void AddBezier(input x1 as integer, input y1 as integer, input x2 as integer, input y2 as integer, input x3 as integer, input y3 as integer, input x4 as integer, input y4 as integer):
   end method.

   method public final void AddBeziers(input points as System.Drawing.Point extent):
   end method.

   method public final void AddCurve(input points as System.Drawing.PointF extent):
   end method.

   method public final void AddCurve(input points as System.Drawing.PointF extent, input tension as decimal):
   end method.

   method public final void AddCurve(input points as System.Drawing.PointF extent, input offset as integer, input numberOfSegments as integer, input tension as decimal):
   end method.

   method public final void AddCurve(input points as System.Drawing.Point extent):
   end method.

   method public final void AddCurve(input points as System.Drawing.Point extent, input tension as decimal):
   end method.

   method public final void AddCurve(input points as System.Drawing.Point extent, input offset as integer, input numberOfSegments as integer, input tension as decimal):
   end method.

   method public final void AddClosedCurve(input points as System.Drawing.PointF extent):
   end method.

   method public final void AddClosedCurve(input points as System.Drawing.PointF extent, input tension as decimal):
   end method.

   method public final void AddClosedCurve(input points as System.Drawing.Point extent):
   end method.

   method public final void AddClosedCurve(input points as System.Drawing.Point extent, input tension as decimal):
   end method.

   method public final void AddRectangle(input rect as System.Drawing.RectangleF):
   end method.

   method public final void AddRectangles(input rects as System.Drawing.RectangleF extent):
   end method.

   method public final void AddRectangle(input rect as System.Drawing.Rectangle):
   end method.

   method public final void AddRectangles(input rects as System.Drawing.Rectangle extent):
   end method.

   method public final void AddEllipse(input rect as System.Drawing.RectangleF):
   end method.

   method public final void AddEllipse(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final void AddEllipse(input rect as System.Drawing.Rectangle):
   end method.

   method public final void AddEllipse(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final void AddPie(input rect as System.Drawing.Rectangle, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddPie(input x as decimal, input y as decimal, input width as decimal, input height as decimal, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddPie(input x as integer, input y as integer, input width as integer, input height as integer, input startAngle as decimal, input sweepAngle as decimal):
   end method.

   method public final void AddPolygon(input points as System.Drawing.PointF extent):
   end method.

   method public final void AddPolygon(input points as System.Drawing.Point extent):
   end method.

   method public final void AddPath(input addingPath as System.Drawing.Drawing2D.GraphicsPath, input connect as logical):
   end method.

   method public final void AddString(input s as character, input family as System.Drawing.FontFamily, input style as integer, input emSize as decimal, input origin as System.Drawing.PointF, input format as System.Drawing.StringFormat):
   end method.

   method public final void AddString(input s as character, input family as System.Drawing.FontFamily, input style as integer, input emSize as decimal, input origin as System.Drawing.Point, input format as System.Drawing.StringFormat):
   end method.

   method public final void AddString(input s as character, input family as System.Drawing.FontFamily, input style as integer, input emSize as decimal, input layoutRect as System.Drawing.RectangleF, input format as System.Drawing.StringFormat):
   end method.

   method public final void AddString(input s as character, input family as System.Drawing.FontFamily, input style as integer, input emSize as decimal, input layoutRect as System.Drawing.Rectangle, input format as System.Drawing.StringFormat):
   end method.

   method public final void Transform(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final System.Drawing.RectangleF GetBounds():
   end method.

   method public final System.Drawing.RectangleF GetBounds(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final System.Drawing.RectangleF GetBounds(input matrix as System.Drawing.Drawing2D.Matrix, input pen as System.Drawing.Pen):
   end method.

   method public final void Flatten():
   end method.

   method public final void Flatten(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void Flatten(input matrix as System.Drawing.Drawing2D.Matrix, input flatness as decimal):
   end method.

   method public final void Widen(input pen as System.Drawing.Pen):
   end method.

   method public final void Widen(input pen as System.Drawing.Pen, input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void Widen(input pen as System.Drawing.Pen, input matrix as System.Drawing.Drawing2D.Matrix, input flatness as decimal):
   end method.

   method public final void Warp(input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF):
   end method.

   method public final void Warp(input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final void Warp(input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input matrix as System.Drawing.Drawing2D.Matrix, input warpMode as System.Drawing.Drawing2D.WarpMode):
   end method.

   method public final void Warp(input destPoints as System.Drawing.PointF extent, input srcRect as System.Drawing.RectangleF, input matrix as System.Drawing.Drawing2D.Matrix, input warpMode as System.Drawing.Drawing2D.WarpMode, input flatness as decimal):
   end method.

end class.
