class System.Drawing.Image
   inherits System.MarshalByRefObject
   implements System.Runtime.Serialization.ISerializable, System.ICloneable, System.IDisposable
   abstract:

   def public property Tag as System.Object
      get.
      set.

   def public property PhysicalDimension as System.Drawing.SizeF
      get.

   def public property Size as System.Drawing.Size
      get.

   def public property Width as integer
      get.

   def public property Height as integer
      get.

   def public property HorizontalResolution as decimal
      get.

   def public property VerticalResolution as decimal
      get.

   def public property Flags as integer
      get.

   def public property RawFormat as System.Drawing.Imaging.ImageFormat
      get.

   def public property PixelFormat as System.Drawing.Imaging.PixelFormat
      get.

   def public property Palette as System.Drawing.Imaging.ColorPalette
      get.
      set.

   def public property FrameDimensionsList as System.Guid extent
      get.

   def public property PropertyIdList as System.Int32 extent
      get.

   def public property PropertyItems as System.Drawing.Imaging.PropertyItem extent
      get.

   method public final static System.Drawing.Image FromFile(input filename as character):
   end method.

   method public final static System.Drawing.Image FromFile(input filename as character, input useEmbeddedColorManagement as logical):
   end method.

   method public final static System.Drawing.Image FromStream(input stream as System.IO.Stream):
   end method.

   method public final static System.Drawing.Image FromStream(input stream as System.IO.Stream, input useEmbeddedColorManagement as logical):
   end method.

   method public final static System.Drawing.Image FromStream(input stream as System.IO.Stream, input useEmbeddedColorManagement as logical, input validateImageData as logical):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method protected final override void Finalize():
   end method.

   method public final System.Drawing.Imaging.EncoderParameters GetEncoderParameterList(input encoder as System.Guid):
   end method.

   method public final void Save(input filename as character):
   end method.

   method public final void Save(input filename as character, input format as System.Drawing.Imaging.ImageFormat):
   end method.

   method public final void Save(input filename as character, input encoder as System.Drawing.Imaging.ImageCodecInfo, input encoderParams as System.Drawing.Imaging.EncoderParameters):
   end method.

   method public final void Save(input stream as System.IO.Stream, input format as System.Drawing.Imaging.ImageFormat):
   end method.

   method public final void Save(input stream as System.IO.Stream, input encoder as System.Drawing.Imaging.ImageCodecInfo, input encoderParams as System.Drawing.Imaging.EncoderParameters):
   end method.

   method public final void SaveAdd(input encoderParams as System.Drawing.Imaging.EncoderParameters):
   end method.

   method public final void SaveAdd(input image as System.Drawing.Image, input encoderParams as System.Drawing.Imaging.EncoderParameters):
   end method.

   method public final System.Drawing.RectangleF GetBounds(input pageUnit as System.Drawing.GraphicsUnit):
   end method.

   method public final System.Drawing.Image GetThumbnailImage(input thumbWidth as integer, input thumbHeight as integer, input callback as System.Drawing.Image+GetThumbnailImageAbort, input callbackData as System.IntPtr):
   end method.

   method public final integer GetFrameCount(input dimension as System.Drawing.Imaging.FrameDimension):
   end method.

   method public final integer SelectActiveFrame(input dimension as System.Drawing.Imaging.FrameDimension, input frameIndex as integer):
   end method.

   method public final void RotateFlip(input rotateFlipType as System.Drawing.RotateFlipType):
   end method.

   method public final System.Drawing.Imaging.PropertyItem GetPropertyItem(input propid as integer):
   end method.

   method public final void RemovePropertyItem(input propid as integer):
   end method.

   method public final void SetPropertyItem(input propitem as System.Drawing.Imaging.PropertyItem):
   end method.

   method public final static System.Drawing.Bitmap FromHbitmap(input hbitmap as System.IntPtr):
   end method.

   method public final static System.Drawing.Bitmap FromHbitmap(input hbitmap as System.IntPtr, input hpalette as System.IntPtr):
   end method.

   method public final static integer GetPixelFormatSize(input pixfmt as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final static logical IsAlphaPixelFormat(input pixfmt as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final static logical IsExtendedPixelFormat(input pixfmt as System.Drawing.Imaging.PixelFormat):
   end method.

   method public final static logical IsCanonicalPixelFormat(input pixfmt as System.Drawing.Imaging.PixelFormat):
   end method.

end class.
