class System.Drawing.Imaging.EncoderParameter
   inherits System.Object
   implements System.IDisposable
   final:

   def public property Encoder as System.Drawing.Imaging.Encoder
      get.
      set.

   def public property Type as System.Drawing.Imaging.EncoderParameterValueType
      get.

   def public property ValueType as System.Drawing.Imaging.EncoderParameterValueType
      get.

   def public property NumberOfValues as integer
      get.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as integer):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as integer, input undefined as logical):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as integer):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as int64):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input numerator as integer, input denominator as integer):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input rangebegin as int64, input rangeend as int64):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input numerator1 as integer, input demoninator1 as integer, input numerator2 as integer, input demoninator2 as integer):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as character):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as System.Byte extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as System.Byte extent, input undefined as logical):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as System.Int16 extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input value as System.Int64 extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input numerator as System.Int32 extent, input denominator as System.Int32 extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input rangebegin as System.Int64 extent, input rangeend as System.Int64 extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input numerator1 as System.Int32 extent, input denominator1 as System.Int32 extent, input numerator2 as System.Int32 extent, input denominator2 as System.Int32 extent):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input NumberOfValues as integer, input Type as integer, input Value as integer):
   end constructor.

   constructor public EncoderParameter(input encoder as System.Drawing.Imaging.Encoder, input numberValues as integer, input type as System.Drawing.Imaging.EncoderParameterValueType, input value as System.IntPtr):
   end constructor.

   method protected final override void Finalize():
   end method.

   method public final void Dispose():
   end method.

end class.
