class System.Drawing.Printing.PrintDocument
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable:

   def public property DefaultPageSettings as System.Drawing.Printing.PageSettings
      get.
      set.

   def public property DocumentName as character
      get.
      set.

   def public property OriginAtMargins as logical
      get.
      set.

   def public property PrintController as System.Drawing.Printing.PrintController
      get.
      set.

   def public property PrinterSettings as System.Drawing.Printing.PrinterSettings
      get.
      set.

   def public event BeginPrint signature void (input sender as System.Object, input e as System.Drawing.Printing.PrintEventArgs).

   def public event EndPrint signature void (input sender as System.Object, input e as System.Drawing.Printing.PrintEventArgs).

   def public event PrintPage signature void (input sender as System.Object, input e as System.Drawing.Printing.PrintPageEventArgs).

   def public event QueryPageSettings signature void (input sender as System.Object, input e as System.Drawing.Printing.QueryPageSettingsEventArgs).

   constructor public PrintDocument():
   end constructor.

   method protected void OnBeginPrint(input e as System.Drawing.Printing.PrintEventArgs):
   end method.

   method protected void OnEndPrint(input e as System.Drawing.Printing.PrintEventArgs):
   end method.

   method protected void OnPrintPage(input e as System.Drawing.Printing.PrintPageEventArgs):
   end method.

   method protected void OnQueryPageSettings(input e as System.Drawing.Printing.QueryPageSettingsEventArgs):
   end method.

   method public final void Print():
   end method.

   method public override character ToString():
   end method.

end class.
