class System.Drawing.StringFormat
   inherits System.MarshalByRefObject
   implements System.ICloneable, System.IDisposable
   final:

   def public property FormatFlags as System.Drawing.StringFormatFlags
      get.
      set.

   def public property Alignment as System.Drawing.StringAlignment
      get.
      set.

   def public property LineAlignment as System.Drawing.StringAlignment
      get.
      set.

   def public property HotkeyPrefix as System.Drawing.Text.HotkeyPrefix
      get.
      set.

   def public property Trimming as System.Drawing.StringTrimming
      get.
      set.

   def public static property GenericDefault as System.Drawing.StringFormat
      get.

   def public static property GenericTypographic as System.Drawing.StringFormat
      get.

   def public property DigitSubstitutionMethod as System.Drawing.StringDigitSubstitute
      get.

   def public property DigitSubstitutionLanguage as integer
      get.

   constructor public StringFormat():
   end constructor.

   constructor public StringFormat(input options as System.Drawing.StringFormatFlags):
   end constructor.

   constructor public StringFormat(input options as System.Drawing.StringFormatFlags, input language as integer):
   end constructor.

   constructor public StringFormat(input format as System.Drawing.StringFormat):
   end constructor.

   method public final void Dispose():
   end method.

   method public final override System.Object Clone():
   end method.

   method public final void SetMeasurableCharacterRanges(input ranges as System.Drawing.CharacterRange extent):
   end method.

   method public final void SetTabStops(input firstTabOffset as decimal, input tabStops as System.Single extent):
   end method.

   method public final System.Single extent GetTabStops(input firstTabOffset as decimal):
   end method.

   method public final void SetDigitSubstitution(input language as integer, input substitute as System.Drawing.StringDigitSubstitute):
   end method.

   method protected final override void Finalize():
   end method.

   method public override character ToString():
   end method.

end class.
