class System.Globalization.CultureInfo
   inherits System.Object
   implements System.ICloneable, System.IFormatProvider:

   def public static property CurrentCulture as System.Globalization.CultureInfo
      get.
      set.

   def public static property CurrentUICulture as System.Globalization.CultureInfo
      get.
      set.

   def public static property InstalledUICulture as System.Globalization.CultureInfo
      get.

   def public static property DefaultThreadCurrentCulture as System.Globalization.CultureInfo
      get.
      set.

   def public static property DefaultThreadCurrentUICulture as System.Globalization.CultureInfo
      get.
      set.

   def public static property InvariantCulture as System.Globalization.CultureInfo
      get.

   def public property Parent as System.Globalization.CultureInfo
      get.

   def public property LCID as integer
      get.

   def public property KeyboardLayoutId as integer
      get.

   def public property Name as character
      get.

   def public property IetfLanguageTag as character
      get.

   def public property DisplayName as character
      get.

   def public property NativeName as character
      get.

   def public property EnglishName as character
      get.

   def public property TwoLetterISOLanguageName as character
      get.

   def public property ThreeLetterISOLanguageName as character
      get.

   def public property ThreeLetterWindowsLanguageName as character
      get.

   def public property CompareInfo as System.Globalization.CompareInfo
      get.

   def public property TextInfo as System.Globalization.TextInfo
      get.

   def public property IsNeutralCulture as logical
      get.

   def public property CultureTypes as System.Globalization.CultureTypes
      get.

   def public property NumberFormat as System.Globalization.NumberFormatInfo
      get.
      set.

   def public property DateTimeFormat as System.Globalization.DateTimeFormatInfo
      get.
      set.

   def public property Calendar as System.Globalization.Calendar
      get.

   def public property OptionalCalendars as System.Globalization.Calendar extent
      get.

   def public property UseUserOverride as logical
      get.

   def public property IsReadOnly as logical
      get.

   constructor public CultureInfo(input name as character):
   end constructor.

   constructor public CultureInfo(input name as character, input useUserOverride as logical):
   end constructor.

   constructor public CultureInfo(input culture as integer):
   end constructor.

   constructor public CultureInfo(input culture as integer, input useUserOverride as logical):
   end constructor.

   method public final static System.Globalization.CultureInfo CreateSpecificCulture(input name as character):
   end method.

   method public final static System.Globalization.CultureInfo extent GetCultures(input types as System.Globalization.CultureTypes):
   end method.

   method public override logical Equals(input value as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public System.Object GetFormat(input formatType as System.Type):
   end method.

   method public final void ClearCachedData():
   end method.

   method public final System.Globalization.CultureInfo GetConsoleFallbackUICulture():
   end method.

   method public override System.Object Clone():
   end method.

   method public final static System.Globalization.CultureInfo ReadOnly(input ci as System.Globalization.CultureInfo):
   end method.

   method public final static System.Globalization.CultureInfo GetCultureInfo(input culture as integer):
   end method.

   method public final static System.Globalization.CultureInfo GetCultureInfo(input name as character):
   end method.

   method public final static System.Globalization.CultureInfo GetCultureInfo(input name as character, input altName as character):
   end method.

   method public final static System.Globalization.CultureInfo GetCultureInfoByIetfLanguageTag(input name as character):
   end method.

end class.
