class System.Globalization.DateTimeFormatInfo
   inherits System.Object
   implements System.ICloneable, System.IFormatProvider
   final:

   def public static property InvariantInfo as System.Globalization.DateTimeFormatInfo
      get.

   def public static property CurrentInfo as System.Globalization.DateTimeFormatInfo
      get.

   def public property AMDesignator as character
      get.
      set.

   def public property Calendar as System.Globalization.Calendar
      get.
      set.

   def public property DateSeparator as character
      get.
      set.

   def public property FirstDayOfWeek as System.DayOfWeek
      get.
      set.

   def public property CalendarWeekRule as System.Globalization.CalendarWeekRule
      get.
      set.

   def public property FullDateTimePattern as character
      get.
      set.

   def public property LongDatePattern as character
      get.
      set.

   def public property LongTimePattern as character
      get.
      set.

   def public property MonthDayPattern as character
      get.
      set.

   def public property PMDesignator as character
      get.
      set.

   def public property RFC1123Pattern as character
      get.

   def public property ShortDatePattern as character
      get.
      set.

   def public property ShortTimePattern as character
      get.
      set.

   def public property SortableDateTimePattern as character
      get.

   def public property TimeSeparator as character
      get.
      set.

   def public property UniversalSortableDateTimePattern as character
      get.

   def public property YearMonthPattern as character
      get.
      set.

   def public property AbbreviatedDayNames as System.String extent
      get.
      set.

   def public property ShortestDayNames as System.String extent
      get.
      set.

   def public property DayNames as System.String extent
      get.
      set.

   def public property AbbreviatedMonthNames as System.String extent
      get.
      set.

   def public property MonthNames as System.String extent
      get.
      set.

   def public property IsReadOnly as logical
      get.

   def public property NativeCalendarName as character
      get.

   def public property AbbreviatedMonthGenitiveNames as System.String extent
      get.
      set.

   def public property MonthGenitiveNames as System.String extent
      get.
      set.

   constructor public DateTimeFormatInfo():
   end constructor.

   method public final static System.Globalization.DateTimeFormatInfo GetInstance(input provider as System.IFormatProvider):
   end method.

   method public final System.Object GetFormat(input formatType as System.Type):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final integer GetEra(input eraName as character):
   end method.

   method public final character GetEraName(input era as integer):
   end method.

   method public final character GetAbbreviatedEraName(input era as integer):
   end method.

   method public final character GetAbbreviatedDayName(input dayofweek as System.DayOfWeek):
   end method.

   method public final character GetShortestDayName(input dayOfWeek as System.DayOfWeek):
   end method.

   method public final System.String extent GetAllDateTimePatterns():
   end method.

   method public final System.String extent GetAllDateTimePatterns(input format as character):
   end method.

   method public final character GetDayName(input dayofweek as System.DayOfWeek):
   end method.

   method public final character GetAbbreviatedMonthName(input month as integer):
   end method.

   method public final character GetMonthName(input month as integer):
   end method.

   method public final static System.Globalization.DateTimeFormatInfo ReadOnly(input dtfi as System.Globalization.DateTimeFormatInfo):
   end method.

   method public final void SetAllDateTimePatterns(input patterns as System.String extent, input format as character):
   end method.

end class.
