class System.IO.FileSystemInfo
   inherits System.MarshalByRefObject
   implements System.Runtime.Serialization.ISerializable
   abstract:

   def protected variable FullPath as character.

   def protected variable OriginalPath as character.

   def public property FullName as character
      get.

   def public property Extension as character
      get.

   def public abstract property Name as character
      get.

   def public abstract property Exists as logical
      get.

   def public property CreationTime as datetime
      get.
      set.

   def public property CreationTimeUtc as datetime
      get.
      set.

   def public property LastAccessTime as datetime
      get.
      set.

   def public property LastAccessTimeUtc as datetime
      get.
      set.

   def public property LastWriteTime as datetime
      get.
      set.

   def public property LastWriteTimeUtc as datetime
      get.
      set.

   def public property Attributes as System.IO.FileAttributes
      get.
      set.

   constructor protected FileSystemInfo():
   end constructor.

   constructor protected FileSystemInfo(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public abstract void Delete().

   method public final void Refresh():
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

end class.
