class System.IO.StreamWriter
   inherits System.IO.TextWriter
   implements System.IDisposable:

   def public static variable Null as System.IO.StreamWriter.

   def public property AutoFlush as logical
      get.
      set.

   def public property BaseStream as System.IO.Stream
      get.

   def public override property Encoding as System.Text.Encoding
      get.

   constructor public StreamWriter(input stream as System.IO.Stream):
   end constructor.

   constructor public StreamWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding):
   end constructor.

   constructor public StreamWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input bufferSize as integer):
   end constructor.

   constructor public StreamWriter(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input bufferSize as integer, input leaveOpen as logical):
   end constructor.

   constructor public StreamWriter(input path as character):
   end constructor.

   constructor public StreamWriter(input path as character, input append as logical):
   end constructor.

   constructor public StreamWriter(input path as character, input append as logical, input encoding as System.Text.Encoding):
   end constructor.

   constructor public StreamWriter(input path as character, input append as logical, input encoding as System.Text.Encoding, input bufferSize as integer):
   end constructor.

   method public override void Close():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public override void Flush():
   end method.

   method public override void Write(input value as character):
   end method.

   method public override void Write(input buffer as System.Char extent):
   end method.

   method public override void Write(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public override void Write(input value as character):
   end method.

   method public override System.Threading.Tasks.Task WriteAsync(input value as character):
   end method.

   method public override System.Threading.Tasks.Task WriteAsync(input value as character):
   end method.

   method public override System.Threading.Tasks.Task WriteAsync(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public override System.Threading.Tasks.Task WriteLineAsync():
   end method.

   method public override System.Threading.Tasks.Task WriteLineAsync(input value as character):
   end method.

   method public override System.Threading.Tasks.Task WriteLineAsync(input value as character):
   end method.

   method public override System.Threading.Tasks.Task WriteLineAsync(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public override System.Threading.Tasks.Task FlushAsync():
   end method.

end class.
