class System.Net.Http.HttpClient
   inherits System.Net.Http.HttpMessageInvoker
   implements System.IDisposable:

   def public property DefaultRequestHeaders as System.Net.Http.Headers.HttpRequestHeaders
      get.

   def public property BaseAddress as System.Uri
      get.
      set.

   def public property Timeout as System.TimeSpan
      get.
      set.

   def public property MaxResponseContentBufferSize as int64
      get.
      set.

   constructor public HttpClient():
   end constructor.

   constructor public HttpClient(input handler as System.Net.Http.HttpMessageHandler):
   end constructor.

   constructor public HttpClient(input handler as System.Net.Http.HttpMessageHandler, input disposeHandler as logical):
   end constructor.

   method public final System.Threading.Tasks.Task GetStringAsync(input requestUri as character):
   end method.

   method public final System.Threading.Tasks.Task GetStringAsync(input requestUri as System.Uri):
   end method.

   method public final System.Threading.Tasks.Task GetByteArrayAsync(input requestUri as character):
   end method.

   method public final System.Threading.Tasks.Task GetByteArrayAsync(input requestUri as System.Uri):
   end method.

   method public final System.Threading.Tasks.Task GetStreamAsync(input requestUri as character):
   end method.

   method public final System.Threading.Tasks.Task GetStreamAsync(input requestUri as System.Uri):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as character):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as System.Uri):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as character, input completionOption as System.Net.Http.HttpCompletionOption):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as System.Uri, input completionOption as System.Net.Http.HttpCompletionOption):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as character, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as System.Uri, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as character, input completionOption as System.Net.Http.HttpCompletionOption, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task GetAsync(input requestUri as System.Uri, input completionOption as System.Net.Http.HttpCompletionOption, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task PostAsync(input requestUri as character, input content as System.Net.Http.HttpContent):
   end method.

   method public final System.Threading.Tasks.Task PostAsync(input requestUri as System.Uri, input content as System.Net.Http.HttpContent):
   end method.

   method public final System.Threading.Tasks.Task PostAsync(input requestUri as character, input content as System.Net.Http.HttpContent, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task PostAsync(input requestUri as System.Uri, input content as System.Net.Http.HttpContent, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task PutAsync(input requestUri as character, input content as System.Net.Http.HttpContent):
   end method.

   method public final System.Threading.Tasks.Task PutAsync(input requestUri as System.Uri, input content as System.Net.Http.HttpContent):
   end method.

   method public final System.Threading.Tasks.Task PutAsync(input requestUri as character, input content as System.Net.Http.HttpContent, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task PutAsync(input requestUri as System.Uri, input content as System.Net.Http.HttpContent, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task DeleteAsync(input requestUri as character):
   end method.

   method public final System.Threading.Tasks.Task DeleteAsync(input requestUri as System.Uri):
   end method.

   method public final System.Threading.Tasks.Task DeleteAsync(input requestUri as character, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task DeleteAsync(input requestUri as System.Uri, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task SendAsync(input request as System.Net.Http.HttpRequestMessage):
   end method.

   method public override System.Threading.Tasks.Task SendAsync(input request as System.Net.Http.HttpRequestMessage, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final System.Threading.Tasks.Task SendAsync(input request as System.Net.Http.HttpRequestMessage, input completionOption as System.Net.Http.HttpCompletionOption):
   end method.

   method public final System.Threading.Tasks.Task SendAsync(input request as System.Net.Http.HttpRequestMessage, input completionOption as System.Net.Http.HttpCompletionOption, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public final void CancelPendingRequests():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
