class System.Net.HttpWebRequest
   inherits System.Net.WebRequest
   implements System.Runtime.Serialization.ISerializable:

   def public property AllowAutoRedirect as logical
      get.
      set.

   def public property AllowWriteStreamBuffering as logical
      get.
      set.

   def public property AllowReadStreamBuffering as logical
      get.
      set.

   def public property HaveResponse as logical
      get.

   def public property KeepAlive as logical
      get.
      set.

   def public property Pipelined as logical
      get.
      set.

   def public override property PreAuthenticate as logical
      get.
      set.

   def public property UnsafeAuthenticatedConnectionSharing as logical
      get.
      set.

   def public property SendChunked as logical
      get.
      set.

   def public property AutomaticDecompression as System.Net.DecompressionMethods
      get.
      set.

   def public static property DefaultCachePolicy as System.Net.Cache.RequestCachePolicy
      get.
      set.

   def public static property DefaultMaximumResponseHeadersLength as integer
      get.
      set.

   def public static property DefaultMaximumErrorResponseLength as integer
      get.
      set.

   def public property MaximumResponseHeadersLength as integer
      get.
      set.

   def public property ClientCertificates as System.Security.Cryptography.X509Certificates.X509CertificateCollection
      get.
      set.

   def public property CookieContainer as System.Net.CookieContainer
      get.
      set.

   def public property SupportsCookieContainer as logical
      get.

   def public override property RequestUri as System.Uri
      get.

   def public override property ContentLength as int64
      get.
      set.

   def public override property Timeout as integer
      get.
      set.

   def public property ReadWriteTimeout as integer
      get.
      set.

   def public property ContinueTimeout as integer
      get.
      set.

   def public property Address as System.Uri
      get.

   def public property ContinueDelegate as System.Net.HttpContinueDelegate
      get.
      set.

   def public property ServicePoint as System.Net.ServicePoint
      get.

   def public property Host as character
      get.
      set.

   def public property MaximumAutomaticRedirections as integer
      get.
      set.

   def public override property Method as character
      get.
      set.

   def public override property Credentials as System.Net.ICredentials
      get.
      set.

   def public override property UseDefaultCredentials as logical
      get.
      set.

   def public override property ConnectionGroupName as character
      get.
      set.

   def public override property Headers as System.Net.WebHeaderCollection
      get.
      set.

   def public override property Proxy as System.Net.IWebProxy
      get.
      set.

   def public property ProtocolVersion as System.Version
      get.
      set.

   def public override property ContentType as character
      get.
      set.

   def public property MediaType as character
      get.
      set.

   def public property TransferEncoding as character
      get.
      set.

   def public property Connection as character
      get.
      set.

   def public property Accept as character
      get.
      set.

   def public property Referer as character
      get.
      set.

   def public property UserAgent as character
      get.
      set.

   def public property Expect as character
      get.
      set.

   def public property IfModifiedSince as datetime
      get.
      set.

   def public property Date as datetime
      get.
      set.

   def public property ServerCertificateValidationCallback as System.Net.Security.RemoteCertificateValidationCallback
      get.
      set.

   constructor public HttpWebRequest():
   end constructor.

   constructor protected HttpWebRequest(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override System.IAsyncResult BeginGetRequestStream(input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public override System.IO.Stream EndGetRequestStream(input asyncResult as System.IAsyncResult):
   end method.

   method public final System.IO.Stream EndGetRequestStream(input asyncResult as System.IAsyncResult, input context as System.Net.TransportContext):
   end method.

   method public override System.IO.Stream GetRequestStream():
   end method.

   method public final System.IO.Stream GetRequestStream(input context as System.Net.TransportContext):
   end method.

   method public override System.IAsyncResult BeginGetResponse(input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public override System.Net.WebResponse EndGetResponse(input asyncResult as System.IAsyncResult):
   end method.

   method public override System.Net.WebResponse GetResponse():
   end method.

   method public override void Abort():
   end method.

   method protected override void GetObjectData(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final void AddRange(input from as integer, input to as integer):
   end method.

   method public final void AddRange(input from as int64, input to as int64):
   end method.

   method public final void AddRange(input range as integer):
   end method.

   method public final void AddRange(input range as int64):
   end method.

   method public final void AddRange(input rangeSpecifier as character, input from as integer, input to as integer):
   end method.

   method public final void AddRange(input rangeSpecifier as character, input from as int64, input to as int64):
   end method.

   method public final void AddRange(input rangeSpecifier as character, input range as integer):
   end method.

   method public final void AddRange(input rangeSpecifier as character, input range as int64):
   end method.

end class.
