class System.Net.IPAddress
   inherits System.Object:

   def public static variable Any as System.Net.IPAddress.

   def public static variable Loopback as System.Net.IPAddress.

   def public static variable Broadcast as System.Net.IPAddress.

   def public static variable None as System.Net.IPAddress.

   def public static variable IPv6Any as System.Net.IPAddress.

   def public static variable IPv6Loopback as System.Net.IPAddress.

   def public static variable IPv6None as System.Net.IPAddress.

   def public property Address as int64
      get.
      set.

   def public property AddressFamily as System.Net.Sockets.AddressFamily
      get.

   def public property ScopeId as int64
      get.
      set.

   def public property IsIPv6Multicast as logical
      get.

   def public property IsIPv6LinkLocal as logical
      get.

   def public property IsIPv6SiteLocal as logical
      get.

   def public property IsIPv6Teredo as logical
      get.

   def public property IsIPv4MappedToIPv6 as logical
      get.

   constructor public IPAddress(input newAddress as int64):
   end constructor.

   constructor public IPAddress(input address as System.Byte extent, input scopeid as int64):
   end constructor.

   constructor public IPAddress(input address as System.Byte extent):
   end constructor.

   method public final static logical TryParse(input ipString as character, input address as System.Net.IPAddress):
   end method.

   method public final static System.Net.IPAddress Parse(input ipString as character):
   end method.

   method public final System.Byte extent GetAddressBytes():
   end method.

   method public override character ToString():
   end method.

   method public final static int64 HostToNetworkOrder(input host as int64):
   end method.

   method public final static integer HostToNetworkOrder(input host as integer):
   end method.

   method public final static integer HostToNetworkOrder(input host as integer):
   end method.

   method public final static int64 NetworkToHostOrder(input network as int64):
   end method.

   method public final static integer NetworkToHostOrder(input network as integer):
   end method.

   method public final static integer NetworkToHostOrder(input network as integer):
   end method.

   method public final static logical IsLoopback(input address as System.Net.IPAddress):
   end method.

   method public override logical Equals(input comparand as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final System.Net.IPAddress MapToIPv6():
   end method.

   method public final System.Net.IPAddress MapToIPv4():
   end method.

end class.
