class System.Net.Mail.AlternateView
   inherits System.Net.Mail.AttachmentBase
   implements System.IDisposable:

   def public property LinkedResources as System.Net.Mail.LinkedResourceCollection
      get.

   def public property BaseUri as System.Uri
      get.
      set.

   constructor public AlternateView(input fileName as character):
   end constructor.

   constructor public AlternateView(input fileName as character, input mediaType as character):
   end constructor.

   constructor public AlternateView(input fileName as character, input contentType as System.Net.Mime.ContentType):
   end constructor.

   constructor public AlternateView(input contentStream as System.IO.Stream):
   end constructor.

   constructor public AlternateView(input contentStream as System.IO.Stream, input mediaType as character):
   end constructor.

   constructor public AlternateView(input contentStream as System.IO.Stream, input contentType as System.Net.Mime.ContentType):
   end constructor.

   method public final static System.Net.Mail.AlternateView CreateAlternateViewFromString(input content as character):
   end method.

   method public final static System.Net.Mail.AlternateView CreateAlternateViewFromString(input content as character, input contentEncoding as System.Text.Encoding, input mediaType as character):
   end method.

   method public final static System.Net.Mail.AlternateView CreateAlternateViewFromString(input content as character, input contentType as System.Net.Mime.ContentType):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
