class System.Net.Mail.SmtpClient
   inherits System.Object
   implements System.IDisposable:

   def public property Host as character
      get.
      set.

   def public property Port as integer
      get.
      set.

   def public property UseDefaultCredentials as logical
      get.
      set.

   def public property Credentials as System.Net.ICredentialsByHost
      get.
      set.

   def public property Timeout as integer
      get.
      set.

   def public property ServicePoint as System.Net.ServicePoint
      get.

   def public property DeliveryMethod as System.Net.Mail.SmtpDeliveryMethod
      get.
      set.

   def public property DeliveryFormat as System.Net.Mail.SmtpDeliveryFormat
      get.
      set.

   def public property PickupDirectoryLocation as character
      get.
      set.

   def public property EnableSsl as logical
      get.
      set.

   def public property ClientCertificates as System.Security.Cryptography.X509Certificates.X509CertificateCollection
      get.

   def public property TargetName as character
      get.
      set.

   def public event SendCompleted signature void (input sender as System.Object, input e as System.ComponentModel.AsyncCompletedEventArgs).

   constructor public SmtpClient():
   end constructor.

   constructor public SmtpClient(input host as character):
   end constructor.

   constructor public SmtpClient(input host as character, input port as integer):
   end constructor.

   method protected final void OnSendCompleted(input e as System.ComponentModel.AsyncCompletedEventArgs):
   end method.

   method public final void Send(input from as character, input recipients as character, input subject as character, input body as character):
   end method.

   method public final void Send(input message as System.Net.Mail.MailMessage):
   end method.

   method public final void SendAsync(input from as character, input recipients as character, input subject as character, input body as character, input userToken as System.Object):
   end method.

   method public final void SendAsync(input message as System.Net.Mail.MailMessage, input userToken as System.Object):
   end method.

   method public final void SendAsyncCancel():
   end method.

   method public final System.Threading.Tasks.Task SendMailAsync(input from as character, input recipients as character, input subject as character, input body as character):
   end method.

   method public final System.Threading.Tasks.Task SendMailAsync(input message as System.Net.Mail.MailMessage):
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

end class.
