class System.Net.WebRequest
   inherits System.MarshalByRefObject
   implements System.Runtime.Serialization.ISerializable
   abstract:

   def public property CreatorInstance as System.Net.IWebRequestCreate
      get.

   def public static property DefaultCachePolicy as System.Net.Cache.RequestCachePolicy
      get.
      set.

   def public property CachePolicy as System.Net.Cache.RequestCachePolicy
      get.
      set.

   def public property Method as character
      get.
      set.

   def public property RequestUri as System.Uri
      get.

   def public property ConnectionGroupName as character
      get.
      set.

   def public property Headers as System.Net.WebHeaderCollection
      get.
      set.

   def public property ContentLength as int64
      get.
      set.

   def public property ContentType as character
      get.
      set.

   def public property Credentials as System.Net.ICredentials
      get.
      set.

   def public property UseDefaultCredentials as logical
      get.
      set.

   def public property Proxy as System.Net.IWebProxy
      get.
      set.

   def public property PreAuthenticate as logical
      get.
      set.

   def public property Timeout as integer
      get.
      set.

   def public property AuthenticationLevel as System.Net.Security.AuthenticationLevel
      get.
      set.

   def public property ImpersonationLevel as System.Security.Principal.TokenImpersonationLevel
      get.
      set.

   def public static property DefaultWebProxy as System.Net.IWebProxy
      get.
      set.

   constructor protected WebRequest():
   end constructor.

   constructor protected WebRequest(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public final static void RegisterPortableWebRequestCreator(input creator as System.Net.IWebRequestCreate):
   end method.

   method public final static System.Net.WebRequest Create(input requestUriString as character):
   end method.

   method public final static System.Net.WebRequest Create(input requestUri as System.Uri):
   end method.

   method public final static System.Net.WebRequest CreateDefault(input requestUri as System.Uri):
   end method.

   method public final static System.Net.HttpWebRequest CreateHttp(input requestUriString as character):
   end method.

   method public final static System.Net.HttpWebRequest CreateHttp(input requestUri as System.Uri):
   end method.

   method public final static logical RegisterPrefix(input prefix as character, input creator as System.Net.IWebRequestCreate):
   end method.

   method protected void GetObjectData(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end method.

   method public System.IO.Stream GetRequestStream():
   end method.

   method public System.Net.WebResponse GetResponse():
   end method.

   method public System.IAsyncResult BeginGetResponse(input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public System.Net.WebResponse EndGetResponse(input asyncResult as System.IAsyncResult):
   end method.

   method public System.IAsyncResult BeginGetRequestStream(input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public System.IO.Stream EndGetRequestStream(input asyncResult as System.IAsyncResult):
   end method.

   method public System.Threading.Tasks.Task GetRequestStreamAsync():
   end method.

   method public System.Threading.Tasks.Task GetResponseAsync():
   end method.

   method public void Abort():
   end method.

   method public final static System.Net.IWebProxy GetSystemWebProxy():
   end method.

end class.
