interface System.Runtime.InteropServices._Type:

   def public property MemberType as System.Reflection.MemberTypes
      get.

   def public property Name as character
      get.

   def public property DeclaringType as System.Type
      get.

   def public property ReflectedType as System.Type
      get.

   def public property GUID as System.Guid
      get.

   def public property Module as System.Reflection.Module
      get.

   def public property Assembly as System.Reflection.Assembly
      get.

   def public property TypeHandle as System.RuntimeTypeHandle
      get.

   def public property FullName as character
      get.

   def public property Namespace as character
      get.

   def public property AssemblyQualifiedName as character
      get.

   def public property BaseType as System.Type
      get.

   def public property UnderlyingSystemType as System.Type
      get.

   def public property TypeInitializer as System.Reflection.ConstructorInfo
      get.

   def public property Attributes as System.Reflection.TypeAttributes
      get.

   def public property IsNotPublic as logical
      get.

   def public property IsPublic as logical
      get.

   def public property IsNestedPublic as logical
      get.

   def public property IsNestedPrivate as logical
      get.

   def public property IsNestedFamily as logical
      get.

   def public property IsNestedAssembly as logical
      get.

   def public property IsNestedFamANDAssem as logical
      get.

   def public property IsNestedFamORAssem as logical
      get.

   def public property IsAutoLayout as logical
      get.

   def public property IsLayoutSequential as logical
      get.

   def public property IsExplicitLayout as logical
      get.

   def public property IsClass as logical
      get.

   def public property IsInterface as logical
      get.

   def public property IsValueType as logical
      get.

   def public property IsAbstract as logical
      get.

   def public property IsSealed as logical
      get.

   def public property IsEnum as logical
      get.

   def public property IsSpecialName as logical
      get.

   def public property IsImport as logical
      get.

   def public property IsSerializable as logical
      get.

   def public property IsAnsiClass as logical
      get.

   def public property IsUnicodeClass as logical
      get.

   def public property IsAutoClass as logical
      get.

   def public property IsArray as logical
      get.

   def public property IsByRef as logical
      get.

   def public property IsPointer as logical
      get.

   def public property IsPrimitive as logical
      get.

   def public property IsCOMObject as logical
      get.

   def public property HasElementType as logical
      get.

   def public property IsContextful as logical
      get.

   def public property IsMarshalByRef as logical
      get.

   method public void GetTypeInfoCount(input pcTInfo as integer).

   method public void GetTypeInfo(input iTInfo as integer, input lcid as integer, input ppTInfo as System.IntPtr).

   method public void GetIDsOfNames(input riid as System.Guid, input rgszNames as System.IntPtr, input cNames as integer, input lcid as integer, input rgDispId as System.IntPtr).

   method public void Invoke(input dispIdMember as integer, input riid as System.Guid, input lcid as integer, input wFlags as integer, input pDispParams as System.IntPtr, input pVarResult as System.IntPtr, input pExcepInfo as System.IntPtr, input puArgErr as System.IntPtr).

   method public character ToString().

   method public logical Equals(input other as System.Object).

   method public final integer GetHashCode().

   method public System.Type GetType().

   method public System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical).

   method public System.Object extent GetCustomAttributes(input inherit as logical).

   method public logical IsDefined(input attributeType as System.Type, input inherit as logical).

   method public integer GetArrayRank().

   method public System.Reflection.ConstructorInfo extent GetConstructors(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Type GetInterface(input name as character, input ignoreCase as logical).

   method public System.Type extent GetInterfaces().

   method public System.Type extent FindInterfaces(input filter as System.Reflection.TypeFilter, input filterCriteria as System.Object).

   method public System.Reflection.EventInfo GetEvent(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.EventInfo extent GetEvents().

   method public System.Reflection.EventInfo extent GetEvents(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Type extent GetNestedTypes(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Type GetNestedType(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MemberInfo extent GetMember(input name as character, input type as System.Reflection.MemberTypes, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MemberInfo extent GetDefaultMembers().

   method public System.Reflection.MemberInfo extent FindMembers(input memberType as System.Reflection.MemberTypes, input bindingAttr as System.Reflection.BindingFlags, input filter as System.Reflection.MemberFilter, input filterCriteria as System.Object).

   method public System.Type GetElementType().

   method public logical IsSubclassOf(input c as System.Type).

   method public logical IsInstanceOfType(input o as System.Object).

   method public logical IsAssignableFrom(input c as System.Type).

   method public System.Reflection.InterfaceMapping GetInterfaceMap(input interfaceType as System.Type).

   method public System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MethodInfo extent GetMethods(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.FieldInfo GetField(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.FieldInfo extent GetFields(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.PropertyInfo extent GetProperties(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MemberInfo extent GetMember(input name as character, input bindingAttr as System.Reflection.BindingFlags).

   method public System.Reflection.MemberInfo extent GetMembers(input bindingAttr as System.Reflection.BindingFlags).

   method public System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent, input modifiers as System.Reflection.ParameterModifier extent, input culture as System.Globalization.CultureInfo, input namedParameters as System.String extent).

   method public System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent, input culture as System.Globalization.CultureInfo).

   method public System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent).

   method public System.Reflection.ConstructorInfo GetConstructor(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.ConstructorInfo GetConstructor(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.ConstructorInfo GetConstructor(input types as System.Type extent).

   method public System.Reflection.ConstructorInfo extent GetConstructors().

   method public System.Reflection.MethodInfo GetMethod(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.MethodInfo GetMethod(input name as character, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.MethodInfo GetMethod(input name as character, input types as System.Type extent).

   method public System.Reflection.MethodInfo GetMethod(input name as character).

   method public System.Reflection.MethodInfo extent GetMethods().

   method public System.Reflection.FieldInfo GetField(input name as character).

   method public System.Reflection.FieldInfo extent GetFields().

   method public System.Type GetInterface(input name as character).

   method public System.Reflection.EventInfo GetEvent(input name as character).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type, input types as System.Type extent).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input types as System.Type extent).

   method public System.Reflection.PropertyInfo GetProperty(input name as character, input returnType as System.Type).

   method public System.Reflection.PropertyInfo GetProperty(input name as character).

   method public System.Reflection.PropertyInfo extent GetProperties().

   method public System.Type extent GetNestedTypes().

   method public System.Type GetNestedType(input name as character).

   method public System.Reflection.MemberInfo extent GetMember(input name as character).

   method public System.Reflection.MemberInfo extent GetMembers().

   method public logical Equals(input o as System.Type).

end interface.
