class System.Security.AccessControl.EventWaitHandleSecurity
   inherits System.Security.AccessControl.NativeObjectSecurity
   final:

   def public override property AccessRightType as System.Type
      get.

   def public override property AccessRuleType as System.Type
      get.

   def public override property AuditRuleType as System.Type
      get.

   constructor public EventWaitHandleSecurity():
   end constructor.

   method public override System.Security.AccessControl.AccessRule AccessRuleFactory(input identityReference as System.Security.Principal.IdentityReference, input accessMask as integer, input isInherited as logical, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input type as System.Security.AccessControl.AccessControlType):
   end method.

   method public override System.Security.AccessControl.AuditRule AuditRuleFactory(input identityReference as System.Security.Principal.IdentityReference, input accessMask as integer, input isInherited as logical, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input flags as System.Security.AccessControl.AuditFlags):
   end method.

   method public final void AddAccessRule(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final void SetAccessRule(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final void ResetAccessRule(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final logical RemoveAccessRule(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final void RemoveAccessRuleAll(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final void RemoveAccessRuleSpecific(input rule as System.Security.AccessControl.EventWaitHandleAccessRule):
   end method.

   method public final void AddAuditRule(input rule as System.Security.AccessControl.EventWaitHandleAuditRule):
   end method.

   method public final void SetAuditRule(input rule as System.Security.AccessControl.EventWaitHandleAuditRule):
   end method.

   method public final logical RemoveAuditRule(input rule as System.Security.AccessControl.EventWaitHandleAuditRule):
   end method.

   method public final void RemoveAuditRuleAll(input rule as System.Security.AccessControl.EventWaitHandleAuditRule):
   end method.

   method public final void RemoveAuditRuleSpecific(input rule as System.Security.AccessControl.EventWaitHandleAuditRule):
   end method.

end class.
