class System.Security.Claims.Claim
   inherits System.Object:

   def protected property CustomSerializationData as System.Byte extent
      get.

   def public property Issuer as character
      get.

   def public property OriginalIssuer as character
      get.

   def public property Properties as System.Collections.Generic.IDictionary
      get.

   def public property Subject as System.Security.Claims.ClaimsIdentity
      get.

   def public property Type as character
      get.

   def public property Value as character
      get.

   def public property ValueType as character
      get.

   constructor public Claim(input reader as System.IO.BinaryReader):
   end constructor.

   constructor public Claim(input reader as System.IO.BinaryReader, input subject as System.Security.Claims.ClaimsIdentity):
   end constructor.

   constructor public Claim(input type as character, input value as character):
   end constructor.

   constructor public Claim(input type as character, input value as character, input valueType as character):
   end constructor.

   constructor public Claim(input type as character, input value as character, input valueType as character, input issuer as character):
   end constructor.

   constructor public Claim(input type as character, input value as character, input valueType as character, input issuer as character, input originalIssuer as character):
   end constructor.

   constructor public Claim(input type as character, input value as character, input valueType as character, input issuer as character, input originalIssuer as character, input subject as System.Security.Claims.ClaimsIdentity):
   end constructor.

   constructor protected Claim(input other as System.Security.Claims.Claim):
   end constructor.

   constructor protected Claim(input other as System.Security.Claims.Claim, input subject as System.Security.Claims.ClaimsIdentity):
   end constructor.

   method public override System.Security.Claims.Claim Clone():
   end method.

   method public System.Security.Claims.Claim Clone(input identity as System.Security.Claims.ClaimsIdentity):
   end method.

   method public void WriteTo(input writer as System.IO.BinaryWriter):
   end method.

   method protected void WriteTo(input writer as System.IO.BinaryWriter, input userData as System.Byte extent):
   end method.

   method public override character ToString():
   end method.

end class.
