class System.Security.Policy.ApplicationTrust
   inherits System.Security.Policy.EvidenceBase
   implements System.Security.ISecurityEncodable
   final:

   def public property ApplicationIdentity as System.ApplicationIdentity
      get.
      set.

   def public property DefaultGrantSet as System.Security.Policy.PolicyStatement
      get.
      set.

   def public property FullTrustAssemblies as System.Collections.Generic.IList
      get.

   def public property IsApplicationTrustedToRun as logical
      get.
      set.

   def public property Persist as logical
      get.
      set.

   def public property ExtraInfo as System.Object
      get.
      set.

   constructor public ApplicationTrust(input applicationIdentity as System.ApplicationIdentity):
   end constructor.

   constructor public ApplicationTrust():
   end constructor.

   constructor public ApplicationTrust(input defaultGrantSet as System.Security.PermissionSet, input fullTrustAssemblies as System.Collections.Generic.IEnumerable):
   end constructor.

   method public final System.Security.SecurityElement ToXml():
   end method.

   method public final void FromXml(input element as System.Security.SecurityElement):
   end method.

   method public override System.Security.Policy.EvidenceBase Clone():
   end method.

end class.
