class System.Security.Policy.PolicyLevel
   inherits System.Object
   final:

   def public property Label as character
      get.

   def public property Type as System.Security.PolicyLevelType
      get.

   def public property StoreLocation as character
      get.

   def public property RootCodeGroup as System.Security.Policy.CodeGroup
      get.
      set.

   def public property NamedPermissionSets as System.Collections.IList
      get.

   def public property FullTrustAssemblies as System.Collections.IList
      get.

   method public final static System.Security.Policy.PolicyLevel CreateAppDomainLevel():
   end method.

   method public final System.Security.Policy.CodeGroup ResolveMatchingCodeGroups(input evidence as System.Security.Policy.Evidence):
   end method.

   method public final void AddFullTrustAssembly(input sn as System.Security.Policy.StrongName):
   end method.

   method public final void AddFullTrustAssembly(input snMC as System.Security.Policy.StrongNameMembershipCondition):
   end method.

   method public final void RemoveFullTrustAssembly(input sn as System.Security.Policy.StrongName):
   end method.

   method public final void RemoveFullTrustAssembly(input snMC as System.Security.Policy.StrongNameMembershipCondition):
   end method.

   method public final void AddNamedPermissionSet(input permSet as System.Security.NamedPermissionSet):
   end method.

   method public final System.Security.NamedPermissionSet RemoveNamedPermissionSet(input permSet as System.Security.NamedPermissionSet):
   end method.

   method public final System.Security.NamedPermissionSet RemoveNamedPermissionSet(input name as character):
   end method.

   method public final System.Security.NamedPermissionSet ChangeNamedPermissionSet(input name as character, input pSet as System.Security.PermissionSet):
   end method.

   method public final System.Security.NamedPermissionSet GetNamedPermissionSet(input name as character):
   end method.

   method public final void Recover():
   end method.

   method public final void Reset():
   end method.

   method public final System.Security.Policy.PolicyStatement Resolve(input evidence as System.Security.Policy.Evidence):
   end method.

   method public final System.Security.SecurityElement ToXml():
   end method.

   method public final void FromXml(input e as System.Security.SecurityElement):
   end method.

end class.
