class System.ServiceModel.EndpointIdentity
   inherits System.Object
   abstract:

   def public property IdentityClaim as System.IdentityModel.Claims.Claim
      get.

   constructor protected EndpointIdentity():
   end constructor.

   method protected final void Initialize(input identityClaim as System.IdentityModel.Claims.Claim):
   end method.

   method protected final void Initialize(input identityClaim as System.IdentityModel.Claims.Claim, input claimComparer as System.Collections.Generic.IEqualityComparer):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateIdentity(input identity as System.IdentityModel.Claims.Claim):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateDnsIdentity(input dnsName as character):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateSpnIdentity(input spnName as character):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateUpnIdentity(input upnName as character):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateRsaIdentity(input publicKey as character):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateRsaIdentity(input certificate as System.Security.Cryptography.X509Certificates.X509Certificate2):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateX509CertificateIdentity(input certificate as System.Security.Cryptography.X509Certificates.X509Certificate2):
   end method.

   method public final static System.ServiceModel.EndpointIdentity CreateX509CertificateIdentity(input primaryCertificate as System.Security.Cryptography.X509Certificates.X509Certificate2, input supportingCertificates as System.Security.Cryptography.X509Certificates.X509Certificate2Collection):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

end class.
