class System.String
   inherits System.Object
   implements System.IComparable, System.ICloneable, System.IConvertible, System.Collections.IEnumerable, System.IComparable, System.Collections.Generic.IEnumerable, System.IEquatable
   final:

   def public static variable Empty as character.

   def public property Chars as character
      get.

   def public property Length as integer
      get.

   constructor public String(input value as System.Char extent, input startIndex as integer, input length as integer):
   end constructor.

   constructor public String(input value as System.Char extent):
   end constructor.

   constructor public String(input c as character, input count as integer):
   end constructor.

   method public final static character Join(input separator as character, input value as System.String extent):
   end method.

   method public final static character Join(input separator as character, input values as System.Object extent):
   end method.

   method public final static character Join(input separator as character, input values as System.Collections.Generic.IEnumerable):
   end method.

   method public final static character Join(input separator as character, input value as System.String extent, input startIndex as integer, input count as integer):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final logical Equals(input value as character):
   end method.

   method public final logical Equals(input value as character, input comparisonType as System.StringComparison):
   end method.

   method public final static logical Equals(input a as character, input b as character):
   end method.

   method public final static logical Equals(input a as character, input b as character, input comparisonType as System.StringComparison):
   end method.

   method public final void CopyTo(input sourceIndex as integer, input destination as System.Char extent, input destinationIndex as integer, input count as integer):
   end method.

   method public final System.Char extent ToCharArray():
   end method.

   method public final System.Char extent ToCharArray(input startIndex as integer, input length as integer):
   end method.

   method public final static logical IsNullOrEmpty(input value as character):
   end method.

   method public final static logical IsNullOrWhiteSpace(input value as character):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final System.String extent Split(input separator as System.Char extent):
   end method.

   method public final System.String extent Split(input separator as System.Char extent, input count as integer):
   end method.

   method public final System.String extent Split(input separator as System.Char extent, input options as System.StringSplitOptions):
   end method.

   method public final System.String extent Split(input separator as System.Char extent, input count as integer, input options as System.StringSplitOptions):
   end method.

   method public final System.String extent Split(input separator as System.String extent, input options as System.StringSplitOptions):
   end method.

   method public final System.String extent Split(input separator as System.String extent, input count as integer, input options as System.StringSplitOptions):
   end method.

   method public final character Substring(input startIndex as integer):
   end method.

   method public final character Substring(input startIndex as integer, input length as integer):
   end method.

   method public final character Trim(input trimChars as System.Char extent):
   end method.

   method public final character TrimStart(input trimChars as System.Char extent):
   end method.

   method public final character TrimEnd(input trimChars as System.Char extent):
   end method.

   method public final logical IsNormalized():
   end method.

   method public final logical IsNormalized(input normalizationForm as System.Text.NormalizationForm):
   end method.

   method public final character Normalize():
   end method.

   method public final character Normalize(input normalizationForm as System.Text.NormalizationForm):
   end method.

   method public final static integer Compare(input strA as character, input strB as character):
   end method.

   method public final static integer Compare(input strA as character, input strB as character, input ignoreCase as logical):
   end method.

   method public final static integer Compare(input strA as character, input strB as character, input comparisonType as System.StringComparison):
   end method.

   method public final static integer Compare(input strA as character, input strB as character, input culture as System.Globalization.CultureInfo, input options as System.Globalization.CompareOptions):
   end method.

   method public final static integer Compare(input strA as character, input strB as character, input ignoreCase as logical, input culture as System.Globalization.CultureInfo):
   end method.

   method public final static integer Compare(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer):
   end method.

   method public final static integer Compare(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer, input ignoreCase as logical):
   end method.

   method public final static integer Compare(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer, input ignoreCase as logical, input culture as System.Globalization.CultureInfo):
   end method.

   method public final static integer Compare(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer, input culture as System.Globalization.CultureInfo, input options as System.Globalization.CompareOptions):
   end method.

   method public final static integer Compare(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer, input comparisonType as System.StringComparison):
   end method.

   method public final integer CompareTo(input value as System.Object):
   end method.

   method public final integer CompareTo(input strB as character):
   end method.

   method public final static integer CompareOrdinal(input strA as character, input strB as character):
   end method.

   method public final static integer CompareOrdinal(input strA as character, input indexA as integer, input strB as character, input indexB as integer, input length as integer):
   end method.

   method public final logical Contains(input value as character):
   end method.

   method public final logical EndsWith(input value as character):
   end method.

   method public final logical EndsWith(input value as character, input comparisonType as System.StringComparison):
   end method.

   method public final logical EndsWith(input value as character, input ignoreCase as logical, input culture as System.Globalization.CultureInfo):
   end method.

   method public final integer IndexOf(input value as character):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer, input count as integer):
   end method.

   method public final integer IndexOfAny(input anyOf as System.Char extent):
   end method.

   method public final integer IndexOfAny(input anyOf as System.Char extent, input startIndex as integer):
   end method.

   method public final integer IndexOfAny(input anyOf as System.Char extent, input startIndex as integer, input count as integer):
   end method.

   method public final integer IndexOf(input value as character):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer, input count as integer):
   end method.

   method public final integer IndexOf(input value as character, input comparisonType as System.StringComparison):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer, input comparisonType as System.StringComparison):
   end method.

   method public final integer IndexOf(input value as character, input startIndex as integer, input count as integer, input comparisonType as System.StringComparison):
   end method.

   method public final integer LastIndexOf(input value as character):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer, input count as integer):
   end method.

   method public final integer LastIndexOfAny(input anyOf as System.Char extent):
   end method.

   method public final integer LastIndexOfAny(input anyOf as System.Char extent, input startIndex as integer):
   end method.

   method public final integer LastIndexOfAny(input anyOf as System.Char extent, input startIndex as integer, input count as integer):
   end method.

   method public final integer LastIndexOf(input value as character):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer, input count as integer):
   end method.

   method public final integer LastIndexOf(input value as character, input comparisonType as System.StringComparison):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer, input comparisonType as System.StringComparison):
   end method.

   method public final integer LastIndexOf(input value as character, input startIndex as integer, input count as integer, input comparisonType as System.StringComparison):
   end method.

   method public final character PadLeft(input totalWidth as integer):
   end method.

   method public final character PadLeft(input totalWidth as integer, input paddingChar as character):
   end method.

   method public final character PadRight(input totalWidth as integer):
   end method.

   method public final character PadRight(input totalWidth as integer, input paddingChar as character):
   end method.

   method public final logical StartsWith(input value as character):
   end method.

   method public final logical StartsWith(input value as character, input comparisonType as System.StringComparison):
   end method.

   method public final logical StartsWith(input value as character, input ignoreCase as logical, input culture as System.Globalization.CultureInfo):
   end method.

   method public final character ToLower():
   end method.

   method public final character ToLower(input culture as System.Globalization.CultureInfo):
   end method.

   method public final character ToLowerInvariant():
   end method.

   method public final character ToUpper():
   end method.

   method public final character ToUpper(input culture as System.Globalization.CultureInfo):
   end method.

   method public final character ToUpperInvariant():
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final override System.Object Clone():
   end method.

   method public final character Trim():
   end method.

   method public final character Insert(input startIndex as integer, input value as character):
   end method.

   method public final character Replace(input oldChar as character, input newChar as character):
   end method.

   method public final character Replace(input oldValue as character, input newValue as character):
   end method.

   method public final character Remove(input startIndex as integer, input count as integer):
   end method.

   method public final character Remove(input startIndex as integer):
   end method.

   method public final static character Format(input format as character, input arg0 as System.Object):
   end method.

   method public final static character Format(input format as character, input arg0 as System.Object, input arg1 as System.Object):
   end method.

   method public final static character Format(input format as character, input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object):
   end method.

   method public final static character Format(input format as character, input args as System.Object extent):
   end method.

   method public final static character Format(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object):
   end method.

   method public final static character Format(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object, input arg1 as System.Object):
   end method.

   method public final static character Format(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object):
   end method.

   method public final static character Format(input provider as System.IFormatProvider, input format as character, input args as System.Object extent):
   end method.

   method public final static character Copy(input str as character):
   end method.

   method public final static character Concat(input arg0 as System.Object):
   end method.

   method public final static character Concat(input arg0 as System.Object, input arg1 as System.Object):
   end method.

   method public final static character Concat(input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object):
   end method.

   method public final static character Concat(input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object, input arg3 as System.Object):
   end method.

   method public final static character Concat(input args as System.Object extent):
   end method.

   method public final static character Concat(input values as System.Collections.Generic.IEnumerable):
   end method.

   method public final static character Concat(input str0 as character, input str1 as character):
   end method.

   method public final static character Concat(input str0 as character, input str1 as character, input str2 as character):
   end method.

   method public final static character Concat(input str0 as character, input str1 as character, input str2 as character, input str3 as character):
   end method.

   method public final static character Concat(input values as System.String extent):
   end method.

   method public final static character Intern(input str as character):
   end method.

   method public final static character IsInterned(input str as character):
   end method.

   method public final System.TypeCode GetTypeCode():
   end method.

   method public final System.CharEnumerator GetEnumerator():
   end method.

end class.
