class System.Text.Encoding
   inherits System.Object
   implements System.ICloneable
   abstract:

   def public property BodyName as character
      get.

   def public property EncodingName as character
      get.

   def public property HeaderName as character
      get.

   def public property WebName as character
      get.

   def public property WindowsCodePage as integer
      get.

   def public property IsBrowserDisplay as logical
      get.

   def public property IsBrowserSave as logical
      get.

   def public property IsMailNewsDisplay as logical
      get.

   def public property IsMailNewsSave as logical
      get.

   def public property IsSingleByte as logical
      get.

   def public property EncoderFallback as System.Text.EncoderFallback
      get.
      set.

   def public property DecoderFallback as System.Text.DecoderFallback
      get.
      set.

   def public property IsReadOnly as logical
      get.

   def public static property ASCII as System.Text.Encoding
      get.

   def public property CodePage as integer
      get.

   def public static property Default as System.Text.Encoding
      get.

   def public static property Unicode as System.Text.Encoding
      get.

   def public static property BigEndianUnicode as System.Text.Encoding
      get.

   def public static property UTF7 as System.Text.Encoding
      get.

   def public static property UTF8 as System.Text.Encoding
      get.

   def public static property UTF32 as System.Text.Encoding
      get.

   constructor protected Encoding():
   end constructor.

   constructor protected Encoding(input codePage as integer):
   end constructor.

   constructor protected Encoding(input codePage as integer, input encoderFallback as System.Text.EncoderFallback, input decoderFallback as System.Text.DecoderFallback):
   end constructor.

   method public final static System.Byte extent Convert(input srcEncoding as System.Text.Encoding, input dstEncoding as System.Text.Encoding, input bytes as System.Byte extent):
   end method.

   method public final static System.Byte extent Convert(input srcEncoding as System.Text.Encoding, input dstEncoding as System.Text.Encoding, input bytes as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public final static void RegisterProvider(input provider as System.Text.EncodingProvider):
   end method.

   method public final static System.Text.Encoding GetEncoding(input codepage as integer):
   end method.

   method public final static System.Text.Encoding GetEncoding(input codepage as integer, input encoderFallback as System.Text.EncoderFallback, input decoderFallback as System.Text.DecoderFallback):
   end method.

   method public final static System.Text.Encoding GetEncoding(input name as character):
   end method.

   method public final static System.Text.Encoding GetEncoding(input name as character, input encoderFallback as System.Text.EncoderFallback, input decoderFallback as System.Text.DecoderFallback):
   end method.

   method public final static System.Text.EncodingInfo extent GetEncodings():
   end method.

   method public System.Byte extent GetPreamble():
   end method.

   method public override System.Object Clone():
   end method.

   method public integer GetByteCount(input chars as System.Char extent):
   end method.

   method public integer GetByteCount(input s as character):
   end method.

   method public abstract integer GetByteCount(input chars as System.Char extent, input index as integer, input count as integer).

   method public System.Byte extent GetBytes(input chars as System.Char extent):
   end method.

   method public System.Byte extent GetBytes(input chars as System.Char extent, input index as integer, input count as integer):
   end method.

   method public abstract integer GetBytes(input chars as System.Char extent, input charIndex as integer, input charCount as integer, input bytes as System.Byte extent, input byteIndex as integer).

   method public System.Byte extent GetBytes(input s as character):
   end method.

   method public integer GetBytes(input s as character, input charIndex as integer, input charCount as integer, input bytes as System.Byte extent, input byteIndex as integer):
   end method.

   method public integer GetCharCount(input bytes as System.Byte extent):
   end method.

   method public abstract integer GetCharCount(input bytes as System.Byte extent, input index as integer, input count as integer).

   method public System.Char extent GetChars(input bytes as System.Byte extent):
   end method.

   method public System.Char extent GetChars(input bytes as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public abstract integer GetChars(input bytes as System.Byte extent, input byteIndex as integer, input byteCount as integer, input chars as System.Char extent, input charIndex as integer).

   method public final logical IsAlwaysNormalized():
   end method.

   method public logical IsAlwaysNormalized(input form as System.Text.NormalizationForm):
   end method.

   method public System.Text.Decoder GetDecoder():
   end method.

   method public System.Text.Encoder GetEncoder():
   end method.

   method public abstract integer GetMaxByteCount(input charCount as integer).

   method public abstract integer GetMaxCharCount(input byteCount as integer).

   method public character GetString(input bytes as System.Byte extent):
   end method.

   method public character GetString(input bytes as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override logical Equals(input value as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

end class.
