class System.Text.RegularExpressions.Regex
   inherits System.Object
   implements System.Runtime.Serialization.ISerializable:

   def protected variable pattern as character.

   def protected variable factory as System.Text.RegularExpressions.RegexRunnerFactory.

   def protected variable roptions as System.Text.RegularExpressions.RegexOptions.

   def public static variable InfiniteMatchTimeout as System.TimeSpan.

   def protected variable internalMatchTimeout as System.TimeSpan.

   def protected variable caps as System.Collections.Hashtable.

   def protected variable capnames as System.Collections.Hashtable.

   def protected variable capslist as System.String extent.

   def protected variable capsize as integer.

   def public static property CacheSize as integer
      get.
      set.

   def public property Options as System.Text.RegularExpressions.RegexOptions
      get.

   def public property MatchTimeout as System.TimeSpan
      get.

   def public property RightToLeft as logical
      get.

   constructor protected Regex():
   end constructor.

   constructor public Regex(input pattern as character):
   end constructor.

   constructor public Regex(input pattern as character, input options as System.Text.RegularExpressions.RegexOptions):
   end constructor.

   constructor public Regex(input pattern as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end constructor.

   constructor protected Regex(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final static void ValidateMatchTimeout(input matchTimeout as System.TimeSpan):
   end method.

   method public final static character Escape(input str as character):
   end method.

   method public final static character Unescape(input str as character):
   end method.

   method public override character ToString():
   end method.

   method public final System.String extent GetGroupNames():
   end method.

   method public final System.Int32 extent GetGroupNumbers():
   end method.

   method public final character GroupNameFromNumber(input i as integer):
   end method.

   method public final integer GroupNumberFromName(input name as character):
   end method.

   method public final static logical IsMatch(input input as character, input pattern as character):
   end method.

   method public final static logical IsMatch(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static logical IsMatch(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final logical IsMatch(input input as character):
   end method.

   method public final logical IsMatch(input input as character, input startat as integer):
   end method.

   method public final static System.Text.RegularExpressions.Match Match(input input as character, input pattern as character):
   end method.

   method public final static System.Text.RegularExpressions.Match Match(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static System.Text.RegularExpressions.Match Match(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final System.Text.RegularExpressions.Match Match(input input as character):
   end method.

   method public final System.Text.RegularExpressions.Match Match(input input as character, input startat as integer):
   end method.

   method public final System.Text.RegularExpressions.Match Match(input input as character, input beginning as integer, input length as integer):
   end method.

   method public final static System.Text.RegularExpressions.MatchCollection Matches(input input as character, input pattern as character):
   end method.

   method public final static System.Text.RegularExpressions.MatchCollection Matches(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static System.Text.RegularExpressions.MatchCollection Matches(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final System.Text.RegularExpressions.MatchCollection Matches(input input as character):
   end method.

   method public final System.Text.RegularExpressions.MatchCollection Matches(input input as character, input startat as integer):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input replacement as character):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input replacement as character, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input replacement as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final character Replace(input input as character, input replacement as character):
   end method.

   method public final character Replace(input input as character, input replacement as character, input count as integer):
   end method.

   method public final character Replace(input input as character, input replacement as character, input count as integer, input startat as integer):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static character Replace(input input as character, input pattern as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final character Replace(input input as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator):
   end method.

   method public final character Replace(input input as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator, input count as integer):
   end method.

   method public final character Replace(input input as character, input evaluator as System.Text.RegularExpressions.MatchEvaluator, input count as integer, input startat as integer):
   end method.

   method public final static System.String extent Split(input input as character, input pattern as character):
   end method.

   method public final static System.String extent Split(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions):
   end method.

   method public final static System.String extent Split(input input as character, input pattern as character, input options as System.Text.RegularExpressions.RegexOptions, input matchTimeout as System.TimeSpan):
   end method.

   method public final System.String extent Split(input input as character):
   end method.

   method public final System.String extent Split(input input as character, input count as integer):
   end method.

   method public final System.String extent Split(input input as character, input count as integer, input startat as integer):
   end method.

   method public final static void CompileToAssembly(input regexinfos as System.Text.RegularExpressions.RegexCompilationInfo extent, input assemblyname as System.Reflection.AssemblyName):
   end method.

   method public final static void CompileToAssembly(input regexinfos as System.Text.RegularExpressions.RegexCompilationInfo extent, input assemblyname as System.Reflection.AssemblyName, input attributes as System.Reflection.Emit.CustomAttributeBuilder extent):
   end method.

   method public final static void CompileToAssembly(input regexinfos as System.Text.RegularExpressions.RegexCompilationInfo extent, input assemblyname as System.Reflection.AssemblyName, input attributes as System.Reflection.Emit.CustomAttributeBuilder extent, input resourceFile as character):
   end method.

   method protected final void InitializeReferences():
   end method.

   method protected final logical UseOptionC():
   end method.

   method protected final logical UseOptionR():
   end method.

end class.
