class System.Windows.Forms.Binding
   inherits System.Object:

   def public property DataSource as System.Object
      get.

   def public property BindingMemberInfo as System.Windows.Forms.BindingMemberInfo
      get.

   def public property BindableComponent as System.Windows.Forms.IBindableComponent
      get.

   def public property Control as System.Windows.Forms.Control
      get.

   def public property IsBinding as logical
      get.

   def public property BindingManagerBase as System.Windows.Forms.BindingManagerBase
      get.

   def public property PropertyName as character
      get.

   def public property FormattingEnabled as logical
      get.
      set.

   def public property FormatInfo as System.IFormatProvider
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property NullValue as System.Object
      get.
      set.

   def public property DataSourceNullValue as System.Object
      get.
      set.

   def public property ControlUpdateMode as System.Windows.Forms.ControlUpdateMode
      get.
      set.

   def public property DataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode
      get.
      set.

   def public event BindingComplete signature void (input sender as System.Object, input e as System.Windows.Forms.BindingCompleteEventArgs).

   def public event Parse signature void (input sender as System.Object, input e as System.Windows.Forms.ConvertEventArgs).

   def public event Format signature void (input sender as System.Object, input e as System.Windows.Forms.ConvertEventArgs).

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character):
   end constructor.

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical):
   end constructor.

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input dataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode):
   end constructor.

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input dataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object):
   end constructor.

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input dataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object, input formatString as character):
   end constructor.

   constructor public Binding(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input dataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object, input formatString as character, input formatInfo as System.IFormatProvider):
   end constructor.

   method protected void OnBindingComplete(input e as System.Windows.Forms.BindingCompleteEventArgs):
   end method.

   method protected void OnParse(input cevent as System.Windows.Forms.ConvertEventArgs):
   end method.

   method protected void OnFormat(input cevent as System.Windows.Forms.ConvertEventArgs):
   end method.

   method public final void ReadValue():
   end method.

   method public final void WriteValue():
   end method.

end class.
