class System.Windows.Forms.BindingSource
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.ComponentModel.IBindingListView, System.ComponentModel.IBindingList, System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable, System.ComponentModel.ITypedList, System.ComponentModel.ICancelAddNew, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Windows.Forms.ICurrencyManagerProvider:

   def public property CurrencyManager as System.Windows.Forms.CurrencyManager
      get.

   def public property Current as System.Object
      get.

   def public property DataMember as character
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property IsBindingSuspended as logical
      get.

   def public property List as System.Collections.IList
      get.

   def public property Position as integer
      get.
      set.

   def public property RaiseListChangedEvents as logical
      get.
      set.

   def public property Sort as character
      get.
      set.

   def public property Count as integer
      get.

   def public property IsSynchronized as logical
      get.

   def public property SyncRoot as System.Object
      get.

   def public property Item as System.Object
      get.
      set.

   def public property IsFixedSize as logical
      get.

   def public property IsReadOnly as logical
      get.

   def public property AllowEdit as logical
      get.

   def public property AllowNew as logical
      get.
      set.

   def public property AllowRemove as logical
      get.

   def public property SupportsChangeNotification as logical
      get.

   def public property SupportsSearching as logical
      get.

   def public property SupportsSorting as logical
      get.

   def public property IsSorted as logical
      get.

   def public property SortProperty as System.ComponentModel.PropertyDescriptor
      get.

   def public property SortDirection as System.ComponentModel.ListSortDirection
      get.

   def public property SortDescriptions as System.ComponentModel.ListSortDescriptionCollection
      get.

   def public property Filter as character
      get.
      set.

   def public property SupportsAdvancedSorting as logical
      get.

   def public property SupportsFiltering as logical
      get.

   def public event AddingNew signature void (input sender as System.Object, input e as System.ComponentModel.AddingNewEventArgs).

   def public event BindingComplete signature void (input sender as System.Object, input e as System.Windows.Forms.BindingCompleteEventArgs).

   def public event DataError signature void (input sender as System.Object, input e as System.Windows.Forms.BindingManagerDataErrorEventArgs).

   def public event DataSourceChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DataMemberChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CurrentChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CurrentItemChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ListChanged signature void (input sender as System.Object, input e as System.ComponentModel.ListChangedEventArgs).

   def public event PositionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public BindingSource():
   end constructor.

   constructor public BindingSource(input dataSource as System.Object, input dataMember as character):
   end constructor.

   constructor public BindingSource(input container as System.ComponentModel.IContainer):
   end constructor.

   method public System.Windows.Forms.CurrencyManager GetRelatedCurrencyManager(input dataMember as character):
   end method.

   method public final void CancelEdit():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void EndEdit():
   end method.

   method public final integer Find(input propertyName as character, input key as System.Object):
   end method.

   method public final void MoveFirst():
   end method.

   method public final void MoveLast():
   end method.

   method public final void MoveNext():
   end method.

   method public final void MovePrevious():
   end method.

   method protected void OnAddingNew(input e as System.ComponentModel.AddingNewEventArgs):
   end method.

   method protected void OnBindingComplete(input e as System.Windows.Forms.BindingCompleteEventArgs):
   end method.

   method protected void OnCurrentChanged(input e as System.EventArgs):
   end method.

   method protected void OnCurrentItemChanged(input e as System.EventArgs):
   end method.

   method protected void OnDataError(input e as System.Windows.Forms.BindingManagerDataErrorEventArgs):
   end method.

   method protected void OnDataMemberChanged(input e as System.EventArgs):
   end method.

   method protected void OnDataSourceChanged(input e as System.EventArgs):
   end method.

   method protected void OnListChanged(input e as System.ComponentModel.ListChangedEventArgs):
   end method.

   method protected void OnPositionChanged(input e as System.EventArgs):
   end method.

   method public final void RemoveCurrent():
   end method.

   method public void ResetAllowNew():
   end method.

   method public final void ResetBindings(input metadataChanged as logical):
   end method.

   method public final void ResetCurrentItem():
   end method.

   method public final void ResetItem(input itemIndex as integer):
   end method.

   method public final void ResumeBinding():
   end method.

   method public final void SuspendBinding():
   end method.

   method public System.Collections.IEnumerator GetEnumerator():
   end method.

   method public void CopyTo(input arr as System.Array, input index as integer):
   end method.

   method public integer Add(input value as System.Object):
   end method.

   method public void Clear():
   end method.

   method public logical Contains(input value as System.Object):
   end method.

   method public integer IndexOf(input value as System.Object):
   end method.

   method public void Insert(input index as integer, input value as System.Object):
   end method.

   method public void Remove(input value as System.Object):
   end method.

   method public void RemoveAt(input index as integer):
   end method.

   method public character GetListName(input listAccessors as System.ComponentModel.PropertyDescriptor extent):
   end method.

   method public System.ComponentModel.PropertyDescriptorCollection GetItemProperties(input listAccessors as System.ComponentModel.PropertyDescriptor extent):
   end method.

   method public System.Object AddNew():
   end method.

   method public void ApplySort(input property as System.ComponentModel.PropertyDescriptor, input sort as System.ComponentModel.ListSortDirection):
   end method.

   method public integer Find(input prop as System.ComponentModel.PropertyDescriptor, input key as System.Object):
   end method.

   method public void RemoveSort():
   end method.

   method public void ApplySort(input sorts as System.ComponentModel.ListSortDescriptionCollection):
   end method.

   method public void RemoveFilter():
   end method.

end class.
