class System.Windows.Forms.ControlPaint
   inherits System.Object
   final:

   def public static property ContrastControlDark as System.Drawing.Color
      get.

   method public final static System.IntPtr CreateHBitmap16Bit(input bitmap as System.Drawing.Bitmap, input background as System.Drawing.Color):
   end method.

   method public final static System.IntPtr CreateHBitmapTransparencyMask(input bitmap as System.Drawing.Bitmap):
   end method.

   method public final static System.IntPtr CreateHBitmapColorMask(input bitmap as System.Drawing.Bitmap, input monochromeMask as System.IntPtr):
   end method.

   method public final static System.Drawing.Color Dark(input baseColor as System.Drawing.Color, input percOfDarkDark as decimal):
   end method.

   method public final static System.Drawing.Color Dark(input baseColor as System.Drawing.Color):
   end method.

   method public final static System.Drawing.Color DarkDark(input baseColor as System.Drawing.Color):
   end method.

   method public final static void DrawBorder(input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle, input color as System.Drawing.Color, input style as System.Windows.Forms.ButtonBorderStyle):
   end method.

   method public final static void DrawBorder(input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle, input leftColor as System.Drawing.Color, input leftWidth as integer, input leftStyle as System.Windows.Forms.ButtonBorderStyle, input topColor as System.Drawing.Color, input topWidth as integer, input topStyle as System.Windows.Forms.ButtonBorderStyle, input rightColor as System.Drawing.Color, input rightWidth as integer, input rightStyle as System.Windows.Forms.ButtonBorderStyle, input bottomColor as System.Drawing.Color, input bottomWidth as integer, input bottomStyle as System.Windows.Forms.ButtonBorderStyle):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input style as System.Windows.Forms.Border3DStyle):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input style as System.Windows.Forms.Border3DStyle, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input style as System.Windows.Forms.Border3DStyle):
   end method.

   method public final static void DrawBorder3D(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input style as System.Windows.Forms.Border3DStyle, input sides as System.Windows.Forms.Border3DSide):
   end method.

   method public final static void DrawButton(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawButton(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawCaptionButton(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input button as System.Windows.Forms.CaptionButton, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawCaptionButton(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input button as System.Windows.Forms.CaptionButton, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawCheckBox(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawCheckBox(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawComboButton(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawComboButton(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawContainerGrabHandle(input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle):
   end method.

   method public final static void DrawFocusRectangle(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle):
   end method.

   method public final static void DrawFocusRectangle(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawGrabHandle(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input primary as logical, input enabled as logical):
   end method.

   method public final static void DrawGrid(input graphics as System.Drawing.Graphics, input area as System.Drawing.Rectangle, input pixelsBetweenDots as System.Drawing.Size, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawImageDisabled(input graphics as System.Drawing.Graphics, input image as System.Drawing.Image, input x as integer, input y as integer, input background as System.Drawing.Color):
   end method.

   method public final static void DrawLockedFrame(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input primary as logical):
   end method.

   method public final static void DrawMenuGlyph(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input glyph as System.Windows.Forms.MenuGlyph):
   end method.

   method public final static void DrawMenuGlyph(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input glyph as System.Windows.Forms.MenuGlyph, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawMenuGlyph(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input glyph as System.Windows.Forms.MenuGlyph):
   end method.

   method public final static void DrawMenuGlyph(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input glyph as System.Windows.Forms.MenuGlyph, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawMixedCheckBox(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawMixedCheckBox(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawRadioButton(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawRadioButton(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawReversibleFrame(input rectangle as System.Drawing.Rectangle, input backColor as System.Drawing.Color, input style as System.Windows.Forms.FrameStyle):
   end method.

   method public final static void DrawReversibleLine(input start as System.Drawing.Point, input end as System.Drawing.Point, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawScrollButton(input graphics as System.Drawing.Graphics, input rectangle as System.Drawing.Rectangle, input button as System.Windows.Forms.ScrollButton, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawScrollButton(input graphics as System.Drawing.Graphics, input x as integer, input y as integer, input width as integer, input height as integer, input button as System.Windows.Forms.ScrollButton, input state as System.Windows.Forms.ButtonState):
   end method.

   method public final static void DrawSelectionFrame(input graphics as System.Drawing.Graphics, input active as logical, input outsideRect as System.Drawing.Rectangle, input insideRect as System.Drawing.Rectangle, input backColor as System.Drawing.Color):
   end method.

   method public final static void DrawSizeGrip(input graphics as System.Drawing.Graphics, input backColor as System.Drawing.Color, input bounds as System.Drawing.Rectangle):
   end method.

   method public final static void DrawSizeGrip(input graphics as System.Drawing.Graphics, input backColor as System.Drawing.Color, input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final static void DrawStringDisabled(input graphics as System.Drawing.Graphics, input s as character, input font as System.Drawing.Font, input color as System.Drawing.Color, input layoutRectangle as System.Drawing.RectangleF, input format as System.Drawing.StringFormat):
   end method.

   method public final static void DrawStringDisabled(input dc as System.Drawing.IDeviceContext, input s as character, input font as System.Drawing.Font, input color as System.Drawing.Color, input layoutRectangle as System.Drawing.Rectangle, input format as System.Windows.Forms.TextFormatFlags):
   end method.

   method public final static void DrawVisualStyleBorder(input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle):
   end method.

   method public final static void FillReversibleRectangle(input rectangle as System.Drawing.Rectangle, input backColor as System.Drawing.Color):
   end method.

   method public final static System.Drawing.Color Light(input baseColor as System.Drawing.Color, input percOfLightLight as decimal):
   end method.

   method public final static System.Drawing.Color Light(input baseColor as System.Drawing.Color):
   end method.

   method public final static System.Drawing.Color LightLight(input baseColor as System.Drawing.Color):
   end method.

end class.
