class System.Windows.Forms.DataGridViewCell
   inherits System.Windows.Forms.DataGridViewElement
   implements System.ICloneable, System.IDisposable
   abstract:

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property ColumnIndex as integer
      get.

   def public property ContentBounds as System.Drawing.Rectangle
      get.

   def public property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property DefaultNewRowValue as System.Object
      get.

   def public property Displayed as logical
      get.

   def public property EditedFormattedValue as System.Object
      get.

   def public property EditType as System.Type
      get.

   def public property ErrorIconBounds as System.Drawing.Rectangle
      get.

   def public property ErrorText as character
      get.
      set.

   def public property FormattedValue as System.Object
      get.

   def public property FormattedValueType as System.Type
      get.

   def public property Frozen as logical
      get.

   def public property HasStyle as logical
      get.

   def public property InheritedState as System.Windows.Forms.DataGridViewElementStates
      get.

   def public property InheritedStyle as System.Windows.Forms.DataGridViewCellStyle
      get.

   def public property IsInEditMode as logical
      get.

   def public property OwningColumn as System.Windows.Forms.DataGridViewColumn
      get.

   def public property OwningRow as System.Windows.Forms.DataGridViewRow
      get.

   def public property PreferredSize as System.Drawing.Size
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property Resizable as logical
      get.

   def public property RowIndex as integer
      get.

   def public property Selected as logical
      get.
      set.

   def public property Size as System.Drawing.Size
      get.

   def public property Style as System.Windows.Forms.DataGridViewCellStyle
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property Value as System.Object
      get.
      set.

   def public property ValueType as System.Type
      get.
      set.

   def public property Visible as logical
      get.

   constructor protected DataGridViewCell():
   end constructor.

   method protected final override void Finalize():
   end method.

   method public System.Windows.Forms.DataGridViewAdvancedBorderStyle AdjustCellBorderStyle(input dataGridViewAdvancedBorderStyleInput as System.Windows.Forms.DataGridViewAdvancedBorderStyle, input dataGridViewAdvancedBorderStylePlaceholder as System.Windows.Forms.DataGridViewAdvancedBorderStyle, input singleVerticalBorderAdded as logical, input singleHorizontalBorderAdded as logical, input isFirstDisplayedColumn as logical, input isFirstDisplayedRow as logical):
   end method.

   method protected System.Drawing.Rectangle BorderWidths(input advancedBorderStyle as System.Windows.Forms.DataGridViewAdvancedBorderStyle):
   end method.

   method protected logical ClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method public override System.Object Clone():
   end method.

   method protected logical ContentClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected logical ContentDoubleClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method public void DetachEditingControl():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method protected logical DoubleClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected logical EnterUnsharesRow(input rowIndex as integer, input throughMouseClick as logical):
   end method.

   method protected System.Object GetClipboardContent(input rowIndex as integer, input firstCell as logical, input lastCell as logical, input inFirstRow as logical, input inLastRow as logical, input format as character):
   end method.

   method public final System.Drawing.Rectangle GetContentBounds(input rowIndex as integer):
   end method.

   method protected System.Drawing.Rectangle GetContentBounds(input graphics as System.Drawing.Graphics, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input rowIndex as integer):
   end method.

   method public final System.Object GetEditedFormattedValue(input rowIndex as integer, input context as System.Windows.Forms.DataGridViewDataErrorContexts):
   end method.

   method protected System.Drawing.Rectangle GetErrorIconBounds(input graphics as System.Drawing.Graphics, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input rowIndex as integer):
   end method.

   method protected character GetErrorText(input rowIndex as integer):
   end method.

   method protected System.Object GetFormattedValue(input value as System.Object, input rowIndex as integer, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input valueTypeConverter as System.ComponentModel.TypeConverter, input formattedValueTypeConverter as System.ComponentModel.TypeConverter, input context as System.Windows.Forms.DataGridViewDataErrorContexts):
   end method.

   method public System.Windows.Forms.ContextMenuStrip GetInheritedContextMenuStrip(input rowIndex as integer):
   end method.

   method public System.Windows.Forms.DataGridViewElementStates GetInheritedState(input rowIndex as integer):
   end method.

   method public System.Windows.Forms.DataGridViewCellStyle GetInheritedStyle(input inheritedCellStyle as System.Windows.Forms.DataGridViewCellStyle, input rowIndex as integer, input includeColors as logical):
   end method.

   method protected System.Drawing.Size GetPreferredSize(input graphics as System.Drawing.Graphics, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input rowIndex as integer, input constraintSize as System.Drawing.Size):
   end method.

   method protected System.Drawing.Size GetSize(input rowIndex as integer):
   end method.

   method protected System.Object GetValue(input rowIndex as integer):
   end method.

   method public void InitializeEditingControl(input rowIndex as integer, input initialFormattedValue as System.Object, input dataGridViewCellStyle as System.Windows.Forms.DataGridViewCellStyle):
   end method.

   method protected logical KeyDownUnsharesRow(input e as System.Windows.Forms.KeyEventArgs, input rowIndex as integer):
   end method.

   method public logical KeyEntersEditMode(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected logical KeyPressUnsharesRow(input e as System.Windows.Forms.KeyPressEventArgs, input rowIndex as integer):
   end method.

   method protected logical KeyUpUnsharesRow(input e as System.Windows.Forms.KeyEventArgs, input rowIndex as integer):
   end method.

   method protected logical LeaveUnsharesRow(input rowIndex as integer, input throughMouseClick as logical):
   end method.

   method public final static integer MeasureTextHeight(input graphics as System.Drawing.Graphics, input text as character, input font as System.Drawing.Font, input maxWidth as integer, input flags as System.Windows.Forms.TextFormatFlags):
   end method.

   method public final static integer MeasureTextHeight(input graphics as System.Drawing.Graphics, input text as character, input font as System.Drawing.Font, input maxWidth as integer, input flags as System.Windows.Forms.TextFormatFlags, input widthTruncated as logical):
   end method.

   method public final static System.Drawing.Size MeasureTextPreferredSize(input graphics as System.Drawing.Graphics, input text as character, input font as System.Drawing.Font, input maxRatio as decimal, input flags as System.Windows.Forms.TextFormatFlags):
   end method.

   method public final static System.Drawing.Size MeasureTextSize(input graphics as System.Drawing.Graphics, input text as character, input font as System.Drawing.Font, input flags as System.Windows.Forms.TextFormatFlags):
   end method.

   method public final static integer MeasureTextWidth(input graphics as System.Drawing.Graphics, input text as character, input font as System.Drawing.Font, input maxHeight as integer, input flags as System.Windows.Forms.TextFormatFlags):
   end method.

   method protected logical MouseClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected logical MouseDoubleClickUnsharesRow(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected logical MouseDownUnsharesRow(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected logical MouseEnterUnsharesRow(input rowIndex as integer):
   end method.

   method protected logical MouseLeaveUnsharesRow(input rowIndex as integer):
   end method.

   method protected logical MouseMoveUnsharesRow(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected logical MouseUpUnsharesRow(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected void OnClick(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected void OnContentClick(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected void OnContentDoubleClick(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected void OnDoubleClick(input e as System.Windows.Forms.DataGridViewCellEventArgs):
   end method.

   method protected void OnEnter(input rowIndex as integer, input throughMouseClick as logical):
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs, input rowIndex as integer):
   end method.

   method protected void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs, input rowIndex as integer):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs, input rowIndex as integer):
   end method.

   method protected void OnLeave(input rowIndex as integer, input throughMouseClick as logical):
   end method.

   method protected void OnMouseClick(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected void OnMouseDoubleClick(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected void OnMouseEnter(input rowIndex as integer):
   end method.

   method protected void OnMouseLeave(input rowIndex as integer):
   end method.

   method protected void OnMouseMove(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected void OnMouseUp(input e as System.Windows.Forms.DataGridViewCellMouseEventArgs):
   end method.

   method protected override void OnDataGridViewChanged():
   end method.

   method protected void Paint(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input cellBounds as System.Drawing.Rectangle, input rowIndex as integer, input cellState as System.Windows.Forms.DataGridViewElementStates, input value as System.Object, input formattedValue as System.Object, input errorText as character, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input advancedBorderStyle as System.Windows.Forms.DataGridViewAdvancedBorderStyle, input paintParts as System.Windows.Forms.DataGridViewPaintParts):
   end method.

   method protected void PaintBorder(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input bounds as System.Drawing.Rectangle, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input advancedBorderStyle as System.Windows.Forms.DataGridViewAdvancedBorderStyle):
   end method.

   method protected void PaintErrorIcon(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input cellValueBounds as System.Drawing.Rectangle, input errorText as character):
   end method.

   method public System.Object ParseFormattedValue(input formattedValue as System.Object, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input formattedValueTypeConverter as System.ComponentModel.TypeConverter, input valueTypeConverter as System.ComponentModel.TypeConverter):
   end method.

   method public void PositionEditingControl(input setLocation as logical, input setSize as logical, input cellBounds as System.Drawing.Rectangle, input cellClip as System.Drawing.Rectangle, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input singleVerticalBorderAdded as logical, input singleHorizontalBorderAdded as logical, input isFirstDisplayedColumn as logical, input isFirstDisplayedRow as logical):
   end method.

   method public System.Drawing.Rectangle PositionEditingPanel(input cellBounds as System.Drawing.Rectangle, input cellClip as System.Drawing.Rectangle, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input singleVerticalBorderAdded as logical, input singleHorizontalBorderAdded as logical, input isFirstDisplayedColumn as logical, input isFirstDisplayedRow as logical):
   end method.

   method protected logical SetValue(input rowIndex as integer, input value as System.Object):
   end method.

   method public override character ToString():
   end method.

end class.
