class System.Windows.Forms.DataGridViewColumn
   inherits System.Windows.Forms.DataGridViewBand
   implements System.ICloneable, System.IDisposable, System.ComponentModel.IComponent:

   def public property AutoSizeMode as System.Windows.Forms.DataGridViewAutoSizeColumnMode
      get.
      set.

   def public property CellTemplate as System.Windows.Forms.DataGridViewCell
      get.
      set.

   def public property CellType as System.Type
      get.

   def public override property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property DataPropertyName as character
      get.
      set.

   def public override property DefaultCellStyle as System.Windows.Forms.DataGridViewCellStyle
      get.
      set.

   def public property DisplayIndex as integer
      get.
      set.

   def public property DividerWidth as integer
      get.
      set.

   def public property FillWeight as decimal
      get.
      set.

   def public override property Frozen as logical
      get.
      set.

   def public property HeaderCell as System.Windows.Forms.DataGridViewColumnHeaderCell
      get.
      set.

   def public property HeaderText as character
      get.
      set.

   def public property InheritedAutoSizeMode as System.Windows.Forms.DataGridViewAutoSizeColumnMode
      get.

   def public override property InheritedStyle as System.Windows.Forms.DataGridViewCellStyle
      get.

   def public property IsDataBound as logical
      get.

   def public property MinimumWidth as integer
      get.
      set.

   def public property Name as character
      get.
      set.

   def public override property ReadOnly as logical
      get.
      set.

   def public override property Resizable as System.Windows.Forms.DataGridViewTriState
      get.
      set.

   def public property Site as System.ComponentModel.ISite
      get.
      set.

   def public property SortMode as System.Windows.Forms.DataGridViewColumnSortMode
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property ValueType as System.Type
      get.
      set.

   def public override property Visible as logical
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public event Disposed signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public DataGridViewColumn():
   end constructor.

   constructor public DataGridViewColumn(input cellTemplate as System.Windows.Forms.DataGridViewCell):
   end constructor.

   method public override System.Object Clone():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public integer GetPreferredWidth(input autoSizeColumnMode as System.Windows.Forms.DataGridViewAutoSizeColumnMode, input fixedHeight as logical):
   end method.

   method public override character ToString():
   end method.

end class.
