class System.Windows.Forms.DataGridViewColumnCollection
   inherits System.Windows.Forms.BaseCollection
   implements System.Collections.ICollection, System.Collections.IEnumerable, System.Collections.IList:

   def protected override property List as System.Collections.ArrayList
      get.

   def protected property DataGridView as System.Windows.Forms.DataGridView
      get.

   def public property Item as System.Windows.Forms.DataGridViewColumn
      get.

   def public property Item as System.Windows.Forms.DataGridViewColumn
      get.

   def public event CollectionChanged signature void (input sender as System.Object, input e as System.ComponentModel.CollectionChangeEventArgs).

   constructor public DataGridViewColumnCollection(input dataGridView as System.Windows.Forms.DataGridView):
   end constructor.

   method public integer Add(input columnName as character, input headerText as character):
   end method.

   method public integer Add(input dataGridViewColumn as System.Windows.Forms.DataGridViewColumn):
   end method.

   method public void AddRange(input dataGridViewColumns as System.Windows.Forms.DataGridViewColumn extent):
   end method.

   method public void Clear():
   end method.

   method public logical Contains(input dataGridViewColumn as System.Windows.Forms.DataGridViewColumn):
   end method.

   method public logical Contains(input columnName as character):
   end method.

   method public final void CopyTo(input array as System.Windows.Forms.DataGridViewColumn extent, input index as integer):
   end method.

   method public final integer GetColumnCount(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer GetColumnsWidth(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final System.Windows.Forms.DataGridViewColumn GetFirstColumn(input includeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final System.Windows.Forms.DataGridViewColumn GetFirstColumn(input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final System.Windows.Forms.DataGridViewColumn GetLastColumn(input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final System.Windows.Forms.DataGridViewColumn GetNextColumn(input dataGridViewColumnStart as System.Windows.Forms.DataGridViewColumn, input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final System.Windows.Forms.DataGridViewColumn GetPreviousColumn(input dataGridViewColumnStart as System.Windows.Forms.DataGridViewColumn, input includeFilter as System.Windows.Forms.DataGridViewElementStates, input excludeFilter as System.Windows.Forms.DataGridViewElementStates):
   end method.

   method public final integer IndexOf(input dataGridViewColumn as System.Windows.Forms.DataGridViewColumn):
   end method.

   method public void Insert(input columnIndex as integer, input dataGridViewColumn as System.Windows.Forms.DataGridViewColumn):
   end method.

   method protected void OnCollectionChanged(input e as System.ComponentModel.CollectionChangeEventArgs):
   end method.

   method public void Remove(input dataGridViewColumn as System.Windows.Forms.DataGridViewColumn):
   end method.

   method public void Remove(input columnName as character):
   end method.

   method public void RemoveAt(input index as integer):
   end method.

end class.
