class System.Windows.Forms.DataGridViewRow
   inherits System.Windows.Forms.DataGridViewBand
   implements System.ICloneable, System.IDisposable:

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property Cells as System.Windows.Forms.DataGridViewCellCollection
      get.

   def public override property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property DataBoundItem as System.Object
      get.

   def public override property DefaultCellStyle as System.Windows.Forms.DataGridViewCellStyle
      get.
      set.

   def public override property Displayed as logical
      get.

   def public property DividerHeight as integer
      get.
      set.

   def public property ErrorText as character
      get.
      set.

   def public override property Frozen as logical
      get.
      set.

   def public property HeaderCell as System.Windows.Forms.DataGridViewRowHeaderCell
      get.
      set.

   def public property Height as integer
      get.
      set.

   def public override property InheritedStyle as System.Windows.Forms.DataGridViewCellStyle
      get.

   def public property IsNewRow as logical
      get.

   def public property MinimumHeight as integer
      get.
      set.

   def public override property ReadOnly as logical
      get.
      set.

   def public override property Resizable as System.Windows.Forms.DataGridViewTriState
      get.
      set.

   def public override property Selected as logical
      get.
      set.

   def public override property State as System.Windows.Forms.DataGridViewElementStates
      get.

   def public override property Visible as logical
      get.
      set.

   constructor public DataGridViewRow():
   end constructor.

   method public System.Windows.Forms.DataGridViewAdvancedBorderStyle AdjustRowHeaderBorderStyle(input dataGridViewAdvancedBorderStyleInput as System.Windows.Forms.DataGridViewAdvancedBorderStyle, input dataGridViewAdvancedBorderStylePlaceholder as System.Windows.Forms.DataGridViewAdvancedBorderStyle, input singleVerticalBorderAdded as logical, input singleHorizontalBorderAdded as logical, input isFirstDisplayedRow as logical, input isLastVisibleRow as logical):
   end method.

   method public override System.Object Clone():
   end method.

   method protected System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method public final void CreateCells(input dataGridView as System.Windows.Forms.DataGridView):
   end method.

   method public final void CreateCells(input dataGridView as System.Windows.Forms.DataGridView, input values as System.Object extent):
   end method.

   method protected System.Windows.Forms.DataGridViewCellCollection CreateCellsInstance():
   end method.

   method protected void DrawFocus(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input bounds as System.Drawing.Rectangle, input rowIndex as integer, input rowState as System.Windows.Forms.DataGridViewElementStates, input cellStyle as System.Windows.Forms.DataGridViewCellStyle, input cellsPaintSelectionBackground as logical):
   end method.

   method public final System.Windows.Forms.ContextMenuStrip GetContextMenuStrip(input rowIndex as integer):
   end method.

   method public final character GetErrorText(input rowIndex as integer):
   end method.

   method public integer GetPreferredHeight(input rowIndex as integer, input autoSizeRowMode as System.Windows.Forms.DataGridViewAutoSizeRowMode, input fixedWidth as logical):
   end method.

   method public System.Windows.Forms.DataGridViewElementStates GetState(input rowIndex as integer):
   end method.

   method protected void Paint(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input rowBounds as System.Drawing.Rectangle, input rowIndex as integer, input rowState as System.Windows.Forms.DataGridViewElementStates, input isFirstDisplayedRow as logical, input isLastVisibleRow as logical):
   end method.

   method protected void PaintCells(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input rowBounds as System.Drawing.Rectangle, input rowIndex as integer, input rowState as System.Windows.Forms.DataGridViewElementStates, input isFirstDisplayedRow as logical, input isLastVisibleRow as logical, input paintParts as System.Windows.Forms.DataGridViewPaintParts):
   end method.

   method protected void PaintHeader(input graphics as System.Drawing.Graphics, input clipBounds as System.Drawing.Rectangle, input rowBounds as System.Drawing.Rectangle, input rowIndex as integer, input rowState as System.Windows.Forms.DataGridViewElementStates, input isFirstDisplayedRow as logical, input isLastVisibleRow as logical, input paintParts as System.Windows.Forms.DataGridViewPaintParts):
   end method.

   method public final logical SetValues(input values as System.Object extent):
   end method.

   method public override character ToString():
   end method.

end class.
