class System.Windows.Forms.DataVisualization.Charting.Axis
   inherits System.Windows.Forms.DataVisualization.Charting.ChartNamedElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property TextOrientation as System.Windows.Forms.DataVisualization.Charting.TextOrientation
      get.
      set.

   def public property IsInterlaced as logical
      get.
      set.

   def public property InterlacedColor as System.Drawing.Color
      get.
      set.

   def public override property Name as character
      get.
      set.

   def public property AxisName as System.Windows.Forms.DataVisualization.Charting.AxisName
      get.

   def public property ArrowStyle as System.Windows.Forms.DataVisualization.Charting.AxisArrowStyle
      get.
      set.

   def public property MajorGrid as System.Windows.Forms.DataVisualization.Charting.Grid
      get.
      set.

   def public property MinorGrid as System.Windows.Forms.DataVisualization.Charting.Grid
      get.
      set.

   def public property MajorTickMark as System.Windows.Forms.DataVisualization.Charting.TickMark
      get.
      set.

   def public property MinorTickMark as System.Windows.Forms.DataVisualization.Charting.TickMark
      get.
      set.

   def public property IsLabelAutoFit as logical
      get.
      set.

   def public property LabelAutoFitMinFontSize as integer
      get.
      set.

   def public property LabelAutoFitMaxFontSize as integer
      get.
      set.

   def public property LabelAutoFitStyle as System.Windows.Forms.DataVisualization.Charting.LabelAutoFitStyles
      get.
      set.

   def public property IsMarksNextToAxis as logical
      get.
      set.

   def public property Title as character
      get.
      set.

   def public property TitleForeColor as System.Drawing.Color
      get.
      set.

   def public property TitleAlignment as System.Drawing.StringAlignment
      get.
      set.

   def public property TitleFont as System.Drawing.Font
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   def public property LineWidth as integer
      get.
      set.

   def public property LineDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property StripLines as System.Windows.Forms.DataVisualization.Charting.StripLinesCollection
      get.

   def public property MaximumAutoSize as decimal
      get.
      set.

   def public property ToolTip as character
      get.
      set.

   def public property Interval as decimal
      get.
      set.

   def public property IntervalOffset as decimal
      get.
      set.

   def public property IntervalType as System.Windows.Forms.DataVisualization.Charting.DateTimeIntervalType
      get.
      set.

   def public property IntervalOffsetType as System.Windows.Forms.DataVisualization.Charting.DateTimeIntervalType
      get.
      set.

   def public property LabelStyle as System.Windows.Forms.DataVisualization.Charting.LabelStyle
      get.
      set.

   def public property CustomLabels as System.Windows.Forms.DataVisualization.Charting.CustomLabelsCollection
      get.

   def public property IntervalAutoMode as System.Windows.Forms.DataVisualization.Charting.IntervalAutoMode
      get.
      set.

   def public property IsReversed as logical
      get.
      set.

   def public property IsStartedFromZero as logical
      get.
      set.

   def public property IsMarginVisible as logical
      get.
      set.

   def public property Maximum as decimal
      get.
      set.

   def public property Minimum as decimal
      get.
      set.

   def public property Crossing as decimal
      get.
      set.

   def public property Enabled as System.Windows.Forms.DataVisualization.Charting.AxisEnabled
      get.
      set.

   def public property IsLogarithmic as logical
      get.
      set.

   def public property LogarithmBase as decimal
      get.
      set.

   def public property ScaleBreakStyle as System.Windows.Forms.DataVisualization.Charting.AxisScaleBreakStyle
      get.
      set.

   def public property ScaleView as System.Windows.Forms.DataVisualization.Charting.AxisScaleView
      get.
      set.

   def public property ScrollBar as System.Windows.Forms.DataVisualization.Charting.AxisScrollBar
      get.
      set.

   constructor public Axis():
   end constructor.

   constructor public Axis(input chartArea as System.Windows.Forms.DataVisualization.Charting.ChartArea, input axisTypeName as System.Windows.Forms.DataVisualization.Charting.AxisName):
   end constructor.

   method public final void RoundAxisValues():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final decimal GetPosition(input axisValue as decimal):
   end method.

   method public final decimal ValueToPosition(input axisValue as decimal):
   end method.

   method public final decimal ValueToPixelPosition(input axisValue as decimal):
   end method.

   method public final decimal PositionToValue(input position as decimal):
   end method.

   method public final decimal PixelPositionToValue(input position as decimal):
   end method.

end class.
