class System.Windows.Forms.DataVisualization.Charting.Cursor
   inherits System.Object
   implements System.IDisposable:

   def public property Position as decimal
      get.
      set.

   def public property SelectionStart as decimal
      get.
      set.

   def public property SelectionEnd as decimal
      get.
      set.

   def public property IsUserEnabled as logical
      get.
      set.

   def public property IsUserSelectionEnabled as logical
      get.
      set.

   def public property AutoScroll as logical
      get.
      set.

   def public property AxisType as System.Windows.Forms.DataVisualization.Charting.AxisType
      get.
      set.

   def public property Interval as decimal
      get.
      set.

   def public property IntervalType as System.Windows.Forms.DataVisualization.Charting.DateTimeIntervalType
      get.
      set.

   def public property IntervalOffset as decimal
      get.
      set.

   def public property IntervalOffsetType as System.Windows.Forms.DataVisualization.Charting.DateTimeIntervalType
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   def public property LineDashStyle as System.Windows.Forms.DataVisualization.Charting.ChartDashStyle
      get.
      set.

   def public property LineWidth as integer
      get.
      set.

   def public property SelectionColor as System.Drawing.Color
      get.
      set.

   constructor public Cursor():
   end constructor.

   method public final void SetCursorPosition(input newPosition as decimal):
   end method.

   method public final void SetCursorPixelPosition(input point as System.Drawing.PointF, input roundToBoundary as logical):
   end method.

   method public final void SetSelectionPosition(input newStart as decimal, input newEnd as decimal):
   end method.

   method public final void SetSelectionPixelPosition(input startPoint as System.Drawing.PointF, input endPoint as System.Drawing.PointF, input roundToBoundary as logical):
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final void Dispose():
   end method.

end class.
