class System.Windows.Forms.DataVisualization.Charting.DataManipulator
   inherits System.Windows.Forms.DataVisualization.Charting.DataFormula:

   def public property FilterSetEmptyPoints as logical
      get.
      set.

   def public property FilterMatchedPoints as logical
      get.
      set.

   constructor public DataManipulator():
   end constructor.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder, input sortBy as character, input seriesName as character):
   end method.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder, input seriesName as character):
   end method.

   method public final void Sort(input pointSortOrder as System.Windows.Forms.DataVisualization.Charting.PointSortOrder, input sortBy as character, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Sort(input comparer as System.Collections.Generic.IComparer, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Sort(input comparer as System.Collections.Generic.IComparer, input seriesName as character):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input seriesName as character):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input seriesName as character):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input fromXValue as decimal, input toXValue as decimal, input seriesName as character):
   end method.

   method public final void InsertEmptyPoints(input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input fromXValue as decimal, input toXValue as decimal, input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final System.Data.DataSet ExportSeriesValues():
   end method.

   method public final System.Data.DataSet ExportSeriesValues(input seriesNames as character):
   end method.

   method public final System.Data.DataSet ExportSeriesValues(input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input dateRange as System.Windows.Forms.DataVisualization.Charting.DateRangeType, input rangeElements as character, input inputSeriesNames as character, input outputSeriesNames as character):
   end method.

   method public final void Filter(input dateRange as System.Windows.Forms.DataVisualization.Charting.DateRangeType, input rangeElements as character, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input dateRange as System.Windows.Forms.DataVisualization.Charting.DateRangeType, input rangeElements as character, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input dateRange as System.Windows.Forms.DataVisualization.Charting.DateRangeType, input rangeElements as character, input inputSeriesNames as character):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input usingValue as character):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeriesNames as character):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeriesNames as character, input outputSeriesNames as character):
   end method.

   method public final void Filter(input compareMethod as System.Windows.Forms.DataVisualization.Charting.CompareMethod, input compareValue as decimal, input inputSeriesNames as character, input outputSeriesNames as character, input usingValue as character):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeriesNames as character, input outputSeriesNames as character, input usingValue as character, input getTopValues as logical):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input usingValue as character):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input usingValue as character, input getTopValues as logical):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeriesNames as character):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeriesNames as character, input outputSeriesNames as character):
   end method.

   method public final void FilterTopN(input pointCount as integer, input inputSeriesNames as character, input outputSeriesNames as character, input usingValue as character):
   end method.

   method public final void Filter(input filterInterface as System.Windows.Forms.DataVisualization.Charting.IDataPointFilter, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input filterInterface as System.Windows.Forms.DataVisualization.Charting.IDataPointFilter, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Filter(input filterInterface as System.Windows.Forms.DataVisualization.Charting.IDataPointFilter, input inputSeriesNames as character):
   end method.

   method public final void Filter(input filterInterface as System.Windows.Forms.DataVisualization.Charting.IDataPointFilter, input inputSeriesNames as character, input outputSeriesNames as character):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeriesName as character):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeriesName as character):
   end method.

   method public final void GroupByAxisLabel(input formula as character, input inputSeriesName as character, input outputSeriesName as character):
   end method.

   method public final void GroupByAxisLabel(input formula as character, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void GroupByAxisLabel(input formula as character, input inputSeriesName as character):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeriesName as character, input outputSeriesName as character):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeriesName as character, input outputSeriesName as character):
   end method.

   method public final void Group(input formula as character, input interval as decimal, input intervalType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input intervalOffset as decimal, input intervalOffsetType as System.Windows.Forms.DataVisualization.Charting.IntervalType, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

   method public final void GroupByAxisLabel(input formula as character, input inputSeries as System.Windows.Forms.DataVisualization.Charting.Series, input outputSeries as System.Windows.Forms.DataVisualization.Charting.Series):
   end method.

end class.
