class System.Windows.Forms.DataVisualization.Charting.DataPoint
   inherits System.Windows.Forms.DataVisualization.Charting.DataPointCustomProperties
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property XValue as decimal
      get.
      set.

   def public property YValues as System.Double extent
      get.
      set.

   def public property IsEmpty as logical
      get.
      set.

   def public override property Name as character
      get.
      set.

   constructor public DataPoint():
   end constructor.

   constructor public DataPoint(input series as System.Windows.Forms.DataVisualization.Charting.Series):
   end constructor.

   constructor public DataPoint(input xValue as decimal, input yValue as decimal):
   end constructor.

   constructor public DataPoint(input xValue as decimal, input yValues as System.Double extent):
   end constructor.

   constructor public DataPoint(input xValue as decimal, input yValues as character):
   end constructor.

   method public final void SetValueXY(input xValue as System.Object, input yValue as System.Object extent):
   end method.

   method public final void SetValueY(input yValue as System.Object extent):
   end method.

   method public final override System.Windows.Forms.DataVisualization.Charting.DataPoint Clone():
   end method.

   method public final decimal GetValueByName(input valueName as character):
   end method.

end class.
