class System.Windows.Forms.DataVisualization.Charting.ElementPosition
   inherits System.Windows.Forms.DataVisualization.Charting.ChartElement
   implements System.Windows.Forms.DataVisualization.Charting.IChartElement, System.IDisposable:

   def public property Size as System.Drawing.SizeF
      get.

   def public property Bottom as decimal
      get.

   def public property Right as decimal
      get.

   def public property X as decimal
      get.
      set.

   def public property Y as decimal
      get.
      set.

   def public property Width as decimal
      get.
      set.

   def public property Height as decimal
      get.
      set.

   def public property Auto as logical
      get.
      set.

   constructor public ElementPosition():
   end constructor.

   constructor public ElementPosition(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end constructor.

   method public final System.Drawing.RectangleF ToRectangleF():
   end method.

   method public final void FromRectangleF(input rect as System.Drawing.RectangleF):
   end method.

end class.
