class System.Windows.Forms.DataVisualization.Charting.StatisticFormula
   inherits System.Object:

   method public final System.Windows.Forms.DataVisualization.Charting.ZTestResult ZTest(input hypothesizedMeanDifference as decimal, input varianceFirstGroup as decimal, input varianceSecondGroup as decimal, input probability as decimal, input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.TTestResult TTestUnequalVariances(input hypothesizedMeanDifference as decimal, input probability as decimal, input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.TTestResult TTestEqualVariances(input hypothesizedMeanDifference as decimal, input probability as decimal, input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.TTestResult TTestPaired(input hypothesizedMeanDifference as decimal, input probability as decimal, input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.FTestResult FTest(input probability as decimal, input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final System.Windows.Forms.DataVisualization.Charting.AnovaResult Anova(input probability as decimal, input inputSeriesNames as character):
   end method.

   method public final decimal NormalDistribution(input zValue as decimal):
   end method.

   method public final decimal InverseNormalDistribution(input probability as decimal):
   end method.

   method public final decimal FDistribution(input value as decimal, input firstDegreeOfFreedom as integer, input secondDegreeOfFreedom as integer):
   end method.

   method public final decimal InverseFDistribution(input probability as decimal, input firstDegreeOfFreedom as integer, input secondDegreeOfFreedom as integer):
   end method.

   method public final decimal TDistribution(input value as decimal, input degreeOfFreedom as integer, input oneTail as logical):
   end method.

   method public final decimal InverseTDistribution(input probability as decimal, input degreeOfFreedom as integer):
   end method.

   method public final decimal Covariance(input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final decimal Correlation(input firstInputSeriesName as character, input secondInputSeriesName as character):
   end method.

   method public final decimal Mean(input inputSeriesName as character):
   end method.

   method public final decimal Median(input inputSeriesName as character):
   end method.

   method public final decimal Variance(input inputSeriesName as character, input sampleVariance as logical):
   end method.

   method public final decimal BetaFunction(input m as decimal, input n as decimal):
   end method.

   method public final decimal GammaFunction(input value as decimal):
   end method.

end class.
