class System.Windows.Forms.DrawListViewSubItemEventArgs
   inherits System.EventArgs:

   def public property DrawDefault as logical
      get.
      set.

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property Item as System.Windows.Forms.ListViewItem
      get.

   def public property SubItem as System.Windows.Forms.ListViewItem+ListViewSubItem
      get.

   def public property ItemIndex as integer
      get.

   def public property ColumnIndex as integer
      get.

   def public property Header as System.Windows.Forms.ColumnHeader
      get.

   def public property ItemState as System.Windows.Forms.ListViewItemStates
      get.

   constructor public DrawListViewSubItemEventArgs(input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle, input item as System.Windows.Forms.ListViewItem, input subItem as System.Windows.Forms.ListViewItem+ListViewSubItem, input itemIndex as integer, input columnIndex as integer, input header as System.Windows.Forms.ColumnHeader, input itemState as System.Windows.Forms.ListViewItemStates):
   end constructor.

   method public final void DrawBackground():
   end method.

   method public final void DrawFocusRectangle(input bounds as System.Drawing.Rectangle):
   end method.

   method public final void DrawText():
   end method.

   method public final void DrawText(input flags as System.Windows.Forms.TextFormatFlags):
   end method.

end class.
