class System.Windows.Forms.HtmlWindow
   inherits System.Object
   final:

   def public property Document as System.Windows.Forms.HtmlDocument
      get.

   def public property DomWindow as System.Object
      get.

   def public property Frames as System.Windows.Forms.HtmlWindowCollection
      get.

   def public property History as System.Windows.Forms.HtmlHistory
      get.

   def public property IsClosed as logical
      get.

   def public property Name as character
      get.
      set.

   def public property Opener as System.Windows.Forms.HtmlWindow
      get.

   def public property Parent as System.Windows.Forms.HtmlWindow
      get.

   def public property Position as System.Drawing.Point
      get.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property StatusBarText as character
      get.
      set.

   def public property Url as System.Uri
      get.

   def public property WindowFrameElement as System.Windows.Forms.HtmlElement
      get.

   def public event Error signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementErrorEventArgs).

   def public event GotFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Load signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event LostFocus signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Resize signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Scroll signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   def public event Unload signature void (input sender as System.Object, input e as System.Windows.Forms.HtmlElementEventArgs).

   method public final void Alert(input message as character):
   end method.

   method public final void AttachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final void Close():
   end method.

   method public final logical Confirm(input message as character):
   end method.

   method public final void DetachEventHandler(input eventName as character, input eventHandler as System.EventHandler):
   end method.

   method public final void Focus():
   end method.

   method public final void MoveTo(input x as integer, input y as integer):
   end method.

   method public final void MoveTo(input point as System.Drawing.Point):
   end method.

   method public final void Navigate(input url as System.Uri):
   end method.

   method public final void Navigate(input urlString as character):
   end method.

   method public final System.Windows.Forms.HtmlWindow Open(input urlString as character, input target as character, input windowOptions as character, input replaceEntry as logical):
   end method.

   method public final System.Windows.Forms.HtmlWindow Open(input url as System.Uri, input target as character, input windowOptions as character, input replaceEntry as logical):
   end method.

   method public final System.Windows.Forms.HtmlWindow OpenNew(input urlString as character, input windowOptions as character):
   end method.

   method public final System.Windows.Forms.HtmlWindow OpenNew(input url as System.Uri, input windowOptions as character):
   end method.

   method public final character Prompt(input message as character, input defaultInputValue as character):
   end method.

   method public final void RemoveFocus():
   end method.

   method public final void ResizeTo(input width as integer, input height as integer):
   end method.

   method public final void ResizeTo(input size as System.Drawing.Size):
   end method.

   method public final void ScrollTo(input x as integer, input y as integer):
   end method.

   method public final void ScrollTo(input point as System.Drawing.Point):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

end class.
