class System.Windows.Forms.Label
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public override property AutoSize as logical
      get.
      set.

   def public property AutoEllipsis as logical
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultImeMode as System.Windows.Forms.ImeMode
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property FlatStyle as System.Windows.Forms.FlatStyle
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ImageAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def public property PreferredHeight as integer
      get.

   def public property PreferredWidth as integer
      get.

   def protected property RenderTransparent as logical
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property TextAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public property UseMnemonic as logical
      get.
      set.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public override event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextAlignChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public Label():
   end constructor.

   method protected final System.Drawing.Rectangle CalcImageRenderBounds(input image as System.Drawing.Image, input r as System.Drawing.Rectangle, input align as System.Drawing.ContentAlignment):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected final void DrawImage(input g as System.Drawing.Graphics, input image as System.Drawing.Image, input r as System.Drawing.Rectangle, input align as System.Drawing.ContentAlignment):
   end method.

   method public override System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected override void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextAlignChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaddingChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public override character ToString():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
