class System.Windows.Forms.ListBox
   inherits System.Windows.Forms.ListControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public static variable NoMatches as integer.

   def public static variable DefaultItemHeight as integer.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property ColumnWidth as integer
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property UseCustomTabOffsets as logical
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property DrawMode as System.Windows.Forms.DrawMode
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property HorizontalExtent as integer
      get.
      set.

   def public property HorizontalScrollbar as logical
      get.
      set.

   def public property IntegralHeight as logical
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property Items as System.Windows.Forms.ListBox+ObjectCollection
      get.

   def public property MultiColumn as logical
      get.
      set.

   def public property PreferredHeight as integer
      get.

   def public override property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def public property ScrollAlwaysVisible as logical
      get.
      set.

   def protected override property AllowSelection as logical
      get.

   def public override property SelectedIndex as integer
      get.
      set.

   def public property SelectedIndices as System.Windows.Forms.ListBox+SelectedIndexCollection
      get.

   def public property SelectedItem as System.Object
      get.
      set.

   def public property SelectedItems as System.Windows.Forms.ListBox+SelectedObjectCollection
      get.

   def public property SelectionMode as System.Windows.Forms.SelectionMode
      get.
      set.

   def public property Sorted as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TopIndex as integer
      get.
      set.

   def public property UseTabStops as logical
      get.
      set.

   def public property CustomTabOffsets as System.Windows.Forms.ListBox+IntegerCollection
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event DrawItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawItemEventArgs).

   def public event MeasureItem signature void (input sender as System.Object, input e as System.Windows.Forms.MeasureItemEventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ListBox():
   end constructor.

   method protected void AddItemsCore(input value as System.Object extent):
   end method.

   method public final void BeginUpdate():
   end method.

   method protected System.Windows.Forms.ListBox+ObjectCollection CreateItemCollection():
   end method.

   method public final void ClearSelected():
   end method.

   method public final void EndUpdate():
   end method.

   method public final integer FindString(input s as character):
   end method.

   method public final integer FindString(input s as character, input startIndex as integer):
   end method.

   method public final integer FindStringExact(input s as character):
   end method.

   method public final integer FindStringExact(input s as character, input startIndex as integer):
   end method.

   method public final integer GetItemHeight(input index as integer):
   end method.

   method public final System.Drawing.Rectangle GetItemRectangle(input index as integer):
   end method.

   method protected override System.Drawing.Rectangle GetScaledBounds(input bounds as System.Drawing.Rectangle, input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public final logical GetSelected(input index as integer):
   end method.

   method public final integer IndexFromPoint(input p as System.Drawing.Point):
   end method.

   method public final integer IndexFromPoint(input x as integer, input y as integer):
   end method.

   method protected override void OnChangeUICues(input e as System.Windows.Forms.UICuesEventArgs):
   end method.

   method protected void OnDrawItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnMeasureItem(input e as System.Windows.Forms.MeasureItemEventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected override void OnSelectedIndexChanged(input e as System.EventArgs):
   end method.

   method protected override void OnSelectedValueChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDataSourceChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDisplayMemberChanged(input e as System.EventArgs):
   end method.

   method public override void Refresh():
   end method.

   method protected override void RefreshItems():
   end method.

   method protected override void RefreshItem(input index as integer):
   end method.

   method public override void ResetBackColor():
   end method.

   method public override void ResetForeColor():
   end method.

   method protected override void ScaleControl(input factor as System.Drawing.SizeF, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method protected override void SetItemsCore(input value as System.Collections.IList):
   end method.

   method protected override void SetItemCore(input index as integer, input value as System.Object):
   end method.

   method public final void SetSelected(input index as integer, input value as logical):
   end method.

   method protected void Sort():
   end method.

   method public override character ToString():
   end method.

   method protected void WmReflectCommand(input m as System.Windows.Forms.Message):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
