class System.Windows.Forms.ListControl
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent
   abstract:

   def public property DataSource as System.Object
      get.
      set.

   def protected property DataManager as System.Windows.Forms.CurrencyManager
      get.

   def public property DisplayMember as character
      get.
      set.

   def public property FormatInfo as System.IFormatProvider
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property FormattingEnabled as logical
      get.
      set.

   def public property ValueMember as character
      get.
      set.

   def protected property AllowSelection as logical
      get.

   def public abstract property SelectedIndex as integer
      get.
      set.

   def public property SelectedValue as System.Object
      get.
      set.

   def public event DataSourceChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DisplayMemberChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Format signature void (input sender as System.Object, input e as System.Windows.Forms.ListControlConvertEventArgs).

   def public event FormatInfoChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormatStringChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormattingEnabledChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueMemberChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectedValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected ListControl():
   end constructor.

   method protected final System.Object FilterItemOnProperty(input item as System.Object):
   end method.

   method protected final System.Object FilterItemOnProperty(input item as System.Object, input field as character):
   end method.

   method public final character GetItemText(input item as System.Object):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnBindingContextChanged(input e as System.EventArgs):
   end method.

   method protected void OnDataSourceChanged(input e as System.EventArgs):
   end method.

   method protected void OnDisplayMemberChanged(input e as System.EventArgs):
   end method.

   method protected void OnFormat(input e as System.Windows.Forms.ListControlConvertEventArgs):
   end method.

   method protected void OnFormatInfoChanged(input e as System.EventArgs):
   end method.

   method protected void OnFormatStringChanged(input e as System.EventArgs):
   end method.

   method protected void OnFormattingEnabledChanged(input e as System.EventArgs):
   end method.

   method protected void OnSelectedIndexChanged(input e as System.EventArgs):
   end method.

   method protected void OnValueMemberChanged(input e as System.EventArgs):
   end method.

   method protected void OnSelectedValueChanged(input e as System.EventArgs):
   end method.

   method protected abstract void RefreshItem(input index as integer).

   method protected void RefreshItems():
   end method.

   method protected abstract void SetItemsCore(input items as System.Collections.IList).

   method protected void SetItemCore(input index as integer, input value as System.Object):
   end method.

end class.
