class System.Windows.Forms.ListView
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property Activation as System.Windows.Forms.ItemActivation
      get.
      set.

   def public property Alignment as System.Windows.Forms.ListViewAlignment
      get.
      set.

   def public property AllowColumnReorder as logical
      get.
      set.

   def public property AutoArrange as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BackgroundImageTiled as logical
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property CheckBoxes as logical
      get.
      set.

   def public property CheckedIndices as System.Windows.Forms.ListView+CheckedIndexCollection
      get.

   def public property CheckedItems as System.Windows.Forms.ListView+CheckedListViewItemCollection
      get.

   def public property Columns as System.Windows.Forms.ListView+ColumnHeaderCollection
      get.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DoubleBuffered as logical
      get.
      set.

   def public property FocusedItem as System.Windows.Forms.ListViewItem
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property FullRowSelect as logical
      get.
      set.

   def public property GridLines as logical
      get.
      set.

   def public property Groups as System.Windows.Forms.ListViewGroupCollection
      get.

   def public property HeaderStyle as System.Windows.Forms.ColumnHeaderStyle
      get.
      set.

   def public property HideSelection as logical
      get.
      set.

   def public property HotTracking as logical
      get.
      set.

   def public property HoverSelection as logical
      get.
      set.

   def public property InsertionMark as System.Windows.Forms.ListViewInsertionMark
      get.

   def public property Items as System.Windows.Forms.ListView+ListViewItemCollection
      get.

   def public property LabelEdit as logical
      get.
      set.

   def public property LabelWrap as logical
      get.
      set.

   def public property LargeImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ListViewItemSorter as System.Collections.IComparer
      get.
      set.

   def public property MultiSelect as logical
      get.
      set.

   def public property OwnerDraw as logical
      get.
      set.

   def public property RightToLeftLayout as logical
      get.
      set.

   def public property Scrollable as logical
      get.
      set.

   def public property SelectedIndices as System.Windows.Forms.ListView+SelectedIndexCollection
      get.

   def public property SelectedItems as System.Windows.Forms.ListView+SelectedListViewItemCollection
      get.

   def public property ShowGroups as logical
      get.
      set.

   def public property SmallImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ShowItemToolTips as logical
      get.
      set.

   def public property Sorting as System.Windows.Forms.SortOrder
      get.
      set.

   def public property StateImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TileSize as System.Drawing.Size
      get.
      set.

   def public property TopItem as System.Windows.Forms.ListViewItem
      get.
      set.

   def public property UseCompatibleStateImageBehavior as logical
      get.
      set.

   def public property View as System.Windows.Forms.View
      get.
      set.

   def public property VirtualListSize as integer
      get.
      set.

   def public property VirtualMode as logical
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event RightToLeftLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AfterLabelEdit signature void (input sender as System.Object, input e as System.Windows.Forms.LabelEditEventArgs).

   def public event BeforeLabelEdit signature void (input sender as System.Object, input e as System.Windows.Forms.LabelEditEventArgs).

   def public event CacheVirtualItems signature void (input sender as System.Object, input e as System.Windows.Forms.CacheVirtualItemsEventArgs).

   def public event ColumnClick signature void (input sender as System.Object, input e as System.Windows.Forms.ColumnClickEventArgs).

   def public event ColumnReordered signature void (input sender as System.Object, input e as System.Windows.Forms.ColumnReorderedEventArgs).

   def public event ColumnWidthChanged signature void (input sender as System.Object, input e as System.Windows.Forms.ColumnWidthChangedEventArgs).

   def public event ColumnWidthChanging signature void (input sender as System.Object, input e as System.Windows.Forms.ColumnWidthChangingEventArgs).

   def public event DrawColumnHeader signature void (input sender as System.Object, input e as System.Windows.Forms.DrawListViewColumnHeaderEventArgs).

   def public event DrawItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawListViewItemEventArgs).

   def public event DrawSubItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawListViewSubItemEventArgs).

   def public event ItemActivate signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ItemCheck signature void (input sender as System.Object, input e as System.Windows.Forms.ItemCheckEventArgs).

   def public event ItemChecked signature void (input sender as System.Object, input e as System.Windows.Forms.ItemCheckedEventArgs).

   def public event ItemDrag signature void (input sender as System.Object, input e as System.Windows.Forms.ItemDragEventArgs).

   def public event ItemMouseHover signature void (input sender as System.Object, input e as System.Windows.Forms.ListViewItemMouseHoverEventArgs).

   def public event ItemSelectionChanged signature void (input sender as System.Object, input e as System.Windows.Forms.ListViewItemSelectionChangedEventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event RetrieveVirtualItem signature void (input sender as System.Object, input e as System.Windows.Forms.RetrieveVirtualItemEventArgs).

   def public event SearchForVirtualItem signature void (input sender as System.Object, input e as System.Windows.Forms.SearchForVirtualItemEventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event VirtualItemsSelectionRangeChanged signature void (input sender as System.Object, input e as System.Windows.Forms.ListViewVirtualItemsSelectionRangeChangedEventArgs).

   constructor public ListView():
   end constructor.

   method public final void ArrangeIcons(input value as System.Windows.Forms.ListViewAlignment):
   end method.

   method public final void ArrangeIcons():
   end method.

   method public final void AutoResizeColumns(input headerAutoResize as System.Windows.Forms.ColumnHeaderAutoResizeStyle):
   end method.

   method public final void AutoResizeColumn(input columnIndex as integer, input headerAutoResize as System.Windows.Forms.ColumnHeaderAutoResizeStyle):
   end method.

   method public final void BeginUpdate():
   end method.

   method public final void Clear():
   end method.

   method protected override void CreateHandle():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void EndUpdate():
   end method.

   method public final void EnsureVisible(input index as integer):
   end method.

   method public final System.Windows.Forms.ListViewItem FindItemWithText(input text as character):
   end method.

   method public final System.Windows.Forms.ListViewItem FindItemWithText(input text as character, input includeSubItemsInSearch as logical, input startIndex as integer):
   end method.

   method public final System.Windows.Forms.ListViewItem FindItemWithText(input text as character, input includeSubItemsInSearch as logical, input startIndex as integer, input isPrefixSearch as logical):
   end method.

   method public final System.Windows.Forms.ListViewItem FindNearestItem(input dir as System.Windows.Forms.SearchDirectionHint, input point as System.Drawing.Point):
   end method.

   method public final System.Windows.Forms.ListViewItem FindNearestItem(input searchDirection as System.Windows.Forms.SearchDirectionHint, input x as integer, input y as integer):
   end method.

   method public final System.Windows.Forms.ListViewItem GetItemAt(input x as integer, input y as integer):
   end method.

   method public final System.Drawing.Rectangle GetItemRect(input index as integer):
   end method.

   method public final System.Drawing.Rectangle GetItemRect(input index as integer, input portion as System.Windows.Forms.ItemBoundsPortion):
   end method.

   method public final System.Windows.Forms.ListViewHitTestInfo HitTest(input point as System.Drawing.Point):
   end method.

   method public final System.Windows.Forms.ListViewHitTestInfo HitTest(input x as integer, input y as integer):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected void OnAfterLabelEdit(input e as System.Windows.Forms.LabelEditEventArgs):
   end method.

   method protected override void OnBackgroundImageChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected void OnBeforeLabelEdit(input e as System.Windows.Forms.LabelEditEventArgs):
   end method.

   method protected void OnCacheVirtualItems(input e as System.Windows.Forms.CacheVirtualItemsEventArgs):
   end method.

   method protected void OnColumnClick(input e as System.Windows.Forms.ColumnClickEventArgs):
   end method.

   method protected void OnColumnReordered(input e as System.Windows.Forms.ColumnReorderedEventArgs):
   end method.

   method protected void OnColumnWidthChanged(input e as System.Windows.Forms.ColumnWidthChangedEventArgs):
   end method.

   method protected void OnColumnWidthChanging(input e as System.Windows.Forms.ColumnWidthChangingEventArgs):
   end method.

   method protected void OnDrawColumnHeader(input e as System.Windows.Forms.DrawListViewColumnHeaderEventArgs):
   end method.

   method protected void OnDrawItem(input e as System.Windows.Forms.DrawListViewItemEventArgs):
   end method.

   method protected void OnDrawSubItem(input e as System.Windows.Forms.DrawListViewSubItemEventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnItemActivate(input e as System.EventArgs):
   end method.

   method protected void OnItemCheck(input ice as System.Windows.Forms.ItemCheckEventArgs):
   end method.

   method protected void OnItemChecked(input e as System.Windows.Forms.ItemCheckedEventArgs):
   end method.

   method protected void OnItemDrag(input e as System.Windows.Forms.ItemDragEventArgs):
   end method.

   method protected void OnItemMouseHover(input e as System.Windows.Forms.ListViewItemMouseHoverEventArgs):
   end method.

   method protected void OnItemSelectionChanged(input e as System.Windows.Forms.ListViewItemSelectionChangedEventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnResize(input e as System.EventArgs):
   end method.

   method protected void OnRetrieveVirtualItem(input e as System.Windows.Forms.RetrieveVirtualItemEventArgs):
   end method.

   method protected void OnRightToLeftLayoutChanged(input e as System.EventArgs):
   end method.

   method protected void OnSearchForVirtualItem(input e as System.Windows.Forms.SearchForVirtualItemEventArgs):
   end method.

   method protected void OnSelectedIndexChanged(input e as System.EventArgs):
   end method.

   method protected override void OnSystemColorsChanged(input e as System.EventArgs):
   end method.

   method protected void OnVirtualItemsSelectionRangeChanged(input e as System.Windows.Forms.ListViewVirtualItemsSelectionRangeChangedEventArgs):
   end method.

   method protected final void RealizeProperties():
   end method.

   method public final void RedrawItems(input startIndex as integer, input endIndex as integer, input invalidateOnly as logical):
   end method.

   method public final void Sort():
   end method.

   method public override character ToString():
   end method.

   method protected final void UpdateExtendedStyles():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
