class System.Windows.Forms.MonthCalendar
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IKeyboardToolTip:

   def public property AnnuallyBoldedDates as System.DateTime extent
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BoldedDates as System.DateTime extent
      get.
      set.

   def public property CalendarDimensions as System.Drawing.Size
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def protected override property DefaultImeMode as System.Windows.Forms.ImeMode
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DoubleBuffered as logical
      get.
      set.

   def public property FirstDayOfWeek as System.Windows.Forms.Day
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def public property MaxDate as datetime
      get.
      set.

   def public property MaxSelectionCount as integer
      get.
      set.

   def public property MinDate as datetime
      get.
      set.

   def public property MonthlyBoldedDates as System.DateTime extent
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property RightToLeftLayout as logical
      get.
      set.

   def public property ScrollChange as integer
      get.
      set.

   def public property SelectionEnd as datetime
      get.
      set.

   def public property SelectionStart as datetime
      get.
      set.

   def public property SelectionRange as System.Windows.Forms.SelectionRange
      get.
      set.

   def public property ShowToday as logical
      get.
      set.

   def public property ShowTodayCircle as logical
      get.
      set.

   def public property ShowWeekNumbers as logical
      get.
      set.

   def public property SingleMonthSize as System.Drawing.Size
      get.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property TodayDate as datetime
      get.
      set.

   def public property TodayDateSet as logical
      get.

   def public property TitleBackColor as System.Drawing.Color
      get.
      set.

   def public property TitleForeColor as System.Drawing.Color
      get.
      set.

   def public property TrailingForeColor as System.Drawing.Color
      get.
      set.

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DateChanged signature void (input sender as System.Object, input e as System.Windows.Forms.DateRangeEventArgs).

   def public event DateSelected signature void (input sender as System.Object, input e as System.Windows.Forms.DateRangeEventArgs).

   def public override event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseDoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event RightToLeftLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public MonthCalendar():
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override void RescaleConstantsForDpi(input deviceDpiOld as integer, input deviceDpiNew as integer):
   end method.

   method public final void AddAnnuallyBoldedDate(input date as datetime):
   end method.

   method public final void AddBoldedDate(input date as datetime):
   end method.

   method public final void AddMonthlyBoldedDate(input date as datetime):
   end method.

   method protected override void CreateHandle():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final System.Windows.Forms.SelectionRange GetDisplayRange(input visible as logical):
   end method.

   method public final System.Windows.Forms.MonthCalendar+HitTestInfo HitTest(input x as integer, input y as integer):
   end method.

   method public final System.Windows.Forms.MonthCalendar+HitTestInfo HitTest(input point as System.Drawing.Point):
   end method.

   method protected override logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnDateChanged(input drevent as System.Windows.Forms.DateRangeEventArgs):
   end method.

   method protected void OnDateSelected(input drevent as System.Windows.Forms.DateRangeEventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnRightToLeftLayoutChanged(input e as System.EventArgs):
   end method.

   method public final void RemoveAllAnnuallyBoldedDates():
   end method.

   method public final void RemoveAllBoldedDates():
   end method.

   method public final void RemoveAllMonthlyBoldedDates():
   end method.

   method public final void RemoveAnnuallyBoldedDate(input date as datetime):
   end method.

   method public final void RemoveBoldedDate(input date as datetime):
   end method.

   method public final void RemoveMonthlyBoldedDate(input date as datetime):
   end method.

   method protected override void SetBoundsCore(input x as integer, input y as integer, input width as integer, input height as integer, input specified as System.Windows.Forms.BoundsSpecified):
   end method.

   method public final void SetCalendarDimensions(input x as integer, input y as integer):
   end method.

   method public final void SetDate(input date as datetime):
   end method.

   method public final void SetSelectionRange(input date1 as datetime, input date2 as datetime):
   end method.

   method public override character ToString():
   end method.

   method public final void UpdateBoldedDates():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override void DefWndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
