class System.Windows.Forms.RichTextBox
   inherits System.Windows.Forms.TextBoxBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public override property AllowDrop as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public property AutoWordSelection as logical
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BulletIndent as integer
      get.
      set.

   def public property CanRedo as logical
      get.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property DetectUrls as logical
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property EnableAutoDragDrop as logical
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public property LanguageOption as System.Windows.Forms.RichTextBoxLanguageOptions
      get.
      set.

   def public override property MaxLength as integer
      get.
      set.

   def public override property Multiline as logical
      get.
      set.

   def public property RedoActionName as character
      get.

   def public property RichTextShortcutsEnabled as logical
      get.
      set.

   def public property RightMargin as integer
      get.
      set.

   def public property Rtf as character
      get.
      set.

   def public property ScrollBars as System.Windows.Forms.RichTextBoxScrollBars
      get.
      set.

   def public property SelectionAlignment as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property SelectionBullet as logical
      get.
      set.

   def public property SelectionCharOffset as integer
      get.
      set.

   def public property SelectionColor as System.Drawing.Color
      get.
      set.

   def public property SelectionBackColor as System.Drawing.Color
      get.
      set.

   def public property SelectionFont as System.Drawing.Font
      get.
      set.

   def public property SelectionHangingIndent as integer
      get.
      set.

   def public property SelectionIndent as integer
      get.
      set.

   def public override property SelectionLength as integer
      get.
      set.

   def public property SelectionProtected as logical
      get.
      set.

   def public property SelectedRtf as character
      get.
      set.

   def public property SelectionRightIndent as integer
      get.
      set.

   def public property SelectionTabs as System.Int32 extent
      get.
      set.

   def public override property SelectedText as character
      get.
      set.

   def public property SelectionType as System.Windows.Forms.RichTextBoxSelectionTypes
      get.

   def public property ShowSelectionMargin as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public override property TextLength as integer
      get.

   def public property UndoActionName as character
      get.

   def public property ZoomFactor as decimal
      get.
      set.

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ContentsResized signature void (input sender as System.Object, input e as System.Windows.Forms.ContentsResizedEventArgs).

   def public override event DragDrop signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event DragEnter signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event DragLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DragOver signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event GiveFeedback signature void (input sender as System.Object, input e as System.Windows.Forms.GiveFeedbackEventArgs).

   def public override event QueryContinueDrag signature void (input sender as System.Object, input e as System.Windows.Forms.QueryContinueDragEventArgs).

   def public event HScroll signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LinkClicked signature void (input sender as System.Object, input e as System.Windows.Forms.LinkClickedEventArgs).

   def public event ImeChange signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Protected signature void (input sender as System.Object, input e as System.EventArgs).

   def public event SelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event VScroll signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RichTextBox():
   end constructor.

   method public final logical CanPaste(input clipFormat as System.Windows.Forms.DataFormats+Format):
   end method.

   method public final override void DrawToBitmap(input bitmap as System.Drawing.Bitmap, input targetBounds as System.Drawing.Rectangle):
   end method.

   method public final integer Find(input str as character):
   end method.

   method public final integer Find(input str as character, input options as System.Windows.Forms.RichTextBoxFinds):
   end method.

   method public final integer Find(input str as character, input start as integer, input options as System.Windows.Forms.RichTextBoxFinds):
   end method.

   method public final integer Find(input str as character, input start as integer, input end as integer, input options as System.Windows.Forms.RichTextBoxFinds):
   end method.

   method public final integer Find(input characterSet as System.Char extent):
   end method.

   method public final integer Find(input characterSet as System.Char extent, input start as integer):
   end method.

   method public final integer Find(input characterSet as System.Char extent, input start as integer, input end as integer):
   end method.

   method public override integer GetCharIndexFromPosition(input pt as System.Drawing.Point):
   end method.

   method public override integer GetLineFromCharIndex(input index as integer):
   end method.

   method public override System.Drawing.Point GetPositionFromCharIndex(input index as integer):
   end method.

   method public final void LoadFile(input path as character):
   end method.

   method public final void LoadFile(input path as character, input fileType as System.Windows.Forms.RichTextBoxStreamType):
   end method.

   method public final void LoadFile(input data as System.IO.Stream, input fileType as System.Windows.Forms.RichTextBoxStreamType):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnContextMenuChanged(input e as System.EventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnContentsResized(input e as System.Windows.Forms.ContentsResizedEventArgs):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

   method protected override void OnHandleDestroyed(input e as System.EventArgs):
   end method.

   method protected void OnHScroll(input e as System.EventArgs):
   end method.

   method protected void OnLinkClicked(input e as System.Windows.Forms.LinkClickedEventArgs):
   end method.

   method protected void OnImeChange(input e as System.EventArgs):
   end method.

   method protected void OnProtected(input e as System.EventArgs):
   end method.

   method protected void OnSelectionChanged(input e as System.EventArgs):
   end method.

   method protected void OnVScroll(input e as System.EventArgs):
   end method.

   method public final void Paste(input clipFormat as System.Windows.Forms.DataFormats+Format):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method public final void Redo():
   end method.

   method public final void SaveFile(input path as character):
   end method.

   method public final void SaveFile(input path as character, input fileType as System.Windows.Forms.RichTextBoxStreamType):
   end method.

   method public final void SaveFile(input data as System.IO.Stream, input fileType as System.Windows.Forms.RichTextBoxStreamType):
   end method.

   method protected System.Object CreateRichEditOleCallback():
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
