class System.Windows.Forms.ToolStripButton
   inherits System.Windows.Forms.ToolStripItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def public property AutoToolTip as logical
      get.
      set.

   def public override property CanSelect as logical
      get.

   def public property CheckOnClick as logical
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def protected override property DefaultAutoToolTip as logical
      get.

   def public event CheckedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CheckStateChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolStripButton():
   end constructor.

   constructor public ToolStripButton(input text as character):
   end constructor.

   constructor public ToolStripButton(input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripButton(input text as character, input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripButton(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end constructor.

   constructor public ToolStripButton(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input name as character):
   end constructor.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method public override System.Drawing.Size GetPreferredSize(input constrainingSize as System.Drawing.Size):
   end method.

   method protected void OnCheckedChanged(input e as System.EventArgs):
   end method.

   method protected void OnCheckStateChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

end class.
