class System.Windows.Forms.ToolStripItem
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement
   abstract:

   def public property AccessibilityObject as System.Windows.Forms.AccessibleObject
      get.

   def public property AccessibleDefaultActionDescription as character
      get.
      set.

   def public property AccessibleDescription as character
      get.
      set.

   def public property AccessibleName as character
      get.
      set.

   def public property AccessibleRole as System.Windows.Forms.AccessibleRole
      get.
      set.

   def public property Alignment as System.Windows.Forms.ToolStripItemAlignment
      get.
      set.

   def public property AllowDrop as logical
      get.
      set.

   def public property AutoSize as logical
      get.
      set.

   def public property AutoToolTip as logical
      get.
      set.

   def public property Available as logical
      get.
      set.

   def public property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property ContentRectangle as System.Drawing.Rectangle
      get.

   def public property CanSelect as logical
      get.

   def public property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   def public property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def protected property DefaultAutoToolTip as logical
      get.

   def protected property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected property DefaultPadding as System.Windows.Forms.Padding
      get.

   def protected property DefaultSize as System.Drawing.Size
      get.

   def protected property DefaultDisplayStyle as System.Windows.Forms.ToolStripItemDisplayStyle
      get.

   def protected property DismissWhenClicked as logical
      get.

   def public property DisplayStyle as System.Windows.Forms.ToolStripItemDisplayStyle
      get.
      set.

   def public property DoubleClickEnabled as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property Height as integer
      get.
      set.

   def public property ImageAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property ImageScaling as System.Windows.Forms.ToolStripItemImageScaling
      get.
      set.

   def public property IsDisposed as logical
      get.

   def public property IsOnDropDown as logical
      get.

   def public property IsOnOverflow as logical
      get.

   def public property Margin as System.Windows.Forms.Padding
      get.
      set.

   def public property MergeAction as System.Windows.Forms.MergeAction
      get.
      set.

   def public property MergeIndex as integer
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Owner as System.Windows.Forms.ToolStrip
      get.
      set.

   def public property OwnerItem as System.Windows.Forms.ToolStripItem
      get.

   def protected property Parent as System.Windows.Forms.ToolStrip
      get.
      set.

   def public property Overflow as System.Windows.Forms.ToolStripItemOverflow
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property Placement as System.Windows.Forms.ToolStripItemPlacement
      get.

   def public property Pressed as logical
      get.

   def public property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def public property RightToLeftAutoMirrorImage as logical
      get.
      set.

   def public property Selected as logical
      get.

   def protected property ShowKeyboardCues as logical
      get.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property TextAlign as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextDirection as System.Windows.Forms.ToolStripTextDirection
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public event AvailableChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DisplayStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DragDrop signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragEnter signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragOver signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public event DragLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event EnabledChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event GiveFeedback signature void (input sender as System.Object, input e as System.Windows.Forms.GiveFeedbackEventArgs).

   def public event LocationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseEnter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseHover signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event OwnerChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event QueryContinueDrag signature void (input sender as System.Object, input e as System.Windows.Forms.QueryContinueDragEventArgs).

   def public event QueryAccessibilityHelp signature void (input sender as System.Object, input e as System.Windows.Forms.QueryAccessibilityHelpEventArgs).

   def public event RightToLeftChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event VisibleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected ToolStripItem():
   end constructor.

   constructor protected ToolStripItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end constructor.

   constructor protected ToolStripItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input name as character):
   end constructor.

   method protected System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final System.Windows.Forms.DragDropEffects DoDragDrop(input data as System.Object, input allowedEffects as System.Windows.Forms.DragDropEffects):
   end method.

   method public final System.Windows.Forms.ToolStrip GetCurrentParent():
   end method.

   method public System.Drawing.Size GetPreferredSize(input constrainingSize as System.Drawing.Size):
   end method.

   method public final void Invalidate():
   end method.

   method public final void Invalidate(input r as System.Drawing.Rectangle):
   end method.

   method protected logical IsInputKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical IsInputChar(input charCode as character):
   end method.

   method protected void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnBoundsChanged():
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected void OnAvailableChanged(input e as System.EventArgs):
   end method.

   method protected void OnDragEnter(input dragEvent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnDragOver(input dragEvent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnDragLeave(input e as System.EventArgs):
   end method.

   method protected void OnDragDrop(input dragEvent as System.Windows.Forms.DragEventArgs):
   end method.

   method protected void OnDisplayStyleChanged(input e as System.EventArgs):
   end method.

   method protected void OnGiveFeedback(input giveFeedbackEvent as System.Windows.Forms.GiveFeedbackEventArgs):
   end method.

   method protected void OnQueryContinueDrag(input queryContinueDragEvent as System.Windows.Forms.QueryContinueDragEventArgs):
   end method.

   method protected void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected void OnMouseMove(input mea as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected void OnParentBackColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentChanged(input oldParent as System.Windows.Forms.ToolStrip, input newParent as System.Windows.Forms.ToolStrip):
   end method.

   method protected void OnParentEnabledChanged(input e as System.EventArgs):
   end method.

   method protected void OnOwnerFontChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentForeColorChanged(input e as System.EventArgs):
   end method.

   method protected void OnParentRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnOwnerChanged(input e as System.EventArgs):
   end method.

   method protected void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method public final void PerformClick():
   end method.

   method protected logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected logical ProcessMnemonic(input charCode as character):
   end method.

   method public final void Select():
   end method.

   method protected void SetVisibleCore(input visible as logical):
   end method.

   method protected void SetBounds(input bounds as System.Drawing.Rectangle):
   end method.

   method public void ResetBackColor():
   end method.

   method public void ResetDisplayStyle():
   end method.

   method public void ResetForeColor():
   end method.

   method public void ResetFont():
   end method.

   method public void ResetImage():
   end method.

   method public final void ResetMargin():
   end method.

   method public final void ResetPadding():
   end method.

   method public void ResetRightToLeft():
   end method.

   method public void ResetTextDirection():
   end method.

   method public override character ToString():
   end method.

end class.
