class System.Windows.Forms.ToolStripLabel
   inherits System.Windows.Forms.ToolStripItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def public override property CanSelect as logical
      get.

   def public property IsLink as logical
      get.
      set.

   def public property ActiveLinkColor as System.Drawing.Color
      get.
      set.

   def public property LinkBehavior as System.Windows.Forms.LinkBehavior
      get.
      set.

   def public property LinkColor as System.Drawing.Color
      get.
      set.

   def public property LinkVisited as logical
      get.
      set.

   def public property VisitedLinkColor as System.Drawing.Color
      get.
      set.

   constructor public ToolStripLabel():
   end constructor.

   constructor public ToolStripLabel(input text as character):
   end constructor.

   constructor public ToolStripLabel(input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripLabel(input text as character, input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripLabel(input text as character, input image as System.Drawing.Image, input isLink as logical):
   end constructor.

   constructor public ToolStripLabel(input text as character, input image as System.Drawing.Image, input isLink as logical, input onClick as System.EventHandler):
   end constructor.

   constructor public ToolStripLabel(input text as character, input image as System.Drawing.Image, input isLink as logical, input onClick as System.EventHandler, input name as character):
   end constructor.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

end class.
