class System.Windows.Forms.ToolStripMenuItem
   inherits System.Windows.Forms.ToolStripDropDownItem
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected override property DefaultPadding as System.Windows.Forms.Padding
      get.

   def public override property Enabled as logical
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property CheckOnClick as logical
      get.
      set.

   def public property CheckState as System.Windows.Forms.CheckState
      get.
      set.

   def public property Overflow as System.Windows.Forms.ToolStripItemOverflow
      get.
      set.

   def public property ShortcutKeys as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutKeyDisplayString as character
      get.
      set.

   def public property ShowShortcutKeys as logical
      get.
      set.

   def public property IsMdiWindowListEntry as logical
      get.

   def public event CheckedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CheckStateChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolStripMenuItem():
   end constructor.

   constructor public ToolStripMenuItem(input text as character):
   end constructor.

   constructor public ToolStripMenuItem(input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripMenuItem(input text as character, input image as System.Drawing.Image):
   end constructor.

   constructor public ToolStripMenuItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler):
   end constructor.

   constructor public ToolStripMenuItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input name as character):
   end constructor.

   constructor public ToolStripMenuItem(input text as character, input image as System.Drawing.Image, input dropDownItems as System.Windows.Forms.ToolStripItem extent):
   end constructor.

   constructor public ToolStripMenuItem(input text as character, input image as System.Drawing.Image, input onClick as System.EventHandler, input shortcutKeys as System.Windows.Forms.Keys):
   end constructor.

   method protected override System.Windows.Forms.ToolStripDropDown CreateDefaultDropDown():
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnCheckedChanged(input e as System.EventArgs):
   end method.

   method protected void OnCheckStateChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDropDownHide(input e as System.EventArgs):
   end method.

   method protected override void OnDropDownShow(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnOwnerChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override logical ProcessCmdKey(input m as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override void SetBounds(input rect as System.Drawing.Rectangle):
   end method.

end class.
