class System.Windows.Forms.ToolStripTextBox
   inherits System.Windows.Forms.ToolStripControlHost
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.IDropTarget, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.Layout.IArrangedElement:

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property TextBox as System.Windows.Forms.TextBox
      get.

   def public property AcceptsTab as logical
      get.
      set.

   def public property AcceptsReturn as logical
      get.
      set.

   def public property AutoCompleteCustomSource as System.Windows.Forms.AutoCompleteStringCollection
      get.
      set.

   def public property AutoCompleteMode as System.Windows.Forms.AutoCompleteMode
      get.
      set.

   def public property AutoCompleteSource as System.Windows.Forms.AutoCompleteSource
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public property CanUndo as logical
      get.

   def public property CharacterCasing as System.Windows.Forms.CharacterCasing
      get.
      set.

   def public property HideSelection as logical
      get.
      set.

   def public property Lines as System.String extent
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property Multiline as logical
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property ShortcutsEnabled as logical
      get.
      set.

   def public property TextLength as integer
      get.

   def public property TextBoxTextAlign as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property WordWrap as logical
      get.
      set.

   def public event AcceptsTabChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BorderStyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event HideSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ModifiedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MultilineChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ReadOnlyChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextBoxTextAlignChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolStripTextBox():
   end constructor.

   constructor public ToolStripTextBox(input name as character):
   end constructor.

   constructor public ToolStripTextBox(input c as System.Windows.Forms.Control):
   end constructor.

   method public override System.Drawing.Size GetPreferredSize(input constrainingSize as System.Drawing.Size):
   end method.

   method protected void OnAcceptsTabChanged(input e as System.EventArgs):
   end method.

   method protected void OnBorderStyleChanged(input e as System.EventArgs):
   end method.

   method protected void OnHideSelectionChanged(input e as System.EventArgs):
   end method.

   method protected void OnModifiedChanged(input e as System.EventArgs):
   end method.

   method protected void OnMultilineChanged(input e as System.EventArgs):
   end method.

   method protected void OnReadOnlyChanged(input e as System.EventArgs):
   end method.

   method protected override void OnSubscribeControlEvents(input control as System.Windows.Forms.Control):
   end method.

   method protected override void OnUnsubscribeControlEvents(input control as System.Windows.Forms.Control):
   end method.

   method public final void AppendText(input text as character):
   end method.

   method public final void Clear():
   end method.

   method public final void ClearUndo():
   end method.

   method public final void Copy():
   end method.

   method public final void Cut():
   end method.

   method public final void DeselectAll():
   end method.

   method public final character GetCharFromPosition(input pt as System.Drawing.Point):
   end method.

   method public final integer GetCharIndexFromPosition(input pt as System.Drawing.Point):
   end method.

   method public final integer GetFirstCharIndexFromLine(input lineNumber as integer):
   end method.

   method public final integer GetFirstCharIndexOfCurrentLine():
   end method.

   method public final integer GetLineFromCharIndex(input index as integer):
   end method.

   method public final System.Drawing.Point GetPositionFromCharIndex(input index as integer):
   end method.

   method public final void Paste():
   end method.

   method public final void ScrollToCaret():
   end method.

   method public final void Select(input start as integer, input length as integer):
   end method.

   method public final void SelectAll():
   end method.

   method public final void Undo():
   end method.

end class.
