class System.Windows.Forms.ToolTip
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, System.ComponentModel.IExtenderProvider:

   def public property Active as logical
      get.
      set.

   def public property AutomaticDelay as integer
      get.
      set.

   def public property AutoPopDelay as integer
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def protected property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property IsBalloon as logical
      get.
      set.

   def public property InitialDelay as integer
      get.
      set.

   def public property OwnerDraw as logical
      get.
      set.

   def public property ReshowDelay as integer
      get.
      set.

   def public property ShowAlways as logical
      get.
      set.

   def public property StripAmpersands as logical
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property ToolTipIcon as System.Windows.Forms.ToolTipIcon
      get.
      set.

   def public property ToolTipTitle as character
      get.
      set.

   def public property UseAnimation as logical
      get.
      set.

   def public property UseFading as logical
      get.
      set.

   def public event Draw signature void (input sender as System.Object, input e as System.Windows.Forms.DrawToolTipEventArgs).

   def public event Popup signature void (input sender as System.Object, input e as System.Windows.Forms.PopupEventArgs).

   constructor public ToolTip(input cont as System.ComponentModel.IContainer):
   end constructor.

   constructor public ToolTip():
   end constructor.

   method public final logical CanExtend(input target as System.Object):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final character GetToolTip(input control as System.Windows.Forms.Control):
   end method.

   method public final void RemoveAll():
   end method.

   method public final void SetToolTip(input control as System.Windows.Forms.Control, input caption as character):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window, input duration as integer):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window, input point as System.Drawing.Point):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window, input point as System.Drawing.Point, input duration as integer):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window, input x as integer, input y as integer):
   end method.

   method public final void Show(input text as character, input window as System.Windows.Forms.IWin32Window, input x as integer, input y as integer, input duration as integer):
   end method.

   method public final void Hide(input win as System.Windows.Forms.IWin32Window):
   end method.

   method protected final void StopTimer():
   end method.

   method protected final override void Finalize():
   end method.

   method public override character ToString():
   end method.

end class.
