class System.Windows.Forms.WebBrowser
   inherits System.Windows.Forms.WebBrowserBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property AllowNavigation as logical
      get.
      set.

   def public property AllowWebBrowserDrop as logical
      get.
      set.

   def public property ScriptErrorsSuppressed as logical
      get.
      set.

   def public property WebBrowserShortcutsEnabled as logical
      get.
      set.

   def public property CanGoBack as logical
      get.

   def public property CanGoForward as logical
      get.

   def public property Document as System.Windows.Forms.HtmlDocument
      get.

   def public property DocumentStream as System.IO.Stream
      get.
      set.

   def public property DocumentText as character
      get.
      set.

   def public property DocumentTitle as character
      get.

   def public property DocumentType as character
      get.

   def public property EncryptionLevel as System.Windows.Forms.WebBrowserEncryptionLevel
      get.

   def public property IsBusy as logical
      get.

   def public property IsOffline as logical
      get.

   def public property IsWebBrowserContextMenuEnabled as logical
      get.
      set.

   def public property ObjectForScripting as System.Object
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property ReadyState as System.Windows.Forms.WebBrowserReadyState
      get.

   def public property StatusText as character
      get.

   def public property Url as System.Uri
      get.
      set.

   def public property Version as System.Version
      get.

   def public property ScrollBarsEnabled as logical
      get.
      set.

   def public override property Focused as logical
      get.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public override event PaddingChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CanGoBackChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CanGoForwardChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DocumentCompleted signature void (input sender as System.Object, input e as System.Windows.Forms.WebBrowserDocumentCompletedEventArgs).

   def public event DocumentTitleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event EncryptionLevelChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FileDownload signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Navigated signature void (input sender as System.Object, input e as System.Windows.Forms.WebBrowserNavigatedEventArgs).

   def public event Navigating signature void (input sender as System.Object, input e as System.Windows.Forms.WebBrowserNavigatingEventArgs).

   def public event NewWindow signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event ProgressChanged signature void (input sender as System.Object, input e as System.Windows.Forms.WebBrowserProgressChangedEventArgs).

   def public event StatusTextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public WebBrowser():
   end constructor.

   method public final logical GoBack():
   end method.

   method public final logical GoForward():
   end method.

   method public final void GoHome():
   end method.

   method public final void GoSearch():
   end method.

   method public final void Navigate(input url as System.Uri):
   end method.

   method public final void Navigate(input urlString as character):
   end method.

   method public final void Navigate(input url as System.Uri, input targetFrameName as character):
   end method.

   method public final void Navigate(input urlString as character, input targetFrameName as character):
   end method.

   method public final void Navigate(input url as System.Uri, input newWindow as logical):
   end method.

   method public final void Navigate(input urlString as character, input newWindow as logical):
   end method.

   method public final void Navigate(input url as System.Uri, input targetFrameName as character, input postData as System.Byte extent, input additionalHeaders as character):
   end method.

   method public final void Navigate(input urlString as character, input targetFrameName as character, input postData as System.Byte extent, input additionalHeaders as character):
   end method.

   method public final void Print():
   end method.

   method public override void Refresh():
   end method.

   method public final void Refresh(input opt as System.Windows.Forms.WebBrowserRefreshOption):
   end method.

   method public final void ShowPageSetupDialog():
   end method.

   method public final void ShowPrintDialog():
   end method.

   method public final void ShowPrintPreviewDialog():
   end method.

   method public final void ShowPropertiesDialog():
   end method.

   method public final void ShowSaveAsDialog():
   end method.

   method public final void Stop():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override void AttachInterfaces(input nativeActiveXObject as System.Object):
   end method.

   method protected override void DetachInterfaces():
   end method.

   method protected override System.Windows.Forms.WebBrowserSiteBase CreateWebBrowserSiteBase():
   end method.

   method protected override void CreateSink():
   end method.

   method protected override void DetachSink():
   end method.

   method protected void OnCanGoBackChanged(input e as System.EventArgs):
   end method.

   method protected void OnCanGoForwardChanged(input e as System.EventArgs):
   end method.

   method protected void OnDocumentCompleted(input e as System.Windows.Forms.WebBrowserDocumentCompletedEventArgs):
   end method.

   method protected void OnDocumentTitleChanged(input e as System.EventArgs):
   end method.

   method protected void OnEncryptionLevelChanged(input e as System.EventArgs):
   end method.

   method protected void OnFileDownload(input e as System.EventArgs):
   end method.

   method protected void OnNavigated(input e as System.Windows.Forms.WebBrowserNavigatedEventArgs):
   end method.

   method protected void OnNavigating(input e as System.Windows.Forms.WebBrowserNavigatingEventArgs):
   end method.

   method protected void OnNewWindow(input e as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnProgressChanged(input e as System.Windows.Forms.WebBrowserProgressChangedEventArgs):
   end method.

   method protected void OnStatusTextChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
