class System.Windows.Forms.WebBrowserBase
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent:

   def public property ActiveXInstance as System.Object
      get.

   def public override property Site as System.ComponentModel.ISite
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property Font as System.Drawing.Font
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public property ImeMode as System.Windows.Forms.ImeMode
      get.
      set.

   def public override property AllowDrop as logical
      get.
      set.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public override property Cursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public override property RightToLeft as System.Windows.Forms.RightToLeft
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property UseWaitCursor as logical
      get.
      set.

   def public override event BackgroundImageLayoutChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Enter signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Leave signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseCaptureChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseDoubleClick signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event BackColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BackgroundImageChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event BindingContextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event CursorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event EnabledChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event FontChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ForeColorChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event RightToLeftChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DragDrop signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event DragEnter signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event DragOver signature void (input sender as System.Object, input e as System.Windows.Forms.DragEventArgs).

   def public override event DragLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event GiveFeedback signature void (input sender as System.Object, input e as System.Windows.Forms.GiveFeedbackEventArgs).

   def public override event HelpRequested signature void (input sender as System.Object, input hlpevent as System.Windows.Forms.HelpEventArgs).

   def public override event Paint signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public override event QueryContinueDrag signature void (input sender as System.Object, input e as System.Windows.Forms.QueryContinueDragEventArgs).

   def public override event QueryAccessibilityHelp signature void (input sender as System.Object, input e as System.Windows.Forms.QueryAccessibilityHelpEventArgs).

   def public override event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event ImeModeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public override event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event Layout signature void (input sender as System.Object, input e as System.Windows.Forms.LayoutEventArgs).

   def public override event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseEnter signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseHover signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event MouseWheel signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public override event ChangeUICues signature void (input sender as System.Object, input e as System.Windows.Forms.UICuesEventArgs).

   def public override event StyleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   method protected System.Windows.Forms.WebBrowserSiteBase CreateWebBrowserSiteBase():
   end method.

   method protected void AttachInterfaces(input nativeActiveXObject as System.Object):
   end method.

   method protected void DetachInterfaces():
   end method.

   method protected void CreateSink():
   end method.

   method protected void DetachSink():
   end method.

   method public final override void DrawToBitmap(input bitmap as System.Drawing.Bitmap, input targetBounds as System.Drawing.Rectangle):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method public override logical PreProcessMessage(input msg as System.Windows.Forms.Message):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnForeColorChanged(input e as System.EventArgs):
   end method.

   method protected override void OnBackColorChanged(input e as System.EventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected override logical IsInputChar(input charCode as character):
   end method.

   method protected override void OnHandleCreated(input e as System.EventArgs):
   end method.

end class.
