class System.Windows.Media.Matrix
   inherits System.ValueType
   implements System.IFormattable
   final:

   def public static property Identity as System.Windows.Media.Matrix
      get.

   def public property IsIdentity as logical
      get.

   def public property Determinant as decimal
      get.

   def public property HasInverse as logical
      get.

   def public property M11 as decimal
      get.
      set.

   def public property M12 as decimal
      get.
      set.

   def public property M21 as decimal
      get.
      set.

   def public property M22 as decimal
      get.
      set.

   def public property OffsetX as decimal
      get.
      set.

   def public property OffsetY as decimal
      get.
      set.

   constructor public Matrix(input m11 as decimal, input m12 as decimal, input m21 as decimal, input m22 as decimal, input offsetX as decimal, input offsetY as decimal):
   end constructor.

   method public final void SetIdentity():
   end method.

   method public final static System.Windows.Media.Matrix Multiply(input trans1 as System.Windows.Media.Matrix, input trans2 as System.Windows.Media.Matrix):
   end method.

   method public final void Append(input matrix as System.Windows.Media.Matrix):
   end method.

   method public final void Prepend(input matrix as System.Windows.Media.Matrix):
   end method.

   method public final void Rotate(input angle as decimal):
   end method.

   method public final void RotatePrepend(input angle as decimal):
   end method.

   method public final void RotateAt(input angle as decimal, input centerX as decimal, input centerY as decimal):
   end method.

   method public final void RotateAtPrepend(input angle as decimal, input centerX as decimal, input centerY as decimal):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal):
   end method.

   method public final void ScalePrepend(input scaleX as decimal, input scaleY as decimal):
   end method.

   method public final void ScaleAt(input scaleX as decimal, input scaleY as decimal, input centerX as decimal, input centerY as decimal):
   end method.

   method public final void ScaleAtPrepend(input scaleX as decimal, input scaleY as decimal, input centerX as decimal, input centerY as decimal):
   end method.

   method public final void Skew(input skewX as decimal, input skewY as decimal):
   end method.

   method public final void SkewPrepend(input skewX as decimal, input skewY as decimal):
   end method.

   method public final void Translate(input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final void TranslatePrepend(input offsetX as decimal, input offsetY as decimal):
   end method.

   method public final System.Windows.Point Transform(input point as System.Windows.Point):
   end method.

   method public final void Transform(input points as System.Windows.Point extent):
   end method.

   method public final System.Windows.Vector Transform(input vector as System.Windows.Vector):
   end method.

   method public final void Transform(input vectors as System.Windows.Vector extent):
   end method.

   method public final void Invert():
   end method.

   method public final static logical Equals(input matrix1 as System.Windows.Media.Matrix, input matrix2 as System.Windows.Media.Matrix):
   end method.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final logical Equals(input value as System.Windows.Media.Matrix):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.Windows.Media.Matrix Parse(input source as character):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

end class.
