class Telerik.WinControls.AnimatedPropertySetting
   inherits System.Object
   implements Telerik.WinControls.IPropertySetting:

   def public variable IsStyleSetting as logical.

   def public property Property as Telerik.WinControls.RadProperty
      get.
      set.

   def public property StartValue as System.Object
      get.
      set.

   def public property EndValue as System.Object
      get.
      set.

   def public property MaxValue as System.Object
      get.
      set.

   def public property Step as System.Object
      get.
      set.

   def public property NumFrames as integer
      get.
      set.

   def public property Interval as integer
      get.
      set.

   def public property ApplyDelay as integer
      get.
      set.

   def public property RandomDelay as integer
      get.
      set.

   def public property ApplyEasingType as Telerik.WinControls.RadEasingType
      get.
      set.

   def public property RemoveAfterApply as logical
      get.
      set.

   def public static property AnimationsEnabled as logical
      get.
      set.

   def public event AnimationFinished signature void (input sender as System.Object, input e as Telerik.WinControls.AnimationStatusEventArgs).

   def public event AnimationStarted signature void (input sender as System.Object, input e as Telerik.WinControls.AnimationStatusEventArgs).

   constructor public AnimatedPropertySetting():
   end constructor.

   constructor public AnimatedPropertySetting(input property as Telerik.WinControls.RadProperty, input frames as integer, input interval as integer, input step as System.Object):
   end constructor.

   constructor public AnimatedPropertySetting(input property as Telerik.WinControls.RadProperty, input startValue as System.Object, input endValue as System.Object, input frames as integer, input interval as integer):
   end constructor.

   method public final void Start(input element as Telerik.WinControls.RadObject):
   end method.

   method public final void Stop(input element as Telerik.WinControls.RadObject):
   end method.

   method public final void Cancel(input element as Telerik.WinControls.RadObject):
   end method.

   method public final logical IsAnimating(input element as Telerik.WinControls.RadObject):
   end method.

   method public final System.Object GetCurrentValue(input radObject as Telerik.WinControls.RadObject):
   end method.

   method public final void ApplyValue(input element as Telerik.WinControls.RadObject):
   end method.

   method public final void UnapplyValue(input element as Telerik.WinControls.RadObject):
   end method.

   method protected void OnAnimationFinished(input e as Telerik.WinControls.AnimationStatusEventArgs):
   end method.

   method protected void OnAnimationStarted(input e as Telerik.WinControls.AnimationStatusEventArgs):
   end method.

end class.
