class Telerik.WinControls.ComponentInputBehavior
   inherits Telerik.WinControls.ComponentBehavior
   implements System.IDisposable:

   def public property Enable as logical
      get.
      set.

   def public property DisableMouseEvents as logical
      get.
      set.

   def protected property MouseHoverTimer as Telerik.WinControls.MouseHoverTimer
      get.

   def public event HoveredElementChanged signature void (input source as System.Object, input args as Telerik.WinControls.HoveredElementChangedEventArgs).

   constructor public ComponentInputBehavior(input owner as Telerik.WinControls.IComponentTreeHandler):
   end constructor.

   method public void OnMouseCaptureChanged(input e as System.EventArgs):
   end method.

   method public logical OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical OnDoubleClick(input e as System.EventArgs):
   end method.

   method public logical OnClick(input e as System.EventArgs):
   end method.

   method public logical OnMouseEnter(input e as System.EventArgs):
   end method.

   method public logical OnMouseLeave(input e as System.EventArgs):
   end method.

   method public logical OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public logical OnMouseHover(input e as System.EventArgs):
   end method.

   method public logical OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected final void HandleMouseLeave(input e as System.EventArgs):
   end method.

   method protected final void HandleMouseLeave(input e as System.EventArgs, input elementUnderMouse as Telerik.WinControls.RadElement):
   end method.

   method public logical OnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method public logical OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void OnKeyDown(input routedSender as Telerik.WinControls.RadElement, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public logical OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public void OnKeyPress(input routedSender as Telerik.WinControls.RadElement, input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public logical OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void OnKeyUp(input routedSender as Telerik.WinControls.RadElement, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnGesture(input e as Telerik.WinControls.GestureEventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final Telerik.WinControls.RadElement GetHoveredRadElement():
   end method.

   method protected void OnHoveredElementChanged(input e as Telerik.WinControls.HoveredElementChangedEventArgs):
   end method.

end class.
