class Telerik.WinControls.ComponentThemableElementTree
   inherits Telerik.WinControls.RadElementTree
   implements System.IDisposable, Telerik.WinControls.IThemeChangeListener:

   def public property EnableTheming as logical
      get.
      set.

   def public property Theme as Telerik.WinControls.Theme
      get.

   def public property ThemeName as character
      get.
      set.

   def public property ThemeClassName as character
      get.
      set.

   def public property StyleVersion as integer
      get.

   def public property FallbackToControlDefault as logical
      get.
      set.

   def public property EnableApplicationThemeName as logical
      get.
      set.

   def public property AnimationsEnabled as logical
      get.

   constructor public ComponentThemableElementTree(input owner as Telerik.WinControls.IComponentTreeHandler):
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void SuspendAnimations():
   end method.

   method public final void ResumeAnimations():
   end method.

   method public final void ApplyThemeToElementTree():
   end method.

   method public final void ApplyThemeToElement(input element as Telerik.WinControls.RadObject):
   end method.

   method public final void ApplyThemeToElement(input element as Telerik.WinControls.RadObject, input recursive as logical):
   end method.

end class.
