interface Telerik.WinControls.IItemsControl:

   def public property ActiveItems as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property Items as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property RollOverItemSelection as logical
      get.
      set.

   def public property ProcessKeyboard as logical
      get.
      set.

   def public event ItemSelected signature void (input sender as System.Object, input args as Telerik.WinControls.ItemSelectedEventArgs).

   def public event ItemDeselected signature void (input sender as System.Object, input args as Telerik.WinControls.ItemSelectedEventArgs).

   method public Telerik.WinControls.RadItem GetSelectedItem().

   method public void SelectItem(input item as Telerik.WinControls.RadItem).

   method public Telerik.WinControls.RadItem GetNextItem(input item as Telerik.WinControls.RadItem, input forward as logical).

   method public Telerik.WinControls.RadItem SelectNextItem(input item as Telerik.WinControls.RadItem, input forward as logical).

   method public Telerik.WinControls.RadItem GetFirstVisibleItem().

   method public Telerik.WinControls.RadItem GetLastVisibleItem().

   method public Telerik.WinControls.RadItem SelectFirstVisibleItem().

   method public Telerik.WinControls.RadItem SelectLastVisibleItem().

   method public logical CanNavigate(input keyData as System.Windows.Forms.Keys).

   method public logical CanProcessMnemonic(input keyData as character).

end interface.
