interface Telerik.WinControls.IStylableElement
   inherits Telerik.WinControls.IStylableNode:

   def public property VisualState as character
      get.
      set.

   def public property ThemeRole as character
      get.

   def public property StateManager as Telerik.WinControls.Styles.ItemStateManagerBase
      get.
      set.

   def public property FallbackToDefaultTheme as logical
      get.

   def public property Parent as Telerik.WinControls.IStylableNode
      get.

   def public property ChildrenHierarchy as System.Collections.Generic.IEnumerable
      get.

   def public property Children as System.Collections.Generic.IEnumerable
      get.

   def public property Class as character
      get.

   def public property Style as Telerik.WinControls.StyleSheet
      get.
      set.

   method public System.Type GetThemeEffectiveType().

   method public void ApplySettings(input group as Telerik.WinControls.PropertySettingGroup).

end interface.
