class Telerik.WinControls.Primitives.TextPrimitive
   inherits Telerik.WinControls.Primitives.BasePrimitive
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, Telerik.WinControls.Primitives.IPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.Primitives.ITextPrimitive:

   def public static variable TextProperty as Telerik.WinControls.RadProperty.

   def public static variable ShadowProperty as Telerik.WinControls.RadProperty.

   def public static variable TextWrapProperty as Telerik.WinControls.RadProperty.

   def public static variable UseMnemonicProperty as Telerik.WinControls.RadProperty.

   def public static variable AutoEllipsisProperty as Telerik.WinControls.RadProperty.

   def public static variable TextAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable ShowKeyboardCuesProperty as Telerik.WinControls.RadProperty.

   def public static variable TextRenderingHintProperty as Telerik.WinControls.RadProperty.

   def public static variable DisabledTextRenderingHintProperty as Telerik.WinControls.RadProperty.

   def public static variable MeasureTrailingSpacesProperty as Telerik.WinControls.RadProperty.

   def public static variable TextOrientationProperty as Telerik.WinControls.RadProperty.

   def public static variable FlipTextProperty as Telerik.WinControls.RadProperty.

   def public property TextRenderingHint as System.Drawing.Text.TextRenderingHint
      get.
      set.

   def public property DisabledTextRenderingHint as System.Drawing.Text.TextRenderingHint
      get.
      set.

   def public property Impl as Telerik.WinControls.Primitives.ITextPrimitive
      get.

   def public property Text as character
      get.
      set.

   def public override property StretchHorizontally as logical
      get.
      set.

   def public property CachedForeColor as System.Drawing.Color
      get.
      set.

   def public override property StretchVertically as logical
      get.
      set.

   def public property AutoEllipsis as logical
      get.
      set.

   def public property MeasureTrailingSpaces as logical
      get.
      set.

   def public property TextWrap as logical
      get.
      set.

   def public property UseMnemonic as logical
      get.
      set.

   def public property ShowKeyboardCues as logical
      get.
      set.

   def public property TextOrientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property FlipText as logical
      get.
      set.

   def public property TextAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public override property IsEmpty as logical
      get.

   def public property Shadow as Telerik.WinControls.Paint.ShadowSettings
      get.
      set.

   def public property TextParams as Telerik.WinControls.Primitives.TextParams
      get.

   def public property TextBlock as Telerik.WinControls.TextPrimitiveUtils.FormattedTextBlock
      get.
      set.

   def public property DisableHTMLRendering as logical
      get.
      set.

   constructor public TextPrimitive():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method public final System.Drawing.SizeF GetTextSize():
   end method.

   method public final System.Drawing.SizeF GetTextSize(input proposedSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.StringFormat CreateStringFormat():
   end method.

   method public final System.Drawing.RectangleF GetFaceRectangle():
   end method.

   method public override void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method public override character ToString():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public override Telerik.WinControls.Filter GetStylablePropertiesFilter():
   end method.

   method public final logical AllowHTMLRendering():
   end method.

   method public final void ToggleHTML(input text as character):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected Telerik.WinControls.Primitives.TextParams CreateTextParams():
   end method.

   method public final void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF, input textParams as Telerik.WinControls.Primitives.TextParams):
   end method.

   method public final void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input textParams as Telerik.WinControls.Primitives.TextParams):
   end method.

   method public final System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF, input textParams as Telerik.WinControls.Primitives.TextParams):
   end method.

   method public final void OnMouseMove(input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final System.Drawing.SizeF GetTextSize(input proposedSize as System.Drawing.SizeF, input textParams as Telerik.WinControls.Primitives.TextParams):
   end method.

   method public final System.Drawing.SizeF GetTextSize(input textParams as Telerik.WinControls.Primitives.TextParams):
   end method.

end class.
