class Telerik.WinControls.PropertySettingGroup
   inherits System.Object:

   def public static variable BasedOnDelimiter as character.

   def public property BasedOn as character
      get.
      set.

   def public property Selector as Telerik.WinControls.ElementSelector
      get.
      set.

   def public property PropertySettings as System.Collections.Generic.List
      get.

   def public property Repositories as System.Collections.Generic.List
      get.

   constructor public PropertySettingGroup():
   end constructor.

   constructor public PropertySettingGroup(input basedOn as character):
   end constructor.

   constructor public PropertySettingGroup(input basedOn as character, input selector as Telerik.WinControls.ElementSelector):
   end constructor.

   constructor public PropertySettingGroup(input className as character, input propertySettings as Telerik.WinControls.PropertySetting extent):
   end constructor.

   constructor public PropertySettingGroup(input className as character, input condition as Telerik.WinControls.Condition, input propertySettings as Telerik.WinControls.PropertySetting extent):
   end constructor.

   constructor public PropertySettingGroup(input type as System.Type, input propertySettings as Telerik.WinControls.PropertySetting extent):
   end constructor.

   constructor public PropertySettingGroup(input type as System.Type, input condition as Telerik.WinControls.Condition, input propertySettings as Telerik.WinControls.PropertySetting extent):
   end constructor.

   constructor public PropertySettingGroup(input sourceGroup as Telerik.WinControls.PropertySettingGroup):
   end constructor.

   method public final void Apply(input element as Telerik.WinControls.RadObject):
   end method.

   method public final Telerik.WinControls.PropertySetting FindSetting(input property as Telerik.WinControls.RadProperty):
   end method.

   method public final Telerik.WinControls.PropertySetting FindSetting(input name as character):
   end method.

   method public final System.String extent GetBasedOnRepositoryItems():
   end method.

   method public final logical IsBasedOnRepositoryItem(input itemKey as character):
   end method.

   method public final void AssociateWithRepositoryItem(input key as character):
   end method.

   method public final void ResetRepositoryItemAssociation(input itemKey as character):
   end method.

end class.
