class Telerik.WinControls.RadDragDropService
   inherits Telerik.WinControls.RadService
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.IMessageListener:

   def protected variable messageFilterAdded as logical.

   def protected variable xOutlineFormOffset as integer.

   def protected variable yOutlineFormOffset as integer.

   def protected variable beginPoint as System.Drawing.Point.

   def protected property CanCommit as logical
      get.

   def public property ValidCursor as System.Windows.Forms.Cursor
      get.
      set.

   def protected property Initialized as logical
      get.

   def public property InvalidCursor as System.Windows.Forms.Cursor
      get.
      set.

   def public property UseDefaultPreview as logical
      get.
      set.

   def public property DropTarget as Telerik.WinControls.ISupportDrop
      get.

   def public property DropLocation as System.Drawing.Point
      get.

   def protected property HintWindow as Telerik.WinControls.RadLayeredWindow
      get.

   def public event PreviewDragDrop signature void (input sender as System.Object, input e as Telerik.WinControls.RadDropEventArgs).

   def public event PreviewDragOver signature void (input sender as System.Object, input e as Telerik.WinControls.RadDragOverEventArgs).

   def public event PreviewDropTarget signature void (input sender as System.Object, input e as Telerik.WinControls.PreviewDropTargetEventArgs).

   def public event PreviewDragStart signature void (input sender as System.Object, input e as Telerik.WinControls.PreviewDragStartEventArgs).

   def public event PreviewDragHint signature void (input sender as System.Object, input e as Telerik.WinControls.PreviewDragHintEventArgs).

   constructor public RadDragDropService():
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method protected void HandleLeftButtonUp():
   end method.

   method protected void HandleEscKeyDown():
   end method.

   method protected void HandleMouseMove(input mousePos as System.Drawing.Point):
   end method.

   method protected logical PrepareContext():
   end method.

   method protected void OnPreviewDragHint(input e as Telerik.WinControls.PreviewDragHintEventArgs):
   end method.

   method protected logical IsDropTargetValid(input dropTarget as Telerik.WinControls.ISupportDrop):
   end method.

   method protected void OnPreviewDragOver(input e as Telerik.WinControls.RadDragOverEventArgs):
   end method.

   method protected void RestoreOriginalMouseCursor():
   end method.

   method protected void SetHintWindowPosition(input mousePt as System.Drawing.Point):
   end method.

   method public final static logical ShouldBeginDrag(input current as System.Drawing.Point, input capture as System.Drawing.Point):
   end method.

   method protected override logical CanStart(input context as System.Object):
   end method.

   method protected void OnPreviewDragStart(input e as Telerik.WinControls.PreviewDragStartEventArgs):
   end method.

   method protected override void PerformStart():
   end method.

   method protected override void Commit():
   end method.

   method protected void OnPreviewDragDrop(input e as Telerik.WinControls.RadDropEventArgs):
   end method.

   method protected Telerik.WinControls.ISupportDrop GetDropTarget(input mousePosition as System.Drawing.Point, input resultDropLocation as System.Drawing.Point):
   end method.

   method protected void OnPreviewDropTarget(input e as Telerik.WinControls.PreviewDropTargetEventArgs):
   end method.

   method protected override void PerformStop():
   end method.

   method public final void BeginDrag(input mouseBeginPoint as System.Drawing.Point, input draggedObject as Telerik.WinControls.ISupportDrag):
   end method.

   method public final void EndDrag(input mouseEndPoint as System.Drawing.Point, input targetControl as Telerik.WinControls.RadControl):
   end method.

   method public final void EndDrag():
   end method.

   method public final void DoMouseMove(input mousePos as System.Drawing.Point):
   end method.

end class.
