class Telerik.WinControls.RadElement
   inherits Telerik.WinControls.RadObject
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode:

   def protected static variable RadElementLastStateKey as int64.

   def public static variable BoundsProperty as Telerik.WinControls.RadProperty.

   def public static variable BorderThicknessProperty as Telerik.WinControls.RadProperty.

   def public static variable PaddingProperty as Telerik.WinControls.RadProperty.

   def public static variable MarginProperty as Telerik.WinControls.RadProperty.

   def public static variable AlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable AutoSizeModeProperty as Telerik.WinControls.RadProperty.

   def public static variable FitToSizeModeProperty as Telerik.WinControls.RadProperty.

   def public static variable MinSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable EnabledProperty as Telerik.WinControls.RadProperty.

   def public static variable CanFocusProperty as Telerik.WinControls.RadProperty.

   def public static variable IsItemFocusedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsFocusedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsMouseOverProperty as Telerik.WinControls.RadProperty.

   def public static variable IsMouseOverElementProperty as Telerik.WinControls.RadProperty.

   def public static variable IsMouseDownProperty as Telerik.WinControls.RadProperty.

   def public static variable ShouldPaintProperty as Telerik.WinControls.RadProperty.

   def public static variable VisibilityProperty as Telerik.WinControls.RadProperty.

   def public static variable NameProperty as Telerik.WinControls.RadProperty.

   def public static variable ClassProperty as Telerik.WinControls.RadProperty.

   def public static variable ClipDrawingProperty as Telerik.WinControls.RadProperty.

   def public static variable ShapeProperty as Telerik.WinControls.RadProperty.

   def public static variable MouseClickedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable MouseDoubleClickedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable MouseDownEvent as Telerik.WinControls.RoutedEvent.

   def public static variable MouseUpEvent as Telerik.WinControls.RoutedEvent.

   def public static variable MouseWheelEvent as Telerik.WinControls.RoutedEvent.

   def public static variable ChildElementAddedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable ParentChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable BoundsChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable VisibilityChangingEvent as Telerik.WinControls.RoutedEvent.

   def public static variable EnabledChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable ControlChangedEvent as Telerik.WinControls.RoutedEvent.

   def public static variable BackgroundShapeProperty as Telerik.WinControls.RadProperty.

   def public static variable ContainsFocusProperty as Telerik.WinControls.RadProperty.

   def public static variable ContainsMouseProperty as Telerik.WinControls.RadProperty.

   def public static variable IsEditedInSpyProperty as Telerik.WinControls.RadProperty.

   def public static variable MaxSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable RightToLeftProperty as Telerik.WinControls.RadProperty.

   def public static variable AutoSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable ZIndexProperty as Telerik.WinControls.RadProperty.

   def public static variable AngleTransformProperty as Telerik.WinControls.RadProperty.

   def public static variable ScaleTransformProperty as Telerik.WinControls.RadProperty.

   def public static variable PositionOffsetProperty as Telerik.WinControls.RadProperty.

   def public static variable TagProperty as Telerik.WinControls.RadProperty.

   def public static variable StretchHorizontallyProperty as Telerik.WinControls.RadProperty.

   def public static variable StretchVerticallyProperty as Telerik.WinControls.RadProperty.

   def public static variable UseCompatibleTextRenderingProperty as Telerik.WinControls.RadProperty.

   def public static variable ClickModeProperty as Telerik.WinControls.RadProperty.

   def protected variable styleVersion as integer.

   def protected variable paintSystemSkin as logical.

   def public static variable TraceInvalidation as logical.

   def public static variable SetPropertyValueCommand as Telerik.WinControls.Commands.SetPropertyValueCommand.

   def public static variable GetPropertyValueCommand as Telerik.WinControls.Commands.GetPropertyValueCommand.

   def public static variable StyleProperty as Telerik.WinControls.RadProperty.

   def public property ElementState as Telerik.WinControls.ElementState
      get.

   def public property LayoutManager as Telerik.WinControls.Layouts.ILayoutManager
      get.

   def public property DesiredSize as System.Drawing.SizeF
      get.

   def public property IsLayoutSuspended as logical
      get.

   def public property BoundingRectangle as System.Drawing.Rectangle
      get.

   def public property ControlBoundingRectangle as System.Drawing.Rectangle
      get.

   def public property BypassLayoutPolicies as logical
      get.
      set.

   def public property IsArrangeValid as logical
      get.

   def public property IsMeasureValid as logical
      get.

   def public property PreviousArrangeRect as System.Drawing.RectangleF
      get.

   def public property PreviousConstraint as System.Drawing.SizeF
      get.

   def public property TreeLevel as integer
      get.

   def public property Transform as Telerik.WinControls.Layouts.RadMatrix
      get.

   def public property TotalTransform as Telerik.WinControls.Layouts.RadMatrix
      get.

   def protected property ShouldPaintUsingParentShape as logical
      get.

   def public property UseSystemSkin as Telerik.WinControls.UseSystemSkinMode
      get.
      set.

   def public property VsbVisible as logical
      get.

   def public property CanHaveOwnStyle as logical
      get.

   def public property PropagateStyleToChildren as logical
      get.

   def protected property ThemeEffectiveType as System.Type
      get.

   def public property ElementTree as Telerik.WinControls.ComponentThemableElementTree
      get.

   def public property Children as Telerik.WinControls.RadElementCollection
      get.

   def public property ChildrenHierarchy as System.Collections.Generic.IEnumerable
      get.

   def public property Parent as Telerik.WinControls.RadElement
      get.

   def public property RoutedEventBehaviors as Telerik.WinControls.RoutedEventBehaviorCollection
      get.

   def public property LayoutableChildrenCount as integer
      get.

   def public property ContainsFocus as logical
      get.

   def public property ShouldHandleMouseInput as logical
      get.
      set.

   def public property NotifyParentOnMouseInput as logical
      get.
      set.

   def protected property IsAbleToRespondToMouseEvents as logical
      get.

   def public property AutoSize as logical
      get.
      set.

   def public property Bounds as System.Drawing.Rectangle
      get.
      set.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property BorderThickness as System.Windows.Forms.Padding
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property Margin as System.Windows.Forms.Padding
      get.
      set.

   def public property Alignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property AutoSizeMode as Telerik.WinControls.RadAutoSizeMode
      get.
      set.

   def public property FitToSizeMode as Telerik.WinControls.RadFitToSizeMode
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property CanFocus as logical
      get.
      set.

   def public property IsFocused as logical
      get.

   def public property IsMouseOver as logical
      get.
      set.

   def public property IsMouseOverElement as logical
      get.
      set.

   def public property IsMouseDown as logical
      get.
      set.

   def public property InvalidateChildrenOnChildChanged as logical
      get.
      set.

   def public property ShouldPaint as logical
      get.
      set.

   def public property Visibility as Telerik.WinControls.ElementVisibility
      get.
      set.

   def public property IsElementVisible as logical
      get.

   def public property Name as character
      get.
      set.

   def public property Class as character
      get.
      set.

   def public property ClipDrawing as logical
      get.
      set.

   def public property Shape as Telerik.WinControls.ElementShape
      get.
      set.

   def public property MinSize as System.Drawing.Size
      get.
      set.

   def public property MaxSize as System.Drawing.Size
      get.
      set.

   def public property ZIndex as integer
      get.
      set.

   def public property RightToLeft as logical
      get.
      set.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public property BackgroundShape as Telerik.WinControls.RadImageShape
      get.
      set.

   def public property ContainsMouse as logical
      get.
      set.

   def public property Capture as logical
      get.
      set.

   def public property ScaleTransform as System.Drawing.SizeF
      get.
      set.

   def public property AngleTransform as decimal
      get.
      set.

   def public property PositionOffset as System.Drawing.SizeF
      get.
      set.

   def public property SerializeProperties as logical
      get.
      set.

   def public property SerializeElement as logical
      get.
      set.

   def public property SerializeChildren as logical
      get.
      set.

   def public static property RenderingMaxFramerate as integer
      get.
      set.

   def public property IsThemeApplied as logical
      get.

   def public property ShouldApplyTheme as logical
      get.
      set.

   def public property UseCenteredAngleTransform as logical
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property StretchHorizontally as logical
      get.
      set.

   def public property StretchVertically as logical
      get.
      set.

   def public property ClickMode as Telerik.WinControls.ClickMode
      get.
      set.

   def public property DoubleClickEnabled as logical
      get.
      set.

   def public property CaptureOnMouseDown as logical
      get.
      set.

   def public property IsFocusable as logical
      get.
      set.

   def protected property IsItemHovered as logical
      get.

   def public property Style as Telerik.WinControls.StyleSheet
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property AutoToolTip as logical
      get.
      set.

   def public property ScreenTip as Telerik.WinControls.RadScreenTipElement
      get.
      set.

   def protected property AutoNumberKeyTip as integer
      get.
      set.

   def public property MeasureIsDirty as logical
      get.
      set.

   def public property ArrangeIsDirty as logical
      get.
      set.

   def public property NeverMeasured as logical
      get.
      set.

   def public property NeverArranged as logical
      get.
      set.

   def public property ArrangeInProgress as logical
      get.
      set.

   def public property MeasureInProgress as logical
      get.
      set.

   def public property ShouldPaintChildren as logical
      get.
      set.

   def public property InvalidateMeasureOnRemove as logical
      get.
      set.

   def public property HideFromElementHierarchyEditor as logical
      get.
      set.

   def public event LayoutUpdated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ElementPainted signature void (input sender as System.Object, input e as System.Windows.Forms.PaintEventArgs).

   def public event MouseHover signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseEnter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseWheel signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event EnabledChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseLeave signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ChildrenChanged signature void (input sender as System.Object, input e as Telerik.WinControls.ChildrenChangedEventArgs).

   def public event LostMouseCapture signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   constructor public RadElement():
   end constructor.

   method protected void CallCreateChildElements():
   end method.

   method public final void SuspendReferenceUpdate():
   end method.

   method public final void ResumeReferenceUpdate():
   end method.

   method protected void InitializeFields():
   end method.

   method protected void CreateChildElements():
   end method.

   method protected final void OnLoad(input recursive as logical):
   end method.

   method public final void CallOnLoad(input recursive as logical):
   end method.

   method protected void LoadCore():
   end method.

   method protected void OnLoaded():
   end method.

   method protected final void OnUnload(input oldTree as Telerik.WinControls.ComponentThemableElementTree, input recursive as logical):
   end method.

   method protected void UnloadCore(input oldTree as Telerik.WinControls.ComponentThemableElementTree):
   end method.

   method protected void OnUnloaded(input oldTree as Telerik.WinControls.ComponentThemableElementTree):
   end method.

   method protected void OnElementTreeChanged(input previousTree as Telerik.WinControls.ComponentThemableElementTree):
   end method.

   method protected void OnBeginDispose():
   end method.

   method protected final void SetParent(input parent as Telerik.WinControls.RadElement):
   end method.

   method protected void OnParentChanged(input previousParent as Telerik.WinControls.RadElement):
   end method.

   method protected void UpdateReferences(input tree as Telerik.WinControls.ComponentThemableElementTree, input updateInheritance as logical, input recursive as logical):
   end method.

   method public final void SetIsDesignMode(input value as logical, input recursive as logical):
   end method.

   method public final void ChangeCollection(input child as Telerik.WinControls.RadElement, input changeOperation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method public final void ResetLayout(input recursive as logical):
   end method.

   method public final logical HasInvisibleAncestor():
   end method.

   method protected void ResetLayoutCore():
   end method.

   method public final void SetAllLocalValuesAsDefault(input recursive as logical):
   end method.

   method public final void InvalidateArrange():
   end method.

   method public final void InvalidateArrange(input recursive as logical):
   end method.

   method public final void InvalidateMeasure():
   end method.

   method public final void InvalidateMeasure(input recursive as logical):
   end method.

   method public final void UpdateLayout():
   end method.

   method public final void SuspendLayout():
   end method.

   method public void SuspendLayout(input recursive as logical):
   end method.

   method public final void ResumeLayout(input performLayout as logical):
   end method.

   method public void ResumeLayout(input recursive as logical, input performLayout as logical):
   end method.

   method public final void Arrange(input finalRect as System.Drawing.RectangleF):
   end method.

   method public final void Measure(input availableSize as System.Drawing.SizeF):
   end method.

   method public final void SetBounds(input bounds as System.Drawing.Rectangle):
   end method.

   method public final void SetBounds(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final System.Drawing.Rectangle GetBoundingRectangle(input size as System.Drawing.Size):
   end method.

   method public final System.Drawing.Rectangle GetBoundingRectangle(input bounds as System.Drawing.Rectangle):
   end method.

   method public final System.Drawing.SizeF GetDesiredSize(input checkCollapsed as logical):
   end method.

   method public final System.Drawing.Point PointToScreen(input point as System.Drawing.Point):
   end method.

   method public final System.Drawing.Point PointFromScreen(input point as System.Drawing.Point):
   end method.

   method public final System.Drawing.Point PointToControl(input point as System.Drawing.Point):
   end method.

   method public final System.Drawing.Point PointFromControl(input point as System.Drawing.Point):
   end method.

   method public final System.Drawing.Point LocationToControl():
   end method.

   method public final System.Drawing.Rectangle RectangleToScreen(input rect as System.Drawing.Rectangle):
   end method.

   method public logical HitTest(input point as System.Drawing.Point):
   end method.

   method public final void CallOnRenderSizeChanged(input info as Telerik.WinControls.Layouts.SizeChangedInfo):
   end method.

   method protected void OnRenderSizeChanged(input info as Telerik.WinControls.Layouts.SizeChangedInfo):
   end method.

   method protected void OnChildDesiredSizeChanged(input child as Telerik.WinControls.RadElement):
   end method.

   method protected void OnLayoutPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void ArrangeCore(input finalRect as System.Drawing.RectangleF):
   end method.

   method protected System.Drawing.SizeF MeasureCore(input availableSize as System.Drawing.SizeF):
   end method.

   method protected logical ShouldArrangeChild(input child as Telerik.WinControls.RadElement):
   end method.

   method protected System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected logical ShouldMeasureChild(input child as Telerik.WinControls.RadElement):
   end method.

   method protected final System.Drawing.SizeF MeasureChildren(input availableSize as System.Drawing.SizeF):
   end method.

   method protected System.Drawing.RectangleF GetArrangeRect(input proposed as System.Drawing.RectangleF):
   end method.

   method protected logical CanExecuteLayoutOperation():
   end method.

   method protected System.Drawing.PointF CalcLayoutOffset(input startPoint as System.Drawing.PointF):
   end method.

   method protected void LockBounds():
   end method.

   method protected void UnlockBounds():
   end method.

   method protected void SetBoundsCore(input bounds as System.Drawing.Rectangle):
   end method.

   method public final logical IsInValidState(input checkElementTree as logical):
   end method.

   method public final System.Drawing.Point GetScrollingOffset():
   end method.

   method public final void Invalidate():
   end method.

   method public final void Invalidate(input checkSuspended as logical):
   end method.

   method public System.Drawing.Rectangle GetInvalidateBounds():
   end method.

   method protected void NotifyInvalidate(input invalidatedChild as Telerik.WinControls.RadElement):
   end method.

   method protected void OnTransformationInvalidated():
   end method.

   method public final void InvalidateTransformations():
   end method.

   method protected logical PerformLayoutTransformation(input matrix as Telerik.WinControls.Layouts.RadMatrix):
   end method.

   method protected logical PerformPaintTransformation(input matrix as Telerik.WinControls.Layouts.RadMatrix):
   end method.

   method protected final logical IsInGetAsBitmap():
   end method.

   method protected void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected void PaintElementSkin(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected void PaintOverride(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectangle as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method public final void Paint(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectangle as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected void PostPaintElement(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected void PrePaintElement(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected void PostPaintChildren(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected void PaintChildren(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected void PaintChild(input child as Telerik.WinControls.RadElement, input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected void PaintFocusCues(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle):
   end method.

   method public final System.Drawing.Bitmap GetAsBitmap(input screenRadGraphics as Telerik.WinControls.Paint.IGraphics, input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.Bitmap GetAsTransformedBitmap(input screenRadGraphics as Telerik.WinControls.Paint.IGraphics, input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.Bitmap GetAsTransformedBitmap(input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.Bitmap GetAsTransformedBitmap(input clippingRectangle as System.Drawing.Rectangle, input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public System.Drawing.Bitmap GetAsBitmapEx(input backColor as System.Drawing.Color, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.Bitmap GetAsBitmapEx(input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method public final System.Drawing.Bitmap GetAsBitmap(input backgroundBrush as System.Drawing.Brush, input totalAngle as decimal, input totalScale as System.Drawing.SizeF):
   end method.

   method protected logical IsInVisibleClipBounds(input clipRectangle as System.Drawing.Rectangle):
   end method.

   method protected void SetClipping(input rawGraphics as System.Drawing.Graphics):
   end method.

   method protected System.Drawing.RectangleF GetClipRect():
   end method.

   method protected logical ShouldPaintChild(input element as Telerik.WinControls.RadElement):
   end method.

   method protected System.Drawing.Rectangle GetFocusRect():
   end method.

   method protected final Telerik.WinControls.ElementShape GetCurrentShape():
   end method.

   method protected final System.Drawing.RectangleF GetPaintRectangle(input borderWidth as decimal, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected final System.Drawing.RectangleF GetPatchedRect(input rect as System.Drawing.RectangleF, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method public System.Windows.Forms.VisualStyles.VisualStyleElement GetXPVisualStyle():
   end method.

   method public System.Windows.Forms.VisualStyles.VisualStyleElement GetVistaVisualStyle():
   end method.

   method protected void InitializeSystemSkinPaint():
   end method.

   method protected void UnitializeSystemSkinPaint():
   end method.

   method protected System.Drawing.Rectangle GetSystemSkinPaintBounds():
   end method.

   method protected void OnUseSystemSkinChanged(input e as System.EventArgs):
   end method.

   method protected logical ShouldPaintSystemSkin():
   end method.

   method protected logical ComposeShouldPaintSystemSkin():
   end method.

   method public Telerik.WinControls.RadProperty MapStyleProperty(input propertyToMap as Telerik.WinControls.RadProperty, input settingType as character):
   end method.

   method public Telerik.WinControls.Filter GetStylablePropertiesFilter():
   end method.

   method public final void ResetStyleSettings(input recursive as logical):
   end method.

   method public void ResetStyleSettings(input recursive as logical, input property as Telerik.WinControls.RadProperty):
   end method.

   method protected void ProcessBehaviors(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public final void AddBehavior(input behavior as Telerik.WinControls.PropertyChangeBehavior):
   end method.

   method public final Telerik.WinControls.PropertyChangeBehaviorCollection GetBehaviors():
   end method.

   method public final void RemoveBehavior(input behavior as Telerik.WinControls.PropertyChangeBehavior):
   end method.

   method public final void ClearBehaviors():
   end method.

   method public final void AddRangeBehavior(input behaviors as Telerik.WinControls.PropertyChangeBehaviorCollection):
   end method.

   method protected final void SetThemeApplied(input newValue as logical):
   end method.

   method protected void OnStyleChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public final void SuspendThemeRefresh():
   end method.

   method public final void ResumeThemeRefresh():
   end method.

   method protected void UnapplyStyle():
   end method.

   method public void RemoveRangeBehaviors(input propertyChangeBehaviorCollection as Telerik.WinControls.PropertyChangeBehaviorCollection):
   end method.

   method public void RemoveBehaviors(input behavior as Telerik.WinControls.PropertyChangeBehavior):
   end method.

   method public void RemoveRangeRoutedEventBehaviors(input routedEventBehaviorCollection as Telerik.WinControls.RoutedEventBehaviorCollection):
   end method.

   method public final System.Type GetThemeEffectiveType():
   end method.

   method public final System.Collections.Generic.List GetChildrenByType(input type as System.Type):
   end method.

   method public final System.Collections.Generic.List GetChildrenByBaseType(input type as System.Type):
   end method.

   method public final Telerik.WinControls.RadElement FindAncestorByThemeEffectiveType(input themeEffectiveType as System.Type):
   end method.

   method public final logical IsAncestorOf(input element as Telerik.WinControls.RadElement):
   end method.

   method public final Telerik.WinControls.RadElement FindDescendant(input criteria as System.Predicate):
   end method.

   method public final Telerik.WinControls.RadElement FindDescendant(input descendantType as System.Type):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumDescendants(input traverseMode as Telerik.WinControls.TreeTraversalMode):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumDescendants(input predicate as System.Predicate, input traverseMode as Telerik.WinControls.TreeTraversalMode):
   end method.

   method public final System.Collections.Generic.IEnumerable EnumDescendants(input filter as Telerik.WinControls.Filter, input traverseMode as Telerik.WinControls.TreeTraversalMode):
   end method.

   method public final System.Collections.Generic.List GetDescendants(input predicate as System.Predicate, input traverseMode as Telerik.WinControls.TreeTraversalMode):
   end method.

   method public final System.Collections.Generic.List GetDescendants(input filter as Telerik.WinControls.Filter, input traverseMode as Telerik.WinControls.TreeTraversalMode):
   end method.

   method public final System.Collections.Generic.IEnumerable GetAncestors(input filter as Telerik.WinControls.Filter):
   end method.

   method public final System.Collections.Generic.IEnumerable GetAncestors(input predicate as System.Predicate):
   end method.

   method public void RaiseRoutedEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method public void RaiseTunnelEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method public void RaiseBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected void OnTunnelEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method public final logical IsEventInProcess(input raisedEvent as Telerik.WinControls.RaisedRoutedEvent):
   end method.

   method public final static Telerik.WinControls.RoutedEvent RegisterRoutedEvent(input eventName as character, input ownerType as System.Type):
   end method.

   method public final static Telerik.WinControls.RoutedEvent GetRegisterRoutedEvent(input eventName as character, input ownerType as System.Type):
   end method.

   method public final static Telerik.WinControls.RoutedEvent GetRegisterRoutedEvent(input eventName as character, input className as character):
   end method.

   method public final Telerik.WinControls.RoutedEvent GetRegisterRoutedEvent(input eventName as character):
   end method.

   method protected void OnChildrenChanged(input child as Telerik.WinControls.RadElement, input changeOperation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method public final System.Collections.Generic.IEnumerable GetChildren(input options as Telerik.WinControls.ChildrenListOptions):
   end method.

   method public final void SendToBack():
   end method.

   method public final void BringToFront():
   end method.

   method public Telerik.WinControls.RadElement GetChildAt(input index as integer):
   end method.

   method public final logical IsChildOf(input parent as Telerik.WinControls.RadElement):
   end method.

   method public logical Focus():
   end method.

   method protected final logical Focus(input setParentControlFocus as logical):
   end method.

   method protected final void SetFocusPropertySafe(input isFocused as logical):
   end method.

   method public final void SetElementFocused(input isFocused as logical):
   end method.

   method protected void KillFocus():
   end method.

   method public void SetFocus():
   end method.

   method protected void OnCLREventsRise(input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseHover(input e as System.EventArgs):
   end method.

   method protected void OnEnabledChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnParentEnabledChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnLostMouseCapture(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected void OnMouseLeave(input e as System.EventArgs):
   end method.

   method public void PerformClick():
   end method.

   method protected void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoClick(input e as System.EventArgs):
   end method.

   method protected void DoDoubleClick(input e as System.EventArgs):
   end method.

   method public final void CallDoMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected logical IsInputKey(input e as Telerik.WinControls.InputKeyEventArgs):
   end method.

   method protected System.Windows.Forms.MouseEventArgs MouseEventArgsFromControl(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void DoMouseHover(input e as System.EventArgs):
   end method.

   method protected void RaiseClick(input e as System.EventArgs):
   end method.

   method protected void RaiseDoubleClick(input e as System.EventArgs):
   end method.

   method protected void RaiseMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void UpdateContainsMouse():
   end method.

   method protected void UpdateContainsFocus(input isFocused as logical):
   end method.

   method protected void DoMouseEnter(input e as System.EventArgs):
   end method.

   method protected void DoMouseLeave(input e as System.EventArgs):
   end method.

   method public final void CallDoMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallDoMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallDoMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void CallDoMouseHover(input e as System.EventArgs):
   end method.

   method public final void CallDoMouseEnter(input e as System.EventArgs):
   end method.

   method public final void CallDoMouseLeave(input e as System.EventArgs):
   end method.

   method public final void CallDoClick(input e as System.EventArgs):
   end method.

   method public final void CallDoDoubleClick(input e as System.EventArgs):
   end method.

   method public override System.Object GetValue(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected override Telerik.WinControls.ValueUpdateResult AddStylePropertySetting(input setting as Telerik.WinControls.IPropertySetting):
   end method.

   method protected override Telerik.WinControls.ValueUpdateResult SetValueCore(input propVal as Telerik.WinControls.RadPropertyValue, input propModifier as System.Object, input newValue as System.Object, input source as Telerik.WinControls.ValueSource):
   end method.

   method protected void NotifyChildren(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnBoundsChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnLocationChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnDisplayPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override logical CanRaisePropertyChangeNotifications(input propVal as Telerik.WinControls.RadPropertyValue):
   end method.

   method protected override logical IsPropertyCancelable(input metadata as Telerik.WinControls.RadPropertyMetadata):
   end method.

   method protected void OnParentPropertyChanged(input args as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public override character ToString():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void PerformDispose(input disposing as logical):
   end method.

   method public final void DisposeChildren():
   end method.

   method protected System.Collections.Generic.IEnumerable GetStylableChildrenHierarchy():
   end method.

   method protected System.Collections.Generic.IEnumerable GetStylableChildren():
   end method.

   method protected final void ResetStyleVersion():
   end method.

   method protected System.Drawing.RectangleF GetClientRectangle(input finalSize as System.Drawing.SizeF):
   end method.

end class.
