class Telerik.WinControls.RadItemCollection
   inherits System.Collections.CollectionBase
   implements System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable, System.Collections.Generic.IEnumerable:

   def public property ItemTypes as System.Type extent
      get.
      set.

   def public property ExcludedTypes as System.Type extent
      get.
      set.

   def public property SealedTypes as System.Type extent
      get.
      set.

   def public property DefaultType as System.Type
      get.
      set.

   def public property Item as Telerik.WinControls.RadItem
      get.
      set.

   def public property First as Telerik.WinControls.RadItem
      get.

   def public property Last as Telerik.WinControls.RadItem
      get.

   def public property Item as Telerik.WinControls.RadItem
      get.

   def public event ItemsChanged signature void (input changed as Telerik.WinControls.RadItemCollection, input target as Telerik.WinControls.RadItem, input operation as Telerik.WinControls.ItemsChangeOperation).

   constructor public RadItemCollection():
   end constructor.

   constructor public RadItemCollection(input value as Telerik.WinControls.RadItemCollection):
   end constructor.

   constructor public RadItemCollection(input value as Telerik.WinControls.RadItem extent):
   end constructor.

   method protected void OnItemsChanged(input target as Telerik.WinControls.RadItem, input operation as Telerik.WinControls.ItemsChangeOperation):
   end method.

   method protected override void OnValidate(input value as System.Object):
   end method.

   method public final void SuspendNotifications():
   end method.

   method public final void ResumeNotifications():
   end method.

   method public final override Telerik.WinControls.RadItemCollection+RadItemEnumerator GetEnumerator():
   end method.

   method protected override void OnInsertComplete(input index as integer, input value as System.Object):
   end method.

   method protected override void OnRemove(input index as integer, input value as System.Object):
   end method.

   method protected override void OnRemoveComplete(input index as integer, input value as System.Object):
   end method.

   method protected override void OnSet(input index as integer, input oldValue as System.Object, input newValue as System.Object):
   end method.

   method protected override void OnSetComplete(input index as integer, input oldValue as System.Object, input newValue as System.Object):
   end method.

   method protected override void OnClear():
   end method.

   method protected override void OnClearComplete():
   end method.

   method protected void OnSort():
   end method.

   method protected void OnSortComplete():
   end method.

   method public final integer Add(input value as Telerik.WinControls.RadItem):
   end method.

   method public final void AddRange(input value as Telerik.WinControls.RadItem extent):
   end method.

   method public final void AddRange(input value as Telerik.WinControls.RadItemCollection):
   end method.

   method public final void Insert(input index as integer, input value as Telerik.WinControls.RadItem):
   end method.

   method public final void Remove(input value as Telerik.WinControls.RadItem):
   end method.

   method public final void Sort():
   end method.

   method public final void Sort(input comparer as System.Collections.IComparer):
   end method.

   method public final void Sort(input index as integer, input count as integer, input comparer as System.Collections.IComparer):
   end method.

   method public final logical Contains(input value as Telerik.WinControls.RadItem):
   end method.

   method public final integer IndexOf(input value as Telerik.WinControls.RadItem):
   end method.

   method public final void CopyTo(input array as Telerik.WinControls.RadItem extent, input index as integer):
   end method.

   method public final Telerik.WinControls.RadItem extent ToArray():
   end method.

end class.
