class Telerik.WinControls.RadPropertyMetadata
   inherits System.Object:

   def public property ReadOnly as logical
      get.

   def public property CoerceValueCallback as Telerik.WinControls.CoerceValueCallback
      get.
      set.

   def public property IsDefaultValueModified as logical
      get.

   def public property DefaultValue as System.Object
      get.
      set.

   def public property IsInherited as logical
      get.
      set.

   def public property Sealed as logical
      get.
      set.

   def protected property IsSealed as logical
      get.

   def public property PropertyChangedCallback as Telerik.WinControls.PropertyChangedCallback
      get.
      set.

   def public property AttachedPropertyUsage as Telerik.WinControls.AttachedPropertyUsage
      get.

   constructor public RadPropertyMetadata():
   end constructor.

   constructor public RadPropertyMetadata(input defaultValue as System.Object):
   end constructor.

   constructor public RadPropertyMetadata(input propertyChangedCallback as Telerik.WinControls.PropertyChangedCallback):
   end constructor.

   constructor public RadPropertyMetadata(input defaultValue as System.Object, input propertyChangedCallback as Telerik.WinControls.PropertyChangedCallback):
   end constructor.

   method protected Telerik.WinControls.RadPropertyMetadata CreateInstance():
   end method.

   method public final logical DefaultValueWasSet():
   end method.

   method public final System.Object GetDefaultValue(input owner as Telerik.WinControls.RadObject, input property as Telerik.WinControls.RadProperty):
   end method.

   method protected System.Object CreateDefaultValue(input owner as Telerik.WinControls.RadObject, input property as Telerik.WinControls.RadProperty):
   end method.

   method protected void OnApply(input dp as Telerik.WinControls.RadProperty, input targetType as System.Type):
   end method.

   method public final void Seal(input dp as Telerik.WinControls.RadProperty, input targetType as System.Type):
   end method.

   method public final logical ReadFlag(input id as integer):
   end method.

   method public final void WriteFlag(input id as integer, input value as logical):
   end method.

   method public final void SetAttachedPropertyUsage(input attachedPropertyUsage as Telerik.WinControls.AttachedPropertyUsage):
   end method.

   method public final Telerik.WinControls.RadPropertyMetadata Copy(input dp as Telerik.WinControls.RadProperty):
   end method.

   method public final void InvokeMerge(input baseMetadata as Telerik.WinControls.RadPropertyMetadata, input dp as Telerik.WinControls.RadProperty):
   end method.

   method protected void Merge(input baseMetadata as Telerik.WinControls.RadPropertyMetadata, input dp as Telerik.WinControls.RadProperty):
   end method.

end class.
