class Telerik.WinControls.RadService
   inherits Telerik.WinControls.RadObject
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor
   abstract:

   def public property Context as System.Object
      get.

   def public property AvailableAtDesignTime as logical
      get.

   def public property State as Telerik.WinControls.RadServiceState
      get.

   def public property Name as character
      get.

   def public property Enabled as logical
      get.
      set.

   def public event Starting signature void (input sender as System.Object, input e as Telerik.WinControls.RadServiceStartingEventArgs).

   def public event Started signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Stopping signature void (input sender as System.Object, input e as Telerik.WinControls.RadServiceStoppingEventArgs).

   def public event Stopped signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected RadService():
   end constructor.

   method public logical CanOperate():
   end method.

   method public final void Start(input context as System.Object):
   end method.

   method public final void Stop(input commit as logical):
   end method.

   method public final void Pause():
   end method.

   method public final void Resume():
   end method.

   method protected logical CanStart(input context as System.Object):
   end method.

   method protected void OnStarted():
   end method.

   method protected void OnStarting(input e as Telerik.WinControls.RadServiceStartingEventArgs):
   end method.

   method protected void OnStopped():
   end method.

   method protected void OnStopping(input e as Telerik.WinControls.RadServiceStoppingEventArgs):
   end method.

   method protected logical IsContextValid(input context as System.Object):
   end method.

   method protected void PerformStart():
   end method.

   method protected void PerformStop():
   end method.

   method protected void Abort():
   end method.

   method protected void Commit():
   end method.

   method protected void PerformResume():
   end method.

   method protected void PerformPause():
   end method.

   method protected void SetContext(input context as System.Object):
   end method.

   method protected void OnEnabledChanged():
   end method.

end class.
