class Telerik.WinControls.Styles.ItemStateManagerBase
   inherits System.Object
   abstract:

   def public static variable stateDelimiter as character.

   def public property DefaultVisibleStates as System.Collections.Generic.IEnumerable
      get.

   constructor public ItemStateManagerBase():
   end constructor.

   method public character GetInitialState(input item as Telerik.WinControls.RadObject):
   end method.

   method protected final void SetItemState(input item as Telerik.WinControls.RadObject, input stateNames as System.String extent):
   end method.

   method public Telerik.WinControls.Styles.StateManagerAttachmentData AttachToItem(input item as Telerik.WinControls.RadObject):
   end method.

   method public void Detach(input data as Telerik.WinControls.Styles.StateManagerAttachmentData):
   end method.

   method public final logical VerifyState(input state as character):
   end method.

   method public final logical VerifyState(input themeRoleName as character, input key as character):
   end method.

   method public final void AddDefaultVisibleState(input state as character):
   end method.

   method public final void RemoveDefaultVisibleState(input state as character):
   end method.

   method public final System.Collections.Generic.IEnumerable GetStateFallbackList(input item as Telerik.WinControls.RadItem):
   end method.

   method public final character GetStateFullName(input itemThemeRole as character, input stateName as character):
   end method.

   method public final static character CombineStateNames(input stateName as character, input stateName1 as character):
   end method.

   method public abstract void ItemStateChanged(input senderItem as Telerik.WinControls.RadObject, input changeArgs as Telerik.WinControls.RadPropertyChangedEventArgs).

   method protected abstract void AttachToItemOverride(input attachData as Telerik.WinControls.Styles.StateManagerAttachmentData, input item as Telerik.WinControls.RadObject).

   method public abstract Telerik.WinControls.Styles.StateDescriptionNode GetAvailableStates(input themeRoleName as character).

end class.
