class Telerik.WinControls.UI.AppointmentPrintElement
   inherits Telerik.WinControls.UI.RadPrintElement:

   def public property TimeFormat as character
      get.
      set.

   def public property ShowHours as logical
      get.
      set.

   def public property StatusAreaWidth as integer
      get.
      set.

   def public property Appointment as Telerik.WinControls.UI.IEvent
      get.
      set.

   def public property Start as datetime
      get.

   def public property End as datetime
      get.

   def public override property Text as character
      get.
      set.

   constructor public AppointmentPrintElement(input appointment as Telerik.WinControls.UI.IEvent, input data as Telerik.WinControls.UI.ISchedulerData):
   end constructor.

   constructor public AppointmentPrintElement():
   end constructor.

   method protected override void PaintFill(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected override void PaintFill(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

   method protected override void PaintText(input g as System.Drawing.Graphics, input rect as System.Drawing.Rectangle):
   end method.

   method protected override void PaintText(input g as System.Drawing.Graphics, input rect as System.Drawing.RectangleF):
   end method.

end class.
