class Telerik.WinControls.UI.BaseSpinEditor
   inherits Telerik.WinControls.UI.BaseInputEditor
   implements Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize:

   def protected variable selectionStart as integer.

   def protected variable selectionLength as integer.

   def public override property Value as System.Object
      get.
      set.

   def public property MinValue as decimal
      get.
      set.

   def public property MaxValue as decimal
      get.
      set.

   def public property Step as decimal
      get.
      set.

   def public property DecimalPlaces as integer
      get.
      set.

   def public property ThousandsSeparator as logical
      get.
      set.

   def public property ValueType as System.Type
      get.
      set.

   def public override property DataType as System.Type
      get.

   constructor public BaseSpinEditor():
   end constructor.

   method public override void BeginEdit():
   end method.

   method public override logical EndEdit():
   end method.

   method public override logical Validate():
   end method.

   method public void OnLostFocus():
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override Telerik.WinControls.RadElement CreateEditorElement():
   end method.

end class.
