class Telerik.WinControls.UI.BaseTextBoxEditor
   inherits Telerik.WinControls.UI.BaseInputEditor
   implements Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize:

   def protected variable selectionStart as integer.

   def protected variable selectionLength as integer.

   def protected variable isAtFirstLine as logical.

   def protected variable isAtLastLine as logical.

   def public override property Value as System.Object
      get.
      set.

   def public property NullValue as character
      get.
      set.

   def public property CharacterCasing as System.Windows.Forms.CharacterCasing
      get.
      set.

   def public property Multiline as logical
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property AcceptsTab as logical
      get.
      set.

   def public property AcceptsReturn as logical
      get.
      set.

   def protected property TextBoxEditorElement as Telerik.WinControls.UI.BaseTextBoxEditorElement
      get.

   def public override property DataType as System.Type
      get.

   def public override property IsModified as logical
      get.

   constructor public BaseTextBoxEditor():
   end constructor.

   method protected override Telerik.WinControls.RadElement CreateEditorElement():
   end method.

   method public override void Initialize(input owner as System.Object, input value as System.Object):
   end method.

   method public override void BeginEdit():
   end method.

   method public override logical EndEdit():
   end method.

   method protected void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnLostFocus():
   end method.

end class.
