class Telerik.WinControls.UI.CalendarView
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged
   abstract:

   def public property Calendar as Telerik.WinControls.UI.RadCalendar
      get.

   def public property Parent as Telerik.WinControls.UI.CalendarView
      get.

   def public property Children as Telerik.WinControls.UI.CalendarViewCollection
      get.

   def public property Name as character
      get.
      set.

   def public property AllowToolTips as logical
      get.
      set.

   def public property CellToolTipFormat as character
      get.
      set.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property TitleAlign as System.Windows.Forms.VisualStyles.ContentAlignment
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property RootView as Telerik.WinControls.UI.CalendarView
      get.

   def public property IsRootView as logical
      get.

   def public property Level as integer
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property ViewSelectorText as character
      get.
      set.

   def public property RowHeaderText as character
      get.
      set.

   def public property ColumnHeaderText as character
      get.
      set.

   def public property ColumnHeaderImage as System.Drawing.Image
      get.
      set.

   def public property RowHeaderImage as System.Drawing.Image
      get.
      set.

   def public property CellMargin as System.Windows.Forms.Padding
      get.
      set.

   def public property CellPadding as System.Windows.Forms.Padding
      get.
      set.

   def public property ViewSelectorImage as System.Drawing.Image
      get.
      set.

   def public property ShowOtherMonthsDays as logical
      get.
      set.

   def public property AllowFishEye as logical
      get.
      set.

   def public property ZoomFactor as decimal
      get.
      set.

   def public property MonthLayout as Telerik.WinControls.UI.MonthLayout
      get.
      set.

   def public property HeaderWidth as integer
      get.
      set.

   def public property HeaderHeight as integer
      get.
      set.

   def public property ShowSelector as logical
      get.
      set.

   def public property MultiViewRows as integer
      get.
      set.

   def public property MultiViewColumns as integer
      get.
      set.

   def public property ShowHeader as logical
      get.
      set.

   def public property TitleFormat as character
      get.
      set.

   def public property ShowColumnHeaders as logical
      get.
      set.

   def public property ShowRowHeaders as logical
      get.
      set.

   def public property AllowRowHeaderSelectors as logical
      get.
      set.

   def public property AllowColumnHeaderSelectors as logical
      get.
      set.

   def public property AllowViewSelector as logical
      get.
      set.

   def public property IsMultipleView as logical
      get.

   def protected property ViewRenderStartDate as datetime
      get.
      set.

   def protected property ViewRenderEndDate as datetime
      get.
      set.

   def public property ViewStartDate as datetime
      get.
      set.

   def public property ViewEndDate as datetime
      get.
      set.

   def public property Rows as integer
      get.
      set.

   def public property Columns as integer
      get.
      set.

   def public property PreviousView as Telerik.WinControls.UI.CalendarView
      get.

   def public property NextView as Telerik.WinControls.UI.CalendarView
      get.

   def public property CurrentCalendar as System.Globalization.Calendar
      get.

   def public property CellVerticalSpacing as integer
      get.
      set.

   def public property CellHorizontalSpacing as integer
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   method public final void Dispose():
   end method.

   method public final logical IsDateInView(input date as datetime):
   end method.

   method public void Select(input date as datetime):
   end method.

   method public void SelectRange(input dates as System.DateTime extent):
   end method.

   method public void SelectRange(input startDate as datetime, input endDate as datetime):
   end method.

   method protected datetime GetPreviousViewDate():
   end method.

   method protected datetime GetNextViewDate():
   end method.

   method protected datetime AddViewPeriods(input startDate as datetime, input periods as integer):
   end method.

   method protected void EnsureChildViews():
   end method.

   method protected void SetDateRange():
   end method.

   method protected void HandlePageDownKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandlePageUpKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleDownKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleUpKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleEndKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleHomeKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleLeftKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void HandleRightKey(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void ToggleSelection(input keys as System.Windows.Forms.Keys):
   end method.

   method protected void EnsureRenderSettings():
   end method.

   method protected datetime EffectiveVisibleDate():
   end method.

   method protected logical HandleKeyDown(input keys as System.Windows.Forms.Keys):
   end method.

   method protected Telerik.WinControls.UI.CalendarView CreateView(input date as datetime):
   end method.

   method protected Telerik.WinControls.UI.CalendarView CreateView():
   end method.

   method protected void OnNotifyPropertyChanged(input propertyName as character):
   end method.

   method protected void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
