class Telerik.WinControls.UI.DateTimeInterval
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged, System.IEquatable, System.ICloneable:

   def public static property Empty as Telerik.WinControls.UI.DateTimeInterval
      get.

   def public property Start as datetime
      get.
      set.

   def public property End as datetime
      get.
      set.

   def public property Duration as System.TimeSpan
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public DateTimeInterval():
   end constructor.

   constructor public DateTimeInterval(input start as datetime, input end as datetime):
   end constructor.

   constructor public DateTimeInterval(input start as datetime, input duration as System.TimeSpan):
   end constructor.

   method public final static logical IsNullOrEmpty(input interval as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public final logical Contains(input other as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public final logical Contains(input date as datetime):
   end method.

   method public final logical IntersectsWith(input other as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public final logical IntersectsWithGreaterEnd(input other as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method protected void OnPropertyChanged(input propertyName as character):
   end method.

   method public final logical Equals(input other as Telerik.WinControls.UI.DateTimeInterval):
   end method.

   method public override Telerik.WinControls.UI.DateTimeInterval Clone():
   end method.

end class.
