class Telerik.WinControls.UI.Event
   inherits System.Object
   implements Telerik.WinControls.UI.IEvent, Telerik.WinControls.UI.Data.IDataBoundItem, System.ComponentModel.INotifyPropertyChanged, Telerik.WinControls.UI.IRemindObject:

   def protected variable occurrenceEnumerator as Telerik.WinControls.UI.OccurrenceEnumerator.

   def protected variable isAllDay as logical.

   def public property Start as datetime
      get.
      set.

   def public property End as datetime
      get.
      set.

   def public property Duration as System.TimeSpan
      get.
      set.

   def public property Summary as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property RecurrenceId as datetime
      get.
      set.

   def public property Location as character
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property AllowDelete as logical
      get.
      set.

   def public property AllowEdit as logical
      get.
      set.

   def public property ResourceId as Telerik.WinControls.UI.EventId
      get.
      set.

   def public property ResourceIds as Telerik.WinControls.Data.ObservableCollection
      get.

   def public property UniqueId as Telerik.WinControls.UI.EventId
      get.
      set.

   def public property BackgroundId as integer
      get.
      set.

   def public property StatusId as integer
      get.
      set.

   def public property RecurrenceRule as Telerik.WinControls.UI.RecurrenceRule
      get.
      set.

   def public property Occurrences as System.Collections.Generic.IEnumerable
      get.

   def public property Exceptions as Telerik.WinControls.Data.ObservableCollection
      get.

   def public property IsViewCalculated as logical
      get.
      set.

   def public property CultureInfoProvider as Telerik.WinControls.UI.ICultureInfoProvider
      get.
      set.

   def public property MasterEvent as Telerik.WinControls.UI.IEvent
      get.

   def public property AllDay as logical
      get.
      set.

   def public property SnoozedAppointments as System.Collections.Generic.Dictionary
      get.

   def public property DismissedAppointments as System.Collections.Generic.Dictionary
      get.

   def public property ReminderAppointments as System.Collections.Generic.Dictionary
      get.

   def public property IsSuspended as logical
      get.

   def public property DataItem as System.Object
      get.

   def public property RemindId as integer
      get.

   def public property StartDateTime as datetime
      get.

   def public property Subject as character
      get.

   def public property Dismissed as logical
      get.
      set.

   def public property Snoozed as System.TimeSpan
      get.
      set.

   def public property Reminder as System.TimeSpan
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public Event():
   end constructor.

   method public System.Collections.Generic.IEnumerable GetOccurrences(input from as datetime, input to as datetime):
   end method.

   method protected Telerik.WinControls.UI.Event CreateOccurrenceInstance():
   end method.

   method public Telerik.WinControls.UI.IEvent CreateOccurrence(input start as datetime):
   end method.

   method public void AddOccurrenceException(input occurrence as Telerik.WinControls.UI.IEvent, input addExceptionDate as logical):
   end method.

   method public Telerik.WinControls.UI.IEvent CreateOccurrence(input start as datetime, input exception as logical):
   end method.

   method public void SuspendNotifications():
   end method.

   method public void ResumeNotifications():
   end method.

   method protected void OnPropertyChanged(input propertyName as character):
   end method.

end class.
