interface Telerik.WinControls.UI.IEvent
   inherits Telerik.WinControls.UI.Data.IDataBoundItem, System.ComponentModel.INotifyPropertyChanged:

   def public property Start as datetime
      get.
      set.

   def public property End as datetime
      get.
      set.

   def public property Duration as System.TimeSpan
      get.
      set.

   def public property Summary as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property Location as character
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property AllowDelete as logical
      get.
      set.

   def public property AllowEdit as logical
      get.
      set.

   def public property ResourceId as Telerik.WinControls.UI.EventId
      get.
      set.

   def public property ResourceIds as Telerik.WinControls.Data.ObservableCollection
      get.

   def public property UniqueId as Telerik.WinControls.UI.EventId
      get.
      set.

   def public property BackgroundId as integer
      get.
      set.

   def public property StatusId as integer
      get.
      set.

   def public property RecurrenceRule as Telerik.WinControls.UI.RecurrenceRule
      get.
      set.

   def public property Occurrences as System.Collections.Generic.IEnumerable
      get.

   def public property Exceptions as Telerik.WinControls.Data.ObservableCollection
      get.

   def public property CultureInfoProvider as Telerik.WinControls.UI.ICultureInfoProvider
      get.
      set.

   def public property MasterEvent as Telerik.WinControls.UI.IEvent
      get.

   def public property AllDay as logical
      get.
      set.

   def public property TimeZone as Telerik.WinControls.UI.TimeZoneInfo
      get.
      set.

   def public property RecurrenceId as datetime
      get.
      set.

   def public property DataItem as System.Object
      get.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   method public Telerik.WinControls.UI.IEvent CreateOccurrence(input start as datetime).

   method public Telerik.WinControls.UI.IEvent CreateOccurrence(input start as datetime, input exception as logical).

   method public void AddOccurrenceException(input occurrence as Telerik.WinControls.UI.IEvent, input addExceptionDate as logical).

   method public void SetDataItem(input dataItem as System.Object).

end interface.
