interface Telerik.WinControls.UI.IInputEditor
   inherits Telerik.WinControls.UI.IValueEditor:

   def public property EditorManager as Telerik.WinControls.UI.IEditorManager
      get.
      set.

   def public property IsModified as logical
      get.

   def public property Value as System.Object
      get.
      set.

   def public event Validating signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Validated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValidationError signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValidationErrorEventArgs).

   method public void Initialize(input owner as System.Object, input value as System.Object).

   method public void BeginEdit().

   method public logical EndEdit().

   method public logical Validate().

end interface.
