class Telerik.WinControls.UI.MonthCellElement
   inherits Telerik.WinControls.UI.SchedulerCellElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.ISchedulerRecyclableElement:

   def public static variable HeaderHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable ArrowImageProperty as Telerik.WinControls.RadProperty.

   def public static variable DrawLineProperty as Telerik.WinControls.RadProperty.

   def public static variable LineColorProperty as Telerik.WinControls.RadProperty.

   def public override property Date as datetime
      get.

   def public property Overflown as logical
      get.
      set.

   def public property HeaderHeight as integer
      get.
      set.

   def public property Header as Telerik.WinControls.UI.SchedulerHeaderCellElement
      get.

   def public property ArrowImage as System.Drawing.Image
      get.
      set.

   def public property DrawLine as logical
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   constructor public MonthCellElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method public final void SyncHeader():
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

end class.
