class Telerik.WinControls.UI.MonthViewAreaElement
   inherits Telerik.WinControls.UI.SchedulerCellContainer
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AppointmentHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable CellOverflowArrowHeightProperty as Telerik.WinControls.RadProperty.

   def public property CellScrollBars as Telerik.WinControls.UI.RadScrollBarElement extent
      get.
      protectedset.

   def public property AppointmentsComparer as System.Collections.Generic.IComparer
      get.
      set.

   def public property AppointmentHeight as integer
      get.
      set.

   def public property CellOverflowArrowHeight as integer
      get.
      set.

   def public property Feedback as Telerik.WinControls.UI.DragFeedbackElement
      get.

   constructor public MonthViewAreaElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input monthViewElement as Telerik.WinControls.UI.SchedulerMonthViewElement):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected System.Drawing.RectangleF GetFeedbackElementArrangeRectangle(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method public final Telerik.WinControls.UI.SchedulerCellElement GetCellForDate(input date as datetime):
   end method.

   method public final Telerik.WinControls.UI.MonthCellElement GetContentCell(input row as integer, input column as integer):
   end method.

   method protected void RefreshCellScrollBars():
   end method.

   method protected void OnCellScrollBarValueChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected character GetDayNumberAsTextFromCalendar(input date as datetime):
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateCellElements():
   end method.

   method protected override void UpdateCellsCore():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateAppointmentElements():
   end method.

   method public override void InitializeAppointments():
   end method.

end class.
