class Telerik.WinControls.UI.PropertyGridElement
   inherits Telerik.WinControls.UI.StackLayoutElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public property SplitElement as Telerik.WinControls.UI.PropertyGridSplitElement
      get.

   def public property PropertyTableElement as Telerik.WinControls.UI.PropertyGridTableElement
      get.

   def public property ToolbarElement as Telerik.WinControls.UI.PropertyGridToolbarElement
      get.

   def public property ToolbarVisible as logical
      get.
      set.

   def public property EnableSorting as logical
      get.
      set.

   def public property EnableGrouping as logical
      get.
      set.

   def public property EnableFiltering as logical
      get.
      set.

   def public property EnableCustomGrouping as logical
      get.
      set.

   constructor public PropertyGridElement():
   end constructor.

   method protected override void CreateChildElements():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridSplitElement CreateSplitElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridToolbarElement CreateToolbarElement():
   end method.

   method protected override void InitializeFields():
   end method.

   method public final void BestFit():
   end method.

   method public final void BestFit(input mode as Telerik.WinControls.UI.PropertyGridBestFitMode):
   end method.

   method public final void ExpandAllGridItems():
   end method.

   method public final void CollapseAllGridItems():
   end method.

   method public final void ResetSelectedProperty():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void OnStyleChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

end class.
