class Telerik.WinControls.UI.PropertyGridItem
   inherits Telerik.WinControls.UI.PropertyGridItemBase
   implements System.ComponentModel.INotifyPropertyChanged, Telerik.WinControls.Data.IDataItem, System.ComponentModel.ITypeDescriptorContext, System.IServiceProvider:

   def protected variable cachedValue as System.Object.

   def public override property Name as character
      get.

   def public override property Label as character
      get.
      set.

   def public override property Description as character
      get.
      set.

   def public property Category as character
      get.

   def public property ReadOnly as logical
      get.

   def public property Value as System.Object
      get.
      set.

   def public property FormattedValue as character
      get.
      set.

   def public property OriginalValue as System.Object
      get.

   def public property IsModified as logical
      get.

   def public override property Expandable as logical
      get.

   def public property DefaultSortOrder as logical
      get.
      set.

   def public property SortOrder as integer
      get.
      set.

   def public property Attributes as System.ComponentModel.AttributeCollection
      get.

   def public override property GridItems as Telerik.WinControls.UI.PropertyGridItemCollection
      get.

   def public override property Parent as Telerik.WinControls.UI.PropertyGridItemBase
      get.

   def public property ErrorMessage as character
      get.
      set.

   def public property UITypeEditor as System.Drawing.Design.UITypeEditor
      get.

   def public property TypeConverter as System.ComponentModel.TypeConverter
      get.

   def public property PropertyType as System.Type
      get.

   def public property PropertyDescriptor as System.ComponentModel.PropertyDescriptor
      get.

   def public property Accessor as Telerik.WinControls.UI.PropertyGridData.IItemAccessor
      get.

   def public property DataBoundItem as System.Object
      get.
      set.

   def public property FieldCount as integer
      get.

   def public property Item as System.Object
      get.
      set.

   def public property Item as System.Object
      get.
      set.

   def public property Container as System.ComponentModel.IContainer
      get.

   def public property Instance as System.Object
      get.

   constructor public PropertyGridItem(input propertyGridElement as Telerik.WinControls.UI.PropertyGridTableElement):
   end constructor.

   constructor public PropertyGridItem(input propertyGridElement as Telerik.WinControls.UI.PropertyGridTableElement, input parentItem as Telerik.WinControls.UI.PropertyGridItem):
   end constructor.

   method public void ResetValue():
   end method.

   method public void BeginEdit():
   end method.

   method protected void SetParent(input parent as Telerik.WinControls.UI.PropertyGridItem):
   end method.

   method protected Telerik.WinControls.UI.PropertyGridItemCollection GetChildItems(input parentItem as Telerik.WinControls.UI.PropertyGridItem, input obj as System.Object, input objType as System.Type):
   end method.

   method protected logical TryGetDefaultValue(input value as System.Object):
   end method.

   method protected logical ShouldGetChildItemsAnew(input oldValue as System.Object, input newValue as System.Object):
   end method.

   method protected character ConvertToPasswordString(input input as character):
   end method.

   method public final integer IndexOf(input name as character):
   end method.

   method public final void OnComponentChanged():
   end method.

   method public final logical OnComponentChanging():
   end method.

   method public final System.Object GetService(input serviceType as System.Type):
   end method.

end class.
