class Telerik.WinControls.UI.PropertyGridItemBase
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged
   abstract:

   def protected static variable SuspendNotificationsState as integer.

   def protected static variable IsExpandedState as integer.

   def protected static variable IsVisibleState as integer.

   def protected static variable IsEnableState as integer.

   def protected static variable IsModifiedState as integer.

   def protected variable state as System.Collections.Specialized.BitVector32.

   def protected variable text as character.

   def public property PropertyGridTableElement as Telerik.WinControls.UI.PropertyGridTableElement
      get.

   def public property Visible as logical
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property Expanded as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property Label as character
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property ToolTipText as character
      get.
      set.

   def public property ContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def public property Level as integer
      get.

   def public abstract property GridItems as Telerik.WinControls.UI.PropertyGridItemCollection
      get.

   def public abstract property Expandable as logical
      get.

   def public property Parent as Telerik.WinControls.UI.PropertyGridItemBase
      get.

   def public abstract property Name as character
      get.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PropertyGridItemBase(input propertyGridElement as Telerik.WinControls.UI.PropertyGridTableElement):
   end constructor.

   method public void Expand():
   end method.

   method public void Collapse():
   end method.

   method public void EnsureVisible():
   end method.

   method public void Select():
   end method.

   method protected logical SetBooleanProperty(input propertyName as character, input propertyKey as integer, input value as logical):
   end method.

   method protected void Update(input updateAction as Telerik.WinControls.UI.PropertyGridTableElement+UpdateActions):
   end method.

   method public final void SuspendPropertyNotifications():
   end method.

   method public final void ResumePropertyNotifications():
   end method.

   method public void OnNotifyPropertyChanged(input name as character):
   end method.

   method public void OnNotifyPropertyChanged(input args as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
