class Telerik.WinControls.UI.PropertyGridItemElement
   inherits Telerik.WinControls.UI.PropertyGridItemElementBase
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.IVirtualizedElement:

   def public static variable IsChildItemProperty as Telerik.WinControls.RadProperty.

   def public static variable IsModifiedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsInEditModeProperty as Telerik.WinControls.RadProperty.

   def public static variable IsReadOnlyProperty as Telerik.WinControls.RadProperty.

   def public static variable HasChildrenProperty as Telerik.WinControls.RadProperty.

   def public property IsChildItem as logical
      get.
      set.

   def public property IsModified as logical
      get.
      set.

   def public property IsReadOnly as logical
      get.
      set.

   def public property HeaderElement as Telerik.WinControls.UI.PropertyGridRowHeaderElement
      get.

   def public property IndentElement as Telerik.WinControls.UI.PropertyGridIndentElement
      get.

   def public property ExpanderElement as Telerik.WinControls.UI.PropertyGridExpanderElement
      get.

   def public property TextElement as Telerik.WinControls.UI.PropertyGridContentElement
      get.

   def public property ValueElement as Telerik.WinControls.UI.PropertyGridValueElement
      get.

   def public override property Data as Telerik.WinControls.UI.PropertyGridItemBase
      get.

   def public property IsInEditMode as logical
      get.

   def public property Editor as Telerik.WinControls.UI.IInputEditor
      get.

   constructor public PropertyGridItemElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridRowHeaderElement CreatePropertyGridRowHeaderElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridIndentElement CreatePropertyGridIndentElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridExpanderElement CreatePropertyGridExpanderElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridTextElement CreatePropertyGridTextElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridValueElement CreatePropertyGridValueElement():
   end method.

   method public logical IsInResizeLocation(input location as System.Drawing.Point):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public override void Attach(input data as Telerik.WinControls.UI.PropertyGridItemBase, input context as System.Object):
   end method.

   method public override void Detach():
   end method.

   method public override void Synchronize():
   end method.

   method public override logical IsCompatible(input data as Telerik.WinControls.UI.PropertyGridItemBase, input context as System.Object):
   end method.

   method public void AddEditor(input editor as Telerik.WinControls.UI.IInputEditor):
   end method.

   method public void RemoveEditor(input editor as Telerik.WinControls.UI.IInputEditor):
   end method.

   method protected final Telerik.WinControls.RadItem GetEditorElement(input editor as Telerik.WinControls.UI.IValueEditor):
   end method.

end class.
