class Telerik.WinControls.UI.PropertyGridSplitElement
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public property PropertyTableElement as Telerik.WinControls.UI.PropertyGridTableElement
      get.

   def public property SizeGripElement as Telerik.WinControls.UI.PropertyGridSizeGripElement
      get.

   def public property HelpElement as Telerik.WinControls.UI.PropertyGridHelpElement
      get.

   def public property HelpElementHeight as decimal
      get.
      set.

   def public property HelpVisible as logical
      get.
      set.

   constructor public PropertyGridSplitElement():
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridTableElement CreateTableElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridSizeGripElement CreateSizeGripElement():
   end method.

   method protected Telerik.WinControls.UI.PropertyGridHelpElement CreateHelpElement():
   end method.

   method public void BeginResize(input offset as integer):
   end method.

   method public void ShowHelp():
   end method.

   method public void HideHelp():
   end method.

   method public void ClearHelpBarText():
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

end class.
