class Telerik.WinControls.UI.RadButtonItem
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, System.Windows.Forms.IButtonControl, Telerik.WinControls.Primitives.IImageElement:

   def public static variable ImageProperty as Telerik.WinControls.RadProperty.

   def public static variable DisplayStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageIndexProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageKeyProperty as Telerik.WinControls.RadProperty.

   def public static variable ImageAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable TextAlignmentProperty as Telerik.WinControls.RadProperty.

   def public static variable TextImageRelationProperty as Telerik.WinControls.RadProperty.

   def public static variable IsDefaultProperty as Telerik.WinControls.RadProperty.

   def public static variable IsPressedProperty as Telerik.WinControls.RadProperty.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageIndex as integer
      get.
      set.

   def public property ImageKey as character
      get.
      set.

   def public property TextImageRelation as System.Windows.Forms.TextImageRelation
      get.
      set.

   def public property ImageAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property TextAlignment as System.Drawing.ContentAlignment
      get.
      set.

   def public property DisplayStyle as Telerik.WinControls.DisplayStyle
      get.
      set.

   def public property IsPressed as logical
      get.

   def public property IsDefault as logical
      get.
      set.

   def public property IsSharedImage as logical
      get.
      set.

   constructor public RadButtonItem():
   end constructor.

   constructor public RadButtonItem(input text as character):
   end constructor.

   constructor public RadButtonItem(input text as character, input image as System.Drawing.Image):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public override Telerik.WinControls.RadProperty MapStyleProperty(input propertyToMap as Telerik.WinControls.RadProperty, input settingType as character):
   end method.

end class.
