class Telerik.WinControls.UI.RadCalendarDay
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged:

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property TemplateItem as Telerik.WinControls.RadHostItem
      get.
      set.

   def public property Date as datetime
      get.
      set.

   def public property Selectable as logical
      get.
      set.

   def public property Selected as logical
      get.
      set.

   def public property Disabled as logical
      get.
      set.

   def public property IsToday as logical
      get.

   def public property Recurring as Telerik.WinControls.UI.RecurringEvents
      get.
      set.

   def public property IsWeekend as logical
      get.

   def public property ToolTip as character
      get.
      set.

   def protected property Owner as Telerik.WinControls.UI.CalendarDayCollection
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public RadCalendarDay():
   end constructor.

   constructor public RadCalendarDay(input date as datetime):
   end constructor.

   constructor public RadCalendarDay(input owner as Telerik.WinControls.UI.CalendarDayCollection):
   end constructor.

   constructor public RadCalendarDay(input date as datetime, input owner as Telerik.WinControls.UI.CalendarDayCollection):
   end constructor.

   method protected final void SetToday(input value as logical):
   end method.

   method protected final void SetWeekend(input value as logical):
   end method.

   method protected Telerik.WinControls.UI.RecurringEvents IsRecurring(input compareTime as datetime, input processCalendar as System.Globalization.Calendar):
   end method.

   method public final static datetime TruncateTimeComponent(input value as datetime):
   end method.

   method public final static Telerik.WinControls.UI.RadCalendarDay CreateDay(input date as datetime):
   end method.

   method protected final static Telerik.WinControls.UI.RadCalendarDay CreateDay(input date as datetime, input owner as Telerik.WinControls.UI.CalendarDayCollection):
   end method.

   method protected void OnNotifyPropertyChanged(input propertyName as character):
   end method.

   method protected void OnNotifyPropertyChanged(input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

end class.
