class Telerik.WinControls.UI.RadCalendarElement
   inherits Telerik.WinControls.UI.CalendarVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AllowFishEyeProperty as Telerik.WinControls.RadProperty.

   def public static variable ZoomFactorProperty as Telerik.WinControls.RadProperty.

   def public property AllowDropDownFastNavigation as logical
      get.
      set.

   def public property AllowFishEye as logical
      get.
      set.

   def public property ZoomFactor as decimal
      get.
      set.

   def public override property View as Telerik.WinControls.UI.CalendarView
      get.
      set.

   def protected property SelectedElement as Telerik.WinControls.UI.LightVisualElement
      get.
      set.

   def public property CalendarVisualElement as Telerik.WinControls.UI.CalendarVisualElement
      get.

   def public property CalendarNavigationElement as Telerik.WinControls.UI.CalendarNavigationElement
      get.

   def public property CalendarStatusElement as Telerik.WinControls.UI.CalendarStatusElement
      get.

   def public property FastBackwardButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property FastForwardButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property PreviousButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property NextButton as Telerik.WinControls.UI.RadButtonElement
      get.

   def public property ZoomLevel as Telerik.WinControls.UI.ZoomLevel
      get.
      set.

   def public property MonthStep as integer
      get.
      set.

   constructor public RadCalendarElement(input calendar as Telerik.WinControls.UI.RadCalendar):
   end constructor.

   constructor public RadCalendarElement(input calendar as Telerik.WinControls.UI.RadCalendar, input view as Telerik.WinControls.UI.CalendarView):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected void LocalizeStrings():
   end method.

   method public override void RefreshVisuals():
   end method.

   method public override void RefreshVisuals(input unconditional as logical):
   end method.

end class.
