class Telerik.WinControls.UI.RadContextMenu
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, Telerik.WinControls.IAnalyticsProvider:

   def public property Items as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property ThemeName as character
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property DropDown as Telerik.WinControls.UI.RadDropDownMenu
      get.

   def public property AnalyticsName as character
      get.
      set.

   def public property EnableAnalytics as logical
      get.
      set.

   def public event DropDownOpening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event DropDownClosing signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event DropDownOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownClosed signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadContextMenu():
   end constructor.

   constructor public RadContextMenu(input owner as System.ComponentModel.IContainer):
   end constructor.

   method public final void Show():
   end method.

   method public final void Show(input x as integer, input y as integer):
   end method.

   method public final void Show(input point as System.Drawing.Point):
   end method.

   method public final void Show(input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input x as integer, input y as integer):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input point as System.Drawing.Point):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control, input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input x as integer, input y as integer):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input point as System.Drawing.Point):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input point as System.Drawing.Point, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method public final void Show(input item as Telerik.WinControls.RadItem, input ownerOffset as integer, input popupDirection as Telerik.WinControls.UI.RadDirection):
   end method.

   method protected void OnDropDownOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnDropDownClosing(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnDropDownOpened():
   end method.

   method protected void OnDropDownClosed():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
