class Telerik.WinControls.UI.RadDateTimePicker
   inherits Telerik.WinControls.RadEditorControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IKeyboardToolTip, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider:

   def public property Name as character
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public override property AutoSize as logical
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def public property DateTimePickerElement as Telerik.WinControls.UI.RadDateTimePickerElement
      get.
      set.

   def public property Value as datetime
      get.
      set.

   def public property NullableValue as datetime
      get.
      set.

   def public property Format as System.Windows.Forms.DateTimePickerFormat
      get.
      set.

   def public property ShowCheckBox as logical
      get.
      set.

   def public property CustomFormat as character
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property MinDate as datetime
      get.
      set.

   def public property MaxDate as datetime
      get.
      set.

   def public property CalendarLocation as System.Drawing.Point
      get.
      set.

   def public property CalendarSize as System.Drawing.Size
      get.
      set.

   def public property NullDate as datetime
      get.
      set.

   def public property ShowUpDown as logical
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public static property MaximumDateTime as datetime
      get.
      set.

   def public event MaskProviderCreated signature void (input sender as System.Object, input e as System.EventArgs).

   def public event FormatChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ValueChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ValueChangingEventArgs).

   def public event NullableValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Opened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Opening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event Closing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   def public event Closed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   def public override event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public override event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public override event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event ToggleStateChanging signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangingEventArgs).

   def public event ToggleStateChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.StateChangedEventArgs).

   def public event CheckedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadDateTimePicker():
   end constructor.

   method protected override void CreateChildItems(input parent as Telerik.WinControls.RadElement):
   end method.

   method protected Telerik.WinControls.UI.RadDateTimePickerElement CreateElement():
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final logical ShouldSerializeMinDate():
   end method.

   method public final logical ShouldSerializeMaxDate():
   end method.

   method public final void SetToNullValue():
   end method.

   method public final void ResetCulture():
   end method.

   method public final void ResetNullText():
   end method.

   method public override void EndInit():
   end method.

   method public void OnKeyUp(input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void OnKeyPress(input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public void OnKeyDown(input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnFormatChanged(input e as System.EventArgs):
   end method.

   method protected void OnValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnNullableValueChanged(input e as System.EventArgs):
   end method.

   method protected void OnValueChanging(input e as Telerik.WinControls.UI.ValueChangingEventArgs):
   end method.

   method protected void OnClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected void OnOpened(input args as System.EventArgs):
   end method.

   method protected void OnOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnClosing(input args as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void OnCheckedChanged(input e as System.EventArgs):
   end method.

   method protected override void OnThemeChanged():
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnEnter(input e as System.EventArgs):
   end method.

   method protected override void OnLeave(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected override void ProcessAutoSizeChanged(input value as logical):
   end method.

   method protected override void OnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method public override logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void SetBackColorThemeOverrides():
   end method.

   method protected override void ResetBackColorThemeOverrides():
   end method.

   method protected override void SetForeColorThemeOverrides():
   end method.

   method protected override void ResetForeColorThemeOverrides():
   end method.

end class.
