class Telerik.WinControls.UI.RadDropDownListElement
   inherits Telerik.WinControls.UI.PopupEditorElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.UI.IInputEditor, Telerik.WinControls.UI.IValueEditor, System.ComponentModel.ISupportInitialize:

   def public static variable IsDropDownShownProperty as Telerik.WinControls.RadProperty.

   def public property SyncSelectionWithText as logical
      get.
      set.

   def public property EditableElementText as character
      get.
      set.

   def public property IsPopupVisible as logical
      get.

   def public property RightToLeft as logical
      get.
      set.

   def public property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def public property AutoCompleteHelpers as System.Collections.Generic.List
      get.

   def public property ShowImageInEditorArea as logical
      get.
      set.

   def public property Filter as System.Predicate
      get.
      set.

   def public property FilterExpression as character
      get.
      set.

   def public property IsFilterActive as logical
      get.

   def public property EditableElement as Telerik.WinControls.UI.RadDropDownListEditableAreaElement
      get.
      set.

   def public property AutoSizeItems as logical
      get.
      set.

   def public property EnableMouseWheel as logical
      get.
      set.

   def public property Items as Telerik.WinControls.UI.RadListDataItemCollection
      get.

   def public property NullText as character
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property AutoCompleteMode as System.Windows.Forms.AutoCompleteMode
      get.
      set.

   def public property DropDownSizingMode as Telerik.WinControls.UI.SizingMode
      get.
      set.

   def public property DropDownStyle as Telerik.WinControls.RadDropDownStyle
      get.
      set.

   def public property SelectedValue as System.Object
      get.
      set.

   def public property SelectedIndex as integer
      get.
      set.

   def public property SelectedItem as Telerik.WinControls.UI.RadListDataItem
      get.
      set.

   def public property SuspendSelectionEvents as logical
      get.
      set.

   def public property SelectionMode as System.Windows.Forms.SelectionMode
      get.
      set.

   def public property DataSource as System.Object
      get.
      set.

   def public property DataMember as character
      get.
      set.

   def public property DisplayMember as character
      get.
      set.

   def public property ValueMember as character
      get.
      set.

   def public property ItemHeight as integer
      get.
      set.

   def public property TextBox as Telerik.WinControls.UI.RadDropDownTextBoxElement
      get.
      set.

   def public property ArrowButton as Telerik.WinControls.UI.RadArrowButtonElement
      get.
      set.

   def public property CaseSensitive as logical
      get.
      set.

   def public property SelectNextOnDoubleClick as logical
      get.
      set.

   def public property FormatInfo as System.IFormatProvider
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property FormattingEnabled as logical
      get.
      set.

   def public property DropDownAnimationEasing as Telerik.WinControls.RadEasingType
      get.
      set.

   def public property DropDownAnimationEnabled as logical
      get.
      set.

   def public property SortStyle as Telerik.WinControls.Enumerations.SortStyle
      get.
      set.

   def public property DropDownAnimationFrames as integer
      get.
      set.

   def public property AutoCompleteSuggest as Telerik.WinControls.UI.AutoCompleteSuggestHelper
      get.
      set.

   def public property AutoCompleteAppend as Telerik.WinControls.UI.AutoCompleteAppendHelper
      get.
      set.

   def public property ArrowButtonMinWidth as integer
      get.
      set.

   def public property NullTextColor as System.Drawing.Color
      get.
      set.

   def public property DropDownWidth as integer
      get.
      set.

   def public event SelectedValueChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.ValueChangedEventArgs).

   def public event SelectedIndexChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangedEventArgs).

   def public event SelectedIndexChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangingCancelEventArgs).

   def public event ItemDataBinding signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBindingEventArgs).

   def public event ItemDataBound signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBoundEventArgs).

   def public event CreatingVisualItem signature void (input sender as System.Object, input args as Telerik.WinControls.UI.CreatingVisualListItemEventArgs).

   def public event SortStyleChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.SortStyleChangedEventArgs).

   def public event VisualItemFormatting signature void (input sender as System.Object, input args as Telerik.WinControls.UI.VisualItemFormattingEventArgs).

   def public event KeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event KeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event KeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   constructor public RadDropDownListElement():
   end constructor.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected Telerik.WinControls.UI.RadDropDownListEditableAreaElement CreateTextEditorElement():
   end method.

   method protected Telerik.WinControls.UI.RadDropDownListArrowButtonElement CreateArrowButtonElement():
   end method.

   method protected override Telerik.WinControls.UI.RadPopupControlBase CreatePopupForm():
   end method.

   method public final void SelectText(input start as integer, input length as integer):
   end method.

   method public final void SelectAllText():
   end method.

   method public final void SelectAll():
   end method.

   method public final void SelectRange(input startIndex as integer, input endIndex as integer):
   end method.

   method public void BeginUpdate():
   end method.

   method public void EndUpdate():
   end method.

   method public logical IsUpdating():
   end method.

   method public System.IDisposable DeferRefresh():
   end method.

   method public integer FindStringExact(input s as character):
   end method.

   method public integer FindStringExact(input s as character, input startIndex as integer):
   end method.

   method public final integer FindString(input s as character):
   end method.

   method public final integer FindString(input s as character, input startIndex as integer):
   end method.

   method public logical Focus():
   end method.

   method public override void ShowPopup():
   end method.

   method public override void ClosePopup(input reason as Telerik.WinControls.UI.RadPopupCloseReason):
   end method.

   method public override void NotifyOwner(input notificationData as Telerik.WinControls.UI.PopupEditorNotificationData):
   end method.

   method public final void CallClosePopupCore():
   end method.

   method protected void ProcessKeyDown(input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void ProcessKeyUp(input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnSelectedIndexChanged(input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangedEventArgs):
   end method.

   method protected logical CanClosePopUp(input reason as Telerik.WinControls.UI.RadPopupCloseReason, input buttons as System.Windows.Forms.MouseButtons):
   end method.

   method protected final logical OnSelectedIndexChanging(input sender as System.Object, input e as Telerik.WinControls.UI.Data.PositionChangingCancelEventArgs):
   end method.

   method protected void OnSelectedValueChanged(input sender as System.Object, input e as Telerik.WinControls.UI.Data.ValueChangedEventArgs):
   end method.

   method protected void OnListItemDataBinding(input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBindingEventArgs):
   end method.

   method protected void OnListItemDataBound(input sender as System.Object, input args as Telerik.WinControls.UI.ListItemDataBoundEventArgs):
   end method.

   method protected void OnVisualElementCreated(input sender as System.Object, input args as Telerik.WinControls.UI.CreatingVisualListItemEventArgs):
   end method.

   method protected final void OnKeyPress(input sender as Telerik.WinControls.UI.RadDropDownListEditableAreaElement, input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected final void OnTextChanged(input sender as Telerik.WinControls.UI.RadDropDownListEditableAreaElement, input args as System.EventArgs):
   end method.

   method protected void OnSortStyleChanged(input sortStyle as Telerik.WinControls.Enumerations.SortStyle):
   end method.

   method protected void OnVisualItemFormatting(input item as Telerik.WinControls.UI.RadListVisualItem):
   end method.

   method protected void OnItemsClear():
   end method.

   method protected void OnLoaded():
   end method.

   method protected void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnMouseWheelCore(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected void OnItemsChanged():
   end method.

   method protected override void OnPopupClosed(input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected override void OnPopupOpened(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected override void OnAutoCompeleteDataSourceChanged():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void listElement_DataItemPropertyChanged(input sender as System.Object, input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected Telerik.WinControls.UI.AutoCompleteAppendHelper CreateAutoCompleteAppendHandler():
   end method.

   method protected Telerik.WinControls.UI.AutoCompleteSuggestHelper CreateAutoCompleteSuggestHelper():
   end method.

   method protected void ClosePopupCore():
   end method.

   method protected final void HandleOnKeyUpKeyDownPress(input keyEventArgs as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void HandleSelectNextOrPrev(input next as logical, input startFromBeginningIfEndReached as logical):
   end method.

   method protected void SyncVisualProperties(input listItem as Telerik.WinControls.UI.RadListDataItem):
   end method.

   method protected void ScrollToItemFromText(input text as character):
   end method.

   method protected void EnterPressedOrLeaveControl():
   end method.

   method protected void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

end class.
