class Telerik.WinControls.UI.RadItemsPopupControl
   inherits Telerik.WinControls.UI.RadPopupControlBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider, Telerik.WinControls.UI.IPopupControl, Telerik.WinControls.IItemsControl
   abstract:

   def public property IsVisible as logical
      get.

   def public property Items as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property Minimum as System.Drawing.Size
      get.
      set.

   def public property Maximum as System.Drawing.Size
      get.
      set.

   def public property ActiveItems as Telerik.WinControls.RadItemOwnerCollection
      get.

   def public property RollOverItemSelection as logical
      get.
      set.

   def public property ProcessKeyboard as logical
      get.
      set.

   def public event ItemSelected signature void (input sender as System.Object, input args as Telerik.WinControls.ItemSelectedEventArgs).

   def public event ItemDeselected signature void (input sender as System.Object, input args as Telerik.WinControls.ItemSelectedEventArgs).

   def public event DropDownOpening signature void (input sender as System.Object, input e as System.ComponentModel.CancelEventArgs).

   def public event DropDownClosing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   def public event DropDownOpened signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DropDownClosed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   constructor public RadItemsPopupControl(input owner as Telerik.WinControls.RadElement):
   end constructor.

   method public final void CallOnItemDeselected(input args as Telerik.WinControls.ItemSelectedEventArgs):
   end method.

   method protected void OnItemDeselected(input args as Telerik.WinControls.ItemSelectedEventArgs):
   end method.

   method protected void OnItemSelected(input args as Telerik.WinControls.ItemSelectedEventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected void OnDropDownOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnDropDownClosing(input args as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void OnDropDownOpened():
   end method.

   method protected void OnDropDownClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected final void AutoUpdateBounds():
   end method.

   method public logical CanProcessMnemonic(input keyData as character):
   end method.

   method public logical CanNavigate(input keyData as System.Windows.Forms.Keys):
   end method.

   method public final Telerik.WinControls.RadItem GetSelectedItem():
   end method.

   method public final void SelectItem(input item as Telerik.WinControls.RadItem):
   end method.

   method public final Telerik.WinControls.RadItem GetNextItem(input item as Telerik.WinControls.RadItem, input forward as logical):
   end method.

   method public final Telerik.WinControls.RadItem SelectNextItem(input item as Telerik.WinControls.RadItem, input forward as logical):
   end method.

   method public final Telerik.WinControls.RadItem GetFirstVisibleItem():
   end method.

   method public final Telerik.WinControls.RadItem GetLastVisibleItem():
   end method.

   method public final Telerik.WinControls.RadItem SelectFirstVisibleItem():
   end method.

   method public final Telerik.WinControls.RadItem SelectLastVisibleItem():
   end method.

end class.
