class Telerik.WinControls.UI.RadListVisualItem
   inherits Telerik.WinControls.UI.LightVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider, Telerik.WinControls.UI.IVirtualizedElement:

   def public static variable ActiveProperty as Telerik.WinControls.RadProperty.

   def public static variable SelectedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsOddProperty as Telerik.WinControls.RadProperty.

   def protected static property SynchronizationProperties as System.Collections.Generic.List
      get.

   def public property Selected as logical
      get.

   def public property Active as logical
      get.

   def public property IsOdd as logical
      get.
      set.

   def protected property CanApplyAlternatingColor as logical
      get.

   def public property Data as Telerik.WinControls.UI.RadListDataItem
      get.
      protectedset.

   constructor public RadListVisualItem():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void OnParentChanged(input previousParent as Telerik.WinControls.RadElement):
   end method.

   method public void Attach(input data as Telerik.WinControls.UI.RadListDataItem, input context as System.Object):
   end method.

   method public void Detach():
   end method.

   method public void Synchronize():
   end method.

   method protected void SynchronizeProperties():
   end method.

   method protected void PropertySynchronizing(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected void PropertySynchronized(input property as Telerik.WinControls.RadProperty):
   end method.

   method protected void DataPropertyChanged(input sender as System.Object, input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public logical IsCompatible(input data as Telerik.WinControls.UI.RadListDataItem, input context as System.Object):
   end method.

   method protected void UpdateAlternatingItemColor():
   end method.

   method protected final void ResetAlternatingItemColor():
   end method.

end class.
