class Telerik.WinControls.UI.RadPopupControlBase
   inherits Telerik.WinControls.RadControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider, Telerik.WinControls.UI.IPopupControl:

   def protected variable lastAlignmentRectangle as System.Drawing.Rectangle.

   def public variable AnimationProperties as Telerik.WinControls.UI.RadPopupControlBase+PopupAnimationProperties.

   def public property DropDownAnimationDirection as Telerik.WinControls.UI.RadDirection
      get.
      set.

   def public property EasingType as Telerik.WinControls.RadEasingType
      get.
      set.

   def public property AnimationFrames as integer
      get.
      set.

   def public property AnimationEnabled as logical
      get.
      set.

   def public property AnimationType as Telerik.WinControls.UI.PopupAnimationTypes
      get.
      set.

   def public property FadeAnimationFrames as integer
      get.
      set.

   def public property FadeAnimationSpeed as integer
      get.
      set.

   def public property Opacity as decimal
      get.
      set.

   def public property DropShadow as logical
      get.
      set.

   def public property EnableAeroEffects as logical
      get.
      set.

   def public property FadeAnimationType as Telerik.WinControls.UI.FadeAnimationType
      get.
      set.

   def public property FitToScreenMode as Telerik.WinControls.UI.FitToScreenModes
      get.
      set.

   def public property ScreenSpaceMode as Telerik.WinControls.UI.ScreenSpaceMode
      get.
      set.

   def public property AlignmentRectangleOverlapMode as Telerik.WinControls.UI.AlternativeCorrectionMode
      get.
      set.

   def public property HorizontalAlignmentCorrectionMode as Telerik.WinControls.UI.AlignmentCorrectionMode
      get.
      set.

   def public property VerticalAlignmentCorrectionMode as Telerik.WinControls.UI.AlignmentCorrectionMode
      get.
      set.

   def public property VerticalPopupAlignment as Telerik.WinControls.UI.VerticalPopupAlignment
      get.
      set.

   def public property HorizontalPopupAlignment as Telerik.WinControls.UI.HorizontalPopupAlignment
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property OwnerElement as Telerik.WinControls.RadElement
      get.

   def public property OwnerPopup as Telerik.WinControls.UI.IPopupControl
      get.

   def public property Children as System.Collections.Generic.List
      get.

   def public override event MouseWheel signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event FadeAnimationFinished signature void (input sender as System.Object, input args as Telerik.WinControls.UI.FadeAnimationEventArgs).

   def public event PopupOpening signature void (input sender as System.Object, input args as System.ComponentModel.CancelEventArgs).

   def public event PopupOpened signature void (input sender as System.Object, input args as System.EventArgs).

   def public event PopupClosing signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosingEventArgs).

   def public event PopupClosed signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPopupClosedEventArgs).

   constructor public RadPopupControlBase(input owner as Telerik.WinControls.RadElement):
   end constructor.

   method public final override void Show():
   end method.

   method public final void Show(input screenLocation as System.Drawing.Point):
   end method.

   method public final void Show(input control as System.Windows.Forms.Control):
   end method.

   method public final override void Hide():
   end method.

   method protected override logical ProcessFocusRequested(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void OnPopupOpened():
   end method.

   method protected void OnPopupOpening(input args as System.ComponentModel.CancelEventArgs):
   end method.

   method protected void OnPopupClosed(input args as Telerik.WinControls.UI.RadPopupClosedEventArgs):
   end method.

   method protected void OnPopupClosing(input args as Telerik.WinControls.UI.RadPopupClosingEventArgs):
   end method.

   method protected void InitializeDropDownAnimation(input location as System.Drawing.Point):
   end method.

   method public final void UpdateLocation(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method public final void UpdateLocation():
   end method.

   method protected System.Drawing.Point GetCorrectedLocation(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method protected System.Drawing.Point GetCorrectedLocation(input currentScreen as System.Windows.Forms.Screen, input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method protected System.Drawing.Size ApplySizingConstraints(input availableSize as System.Drawing.Size, input currentScreen as System.Windows.Forms.Screen):
   end method.

   method protected System.Windows.Forms.Screen GetCurrentScreen(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method public final System.Windows.Forms.Screen GetCurrentScreen():
   end method.

   method protected System.Drawing.Rectangle GetAvailableBoundsFromScreen(input screen as System.Windows.Forms.Screen):
   end method.

   method protected System.Drawing.Point GetCorrectedHorizontalLocation(input currentScreen as System.Windows.Forms.Screen, input alignmentRectangle as System.Drawing.Rectangle, input calculatedLocation as System.Drawing.Point):
   end method.

   method protected System.Drawing.Point GetCorrectedVerticalLocation(input currentScreen as System.Windows.Forms.Screen, input alignmentRectangle as System.Drawing.Rectangle, input calculatedLocation as System.Drawing.Point):
   end method.

   method protected integer GetHorizontalPopupLocation(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method protected integer GetVerticalPopupLocation(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method protected void AnimationStarting():
   end method.

   method protected System.Drawing.Point OnAlternativeXLocationNeeded(input alignmentRectangle as System.Drawing.Rectangle, input proposedLocation as System.Drawing.Point, input availableBounds as System.Drawing.Rectangle):
   end method.

   method protected System.Drawing.Point CheckMakeLastLocationCorrection(input alignmentRectangle as System.Drawing.Rectangle, input proposedLocation as System.Drawing.Point, input availableBounds as System.Drawing.Rectangle):
   end method.

   method protected System.Drawing.Point OnAlternativeYLocationNeeded(input alignmentRectangle as System.Drawing.Rectangle, input proposedLocation as System.Drawing.Point, input availableBounds as System.Drawing.Rectangle):
   end method.

   method public void ShowPopup(input alignmentRectangle as System.Drawing.Rectangle):
   end method.

   method public void ClosePopup(input info as Telerik.WinControls.UI.PopupCloseInfo):
   end method.

   method protected logical OnPopupClosing(input info as Telerik.WinControls.UI.PopupCloseInfo):
   end method.

   method protected void OnPopupClosed(input info as Telerik.WinControls.UI.PopupCloseInfo):
   end method.

   method public void ClosePopup(input reason as Telerik.WinControls.UI.RadPopupCloseReason):
   end method.

   method public logical CanClosePopup(input reason as Telerik.WinControls.UI.RadPopupCloseReason):
   end method.

   method public logical OnKeyDown(input keyData as System.Windows.Forms.Keys):
   end method.

   method public logical OnMouseWheel(input target as System.Windows.Forms.Control, input delta as integer):
   end method.

   method protected void CallMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnAnimationFinished(input args as Telerik.WinControls.WindowAnimation.AnimationEventArgs):
   end method.

   method protected void OnAnimating(input e as Telerik.WinControls.WindowAnimation.AnimationEventArgs):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

end class.
