class Telerik.WinControls.UI.RadScheduler
   inherits Telerik.WinControls.RadControl
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.Windows.Forms.IKeyboardToolTip, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, Telerik.WinControls.IComponentTreeHandler, Telerik.WinControls.Layouts.ILayoutHandler, Telerik.WinControls.CodedUI.IPCHost, Telerik.WinControls.IAnalyticsProvider, Telerik.WinControls.UI.ICultureInfoProvider, Telerik.WinControls.UI.ISchedulerData, Telerik.WinControls.UI.IPrintable:

   def public static variable ICalendarDataFormat as character.

   def public static variable NavigateBackwardCommand as Telerik.WinControls.UI.NavigateBackwardCommand.

   def public static variable NavigateForwardCommand as Telerik.WinControls.UI.NavigateForwardCommand.

   def public static variable NavigateToPreviousAppointmentsCommand as Telerik.WinControls.UI.NavigateToPreviousAppointmentsCommand.

   def public static variable NavigateToNextAppointmentsCommand as Telerik.WinControls.UI.NavigateToNextAppointmentsCommand.

   def public static variable CreateNewAppointmentCommand as Telerik.WinControls.UI.CreateNewAppointmentCommand.

   def public static variable NavigateToNextViewCommand as Telerik.WinControls.UI.NavigateToNextViewCommand.

   def public static variable NavigateToPreviousViewCommand as Telerik.WinControls.UI.NavigateToPreviousViewCommand.

   def public property AppointmentElementFactory as Telerik.WinControls.UI.IAppointmentElementFactory
      get.
      set.

   def public property SchedulerInputBehavior as Telerik.WinControls.UI.SchedulerInputBehavior
      get.
      set.

   def public property SelectionBehavior as Telerik.WinControls.UI.SchedulerSelectionBehavior
      get.
      set.

   def public property ElementProvider as Telerik.WinControls.UI.SchedulerElementProvider
      get.
      set.

   def public property SaveLoadRemindersBehavior as Telerik.WinControls.UI.SchedulerSaveLoadRemindersBehavior
      get.
      set.

   def public property AppointmentsComparer as System.Collections.Generic.IComparer
      get.
      set.

   def public property PrintSettingsDialogFactory as Telerik.WinControls.UI.IPrintSettingsDialogFactory
      get.
      set.

   def public property DragDropBehavior as Telerik.WinControls.UI.AppointmentDraggingBehavior
      get.

   def public property ResizeBehavior as Telerik.WinControls.UI.AppointmentResizingBehavior
      get.

   def public property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property SystemTimeZone as Telerik.WinControls.UI.SchedulerTimeZone
      get.
      set.

   def public property DataSource as Telerik.WinControls.UI.SchedulerDataSource
      get.
      set.

   def public property SchedulerElement as Telerik.WinControls.UI.RadSchedulerElement
      get.

   def public property ViewElement as Telerik.WinControls.UI.SchedulerViewElement
      get.

   def public property Statuses as Telerik.WinControls.UI.SchedulerStatusCollection
      get.

   def public property Resources as Telerik.WinControls.UI.SchedulerResourceCollection
      get.

   /* TODO: we don't know the type of this property, but it must be one of the collections that has Clear() */
   def public property Controls as Telerik.WinControls.UI.SchedulerResourceCollection
      get.

   def public property Backgrounds as Telerik.WinControls.UI.SchedulerBackgroundCollection
      get.

   def public property Reminders as Telerik.WinControls.UI.SchedulerReminderCollection
      get.

   def public property ActiveViewType as Telerik.WinControls.UI.SchedulerViewType
      get.
      set.

   def public property Appointments as Telerik.WinControls.UI.SchedulerAppointmentCollection
      get.

   def public property AccessibleInterval as Telerik.WinControls.UI.DateTimeInterval
      get.
      set.

   def public property ActiveView as Telerik.WinControls.UI.SchedulerView
      get.
      set.

   def public property AppointmentFactory as Telerik.WinControls.UI.IAppointmentFactory
      get.
      set.

   def public property HighlightToday as logical
      get.
      set.

   def public property AllowMouseWheelSupport as logical
      get.
      set.

   def public property AllowCopyPaste as Telerik.WinControls.UI.CopyPasteMode
      get.
      set.

   def public property AllowViewNavigationOnDrag as logical
      get.
      set.

   def public property AllowAppointmentResize as logical
      get.
      set.

   def public property AllowAppointmentCreateInline as logical
      get.
      set.

   def public property AllowAppointmentMove as logical
      get.
      set.

   def public property ShowAppointmentStatus as logical
      get.
      set.

   def public property ShowAllDayAppointmentStatus as logical
      get.
      set.

   def public property AutoSizeAppointments as logical
      get.
      set.

   def public property AllowAppointmentsMultiSelect as logical
      get.
      set.

   def public property AppointmentRecurrenceIcon as System.Drawing.Image
      get.
      set.

   def protected override property DefaultSize as System.Drawing.Size
      get.

   def public property UseCompatibleTextRendering as logical
      get.
      set.

   def public property ShowNavigationElements as logical
      get.
      set.

   def public property AppointmentTitleFormat as character
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property HeaderFormat as character
      get.
      set.

   def public property GroupType as Telerik.WinControls.UI.GroupType
      get.
      set.

   def public property AllowToolTips as logical
      get.
      set.

   def public property DateTimeFormat as System.Globalization.DateTimeFormatInfo
      get.

   def public property FocusedDate as datetime
      get.
      set.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def public property RadContextMenu as Telerik.WinControls.UI.RadContextMenu
      get.
      set.

   def public property EnableExactTimeRendering as logical
      get.
      set.

   def public property EnableCustomCellDrawing as logical
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property BackColor as System.Drawing.Color
      get.
      set.

   def public override property ForeColor as System.Drawing.Color
      get.
      set.

   def public override property Text as character
      get.
      set.

   def public property PrintStyle as Telerik.WinControls.UI.SchedulerPrintStyle
      get.
      set.

   def public property Holidays as Telerik.WinControls.UI.SchedulerHolidays
      get.
      set.

   def public event CellFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerCellEventArgs).

   def public event CellPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerCellPaintEventArgs).

   def public event AppointmentRender signature void (input sender as System.Object, input args as Telerik.WinControls.UI.AppointmentRenderEventArgs).

   def public event CultureChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AppointmentMoving signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovingEventArgs).

   def public event AppointmentMoved signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovedEventArgs).

   def public event AppointmentDropping signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovingEventArgs).

   def public event AppointmentDropped signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovedEventArgs).

   def public event AppointmentResizing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentResizingEventArgs).

   def public event AppointmentResized signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentResizedEventArgs).

   def public event AppointmentResizeStart signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs).

   def public event AppointmentResizeEnd signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentEventArgs).

   def public event AppointmentDeleting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs).

   def public event AppointmentDeleted signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentEventArgs).

   def public event AppointmentAdded signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentAddedEventArgs).

   def public event AppointmentChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentChangedEventArgs).

   def public event AppointmentSelecting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs).

   def public event AppointmentSelected signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentSelectedEventArgs).

   def public event CellSelectionChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerCellSelectingEventArgs).

   def public event CellSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ResourceStartIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ResourceStartIndexChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.ResourceIndexChangingEventArgs).

   def public event CellClick signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerCellEventArgs).

   def public event AppointmentMouseUp signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentMouseEventArgs).

   def public event AppointmentMouseDown signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentMouseEventArgs).

   def public event AppointmentElementMouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event AppointmentElementMouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event AppointmentElementMouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event AppointmentElementDoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CellElementMouseDown signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event CellElementMouseMove signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event CellElementMouseUp signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event CellElementDoubleClick signature void (input sender as System.Object, input e as System.EventArgs).

   def public event CellElementKeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event CellElementKeyPress signature void (input sender as System.Object, input e as System.Windows.Forms.KeyPressEventArgs).

   def public event CellElementKeyUp signature void (input sender as System.Object, input e as System.Windows.Forms.KeyEventArgs).

   def public event DataBindingComplete signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ContextMenuOpening signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerContextMenuOpeningEventArgs).

   def public event ActiveViewChanging signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerViewChangingEventArgs).

   def public event ActiveViewChanged signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerViewChangedEventArgs).

   def public event AppointmentFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentEventArgs).

   def public event EditorRequired signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerEditorRequiredArgs).

   def public event ViewNavigating signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerViewNavigatingEventArgs).

   def public event ViewNavigated signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerViewNavigatedEventArgs).

   def public event CellOverflowButtonClicked signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerCellEventArgs).

   def public event PrintElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintElementEventArgs).

   def public event CellPrintElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintSchedulerCellEventArgs).

   def public event AppointmentPrintElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintAppointmentEventArgs).

   def public event PrintElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintElementPaintEventArgs).

   def public event CellPrintElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintSchedulerCellPaintEventArgs).

   def public event AppointmentPrintElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintAppointmentPaintEventArgs).

   def public event AppointmentEditDialogShowing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentEditDialogShowingEventArgs).

   def public event RecurrenceEditDialogShowing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RecurrenceEditDialogShowingEventArgs).

   def public event RecurrenceDeleteDialogShowing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RecurrenceDeleteDialogShowingEventArgs).

   def public event RulerTextFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.RulerTextFormattingEventArgs).

   def public event AppointmentsCopying signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerClipboardEventArgs).

   def public event AppointmentsPasting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerClipboardEventArgs).

   constructor public RadScheduler():
   end constructor.

   method protected override void CreateChildItems(input parent as Telerik.WinControls.RadElement):
   end method.

   method protected Telerik.WinControls.UI.Scheduler.Dialogs.IEditAppointmentDialog CreateAppointmentEditDialog():
   end method.

   method protected override System.Windows.Forms.AccessibleObject CreateAccessibilityInstance():
   end method.

   method protected Telerik.WinControls.UI.RadSchedulerElement CreateRadSchedulerElement():
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public final void DataBind():
   end method.

   method public System.Windows.Forms.DialogResult ShowAppointmentEditDialog(input appointment as Telerik.WinControls.UI.IEvent, input recurringAppointment as logical):
   end method.

   method public final Telerik.WinControls.UI.SchedulerDayView GetDayView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerMultiDayView GetMultiDayView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerWeekView GetWeekView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerMonthView GetMonthView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerTimelineView GetTimelineView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerAgendaView GetAgendaView():
   end method.

   method public void Export(input stream as System.IO.Stream, input exporter as Telerik.WinControls.UI.ISchedulerExporter):
   end method.

   method public character Export(input exporter as Telerik.WinControls.UI.ISchedulerExporter):
   end method.

   method public void Import(input stream as System.IO.Stream, input importer as Telerik.WinControls.UI.ISchedulerImporter):
   end method.

   method public void Import(input stringData as character, input importer as Telerik.WinControls.UI.ISchedulerImporter):
   end method.

   method public override logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement):
   end method.

   method public final void SaveReminders(input filePath as character):
   end method.

   method public final void SaveReminders(input stream as System.IO.Stream):
   end method.

   method public final void ClearReminders():
   end method.

   method public final void LoadReminders(input filePath as character):
   end method.

   method public final void LoadReminders(input stream as System.IO.Stream):
   end method.

   method public final void ShowContextMenu(input location as System.Drawing.Point):
   end method.

   method public Telerik.WinControls.UI.ISchedulerStorage GetEventStorage():
   end method.

   method public Telerik.WinControls.UI.ISchedulerStorage GetResourceStorage():
   end method.

   method public Telerik.WinControls.UI.ISchedulerStorage GetBackgroundStorage():
   end method.

   method public Telerik.WinControls.UI.ISchedulerStorage GetStatusStorage():
   end method.

   method public Telerik.WinControls.UI.ISchedulerStorage GetReminderStorage():
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnLoad(input desiredSize as System.Drawing.Size):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseEnter(input e as System.EventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseWheel(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnValidated(input e as System.EventArgs):
   end method.

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected void OnCultureChanged():
   end method.

   method protected logical OnActiveViewChanging(input oldView as Telerik.WinControls.UI.SchedulerView, input newView as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected void OnActiveViewChanged(input oldView as Telerik.WinControls.UI.SchedulerView, input newView as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected Telerik.WinControls.UI.Scheduler.Dialogs.IEditAppointmentDialog OnAppointmentEditDialogShowing(input appointment as Telerik.WinControls.UI.IEvent, input dialog as Telerik.WinControls.UI.Scheduler.Dialogs.IEditAppointmentDialog):
   end method.

   method protected Telerik.WinControls.UI.Scheduler.Dialogs.IEditRecurrenceDialog OnRecurrenceEditDialogShowing(input appointment as Telerik.WinControls.UI.IEvent, input dialog as Telerik.WinControls.UI.Scheduler.Dialogs.IEditRecurrenceDialog):
   end method.

   method protected Telerik.WinControls.UI.Scheduler.Dialogs.IDeleteRecurringAppointmentDialog OnRecurrenceDeleteDialogShowing(input appointment as Telerik.WinControls.UI.IEvent, input dialog as Telerik.WinControls.UI.Scheduler.Dialogs.IDeleteRecurringAppointmentDialog):
   end method.

   method protected void OnEditorRequired(input args as Telerik.WinControls.UI.SchedulerEditorRequiredArgs):
   end method.

   method protected void OnAddAppointments(input list as System.Collections.IList):
   end method.

   method protected void OnRemoveAppointments(input list as System.Collections.IList):
   end method.

   method protected void OnReplaceAppointments(input oldItems as System.Collections.IList, input newItems as System.Collections.IList):
   end method.

   method protected void OnUpdateAppointments():
   end method.

   method protected void OnAppointmentsChanged(input list as System.Collections.IList, input propertyName as character):
   end method.

   method protected void OnAppointmentFormatting(input args as Telerik.WinControls.UI.SchedulerAppointmentEventArgs):
   end method.

   method protected void OnAppointmentRender(input args as Telerik.WinControls.UI.AppointmentRenderEventArgs):
   end method.

   method protected void OnDataBindingComplete(input sender as System.Object, input args as System.EventArgs):
   end method.

   method protected void OnCellFormatting(input args as Telerik.WinControls.UI.SchedulerCellEventArgs):
   end method.

   method protected void OnCellPaint(input args as Telerik.WinControls.UI.SchedulerCellPaintEventArgs):
   end method.

   method protected void OnCellClick(input args as Telerik.WinControls.UI.SchedulerCellEventArgs):
   end method.

   method protected logical OnCellOverflowButtonClicked(input args as Telerik.WinControls.UI.SchedulerCellEventArgs):
   end method.

   method protected void OnCellElementKeyUp(input sender as System.Object, input args as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnCellElementKeyDown(input sender as System.Object, input args as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected void OnCellElementKeyPress(input sender as System.Object, input args as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected void OnCellElementMouseDown(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnCellElementDoubleClick(input sender as System.Object, input args as System.EventArgs):
   end method.

   method protected void OnCellElementMouseUp(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnCellElementMouseMove(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnAppointmentElementDoubleClick(input sender as System.Object, input args as System.EventArgs):
   end method.

   method protected void OnAppointmentElementMouseDown(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnAppointmentElementMouseMove(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnAppointmentElementMouseUp(input sender as System.Object, input args as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnAppointmentMoving(input args as Telerik.WinControls.UI.AppointmentMovingEventArgs):
   end method.

   method protected void OnAppointmentMoved(input args as Telerik.WinControls.UI.AppointmentMovedEventArgs):
   end method.

   method protected void OnAppointmentDropping(input args as Telerik.WinControls.UI.AppointmentMovingEventArgs):
   end method.

   method protected void OnAppointmentDropped(input args as Telerik.WinControls.UI.AppointmentMovedEventArgs):
   end method.

   method protected void OnAppointmentResizing(input args as Telerik.WinControls.UI.AppointmentResizingEventArgs):
   end method.

   method protected void OnAppointmentResized(input args as Telerik.WinControls.UI.AppointmentResizedEventArgs):
   end method.

   method protected void OnAppointmentDeleting(input args as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs):
   end method.

   method protected void OnAppointmentDeleted(input args as Telerik.WinControls.UI.SchedulerAppointmentEventArgs):
   end method.

   method protected void OnAppointmentAdded(input args as Telerik.WinControls.UI.AppointmentAddedEventArgs):
   end method.

   method protected void OnAppointmentChanged(input appointment as Telerik.WinControls.UI.IEvent, input propertyName as character):
   end method.

   method protected void OnAppointmentChanged(input appointment as Telerik.WinControls.UI.IEvent, input propertyNames as System.String extent):
   end method.

   method protected void OnCellSelectionChanged(input args as System.EventArgs):
   end method.

   method protected void OnResourceStartIndexChanged():
   end method.

   method protected void OnResourceStartIndexChanging(input args as Telerik.WinControls.UI.ResourceIndexChangingEventArgs):
   end method.

   method protected void OnCellSelectionChanging(input args as Telerik.WinControls.UI.SchedulerCellSelectingEventArgs):
   end method.

   method protected void OnAppointmentSelected(input args as Telerik.WinControls.UI.SchedulerAppointmentSelectedEventArgs):
   end method.

   method protected void OnAppointmentSelecting(input args as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs):
   end method.

   method protected void OnAppointmentMouseDown(input args as Telerik.WinControls.UI.SchedulerAppointmentMouseEventArgs):
   end method.

   method protected void OnAppointmentMouseUp(input args as Telerik.WinControls.UI.SchedulerAppointmentMouseEventArgs):
   end method.

   method protected void OnViewNavigating(input args as Telerik.WinControls.UI.SchedulerViewNavigatingEventArgs):
   end method.

   method protected void OnViewNavigated(input args as Telerik.WinControls.UI.SchedulerViewNavigatedEventArgs):
   end method.

   method protected void OnRulerTextFormatting(input args as Telerik.WinControls.UI.RulerTextFormattingEventArgs):
   end method.

   method protected void OnContextMenuOpening(input e as Telerik.WinControls.UI.SchedulerContextMenuOpeningEventArgs):
   end method.

   method protected void OnAppointmentResizeStart(input args as Telerik.WinControls.UI.SchedulerAppointmentCancelEventArgs):
   end method.

   method protected void OnAppointmentResizeEnd(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected void FillDefaultStatuses(input statuses as Telerik.WinControls.UI.SchedulerStatusCollection):
   end method.

   method protected void FillDefaultReminders(input reminders as Telerik.WinControls.UI.SchedulerReminderCollection):
   end method.

   method protected void FillDefaultBackgrounds(input backgrounds as Telerik.WinControls.UI.SchedulerBackgroundCollection):
   end method.

   method protected Telerik.WinControls.UI.ViewData GetValuesByViewElement(input viewElement as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method protected void SetValuesToViewElement(input viewElement as Telerik.WinControls.UI.SchedulerVisualElement, input viewData as Telerik.WinControls.UI.ViewData):
   end method.

   method protected void SynchronizeStartDate(input oldView as Telerik.WinControls.UI.SchedulerView, input newView as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected void SynchronizeViewsSettings(input oldView as Telerik.WinControls.UI.SchedulerView, input newView as Telerik.WinControls.UI.SchedulerView, input viewData as Telerik.WinControls.UI.ViewData):
   end method.

   method protected Telerik.WinControls.UI.AppointmentBackgroundInfo CreateBackgroundInfo(input category as Telerik.WinControls.UI.AppointmentBackground, input stringId as character, input backColor as System.Drawing.Color, input backColor2 as System.Drawing.Color):
   end method.

   method protected Telerik.WinControls.UI.AppointmentBackgroundInfo CreateBackgroundInfo(input category as Telerik.WinControls.UI.AppointmentBackground, input stringId as character, input backColor as System.Drawing.Color, input backColor2 as System.Drawing.Color, input foreColor as System.Drawing.Color, input borderColor as System.Drawing.Color):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method public final void AddNewAppointmentWithDialog(input interval as Telerik.WinControls.UI.DateTimeInterval, input recurringAppointment as logical, input resources as Telerik.WinControls.UI.SchedulerResourceCollection):
   end method.

   method public final void AddNewAppointmentWithDialog(input interval as Telerik.WinControls.UI.DateTimeInterval, input allDay as logical, input recurringAppointment as logical, input resources as Telerik.WinControls.UI.SchedulerResourceCollection):
   end method.

   method public void AddNewAppointmentWithDialog(input appointment as Telerik.WinControls.UI.IEvent, input interval as Telerik.WinControls.UI.DateTimeInterval, input recurringAppointment as logical, input resources as Telerik.WinControls.UI.SchedulerResourceCollection):
   end method.

   method protected void OnAppointmentsCopying(input args as Telerik.WinControls.UI.SchedulerClipboardEventArgs):
   end method.

   method protected void OnAppointmentsPasting(input args as Telerik.WinControls.UI.SchedulerClipboardEventArgs):
   end method.

   method public final void Copy():
   end method.

   method public final void Cut():
   end method.

   method public final void Paste():
   end method.

   method protected override void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method protected void HandleWeekViewPan(input args as Telerik.WinControls.PanGestureEventArgs, input weekView as Telerik.WinControls.UI.SchedulerWeekView):
   end method.

   method protected void HandleMonthViewPan(input args as Telerik.WinControls.PanGestureEventArgs, input monthView as Telerik.WinControls.UI.SchedulerMonthView):
   end method.

   method protected void HandleTimelineViewPan(input args as Telerik.WinControls.PanGestureEventArgs, input timeLine as Telerik.WinControls.UI.SchedulerTimelineView):
   end method.

   method protected void HandleDayViewPan(input args as Telerik.WinControls.PanGestureEventArgs, input view as Telerik.WinControls.UI.SchedulerDayView):
   end method.

   method protected final Telerik.WinControls.UI.LightVisualElement GetImageElement(input element as Telerik.WinControls.RadElement, input backColor as System.Drawing.Color):
   end method.

   method protected override void OnZoomGesture(input args as Telerik.WinControls.ZoomGestureEventArgs):
   end method.

   method public void Print():
   end method.

   method public void Print(input showPrinterSettings as logical):
   end method.

   method public void Print(input showPrinterSettings as logical, input document as Telerik.WinControls.UI.RadPrintDocument):
   end method.

   method public void PrintPreview():
   end method.

   method public void PrintPreview(input document as Telerik.WinControls.UI.RadPrintDocument):
   end method.

end class.
