class Telerik.WinControls.UI.RadScrollBarElement
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def public static variable DefaultScrollType as Telerik.WinControls.UI.ScrollType.

   def public static variable PressedProperty as Telerik.WinControls.RadProperty.

   def public static variable IsMouseOverScrollBarProperty as Telerik.WinControls.RadProperty.

   def public static variable GradientAngleCorrectionProperty as Telerik.WinControls.RadProperty.

   def public static variable ThumbLengthProportionProperty as Telerik.WinControls.RadProperty.

   def public static variable MinThumbLengthProperty as Telerik.WinControls.RadProperty.

   def public static variable ScrollTypeProperty as Telerik.WinControls.RadProperty.

   def public property ClampValue as logical
      get.
      set.

   def public property FillElement as Telerik.WinControls.Primitives.FillPrimitive
      get.

   def public property BorderElement as Telerik.WinControls.Primitives.BorderPrimitive
      get.

   def public property FirstButton as Telerik.WinControls.UI.ScrollBarButton
      get.

   def public property SecondButton as Telerik.WinControls.UI.ScrollBarButton
      get.

   def public property ThumbLengthProportion as decimal
      get.
      set.

   def public property MinThumbLength as integer
      get.
      set.

   def public property ThumbLength as integer
      get.

   def public property GradientAngleCorrection as decimal
      get.
      set.

   def public property Maximum as integer
      get.
      set.

   def public property Minimum as integer
      get.
      set.

   def public property Value as integer
      get.
      set.

   def public property SmallChange as integer
      get.
      set.

   def public property LargeChange as integer
      get.
      set.

   def public property ScrollType as Telerik.WinControls.UI.ScrollType
      get.
      set.

   def public property ThumbElement as Telerik.WinControls.UI.ScrollBarThumb
      get.

   def public property ScrollTimerDelay as integer
      get.
      set.

   def public event Scroll signature void (input sender as System.Object, input e as System.Windows.Forms.ScrollEventArgs).

   def public event ValueChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ScrollParameterChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadScrollBarElement():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override void OnLoaded():
   end method.

   method public final Telerik.WinControls.UI.ScrollBarParameters GetParameters():
   end method.

   method public final void SetParameters(input parameters as Telerik.WinControls.UI.ScrollBarParameters):
   end method.

   method public final void PerformSmallDecrement(input numSteps as integer):
   end method.

   method public final void PerformSmallIncrement(input numSteps as integer):
   end method.

   method public final void PerformLargeDecrement(input numSteps as integer):
   end method.

   method public final void PerformLargeIncrement(input numSteps as integer):
   end method.

   method public final void PerformFirst():
   end method.

   method public final void PerformLast():
   end method.

   method public final void PerformScrollTo(input position as System.Drawing.Point):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnPanGesture(input args as Telerik.WinControls.PanGestureEventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected void OnValueChanged():
   end method.

   method protected void OnScroll(input args as System.Windows.Forms.ScrollEventArgs):
   end method.

   method protected void OnScrollParameterChanged():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method public override System.Windows.Forms.VisualStyles.VisualStyleElement GetXPVisualStyle():
   end method.

   method public override System.Windows.Forms.VisualStyles.VisualStyleElement GetVistaVisualStyle():
   end method.

   method protected override void InitializeSystemSkinPaint():
   end method.

   method protected override void UnitializeSystemSkinPaint():
   end method.

   method protected override logical ShouldPaintChild(input element as Telerik.WinControls.RadElement):
   end method.

   method protected override void PaintElementSkin(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected void PaintVisualStyleElement(input graphics as System.Drawing.Graphics, input element as System.Windows.Forms.VisualStyles.VisualStyleElement, input bounds as System.Drawing.Rectangle):
   end method.

   method protected void PaintVerticalVisualStyleElements():
   end method.

   method protected void PaintHorizontalVisualStylesElements():
   end method.

end class.
