class Telerik.WinControls.UI.RadTextBoxElement
   inherits Telerik.WinControls.UI.RadEditorElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def public property TextAlign as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property Fill as Telerik.WinControls.Primitives.FillPrimitive
      get.

   def public property Border as Telerik.WinControls.Primitives.BorderPrimitive
      get.

   def public property TextBoxItem as Telerik.WinControls.UI.RadTextBoxItem
      get.

   def public property UseGenericBorderPaint as logical
      get.
      set.

   def public property ShowBorder as logical
      get.
      set.

   def public property PasswordChar as character
      get.
      set.

   def public event AcceptsTabChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event HideSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ModifiedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MultilineChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ReadOnlyChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextAlignChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextChanging signature void (input sender as System.Object, input e as Telerik.WinControls.TextChangingEventArgs).

   def public event TextChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadTextBoxElement():
   end constructor.

   constructor public RadTextBoxElement(input textBoxItem as Telerik.WinControls.UI.RadTextBoxItem):
   end constructor.

   method protected void CreateChildElements():
   end method.

   method protected void InitializeFields():
   end method.

   method protected void OnMultilineChanged(input e as System.EventArgs):
   end method.

   method protected void OnReadOnlyChanged(input e as System.EventArgs):
   end method.

   method protected void CallTextChanging(input e as Telerik.WinControls.TextChangingEventArgs):
   end method.

   method protected void CallTextChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextAlignChanged(input e as System.EventArgs):
   end method.

   method protected void OnModifiedChanged(input e as System.EventArgs):
   end method.

   method protected void OnHideSelectionChanged(input e as System.EventArgs):
   end method.

   method protected void OnAcceptsTabChanged(input e as System.EventArgs):
   end method.

   method protected void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected void OnBubbleEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected void OnSelect():
   end method.

   method public logical Focus():
   end method.

   method protected System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

end class.
