class Telerik.WinControls.UI.RecurrenceRule
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged, System.ICloneable, System.IEquatable
   abstract:

   def public static variable DefaultEndDate as datetime.

   def public static variable DefaultCount as integer.

   def public property ExceptionDates as System.Collections.Generic.IList
      get.

   def public property Start as datetime
      get.
      set.

   def public property End as datetime
      get.
      set.

   def public property EventDuration as System.TimeSpan
      get.

   def public property Count as integer
      get.
      set.

   def public property Interval as integer
      get.
      set.

   def public abstract property Frequency as Telerik.WinControls.UI.RecurrenceType
      get.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public RecurrenceRule():
   end constructor.

   constructor public RecurrenceRule(input start as datetime, input interval as integer):
   end constructor.

   constructor public RecurrenceRule(input start as datetime, input interval as integer, input count as integer):
   end constructor.

   constructor public RecurrenceRule(input start as datetime, input end as datetime, input interval as integer):
   end constructor.

   constructor public RecurrenceRule(input start as datetime, input end as datetime, input interval as integer, input count as integer):
   end constructor.

   method public final static Telerik.WinControls.UI.RecurrenceRule CreateRule(input type as Telerik.WinControls.UI.RecurrenceType):
   end method.

   method public void SuspendNotifications():
   end method.

   method public void ResumeNotifications():
   end method.

   method protected void OnPropertyChanged(input propertyName as character):
   end method.

   method public abstract datetime GetOccurrenceStart(input index as integer, input startDate as datetime, input dateTimeFormat as System.Globalization.DateTimeFormatInfo).

   method public logical MatchAdvancedPattern(input start as datetime, input dateTimeFormat as System.Globalization.DateTimeFormatInfo):
   end method.

   method public logical IsExceptionDate(input date as datetime):
   end method.

   method public abstract logical IntersectsWithException(input eventStart as datetime, input eventDuration as System.TimeSpan, input exception as Telerik.WinControls.UI.IEvent).

   method public logical IsValid():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method protected void CopyProperties(input other as Telerik.WinControls.UI.RecurrenceRule):
   end method.

   method protected abstract Telerik.WinControls.UI.RecurrenceRule CreateInstance().

   method public final override Telerik.WinControls.UI.RecurrenceRule Clone():
   end method.

   method public logical Equals(input other as Telerik.WinControls.UI.RecurrenceRule):
   end method.

   method public logical TryGetCloseToNextOccurrenceDate(input currentDate as datetime, input hasOcurrenceOnCurrentDate as logical, input closeToNextDate as datetime):
   end method.

end class.
