class Telerik.WinControls.UI.RulerPrimitive
   inherits Telerik.WinControls.Primitives.FillPrimitive
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, Telerik.WinControls.Primitives.IPrimitive, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement:

   def public static variable CurrentTimePointerColorProperty as Telerik.WinControls.RadProperty.

   def public static variable ShowCurrentTimeProperty as Telerik.WinControls.RadProperty.

   def public static variable RulerWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable StartScaleProperty as Telerik.WinControls.RadProperty.

   def public static variable EndScaleProperty as Telerik.WinControls.RadProperty.

   def public static variable StartScaleMinutesProperty as Telerik.WinControls.RadProperty.

   def public static variable EndScaleMinutesProperty as Telerik.WinControls.RadProperty.

   def public static variable RangeFactorProperty as Telerik.WinControls.RadProperty.

   def public static variable SeparatorsOffsetProperty as Telerik.WinControls.RadProperty.

   def public static variable TimePointerStyleProperty as Telerik.WinControls.RadProperty.

   def public static variable HourLineColorProperty as Telerik.WinControls.RadProperty.

   def public static variable SectionLineColorProperty as Telerik.WinControls.RadProperty.

   def public static variable HourLineShadowColorProperty as Telerik.WinControls.RadProperty.

   def public static variable HourLineStartPositionProperty as Telerik.WinControls.RadProperty.

   def public static variable SectionLineStartPositionProperty as Telerik.WinControls.RadProperty.

   def public static variable MinutesFontProperty as Telerik.WinControls.RadProperty.

   def public static variable FormatStringsProperty as Telerik.WinControls.RadProperty.

   def public property DefaultOffset as decimal
      get.

   def public property TimePointerStyle as Telerik.WinControls.UI.RulerCurrentTimePointer
      get.
      set.

   def public property Border as Telerik.WinControls.Primitives.BorderPrimitive
      get.

   def public property HourLineColor as System.Drawing.Color
      get.
      set.

   def public property SectionLineStartPosition as integer
      get.
      set.

   def public property MinutesFont as System.Drawing.Font
      get.
      set.

   def public property HourLineStartPosition as integer
      get.
      set.

   def public property SectionLineColor as System.Drawing.Color
      get.
      set.

   def public property HourLineShadowColor as System.Drawing.Color
      get.
      set.

   def public property CurrentTimePointerColor as System.Drawing.Color
      get.
      set.

   def public property ShowCurrentTime as logical
      get.
      set.

   def public property RulerWidth as integer
      get.
      set.

   def public property StartScale as integer
      get.
      set.

   def public property EndScale as integer
      get.
      set.

   def public property StartScaleMinutes as integer
      get.
      set.

   def public property EndScaleMinutes as integer
      get.
      set.

   def public property SelectedTimeZone as Telerik.WinControls.UI.SchedulerTimeZone
      get.
      set.

   def public property ViewTimeZone as Telerik.WinControls.UI.SchedulerTimeZone
      get.

   def public property RangeFactor as Telerik.WinControls.UI.ScaleRange
      get.
      set.

   def public property SeparatorsOffset as decimal
      get.
      set.

   def public property DefaultSeparatorOffset as integer
      get.
      set.

   def public property RulerRenderer as Telerik.WinControls.UI.RulerRendererBase
      get.
      set.

   def public property FormatStrings as Telerik.WinControls.UI.RulerFormatStrings
      get.
      set.

   def public property CurrentTimePointerWidth as decimal
      get.
      set.

   def protected property ScaledHourFontsCache as System.Collections.Generic.Dictionary
      get.

   def protected property ScaledMinutesFontsCache as System.Collections.Generic.Dictionary
      get.

   constructor public RulerPrimitive(input scheduler as Telerik.WinControls.UI.RadScheduler, input area as Telerik.WinControls.UI.DayViewAppointmentsArea):
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected void CallActiveViewOnPropertyChanged():
   end method.

   method public override void PaintPrimitive(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public final System.Drawing.RectangleF GetHourItemBounds(input row as integer):
   end method.

   method protected System.Drawing.Font GetScaledHourFont(input scale as decimal):
   end method.

   method protected System.Drawing.Font GetScaledMinutesFont(input scale as decimal):
   end method.

   method protected override void DisposeManagedResources():
   end method.

end class.
