class Telerik.WinControls.UI.RulerRendererBase
   inherits System.Object
   abstract:

   def protected variable ruler as Telerik.WinControls.UI.RulerPrimitive.

   def protected variable isDrawn as logical.

   constructor public RulerRendererBase(input ruler as Telerik.WinControls.UI.RulerPrimitive):
   end constructor.

   method public void RenderCurrentTimePointer(input graphics as Telerik.WinControls.Paint.IGraphics, input y as decimal):
   end method.

   method public void Render(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method public abstract void RenderHour(input graphics as Telerik.WinControls.Paint.IGraphics, input hour as integer, input bounds as System.Drawing.RectangleF).

   method public abstract void RenderSubHour(input graphics as Telerik.WinControls.Paint.IGraphics, input hour as integer, input sectionIndex as integer, input bounds as System.Drawing.RectangleF).

   method public final System.Drawing.RectangleF GetHourBounds(input hour as integer):
   end method.

   method protected final integer GetSpecificRange():
   end method.

   method protected final System.Drawing.Size DrawTimeText(input graphics as Telerik.WinControls.Paint.IGraphics, input y as decimal, input text as character, input minutesText as character, input measuredSize as System.Drawing.Size):
   end method.

   method protected final void DrawCurrentTimePointer(input graphics as Telerik.WinControls.Paint.IGraphics, input y as decimal, input currentTime as datetime):
   end method.

end class.
