class Telerik.WinControls.UI.SchedulerDayViewElement
   inherits Telerik.WinControls.UI.SchedulerViewElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AppointmentMarginProperty as Telerik.WinControls.RadProperty.

   def public property AllDayHeaderHeight as integer
      get.
      set.

   def public property AllDayHeaderElement as Telerik.WinControls.UI.DayViewAllDayHeader
      get.

   def public property HeaderElement as Telerik.WinControls.UI.DayViewHeader
      get.

   def public property DataAreaElement as Telerik.WinControls.UI.DayViewAppointmentsArea
      get.

   def public override property AppointmentMargin as System.Windows.Forms.Padding
      get.
      set.

   constructor public SchedulerDayViewElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected void InitializeChildren():
   end method.

   method protected override void OnLoaded():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method public override void Scroll(input up as logical):
   end method.

   method public final void ScrollToTime(input time as System.TimeSpan):
   end method.

   method public final void ScrollToWorkHours():
   end method.

   method public final decimal GetColumnHorizontalOffset(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer):
   end method.

   method public final decimal GetColumnsWidth(input startColumn as integer, input endColumn as integer, input availableWidth as decimal):
   end method.

   method public final void SetColumnWidth(input columnIndex as integer, input value as decimal):
   end method.

   method public decimal GetLeftOffset():
   end method.

   method public decimal GetRightOffset():
   end method.

   method public final void EnsureCellVisible(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public final void EnsureAppointmentVisible(input appointment as Telerik.WinControls.UI.AppointmentElement):
   end method.

   method public final datetime GetDateForCell(input row as integer, input column as integer):
   end method.

   method public final datetime GetDateForColumn(input column as integer):
   end method.

   method public final integer GetColumnForDate(input dateTime as datetime):
   end method.

   method public logical IsAppointmentElementInView(input appointment as Telerik.WinControls.UI.AppointmentElement):
   end method.

   method public logical IsAllDayAreaAppointment(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public override System.Windows.Forms.TableLayoutPanelCellPosition GetCellCoordinates(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public override Telerik.WinControls.UI.SchedulerCellElement GetCellAtPosition(input row as integer, input column as integer):
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override void OnViewPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method public override System.Collections.Generic.List GetCellContainers():
   end method.

end class.
