class Telerik.WinControls.UI.SchedulerHolidays
   inherits System.Object
   implements System.Collections.Generic.IEnumerable, System.Collections.IEnumerable:

   def protected variable holidayDateSeparator as System.Char extent.

   def protected variable holidayLineSeparator as System.Char extent.

   def public property Holidays as Telerik.WinControls.Data.ObservableCollection
      get.

   constructor public SchedulerHolidays(input scheduler as Telerik.WinControls.UI.RadScheduler):
   end constructor.

   method public logical IsHoliday(input dateTime as datetime):
   end method.

   method public System.Collections.Generic.IEnumerable GetHolidays(input dateTime as datetime):
   end method.

   method public void AddHoliday(input holiday as Telerik.WinControls.UI.Holiday, input createAppointment as logical):
   end method.

   method public void AddHolidays(input holidays as System.Collections.Generic.IEnumerable, input createAppointment as logical):
   end method.

   method public final void Clear():
   end method.

   method public final System.Collections.Generic.List GetAllLocations(input fileName as character):
   end method.

   method public final System.Collections.Generic.List GetAllLocations(input stream as System.IO.Stream):
   end method.

   method public final void ReadHolidays(input fileName as character, input createAppointment as logical):
   end method.

   method public final void ReadHolidays(input fileName as character, input createAppointment as logical, input locations as System.Collections.Generic.IEnumerable):
   end method.

   method public final void ReadHolidays(input stream as System.IO.Stream, input createAppointment as logical):
   end method.

   method public final void ReadHolidays(input stream as System.IO.Stream, input createAppointment as logical, input locations as System.Collections.Generic.IEnumerable):
   end method.

   method public final System.Collections.Generic.IEnumerator GetEnumerator():
   end method.

end class.
