class Telerik.WinControls.UI.SchedulerMonthViewElement
   inherits Telerik.WinControls.UI.SchedulerViewElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AppointmentHeightProperty as Telerik.WinControls.RadProperty.

   def public static variable AppointmentMarginProperty as Telerik.WinControls.RadProperty.

   def public static variable VerticalNavigatorWidthProperty as Telerik.WinControls.RadProperty.

   def public property VerticalScrollbar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public property VerticalNavigatorWidth as integer
      get.
      set.

   def public property AppointmentHeight as integer
      get.
      set.

   def public property Header as Telerik.WinControls.UI.MonthViewHeader
      get.

   def public property VerticalHeader as Telerik.WinControls.UI.MonthViewVerticalHeader
      get.

   def public property MonthViewAreaElement as Telerik.WinControls.UI.MonthViewAreaElement
      get.

   def public override property AppointmentMargin as System.Windows.Forms.Padding
      get.
      set.

   constructor public SchedulerMonthViewElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected void InitializeChildren():
   end method.

   method protected override void InitializeFields():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method public final decimal GetColumnHorizontalOffset(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer, input availableWidth as decimal):
   end method.

   method public final decimal GetColumnWidth(input columnIndex as integer):
   end method.

   method public final decimal GetColumnsWidth(input startColumn as integer, input endColumn as integer, input availableWidth as decimal):
   end method.

   method public final void SetColumnWidth(input columnIndex as integer, input value as decimal):
   end method.

   method public final decimal GetRowVerticalOffset(input rowIndex as integer, input availableHeight as decimal):
   end method.

   method public final decimal GetRowHeight(input rowIndex as integer):
   end method.

   method public final decimal GetRowHeight(input rowIndex as integer, input availableHeight as decimal):
   end method.

   method public final decimal GetRowsHeight(input startRow as integer, input endRow as integer, input availableHeight as decimal):
   end method.

   method public final void SetRowHeight(input rowIndex as integer, input value as decimal):
   end method.

   method protected override void OnViewPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method public override System.Collections.Generic.List GetCellContainers():
   end method.

   method public override System.Windows.Forms.TableLayoutPanelCellPosition GetCellCoordinates(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public override Telerik.WinControls.UI.SchedulerCellElement GetCellAtPosition(input row as integer, input column as integer):
   end method.

   method public override void Scroll(input up as logical):
   end method.

   method public override void NavigateForward():
   end method.

   method public override void NavigateBackward():
   end method.

   method protected Telerik.WinControls.UI.RadScrollBarElement InitializeVerticalScrollbar():
   end method.

   method protected void OnVerticalScroll(input sender as System.Object, input e as System.Windows.Forms.ScrollEventArgs):
   end method.

   method protected void UpdateVerticalScrollbar():
   end method.

   method protected void OnVerticalScrollBarValueChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void ShowScrollbarToolTip():
   end method.

   method protected character GetScrollbarToolTipText():
   end method.

   method protected void HideScrollToolTip():
   end method.

end class.
