class Telerik.WinControls.UI.SchedulerSelectionBehavior
   inherits System.Object:

   def protected variable selectedAppointmentsList as System.Collections.Generic.List.

   def public property SelectedResourceId as Telerik.WinControls.UI.EventId
      get.

   def public property Scheduler as Telerik.WinControls.UI.RadScheduler
      get.

   def public property IsAllDayAreaSelection as logical
      get.

   def public property SelectionStartDate as datetime
      get.
      protectedset.

   def public property SelectionEndDate as datetime
      get.
      protectedset.

   def public property CurrentCell as System.Windows.Forms.TableLayoutPanelCellPosition
      get.
      set.

   def public property SelectedAppointments as System.Collections.ObjectModel.ReadOnlyCollection
      get.

   def public property SelectedAppointment as Telerik.WinControls.UI.IEvent
      get.

   def public property SelectedAppointmentElement as Telerik.WinControls.UI.AppointmentElement
      get.

   def public property HasCellsSelected as logical
      get.

   def public property HasAppointmentsSelected as logical
      get.

   def public property CurrentCellElement as Telerik.WinControls.UI.SchedulerCellElement
      get.

   constructor public SchedulerSelectionBehavior(input scheduler as Telerik.WinControls.UI.RadScheduler):
   end constructor.

   method public void SelectAppointment(input appointment as Telerik.WinControls.UI.IEvent, input extend as logical):
   end method.

   method public void UnselectAppointment(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public void ResetAppointmentSelection():
   end method.

   method public logical IsAppointmentSelected(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public void ResetCellSelection():
   end method.

   method public logical IsDateSelected(input date as datetime, input duration as System.TimeSpan, input resourceId as Telerik.WinControls.UI.EventId, input isAllDayAreaCell as logical):
   end method.

   method public logical IsCellSelected(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public final void SelectCell(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method public void SelectCell(input cell as Telerik.WinControls.UI.SchedulerCellElement, input extendSelection as logical):
   end method.

   method public void SelectDateRange(input startDate as datetime, input endDate as datetime):
   end method.

   method public void SelectDateRange(input startDate as datetime, input endDate as datetime, input resourceId as Telerik.WinControls.UI.EventId):
   end method.

   method public System.TimeSpan GetCellDuration():
   end method.

   method public final Telerik.WinControls.UI.DateTimeInterval GetSelectedInterval():
   end method.

   method public final void ResetSelection():
   end method.

end class.
