class Telerik.WinControls.UI.SchedulerViewElement
   inherits Telerik.WinControls.UI.SchedulerVisualElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider
   abstract:

   def public property ForwardNavigator as Telerik.WinControls.UI.ViewNavigationElement
      get.
      protectedset.

   def public property BackwardNavigator as Telerik.WinControls.UI.ViewNavigationElement
      get.
      protectedset.

   def public abstract property AppointmentMargin as System.Windows.Forms.Padding
      get.
      set.

   constructor public SchedulerViewElement(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView):
   end constructor.

   method protected override void CreateChildElements():
   end method.

   method protected override void DisposeUnmanagedResources():
   end method.

   method protected override void OnLoaded():
   end method.

   method public final void UpdateCells():
   end method.

   method public final void InitializeCells():
   end method.

   method public final void UpdateAppointmentElements():
   end method.

   method public final void InitializeAppointmentElements():
   end method.

   method public System.Collections.Generic.List GetCellContainers():
   end method.

   method public final Telerik.WinControls.UI.AppointmentElement GetAppointmentElement(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public final System.Collections.Generic.IList GetAppointmentElements(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public final System.Collections.Generic.IList GetAppointmentElements():
   end method.

   method public final System.Collections.Generic.IList GetCellElements():
   end method.

   method public void NavigateForward():
   end method.

   method public void NavigateBackward():
   end method.

   method public Telerik.WinControls.UI.IEvent CreateTemporaryAppointment(input name as character, input startDate as datetime, input endDate as datetime, input allDay as logical, input resourceId as Telerik.WinControls.UI.EventId):
   end method.

   method public abstract System.Windows.Forms.TableLayoutPanelCellPosition GetCellCoordinates(input cell as Telerik.WinControls.UI.SchedulerCellElement).

   method public abstract Telerik.WinControls.UI.SchedulerCellElement GetCellAtPosition(input row as integer, input column as integer).

   method public final Telerik.WinControls.UI.SchedulerCellElement GetCellByDate(input date as datetime):
   end method.

   method public final Telerik.WinControls.UI.SchedulerCellElement GetCellByDate(input date as datetime, input resourceId as Telerik.WinControls.UI.EventId):
   end method.

   method public void Scroll(input up as logical):
   end method.

   method protected void OnSchedulerAppointmentsChanged(input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void OnSchedulerPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected void OnViewAppointmentsChanged(input sender as System.Object, input e as Telerik.WinControls.Data.NotifyCollectionChangedEventArgs):
   end method.

   method protected void OnViewPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected override void DisposeManagedResources():
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

end class.
