class Telerik.WinControls.UI.TimelineAppointmentsPresenter
   inherits Telerik.WinControls.UI.SchedulerCellContainer
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement, Telerik.WinControls.Primitives.IImageElement, Telerik.WinControls.Primitives.ITextPrimitive, Telerik.WinControls.Primitives.ITextProvider:

   def public static variable AppointmentHeightProperty as Telerik.WinControls.RadProperty.

   def public property TimelineViewElement as Telerik.WinControls.UI.SchedulerTimelineViewElement
      get.

   def public property AppointmentHeight as integer
      get.
      set.

   def public property Feedback as Telerik.WinControls.UI.DragFeedbackElement
      get.

   def public property ScrollOffset as integer
      get.
      set.

   constructor public TimelineAppointmentsPresenter(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input timelineViewElement as Telerik.WinControls.UI.SchedulerTimelineViewElement):
   end constructor.

   method public final void Scroll(input up as logical):
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeFeedback():
   end method.

   method protected void ArrangeCells(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ResolveOverlappingAppointments(input availableSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeAppointments(input finalSize as System.Drawing.SizeF):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void UpdateCellsCore():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateCellElements():
   end method.

   method protected override System.Collections.Generic.IEnumerable CreateAppointmentElements():
   end method.

end class.
