class Telerik.WinControls.UI.UIItemBase
   inherits Telerik.WinControls.RadItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement, Telerik.WinControls.Primitives.IPrimitiveElement, Telerik.WinControls.Primitives.IShapedElement, Telerik.WinControls.Primitives.IFillElement, Telerik.WinControls.Primitives.IBorderElement, Telerik.WinControls.IBoxStyle, Telerik.WinControls.Layouts.IBoxElement
   abstract:

   def public abstract property DrawFill as logical
      get.
      set.

   def public abstract property DrawBorder as logical
      get.
      set.

   def public abstract property BackColor2 as System.Drawing.Color
      get.
      set.

   def public abstract property BackColor3 as System.Drawing.Color
      get.
      set.

   def public abstract property BackColor4 as System.Drawing.Color
      get.
      set.

   def public abstract property NumberOfColors as integer
      get.
      set.

   def public abstract property GradientAngle as decimal
      get.
      set.

   def public abstract property GradientPercentage as decimal
      get.
      set.

   def public abstract property GradientPercentage2 as decimal
      get.
      set.

   def public abstract property GradientStyle as Telerik.WinControls.GradientStyles
      get.
      set.

   def public abstract property BorderColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderColor2 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderColor3 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderColor4 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderInnerColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderInnerColor2 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderInnerColor3 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderInnerColor4 as System.Drawing.Color
      get.
      set.

   def public abstract property BorderBoxStyle as Telerik.WinControls.BorderBoxStyle
      get.
      set.

   def public abstract property BorderDrawMode as Telerik.WinControls.BorderDrawModes
      get.
      set.

   def public abstract property BorderGradientStyle as Telerik.WinControls.GradientStyles
      get.
      set.

   def public abstract property BorderGradientAngle as decimal
      get.
      set.

   def public abstract property BorderLeftColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderLeftShadowColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderTopColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderTopShadowColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderRightColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderRightShadowColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderBottomColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderBottomShadowColor as System.Drawing.Color
      get.
      set.

   def public abstract property BorderLeftWidth as decimal
      get.
      set.

   def public abstract property BorderTopWidth as decimal
      get.
      set.

   def public abstract property BorderRightWidth as decimal
      get.
      set.

   def public abstract property BorderBottomWidth as decimal
      get.
      set.

   def public abstract property BorderDashStyle as System.Drawing.Drawing2D.DashStyle
      get.
      set.

   def public abstract property BorderDashPattern as System.Single extent
      get.
      set.

   def public abstract property BorderWidth as decimal
      get.
      set.

   constructor protected UIItemBase():
   end constructor.

   method protected void PaintFill(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected System.Drawing.RectangleF GetFillPaintRect(input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected void PaintFill(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF, input prefferedRectangle as System.Drawing.RectangleF):
   end method.

   method protected void PaintBorder(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected void PaintBorder(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF, input preferedRectangle as System.Drawing.RectangleF):
   end method.

   method protected override void OnBoundsChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected System.Drawing.RectangleF GetBorderPaintRect(input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected logical ShouldUsePaintBuffer():
   end method.

   method public decimal GetPaintingBorderWidth():
   end method.

   method protected override void DisposeManagedResources():
   end method.

end class.
