class Telerik.WinControls.VisualElement
   inherits Telerik.WinControls.RadElement
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode:

   def public static variable DefaultSizeProperty as Telerik.WinControls.RadProperty.

   def public static variable ForeColorProperty as Telerik.WinControls.RadProperty.

   def public static variable BackColorProperty as Telerik.WinControls.RadProperty.

   def public static variable FontProperty as Telerik.WinControls.RadProperty.

   def public static variable SmoothingModeProperty as Telerik.WinControls.RadProperty.

   def public static variable OpacityProperty as Telerik.WinControls.RadProperty.

   def public property DefaultSize as System.Drawing.Size
      get.
      set.

   def public property ForeColor as System.Drawing.Color
      get.
      set.

   def public property BackColor as System.Drawing.Color
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property SmoothingMode as System.Drawing.Drawing2D.SmoothingMode
      get.
      set.

   def public property Opacity as decimal
      get.
      set.

   def public event FontChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public VisualElement():
   end constructor.

   method protected void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void PaintElement(input graphics as Telerik.WinControls.Paint.IGraphics, input angle as decimal, input scale as System.Drawing.SizeF):
   end method.

   method protected override void PaintChildren(input graphics as Telerik.WinControls.Paint.IGraphics, input clipRectange as System.Drawing.Rectangle, input angle as decimal, input scale as System.Drawing.SizeF, input useRelativeTransformation as logical):
   end method.

   method protected override void PrePaintElement(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

   method protected override void PostPaintElement(input graphics as Telerik.WinControls.Paint.IGraphics):
   end method.

end class.
