class Telerik.WinControls.WindowAnimation.AnimationEngine
   inherits Telerik.WinControls.RadObject
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor:

   def protected variable calculator as Telerik.WinControls.StandardEasingCalculator.

   def protected variable frames as integer.

   def protected variable threadStart as System.Threading.ManualResetEvent.

   def protected variable thread as System.Threading.Thread.

   def public property EasingType as Telerik.WinControls.RadEasingType
      get.
      set.

   def public property AnimationFrames as integer
      get.
      set.

   def public property AnimationStep as integer
      get.

   def public event AnimationFinished signature void (input sender as System.Object, input e as Telerik.WinControls.WindowAnimation.AnimationEventArgs).

   def public event Animating signature void (input sender as System.Object, input e as Telerik.WinControls.WindowAnimation.AnimationEventArgs).

   constructor public AnimationEngine():
   end constructor.

   method protected void OnAnimationFinished(input e as Telerik.WinControls.WindowAnimation.AnimationEventArgs):
   end method.

   method protected void OnAnimating(input e as Telerik.WinControls.WindowAnimation.AnimationEventArgs):
   end method.

   method protected override void DisposeUnmanagedResources():
   end method.

   method public final void Start():
   end method.

   method public final void Stop():
   end method.

   method protected void Animate():
   end method.

end class.
