class OpenEdge.Core.Memptr
	implements Ccs.Common.Support.IMemptrHolder, 
		Ccs.Common.Support.IPrimitiveHolder:

	constructor protected Memptr ():
	end.

	constructor public Memptr ( piPtr as int64, piSize as int64):
	end.

	constructor public Memptr ( piSize as int64):
	end.

	constructor public Memptr ( pmValue as memptr):
	end.

	constructor public Memptr ( prValue as raw):
	end.

	define public property AutoDestroy as logical no-undo
		public get.
		public set.

	define public property ExternalAllocation as logical no-undo
		public get.
		private set.

	define public property Value as memptr no-undo
		public get.

	define public property Size as int64 no-undo
		public get.
		public set.

	define public static property Empty as OpenEdge.Core.Memptr no-undo
		public get.

	method public int64 GetPointerValue ():
	end.

	method public void Clear ():
	end.

	method public raw GetHash ():
	end.

	method public raw GetHash ( poAlgorithm as OpenEdge.Core.HashAlgorithmEnum):
	end.

	method public integer GetByte ( piPos as int64):
	end.

	method public longchar GetString ( piStartPos as int64):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64, pcTargetCodepage as character):
	end.

	method public longchar GetString ( piStartPos as int64, piSliceSize as int64, pcSourceCodepage as character, pcTargetCodepage as character):
	end.

	method public OpenEdge.Core.Memptr GetBytes ( piStartPos as int64):
	end.

	method public OpenEdge.Core.Memptr GetBytes ( piStartPos as int64, piSliceSize as int64):
	end.

	method public void PutBytes ( piPointerValue as int64, piSize as int64):
	end.

	method public void PutBytes ( pmData as memptr):
	end.

	method public void PutBytes ( prData as raw):
	end.

	method public void _Debug ():
	end.

	method public override character ToString ():
	end.

end.
