class OpenEdge.Logging.LogEvent:

	constructor public LogEvent ( poLevel as OpenEdge.Logging.LogLevelEnum, poMessage as OpenEdge.Logging.LogMessage, poError as Progress.Lang.Error, ptTimeStamp as datetime-tz):
	end.

	constructor public LogEvent ( poLevel as OpenEdge.Logging.LogLevelEnum, poMessage as OpenEdge.Logging.LogMessage, ptTimeStamp as datetime-tz):
	end.

	constructor public LogEvent ( poLevel as OpenEdge.Logging.LogLevelEnum, poMessage as OpenEdge.Logging.LogMessage, poError as Progress.Lang.Error):
	end.

	constructor public LogEvent ( poLevel as OpenEdge.Logging.LogLevelEnum, poMessage as OpenEdge.Logging.LogMessage):
	end.

	define public property Logger as OpenEdge.Logging.ILogWriter no-undo
		public get.
		public set.

	define public property LoggerName as character no-undo
		public get.
		public set.

	define public property LogLevel as OpenEdge.Logging.LogLevelEnum no-undo
		public get.
		private set.

	define public property TimeStamp as datetime-tz no-undo
		public get.
		private set.

	define public property Message as OpenEdge.Logging.LogMessage no-undo
		public get.
		private set.

	define public property Error as Progress.Lang.Error no-undo
		public get.
		private set.

	define public property CallStack as character extent no-undo
		public get.
		private set.

	define public property LoggedBy as handle no-undo
		public get.
		public set.

	define public property LoggerShortName as character no-undo
		public get.
		public set.

	define public property ShortNameFormat as character no-undo
		public get.
		public set.

end.
