class OpenEdge.Net.HTTP.CookieJarDecorator
	implements OpenEdge.Net.HTTP.ICookieJar abstract:

	constructor public CookieJarDecorator ( poCookieJar as OpenEdge.Net.HTTP.ICookieJar):
	end.

	define protected property DecoratedCookieJar as OpenEdge.Net.HTTP.ICookieJar no-undo
		protected get.
		private set.

	define public property CookieJarPath as character no-undo
		public get.
		public set.

	method public integer GetCookies ( poUri as OpenEdge.Net.URI, output poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public void AddCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void AddCookie ( pcDomain as character, pcPath as character, poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public logical RemoveCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void AddCookies ( poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public void ClearSessionCookies ():
	end.

	method public void ClearPersistentCookies ():
	end.

end.
