class OpenEdge.Net.HTTP.RequestBuilder
	inherits OpenEdge.Net.HTTP.ConfigBuilder
	implements OpenEdge.Core.ISupportInitialize abstract:

	constructor protected RequestBuilder ( pcMethod as character, poURI as OpenEdge.Net.URI):
	end.

	define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo
		public get.
		private set.

	define public abstract property Request as OpenEdge.Net.HTTP.IHttpRequest no-undo
		public get.

	method public static OpenEdge.Net.HTTP.RequestBuilder Build ( pcMethod as character, poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Get ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Get ( poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Get ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Get ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Get ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Put ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Put ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Put ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Post ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Post ( poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Post ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Post ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Post ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Patch ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Patch ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Patch ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Delete ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Delete ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Delete ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Delete ( poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Delete ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Head ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Head ( poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Options ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Options ( pcURI as character, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Options ( poURI as OpenEdge.Net.URI):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Options ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Options ( poURI as OpenEdge.Net.URI, poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Trace ( pcURI as character):
	end.

	method public static OpenEdge.Net.HTTP.RequestBuilder Trace ( poURI as OpenEdge.Net.URI):
	end.

	method public void Destroy ():
	end.

	method public void Initialize ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddJsonData ( poEntity as Progress.Json.ObjectModel.JsonObject):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddFormData ( poEntity as OpenEdge.Core.Collections.IStringStringMap):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddFormData ( pcFieldName as character, pcFieldValue as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddCookie ( pCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddHeader ( pcName as character, pcValue as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddHeader ( poHeader as OpenEdge.Net.HTTP.HttpHeader):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder WithTransferEncoding ( poEncoding as OpenEdge.Net.HTTP.TransferEncodingEnum):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder WithData ( poEntity as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder WithData ( poEntity as Progress.Lang.Object, pcContentType as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder SendRequestId ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder Id ( pcRequestId as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptAll ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptJson ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptHtml ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptFormData ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptXml ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AcceptContentType ( pcContentType as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder HttpVersion ( pcVersion as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder UsingBasicAuthentication ( poCredentials as OpenEdge.Net.HTTP.Credentials):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder UsingDigestAuthentication ( poCredentials as OpenEdge.Net.HTTP.Credentials):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder UsingCredentials ( poCredentials as OpenEdge.Net.HTTP.Credentials):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder UsingCredentials ( poCredentials as OpenEdge.Net.HTTP.Credentials, pcAuthenticationMethod as character, pcChallenge as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AuthCallback ( poListener as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddCallback ( poEventListenerType as Progress.Lang.Class, poListener as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AuthCallback ( phListener as handle):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder AddCallback ( poEventListenerType as Progress.Lang.Class, phListener as handle):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder ViaProxy ( poProxyURI as OpenEdge.Net.URI):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder ViaProxy ( pcProxyURI as character):
	end.

	method protected logical SetHeaderOption ( poHeader as OpenEdge.Net.HTTP.HttpHeader):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder SupportsProxy ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder SupportsAuthentication ():
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder ContentType ( pcContentType as character):
	end.

	method public OpenEdge.Net.HTTP.RequestBuilder ETag ( pcETag as character):
	end.

	method public static OpenEdge.Net.HTTP.IHttpRequest DecorateRequest ( poDecorationType as Progress.Lang.Class, poDecoratedRequest as OpenEdge.Net.HTTP.IHttpRequest):
	end.

end.
