class OpenEdge.Web.WebHandler
implements Progress.Web.IWebHandler, 
           OpenEdge.Logging.ISupportLogging:

  define public property Logger as OpenEdge.Logging.ILogWriter get. set.

  constructor public WebHandler():
  end.

  method protected integer HandleDelete(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleException(p1 as Progress.Lang.Error, p2 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleGet(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleHead(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleNotAllowedMethod(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleNotImplemented(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandleOptions(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandlePatch(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandlePost(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected integer HandlePut(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleRequest():
  end.

  method protected integer HandleTrace(p1 as OpenEdge.Web.IWebRequest):
  end.

  method protected void LogMessage(p1 as character, p2 as integer):
  end.
  
  method protected logical CanAcceptContentType(input pRequest as OpenEdge.Web.IWebRequest, input pContentType as character ):
  end.

end.
